-- MySQL dump 10.13  Distrib 5.7.40, for Linux (x86_64)
--
-- Host: localhost    Database: apimngr
-- ------------------------------------------------------
-- Server version	5.7.40

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `t_api`
--

CREATE DATABASE IF NOT EXISTS apimngr;
USE apimngr;

DROP TABLE IF EXISTS `t_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_api` (
  `api_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `api_name` varchar(100) NOT NULL COMMENT '接口名称',
  `url` varchar(200) NOT NULL COMMENT '请求地址',
  `cgi_url` varchar(200) DEFAULT NULL,
  `api_type_id` int(11) DEFAULT NULL,
  `call_limit` varchar(50) DEFAULT NULL COMMENT '调用量限制',
  `qps_limit` varchar(50) DEFAULT NULL COMMENT 'QPS限制',
  `status` int(11) DEFAULT NULL COMMENT '状态 0=免费使用 1=付费开通 2=测试使用 3=VIP使用',
  `description` varchar(100) DEFAULT NULL COMMENT '描述',
  `version` varchar(30) DEFAULT NULL,
  `doc_url` varchar(100) DEFAULT NULL,
  `create_by` varchar(20) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `browser_count` int(11) NOT NULL DEFAULT '0',
  `ext_json` text,
  `apply_user_id` int(11) DEFAULT NULL COMMENT '申请人id',
  `mobile` varchar(20) DEFAULT NULL COMMENT '联系方式',
  `apply_status` int(11) DEFAULT NULL COMMENT '申请状态：0未审核  1已审核',
  `apply_time` datetime DEFAULT NULL COMMENT '申请时间',
  `disagree_reason` varchar(500) DEFAULT NULL,
  `is_apply` int(11) DEFAULT NULL COMMENT '是否是申请新增：0否 1是',
  PRIMARY KEY (`api_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='接口表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api`
--

LOCK TABLES `t_api` WRITE;
/*!40000 ALTER TABLE `t_api` DISABLE KEYS */;
INSERT INTO `t_api` VALUES (1,'销售接口','https://windata.platomix.net/bi-api/report/dataapi/GoodsSales','http://114.116.34.93:8888/8c4885f4a76e40638c68c22d9bfba952/1',1,'100000','1000',1,'','1.0.0','http://114.116.34.93:8888/8c4885f4a76e40638c68c22d9bfba952/1','admin','2023-02-28 15:22:48','2023-02-28 16:17:03',10,'{\n  \"method\": \"请求方式\",\n  \"params\": [\n    {\n      \"name\": \"参数名称\",\n      \"type\": \"参数类型\",\n      \"required\": \"是否必填\",\n      \"description\": \"参数说明\",\n      \"default\": \"无\"\n    }\n  ],\n  \"returnParams\": [\n    {\n      \"name\": \"销售额\",\n      \"type\": \"指标\",\n      \"description\": \"销售额\"\n    }\n  ],\n  \"response\": {\n    \"code\": \"返回码\",\n    \"message\": \"返回信息\",\n    \"data\": \"返回数据\"\n  }\n}',NULL,NULL,2,NULL,NULL,NULL),(2,'','',NULL,NULL,NULL,NULL,NULL,'需要增加销售接口数据',NULL,NULL,NULL,'2023-02-28 16:07:40','2023-02-28 16:07:55',0,NULL,2,'13800013800',1,'2023-02-28 08:07:40','null',1);
/*!40000 ALTER TABLE `t_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_auth_apply`
--

DROP TABLE IF EXISTS `t_api_auth_apply`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_api_auth_apply` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL COMMENT '用户ID\n',
  `api_id` int(11) DEFAULT NULL COMMENT '接口id',
  `apply_use` varchar(500) NOT NULL COMMENT '申请用途',
  `status` int(11) DEFAULT NULL COMMENT '审核状态:0 未审核、1 已审核',
  `apply_time` datetime DEFAULT NULL COMMENT '申请时间',
  `examine_user_id` int(11) DEFAULT NULL COMMENT '审核用户ID\n',
  `examine_content` int(11) DEFAULT NULL COMMENT '审核内容:0 不同意、0 已同意',
  `disagree_reason` varchar(500) DEFAULT NULL COMMENT '不通过原因',
  `examine_time` datetime DEFAULT NULL COMMENT '审核时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='接口申请权限';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_auth_apply`
--

LOCK TABLES `t_api_auth_apply` WRITE;
/*!40000 ALTER TABLE `t_api_auth_apply` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_auth_apply` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_collect`
--

DROP TABLE IF EXISTS `t_api_collect`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_api_collect` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL COMMENT '用户ID\n',
  `api_id` int(11) DEFAULT NULL COMMENT '接口id',
  `is_collect` int(11) DEFAULT NULL COMMENT '是否收藏:1 是、0 否',
  `create_time` datetime DEFAULT NULL,
  `modify_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='接口收藏';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_collect`
--

LOCK TABLES `t_api_collect` WRITE;
/*!40000 ALTER TABLE `t_api_collect` DISABLE KEYS */;
INSERT INTO `t_api_collect` VALUES (1,2,1,0,'2023-02-28 08:05:30','2023-02-28 16:05:53');
/*!40000 ALTER TABLE `t_api_collect` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_log`
--

DROP TABLE IF EXISTS `t_api_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_api_log` (
  `apilog_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `app_id` int(11) DEFAULT NULL COMMENT '应用id',
  `api_id` int(11) DEFAULT NULL COMMENT '接口id',
  `call_result` int(11) DEFAULT NULL COMMENT '调用结果 1=成功 0=失败',
  `invoke_time` varchar(50) NOT NULL,
  `response_time` varchar(100) DEFAULT NULL COMMENT '接口返回时间',
  `img_url` varchar(500) DEFAULT NULL COMMENT '图片路径',
  `err_code` varchar(30) DEFAULT NULL COMMENT '错误码',
  `invoke_date` datetime DEFAULT NULL COMMENT '调用时间',
  `user_id` int(11) DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(100) DEFAULT NULL COMMENT '用户姓名',
  `params` varchar(2000) DEFAULT NULL,
  PRIMARY KEY (`apilog_id`,`invoke_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='接口日志表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_log`
--

LOCK TABLES `t_api_log` WRITE;
/*!40000 ALTER TABLE `t_api_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_log_day`
--

DROP TABLE IF EXISTS `t_api_log_day`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_api_log_day` (
  `user_id` int(11) NOT NULL COMMENT '开发者id',
  `user_name` varchar(100) DEFAULT NULL COMMENT '开发者名称',
  `app_id` int(11) NOT NULL COMMENT '应用id',
  `app_name` varchar(100) DEFAULT NULL COMMENT '应用名称',
  `api_id` int(11) NOT NULL COMMENT '接口id',
  `api_name` varchar(255) DEFAULT NULL COMMENT '应用名称',
  `total` int(11) DEFAULT NULL COMMENT '调用成功次数',
  `failed` int(11) DEFAULT NULL COMMENT '调用失败次数',
  `qps` int(11) DEFAULT NULL COMMENT 'qps峰值',
  `day` varchar(50) DEFAULT NULL COMMENT '日期'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='接口日志--日表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_log_day`
--

LOCK TABLES `t_api_log_day` WRITE;
/*!40000 ALTER TABLE `t_api_log_day` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_log_day` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_log_hour`
--

DROP TABLE IF EXISTS `t_api_log_hour`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_api_log_hour` (
  `app_id` int(11) NOT NULL COMMENT '应用id',
  `api_id` int(11) NOT NULL COMMENT '接口id',
  `success` int(11) DEFAULT NULL COMMENT '成功次数',
  `failed` int(11) DEFAULT NULL COMMENT '失败次数',
  `qps` int(11) DEFAULT NULL COMMENT 'qps峰值',
  `day` varchar(30) DEFAULT NULL COMMENT '日期 yyyy-mm-dd hh:mm'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='接口日志--时表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_log_hour`
--

LOCK TABLES `t_api_log_hour` WRITE;
/*!40000 ALTER TABLE `t_api_log_hour` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_log_hour` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_log_test`
--

DROP TABLE IF EXISTS `t_api_log_test`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_api_log_test` (
  `apilog_id` int(11) NOT NULL AUTO_INCREMENT,
  `app_id` int(11) DEFAULT NULL,
  `api_id` int(11) DEFAULT NULL,
  `call_result` int(11) DEFAULT NULL,
  `invoke_time` bigint(20) NOT NULL,
  `response_time` varchar(100) DEFAULT NULL,
  `img_url` varchar(500) DEFAULT NULL,
  `err_code` varchar(30) DEFAULT NULL,
  `invoke_date` datetime DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `user_name` varchar(100) DEFAULT NULL,
  `params` varchar(2000) DEFAULT NULL,
  PRIMARY KEY (`apilog_id`),
  KEY `app_id` (`app_id`) USING BTREE,
  KEY `user_id` (`user_id`) USING BTREE,
  KEY `call_result_index` (`call_result`),
  KEY `api_id_index` (`api_id`),
  KEY `err_code_index` (`err_code`),
  KEY `ind_invoke_time` (`invoke_time`),
  KEY `ind2` (`call_result`,`invoke_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_log_test`
--

LOCK TABLES `t_api_log_test` WRITE;
/*!40000 ALTER TABLE `t_api_log_test` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_log_test` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_need_apply`
--

DROP TABLE IF EXISTS `t_api_need_apply`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_api_need_apply` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL COMMENT '用户ID\n',
  `api_id` int(11) DEFAULT NULL COMMENT '接口id',
  `mobile` varchar(20) NOT NULL COMMENT '联系方式',
  `field_json` varchar(1000) NOT NULL COMMENT '联系方式',
  `description` varchar(500) NOT NULL COMMENT '描述',
  `status` int(11) DEFAULT NULL COMMENT '审核状态:审核状态:0 未审核、1 已审核待开发 2已审核已完成 3审核不通过',
  `apply_time` datetime DEFAULT NULL COMMENT '申请时间',
  `examine_user_id` int(11) DEFAULT NULL COMMENT '审核用户ID\n',
  `disagree_reason` varchar(500) DEFAULT NULL COMMENT '不通过原因',
  `examine_time` datetime DEFAULT NULL COMMENT '审核时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='接口申请开发';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_need_apply`
--

LOCK TABLES `t_api_need_apply` WRITE;
/*!40000 ALTER TABLE `t_api_need_apply` DISABLE KEYS */;
INSERT INTO `t_api_need_apply` VALUES (1,2,1,'13800013800','[{\"param\":\"销售笔单价\",\"desc\":\"销售笔单价\"},{\"param\":\"客单价\",\"desc\":\"客单价\"}]','需要增加销售字段',1,'2023-02-28 08:05:27',1,'null','2023-02-28 08:06:39');
/*!40000 ALTER TABLE `t_api_need_apply` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_type`
--

DROP TABLE IF EXISTS `t_api_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_api_type` (
  `apitype_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `type_name` varchar(100) NOT NULL COMMENT '类型名称',
  `description` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`apitype_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='接口类型表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_type`
--

LOCK TABLES `t_api_type` WRITE;
/*!40000 ALTER TABLE `t_api_type` DISABLE KEYS */;
INSERT INTO `t_api_type` VALUES (1,'销售接口','');
/*!40000 ALTER TABLE `t_api_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_version`
--

DROP TABLE IF EXISTS `t_api_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_api_version` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `api_id` int(11) NOT NULL,
  `old_version` varchar(50) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(100) DEFAULT NULL,
  `remark` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_version`
--

LOCK TABLES `t_api_version` WRITE;
/*!40000 ALTER TABLE `t_api_version` DISABLE KEYS */;
INSERT INTO `t_api_version` VALUES (1,1,'1.0.0','2023-02-28 15:22:48','admin','');
/*!40000 ALTER TABLE `t_api_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_app`
--

DROP TABLE IF EXISTS `t_app`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_app` (
  `app_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(50) NOT NULL COMMENT '应用名称',
  `user_id` int(11) NOT NULL COMMENT '关联用户id',
  `app_type_id` int(11) NOT NULL COMMENT '应用类型id',
  `api_key` varchar(100) NOT NULL COMMENT 'API Key',
  `secret_key` varchar(100) NOT NULL COMMENT 'Secret Key',
  `create_time` varchar(50) DEFAULT NULL COMMENT '创建时间',
  `update_time` varchar(50) DEFAULT NULL COMMENT '更新时间',
  `status` int(11) DEFAULT NULL COMMENT '应用状态（1=正常 0=停用 2=待审核）',
  `description` varchar(100) DEFAULT NULL COMMENT '应用描述',
  `expire_date` varchar(50) DEFAULT NULL COMMENT '到期日期',
  PRIMARY KEY (`app_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='应用表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_app`
--

LOCK TABLES `t_app` WRITE;
/*!40000 ALTER TABLE `t_app` DISABLE KEYS */;
INSERT INTO `t_app` VALUES (1,'销售应用',2,1,'4dc5bd0a63dd478db693e916','d8b34a193c7e418fa1626f0140b9df05','2023-02-28 15:57:29',NULL,1,'','Invalid date');
/*!40000 ALTER TABLE `t_app` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_app_api`
--

DROP TABLE IF EXISTS `t_app_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_app_api` (
  `appapi_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `app_id` int(11) NOT NULL COMMENT '应用id',
  `api_id` int(11) NOT NULL COMMENT '接口id',
  `status` int(11) NOT NULL COMMENT '状态 0=待审核 1=正常使用 2=待支付 3=停用',
  `call_limit` varchar(50) DEFAULT NULL COMMENT '调用量限制',
  `qps_limit` varchar(50) DEFAULT NULL COMMENT 'QPS限制',
  `qps_apply_id` varchar(50) DEFAULT NULL COMMENT '更高QPS申请id',
  `used` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`appapi_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COMMENT='接口权限表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_app_api`
--

LOCK TABLES `t_app_api` WRITE;
/*!40000 ALTER TABLE `t_app_api` DISABLE KEYS */;
INSERT INTO `t_app_api` VALUES (3,1,1,1,'100000','1000',NULL,NULL);
/*!40000 ALTER TABLE `t_app_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_app_type`
--

DROP TABLE IF EXISTS `t_app_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_app_type` (
  `apptype_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `type_name` varchar(100) NOT NULL COMMENT '应用类型名称',
  `description` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`apptype_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='应用类型表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_app_type`
--

LOCK TABLES `t_app_type` WRITE;
/*!40000 ALTER TABLE `t_app_type` DISABLE KEYS */;
INSERT INTO `t_app_type` VALUES (1,'销售类应用','销售的API');
/*!40000 ALTER TABLE `t_app_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_auth`
--

DROP TABLE IF EXISTS `t_auth`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_auth` (
  `auth_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '权限id',
  `role_id` int(11) NOT NULL COMMENT '角色id',
  `api_id` int(11) NOT NULL COMMENT '接口id',
  PRIMARY KEY (`auth_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_auth`
--

LOCK TABLES `t_auth` WRITE;
/*!40000 ALTER TABLE `t_auth` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_auth` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_code_info`
--

DROP TABLE IF EXISTS `t_code_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_code_info` (
  `err_code` varchar(30) NOT NULL COMMENT '错误码',
  `err_detail` varchar(200) DEFAULT NULL COMMENT '错误详情',
  `err_description` varchar(200) DEFAULT NULL COMMENT '错误描述',
  `feedback` varchar(200) DEFAULT NULL COMMENT '处理意见',
  KEY `err_code_index` (`err_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_code_info`
--

LOCK TABLES `t_code_info` WRITE;
/*!40000 ALTER TABLE `t_code_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_code_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_qps_apply`
--

DROP TABLE IF EXISTS `t_qps_apply`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_qps_apply` (
  `qps_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `max_qps` varchar(50) NOT NULL COMMENT '预估最高QPS',
  `call_times` varchar(50) DEFAULT NULL COMMENT '预估每日调用量',
  `areas` varchar(200) DEFAULT NULL COMMENT '接入地域比例',
  `company_name` varchar(100) DEFAULT NULL COMMENT '公司名称',
  `phone` varchar(30) DEFAULT NULL COMMENT '联系电话',
  `email` varchar(100) DEFAULT NULL COMMENT '联系邮箱',
  `description` varchar(2000) DEFAULT NULL COMMENT '应用介绍',
  `apply_reason` varchar(1000) DEFAULT NULL COMMENT '提升配额原因',
  `apply_status` tinyint(4) DEFAULT NULL COMMENT '申请状态 0=默认配额 1=审核通过 2=审核中 3=审核拒绝',
  PRIMARY KEY (`qps_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='更高QPS申请';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_qps_apply`
--

LOCK TABLES `t_qps_apply` WRITE;
/*!40000 ALTER TABLE `t_qps_apply` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_qps_apply` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_role`
--

DROP TABLE IF EXISTS `t_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_role` (
  `role_id` int(11) NOT NULL AUTO_INCREMENT,
  `role_name` varchar(50) NOT NULL COMMENT '角色名字',
  `role_type` int(11) NOT NULL COMMENT '角色类型',
  `description` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COMMENT='角色表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_role`
--

LOCK TABLES `t_role` WRITE;
/*!40000 ALTER TABLE `t_role` DISABLE KEYS */;
INSERT INTO `t_role` VALUES (1,'管理员',1,NULL),(2,'开发者',2,'123');
/*!40000 ALTER TABLE `t_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sms_log`
--

DROP TABLE IF EXISTS `t_sms_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_sms_log` (
  `sms_id` int(11) NOT NULL AUTO_INCREMENT,
  `phone` varchar(30) NOT NULL COMMENT '电话号码',
  `code` varchar(20) NOT NULL COMMENT '验证码',
  `create_time` varchar(30) NOT NULL COMMENT '创建时间',
  `status` tinyint(4) NOT NULL COMMENT '状态',
  PRIMARY KEY (`sms_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sms_log`
--

LOCK TABLES `t_sms_log` WRITE;
/*!40000 ALTER TABLE `t_sms_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sms_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_system_log`
--

DROP TABLE IF EXISTS `t_system_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_system_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `log_account` varchar(100) NOT NULL COMMENT '日志账号',
  `log_content` varchar(200) NOT NULL COMMENT '日志内容',
  `log_ip` varchar(100) DEFAULT NULL COMMENT 'ip地址',
  `log_time` datetime DEFAULT NULL COMMENT '日期时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=427 DEFAULT CHARSET=utf8mb4 COMMENT='系统日志表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_system_log`
--

LOCK TABLES `t_system_log` WRITE;
/*!40000 ALTER TABLE `t_system_log` DISABLE KEYS */;
INSERT INTO `t_system_log` VALUES (1,'admin','/api/user/info','114.245.110.33','2023-02-28 15:08:14'),(2,'admin','/api/user/developercount','114.245.110.33','2023-02-28 15:08:14'),(3,'admin','/api/app/topapps','114.245.110.33','2023-02-28 15:08:14'),(4,'admin','/api/apimngr/apicount','114.245.110.33','2023-02-28 15:08:14'),(5,'admin','/api/apimngr/topapis','114.245.110.33','2023-02-28 15:08:14'),(6,'admin','/api/app/appcount','114.245.110.33','2023-02-28 15:08:14'),(7,'admin','/api/user/topdevelopers','114.245.110.33','2023-02-28 15:08:14'),(8,'admin','/api/user/info','114.245.110.33','2023-02-28 15:11:58'),(9,'admin','/api/user/developercount','114.245.110.33','2023-02-28 15:11:58'),(10,'admin','/api/user/topdevelopers','114.245.110.33','2023-02-28 15:11:58'),(11,'admin','/api/app/topapps','114.245.110.33','2023-02-28 15:11:58'),(12,'admin','/api/apimngr/topapis','114.245.110.33','2023-02-28 15:11:58'),(13,'admin','/api/app/appcount','114.245.110.33','2023-02-28 15:11:58'),(14,'admin','/api/apimngr/apicount','114.245.110.33','2023-02-28 15:11:58'),(15,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:12:06'),(16,'admin','/api/user/info','114.245.110.33','2023-02-28 15:12:17'),(17,'admin','/api/user/topdevelopers','114.245.110.33','2023-02-28 15:12:17'),(18,'admin','/api/user/developercount','114.245.110.33','2023-02-28 15:12:17'),(19,'admin','/api/app/appcount','114.245.110.33','2023-02-28 15:12:17'),(20,'admin','/api/app/topapps','114.245.110.33','2023-02-28 15:12:17'),(21,'admin','/api/apimngr/apicount','114.245.110.33','2023-02-28 15:12:17'),(22,'admin','/api/apimngr/topapis','114.245.110.33','2023-02-28 15:12:17'),(23,'admin','/api/user/login','114.245.110.33','2023-02-28 15:12:35'),(24,'admin','/api/user/info','114.245.110.33','2023-02-28 15:12:35'),(25,'admin','/api/user/developercount','114.245.110.33','2023-02-28 15:12:35'),(26,'admin','/api/user/topdevelopers','114.245.110.33','2023-02-28 15:12:35'),(27,'admin','/api/app/appcount','114.245.110.33','2023-02-28 15:12:35'),(28,'admin','/api/app/topapps','114.245.110.33','2023-02-28 15:12:35'),(29,'admin','/api/apimngr/topapis','114.245.110.33','2023-02-28 15:12:35'),(30,'admin','/api/apimngr/apicount','114.245.110.33','2023-02-28 15:12:35'),(31,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:12:45'),(32,'admin','/api/user/developercount','114.245.110.33','2023-02-28 15:12:50'),(33,'admin','/api/app/appcount','114.245.110.33','2023-02-28 15:12:50'),(34,'admin','/api/app/topapps','114.245.110.33','2023-02-28 15:12:50'),(35,'admin','/api/user/topdevelopers','114.245.110.33','2023-02-28 15:12:50'),(36,'admin','/api/apimngr/apicount','114.245.110.33','2023-02-28 15:12:50'),(37,'admin','/api/apimngr/topapis','114.245.110.33','2023-02-28 15:12:50'),(38,'test','/api/user/login','114.245.110.33','2023-02-28 15:14:13'),(39,'test','/api/user/info','114.245.110.33','2023-02-28 15:14:13'),(40,'test','/api/app/listcount','114.245.110.33','2023-02-28 15:14:13'),(41,'test','/api/apilog/generalcount','114.245.110.33','2023-02-28 15:14:13'),(42,'test','/api/appapi/listservice','114.245.110.33','2023-02-28 15:14:13'),(43,'test','/api/app/list','114.245.110.33','2023-02-28 15:14:17'),(44,'test','/api/app/list','114.245.110.33','2023-02-28 15:15:28'),(45,'test','/api/apimngr/listapis','114.245.110.33','2023-02-28 15:15:28'),(46,'test','/api/apptype/list','114.245.110.33','2023-02-28 15:15:28'),(47,'admin','/api/user/login','114.245.110.33','2023-02-28 15:16:10'),(48,'admin','/api/user/info','114.245.110.33','2023-02-28 15:16:10'),(49,'admin','/api/user/developercount','114.245.110.33','2023-02-28 15:16:10'),(50,'admin','/api/app/appcount','114.245.110.33','2023-02-28 15:16:10'),(51,'admin','/api/user/topdevelopers','114.245.110.33','2023-02-28 15:16:10'),(52,'admin','/api/apimngr/topapis','114.245.110.33','2023-02-28 15:16:10'),(53,'admin','/api/apimngr/apicount','114.245.110.33','2023-02-28 15:16:10'),(54,'admin','/api/app/topapps','114.245.110.33','2023-02-28 15:16:10'),(55,'admin','/api/user/login','114.245.110.33','2023-02-28 15:20:04'),(56,'admin','/api/user/info','114.245.110.33','2023-02-28 15:20:04'),(57,'admin','/api/user/developercount','114.245.110.33','2023-02-28 15:20:04'),(58,'admin','/api/user/topdevelopers','114.245.110.33','2023-02-28 15:20:04'),(59,'admin','/api/apimngr/apicount','114.245.110.33','2023-02-28 15:20:04'),(60,'admin','/api/app/topapps','114.245.110.33','2023-02-28 15:20:04'),(61,'admin','/api/app/appcount','114.245.110.33','2023-02-28 15:20:04'),(62,'admin','/api/apimngr/topapis','114.245.110.33','2023-02-28 15:20:04'),(63,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:20:08'),(64,'admin','/api/apptype/list','114.245.110.33','2023-02-28 15:20:13'),(65,'admin','/api/apptype/insert','114.245.110.33','2023-02-28 15:20:46'),(66,'admin','/api/apptype/list','114.245.110.33','2023-02-28 15:20:46'),(67,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:20:58'),(68,'admin','/api/app/list','114.245.110.33','2023-02-28 15:20:59'),(69,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:21:00'),(70,'admin','/api/apptype/list','114.245.110.33','2023-02-28 15:21:00'),(71,'admin','/api/apimngr/listapis','114.245.110.33','2023-02-28 15:21:00'),(72,'admin','/api/app/list','114.245.110.33','2023-02-28 15:21:00'),(73,'admin','/api/user/listdev','114.245.110.33','2023-02-28 15:21:00'),(74,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:21:28'),(75,'admin','/api/apitype/insert','114.245.110.33','2023-02-28 15:21:35'),(76,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:21:35'),(77,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:21:42'),(78,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:21:42'),(79,'admin','/api/role/list','114.245.110.33','2023-02-28 15:21:42'),(80,'admin','/api/apimngr/insert','114.245.110.33','2023-02-28 15:22:48'),(81,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:22:48'),(82,'admin','/api/apimngr/insert','114.245.110.33','2023-02-28 15:25:06'),(83,'admin','/api/user/info','114.245.110.33','2023-02-28 15:25:11'),(84,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:25:11'),(85,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:25:11'),(86,'admin','/api/role/list','114.245.110.33','2023-02-28 15:25:11'),(87,'admin','/api/user/info','114.245.110.33','2023-02-28 15:25:17'),(88,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:25:17'),(89,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:25:17'),(90,'admin','/api/role/list','114.245.110.33','2023-02-28 15:25:17'),(91,'admin','/api/user/info','114.245.110.33','2023-02-28 15:25:23'),(92,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:25:23'),(93,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:25:23'),(94,'admin','/api/role/list','114.245.110.33','2023-02-28 15:25:23'),(95,'admin','/api/apimngr/apicount','114.245.110.33','2023-02-28 15:28:03'),(96,'admin','/api/user/topdevelopers','114.245.110.33','2023-02-28 15:28:03'),(97,'admin','/api/app/appcount','114.245.110.33','2023-02-28 15:28:03'),(98,'admin','/api/app/topapps','114.245.110.33','2023-02-28 15:28:03'),(99,'admin','/api/user/developercount','114.245.110.33','2023-02-28 15:28:03'),(100,'admin','/api/apimngr/topapis','114.245.110.33','2023-02-28 15:28:03'),(101,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:28:06'),(102,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:28:06'),(103,'admin','/api/role/list','114.245.110.33','2023-02-28 15:28:06'),(104,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:28:11'),(105,'admin','/api/appapi/listqpsapply','114.245.110.33','2023-02-28 15:28:11'),(106,'admin','/api/user/info','114.245.110.33','2023-02-28 15:28:14'),(107,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:28:14'),(108,'admin','/api/appapi/listqpsapply','114.245.110.33','2023-02-28 15:28:14'),(109,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:28:16'),(110,'admin','/api/appapi/list','114.245.110.33','2023-02-28 15:28:16'),(111,'admin','/api/user/info','114.245.110.33','2023-02-28 15:28:17'),(112,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:28:18'),(113,'admin','/api/appapi/list','114.245.110.33','2023-02-28 15:28:18'),(114,'admin','/api/apiNeedApply/examineList','114.245.110.33','2023-02-28 15:28:19'),(115,'admin','/api/apimngr/examineList','114.245.110.33','2023-02-28 15:28:19'),(116,'admin','/api/user/listdevbyadmin','114.245.110.33','2023-02-28 15:28:25'),(117,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:28:32'),(118,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:28:32'),(119,'admin','/api/role/list','114.245.110.33','2023-02-28 15:28:32'),(120,'admin','/api/user/info','114.245.110.33','2023-02-28 15:41:34'),(121,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:41:35'),(122,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:41:35'),(123,'admin','/api/role/list','114.245.110.33','2023-02-28 15:41:35'),(124,'admin','/api/user/login','114.245.110.33','2023-02-28 15:41:54'),(125,'admin','/api/user/info','114.245.110.33','2023-02-28 15:41:54'),(126,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:41:54'),(127,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:41:54'),(128,'admin','/api/role/list','114.245.110.33','2023-02-28 15:41:54'),(129,'admin','/api/user/info','114.245.110.33','2023-02-28 15:53:41'),(130,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:53:42'),(131,'admin','/api/role/list','114.245.110.33','2023-02-28 15:53:42'),(132,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:53:42'),(133,'admin','/api/user/info','114.245.110.33','2023-02-28 15:53:48'),(134,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:53:49'),(135,'admin','/api/role/list','114.245.110.33','2023-02-28 15:53:49'),(136,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:53:49'),(137,'admin','/api/user/info','114.245.110.33','2023-02-28 15:53:56'),(138,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:53:56'),(139,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:53:56'),(140,'admin','/api/role/list','114.245.110.33','2023-02-28 15:53:56'),(141,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:54:53'),(142,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:54:53'),(143,'admin','/api/role/list','114.245.110.33','2023-02-28 15:54:53'),(144,'admin','/api/apimngr/update','114.245.110.33','2023-02-28 15:55:16'),(145,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:55:16'),(146,'admin','/api/user/info','114.245.110.33','2023-02-28 15:55:32'),(147,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:55:33'),(148,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:55:33'),(149,'admin','/api/role/list','114.245.110.33','2023-02-28 15:55:33'),(150,'admin','/api/apimngr/update','114.245.110.33','2023-02-28 15:55:45'),(151,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:55:46'),(152,'admin','/api/user/info','114.245.110.33','2023-02-28 15:56:09'),(153,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:56:09'),(154,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:56:09'),(155,'admin','/api/role/list','114.245.110.33','2023-02-28 15:56:09'),(156,'admin','/api/appapi/listqpsapply','114.245.110.33','2023-02-28 15:56:14'),(157,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:56:14'),(158,'admin','/api/appapi/list','114.245.110.33','2023-02-28 15:56:15'),(159,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:56:15'),(160,'admin','/api/apimngr/examineList','114.245.110.33','2023-02-28 15:56:17'),(161,'admin','/api/apiNeedApply/examineList','114.245.110.33','2023-02-28 15:56:17'),(162,'admin','/api/apptype/list','114.245.110.33','2023-02-28 15:56:19'),(163,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:56:20'),(164,'admin','/api/app/list','114.245.110.33','2023-02-28 15:56:20'),(165,'admin','/api/apimngr/listapis','114.245.110.33','2023-02-28 15:56:21'),(166,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:56:21'),(167,'admin','/api/apptype/list','114.245.110.33','2023-02-28 15:56:21'),(168,'admin','/api/app/list','114.245.110.33','2023-02-28 15:56:21'),(169,'admin','/api/user/listdev','114.245.110.33','2023-02-28 15:56:21'),(170,'admin','/api/user/info','114.245.110.33','2023-02-28 15:56:29'),(171,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:56:30'),(172,'admin','/api/role/list','114.245.110.33','2023-02-28 15:56:30'),(173,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:56:30'),(174,'admin','/api/app/insertbyadmin','114.245.110.33','2023-02-28 15:57:29'),(175,'admin','/api/app/list','114.245.110.33','2023-02-28 15:57:30'),(176,'admin','/api/apptype/list','114.245.110.33','2023-02-28 15:57:35'),(177,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:57:40'),(178,'admin','/api/app/list','114.245.110.33','2023-02-28 15:57:40'),(179,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:57:44'),(180,'admin','/api/role/list','114.245.110.33','2023-02-28 15:57:44'),(181,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:57:44'),(182,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:57:50'),(183,'admin','/api/apptype/list','114.245.110.33','2023-02-28 15:57:50'),(184,'admin','/api/apimngr/listapis','114.245.110.33','2023-02-28 15:57:50'),(185,'admin','/api/user/listdev','114.245.110.33','2023-02-28 15:57:50'),(186,'admin','/api/app/list','114.245.110.33','2023-02-28 15:57:50'),(187,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:57:52'),(188,'admin','/api/role/list','114.245.110.33','2023-02-28 15:57:52'),(189,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:57:52'),(190,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:57:55'),(191,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:57:57'),(192,'admin','/api/role/list','114.245.110.33','2023-02-28 15:57:57'),(193,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:57:57'),(194,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:57:59'),(195,'admin','/api/appapi/listqpsapply','114.245.110.33','2023-02-28 15:57:59'),(196,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:58:00'),(197,'admin','/api/appapi/list','114.245.110.33','2023-02-28 15:58:00'),(198,'admin','/api/appapi/disable','114.245.110.33','2023-02-28 15:58:07'),(199,'admin','/api/appapi/list','114.245.110.33','2023-02-28 15:58:07'),(200,'admin','/api/appapi/disable','114.245.110.33','2023-02-28 15:58:10'),(201,'admin','/api/appapi/list','114.245.110.33','2023-02-28 15:58:10'),(202,'admin','/api/appapi/update','114.245.110.33','2023-02-28 15:58:14'),(203,'admin','/api/appapi/list','114.245.110.33','2023-02-28 15:58:14'),(204,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:58:28'),(205,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:58:28'),(206,'admin','/api/role/list','114.245.110.33','2023-02-28 15:58:28'),(207,'admin','/api/user/login','114.245.110.33','2023-02-28 15:59:17'),(208,'admin','/api/user/info','114.245.110.33','2023-02-28 15:59:17'),(209,'admin','/api/apitype/list','114.245.110.33','2023-02-28 15:59:17'),(210,'admin','/api/appapi/list','114.245.110.33','2023-02-28 15:59:17'),(211,'admin','/api/apimngr/update','114.245.110.33','2023-02-28 15:59:42'),(212,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:59:42'),(213,'test','/api/user/login','114.245.110.33','2023-02-28 15:59:47'),(214,'test','/api/user/info','114.245.110.33','2023-02-28 15:59:47'),(215,'test','/api/app/listcount','114.245.110.33','2023-02-28 15:59:47'),(216,'test','/api/apilog/generalcount','114.245.110.33','2023-02-28 15:59:47'),(217,'test','/api/appapi/listservice','114.245.110.33','2023-02-28 15:59:47'),(218,'admin','/api/apimngr/update','114.245.110.33','2023-02-28 15:59:50'),(219,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 15:59:50'),(220,'test','/api/app/list','114.245.110.33','2023-02-28 15:59:51'),(221,'test','/api/apitype/list','114.245.110.33','2023-02-28 15:59:51'),(222,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 15:59:51'),(223,'test','/api/apimngr/list','114.245.110.33','2023-02-28 15:59:51'),(224,'test','/api/apimngr/list','114.245.110.33','2023-02-28 15:59:51'),(225,'test','/api/app/findbyid','114.245.110.33','2023-02-28 15:59:56'),(226,'test','/api/apiversion/list','114.245.110.33','2023-02-28 15:59:56'),(227,'test','/api/apimngr/findbyid','114.245.110.33','2023-02-28 15:59:56'),(228,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 15:59:56'),(229,'admin','/api/user/info','114.245.110.33','2023-02-28 15:59:59'),(230,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:00:00'),(231,'admin','/api/role/list','114.245.110.33','2023-02-28 16:00:00'),(232,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:00:00'),(233,'test','/api/app/list','114.245.110.33','2023-02-28 16:00:05'),(234,'test','/api/apitype/list','114.245.110.33','2023-02-28 16:00:05'),(235,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:00:05'),(236,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:00:05'),(237,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:00:05'),(238,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:00:19'),(239,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:00:19'),(240,'admin','/api/role/list','114.245.110.33','2023-02-28 16:00:19'),(241,'admin','/api/appapi/list','114.245.110.33','2023-02-28 16:00:25'),(242,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:00:25'),(243,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:00:27'),(244,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:00:27'),(245,'admin','/api/role/list','114.245.110.33','2023-02-28 16:00:27'),(246,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:00:31'),(247,'admin','/api/apptype/list','114.245.110.33','2023-02-28 16:00:31'),(248,'admin','/api/apimngr/listapis','114.245.110.33','2023-02-28 16:00:31'),(249,'admin','/api/user/listdev','114.245.110.33','2023-02-28 16:00:31'),(250,'admin','/api/app/list','114.245.110.33','2023-02-28 16:00:31'),(251,'admin','/api/user/info','114.245.110.33','2023-02-28 16:00:37'),(252,'admin','/api/apptype/list','114.245.110.33','2023-02-28 16:00:37'),(253,'admin','/api/apimngr/listapis','114.245.110.33','2023-02-28 16:00:37'),(254,'admin','/api/app/list','114.245.110.33','2023-02-28 16:00:37'),(255,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:00:37'),(256,'admin','/api/user/listdev','114.245.110.33','2023-02-28 16:00:37'),(257,'admin','/api/app/findbyid','114.245.110.33','2023-02-28 16:00:40'),(258,'admin','/api/app/update','114.245.110.33','2023-02-28 16:00:43'),(259,'admin','/api/app/list','114.245.110.33','2023-02-28 16:00:43'),(260,'admin','/api/apptype/list','114.245.110.33','2023-02-28 16:00:46'),(261,'admin','/api/apptype/update','114.245.110.33','2023-02-28 16:00:50'),(262,'admin','/api/apptype/list','114.245.110.33','2023-02-28 16:00:50'),(263,'admin','/api/apimngr/listapis','114.245.110.33','2023-02-28 16:00:52'),(264,'admin','/api/apptype/list','114.245.110.33','2023-02-28 16:00:52'),(265,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:00:52'),(266,'admin','/api/app/list','114.245.110.33','2023-02-28 16:00:52'),(267,'admin','/api/user/listdev','114.245.110.33','2023-02-28 16:00:52'),(268,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:01:05'),(269,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:01:05'),(270,'admin','/api/role/list','114.245.110.33','2023-02-28 16:01:05'),(271,'admin','/api/user/info','114.245.110.33','2023-02-28 16:02:46'),(272,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:02:48'),(273,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:02:48'),(274,'admin','/api/role/list','114.245.110.33','2023-02-28 16:02:48'),(275,'admin','/api/apimngr/update','114.245.110.33','2023-02-28 16:03:02'),(276,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:03:02'),(277,'admin','/api/user/info','114.245.110.33','2023-02-28 16:03:14'),(278,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:03:14'),(279,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:03:14'),(280,'admin','/api/role/list','114.245.110.33','2023-02-28 16:03:14'),(281,'test','/api/apiversion/list','114.245.110.33','2023-02-28 16:03:42'),(282,'test','/api/apimngr/findbyid','114.245.110.33','2023-02-28 16:03:42'),(283,'test','/api/app/findbyid','114.245.110.33','2023-02-28 16:03:42'),(284,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:03:42'),(285,'test','/api/apimngr/findRelationbyid','114.245.110.33','2023-02-28 16:03:42'),(286,'admin','/api/apiNeedApply/examineList','114.245.110.33','2023-02-28 16:03:58'),(287,'admin','/api/apimngr/examineList','114.245.110.33','2023-02-28 16:03:58'),(288,'test','/api/app/list','114.245.110.33','2023-02-28 16:04:14'),(289,'test','/api/apitype/list','114.245.110.33','2023-02-28 16:04:14'),(290,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:04:14'),(291,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:04:14'),(292,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:04:14'),(293,'test','/api/apiNeedApply/insert','114.245.110.33','2023-02-28 16:05:26'),(294,'test','/api/apiCollect/insert','114.245.110.33','2023-02-28 16:05:29'),(295,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:05:29'),(296,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:05:30'),(297,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:05:30'),(298,'test','/api/apiNeedApply/applyList','114.245.110.33','2023-02-28 16:05:34'),(299,'test','/api/apimngr/applyList','114.245.110.33','2023-02-28 16:05:34'),(300,'test','/api/apiNeedApply/getDetail','114.245.110.33','2023-02-28 16:05:36'),(301,'test','/api/apimngr/findbyid','114.245.110.33','2023-02-28 16:05:39'),(302,'test','/api/app/findbyid','114.245.110.33','2023-02-28 16:05:39'),(303,'test','/api/apiversion/list','114.245.110.33','2023-02-28 16:05:39'),(304,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:05:39'),(305,'test','/api/apimngr/findRelationbyid','114.245.110.33','2023-02-28 16:05:39'),(306,'test','/api/apimngr/applyList','114.245.110.33','2023-02-28 16:05:42'),(307,'test','/api/apiNeedApply/applyList','114.245.110.33','2023-02-28 16:05:42'),(308,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:05:45'),(309,'test','/api/app/findbyid','114.245.110.33','2023-02-28 16:05:47'),(310,'test','/api/apimngr/findbyid','114.245.110.33','2023-02-28 16:05:47'),(311,'test','/api/apiversion/list','114.245.110.33','2023-02-28 16:05:47'),(312,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:05:47'),(313,'test','/api/apimngr/findRelationbyid','114.245.110.33','2023-02-28 16:05:47'),(314,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:05:51'),(315,'test','/api/apiCollect/cancel','114.245.110.33','2023-02-28 16:05:53'),(316,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:05:53'),(317,'test','/api/apptype/list','114.245.110.33','2023-02-28 16:05:55'),(318,'test','/api/apimngr/listapis','114.245.110.33','2023-02-28 16:05:55'),(319,'test','/api/app/list','114.245.110.33','2023-02-28 16:05:55'),(320,'test','/api/app/findbyid','114.245.110.33','2023-02-28 16:05:58'),(321,'test','/api/apptype/list','114.245.110.33','2023-02-28 16:05:58'),(322,'test','/api/apimngr/listapis','114.245.110.33','2023-02-28 16:05:58'),(323,'test','/api/appapi/listbyappid','114.245.110.33','2023-02-28 16:05:58'),(324,'test','/api/app/findbyid','114.245.110.33','2023-02-28 16:06:00'),(325,'test','/api/app/update','114.245.110.33','2023-02-28 16:06:12'),(326,'test','/api/appapi/listbyappid','114.245.110.33','2023-02-28 16:06:12'),(327,'test','/api/app/findbyid','114.245.110.33','2023-02-28 16:06:12'),(328,'test','/api/app/list','114.245.110.33','2023-02-28 16:06:21'),(329,'test','/api/apitype/list','114.245.110.33','2023-02-28 16:06:21'),(330,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:06:21'),(331,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:06:21'),(332,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:06:21'),(333,'admin','/api/user/info','114.245.110.33','2023-02-28 16:06:29'),(334,'admin','/api/apiNeedApply/examineList','114.245.110.33','2023-02-28 16:06:29'),(335,'admin','/api/apimngr/examineList','114.245.110.33','2023-02-28 16:06:29'),(336,'admin','/api/apiNeedApply/getDetail','114.245.110.33','2023-02-28 16:06:32'),(337,'admin','/api/apiNeedApply/update','114.245.110.33','2023-02-28 16:06:39'),(338,'admin','/api/apiNeedApply/examineList','114.245.110.33','2023-02-28 16:06:39'),(339,'admin','/api/apimngr/findbyid','114.245.110.33','2023-02-28 16:06:41'),(340,'admin','/api/apimngr/update','114.245.110.33','2023-02-28 16:06:45'),(341,'test','/api/apimngr/applyInsertApi','114.245.110.33','2023-02-28 16:07:40'),(342,'admin','/api/user/info','114.245.110.33','2023-02-28 16:07:48'),(343,'admin','/api/apiNeedApply/examineList','114.245.110.33','2023-02-28 16:07:49'),(344,'admin','/api/apimngr/examineList','114.245.110.33','2023-02-28 16:07:49'),(345,'admin','/api/apimngr/examineApi','114.245.110.33','2023-02-28 16:07:55'),(346,'admin','/api/apimngr/examineList','114.245.110.33','2023-02-28 16:07:55'),(347,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:07:59'),(348,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:08:10'),(349,'admin','/api/role/list','114.245.110.33','2023-02-28 16:08:10'),(350,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:08:10'),(351,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:08:55'),(352,'admin','/api/apimngr/listapis','114.245.110.33','2023-02-28 16:08:55'),(353,'admin','/api/apptype/list','114.245.110.33','2023-02-28 16:08:55'),(354,'admin','/api/app/list','114.245.110.33','2023-02-28 16:08:55'),(355,'admin','/api/user/listdev','114.245.110.33','2023-02-28 16:08:55'),(356,'admin','/api/app/findbyid','114.245.110.33','2023-02-28 16:10:46'),(357,'admin','/api/appapi/listqpsapply','114.245.110.33','2023-02-28 16:11:47'),(358,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:11:47'),(359,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:11:50'),(360,'admin','/api/role/list','114.245.110.33','2023-02-28 16:11:50'),(361,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:11:50'),(362,'admin','/api/apimngr/update','114.245.110.33','2023-02-28 16:12:02'),(363,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:12:02'),(364,'test','/api/apiversion/list','114.245.110.33','2023-02-28 16:12:18'),(365,'test','/api/apimngr/findbyid','114.245.110.33','2023-02-28 16:12:18'),(366,'test','/api/app/findbyid','114.245.110.33','2023-02-28 16:12:18'),(367,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:12:18'),(368,'test','/api/app/list','114.245.110.33','2023-02-28 16:12:25'),(369,'test','/api/apitype/list','114.245.110.33','2023-02-28 16:12:25'),(370,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:12:25'),(371,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:12:25'),(372,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:12:25'),(373,'test','/api/apimngr/findbyid','114.245.110.33','2023-02-28 16:12:29'),(374,'test','/api/app/findbyid','114.245.110.33','2023-02-28 16:12:29'),(375,'test','/api/apiversion/list','114.245.110.33','2023-02-28 16:12:29'),(376,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:12:29'),(377,'test','/api/app/list','114.245.110.33','2023-02-28 16:12:37'),(378,'test','/api/apitype/list','114.245.110.33','2023-02-28 16:12:37'),(379,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:12:37'),(380,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:12:37'),(381,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:12:37'),(382,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:12:50'),(383,'test','/api/app/findbyid','114.245.110.33','2023-02-28 16:14:15'),(384,'test','/api/apimngr/findbyid','114.245.110.33','2023-02-28 16:14:15'),(385,'test','/api/apiversion/list','114.245.110.33','2023-02-28 16:14:15'),(386,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:14:15'),(387,'admin','/api/apitype/list','114.245.110.33','2023-02-28 16:14:28'),(388,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:14:28'),(389,'admin','/api/role/list','114.245.110.33','2023-02-28 16:14:28'),(390,'admin','/api/apimngr/delete','114.245.110.33','2023-02-28 16:15:01'),(391,'admin','/api/apimngr/update','114.245.110.33','2023-02-28 16:15:19'),(392,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:15:19'),(393,'test','/api/user/info','114.245.110.33','2023-02-28 16:15:25'),(394,'test','/api/app/findbyid','114.245.110.33','2023-02-28 16:15:25'),(395,'test','/api/apiversion/list','114.245.110.33','2023-02-28 16:15:25'),(396,'test','/api/apimngr/findbyid','114.245.110.33','2023-02-28 16:15:25'),(397,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:15:25'),(398,'test','/api/apimngr/findRelationbyid','114.245.110.33','2023-02-28 16:15:25'),(399,'admin','/api/apimngr/update','114.245.110.33','2023-02-28 16:15:50'),(400,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:15:50'),(401,'admin','/api/apimngr/update','114.245.110.33','2023-02-28 16:17:03'),(402,'admin','/api/apimngr/list','114.245.110.33','2023-02-28 16:17:03'),(403,'test','/api/user/info','114.245.110.33','2023-02-28 16:17:07'),(404,'test','/api/app/findbyid','114.245.110.33','2023-02-28 16:17:08'),(405,'test','/api/apimngr/findbyid','114.245.110.33','2023-02-28 16:17:08'),(406,'test','/api/apiversion/list','114.245.110.33','2023-02-28 16:17:08'),(407,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:17:08'),(408,'test','/api/apimngr/findRelationbyid','114.245.110.33','2023-02-28 16:17:08'),(409,'test','/api/app/list','114.245.110.33','2023-02-28 16:17:32'),(410,'test','/api/app/list','114.245.110.33','2023-02-28 16:17:35'),(411,'test','/api/apitype/list','114.245.110.33','2023-02-28 16:17:35'),(412,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:17:35'),(413,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:17:35'),(414,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:17:35'),(415,'test','/api/app/list','114.245.110.33','2023-02-28 16:20:16'),(416,'test','/api/app/listcount','114.245.110.33','2023-02-28 16:20:18'),(417,'test','/api/appapi/listservice','114.245.110.33','2023-02-28 16:20:18'),(418,'test','/api/apilog/generalcount','114.245.110.33','2023-02-28 16:20:18'),(419,'test','/api/app/list','114.245.110.33','2023-02-28 16:20:21'),(420,'test','/api/apitype/list','114.245.110.33','2023-02-28 16:20:21'),(421,'test','/api/apiCollect/list','114.245.110.33','2023-02-28 16:20:21'),(422,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:20:21'),(423,'test','/api/apimngr/list','114.245.110.33','2023-02-28 16:20:21'),(424,'test','/api/apilog/generalcount','114.245.110.33','2023-02-28 16:20:23'),(425,'test','/api/app/listcount','114.245.110.33','2023-02-28 16:20:23'),(426,'test','/api/appapi/listservice','114.245.110.33','2023-02-28 16:20:23');
/*!40000 ALTER TABLE `t_system_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_user`
--

DROP TABLE IF EXISTS `t_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_user` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_name` varchar(100) NOT NULL COMMENT '姓名',
  `account` varchar(50) NOT NULL COMMENT '账号',
  `phone` varchar(30) NOT NULL COMMENT '电话',
  `password_hash` varchar(100) NOT NULL COMMENT '密码',
  `email` varchar(50) NOT NULL COMMENT '邮箱',
  `status` int(11) DEFAULT NULL COMMENT '用户状态（1=免费用户 0=异常用户 2=付费用户 3=VIP用户 4=测试用户)',
  `role_id` int(11) NOT NULL COMMENT '角色',
  `description` varchar(100) DEFAULT NULL COMMENT '备注',
  `company_name` varchar(100) DEFAULT NULL,
  `company_info` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=69 DEFAULT CHARSET=utf8mb4 COMMENT='用户表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_user`
--

LOCK TABLES `t_user` WRITE;
/*!40000 ALTER TABLE `t_user` DISABLE KEYS */;
INSERT INTO `t_user` VALUES (1,'平台管理员','admin','13382890928','a3f4c511243abf2522465a603ab46f53','536818@qq.com',1,1,NULL,NULL,NULL),(2,'测试开发者','test','13771111749','e10adc3949ba59abbe56e057f20f883e','88933120@qq.com',1,2,'12','测试公司！！@3seiirf','gongsi ');
/*!40000 ALTER TABLE `t_user` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-02-28 17:10:33
