create database ads;
CREATE TABLE ads.user_event(
    `proj` String COMMENT '项目CODE',
    `ptype` Nullable(String) COMMENT '二级分类',
    `ip` Nullable(String) COMMENT 'IP地址',
    `distinct_id` String COMMENT '用户唯一标识',
    `anonymous_id` String COMMENT '用户匿名标识',
    `login_id` Nullable(String) COMMENT '业务系统登录后的用户标识',
    `aid` Nullable(String) COMMENT '预留id 可以存活动id订购页id推广id等',
    `d_time` UInt64 COMMENT '时间',
    `d_timestamp` DateTime COMMENT '时间',
    `d_date` Date COMMENT '时间日期型',
    `d_type` Nullable(String) COMMENT '事件类型',
    `event` String COMMENT '事件',
    `lib` Nullable(String) COMMENT '引用',
    `screen_width` Nullable(Int16) COMMENT '屏幕宽度',
    `screen_height` Nullable(Int16) COMMENT '屏幕高度',
    `_track_id` Nullable(Int32) COMMENT '跟踪ID',
    `url` Nullable(String) COMMENT '访问url',
    `title` Nullable(String) COMMENT '页面名称',
    `element_target_url` Nullable(String) COMMENT 'element目标地址',
    `element_path` Nullable(String) COMMENT 'element路径',
    `element_class_name` Nullable(String) COMMENT 'element样式名称',
    `element_content` Nullable(String) COMMENT 'element内容',
    `element_type` Nullable(String) COMMENT 'element类型',
    `latest_referrer` Nullable(String) COMMENT '最后一次引用',
    `attr1` Nullable(String) COMMENT '属性1',
    `attr2` Nullable(String) COMMENT '属性2',
    `attr3` Nullable(String) COMMENT '属性3',
    `attr4` Nullable(String) COMMENT '属性4',
    `attr5` Nullable(String) COMMENT '属性5',
    `attr6` Nullable(String) COMMENT '属性6',
    `attr7` Nullable(String) COMMENT '属性7',
    `attr8` Nullable(String) COMMENT '属性8',
    `attr9` Nullable(String) COMMENT '属性9',
    `attr10` Nullable(String) COMMENT '属性10',
    `is_first_day` Nullable(UInt8) COMMENT '是否第一次访问',
    `taskid` Nullable(String) COMMENT '任务ID',
    `attr11` Nullable(String) COMMENT '属性11',
    `attr12` Nullable(String) COMMENT '属性12',
    `attr13` Nullable(String) COMMENT '属性13',
    `attr14` Nullable(String) COMMENT '属性14',
    `attr15` Nullable(String) COMMENT '属性15',
    `attr16` Nullable(String) COMMENT '属性16',
    `attr17` Nullable(String) COMMENT '属性17',
    `attr18` Nullable(String) COMMENT '属性18',
    `attr19` Nullable(String) COMMENT '属性19',
    `attr20` Nullable(String) COMMENT '属性20',
    `platform_type` String,
    `source` Nullable(String) COMMENT '推广来源',
    `plan` Nullable(String) COMMENT '推广计划',
    `unit` Nullable(String) COMMENT '推广单元',
    `keyword` Nullable(String) COMMENT '推广关键字',
    `e_creative` Nullable(String) COMMENT '推广创意',
    `e_keywordid` Nullable(String) COMMENT '关键字ID',
    `account` Nullable(String),
    `referer` Nullable(String) COMMENT '来源'
)
ENGINE = MergeTree
ORDER BY (proj,d_time,d_timestamp,event)
SETTINGS index_granularity = 8192;