/*
 Navicat Premium Data Transfer

 Source Server         : 45.125.46.86
 Source Server Type    : MySQL
 Source Server Version : 80032
 Source Host           : 45.125.46.86:33077
 Source Schema         : platomix_visualdev

 Target Server Type    : MySQL
 Target Server Version : 80032
 File Encoding         : 65001

 Date: 19/06/2024 14:31:03
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

CREATE database if NOT EXISTS `platomix_visualdev`;
use `platomix_visualdev`;

-- ----------------------------
-- Table structure for base_datainterface
-- ----------------------------
DROP TABLE IF EXISTS `base_datainterface`;
CREATE TABLE `base_datainterface` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '主键ID',
  `F_CategoryId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '分组ID',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '接口名称',
  `F_Path` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL,
  `F_RequestMethod` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '请求方式',
  `F_ResponseType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '返回类型',
  `F_Query` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '查询语句',
  `F_RequestParameters` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '请求参数JSON',
  `F_ResponseParameters` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '返回参数JSON',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '接口编码',
  `F_SortCode` bigint NOT NULL COMMENT '排序码(默认0)',
  `F_EnabledMark` int NOT NULL COMMENT '状态(0-默认，禁用，1-启用)',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述或说明',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '创建用户id',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户id',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志(默认0)',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户id',
  `F_DbLinkId` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '数据源id',
  `F_DataType` int DEFAULT NULL COMMENT '数据类型(1-动态数据SQL查询，2-静态数据)',
  `F_CheckType` int DEFAULT NULL COMMENT '验证类型',
  `F_RequestHeaders` varchar(300) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '请求头参数',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='数据接口';

-- ----------------------------
-- Table structure for base_dictionarydata
-- ----------------------------
DROP TABLE IF EXISTS `base_dictionarydata`;
CREATE TABLE `base_dictionarydata` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '上级',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '编号',
  `F_SimpleSpelling` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '拼音',
  `F_IsDefault` int DEFAULT NULL COMMENT '默认',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_DictionaryTypeId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '类别主键',
  `F_UpdateTime` datetime DEFAULT NULL,
  `tenant_id` varchar(12) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '租户id',
  `mode_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '模型类型（1低代码 2零代码）\n',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='字典数据';

-- ----------------------------
-- Table structure for base_dictionarytype
-- ----------------------------
DROP TABLE IF EXISTS `base_dictionarytype`;
CREATE TABLE `base_dictionarytype` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '上级',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '编号',
  `F_IsTree` int DEFAULT NULL COMMENT '树形',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `tenant_id` varchar(12) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='字典分类';

-- ----------------------------
-- Records of base_dictionarytype
-- ----------------------------
BEGIN;
INSERT INTO `base_dictionarytype` VALUES ('02ad722fd1914c338d51597236ad2339', 'efdbdac8d9e04539b85cda898aabde65', '门户设计分类', 'portalDesigner', 0, '', 0, NULL, '2020-09-21 00:49:02', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-21 00:49:42', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('037ba904515348eaad1c4bd462fc80a6', '188f465964644e0f81b8ffc756eefa92', '流程表单分类', 'flowForm', 0, '', 0, NULL, '2020-09-19 07:04:57', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('038d293fca544c86afa3f2bc65421fd7', '821ddb80b4f14b918f32549f72a81473', '客户类型', 'kehuleixing', 1, '', 0, NULL, '2020-11-06 06:43:02', 'admin', '2020-11-14 09:14:07', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('1143c18426014419a35aa1fa97685c9c', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '结算方式', 'WFSettlementMethod', 0, '支付', 0, NULL, '2018-07-10 10:22:34', 'admin', '2020-09-19 06:28:14', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('188f465964644e0f81b8ffc756eefa92', '-1', '代码生成', 'codeGeneration', 1, '', 0, NULL, '2020-09-19 07:03:45', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('1cff2b60fd7a4c9f82273163b956268c', '188f465964644e0f81b8ffc756eefa92', '移动表单分类', 'appForm', 0, '', 0, NULL, '2020-09-19 07:04:35', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-10-14 01:41:43', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('237446e245ce403d8062995ea33711cf', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '比较符号', 'Comparison', 0, NULL, 0, NULL, '2017-10-20 16:52:32', NULL, '2020-09-19 06:27:58', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('3e2d33e54d554b4b8a33fc41b93f8a2d', '821ddb80b4f14b918f32549f72a81473', '审批费用类型区分', 'shenpi', 0, '', 0, NULL, '2020-10-31 01:55:50', 'admin', '2020-11-14 09:14:23', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('4173579c31e74a2b8749e65a23e5c957', '188f465964644e0f81b8ffc756eefa92', '功能表单分类', 'webForm', 0, '', 0, NULL, '2020-09-19 07:04:11', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-10-14 01:41:49', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('42b0f46122b041d097f1fe4f2f637a03', 'd3fc17551c29461b878eb98baf60552c', '流程引擎类型', 'flowType', 0, '', 0, NULL, '2020-08-10 18:58:44', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-21 00:51:41', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('4501f6f26a384757bce12d4c4b03342c', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '角色分类', 'RoleType', 0, NULL, 0, NULL, '2017-10-27 10:19:32', NULL, '2020-09-19 06:26:11', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('507f4f5df86b47588138f321e0b0dac7', 'd3fc17551c29461b878eb98baf60552c', '流程设计分类', 'WorkFlowCategory', 0, NULL, 0, NULL, '2018-01-17 11:49:20', 'admin', '2020-09-21 00:53:29', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('55d7666d74df4bb4b36aed08a3a5bad1', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '邮箱格式', 'Email', 0, NULL, 0, NULL, '2018-11-30 11:16:03', 'admin', '2020-09-19 06:27:46', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('573c31998bc04a23a769f9a9eff67d00', 'efdbdac8d9e04539b85cda898aabde65', '移动设计分类', 'appDesigner', 0, '', 0, NULL, '2020-09-19 07:01:02', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-10-14 01:41:58', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('65e7917344fa460e8c487e45bbbab26f', 'efdbdac8d9e04539b85cda898aabde65', '报表设计分类', 'ReportSort', 0, NULL, 0, NULL, '2020-05-16 16:56:35', 'admin', '2020-09-19 07:02:42', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('6a6d6fb541b742fbae7e8888528baa16', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '学历', 'Education', 0, NULL, 0, NULL, '2017-10-20 16:51:29', NULL, '2020-09-19 06:30:00', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('70f970e14fee4879802b63122511032b', 'd3fc17551c29461b878eb98baf60552c', '流程表单类型', 'flowFormType', 0, '', 0, NULL, '2020-08-10 18:10:40', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-21 00:51:21', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('765929a127f44a5b80e773d65d58f96c', 'efdbdac8d9e04539b85cda898aabde65', '功能设计分类', 'webDesign', 0, '', 0, NULL, '2020-09-19 07:00:42', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-10-14 01:42:05', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('7866376d5f694d4d851c7164bd00ebfc', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '证件类型', 'certificateType', 0, '', 0, NULL, '2020-08-08 10:08:08', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-19 06:27:28', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('821ddb80b4f14b918f32549f72a81473', '-1', '功能示例', 'FunctionExample', 0, '', 0, NULL, '2020-11-14 09:13:50', 'admin', NULL, NULL, NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('963255a34ea64a2584c5d1ba269c1fe6', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '性别', 'sex', 0, '', 0, NULL, '2020-08-15 03:10:55', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-19 06:59:53', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('9aba44dfc8dc481a9346b9ce38a0735e', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '组织分类', 'OrganizeType', 0, NULL, 0, NULL, '2017-10-20 16:51:50', NULL, '2020-09-19 06:25:41', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('9b542177a477488994ce09fff3c93901', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '企业性质', 'EnterpriseNature', 0, NULL, 0, NULL, '2017-10-25 14:33:08', NULL, '2020-09-19 06:26:57', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('9c43287481364d348c0ea0d0f64b38be', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '接口分类', 'DataInterfaceType', 1, '', 0, NULL, '2020-08-04 14:44:52', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-19 06:25:15', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('9e7b2d0c690f4562b13e1215e449c222', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '数据类型', 'dbType', 0, '', 0, NULL, '2021-05-12 01:03:17', '03d159a3-0f88-424c-a24f-02f63855fe4f', NULL, NULL, NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('afcc3a0952df4d1bad7d83cc8eb20fbd', '-1', '系统管理', 'system', 1, '', 0, NULL, '2020-09-19 06:23:59', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('b1474890faaa47e1858ce7b593c8ffd7', 'efdbdac8d9e04539b85cda898aabde65', '大屏设计分类', 'dataVType', 0, '', 0, NULL, '2020-08-04 14:40:32', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-19 07:02:56', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('b6cd65a763fa45eb9fe98e5057693e40', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '民族', 'Nation', 0, NULL, 0, NULL, '2017-10-20 16:51:38', NULL, '2020-09-19 06:59:38', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('d3fc17551c29461b878eb98baf60552c', '-1', '工作流程', 'workFlow', 0, '', 0, NULL, '2020-08-10 18:53:12', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-21 03:56:16', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('d59a3cf65f9847dbb08be449e3feae16', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '行业类别', 'IndustryType', 1, NULL, 0, NULL, '2017-10-20 16:52:04', NULL, '2020-09-19 06:26:38', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('dae93f2fd7cd4df999d32f8750fa6a1e', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '岗位分类', 'PositionType', 0, NULL, 0, NULL, '2017-10-26 13:28:40', NULL, '2020-09-19 06:25:56', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('dc6b2542d94b407cac61ec1d59592901', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '系统语言', 'Language', 0, '配置多语言', 0, NULL, '2017-10-20 16:52:45', NULL, '2020-09-19 06:24:42', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('efdbdac8d9e04539b85cda898aabde65', '-1', '在线开发', 'onlineDev', 1, '', 0, NULL, '2020-09-19 07:00:16', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, NULL, NULL, '23v8po3');
COMMIT;

-- ----------------------------
-- Table structure for base_province
-- ----------------------------
DROP TABLE IF EXISTS `base_province`;
CREATE TABLE `base_province` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域上级',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域编号',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域名称',
  `F_QuickQuery` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '快速查询',
  `F_Type` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域类型',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='行政区划';

-- ----------------------------
-- Table structure for base_visualdev
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev`;
CREATE TABLE `base_visualdev` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_Description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_FullName` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编码',
  `F_State` int DEFAULT NULL COMMENT '状态(0-暂存（默认），1-发布)',
  `F_Type` int DEFAULT NULL COMMENT '类型(1-应用开发,2-移动开发,3-流程表单)',
  `F_Table` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联的表',
  `F_Category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '分类（数据字典）',
  `F_FormData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单配置JSON',
  `F_ColumnData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '列表配置JSON',
  `F_Fields` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '功能字段JSON',
  `F_TemplateData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '前端模板JSON',
  `F_DbLinkId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联数据连接id',
  `F_FlowTemplateJson` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '工作流模板JSON',
  `F_WebType` int DEFAULT NULL COMMENT '页面类型（1、纯表单，2、表单加列表，3、表单列表工作流）',
  `F_FlowId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联工作流连接id',
  `web_scene` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '使用场景',
  `relation_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联数据JSON',
  `logic_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '逻辑数据',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `db_source_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据源id\n',
  `mode_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '模型类型（1低代码 2零代码）\n',
  `visualdev_table_type` int DEFAULT NULL COMMENT '表单类型（1单表 2多表）\n',
  `association_type` int DEFAULT NULL COMMENT '关联状态（1已经关联其他表 2尚未关联其他表）\n',
  `secondary_db_link_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表数据集 id',
  `secondary_table` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT 'F_table得子表字段',
  `association_relation` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联字段',
  `agg_cube_id` int DEFAULT '0' COMMENT '聚合数据集ID',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='可视化开发功能表';

-- ----------------------------
-- Table structure for base_visualdev_custom_button
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_custom_button`;
CREATE TABLE `base_visualdev_custom_button` (
  `F_Id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `button_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '按钮名称',
  `button_type` int DEFAULT NULL COMMENT '按钮类型 1 自定义 2 系统',
  `button_status` int DEFAULT '0' COMMENT '按钮状态 0 启动 1 禁用 2 删除',
  `button_location` int DEFAULT '0' COMMENT '按钮位置 1 表头位置 2行数据操作位置',
  `button_info` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '按钮配置JSON',
  `event_num` int DEFAULT NULL COMMENT '关联事件数量',
  `button_condition` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '按钮判断条件 sql',
  `exec_type` int DEFAULT NULL COMMENT '执行模式 1 地址跳转 2 事件执行',
  `redirect_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '跳转地址 url',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单ID号',
  `is_window` smallint DEFAULT NULL COMMENT '弹窗信息(0=没有弹窗/1=有弹窗)',
  `window_tips` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '弹窗提示语(is_window=0配置)',
  `window_view_columns` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '弹窗展示表单数据(is_window=1配置,如配置redirect_url,以redirect_url地址优先)',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=79 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单自定义按钮表';

-- ----------------------------
-- Table structure for base_visualdev_custom_button_event
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_custom_button_event`;
CREATE TABLE `base_visualdev_custom_button_event` (
  `F_Id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `button_id` bigint DEFAULT NULL COMMENT '按钮主键',
  `event_id` bigint DEFAULT NULL COMMENT '事件主键',
  `event_sort` int DEFAULT NULL COMMENT '事件执行顺序 从高到低',
  `execute_timing` int NOT NULL DEFAULT '0' COMMENT '事件执行时机 1 前置执行 2 后置执行',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单ID号',
  PRIMARY KEY (`F_Id`) USING BTREE,
  KEY `button_id` (`button_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1787120882418757922 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单自定义按钮表';

-- ----------------------------
-- Table structure for base_visualdev_custom_button_event_log
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_custom_button_event_log`;
CREATE TABLE `base_visualdev_custom_button_event_log` (
  `F_Id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `button_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '按钮名称',
  `button_id` bigint DEFAULT NULL COMMENT '按钮名称',
  `event_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '事件名称',
  `event_id` bigint DEFAULT NULL COMMENT '事件名称',
  `exec_status` int DEFAULT '0' COMMENT '事件执行状态 0 未开始 1 成功 2 失败',
  `event_datasource_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '事件数据源 id',
  `exec_log` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '事件执行日志',
  `exec_sql` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '事件执行 sql',
  `group_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '批次号',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单ID号',
  PRIMARY KEY (`F_Id`) USING BTREE,
  KEY ```event_id``, ``form_id``` (`event_id`,`form_id`) USING BTREE,
  KEY ```button_id``` (`button_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=198 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单自定义按钮表';

-- ----------------------------
-- Table structure for base_visualdev_custom_event
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_custom_event`;
CREATE TABLE `base_visualdev_custom_event` (
  `F_Id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `event_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '事件名称',
  `event_datasource_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '事件数据源 id',
  `event_type` int DEFAULT NULL COMMENT '事件类型 0 sql模式 1 代码模式  2  jar 包执行',
  `execute_timing` int NOT NULL DEFAULT '0' COMMENT '事件执行时机 1 前置执行 2 后置执行',
  `event_status` int DEFAULT '0' COMMENT '事件状态 0 启动 1 禁用 2 删除',
  `event_sql` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT 'Sql 模式对应的 sql 语句',
  `event_value` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT 'Java 代码执行需要的参数',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单ID号',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=71 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单自定义事件表';

-- ----------------------------
-- Table structure for base_visualdev_data_log
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_data_log`;
CREATE TABLE `base_visualdev_data_log` (
  `id` bigint NOT NULL COMMENT '主键',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `cube_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据集 id',
  `data_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '对应数据的ID',
  `column_id` int NOT NULL COMMENT '字段ID',
  `value_old` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '旧数据',
  `value_new` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '新数据',
  `action` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '操作类型（add-新增；delete-删除；update-修改；）',
  `time` datetime NOT NULL COMMENT '操作时间',
  `sn` bigint NOT NULL COMMENT '序列号，同一次的操作序列号相同',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作人',
  `operator_id` bigint DEFAULT NULL COMMENT '操作人ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='在线表单数据变更日志';

-- ----------------------------
-- Table structure for base_visualdev_data_permission
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_data_permission`;
CREATE TABLE `base_visualdev_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `visualdev_perm_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单操作权限名称',
  `data_perm_id` int DEFAULT NULL COMMENT '权限组ID',
  `perm_json` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '操作权限JSON',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `is_default` tinyint NOT NULL DEFAULT '0' COMMENT '是否默认:0否 1是',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=382 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单操作权限';

-- ----------------------------
-- Table structure for base_visualdev_export_task
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_export_task`;
CREATE TABLE `base_visualdev_export_task` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `model_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `cube_id` int NOT NULL COMMENT '数据集ID',
  `is_all` tinyint NOT NULL DEFAULT '0' COMMENT '是否导出全部（0-非全部；1-全部）',
  `rule` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '导出规则',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作员',
  `operator_id` bigint DEFAULT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '导出时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  `status` tinyint NOT NULL DEFAULT '0' COMMENT '任务状态（0-进行中；1-成功；2-失败；）',
  `approve_status` tinyint DEFAULT NULL COMMENT '审批状态',
  `file_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '文件名称',
  `file_size` bigint DEFAULT NULL COMMENT '文件大小（单位：字节）',
  `count` int DEFAULT '0' COMMENT '导出条数',
  `ext` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '扩展字段，比如存储错误信息',
  `take_up_time` decimal(10,3) DEFAULT '0.000' COMMENT '耗时（单位：秒）',
  `current_page` int DEFAULT NULL COMMENT '当前页',
  `param_list` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '查询参数',
  `size` int DEFAULT NULL COMMENT '页面大小',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单数据导出任务';

-- ----------------------------
-- Table structure for base_visualdev_function
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_function`;
CREATE TABLE `base_visualdev_function` (
  `func_id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '函数名',
  `method` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '函数方法',
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '函数描述',
  `example` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '示例',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号(越大排序越靠前)',
  `func_type` tinyint NOT NULL DEFAULT '0' COMMENT '函数类型(0-数据库自带函数,1-自定义解析函数)',
  `func_sql` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '自定义函数sql片段',
  `func_attr` tinyint DEFAULT NULL COMMENT '0-聚合函数\n1-统计函数\n2-日期和时间\n3-字符串函数\n4-逻辑函数\n5-数值函数\n6-数组函数\n7-自定义函数\n99-其他',
  `method_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '函数名称',
  `sub_query_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否包含子查询(1-是/0-否)',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`func_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单函数库';

-- ----------------------------
-- Table structure for base_visualdev_import_log
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_import_log`;
CREATE TABLE `base_visualdev_import_log` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '导入备注',
  `model_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `cube_id` int NOT NULL COMMENT '数据集ID',
  `is_truncate` tinyint NOT NULL DEFAULT '0' COMMENT '是否清空（0-否；1-是）',
  `rule` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '规则',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作员',
  `operator_id` bigint DEFAULT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '导入时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  `status` tinyint NOT NULL DEFAULT '0' COMMENT '任务状态（0-进行中；1-成功；2-失败；）',
  `file_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '文件路径',
  `file_size` bigint DEFAULT NULL COMMENT '文件大小（单位：字节）',
  `count` int DEFAULT '0' COMMENT '导入数量',
  `ext` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '扩展字段，比如存储错误信息',
  `take_up_time` decimal(10,3) DEFAULT '0.000' COMMENT '耗时（单位：秒）',
  `with_header` tinyint DEFAULT NULL COMMENT '是否带表头（0-不带；1-带）',
  `key_start` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '本次导入数据的开始主键',
  `key_end` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '本次导入数据的结束主键',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单数据导入';

-- ----------------------------
-- Table structure for base_visualdev_miniapp
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_miniapp`;
CREATE TABLE `base_visualdev_miniapp` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `home` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '首页',
  `user_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '用户 id',
  `app_title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '标题',
  `app_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单配置JSON',
  `app_common_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单通用配置JSON\n',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='可视化开发功能表';

-- ----------------------------
-- Table structure for base_visualdev_modeldata
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_modeldata`;
CREATE TABLE `base_visualdev_modeldata` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_VisualDevId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '功能ID',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '区分主子表-',
  `F_Data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '数据包',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='0代码功能数据表';

-- ----------------------------
-- Table structure for base_visualdev_recycle
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_recycle`;
CREATE TABLE `base_visualdev_recycle` (
  `id` bigint NOT NULL COMMENT '主键',
  `model_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `dblink_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据集ID号',
  `data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '删除的数据',
  `data_view` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '前端渲染',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '操作员',
  `operator_id` bigint NOT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单数据回收站';

-- ----------------------------
-- Table structure for base_visualdev_tab
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_tab`;
CREATE TABLE `base_visualdev_tab` (
  `F_Id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID号',
  `table_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表名称',
  `field_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单关联字段数据集ID',
  `column_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单关联字段列名称',
  `column_comment` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单关联字段列描述',
  `tab_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签名称',
  `tab_form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签表单ID',
  `tab_table_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签关联表名称',
  `tab_field_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签关联字段对应数据集ID',
  `tab_column_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签关联字段列名称',
  `tab_column_comment` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签关联字段列描述',
  `tab_sort` int DEFAULT '0' COMMENT '排序字段',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=79 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='页签表';

-- ----------------------------
-- Table structure for base_visualdev_table_foreign
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_table_foreign`;
CREATE TABLE `base_visualdev_table_foreign` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_Description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_FullName` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编码',
  `F_State` int DEFAULT NULL COMMENT '状态(0-暂存（默认），1-发布)',
  `F_Type` int DEFAULT NULL COMMENT '类型(1-应用开发,2-移动开发,3-流程表单)',
  `F_Table` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联的表',
  `F_Category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '分类（数据字典）',
  `F_FormData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单配置JSON',
  `F_ColumnData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '列表配置JSON',
  `F_Fields` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '功能字段JSON',
  `F_TemplateData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '前端模板JSON',
  `F_DbLinkId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联数据连接id',
  `F_FlowTemplateJson` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '工作流模板JSON',
  `F_WebType` int DEFAULT NULL COMMENT '页面类型（1、纯表单，2、表单加列表，3、表单列表工作流）',
  `F_FlowId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联工作流连接id',
  `web_scene` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '使用场景',
  `relation_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联数据JSON',
  `logic_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '逻辑数据',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `db_source_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据源id\n',
  `mode_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '模型类型（1低代码 2零代码）\n',
  `base_visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单 id',
  `foreign_column_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表关联字段 id',
  `foreign_column_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表关联字段名称',
  `primary_column_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '主表关联字段id',
  `primary_column_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表关联字段名称',
  PRIMARY KEY (`F_Id`) USING BTREE,
  KEY `base_visualdev_id` (`base_visualdev_id`,`F_DbLinkId`) USING BTREE,
  KEY `base_visualdev_id_index` (`base_visualdev_id`),
  KEY `F_DbLinkId_index` (`F_DbLinkId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='可视化开发功能表';

-- ----------------------------
-- Table structure for base_visualdev_table_primary
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_table_primary`;
CREATE TABLE `base_visualdev_table_primary` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_Description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_FullName` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编码',
  `F_State` int DEFAULT NULL COMMENT '状态(0-暂存（默认），1-发布)',
  `F_Type` int DEFAULT NULL COMMENT '类型(1-应用开发,2-移动开发,3-流程表单)',
  `F_Table` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联的表',
  `F_Category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '分类（数据字典）',
  `F_FormData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单配置JSON',
  `F_ColumnData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '列表配置JSON',
  `F_Fields` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '功能字段JSON',
  `F_TemplateData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '前端模板JSON',
  `F_DbLinkId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联数据连接id',
  `F_FlowTemplateJson` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '工作流模板JSON',
  `F_WebType` int DEFAULT NULL COMMENT '页面类型（1、纯表单，2、表单加列表，3、表单列表工作流）',
  `F_FlowId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联工作流连接id',
  `web_scene` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '使用场景',
  `relation_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联数据JSON',
  `logic_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '逻辑数据',
  `association_table` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联表',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `db_source_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据源id\n',
  `mode_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '模型类型（1低代码 2零代码）\n',
  `base_visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表数据集 id',
  `primary_table_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '主表表名',
  `primary_strategy` int NOT NULL COMMENT '主键策略 1 数据库自增  2 系统生成',
  `association_delete` int DEFAULT NULL COMMENT '是否关联删除 1 同时删除子表信息  2 只删除主表信息',
  `association_column_size` int NOT NULL DEFAULT '0' COMMENT '逻辑关联字段数量',
  `delete_data_check_reference_relation` int NOT NULL DEFAULT '0' COMMENT '删除数据是否检查引用关系 0 不检查 1 检查',
  `delete_data_ignoring_reference_relation_ids` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '删除数据检测时忽略的引用表单id集合',
  PRIMARY KEY (`F_Id`) USING BTREE,
  KEY `base_visualdev_id` (`base_visualdev_id`) USING BTREE,
  KEY `F_DbLinkId_index` (`F_DbLinkId`),
  KEY `base_visualdev_id_F_DbLinkId` (`F_DbLinkId`,`base_visualdev_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='可视化开发功能表';

-- ----------------------------
-- Table structure for base_visualdev_table_primary_association_column
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_table_primary_association_column`;
CREATE TABLE `base_visualdev_table_primary_association_column` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `visualdev_table_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主表单 id\n',
  `association_visualdev_table_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '被关联的预览表单 id',
  `association_cube_id` int NOT NULL COMMENT '被关联的数据集 id',
  `tenant_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `association_column_ids` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联表字段 id集合\n',
  `visualdev_table_column_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '主表字段 id\n',
  `association_type` int(10) unsigned zerofill DEFAULT NULL COMMENT '1 多行关联 2 多列关联',
  `plaintext` int(10) unsigned zerofill DEFAULT NULL COMMENT '是否铭文存储 0 主键存储 1 铭文存储',
  `association_primary_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联表主键 id',
  `association_separator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单分隔符',
  PRIMARY KEY (`F_Id`) USING BTREE,
  KEY `base_visualdev_id` (`visualdev_table_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='主表逻辑关联字段表';

-- ----------------------------
-- Table structure for reset_serialnumber
-- ----------------------------
DROP TABLE IF EXISTS `reset_serialnumber`;
CREATE TABLE `reset_serialnumber` (
  `id` int NOT NULL,
  `model_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '模型 id',
  `reset_cycle` int NOT NULL COMMENT '重置周期 0 不重置 1年2月3日4分\n',
  `start_value` bigint NOT NULL COMMENT '从几开始',
  `count` bigint NOT NULL DEFAULT '0' COMMENT '当前计数',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

SET FOREIGN_KEY_CHECKS = 1;
