-- MySQL dump 10.13  Distrib 5.7.29, for macos10.14 (x86_64)
--
-- Host: 127.0.0.1    Database: platomix_visualdev
-- ------------------------------------------------------
-- Server version	8.0.32

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

create database platomix_visualdev;
use platomix_visualdev;

--
-- Table structure for table `base_datainterface`
--

DROP TABLE IF EXISTS `base_datainterface`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_datainterface` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '主键ID',
  `F_CategoryId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '分组ID',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '接口名称',
  `F_Path` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL,
  `F_RequestMethod` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '请求方式',
  `F_ResponseType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '返回类型',
  `F_Query` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '查询语句',
  `F_RequestParameters` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '请求参数JSON',
  `F_ResponseParameters` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '返回参数JSON',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '接口编码',
  `F_SortCode` bigint NOT NULL COMMENT '排序码(默认0)',
  `F_EnabledMark` int NOT NULL COMMENT '状态(0-默认，禁用，1-启用)',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述或说明',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '创建用户id',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户id',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志(默认0)',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户id',
  `F_DbLinkId` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '数据源id',
  `F_DataType` int DEFAULT NULL COMMENT '数据类型(1-动态数据SQL查询，2-静态数据)',
  `F_CheckType` int DEFAULT NULL COMMENT '验证类型',
  `F_RequestHeaders` varchar(300) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '请求头参数',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='数据接口';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_datainterface`
--

LOCK TABLES `base_datainterface` WRITE;
/*!40000 ALTER TABLE `base_datainterface` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_datainterface` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_dictionarydata`
--

DROP TABLE IF EXISTS `base_dictionarydata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_dictionarydata` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '上级',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '编号',
  `F_SimpleSpelling` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '拼音',
  `F_IsDefault` int DEFAULT NULL COMMENT '默认',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_DictionaryTypeId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '类别主键',
  `F_UpdateTime` datetime DEFAULT NULL,
  `tenant_id` varchar(12) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '租户id',
  `mode_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单分类类型（1普通表单 2流程表单）\n',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='字典数据';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_dictionarydata`
--

LOCK TABLES `base_dictionarydata` WRITE;
/*!40000 ALTER TABLE `base_dictionarydata` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_dictionarydata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_dictionarytype`
--

DROP TABLE IF EXISTS `base_dictionarytype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_dictionarytype` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '上级',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '编号',
  `F_IsTree` int DEFAULT NULL COMMENT '树形',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `tenant_id` varchar(12) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='字典分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_dictionarytype`
--

LOCK TABLES `base_dictionarytype` WRITE;
/*!40000 ALTER TABLE `base_dictionarytype` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_dictionarytype` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_dictionarytype_test`
--

DROP TABLE IF EXISTS `base_dictionarytype_test`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_dictionarytype_test` (
  `f_id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `f_parentid` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '上级',
  `f_fullname` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `f_encode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '编号',
  `f_istree` int DEFAULT NULL COMMENT '树形',
  `f_description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `f_sortcode` bigint DEFAULT NULL COMMENT '排序',
  `f_enabledmark` int DEFAULT NULL COMMENT '有效标志',
  `f_creatortime` datetime DEFAULT NULL COMMENT '创建时间',
  `f_creatoruserid` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `f_lastmodifytime` datetime DEFAULT NULL COMMENT '修改时间',
  `f_lastmodifyuserid` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `f_deletemark` int DEFAULT NULL COMMENT '删除标志',
  `f_deletetime` datetime DEFAULT NULL COMMENT '删除时间',
  `f_deleteuserid` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `tenant_id` varchar(12) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`f_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='字典分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_dictionarytype_test`
--

LOCK TABLES `base_dictionarytype_test` WRITE;
/*!40000 ALTER TABLE `base_dictionarytype_test` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_dictionarytype_test` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_province`
--

DROP TABLE IF EXISTS `base_province`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_province` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域上级',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域编号',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域名称',
  `F_QuickQuery` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '快速查询',
  `F_Type` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域类型',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='行政区划';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_province`
--

LOCK TABLES `base_province` WRITE;
/*!40000 ALTER TABLE `base_province` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_province` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev`
--

DROP TABLE IF EXISTS `base_visualdev`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_Description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_FullName` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编码',
  `F_State` int DEFAULT NULL COMMENT '状态(0-暂存（默认），1-发布)',
  `F_Type` int DEFAULT NULL COMMENT '类型(1-应用开发,2-移动开发,3-流程表单)',
  `F_Table` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联的表',
  `F_Category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '分类（数据字典）',
  `F_FormData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单配置JSON',
  `F_ColumnData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '列表配置JSON',
  `F_Fields` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '功能字段JSON',
  `F_TemplateData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '前端模板JSON',
  `F_DbLinkId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联数据连接id',
  `F_FlowTemplateJson` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '工作流模板JSON',
  `F_WebType` int DEFAULT NULL COMMENT '页面类型（1、纯表单，2、表单加列表，3、表单列表工作流）',
  `F_FlowId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联工作流连接id',
  `web_scene` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '使用场景',
  `relation_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联数据JSON',
  `logic_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '逻辑数据',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `db_source_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据源id\n',
  `mode_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '模型类型（1低代码 2零代码）\n',
  `visualdev_table_type` int DEFAULT NULL COMMENT '表单类型（1单表 2多表）\n',
  `association_type` int DEFAULT NULL COMMENT '关联状态（1已经关联其他表 2尚未关联其他表）\n',
  `visualdev_icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表数据集 id',
  `secondary_table` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT 'F_table得子表字段',
  `association_relation` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联字段',
  `agg_cube_id` int DEFAULT '0' COMMENT '聚合数据集ID',
  `collection_status` int DEFAULT '0' COMMENT '是否开启收藏 0 关闭 1 开启',
  `remind_status` int DEFAULT '0' COMMENT '是否开启定时 0 关闭 1 开启',
  `row_permission_status` int DEFAULT '0' COMMENT '是否开启行权限 0 关闭 1 开启',
  `row_permission_json` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '行权限参数',
  `import_template_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '导入模板路径',
  `F_CreatorUserName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人名称',
  `F_LastModifyUserName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '最后修改人名称',
  PRIMARY KEY (`F_Id`) USING BTREE,
  KEY `simply` (`F_Type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='可视化开发功能表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev`
--

LOCK TABLES `base_visualdev` WRITE;
/*!40000 ALTER TABLE `base_visualdev` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_collection`
--

DROP TABLE IF EXISTS `base_visualdev_collection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_collection` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `data_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '数据主键',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单 数据收藏';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_collection`
--

LOCK TABLES `base_visualdev_collection` WRITE;
/*!40000 ALTER TABLE `base_visualdev_collection` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_collection` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_custom_button`
--

DROP TABLE IF EXISTS `base_visualdev_custom_button`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_custom_button` (
  `F_Id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `button_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '按钮名称',
  `button_type` int DEFAULT NULL COMMENT '按钮类型 1 自定义 2 系统',
  `button_status` int DEFAULT '0' COMMENT '按钮状态 0 启动 1 禁用 2 删除',
  `button_location` int DEFAULT '0' COMMENT '按钮位置 1 表头位置 2行数据操作位置',
  `button_info` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '按钮配置JSON',
  `event_num` int DEFAULT NULL COMMENT '关联事件数量',
  `button_condition` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '按钮判断条件 sql',
  `exec_type` int DEFAULT NULL COMMENT '执行模式 1 地址跳转 2 事件执行',
  `redirect_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '跳转地址 url',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单ID号',
  `is_window` smallint DEFAULT NULL COMMENT '弹窗信息(0=没有弹窗/1=有弹窗)',
  `window_tips` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '弹窗提示语(is_window=0配置)',
  `window_view_columns` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '弹窗展示表单数据(is_window=1配置,如配置redirect_url,以redirect_url地址优先)',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单自定义按钮表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_custom_button`
--

LOCK TABLES `base_visualdev_custom_button` WRITE;
/*!40000 ALTER TABLE `base_visualdev_custom_button` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_custom_button` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_custom_button_event`
--

DROP TABLE IF EXISTS `base_visualdev_custom_button_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_custom_button_event` (
  `F_Id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `button_id` bigint DEFAULT NULL COMMENT '按钮主键',
  `event_id` bigint DEFAULT NULL COMMENT '事件主键',
  `event_sort` int DEFAULT NULL COMMENT '事件执行顺序 从高到低',
  `execute_timing` int NOT NULL DEFAULT '0' COMMENT '事件执行时机 1 前置执行 2 后置执行',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单ID号',
  PRIMARY KEY (`F_Id`) USING BTREE,
  KEY `button_id` (`button_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单自定义按钮表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_custom_button_event`
--

LOCK TABLES `base_visualdev_custom_button_event` WRITE;
/*!40000 ALTER TABLE `base_visualdev_custom_button_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_custom_button_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_custom_button_event_log`
--

DROP TABLE IF EXISTS `base_visualdev_custom_button_event_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_custom_button_event_log` (
  `F_Id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `button_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '按钮名称',
  `button_id` bigint DEFAULT NULL COMMENT '按钮名称',
  `event_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '事件名称',
  `event_id` bigint DEFAULT NULL COMMENT '事件名称',
  `exec_status` int DEFAULT '0' COMMENT '事件执行状态 0 未开始 1 成功 2 失败',
  `event_datasource_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '事件数据源 id',
  `exec_log` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '事件执行日志',
  `exec_sql` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '事件执行 sql',
  `group_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '批次号',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单ID号',
  `node_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '流程节点',
  `event_type` tinyint DEFAULT NULL COMMENT '事件类型：0通过 1拒绝 2撤回 3转办',
  PRIMARY KEY (`F_Id`) USING BTREE,
  KEY ```event_id``, ``form_id``` (`event_id`,`form_id`) USING BTREE,
  KEY ```button_id``` (`button_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单自定义按钮表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_custom_button_event_log`
--

LOCK TABLES `base_visualdev_custom_button_event_log` WRITE;
/*!40000 ALTER TABLE `base_visualdev_custom_button_event_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_custom_button_event_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_custom_event`
--

DROP TABLE IF EXISTS `base_visualdev_custom_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_custom_event` (
  `F_Id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `event_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '事件名称',
  `event_datasource_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '事件数据源 id',
  `event_type` int DEFAULT NULL COMMENT '事件类型 0 sql模式 1 代码模式  2  jar 包执行',
  `execute_timing` int NOT NULL DEFAULT '0' COMMENT '事件执行时机 1 前置执行 2 后置执行',
  `event_status` int DEFAULT '0' COMMENT '事件状态 0 启动 1 禁用 2 删除',
  `event_sql` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT 'Sql 模式对应的 sql 语句',
  `event_value` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT 'Java 代码执行需要的参数',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单ID号',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单自定义事件表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_custom_event`
--

LOCK TABLES `base_visualdev_custom_event` WRITE;
/*!40000 ALTER TABLE `base_visualdev_custom_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_custom_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_customise`
--

DROP TABLE IF EXISTS `base_visualdev_customise`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_customise` (
  `id` bigint NOT NULL COMMENT '主键',
  `creator_time` datetime DEFAULT NULL COMMENT '创建时间',
  `creator_user_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `from_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '首页',
  `user_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '用户 id',
  `from_json` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单通用配置JSON\n',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `app_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '应用id',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `from_id` (`user_id`,`from_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='可视化开发功能表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_customise`
--

LOCK TABLES `base_visualdev_customise` WRITE;
/*!40000 ALTER TABLE `base_visualdev_customise` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_customise` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_data_log`
--

DROP TABLE IF EXISTS `base_visualdev_data_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_data_log` (
  `id` bigint NOT NULL COMMENT '主键',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `cube_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据集 id',
  `data_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '对应数据的ID',
  `column_id` int NOT NULL COMMENT '字段ID',
  `value_old` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '旧数据',
  `value_new` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '新数据',
  `action` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '操作类型（add-新增；delete-删除；update-修改；）',
  `time` datetime NOT NULL COMMENT '操作时间',
  `sn` bigint NOT NULL COMMENT '序列号，同一次的操作序列号相同',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作人',
  `operator_id` bigint DEFAULT NULL COMMENT '操作人ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='在线表单数据变更日志';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_data_log`
--

LOCK TABLES `base_visualdev_data_log` WRITE;
/*!40000 ALTER TABLE `base_visualdev_data_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_data_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_data_permission`
--

DROP TABLE IF EXISTS `base_visualdev_data_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `visualdev_perm_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单操作权限名称',
  `data_perm_id` int DEFAULT NULL COMMENT '权限组ID',
  `perm_json` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '操作权限JSON',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `is_default` tinyint NOT NULL DEFAULT '0' COMMENT '是否默认:0否 1是',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单操作权限';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_data_permission`
--

LOCK TABLES `base_visualdev_data_permission` WRITE;
/*!40000 ALTER TABLE `base_visualdev_data_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_data_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_export_task`
--

DROP TABLE IF EXISTS `base_visualdev_export_task`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_export_task` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `model_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `cube_id` int NOT NULL COMMENT '数据集ID',
  `is_all` tinyint NOT NULL DEFAULT '0' COMMENT '是否导出全部（0-非全部；1-全部）',
  `rule` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '导出规则',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作员',
  `operator_id` bigint DEFAULT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '导出时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  `status` tinyint NOT NULL DEFAULT '0' COMMENT '任务状态（0-进行中；1-成功；2-失败；）',
  `approve_status` tinyint DEFAULT NULL COMMENT '审批状态',
  `file_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '文件名称',
  `file_size` bigint DEFAULT NULL COMMENT '文件大小（单位：字节）',
  `count` int DEFAULT '0' COMMENT '导出条数',
  `ext` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '扩展字段，比如存储错误信息',
  `take_up_time` decimal(10,3) DEFAULT '0.000' COMMENT '耗时（单位：秒）',
  `current_page` int DEFAULT NULL COMMENT '当前页',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单数据导出任务';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_export_task`
--

LOCK TABLES `base_visualdev_export_task` WRITE;
/*!40000 ALTER TABLE `base_visualdev_export_task` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_export_task` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_flow_data`
--

DROP TABLE IF EXISTS `base_visualdev_flow_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_flow_data` (
  `id` bigint NOT NULL,
  `model_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '模型 id',
  `data_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '数据主键',
  `flow_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '流程 id',
  `process_definition_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '流程实例ID',
  `process_instance_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '流程实例ID',
  `version_data` int DEFAULT NULL COMMENT '提交版本 ',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='事务性表单数据和流程实例ID关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_flow_data`
--

LOCK TABLES `base_visualdev_flow_data` WRITE;
/*!40000 ALTER TABLE `base_visualdev_flow_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_flow_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_function`
--

DROP TABLE IF EXISTS `base_visualdev_function`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_function` (
  `func_id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '函数名',
  `method` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '函数方法',
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '函数描述',
  `example` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '示例',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号(越大排序越靠前)',
  `func_type` tinyint NOT NULL DEFAULT '0' COMMENT '函数类型(0-数据库自带函数,1-自定义解析函数)',
  `func_sql` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '自定义函数sql片段',
  `func_attr` tinyint DEFAULT NULL COMMENT '0-聚合函数\n1-统计函数\n2-日期和时间\n3-字符串函数\n4-逻辑函数\n5-数值函数\n6-数组函数\n7-自定义函数\n99-其他',
  `method_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '函数名称',
  `sub_query_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否包含子查询(1-是/0-否)',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`func_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单函数库';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_function`
--

LOCK TABLES `base_visualdev_function` WRITE;
/*!40000 ALTER TABLE `base_visualdev_function` DISABLE KEYS */;
INSERT INTO `base_visualdev_function` VALUES (1,'getCNDate','g.getCNDate()','用法：g.getCNDate(Date/String)\n示例：g.getCNDate(Date/String)，将时间类型转为中文字符串','','2023-09-13 17:06:25',0,0,'',2,'',0,'owteeh2'),(2,'toFixed','Number().toFixed()','用法：Number(Number).toFixed(Number1)//保留几位小数 ，返回string类型\n示例：Number([单价]).toFixed(2)，保留几位小数，会补零，但会四舍五入 返回是字符串','','2023-09-15 10:04:42',0,0,'',5,'',0,'owteeh2'),(3,'decimal','g.decimal()','用法：g.decimal(Number,Number1) //保留几位小数 ，返回Number类型\n示例：g.decimal([单价],2)//保留几位小数，不会补零，但会四舍五入 返回是数字','','2023-09-15 10:04:31',0,0,'',5,'',0,'owteeh2'),(4,'percent','g.percent()','用法：g.percent(Number,Number1)\n示例：g.percent(0.123456,2)，Number将数字转化为百分格式 返回String类型 ,Number1 保留几位小数，会补零，会四舍五入 返回是字符串','','2023-09-15 10:04:12',0,0,'',5,'',0,'owteeh2'),(5,'addDate','g.format(g.addDate(),\'yyyy-MM-dd HH:mm:ss\')','用法：g.addDate(Date/String,String,Number)\n示例：g.addDate(date, \'y\', 1)，//时间的加减，String中y表示年，M表示月，d表示天，h表示小时，m表示分钟，s表示秒，S表示毫秒，Number表示加减量','g.format(g.addDate([使用日期],\'y\',10),\'yyyy-MM-dd HH:mm:ss.S\')','2023-09-15 10:28:12',0,0,'',2,'',0,'owteeh2'),(6,'getWeek','g.getWeek()','用法：g.getWeek(Date/String,String)\n示例：g.getWeek(Date/String,String)，//获取星期，String 有\'CN-zhou\',\'CN-xingqi\',\'UK\',\'UK-suoxie\'','','2023-09-15 10:25:05',0,0,'',7,'',0,'owteeh2'),(7,'diff','g.diff()','用法：g.diff(Date/String,String,Date1)\n示例：g.diff(Date,String,Date1)，//时间的加减，String中y表示年，M表示月，d表示天，h表示小时，m表示分钟，s表示秒，S表示毫秒，Date2是Date1相差的时间（就是被减数 date2 - date1）','g.diff(Date/String,String,Date1)','2023-09-15 10:56:12',0,0,'',2,'',0,'owteeh2'),(8,'cuter','g.cuter()','用法：g.cuter(String,Number)\n示例：g.cuter(123456789,4)，千分符号Number代表间隔','','2023-09-21 14:25:25',0,0,'',3,'',0,'owteeh2'),(9,'trim','g.trim(\'\')','用法：g.trim(\'String\')\n示例：g.trim(\'String\')，将字符串把头尾两端的空格号去掉','','2023-09-21 14:12:51',0,0,'',3,'',0,'owteeh2'),(10,'getInt','g.getInt(\'\')','用法：g.getInt(\'String\')\n示例：g.getInt(\'String\')，提取字符串将保留字符串中的数字(包括负号)','','2023-09-21 14:16:14',0,0,'',3,'',0,'owteeh2'),(21,'numberChinese','function number_chinese() {     var num = parseFloat();     var strOutput = \"\",         strUnit = \'仟佰拾亿仟佰拾万仟佰拾元角分\';     num += \"00\";     var intPos = num.indexOf(\'.\');     if (intPos >= 0) {         num = num.substring(0, intPos) + num.substr(intPos + 1, 2);     }     strUnit = strUnit.substr(strUnit.length - num.length);     for (var i = 0; i < num.length; i++) {         strOutput += \'零壹贰叁肆伍陆柒捌玖\'.substr(num.substr(i, 1), 1) + strUnit.substr(i, 1);     }     return strOutput.replace(/零角零分$/, \'整\').replace(/零[仟佰拾]/g, \'零\').replace(/零{2,}/g, \'零\').replace(/零([亿|万])/g, \'$1\').replace(/零+元/, \'元\').replace(/亿零{0,3}万/, \'亿\').replace(/^元/, \"零元\") } number_chinese()//在parseFloat()括号内插入变量','function number_chinese() {\n    var num = parseFloat([成人数量]);\n    var strOutput = \"\",\n        strUnit = \'仟佰拾亿仟佰拾万仟佰拾元角分\';\n    num += \"00\";\n    var intPos = num.indexOf(\'.\');\n    if (intPos >= 0) {\n        num = num.substring(0, intPos) + num.substr(intPos + 1, 2);\n    }\n    strUnit = strUnit.substr(strUnit.length - num.length);\n    for (var i = 0; i < num.length; i++) {\n        strOutput += \'零壹贰叁肆伍陆柒捌玖\'.substr(num.substr(i, 1), 1) + strUnit.substr(i, 1);\n    }\n    return strOutput.replace(/零角零分$/, \'整\').replace(/零[仟佰拾]/g, \'零\').replace(/零{2,}/g, \'零\').replace(/零([亿|万])/g, \'$1\').replace(/零+元/, \'元\').replace(/亿零{0,3}万/, \'亿\').replace(/^元/, \"零元\")\n}\nnumber_chinese()//在parseFloat()括号内插入变量','','2023-09-21 14:25:52',0,0,'',7,'',0,'owteeh2'),(22,'getNum','g.getNum(\'\')','用法：g.getNum(\'String\')\n示例：g.getNum(\'String\')，提取字符串将保留字符串中的数字','g.getNum(\'String\')','2024-05-31 10:25:46',0,0,'',3,'',0,'owteeh2'),(23,'getFloat','g.getFloat(\'\')','用法：g.getFloat(\'String\')\n示例：g.getFloat(\'String\')，提取字符串将保留字符串中的数字（包括负号和点号）','','2023-09-21 14:17:31',0,0,'',3,'',0,'owteeh2'),(24,'getCN','g.getCN(\'\')','用法：g.getCN(\'String\')\n示例：g.getCN(\'String\')，提取字符串将保留字符串里面的中文字符','','2023-09-21 14:19:23',0,0,'',3,'',0,'owteeh2'),(25,'getLen','g.getLen(\'\')','用法：g.getLen(\'String\')\n示例：g.getLen(\'String\')，获取字符串的字节长度','','2023-09-21 14:21:09',0,0,'',3,'',0,'owteeh2'),(26,'getFileName','g.getFileName(\'\')','用法：g.getFileName(\'String\')\n示例：g.getFileName(\'String\')，提取字符串获取文件名称（包括文件的扩展名）','','2023-09-21 14:22:36',0,0,'',3,'',0,'owteeh2'),(27,'guid','g.guid()','用法：g.guid(Number1,Number2)\n示例：g.guid(Number1,Number2)，获取随机码，Number1表示随机码的长度，默认为36位码，Number2表示进制，默认为64进制','','2023-09-21 14:27:33',0,0,'',3,'',0,'owteeh2'),(28,'lenWithZero','g.lenWithZero()','用法：g.lenWithZero(Number,Number1)\n示例：g.lenWithZero(30,5)，往前面补0直到Number1位 返回是字符串','','2023-09-21 14:29:07',0,0,'',5,'',0,'owteeh2'),(29,'toFixed','Number().toFixed()','用法：Number(Number).toFixed(Number1)\n示例：Number(12.6).toFixed(2)，保留几位小数，会补零，但会四舍五入 返回是字符串','','2023-09-21 14:31:19',0,0,'',5,'',0,'owteeh2'),(30,'format','g.format(Date/String,\'yyyy-MM-dd HH:mm:ss.S\')','用法：g.format(Date/String,String)\n示例：g.format(\'2010-01-01\',\'yyyy-MM-dd HH:mm:ss.S\')，将时间转化为指定的格式','','2023-09-21 14:46:25',0,0,'',2,'',0,'owteeh2'),(31,'duration','g.duration()','用法：g.duration(Number,String,String1)\n示例：g.duration(36060,\'h小时m分钟\',\'s\')，//String表示指定的格式,String1表示单位 s表示秒，m表示分钟，S表示毫秒，h表示小时，d表示天，M表示月，y表示年','','2023-09-21 14:49:28',0,0,'',2,'',0,'owteeh2'),(32,'g.sum','g.sum()','//*------子表单中数值的总和 --------*/ \n                    var str1 = [3, 2, 6, 4, 8];\n                    var str2 = g.sum(str1);\n                    console.log(str2); //str2就是\'23\';','g.sum([1,2,3,4,5])','2024-05-30 19:08:10',0,0,'',1,'',0,'owteeh2'),(33,'avg','g.avg()','//*------子表单中数值的平均值 --------*/ \n                     //例如： \n                    var str1 = [3, 2, 6, 4, 8];\n                    var str2 = g.avg(str1);\n                    console.log(str2); //str2就是\'4.6\';','g.avg([1,3,4,5])','2024-05-31 10:25:54',0,0,'',1,'',0,'owteeh2'),(34,'333','333','33','3333','2024-07-11 18:03:59',0,0,'',7,'',1,'owteeh2');
/*!40000 ALTER TABLE `base_visualdev_function` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_import_log`
--

DROP TABLE IF EXISTS `base_visualdev_import_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_import_log` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '导入备注',
  `model_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `cube_id` int NOT NULL COMMENT '数据集ID',
  `is_truncate` tinyint NOT NULL DEFAULT '0' COMMENT '是否清空（0-否；1-是）',
  `rule` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '规则',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作员',
  `operator_id` bigint DEFAULT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '导入时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  `status` tinyint NOT NULL DEFAULT '0' COMMENT '任务状态（0-进行中；1-成功；2-失败；）',
  `file_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '文件路径',
  `file_size` bigint DEFAULT NULL COMMENT '文件大小（单位：字节）',
  `count` int DEFAULT '0' COMMENT '导入数量',
  `ext` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '扩展字段，比如存储错误信息',
  `take_up_time` decimal(10,3) DEFAULT '0.000' COMMENT '耗时（单位：秒）',
  `with_header` tinyint DEFAULT NULL COMMENT '是否带表头（0-不带；1-带）',
  `key_start` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '本次导入数据的开始主键',
  `key_end` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '本次导入数据的结束主键',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单数据导入';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_import_log`
--

LOCK TABLES `base_visualdev_import_log` WRITE;
/*!40000 ALTER TABLE `base_visualdev_import_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_import_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_label_group`
--

DROP TABLE IF EXISTS `base_visualdev_label_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_label_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `visualdev_perm_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单操作权限名称',
  `data_perm_id` int DEFAULT NULL COMMENT '权限组ID',
  `label_json` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '标签json',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单 标签权限';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_label_group`
--

LOCK TABLES `base_visualdev_label_group` WRITE;
/*!40000 ALTER TABLE `base_visualdev_label_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_label_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_label_permission`
--

DROP TABLE IF EXISTS `base_visualdev_label_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_label_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `visualdev_perm_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单操作权限名称',
  `data_perm_id` int DEFAULT NULL COMMENT '权限组ID',
  `label_group_id` int DEFAULT NULL COMMENT '标签组 id',
  `label_json` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '标签json',
  `label_css` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '标签样式',
  `label_ext1` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '标签样式',
  `label_ext2` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '标签样式',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `label_status` tinyint NOT NULL DEFAULT '0' COMMENT '0开启 1关闭',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单 标签权限';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_label_permission`
--

LOCK TABLES `base_visualdev_label_permission` WRITE;
/*!40000 ALTER TABLE `base_visualdev_label_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_label_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_miniapp`
--

DROP TABLE IF EXISTS `base_visualdev_miniapp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_miniapp` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `home` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '首页',
  `user_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '用户 id',
  `app_title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '标题',
  `app_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单配置JSON',
  `app_common_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单通用配置JSON\n',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='可视化开发功能表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_miniapp`
--

LOCK TABLES `base_visualdev_miniapp` WRITE;
/*!40000 ALTER TABLE `base_visualdev_miniapp` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_miniapp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_modeldata`
--

DROP TABLE IF EXISTS `base_visualdev_modeldata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_modeldata` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_VisualDevId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '功能ID',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '区分主子表-',
  `F_Data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '数据包',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='0代码功能数据表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_modeldata`
--

LOCK TABLES `base_visualdev_modeldata` WRITE;
/*!40000 ALTER TABLE `base_visualdev_modeldata` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_modeldata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_permission`
--

DROP TABLE IF EXISTS `base_visualdev_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `data_perm_id` int DEFAULT NULL COMMENT '权限组ID',
  `visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单权限';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_permission`
--

LOCK TABLES `base_visualdev_permission` WRITE;
/*!40000 ALTER TABLE `base_visualdev_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_recycle`
--

DROP TABLE IF EXISTS `base_visualdev_recycle`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_recycle` (
  `id` bigint NOT NULL COMMENT '主键',
  `model_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `dblink_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据集ID号',
  `data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '删除的数据',
  `data_view` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '前端渲染',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '操作员',
  `operator_id` bigint NOT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单数据回收站';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_recycle`
--

LOCK TABLES `base_visualdev_recycle` WRITE;
/*!40000 ALTER TABLE `base_visualdev_recycle` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_recycle` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_remind`
--

DROP TABLE IF EXISTS `base_visualdev_remind`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_remind` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `data_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '数据主键',
  `domain_name_url` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '域名',
  `remind_subject` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '提醒主题',
  `remind_content` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '提醒内容',
  `remind_status` int NOT NULL DEFAULT '0' COMMENT '提醒状态 0 待提醒 1 已提醒 2提醒失败',
  `remind_time` datetime NOT NULL COMMENT '提醒日期',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `remind_user_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '提醒 id',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `remind_status` (`remind_status`,`remind_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单 数据提醒';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_remind`
--

LOCK TABLES `base_visualdev_remind` WRITE;
/*!40000 ALTER TABLE `base_visualdev_remind` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_remind` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_scene`
--

DROP TABLE IF EXISTS `base_visualdev_scene`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_scene` (
  `id` bigint NOT NULL COMMENT '主键',
  `creator_time` datetime DEFAULT NULL COMMENT '创建时间',
  `creator_user_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `visualdev_perm_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单操作权限名称',
  `data_perm_id` int DEFAULT NULL COMMENT '权限组ID',
  `scene_order` int DEFAULT NULL COMMENT '排序字段',
  `scene_title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '场景名称',
  `from_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '首页',
  `user_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '用户 id',
  `from_json` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单通用配置JSON\n',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `app_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '应用id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单场景';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_scene`
--

LOCK TABLES `base_visualdev_scene` WRITE;
/*!40000 ALTER TABLE `base_visualdev_scene` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_scene` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_tab`
--

DROP TABLE IF EXISTS `base_visualdev_tab`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_tab` (
  `F_Id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID号',
  `table_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表名称',
  `field_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单关联字段数据集ID',
  `column_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单关联字段列名称',
  `column_comment` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单关联字段列描述',
  `tab_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签名称',
  `tab_form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签表单ID',
  `tab_table_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签关联表名称',
  `tab_field_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签关联字段对应数据集ID',
  `tab_column_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签关联字段列名称',
  `tab_column_comment` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '页签关联字段列描述',
  `tab_sort` int DEFAULT '0' COMMENT '排序字段',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='页签表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_tab`
--

LOCK TABLES `base_visualdev_tab` WRITE;
/*!40000 ALTER TABLE `base_visualdev_tab` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_tab` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_table_foreign`
--

DROP TABLE IF EXISTS `base_visualdev_table_foreign`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_table_foreign` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_Description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_FullName` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编码',
  `F_State` int DEFAULT NULL COMMENT '状态(0-暂存（默认），1-发布)',
  `F_Type` int DEFAULT NULL COMMENT '类型(1-应用开发,2-移动开发,3-流程表单)',
  `F_Table` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联的表',
  `F_Category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '分类（数据字典）',
  `F_FormData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单配置JSON',
  `F_ColumnData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '列表配置JSON',
  `F_Fields` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '功能字段JSON',
  `F_TemplateData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '前端模板JSON',
  `F_DbLinkId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联数据连接id',
  `F_FlowTemplateJson` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '工作流模板JSON',
  `F_WebType` int DEFAULT NULL COMMENT '页面类型（1、纯表单，2、表单加列表，3、表单列表工作流）',
  `F_FlowId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联工作流连接id',
  `web_scene` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '使用场景',
  `relation_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联数据JSON',
  `logic_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '逻辑数据',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `db_source_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据源id\n',
  `mode_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '模型类型（1低代码 2零代码）\n',
  `base_visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单 id',
  `foreign_column_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表关联字段 id',
  `foreign_column_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表关联字段名称',
  `primary_column_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '主表关联字段id',
  `primary_column_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表关联字段名称',
  PRIMARY KEY (`F_Id`) USING BTREE,
  KEY `base_visualdev_id` (`base_visualdev_id`,`F_DbLinkId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='可视化开发功能表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_table_foreign`
--

LOCK TABLES `base_visualdev_table_foreign` WRITE;
/*!40000 ALTER TABLE `base_visualdev_table_foreign` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_table_foreign` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_table_import_config`
--

DROP TABLE IF EXISTS `base_visualdev_table_import_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_table_import_config` (
  `F_Id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID号',
  `status` smallint NOT NULL DEFAULT '0' COMMENT '状态(1=开启/0=关闭)默认为开启',
  `preset_columns` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '预置列信息',
  `data_preset_exec` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '数据预处理代码',
  `import_preset_exec` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '导入预处理代码',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据批量导入配置';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_table_import_config`
--

LOCK TABLES `base_visualdev_table_import_config` WRITE;
/*!40000 ALTER TABLE `base_visualdev_table_import_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_table_import_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_table_primary`
--

DROP TABLE IF EXISTS `base_visualdev_table_primary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_table_primary` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_Description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_FullName` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编码',
  `F_State` int DEFAULT NULL COMMENT '状态(0-暂存（默认），1-发布)',
  `F_Type` int DEFAULT NULL COMMENT '类型(1-应用开发,2-移动开发,3-流程表单)',
  `F_Table` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联的表',
  `F_Category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '分类（数据字典）',
  `F_FormData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单配置JSON',
  `F_ColumnData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '列表配置JSON',
  `F_Fields` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '功能字段JSON',
  `F_TemplateData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '前端模板JSON',
  `F_DbLinkId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联数据连接id',
  `F_FlowTemplateJson` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '工作流模板JSON',
  `F_WebType` int DEFAULT NULL COMMENT '页面类型（1、纯表单，2、表单加列表，3、表单列表工作流）',
  `F_FlowId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联工作流连接id',
  `web_scene` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '使用场景',
  `relation_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联数据JSON',
  `logic_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '逻辑数据',
  `association_table` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联表',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `db_source_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据源id\n',
  `mode_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '模型类型（1低代码 2零代码）\n',
  `base_visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表数据集 id',
  `primary_table_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '主表表名',
  `primary_strategy` int NOT NULL COMMENT '主键策略 1 数据库自增  2 系统生成',
  `association_delete` int DEFAULT NULL COMMENT '是否关联删除 1 同时删除子表信息  2 只删除主表信息',
  `association_column_size` int NOT NULL DEFAULT '0' COMMENT '逻辑关联字段数量',
  `delete_data_check_reference_relation` int NOT NULL DEFAULT '0' COMMENT '删除数据是否检查引用关系 0 不检查 1 检查',
  `delete_data_ignoring_reference_relation_ids` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '删除数据检测时忽略的引用表单id集合',
  PRIMARY KEY (`F_Id`) USING BTREE,
  KEY `base_visualdev_id` (`base_visualdev_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='可视化开发功能表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_table_primary`
--

LOCK TABLES `base_visualdev_table_primary` WRITE;
/*!40000 ALTER TABLE `base_visualdev_table_primary` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_table_primary` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_table_primary_association_column`
--

DROP TABLE IF EXISTS `base_visualdev_table_primary_association_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `base_visualdev_table_primary_association_column` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `visualdev_table_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主表单 id\n',
  `association_visualdev_table_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '被关联的预览表单 id',
  `association_cube_id` int NOT NULL COMMENT '被关联的数据集 id',
  `tenant_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `association_column_ids` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联表字段 id集合\n',
  `visualdev_table_column_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '主表字段 id\n',
  `association_type` int(10) unsigned zerofill DEFAULT NULL COMMENT '1 多行关联 2 多列关联',
  `plaintext` int(10) unsigned zerofill DEFAULT NULL COMMENT '是否铭文存储 0 主键存储 1 铭文存储',
  `association_primary_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联表主键 id',
  `association_separator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表单分隔符',
  PRIMARY KEY (`F_Id`) USING BTREE,
  KEY `base_visualdev_id` (`visualdev_table_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='主表逻辑关联字段表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_table_primary_association_column`
--

LOCK TABLES `base_visualdev_table_primary_association_column` WRITE;
/*!40000 ALTER TABLE `base_visualdev_table_primary_association_column` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_table_primary_association_column` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reset_serialnumber`
--

DROP TABLE IF EXISTS `reset_serialnumber`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reset_serialnumber` (
  `id` int NOT NULL,
  `model_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '模型 id',
  `reset_cycle` int NOT NULL COMMENT '重置周期 0 不重置 1年2月3日4分\n',
  `start_value` bigint NOT NULL COMMENT '从几开始',
  `count` bigint NOT NULL DEFAULT '0' COMMENT '当前计数',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='流水号记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reset_serialnumber`
--

LOCK TABLES `reset_serialnumber` WRITE;
/*!40000 ALTER TABLE `reset_serialnumber` DISABLE KEYS */;
/*!40000 ALTER TABLE `reset_serialnumber` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-11-13 17:55:01
