/*
 * Copyright (c) 2018-2028, AoKunSang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.datasource.model;

import lombok.Data;

import java.io.Serializable;
import org.springblade.datasource.enums.DsTypeEnum;

/**
 * 数据源Dto
 *
 * @author wookvn
 * @datetime 2025-01-13 16:37:31
 */
@Data
public class DatasourceDto implements Serializable {

    private Integer id;
    /**
     * ip地址
     */
    private String dsIp;
    /**
     * 端口
     */
    private Integer dsPort;
    /**
     * 数据库名/SID
     */
    private String dsDb;
    /**
     * 连接url
     */
    private String url;
    /**
     * 连接唯一标识符
     */
    private String poolName;
    /**
     * driverClassName
     */
    private String driverClassName;
    /**
     * 用户名
     */
    private String dsUser;
    /**
     * 密码
     */
    private String dsPassword;
    /**
     * 数据库schema
     */
    private String dbSchema;
    /**
     * 数据源类型
     */
    private DsTypeEnum dsTypeSyl;
    /**
     * 数据源连接参数
     */
    private String customConnectProperties;
}
