/**
 * 
 */
package org.springblade.datasource.model;

import lombok.Data;
import org.springblade.datasource.enums.DetailColumnTypeEnum;
import org.springblade.datasource.enums.ViewColumnTypeEnum;

import java.io.Serializable;

/**
 * @author wookvn
 *
 */
@Data
public class TableColumnDto implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 字段名称
	 */
	private String columnName;

	/**
	 * 字段注释
	 */
	private String columnComments;

	/**
	 * 字段类型
	 */
	private String dataType;

	/**
	 * 字段大小(对于 numeric 和 decimal 类型,列的精度)
	 */
	private Integer columnSize;
	
	/**
	 * 小数部分位数
	 */
	private Integer decimalDigits;
	
	/**
	 * 字段归类大类类型
	 */
	private ViewColumnTypeEnum columnType;
	
	/**
	 * 字段归类细化类型
	 */
	private DetailColumnTypeEnum detailColumnType;
	
	/**
	 * 是否允许为NULL(1-是/0-否)
	 */
	private Integer nullAbleStatus;
	
    /**
     * 是否主键(1-是/0-否)
     */
    private Integer primaryKeyStatus;
    
    /**
     * 是否自增
     */
    private Integer autoIncrementStatus = 0;

	//冗余字段，目前仅用于业务处理
	private String tableName;
	private String tableAlias;
}