/**
 * 
 */
package org.springblade.core.boot.properties;

import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;

import lombok.Data;

/**
 * @author wookvn
 *	
 *	openfeign 远程请求，拦截器校验规则设置
 */
@Data
@ConfigurationProperties("blade.openfeign")
public class OpenFeignProperties {

	/**
	 * 消费端调用服务端的时间误差 【默认15000ms】
	 */
	private long invokeTimeErrorMills = 15000;
	
	/**
	 * 是否校验内网IP
	 */
	private boolean checkInnerIp = true;
	
	/**
	 * 是否开启时间戳校验
	 */
	private boolean checkTimeError = true;
	
	/**
	 * 支持哪些服务
	 */
	private List<String> serviceName;
}
