/*
 * Copyright (c) 2018-2028, aokunsang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.core.boot.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 线程池配置类
 *
 * @author wookvn
 * @datetime 2024-10-23 17:53:12
 */
@Data
@ConfigurationProperties("blade.thread-pool")
public class ThreadPoolProperties {

    /**
     * 核心线程数
     */
    private int corePoolSize = 5;

    /**
     * 最大线程数
     */
    private int maxPoolSize = Integer.MAX_VALUE;

    /**
     * 队列容量
     */
    private int keepAliveSeconds = 60;

    /**
     * 存活时间
     */
    private int queueCapacity = Integer.MAX_VALUE;

    /**
     * 是否允许超时out
     */
    private boolean allowCoreThreadTimeOut = false;

}
