/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.core.constant;

/**
 * 系统默认角色
 *
 * @author Chill
 */
public interface RoleConstant {

	public static final String ADMINISTRATOR = "administrator";

	public static final String HAS_ROLE_ADMINISTRATOR = "hasRole('" + ADMINISTRATOR + "')";

	public static final String ADMIN = "admin";

	public static final String HAS_ROLE_ADMIN = "hasAnyRole('" + ADMINISTRATOR + "', '" + ADMIN + "')";

	public static final String USER = "user";

	public static final String HAS_ROLE_USER = "hasRole('" + USER + "')";

	public static final String TEST = "test";

	public static final String HAS_ROLE_TEST = "hasRole('" + TEST + "')";

}
