/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.core.constant;

/**
 * Token配置常量.
 *
 * @author Chill
 */
public interface TokenConstant {

	String AVATAR = "avatar";
	String HEADER = "Blade-Auth";
	String APP_ID = "App-Id";
	String BEARER = "bearer";
	String ACCESS_TOKEN = "access_token";
	String REFRESH_TOKEN = "refresh_token";
	String TOKEN_TYPE = "token_type";
	String EXPIRES_IN = "expires_in";
	String ACCOUNT = "account";
	String USER_NAME = "user_name";
	String NICK_NAME = "nick_name";
	String REAL_NAME = "real_name";
	String USER_ID = "user_id";
	String DEPT_ID = "dept_id";
	String POST_ID = "post_id";
	String ROLE_ID = "role_id";
	String ROLE_NAME = "role_name";
	String TENANT_ID = "tenant_id";
	String OAUTH_ID = "oauth_id";
	String CLIENT_ID = "client_id";
	String MOBILE = "mobile";
	String DETAIL = "detail";
	String LICENSE = "license";
	String LICENSE_NAME = "powered by platomix";
	String DEFAULT_AVATAR = "";
	Integer AUTH_LENGTH = 7;
	
	String OPENID = "openid";
	String IS_ADMINISTRATOR = "isAdministrator";
	String IS_OPERATION = "isOperation";
	String USER_EXT = "userExtJson";
	String USER_FLAG = "userFlag";

	//集成第三方的ID - 存放到user.detail中
	String THIRD_USER_ID = "thirdUserId";
	String THIRD_DEPT_ID = "thirdDeptId";
	String THIRD_POST_ID = "thirdPostId";
	String THIRD_ROLE_ID = "thirdRoleId";

	//岗位名称，部门名称，角色名称，生日，性别 - 存入user.detail
	String PT_POST_NAME = "postName";
	String PT_ROLE_NAME = "roleName";
	String PT_DEPT_NAME = "deptName";
	//格式化: yyyy-MM-dd
	String PT_BIRTHDAY = "birthDay";
	String PT_SEX = "sex";

}
