/**
 * 
 */
package org.springblade.core.log.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wookvn
 *
 */
@Data
@ConfigurationProperties("blade.log")
public class PlatomixLogProperties {

	/**
	 * 是否开启请求日志
	 */
	private Boolean apiLogEnabled = true;

	/**
	 * 是否开启异常日志
	 */
	private Boolean errorLogEnabled = true;
	
	/**
	 * 是否开启常规日志
	 */
	private Boolean usualLogEnabled = true;

	/**
	 * API接口是否显示错误的详细信息
	 */
	private Boolean apiDetailInfoEnabled = true;

	/**
	 * API接口显示base64的编码
	 */
	private Boolean apiDetailInfoBase64Enabled = false;

	/**
	 * 错误信息转换
	 */
	private List<LogMessageConvert> msgConvertList = new ArrayList<>();

}
