/*
 * Copyright (c) 2018-2028, AoKunSang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.core.mp.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 定义entity的业务ID字段
 * @author wookvn
 * @datetime 2024-12-24 14:54:49
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface TableBizId {

    /**
     * <p>定义数据库表的字段名</p>
     * @author wookvn
     * @datetime 2024-12-24 14:56:04
     * @return java.lang.String
     **/
    String value() default "";
}
