/*
 *      Copyright (c) 2018-2028, DreamLu All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: DreamLu 卢春梦 (596392912@qq.com)
 */
package org.springblade.core.tool.utils;

/**
 * 静态 String 池
 *
 * @author L.cm
 */
public interface StringPool {

	String AMPERSAND		= "&";
	String AND				= "and";
	String AT				= "@";
	String ASTERISK			= "*";
	String STAR				= ASTERISK;
	String SLASH			= "/";
	String BACK_SLASH		= "\\";
	String DOUBLE_SLASH		= "#//";
	String COLON			= ":";
	String COMMA			= ",";
	String DASH				= "-";
	String DOLLAR			= "$";
	String DOT				= ".";
	String EMPTY			= "";
	String EMPTY_JSON 		= "{}";
	String EQUALS			= "=";
	String FALSE			= "false";
	String HASH				= "#";
	String HAT				= "^";
	String LEFT_BRACE		= "{";
	String LEFT_BRACKET		= "(";
	String LEFT_CHEV		= "<";
	String NEWLINE			= "\n";
	String N				= "n";
	String NO				= "no";
	String NULL				= "null";
	String OFF				= "off";
	String ON				= "on";
	String PERCENT			= "%";
	String PIPE				= "|";
	String PLUS				= "+";
	String QUESTION_MARK	= "?";
	String EXCLAMATION_MARK	= "!";
	String QUOTE			= "\"";
	String RETURN			= "\r";
	String TAB				= "\t";
	String RIGHT_BRACE		= "}";
	String RIGHT_BRACKET	= ")";
	String RIGHT_CHEV		= ">";
	String SEMICOLON		= ";";
	String SINGLE_QUOTE		= "'";
	String BACKTICK			= "`";
	String SPACE			= " ";
	String TILDA			= "~";
	String LEFT_SQ_BRACKET	= "[";
	String RIGHT_SQ_BRACKET	= "]";
	String TRUE				= "true";
	String UNDERSCORE		= "_";
	String UTF_8			= "UTF-8";
	String GBK				= "GBK";
	String ISO_8859_1 		= "ISO-8859-1";
	String Y				= "y";
	String YES				= "yes";
	String ONE				= "1";
	String ZERO				= "0";
	String MINUS_ONE		= "-1";
	String DOLLAR_LEFT_BRACE= "${";
	String UNKNOWN			= "unknown";
	String GET				= "GET";
	String POST				= "POST";

}
