/**
 * 
 */
package org.springblade.message.model;

import java.util.Collection;
import java.util.Map;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import lombok.experimental.SuperBuilder;

/**
 * @author wookvn
 *
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@SuperBuilder(toBuilder = true)
@EqualsAndHashCode(callSuper = true)
public class SmsMsgRequest extends MsgRequest {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 短信数据
	 */
	private SmsInfo smsInfo;
	
	/**
	 * 参数列表
	 */
	private Map<String, String> params;
	
	/**
	 * 手机号码列表
	 */
	private Collection<String> phones;
}
