drop table if exists digital_operation.visual_template;
create table digital_operation.visual_template(
                                id                int auto_increment comment '主键'
                                    primary key,
                                title             varchar(255)                       null comment '大屏标题',
                                background_url    longtext                           null comment '大屏背景',
                                category          int(2)                             null comment '大屏类型',
                                history_report_id int                                null comment '历史报告id',
                                password          varchar(255)                       null comment '发布密码',
                                user_str          varchar(255)                       null comment '用户ID组',
                                create_user       bigint(64)                         null comment '创建人',
                                create_dept       bigint(64)                         null comment '创建部门',
                                create_time       datetime default CURRENT_TIMESTAMP null comment '创建时间',
                                update_user       bigint(64)                         null comment '修改人',
                                update_time       datetime default CURRENT_TIMESTAMP null comment '修改时间',
                                status            int(2)   default 1                 null comment '状态',
                                is_deleted        int(2)   default 0                 null comment '是否已删除',
                                order_index       int(2)                             null comment '排序值 从小到大排序',
                                content           longtext                           null comment '组件内容JSON',
                                public_status     tinyint  default 0                 not null comment '大屏公开状态',
                                visual_type       tinyint  default 0                 not null comment '大屏类型(0-普通大屏/1-我的收藏/2-我的报告)',
                                ref_visual_id     int                                null comment '复制大屏ID',
                                power_point_id    int                                null comment '幻灯片ID',
                                visual_data_type  int      default 0                 not null comment '是否为自主报表 1：是，0：否',
                                is_mobile         int      default 0                 not null comment '是否为移动大屏(0:否，1:是)',
                                mobile_content    longtext                           null comment '移动组件json内容',
                                tenant_id         varchar(12)                        null comment '租户id',
                                publish_status    int      default 0                 not null comment '发布状态'
) comment '大屏模板表';

alter table base_visualdev_export_task add column approve_status tinyint null comment '审批状态';