-- [BI模块] - 王坤 - 20230310 - 数据源表添加模式字段
alter table report_datasource
	add column db_schema varchar(255) comment '模式';

-- [BI模块] - 何亚博 - 20230321 - 幻灯片绑定权限组设计的表字段新增
alter table visual_power_point_info
    add public_status int default 0 null comment '幻灯片是否公共可见 1：是，0：否';

-- [BI模块] - 何亚博 - 20230321- 三方web嵌入接入权限组涉及的新增字段
alter table visual_login_free_link
    add public_status int default 0 null comment '是否公共可见 1：是，0：否';

-- [BI模块] - 何亚博 - 20230321 - 三方web嵌入绑定权限组
drop table if exists visual_login_free_link_permission;
create table visual_login_free_link_permission
(
    id             int(11) auto_increment primary key comment 'id',
    link_id        int(11) not null comment '三方接入web的id',
    data_perm_id   int(11) null comment '权限组id',
    create_time    datetime default now() null comment '创建时间',
    create_by      varchar(50) null comment '创建人',
    create_user_id bigint(20) null comment '创建人id'
);

-- [BI模块] - 何亚博 - 20230321 - 自主报表公用大屏表新增区分大屏报表字段
alter table visual_data
    add visual_data_type int default 0 not null comment '是否为自主报表 1：是，0：否';


-- [BI模块] - 何亚博 - 20230321 - 自主报表分类功能
drop table if exists visual_self_report_category;
create table visual_self_report_category
(
    id             int auto_increment comment '主键'
        primary key,
    parent_id      int    default 0 not null comment '父分类id',
    classify_type  int(2) null comment '分类类型 1 pc端 2 移动端',
    category_key   varchar(500) null comment '分类键值',
    category_value varchar(64) null comment '分类名称',
    is_deleted     int(2) default 0 not null comment '是否已删除',
    sort_num       int(10) default 0 not null comment '排序',
    create_user_id bigint default 0 not null comment '创建人ID',
    create_time    datetime         not null comment '创建时间'
) comment '自主报表分类表';

-- [BI模块] - 何亚博 - 20230321 - 自主报表绑定权限组功能
drop table if exists visual_self_report_permission;
create table visual_self_report_permission
(
    id             int auto_increment
        primary key,
    self_report_id int         not null comment '报表ID',
    data_perm_id   int         not null comment '权限组ID',
    create_time    datetime    not null comment '创建时间',
    create_by      varchar(50) not null comment '创建人',
    create_user_id bigint      not null comment '创建人ID'
) comment '自主报表权限组';

-- [几何System] - 何亚博 - 20230322 - 记录用户点击菜单，并查询点击量最高的N条数据
drop table if exists user_click_menu_record;
create table user_click_menu_record
(
    id            int(11) auto_increment primary key not null comment '主键',
    menu_id       bigint(64) not null comment '菜单id',
    click_num     int(11) default 1 not null comment '菜单点击量',
    click_user_id bigint   default 0 comment '菜单点击人',
    create_time   datetime default now() not null comment '创建时间'
) comment '人员点击菜单记录表';

-- [BI模块] - 何亚博 - 20230324 - 我的收藏-自主报表
drop table if exists visual_report_category_favourite;
create table visual_report_category_favourite
(
    id             int auto_increment
        primary key,
    category_name  varchar(100) not null comment '分类名称',
    sort_num       int default 0 null comment '排序号',
    create_user_id bigint       not null comment '创建人ID',
    create_time    datetime default now()     not null comment '创建时间'
) comment '我的收藏-自主报表分类';

-- [项目升级模块] - 何亚博 - 20230324 - 项目升级日志记录
drop table if exists upgrade_project;
create table upgrade_project
(
    id             int auto_increment
        primary key,
    project_model varchar(20) null comment '后端项目模块（gmetry-xxljob/gmetry-bi/gmetry-system/gmetry-lowcode/gmetry-pdf）',
    project_type int not null comment '项目类型（0：前端，1：后端）',
    env_name varchar(20) null  comment '.env文件需要修改的模块名称（bi_version/pdf_version/xxljob_version/system_version/lowcode_version）',
    old_version varchar(20) null comment '项目旧的版本号',
    project_version varchar(20) null comment '项目版本号，修改.env文件需要用到',
    upgrade_log text not null comment '升级日志',
    result_msg text null comment '部署服务器返回的信息',
    upgrade_result int default 0 not null comment '升级结果 1：成功，0：失败',
    operation_user_id bigint not null comment '操作人员id',
    operation_user_name varchar(50) null comment '操作人员名称',
    create_time    datetime default now() not null comment '创建时间'
) comment '项目升级日志记录';

--  [项目升级模块] - 何亚博 - 20230331 - 项目升级模块的数据库修改
drop table if exists upgrade_project_sql;
create table upgrade_project_sql
(
    id             int auto_increment
        primary key,
    database_name varchar(20) null comment '修改的数据库名称',
    upgrade_log text not null comment '升级日志',
    result_msg text null comment '部署服务器返回的信息',
    upgrade_result int default 0 not null comment '升级结果 1：成功，0：失败',
    operation_user_id bigint not null comment '操作人员id',
    operation_user_name varchar(50) null comment '操作人员名称',
    create_time    datetime default now() not null comment '创建时间'
) comment 'mysql修改日志记录';

--  [BI模块] - 何亚博 - 20230331 - 我的收藏幻灯片分类
drop table if exists visual_power_classify_favourite;
create table visual_power_classify_favourite
(
    id             int auto_increment
        primary key,
    classify_name  varchar(100)  not null comment '分类名称',
    sort_num       int default 0 null comment '排序号',
    create_user_id bigint        not null comment '创建人ID',
    create_time    datetime      not null comment '创建时间'
) comment '我的收藏-幻灯片分类表';

--  [BI模块] - 何亚博 - 20230331 - 幻灯片归档幻灯片分类
drop table if exists visual_power_classify_archiving;
create table visual_power_classify_archiving
(
    id             int auto_increment
        primary key,
    classify_name  varchar(100)  not null comment '分类名称',
    sort_num       int default 0 null comment '排序号',
    create_user_id bigint        not null comment '创建人ID',
    create_time    datetime      not null comment '创建时间'
) comment '我的归档-分类表';

alter table visual_power_point_info add column visual_type  tinyint  default 0  not null comment '幻灯片类型(0-普通幻灯片/1-我的收藏/2-归档)';

-- [项目升级模块]  - 何亚博 - 20230406 - 项目升级下拉列表
insert into visual_subscribe_notify_conf(attri_key, attri_value, attri_name, notify_type)
values ('bi', 'bi_version', 'bi说明', 6),
       ('system', 'system_version', 'system说明', 6),
       ('pdf', 'pdf_version', 'pdf说明', 6),
       ('lowcode', 'lowcode_version', 'lowcode说明', 6),
       ('xxljob', 'xxljob_version', 'xxljob说明', 6),
       ('upgrade', 'upgrade_version', 'upgrade说明', 6),
       ('bi', 'gemtry-bi', 'bi说明', 7),
       ('system', 'gmetry-system', 'system说明', 7),
       ('pdf', 'gmetry-pdf', 'pdf说明', 7),
       ('lowcode', 'gmetry-lowcode', 'lowcode说明', 7),
       ('xxljob', 'gmetry-xxljob', 'xxljob说明', 7),
       ('upgrade', 'gemtry-upgrade', 'upgrade说明', 7);

-- [system模块]  - 何亚博 - 20230422 - 项目基础信息配置
insert into visual_subscribe_notify_conf(attri_key, attri_value, attri_name, notify_type)
values ('systemName', '', '系统名称', 5),
       ('systemVersion', '', '系统版本', 5),
       ('loginType', '1', '登录方式', 5),
       ('systemLogo', '', '系统LOGO', 5),
       ('homeUrl', '', '首页url', 5),
       ('isTop', '', '是否启用顶部菜单', 5),
       ('apiUrl', '', '接口路径', 5),
       ('pdfUrl', '', 'pdf路径', 5),
       ('imgUploadUrl', '', '图片上传路径', 5),
       ('imgViewUrl', '', '图片预览地址', 5);

-- [system模块]  - 何亚博 - 20230406 - 短信登录相关
alter table blade_sms add column business_classify int default 0 not null comment '业务类型(0：告警短信，1：登录短信)';

-- [BI模块]  -- 何亚博 -- 20230418 -- 组件历史查询相关sql
drop table if exists visual_component_history_record;
create table visual_component_history_record
(
    id             int auto_increment
        primary key,
    visual_id int null comment '大屏id',
    setting_info text not null comment '查询条件',
    setting_info_md5 varchar(32) null comment '查询条件MD5加密',
    component_key varchar(64) null comment '组件key',
    operation_user_id bigint not null comment '操作人员id',
    operation_user_name varchar(50) null comment '操作人员名称',
    create_time    datetime default now() not null comment '创建时间'
) comment '组件查询历史记录表';

-- [system模块] -- 何亚博 -- 20230418 -- 三方登录接口设计的新字段
alter table blade_user add column wechat_open_id varchar(64) null comment '微信三方登录绑定openId';
alter table blade_user add column ding_open_id varchar(64) null comment '钉钉三方登录绑定openId';
alter table blade_user add column qy_wechat_code varchar(64) null comment '企业微信三方登录绑定openId';
alter table blade_user add column fei_shu_open_id varchar(64) null comment '飞书三方登录绑定openId';

-- [bi模块]  -- 王坤 -- 20230423  - 全局参数字段长度修改
ALTER TABLE `digital_operation`.`cube_global_param` 
MODIFY COLUMN `param_name` varchar(100) NOT NULL COMMENT '参数名称' AFTER `type_id`,
MODIFY COLUMN `param_key` varchar(100) NULL DEFAULT NULL COMMENT '页面参数名' AFTER `param_name`;