-- MySQL dump 10.13  Distrib 8.0.32, for Linux (x86_64)
--
-- Host: 127.0.0.1    Database: digital_operation
-- ------------------------------------------------------
-- Server version	8.0.32

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

CREATE DATABASE IF NOT EXISTS digital_operation;
USE digital_operation;

--
-- Table structure for table `base_datainterface`
--

DROP TABLE IF EXISTS `base_datainterface`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `base_datainterface` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '主键ID',
  `F_CategoryId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '分组ID',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '接口名称',
  `F_Path` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL,
  `F_RequestMethod` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '请求方式',
  `F_ResponseType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '返回类型',
  `F_Query` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '查询语句',
  `F_RequestParameters` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '请求参数JSON',
  `F_ResponseParameters` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '返回参数JSON',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '接口编码',
  `F_SortCode` bigint NOT NULL COMMENT '排序码(默认0)',
  `F_EnabledMark` int NOT NULL COMMENT '状态(0-默认，禁用，1-启用)',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述或说明',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '创建用户id',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户id',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志(默认0)',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户id',
  `F_DbLinkId` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '数据源id',
  `F_DataType` int DEFAULT NULL COMMENT '数据类型(1-动态数据SQL查询，2-静态数据)',
  `F_CheckType` int DEFAULT NULL COMMENT '验证类型',
  `F_RequestHeaders` varchar(300) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '请求头参数',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_datainterface`
--

LOCK TABLES `base_datainterface` WRITE;
/*!40000 ALTER TABLE `base_datainterface` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_datainterface` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_dictionarydata`
--

DROP TABLE IF EXISTS `base_dictionarydata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `base_dictionarydata` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '上级',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '编号',
  `F_SimpleSpelling` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '拼音',
  `F_IsDefault` int DEFAULT NULL COMMENT '默认',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_DictionaryTypeId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '类别主键',
  `F_UpdateTime` datetime DEFAULT NULL,
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='字典数据';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_dictionarydata`
--

LOCK TABLES `base_dictionarydata` WRITE;
/*!40000 ALTER TABLE `base_dictionarydata` DISABLE KEYS */;
INSERT INTO `base_dictionarydata` VALUES ('00027e3ecaf54f008a5d7e25c6d4f4c3','963255a34ea64a2584c5d1ba269c1fe6','保密','3','3',NULL,'',0,1,'2020-08-15 03:11:52','00ca450b-141b-45d2-b6cb-94d818165543','2020-08-15 03:17:02','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'963255a34ea64a2584c5d1ba269c1fe6',NULL,'000000'),('00C3CCB3-47E1-4FA3-8F8E-3AF6EA6D808A','d9b969ed-9122-4861-9035-c631acf99378','文艺演出','文艺演出','WYYC',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('01ba59c5d9a44d71ab0284cb48525813','0','达斡尔族','达斡尔族','DWEZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('029801dc74fd4fd1bc432ca9aba759dd','65e7917344fa460e8c487e45bbbab26f','费用相关','costRelated','FYXG',NULL,'',0,1,'2020-09-21 02:20:43','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'65e7917344fa460e8c487e45bbbab26f',NULL,'000000'),('02C0A09B-1FD7-4B1A-BCD1-9F368AEE9066','4d885793-2fbd-49ce-9b0e-aa709a71b2d0','景区/公园/游乐','景区/公园/游乐','JQGYYY,JQGYYL,JOGYYY,JOGYYL',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('02c8e5984d484358beff9cdff599992b','1cff2b60fd7a4c9f82273163b956268c','人事管理','personnelManage','RSGL',NULL,'',0,1,'2020-09-21 02:00:38','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'1cff2b60fd7a4c9f82273163b956268c',NULL,'000000'),('03fdd2708ade428a97edb2b21e3c4458','4173579c31e74a2b8749e65a23e5c957','费用相关','costRelated','FYXG',NULL,'',0,1,'2020-09-21 01:58:56','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'4173579c31e74a2b8749e65a23e5c957',NULL,'000000'),('059275f8dc94475d82efd6780d2f67b6','0','锡伯族','锡伯族','XBZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('06ae1c80a3ece96b6854dcf4353b6a66','765929a127f44a5b80e773d65d58f96c','测试 ','CE SHI  ','CS ',NULL,NULL,NULL,NULL,'2022-12-25 21:36:02','1123598821738675201',NULL,NULL,NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('06cf989b086a432c9e507e88117e37f5','0','网银支付','Onlinepayment','WYZF',NULL,NULL,0,1,'2018-07-10 10:26:05','admin','2018-07-10 10:56:02','admin',NULL,NULL,NULL,'1143c18426014419a35aa1fa97685c9c',NULL,'000000'),('06daee5aa4ce4c4595c654e37b0c1b0c','038d293fca544c86afa3f2bc65421fd7','新增意向客户','2','XZYXKH',NULL,'',0,1,'2020-11-06 06:43:30','admin','2021-01-21 08:48:46','admin',NULL,NULL,NULL,'038d293fca544c86afa3f2bc65421fd7',NULL,'000000'),('06DBA3B3-B7E5-4631-9718-8B3160EE289C','27c38cf2-dc0a-4449-ab87-7eb68f7e425b','兴趣辅导/特长教育','兴趣辅导/特长教育','XQFDTZJY,XQFDTCJY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('074a2706adc84abe8832b0b6a9f20229','0','国有企业','1','GYQY',0,NULL,0,1,'2017-10-25 14:34:31',NULL,'2017-10-26 17:14:06',NULL,NULL,NULL,NULL,'9b542177a477488994ce09fff3c93901',NULL,'000000'),('077600c9ac6b4e769c20e5c638bd2ff9','1e31cad8cf5448a9859d8551015eb6f0','女','2','N',NULL,'',0,1,'2020-11-04 06:48:50','admin',NULL,NULL,NULL,NULL,NULL,'1e31cad8cf5448a9859d8551015eb6f0',NULL,'000000'),('07b315252c644637ae121befcfaef98e','037ba904515348eaad1c4bd462fc80a6','合同管理','contractManage','HTGL',NULL,'',0,1,'2020-09-21 02:03:08','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'037ba904515348eaad1c4bd462fc80a6',NULL,'000000'),('07b7ab0a7e624363bdc0a82e49f025ed','0','费用相关','2','FYXG',NULL,NULL,0,1,'2020-05-16 17:02:46','admin','2020-05-16 17:05:33','admin',NULL,NULL,NULL,'e0bfb7f7a3054e65949ca0f7c136d717',NULL,'000000'),('07F0018A-897A-4D27-BBF5-9567D8F78A7B','8e63a940-4e88-461f-b80d-fd3db065bfef','水/电/暖/气','水/电/暖/气','SDNQ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('07f10a73a43942969e7b75a6d14c4e17','0','俄罗斯族','俄罗斯族','ELSZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('091f83fedfa3424d93f47c6845c342dc','0','繁体中文','zh-TW','PTZW,FTZW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2018-09-06 11:27:24','admin',NULL,NULL,NULL,'dc6b2542d94b407cac61ec1d59592901',NULL,'000000'),('093461964de74d75a5a0cb3a0f3bd46c','4173579c31e74a2b8749e65a23e5c957','仓库管理','warehouseManagement','CKGL',NULL,'',0,1,'2020-09-21 01:59:51','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'4173579c31e74a2b8749e65a23e5c957',NULL,'000000'),('097a648ca21943c8ab775d169b893725','0','简体中文','zh-CN','JTZW',1,NULL,0,1,'2017-10-24 16:00:36',NULL,'2018-09-06 11:27:12','admin',NULL,NULL,NULL,'dc6b2542d94b407cac61ec1d59592901',NULL,'000000'),('0A5B92DD-3236-45E7-BD1B-CC92EE212135','75f1eb60-1258-4747-bfbc-ac66c1724b49','商务中介/外贸报关代理','商务中介/外贸报关代理','SWZJWMBGDL',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('0A5BECDA-4840-4DAA-94A6-3564B744B35E','b5dc651f-1125-4c6c-8114-24e2ef85ed73','养生/按摩','养生/按摩','YSAM',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('0b2931e32f05dfc8177151f70446b748','765929a127f44a5b80e773d65d58f96c','3424213','3 4 2 4 2 1 3','3424213',NULL,NULL,NULL,NULL,'2022-12-21 16:54:18','1123598821738675201','2022-12-21 17:40:55','1123598821738675201',NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('0b5d86db35764ae593918b0d5c0dacc8','3e2d33e54d554b4b8a33fc41b93f8a2d','薪酬费用','5','XCFY',NULL,'',0,1,'2020-10-31 01:57:41','admin',NULL,NULL,NULL,NULL,NULL,'3e2d33e54d554b4b8a33fc41b93f8a2d',NULL,'000000'),('0bb8dce3cd934b5da4c31be379fdb962','0','景颇族','景颇族','JPZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('0c31b14f1d1743268ae54a1694a7ea14','0','线上询价','线上询价','XSXJ',NULL,NULL,0,1,'2019-12-16 17:52:42','admin',NULL,NULL,NULL,NULL,NULL,'c9f32bb4eef748998ed57280fe100fb7',NULL,'000000'),('0cc616a324d94e4d868d75e93c2ef044','0','合同管理','4','HTGL,GTGL',NULL,NULL,0,1,'2020-05-16 17:03:53','admin','2020-05-16 17:05:42','admin',NULL,NULL,NULL,'e0bfb7f7a3054e65949ca0f7c136d717',NULL,'000000'),('0d181414d82442a296473cac4fa357ec','0','@2980','@2980.com','',NULL,'网络邮箱',0,1,'2018-11-30 11:28:24','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('0DB2D286-D299-4490-808B-A94A217E45DD','c6edee1e-ae57-4b1e-84e5-4837e24978b8','政府','政府','ZF',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('0F2C0CD7-D2ED-4119-8E06-80D928B6F6DD','d9b969ed-9122-4861-9035-c631acf99378','洗浴','洗浴','XY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('0F3966B0-63A5-47B1-A88B-D8CDFE65563E','75f1eb60-1258-4747-bfbc-ac66c1724b49','货物运输/大宗物流','货物运输/大宗物流','HWYSDZWL',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('0fcc751d-9ceb-4767-8755-f0189b239468','d59a3cf65f9847dbb08be449e3feae16','房产/装修/租售','房产/装修/租售','FCZXZS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2021-01-22 02:02:52','admin',NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('1128f7a50cc64c6db6eed4696fdbee80','0','研究生','7','YJS',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,'2020-09-28 01:10:01','admin',NULL,NULL,NULL,'6a6d6fb541b742fbae7e8888528baa16',NULL,'000000'),('113779bb677d4021b54b10eb8c29145a','0','壮族','壮族','ZZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('128ACB5A-3619-4D41-86A6-9CC8CE44F0C9','27c38cf2-dc0a-4449-ab87-7eb68f7e425b','留学/移民','留学/移民','LXYM',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('12f83c695e104710933f9d713ac68b32','0','京族','京族','JZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('134d1bdae57e4d6c898e0d2ee72f2164','0','黎族','黎族','LZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('176a35a32f6847db9d6699b35e96b662','3e2d33e54d554b4b8a33fc41b93f8a2d','人事费用','1','RSFY',NULL,'',1,1,'2020-10-31 01:56:25','admin','2021-01-20 11:59:14','admin',NULL,NULL,NULL,'3e2d33e54d554b4b8a33fc41b93f8a2d',NULL,'000000'),('1ae0d5056618489f941edc485c2ae772','0','小于','4','XY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2017-10-26 17:17:37',NULL,NULL,NULL,NULL,'237446e245ce403d8062995ea33711cf',NULL,'000000'),('1aea9914615748c1a150ebc52a102e60','0','搜索引擎','搜索引擎','SSYQ',NULL,NULL,0,1,'2019-12-16 17:52:09','admin',NULL,NULL,NULL,NULL,NULL,'c9f32bb4eef748998ed57280fe100fb7',NULL,'000000'),('1b5fc8800abc468ca6af903149caa5a4','0','半年结算','Halfyearknot','BNJS',NULL,NULL,0,1,'2018-07-10 10:24:58','admin','2018-07-10 10:54:11','admin',NULL,NULL,NULL,'1143c18426014419a35aa1fa97685c9c',NULL,'000000'),('1b6da0db9c8f4054ac5225d32ac2607a','0','普米族','普米族','PMZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('1b82cfae-98f1-4b54-a3ae-1d1c6ad3f3f6','0','手机数码/通讯服务','手机数码/通讯服务','SJSMTXFW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('1c8bc07c65214f7ca842d8504cea4067','0','东乡族','东乡族','DXZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('1CCFE5C7-9448-44C1-A7A0-206DA6095868','7c7d4ae2-455c-439b-b8a8-eb484014aa75','维修/保养/改装','维修/保养/改装','WXBYGZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('1d53970d6da94c6ca648311399122a02','0','哈萨克族','哈萨克族','HSKZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('1db9a7c7c88a4dc7a5f61ae3aed723ae','0','撒拉族','撒拉族','SLZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('1E8757B0-9572-43B7-B5B0-CE15FDC9AAF2','614ecab4-845f-4cbc-9ff7-a9968aca6eeb','安防/监控器材','安防/监控器材','AFJKQC',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('20720625593343e39676654e73a6a39a','0','朝鲜族','朝鲜族','ZXZ,CXZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('2112FC39-0B0C-4D4D-87CB-A48843674083','0fcc751d-9ceb-4767-8755-f0189b239468','开发商','开发商','KFS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('22DF536C-B5FF-44BA-A53E-66DD314055E0','4d885793-2fbd-49ce-9b0e-aa709a71b2d0','客运/票务','客运/票务','KYPW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('2498cd869da94d60b7c37c9afb8cc557','70f970e14fee4879802b63122511032b','自定义表单','2','DTBD',NULL,'',0,1,'2020-08-10 18:11:36','00ca450b-141b-45d2-b6cb-94d818165543','2020-12-03 09:30:35','admin',NULL,NULL,NULL,'70f970e14fee4879802b63122511032b',NULL,'000000'),('249c53f9a6fc4be2b7ed1c9505daa863','b1474890faaa47e1858ce7b593c8ffd7','人事管理','personnelManage','RSGL',NULL,'',0,1,'2020-09-21 02:22:14','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'b1474890faaa47e1858ce7b593c8ffd7',NULL,'000000'),('25b952c507b148f98d50762a2e90419a','0','裕固族','裕固族','YGZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('25c403a66a7a43cab1f85f105e5ba394','038d293fca544c86afa3f2bc65421fd7','商机','1','SJ',NULL,'',0,1,'2020-11-06 06:43:20','admin',NULL,NULL,NULL,NULL,NULL,'038d293fca544c86afa3f2bc65421fd7',NULL,'000000'),('2602c057c8ee4cc78857465379d6c822','1cff2b60fd7a4c9f82273163b956268c','合同管理','contractManage','HTGL',NULL,'',0,1,'2020-09-21 02:01:07','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'1cff2b60fd7a4c9f82273163b956268c',NULL,'000000'),('26b1753d205fa7067a0f6e5fa6714aaf','765929a127f44a5b80e773d65d58f96c','考试系统','KAO SHI XI TONG','KSXT',NULL,NULL,NULL,NULL,'2022-12-30 10:43:51','1123598821738675201',NULL,NULL,NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('26f5cd7cd65b49548043bcdd72d3afdf','4173579c31e74a2b8749e65a23e5c957','合同管理','contractManage','HTGL',NULL,'',0,1,'2020-09-21 01:59:12','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'4173579c31e74a2b8749e65a23e5c957',NULL,'000000'),('2716A909-1CAC-4A72-8749-28206D3326E0','d9b969ed-9122-4861-9035-c631acf99378','电影院','电影院','DYY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('2745E89F-AA85-49EB-943C-9037D7B73535','0fcc751d-9ceb-4767-8755-f0189b239468','家具/家居','家具/家居','JJJJ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('27c38cf2-dc0a-4449-ab87-7eb68f7e425b','0','教育/出国','教育/出国','JYCG',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('27d8cf5a-22e8-4e05-b4d6-5684a564418a','0','计算机/互联网','计算机/互联网','JSJHLW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('27efd59ba0ff484e88a528b8dc678cdf','573c31998bc04a23a769f9a9eff67d00','仓库管理','warehouseManagement','CKGL',NULL,'',0,1,'2020-09-21 01:58:26','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'573c31998bc04a23a769f9a9eff67d00',NULL,'000000'),('2831f140de934c0fafc1188e2c387a8d','0','行政管理','8','XZGL,HZGL',NULL,NULL,0,1,'2020-05-16 17:04:43','admin','2020-05-16 17:06:10','admin',NULL,NULL,NULL,'e0bfb7f7a3054e65949ca0f7c136d717',NULL,'000000'),('2835dcf61cf04a0e97bc4b117b08e3cb','0','哈尼族','哈尼族','HNZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('2876ae29ce5d4a41baa007f2977cfc85','0','默认角色','DefaultRole','MRJS',NULL,NULL,0,1,'2017-10-27 10:24:01',NULL,'2018-01-20 14:55:11','admin',NULL,NULL,NULL,'4501f6f26a384757bce12d4c4b03342c',NULL,'000000'),('287ac847ef2a4f4b9198300477e8c4d9','0','毛南族','毛南族','MNZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('28C182AE-BCD2-48DA-97FC-C45383A58C68','4d885793-2fbd-49ce-9b0e-aa709a71b2d0','农家乐/度假村','农家乐/度假村','NJYDJC,NJLDJC',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('2a3fa24dcace4a7aafeddb3d8c0ec65a','0','个体户','5','GTH',NULL,NULL,0,1,'2017-10-25 14:36:21',NULL,'2017-10-26 17:14:22',NULL,NULL,NULL,NULL,'9b542177a477488994ce09fff3c93901',NULL,'000000'),('2aa6c64c8875401fa2ab862e3ac6f0e2','0','鄂温克族','鄂温克族','EWKZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('2af8606d2e184e29a287b2774aa6d46a','0','季度结算','Quarterlyknot','JDJS',NULL,NULL,0,1,'2018-07-10 10:24:19','admin','2018-07-10 10:54:05','admin',NULL,NULL,NULL,'1143c18426014419a35aa1fa97685c9c',NULL,'000000'),('2b4dc588eb8f4c83b4dc7d70deb317dc','0','报表','5','BB',NULL,'',4,1,'2020-08-05 15:23:19','00ca450b-141b-45d2-b6cb-94d818165543','2021-01-22 11:49:41','admin',NULL,NULL,NULL,'e3ca5fe13c484a74bf0a4ea69eec1afd',NULL,'000000'),('2cd25306b6ed4fd4ad641c500d7205f9','02ad722fd1914c338d51597236ad2339','项目管理','2','XMGL',NULL,'',2,1,'2020-11-06 06:01:00','admin','2020-11-06 06:01:35','admin',NULL,NULL,NULL,'02ad722fd1914c338d51597236ad2339',NULL,'000000'),('2d55ff7e76334ab383bc05a859578d88','42b0f46122b041d097f1fe4f2f637a03','功能流程','2','GNLC',NULL,'',0,1,'2020-08-10 18:59:22','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'42b0f46122b041d097f1fe4f2f637a03',NULL,'000000'),('2f0784eccbfc4128b8b42fdf7e66eebf','0','SqlServer','SqlServer','SQLSERVER',NULL,'',0,1,'2021-05-12 01:04:01','03d159a3-0f88-424c-a24f-02f63855fe4f',NULL,NULL,NULL,NULL,NULL,'9e7b2d0c690f4562b13e1215e449c222',NULL,'000000'),('2f978088acb4432593bf5a37257b19a2','c7e90b2ceaa647159490f7637f907290','文化传媒','文化传媒','WHZM,WHCM',NULL,NULL,0,1,'2019-12-16 17:54:55','admin','2020-09-19 10:19:56','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'c7e90b2ceaa647159490f7637f907290',NULL,'000000'),('2FD33FE4-D636-4BC0-8A66-984D71387428','27c38cf2-dc0a-4449-ab87-7eb68f7e425b','职业培训/企业管理','职业培训/企业管理','ZYPXQYGL',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('2FE19FDC-6308-441D-A10A-C1B2E33FBE87','614ecab4-845f-4cbc-9ff7-a9968aca6eeb','电子/IC/集成电路','电子/IC/集成电路','DZJCDL',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('3002b702b8b44e979087821c7b3f2c20','b1474890faaa47e1858ce7b593c8ffd7','销售管理','saleManage','XSGL',NULL,'',0,1,'2020-09-21 02:23:04','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'b1474890faaa47e1858ce7b593c8ffd7',NULL,'000000'),('30177502e07d479ca6825121716639d9','0','@wo','@wo.cn','',NULL,'沃邮箱',0,1,'2018-11-30 11:32:20','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('30be5ef4e3074dd89385ad6b4540c63d','9c43287481364d348c0ea0d0f64b38be','默认','1','MR',NULL,'',0,1,'2020-08-04 14:45:15','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'9c43287481364d348c0ea0d0f64b38be',NULL,'000000'),('31a6e874c82045c9aa598508d58ea586','0','工勤岗位','3','GQGW',NULL,'工勤岗位指承担技能操作和维护、后勤保障、服务等职责的工作岗位',0,1,'2017-10-26 13:29:25',NULL,'2017-10-26 17:14:36',NULL,NULL,NULL,NULL,'dae93f2fd7cd4df999d32f8750fa6a1e',NULL,'000000'),('3206B717-97FC-4249-8AAA-4743992C7538','c6edee1e-ae57-4b1e-84e5-4837e24978b8','行业组织','行业组织','XYZZ,HYZZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('33311B5D-5566-4E8B-A367-5BB23D32553B','27d8cf5a-22e8-4e05-b4d6-5684a564418a','计算机硬件','计算机硬件','JSJYJ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('33859881-6714-470C-9CAC-F2B4C34FB0A9','44338471-6e77-4dd0-899d-ea0355c03277','中式美食','中式美食','ZSMS',NULL,'',0,1,'2017-10-24 16:00:36',NULL,'2020-05-29 08:56:38','admin',NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('33A0777B-51C0-4A71-B99F-2CBB081FF93F','44338471-6e77-4dd0-899d-ea0355c03277','小吃快餐','小吃快餐','XCKC',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('33cf9894fe3f415086796946acde9a21','0','怒族','怒族','NZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('343165982f9d4cef80cc11f98c9b3b03','0','@188','@188.com','',NULL,'财富邮',0,1,'2018-11-30 11:34:53','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('3547c4e289194e92854fec4cd84836b2','0','小学','1','XX',0,NULL,0,1,'2017-10-24 16:00:35',NULL,'2020-08-05 14:21:57','1a2b0254-8862-4525-ab4f-444df590b2b8',NULL,NULL,NULL,'6a6d6fb541b742fbae7e8888528baa16',NULL,'000000'),('355f047f3e7540b8b55b168eec41ea5a','0','@139','@139.com','',NULL,'中国移动',0,1,'2018-11-30 11:19:56','admin','2018-11-30 11:33:48','admin',NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('3676319f3e0b444e9f754a1691de696c','0','侗族','侗族','TZ,DZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('367dab9c9b6640c6b24b1ec94bfbdeea','0','大屏','6','DP',NULL,'',5,1,'2020-08-05 15:23:28','00ca450b-141b-45d2-b6cb-94d818165543','2021-01-22 11:49:48','admin',NULL,NULL,NULL,'e3ca5fe13c484a74bf0a4ea69eec1afd',NULL,'000000'),('3722d977cbb54806abe2fed651547d01','0','月结','Monthlyknot','YJ',NULL,NULL,0,1,'2018-07-10 10:23:49','admin',NULL,NULL,NULL,NULL,NULL,'1143c18426014419a35aa1fa97685c9c',NULL,'000000'),('37bf7db5a5c94dc6a3485ccccb1c6447','0','瑶族','瑶族','YZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('38B8C27D-7AEF-4B30-95A6-7B3472E12F99','7d7dd051-6e57-499b-ac88-c019d7c663da','医疗/护理/卫生','医疗/护理/卫生','YLHLWS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('38ca86c845244584ba8c77565d695eb7','4173579c31e74a2b8749e65a23e5c957','行政管理','administrationManage','XZGL',NULL,'',0,1,'2020-09-21 01:59:39','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'4173579c31e74a2b8749e65a23e5c957',NULL,'000000'),('39AEC832-D76F-4635-AF3C-1F249C22010B','8e63a940-4e88-461f-b80d-fd3db065bfef','宠物','宠物','CW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('3b6c150a092e44bda357cfb1a0d51461','0','水族','水族','SZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('3d1f4cf346524fdcbdee0b523b006eae','0','@yeah','@yeah.net','',NULL,'网易免费邮箱',0,1,'2018-11-30 11:24:10','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('3d25701d11764ed6b6b81e163b767e96','037ba904515348eaad1c4bd462fc80a6','人事管理','personnelManage','RSGL',NULL,'',0,1,'2020-09-21 02:02:43','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'037ba904515348eaad1c4bd462fc80a6',NULL,'000000'),('3eb5283bd3d544459f94acb7c36971e3','65e7917344fa460e8c487e45bbbab26f','默认','1','MR',NULL,'',0,1,'2020-08-04 14:46:24','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'65e7917344fa460e8c487e45bbbab26f',NULL,'000000'),('3f626c31a97b48a7934603665ab22533','0','一年结算','Oneyear\'sknot','YNJS',NULL,NULL,0,1,'2018-07-10 10:25:32','admin','2018-07-10 10:54:21','admin',NULL,NULL,NULL,'1143c18426014419a35aa1fa97685c9c',NULL,'000000'),('3F9F5BF6-99B8-4342-933A-5A36528D9A3D','4d885793-2fbd-49ce-9b0e-aa709a71b2d0','户外/拓展','户外/拓展','HWTZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('40472c04faa9498bba7b4e11851cf6df','0','彝族','彝族','YZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('4307b5cd9b7545faac4f927bd091e48f','7866376d5f694d4d851c7164bd00ebfc','台胞证','6','TBZ',NULL,'',0,1,'2020-08-08 15:34:47','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'7866376d5f694d4d851c7164bd00ebfc',NULL,'000000'),('43347e3055f2498d83e7201be5a243f8','0','门巴族','门巴族','MBZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('43495503d3404a7d95d46c31a0926298','0','资产管理','9','ZCGL',NULL,NULL,0,1,'2020-05-16 17:04:50','admin','2020-05-16 17:06:15','admin',NULL,NULL,NULL,'e0bfb7f7a3054e65949ca0f7c136d717',NULL,'000000'),('43f84fba72c14c9ea27a126d2c885fac','b1474890faaa47e1858ce7b593c8ffd7','日常工作','routine','RCGZ',NULL,'',0,1,'2020-09-21 02:22:33','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'b1474890faaa47e1858ce7b593c8ffd7',NULL,'000000'),('44338471-6e77-4dd0-899d-ea0355c03277','0','美食餐饮','美食餐饮','MSCY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('449a4fbe9f274e2d89e4b54b2db61237','02ad722fd1914c338d51597236ad2339','集团门户','1','JTMH',NULL,'',1,1,'2020-11-06 05:58:28','admin','2020-11-06 06:01:18','admin',NULL,NULL,NULL,'02ad722fd1914c338d51597236ad2339',NULL,'000000'),('44D8F7B7-3BD7-4C0E-B694-0191E49568E8','c6edee1e-ae57-4b1e-84e5-4837e24978b8','非赢利性组织','非赢利性组织','FYLXZZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('460494d45135470098d86ec750ac3eb9','0','线上注册','线上注册','XSZC',NULL,NULL,0,1,'2019-12-16 17:52:37','admin',NULL,NULL,NULL,NULL,NULL,'c9f32bb4eef748998ed57280fe100fb7',NULL,'000000'),('4761028a4baa4b27a20bcc6371a7908f','573c31998bc04a23a769f9a9eff67d00','费用相关','costRelated','FYXG',NULL,'',0,1,'2020-09-21 01:57:29','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'573c31998bc04a23a769f9a9eff67d00',NULL,'000000'),('48EA619A-6B6C-4185-9C9E-67A0AE4D15CF','44338471-6e77-4dd0-899d-ea0355c03277','甜品饮品','甜品饮品','TPYP',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('49d97d47a68e4787b8e46ae41fc2e9fa','0','高山族','高山族','GSZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('49edcc083777443b92fe87bc4fa7b7e6','7866376d5f694d4d851c7164bd00ebfc','军人证','4','JRZ',NULL,'',0,1,'2020-08-08 15:34:05','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'7866376d5f694d4d851c7164bd00ebfc',NULL,'000000'),('4a2edd85a2fb4ddc900d007b63184ac9','4173579c31e74a2b8749e65a23e5c957','人事管理','personnelManage','RSGL',NULL,'',0,1,'2020-09-21 01:58:48','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'4173579c31e74a2b8749e65a23e5c957',NULL,'000000'),('4A2F85F0-C2CD-4F90-83CF-06ABD9A1975C','614ecab4-845f-4cbc-9ff7-a9968aca6eeb','工程机械/行业设备/仪器仪表','工程机械/行业设备/仪器仪表','GCJXXYSBYQYB,GCJXHYSBYQYB',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('4a6910aae94e47a989eec9f65992d486','0','页面','2','YM',NULL,'',1,1,'2020-08-05 15:22:49','00ca450b-141b-45d2-b6cb-94d818165543','2021-01-22 11:48:59','admin',NULL,NULL,NULL,'e3ca5fe13c484a74bf0a4ea69eec1afd',NULL,'000000'),('4B00983C-2994-446C-9D4D-8C7D20624D0A','8e63a940-4e88-461f-b80d-fd3db065bfef','婚庆摄影','婚庆摄影','HQSY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('4b33cdb3fda840e5998bc283e3bc37b5','0','现金支付','Cashpayment','XJZF',NULL,NULL,0,1,'2018-07-10 10:26:37','admin',NULL,NULL,NULL,NULL,NULL,'1143c18426014419a35aa1fa97685c9c',NULL,'000000'),('4bf7ece67371421db99dec76fe652dfb','4173579c31e74a2b8749e65a23e5c957','公文管理','documentManage','GWGL',NULL,'',0,1,'2020-09-21 01:59:19','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'4173579c31e74a2b8749e65a23e5c957',NULL,'000000'),('4c3919cc34a342f8bf92e8bc4e7e1756','765929a127f44a5b80e773d65d58f96c','人事管理','personnelManage','RSGL',NULL,'',0,1,'2020-09-21 01:54:38','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('4d3328b99ca54c2fbceeb3fa02c8ae35','0','@126','@126.com','',NULL,NULL,0,1,'2018-11-30 11:25:55','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('4d885793-2fbd-49ce-9b0e-aa709a71b2d0','0','旅游/出行','旅游/出行','LYCX,LYCH',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('4e25539385ac4dae9f69232565faf101','c7e90b2ceaa647159490f7637f907290','金融业','金融业','JRY',NULL,NULL,0,1,'2019-12-16 17:54:15','admin','2020-09-19 10:20:37','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'c7e90b2ceaa647159490f7637f907290',NULL,'000000'),('4e60b3aa59c44e6f92aff4518f9e1afe','b1474890faaa47e1858ce7b593c8ffd7','默认','1','MRFL',NULL,'',0,1,'2020-08-04 14:41:32','00ca450b-141b-45d2-b6cb-94d818165543','2020-08-04 16:39:40','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'b1474890faaa47e1858ce7b593c8ffd7',NULL,'000000'),('4EF041F9-A5DA-4120-AC7C-95468EACBF1F','f2acc9ef-ce0d-4ef1-a17e-c0cc32c7e678','食品饮料','食品饮料','SPYL',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('527a34ae81984a1981d7158a22adcbdb','765929a127f44a5b80e773d65d58f96c','CRM应用','crm','CRMYY',NULL,'',0,1,'2020-09-21 01:57:01','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('52D968DF-1B38-4FE4-AC9E-D9958A9D3DD8','27d8cf5a-22e8-4e05-b4d6-5684a564418a','网络游戏','网络游戏','WLYX,WLYH',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('531fc6f823214c46b5348002690580be','0','@tom','@tom.com','',NULL,NULL,0,1,'2018-11-30 11:31:03','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('53e1f6f5a97a47539deefd511a1f820a','1cff2b60fd7a4c9f82273163b956268c','费用相关','costRelated','FYXG',NULL,'',0,1,'2020-09-21 02:00:47','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'1cff2b60fd7a4c9f82273163b956268c',NULL,'000000'),('53e35ca9ae4b4a2a9e6eb7be5397b9f5','1cff2b60fd7a4c9f82273163b956268c','销售管理','saleManage','XSGL',NULL,'',0,1,'2020-09-21 02:02:00','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'1cff2b60fd7a4c9f82273163b956268c',NULL,'000000'),('548323F5-70A1-4979-9EE7-F30642B0821D','0fcc751d-9ceb-4767-8755-f0189b239468','房屋中介','房屋中介','FWZJ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('548fc264a3974f73818bf1662ea139aa','573c31998bc04a23a769f9a9eff67d00','公文管理','documentManage','GWGL',NULL,'',0,1,'2020-09-21 01:57:55','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'573c31998bc04a23a769f9a9eff67d00',NULL,'000000'),('54bad287aa084f81b40c6bc35c7f2545','0','汉族','汉族','HZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('5502f4f4573646c286313b9328efde6a','b1474890faaa47e1858ce7b593c8ffd7','CRM应用','crm','CRMYY',NULL,'',0,1,'2020-09-21 02:23:30','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'b1474890faaa47e1858ce7b593c8ffd7',NULL,'000000'),('5509d55ae8ee43bc8c25ad93eef90d98','0','回族','回族','HZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('588b2b6c0fa349a79992d011c7c47a62','0','苗族','苗族','MZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('58ff6fee60284b598296fd92bf56a7d0','0','销售管理','7','XSGL',NULL,NULL,0,1,'2020-05-16 17:04:33','admin','2020-05-16 17:06:05','admin',NULL,NULL,NULL,'e0bfb7f7a3054e65949ca0f7c136d717',NULL,'000000'),('5996617D-23EC-4691-B119-C3270ED1645F','27d8cf5a-22e8-4e05-b4d6-5684a564418a','互联网服务','互联网服务','HLWFW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('59B7E4C7-B888-4DA1-8A68-E23F0E25E5C3','d9b969ed-9122-4861-9035-c631acf99378','咖啡厅/茶馆','咖啡厅/茶馆','KFTCG,GFTCG',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('5ad73824ec844c9683c0bf0d78b6bf6a','7866376d5f694d4d851c7164bd00ebfc','港澳身份证','5','GATXZ',NULL,'',0,1,'2020-08-08 15:34:30','00ca450b-141b-45d2-b6cb-94d818165543','2020-08-11 11:48:10','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'7866376d5f694d4d851c7164bd00ebfc',NULL,'000000'),('5b6759fbcd9247f4b00a1cafb8e39c1b','0','仫佬族','仫佬族','MLZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('5bf517bb-f45b-491b-93c0-25849ffa0a5c','0','金融/保险','金融/保险','JRBX',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('5BFA882E-B4DB-43D5-9950-1AAAB021F0BA','27d8cf5a-22e8-4e05-b4d6-5684a564418a','点卡/虚拟币','点卡/虚拟币','DQXNB,DKXNB',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('5D1066AB-F366-42D0-B5BB-4BDB86738C3F','75f1eb60-1258-4747-bfbc-ac66c1724b49','公关/市场推广','公关/市场推广','GGSCTG,GGSCTA',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('5d8a4b5bd2a64a3e9e66f3c756efd5ef','7e8127d8a4114ce08468c912696f1500','扩展','extend','KZMK',NULL,'',0,1,'2020-08-25 01:34:51','00ca450b-141b-45d2-b6cb-94d818165543','2020-08-25 01:36:03','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'7e8127d8a4114ce08468c912696f1500',NULL,'000000'),('5e3d5074fb65412aa297861b63eda463','037ba904515348eaad1c4bd462fc80a6','日常工作','routine','RCGZ',NULL,'',0,1,'2020-09-21 02:02:59','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'037ba904515348eaad1c4bd462fc80a6',NULL,'000000'),('5E43C907-A735-45AD-81E4-DA078F49D27C','c6edee1e-ae57-4b1e-84e5-4837e24978b8','公共事业','公共事业','GGSY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('5E51C077-025C-40CC-84D3-40DD426AD19B','614ecab4-845f-4cbc-9ff7-a9968aca6eeb','能源/电力/水利','能源/电力/水利','NYDLSL',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('614ecab4-845f-4cbc-9ff7-a9968aca6eeb','0','工业/工业品','工业/工业品','GYGYP',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('619A02B0-1FC7-4899-9E35-21179AD897B3','926023bb-0b74-4bca-8d67-5d7657d0bca7','新闻媒体/报刊杂志','新闻媒体/报刊杂志','XWMTBKZZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('61d27ffb3814412da1aca6db26b83f2a','0','项目管理','6','XMGL',NULL,NULL,0,1,'2020-05-16 17:04:26','admin','2020-05-16 17:06:02','admin',NULL,NULL,NULL,'e0bfb7f7a3054e65949ca0f7c136d717',NULL,'000000'),('61fe8b6156a743d685d0509226e7a70b','0','满族','满族','MZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('63e3e64eebfa41e1b900f391de942d11','7e8127d8a4114ce08468c912696f1500','系统','system','XTMK',NULL,'',0,1,'2020-08-25 01:34:28','00ca450b-141b-45d2-b6cb-94d818165543','2020-08-25 01:35:58','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'7e8127d8a4114ce08468c912696f1500',NULL,'000000'),('6410a712cd144e2c8ce5e0f153d88c0d','0','高中','3','GZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,'2017-10-26 17:12:45',NULL,NULL,NULL,NULL,'6a6d6fb541b742fbae7e8888528baa16',NULL,'000000'),('6454738D-DCDF-4A3F-AA4A-4E88AE3C04BB','75f1eb60-1258-4747-bfbc-ac66c1724b49','加盟招商','加盟招商','JMZS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('65704bad82ac4984bb93968333393590','0','拉祜族','拉祜族','LHZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('66fe49eb250c4f1e822685c9ef520cf8','237446e245ce403d8062995ea33711cf','等于','1','DY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2020-08-05 14:05:15','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'237446e245ce403d8062995ea33711cf',NULL,'000000'),('6704c7aed0bd4c7fba91e830dd7c5ffc','3e2d33e54d554b4b8a33fc41b93f8a2d','IT费用','3','ITFY',NULL,'',3,1,'2020-10-31 01:56:59','admin','2021-01-20 11:59:51','admin',NULL,NULL,NULL,'3e2d33e54d554b4b8a33fc41b93f8a2d',NULL,'000000'),('689DCC5B-5CCC-402F-8054-83D1EE93BE7B','75f1eb60-1258-4747-bfbc-ac66c1724b49','工商注册/代理代办','工商注册/代理代办','GSZCDLDB',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('68A6864E-D2D5-4547-AF89-374E511ECB5F','1b82cfae-98f1-4b54-a3ae-1d1c6ad3f3f6','固话/宽带','固话/宽带','GHKD',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('68fdb171f5cc4dc5adc28082a7dd8f56','42b0f46122b041d097f1fe4f2f637a03','发起流程','1','FQLC',NULL,'',0,1,'2020-08-10 18:59:03','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'42b0f46122b041d097f1fe4f2f637a03',NULL,'000000'),('696babc2ceaf4f5bae3705e2b7e6dee9','0','基诺族','基诺族','JNZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('6ae95571b4964f4b82eefc1743d12a52','65e7917344fa460e8c487e45bbbab26f','公文管理','documentManage','GWGL',NULL,'',0,1,'2020-09-21 02:21:10','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'65e7917344fa460e8c487e45bbbab26f',NULL,'000000'),('6af22c4cd01f4241a6fccccb2af561ad','4173579c31e74a2b8749e65a23e5c957','CRM应用','crm','CRMYY',NULL,'',0,1,'2020-09-21 02:00:16','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'4173579c31e74a2b8749e65a23e5c957',NULL,'000000'),('6b485ce9e4ee4790812b7c010ddf5d7e','3e2d33e54d554b4b8a33fc41b93f8a2d','安全费用','4','AQFY',NULL,'',4,1,'2020-10-31 01:57:14','admin','2021-01-20 12:00:02','admin',NULL,NULL,NULL,'3e2d33e54d554b4b8a33fc41b93f8a2d',NULL,'000000'),('6c948043dd974e538fd491ac5c933a80','b1474890faaa47e1858ce7b593c8ffd7','费用相关','costRelated','FYXG',NULL,'',0,1,'2020-09-21 02:22:25','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'b1474890faaa47e1858ce7b593c8ffd7',NULL,'000000'),('6dfca8eb2b734a72adc82a29e2cc41f4','037ba904515348eaad1c4bd462fc80a6','行政管理','administrationManage','XZGL',NULL,'',0,1,'2020-09-21 02:03:33','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'037ba904515348eaad1c4bd462fc80a6',NULL,'000000'),('6e72a28ad00b4698b6d58dead6e0b277','0','小于等于','5','XYDY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2017-10-26 17:17:41',NULL,NULL,NULL,NULL,'237446e245ce403d8062995ea33711cf',NULL,'000000'),('6f408478f4e84521b5529ff4cd03c26c','0','@263','@263.net','',NULL,'企业邮箱',0,1,'2018-11-30 11:27:44','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('6f817b0eb3ef480ea33b38f57159164f','0','普通客户','普通客户','PTKH',NULL,NULL,0,1,'2019-12-16 17:55:50','admin','2019-12-28 15:14:19','admin',NULL,NULL,NULL,'87b9d6e3c2dc4c71a06ff6844e92c292',NULL,'000000'),('6FEB335E-C083-41B7-B094-69A5C837EE7E','8e63a940-4e88-461f-b80d-fd3db065bfef','洗衣房','洗衣房','XYF',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('71d994f0bc344c31b3711a6fa68d4ee6','0','服务支持','3','FWZC',NULL,NULL,0,1,'2020-05-16 17:03:24','admin','2020-05-16 17:05:39','admin',NULL,NULL,NULL,'e0bfb7f7a3054e65949ca0f7c136d717',NULL,'000000'),('7230750d07b94aac8a1febec7dd5cd05','573c31998bc04a23a769f9a9eff67d00','行政管理','administrationManage','XZGL',NULL,'',0,1,'2020-09-21 01:58:14','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'573c31998bc04a23a769f9a9eff67d00',NULL,'000000'),('72edc1a7525248d1b8f8fc2725b62765','0','展会资源','展会资源','ZKZY,ZHZY',NULL,NULL,0,1,'2019-12-16 17:53:05','admin',NULL,NULL,NULL,NULL,NULL,'c9f32bb4eef748998ed57280fe100fb7',NULL,'000000'),('730ffc46716345c8aa2765840c3cbda8','573c31998bc04a23a769f9a9eff67d00','CRM应用','crm','CRMYY',NULL,'',0,1,'2020-09-21 01:58:36','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'573c31998bc04a23a769f9a9eff67d00',NULL,'000000'),('74E80DA6-85AA-4595-9A4A-DEAFA4B78EBA','b5dc651f-1125-4c6c-8114-24e2ef85ed73','美容/护理','美容/护理','MRHL',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('7501989f1ba94623b44159c9d630858a','0','维吾尔族','维吾尔族','WWEZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('7584cef8439241a6a06121f655225715','0','保安族','保安族','BAZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('7592795B-5241-4ADA-8A1F-22192DF432CF','926023bb-0b74-4bca-8d67-5d7657d0bca7','文化/广电/影视','文化/广电/影视','WHGDYS,WHADYS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('75f1eb60-1258-4747-bfbc-ac66c1724b49','0','商业服务','商业服务','SYFW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('76A68CC8-7C7C-4E5A-8270-2C937CF5207D','75f1eb60-1258-4747-bfbc-ac66c1724b49','会展服务','会展服务','KZFW,HZFW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('780dc4f559584246bb518f4e1d1abbd3','0','个人资源','个人资源','GRZY',NULL,NULL,0,1,'2019-12-16 17:53:10','admin',NULL,NULL,NULL,NULL,NULL,'c9f32bb4eef748998ed57280fe100fb7',NULL,'000000'),('7a35330c6df54467bdae7f9f1cafe80d','7866376d5f694d4d851c7164bd00ebfc','其他','7','QT',NULL,'',0,1,'2020-08-08 15:35:05','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'7866376d5f694d4d851c7164bd00ebfc',NULL,'000000'),('7a4efb0cc3eb4afabf0c00990193ecd6','0','业务角色','ApplicationRole','YWJS',NULL,NULL,0,1,'2017-10-27 10:23:49',NULL,'2017-10-27 10:24:06',NULL,NULL,NULL,NULL,'4501f6f26a384757bce12d4c4b03342c',NULL,'000000'),('7A5CCD49-9C2E-45D4-A400-CC55874BD591','8e63a940-4e88-461f-b80d-fd3db065bfef','鲜花速递','鲜花速递','XHSD',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('7b605786d4b341199ffef35a7f443c54','4173579c31e74a2b8749e65a23e5c957','销售管理','saleManage','XSGL',NULL,'',0,1,'2020-09-21 01:59:28','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'4173579c31e74a2b8749e65a23e5c957',NULL,'000000'),('7b8bd3d6fde74402b7b7fee048d9fc93','0','@yahoo','@yahoo.com','',NULL,'雅虎邮箱 ',0,1,'2018-11-30 11:39:11','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('7befdd0b52094700a029379f7f464c5d','3e2d33e54d554b4b8a33fc41b93f8a2d','市场费用','6','SCFY',NULL,'',0,1,'2020-10-31 01:57:57','admin',NULL,NULL,NULL,NULL,NULL,'3e2d33e54d554b4b8a33fc41b93f8a2d',NULL,'000000'),('7c3719226af749a598ee7372b1c67ee9','0','公司资源','公司资源','GSZY',NULL,NULL,0,1,'2019-12-16 17:52:59','admin',NULL,NULL,NULL,NULL,NULL,'c9f32bb4eef748998ed57280fe100fb7',NULL,'000000'),('7c7d4ae2-455c-439b-b8a8-eb484014aa75','0','汽车/汽配/租赁','汽车/汽配/租赁','QJQPZL,QCQPZL',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('7d7dd051-6e57-499b-ac88-c019d7c663da','0','医疗/整形整容','医疗/整形整容','YLZXZR',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('7dfaa025d5b949268082bfec2b4be2c8','0','@189','@189.cn','',NULL,'天翼',0,1,'2018-11-30 11:20:13','admin','2018-11-30 11:33:21','admin',NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('7eee315f771a4282838e168603315eb1','0','塔塔尔族','塔塔尔族','TTEZ,TDEZ,DTEZ,DDEZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('802fb04ab5b84aa5bcc5dc53372a271d','0','费用相关','costRelated','FYXG',NULL,NULL,0,1,'2018-06-25 10:29:12','admin','2018-06-25 10:49:22','admin',NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('803a14a1ba33425da9d3141ffee7f203','0','柯尔克孜族','柯尔克孜族','KEKZZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('80952df8498841d69f959a6ffdc87ac4','0','联通扣罚数据','联通扣罚数据','LTKFSJ',NULL,'',10,1,'2022-08-16 18:46:08','admin','2022-08-19 01:30:46','admin',NULL,NULL,NULL,'821ddb80b4f14b918f32549f72a81473',NULL,'000000'),('81499648-7139-4C49-8E73-E68085B07524','1b82cfae-98f1-4b54-a3ae-1d1c6ad3f3f6','话费充值','话费充值','HFCZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('828eaef66cb14adda9c5c1997dd7bbe2','0','藏族','藏族','ZZ,CZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('82d9060f011a42dd8488a9feaaef376e','0','集体企业','3','JTQY',NULL,NULL,0,1,'2017-10-25 14:34:51',NULL,'2017-10-26 17:14:14',NULL,NULL,NULL,NULL,'9b542177a477488994ce09fff3c93901',NULL,'000000'),('84158383-A0D0-45B5-ADF4-8C7AC1A6E042','fc4a08ce-9804-4cb1-a4c6-9440ca614b5d','奢侈品/收藏品','奢侈品/收藏品','SCPSZP,SCPSCP',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('84992f0eab4742ea81a541e2e8789cab','0','仡佬族','仡佬族','YLZ,GLZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('84ff10b322d74ac3a653e3176724f909','963255a34ea64a2584c5d1ba269c1fe6','男','1','N',NULL,'',0,1,'2020-08-15 03:11:35','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'963255a34ea64a2584c5d1ba269c1fe6',NULL,'000000'),('8574248ac12444cc99e0416153b4754c','1cff2b60fd7a4c9f82273163b956268c','CRM应用','crm','CRMYY',NULL,'',0,1,'2020-09-21 02:02:31','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'1cff2b60fd7a4c9f82273163b956268c',NULL,'000000'),('85D701EB-9B95-42CC-99D0-C0026DB5EF4B','4d885793-2fbd-49ce-9b0e-aa709a71b2d0','旅行社','旅行社','LXS,LHS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('85F898D1-D467-4DAF-8846-A3307A2EEA53','75f1eb60-1258-4747-bfbc-ac66c1724b49','印刷/包装/平面设计','印刷/包装/平面设计','YSBZPMSJ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('86f44dce0ebc4b0987b1678d7dae12e6','037ba904515348eaad1c4bd462fc80a6','销售管理','saleManage','XSGL',NULL,'',0,1,'2020-09-21 02:03:25','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'037ba904515348eaad1c4bd462fc80a6',NULL,'000000'),('88561e70ac6e465290d43512bee10ef4','0','重点客户','重点客户','ZDKH,CDKH',NULL,NULL,0,1,'2019-12-16 17:55:44','admin','2019-12-28 15:14:14','admin',NULL,NULL,NULL,'87b9d6e3c2dc4c71a06ff6844e92c292',NULL,'000000'),('895BF6CB-479D-4A3C-9FDE-06CDEA600464','44338471-6e77-4dd0-899d-ea0355c03277','西餐/日韩料理/异国美食','西餐/日韩料理/异国美食','XCRHLLYGMS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('8a7aff7d0c2f47be95049f682b631c99','02ad722fd1914c338d51597236ad2339','工程门户','5','GCMH',NULL,'',5,1,'2020-11-06 06:02:34','admin',NULL,NULL,NULL,NULL,NULL,'02ad722fd1914c338d51597236ad2339',NULL,'000000'),('8a9f47d9f51e454fb36fce55fb7a63a6','0','独龙族','独龙族','DLZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('8CFC9EED-68FD-46B8-B67B-58AEFD9F45AB','fc4a08ce-9804-4cb1-a4c6-9440ca614b5d','电信增值业务','电信增值业务','DXZZYW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('8e63a940-4e88-461f-b80d-fd3db065bfef','0','生活服务','生活服务','SHFW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('8eea678c942145f99d7878ace0d8657e','0','初中','2','CZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,'2017-10-26 17:12:41',NULL,NULL,NULL,NULL,'6a6d6fb541b742fbae7e8888528baa16',NULL,'000000'),('8f4875ed87d44df5932bf00171e0514c','70f970e14fee4879802b63122511032b','系统表单','1','XTBD',NULL,'',0,1,'2020-08-10 18:11:24','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'70f970e14fee4879802b63122511032b',NULL,'000000'),('8f65bbe3bce341c8b3625d93544a044a','0','仓库管理','warehouseManagement','CKGL',NULL,NULL,0,1,'2018-07-12 11:23:58','admin',NULL,NULL,NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('907cbdba92344967a148a374528dee75','0','羌族','羌族','QZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('908f94c264a64c31a1fecccb811179c6','0','佤族','佤族','WZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('90F0F95F-007B-400D-8146-92665AC3B515','8e63a940-4e88-461f-b80d-fd3db065bfef','搬家/搬运','搬家/搬运','BJBY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('926023bb-0b74-4bca-8d67-5d7657d0bca7','0','媒体/广告/出版','媒体/广告/出版','MTGGCB,MTAGCB',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('92ff480a4ca04dbe954bf67018fd29bd','c7e90b2ceaa647159490f7637f907290','IT/通信/电子/互联网','IT/通信/电子/互联网','TXDZHLW',NULL,NULL,0,1,'2019-12-16 17:54:07','admin','2020-09-19 10:20:43','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'c7e90b2ceaa647159490f7637f907290',NULL,'000000'),('93667ec1069c492082fb60dde3ce8d1c','0','白族','白族','BZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('93b466da9d0448e596ad1489fc6657ab','765929a127f44a5b80e773d65d58f96c','合同管理','contractManage','HTGL',NULL,'',0,1,'2020-09-21 01:55:52','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('94D20938-8724-40CE-806A-FB61DDAB3FBC','5bf517bb-f45b-491b-93c0-25849ffa0a5c','投资/证券','投资/证券','TZZX,TZZQ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('950e9a55f1db43ada961d8fb622d22d1','0','@outlook','@outlook.com','',NULL,NULL,0,1,'2018-11-30 11:25:03','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('957488736a224f139f1e79f3021b7326','0','人事管理','5','RSGL',NULL,NULL,0,1,'2020-05-16 17:04:03','admin','2020-05-16 17:05:55','admin',NULL,NULL,NULL,'e0bfb7f7a3054e65949ca0f7c136d717',NULL,'000000'),('972acb74d15e493aae4f471e16518bef','0','人事管理','personnelManage','RSGL',NULL,NULL,0,1,'2018-01-17 11:50:20','admin','2018-06-25 14:06:57','admin',NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('97337AB5-E9FF-41E6-B963-0A4768B32611','d9b969ed-9122-4861-9035-c631acf99378','会馆会所','会馆会所','KGKS,KGHS,HGKS,HGHS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('97f32065465ceaa8864ce12c555b513c','765929a127f44a5b80e773d65d58f96c','13','1 3','13',NULL,NULL,NULL,NULL,'2022-12-21 17:41:01','1123598821738675201',NULL,NULL,NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('9828f30dd8b5488a968ac048836dcb77','0','土族','土族','TZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('984202e45923443387bde62ab1830ab9','037ba904515348eaad1c4bd462fc80a6','CRM应用','crm','CRMYY',NULL,'',0,1,'2020-09-21 02:04:01','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'037ba904515348eaad1c4bd462fc80a6',NULL,'000000'),('98471961858e4138b36d949d524e8ccd','3e2d33e54d554b4b8a33fc41b93f8a2d','其他费用','7','QTFY',NULL,'',0,1,'2020-10-31 01:58:12','admin',NULL,NULL,NULL,NULL,NULL,'3e2d33e54d554b4b8a33fc41b93f8a2d',NULL,'000000'),('9875dce3e50e44c09cea293e02cd9b7b','c7e90b2ceaa647159490f7637f907290','房地产','房地产','FDC',NULL,NULL,0,1,'2019-12-16 17:54:21','admin','2020-09-19 10:20:29','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'c7e90b2ceaa647159490f7637f907290',NULL,'000000'),('998ce700fa2449b9a34ff07097e0798b','0','布依族','布依族','BYZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('9b077e268d4f44e6baa29bb40345f422','0','项目管理','projectManage','XMGL',NULL,NULL,0,1,'2018-06-25 10:31:18','admin','2018-06-25 14:06:30','admin',NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('9b5ae7aa433f4cdf8045d467956b9ea6','7866376d5f694d4d851c7164bd00ebfc','驾照证','2','JZZ',NULL,'',0,1,'2020-08-08 15:33:42','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'7866376d5f694d4d851c7164bd00ebfc',NULL,'000000'),('9b78f178da8448b298bc534e229386b5','0','高职','5','GZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,'2017-10-26 17:12:57',NULL,NULL,NULL,NULL,'6a6d6fb541b742fbae7e8888528baa16',NULL,'000000'),('9baafa488ff447a0a5ae602ace2c1241','65e7917344fa460e8c487e45bbbab26f','合同管理','contractManage','HTGL',NULL,'',0,1,'2020-09-21 02:21:00','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'65e7917344fa460e8c487e45bbbab26f',NULL,'000000'),('9bc40d305fc04acaac514d98c1a182d9','0','招商资源','招商资源','ZSZY',NULL,NULL,0,1,'2019-12-16 17:52:53','admin',NULL,NULL,NULL,NULL,NULL,'c9f32bb4eef748998ed57280fe100fb7',NULL,'000000'),('9C7AA17D-4682-40C9-A9B6-AC14EE7D8A54','5bf517bb-f45b-491b-93c0-25849ffa0a5c','典当/抵押/信贷','典当/抵押/信贷','DDDYXD',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('9D8266BD-10A3-4A88-8131-51D2C57C3519','fc4a08ce-9804-4cb1-a4c6-9440ca614b5d','工艺品/玩具/珠宝','工艺品/玩具/珠宝','GYPWJZB',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('9d9c76c1bbb44fea9402e1c90801191f','0','畲族','畲族','SZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('9e9205fb43da4b88a24bb1eebd626ff0','0','销售管理','saleManage','XSGL',NULL,NULL,0,1,'2018-06-25 10:30:53','admin','2018-06-25 14:06:35','admin',NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('a03a50843fac42fe971d0c3f3a1d4d45','0','部门','department','BM',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2017-10-26 17:14:00',NULL,NULL,NULL,NULL,'9aba44dfc8dc481a9346b9ce38a0735e',NULL,'000000'),('a0a14397308d464a8d34f2ea32243ca9','02ad722fd1914c338d51597236ad2339','外部门户','6','WBMH',NULL,'',6,1,'2020-11-06 06:02:47','admin',NULL,NULL,NULL,NULL,NULL,'02ad722fd1914c338d51597236ad2339',NULL,'000000'),('a13874e5d3924b7e8270f1487cd04fe1','0','阿昌族','阿昌族','ACZ,ECZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('a1ba2c0db7d44bd7902ffc508e70e3bf','0','@qq','@qq.com','',NULL,'QQ邮箱',0,1,'2018-11-30 11:20:42','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('a38b8d5c43294b7e97c04d06a7e904ff','0','博士及以上','8','BSJYS',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,'2018-03-21 16:47:13','admin',NULL,NULL,NULL,'6a6d6fb541b742fbae7e8888528baa16',NULL,'000000'),('a38f2c7ea51b49e4ba3bcf9df8ea2394','038d293fca544c86afa3f2bc65421fd7','公海客户','4','GHKH',NULL,'',0,1,'2020-11-06 06:43:49','admin',NULL,NULL,NULL,NULL,NULL,'038d293fca544c86afa3f2bc65421fd7',NULL,'000000'),('a4e512091b274d71b44a240d9179a263','0','字典','4','ZD',NULL,'',2,1,'2020-08-05 15:23:10','00ca450b-141b-45d2-b6cb-94d818165543','2021-01-22 11:49:20','admin',NULL,NULL,NULL,'e3ca5fe13c484a74bf0a4ea69eec1afd',NULL,'000000'),('a6312e14b9da4f3ba7d28630f3bfbbb0','0','@sohu','@sohu.com','',NULL,'搜狐',0,1,'2018-11-30 11:21:42','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('a745d425adbb4321880817661cae8910','7866376d5f694d4d851c7164bd00ebfc','身份证','1','SFZ',NULL,'',0,1,'2020-08-08 15:33:19','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'7866376d5f694d4d851c7164bd00ebfc',NULL,'000000'),('A99C5405-DC2A-440D-A5E3-6B0A8C6026DB','4d885793-2fbd-49ce-9b0e-aa709a71b2d0','宾馆/酒店','宾馆/酒店','BGJD',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('a9eb48bfaa434e4ca542a88c3bca9e1d','0','@aliyun','@aliyun.com','',NULL,'阿里邮箱',0,1,'2018-11-30 11:35:23','admin','2018-11-30 11:35:41','admin',NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('ABA8D38C-7B37-4C32-A7C9-4DBB33A4B413','614ecab4-845f-4cbc-9ff7-a9968aca6eeb','环保/废料回收','环保/废料回收','HBFLHS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('ABE7D855-FA7A-4FF3-B39A-B4999B99C59E','27d8cf5a-22e8-4e05-b4d6-5684a564418a','计算机服务/维修','计算机服务/维修','JSJFWWX',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('ad4039ce0d4e4017ae7c917c53ffbcc8','0','土家族','土家族','TJZ',0,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('ad9147d3de4a41a3b384787e57800264','65e7917344fa460e8c487e45bbbab26f','CRM应用','crm','CRMYY',NULL,'',0,1,'2020-09-21 02:21:49','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'65e7917344fa460e8c487e45bbbab26f',NULL,'000000'),('ADF3DA95-2674-4830-BD9B-14043451C09F','614ecab4-845f-4cbc-9ff7-a9968aca6eeb','化工/肥料/农药','化工/肥料/农药','HGFLNY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('AEF24D19-1B7A-4ADB-85FF-7B974C8B0297','614ecab4-845f-4cbc-9ff7-a9968aca6eeb','电工/电气/开关/线缆','电工/电气/开关/线缆','DGDQKGXL',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('AF6172C8-DA14-419D-84F9-6CB1D1A5B231','614ecab4-845f-4cbc-9ff7-a9968aca6eeb','五金/工具','五金/工具','WJGJ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('b0f9f27b34d54ccea3bb5c7e4b5e5f34','0','乌孜别克族','乌孜别克族','WZBKZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('b12b07c35a1f4591b64015c012aa0129','0','蒙古族','蒙古族','MGZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('b16664b364414793b310b4cc56dacd5a','0','德昂族','德昂族','DAZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('b1cd608c85d74975b17bf851fa4ff6f3','765929a127f44a5b80e773d65d58f96c','销售管理','XIAO SHOU GUAN LI','XSGL',NULL,'',0,1,'2020-09-21 01:56:24','00ca450b-141b-45d2-b6cb-94d818165543','2022-12-25 21:35:46','1123598821738675201',NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('B1F6AE91-F128-4E3D-9D5D-4FF08420682D','f2acc9ef-ce0d-4ef1-a17e-c0cc32c7e678','化妆品/护肤品','化妆品/护肤品','HZPHFP',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('b2551e8601624347be5d1e5592bf33a1','02ad722fd1914c338d51597236ad2339','财务门户','4','CWMH',NULL,'',4,1,'2020-11-06 06:02:20','admin',NULL,NULL,NULL,NULL,NULL,'02ad722fd1914c338d51597236ad2339',NULL,'000000'),('B2630C4A-ED8C-4147-BAED-5BD0BCA4E5F1','8e63a940-4e88-461f-b80d-fd3db065bfef','家政服务','家政服务','JZFW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('b28702767ac5415e97dea6ed57b63039','0','@foxmail','@foxmail.com','',NULL,NULL,0,1,'2018-11-30 11:29:45','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('b36e2f4e3508471da4e3beb4a846e480','0','日常工作','1','RCGZ',NULL,NULL,0,1,'2020-05-16 17:04:12','admin','2020-05-16 17:05:51','admin',NULL,NULL,NULL,'e0bfb7f7a3054e65949ca0f7c136d717',NULL,'000000'),('b3b1273878104dc18cba8bcfa6b21e43','037ba904515348eaad1c4bd462fc80a6','仓库管理','warehouseManagement','CKGL',NULL,'',0,1,'2020-09-21 02:03:46','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'037ba904515348eaad1c4bd462fc80a6',NULL,'000000'),('B4A01EC3-8EB3-479D-AB60-FBB2A9E13BA8','0fcc751d-9ceb-4767-8755-f0189b239468','建材/工程','建材/工程','JCGC',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('b53c34f826354b028036346e63a69ffc','0','其他','10','QT,JT',NULL,NULL,0,1,'2020-05-16 17:04:57','admin','2020-05-16 17:06:22','admin',NULL,NULL,NULL,'e0bfb7f7a3054e65949ca0f7c136d717',NULL,'000000'),('b55a07a8ab49451ea67f86ba068b730b','b1474890faaa47e1858ce7b593c8ffd7','测试分类','test','CSFL',NULL,'',0,1,'2020-08-31 11:29:15','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'b1474890faaa47e1858ce7b593c8ffd7',NULL,'000000'),('b5dc651f-1125-4c6c-8114-24e2ef85ed73','0','美容/保健','美容/保健','MRBJ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('B5F754A5-9598-41E1-AA17-B6223DC144BE','75f1eb60-1258-4747-bfbc-ac66c1724b49','人力资源/财会','人力资源/财会','RLZYCK,RLZYCH',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('b5fea94707c044a09370af3af2e1e53b','765929a127f44a5b80e773d65d58f96c','公文管理','documentManage','GWGL',NULL,'',0,1,'2020-09-21 01:56:13','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('b620b397f3ec44f083b0df9fbc2f3ba7','0','本科','6','BK',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,'2017-10-26 17:13:03',NULL,NULL,NULL,NULL,'6a6d6fb541b742fbae7e8888528baa16',NULL,'000000'),('b6d980d0264041a585d47203f443af4f','037ba904515348eaad1c4bd462fc80a6','公文管理','documentManage','GWGL',NULL,'',0,1,'2020-09-21 02:03:17','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'037ba904515348eaad1c4bd462fc80a6',NULL,'000000'),('b6d9b734543d469c973759bea4fe4de0','0','包含','7','BH',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2017-10-26 17:17:17',NULL,NULL,NULL,NULL,'237446e245ce403d8062995ea33711cf',NULL,'000000'),('b71fb3fbd4824a7f98841dc33b861834','0','MySQL','MySQL','MYSQL',NULL,'',0,1,'2021-05-12 01:03:29','03d159a3-0f88-424c-a24f-02f63855fe4f','2022-07-01 17:02:23','admin',NULL,NULL,NULL,'9e7b2d0c690f4562b13e1215e449c222',NULL,'000000'),('b8e5e466e9654e70b9b4f3c53722f59f','765929a127f44a5b80e773d65d58f96c','行政管理','administrationManage','XZGL',NULL,'',0,1,'2020-09-21 01:56:34','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('BCA3C4EB-9545-4A2D-94CF-CFFADC2B4EE3','926023bb-0b74-4bca-8d67-5d7657d0bca7','图书/音像','图书/音像','TSYX',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('BCAC8366-A51D-4595-B50F-59DBC552CECD','614ecab4-845f-4cbc-9ff7-a9968aca6eeb','照明工业','照明工业','ZMGY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('bcf16235c3a845ee89b77de0dc2d4e5e','038d293fca544c86afa3f2bc65421fd7','预签约客户','3','YQYKH',NULL,'',0,1,'2020-11-06 06:43:38','admin',NULL,NULL,NULL,NULL,NULL,'038d293fca544c86afa3f2bc65421fd7',NULL,'000000'),('bcf56b39e6bd4e31ae1621f839fa8b6c','0','傈僳族','傈僳族','LSZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('be3c621bd9a94e87acbc6f9d999658e6','65e7917344fa460e8c487e45bbbab26f','销售管理','saleManage','XSGL',NULL,'',0,1,'2020-09-21 02:21:18','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'65e7917344fa460e8c487e45bbbab26f',NULL,'000000'),('be6b516477ed41dab4d0777336e58ddf','0','日常工作','routine','RCGZ',NULL,NULL,0,1,'2018-06-25 10:29:24','admin','2018-06-25 10:49:40','admin',NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('c1349445e473436c8148bf1fced9b566','1e31cad8cf5448a9859d8551015eb6f0','男','1','N',NULL,'',0,1,'2020-11-04 06:48:43','admin',NULL,NULL,NULL,NULL,NULL,'1e31cad8cf5448a9859d8551015eb6f0',NULL,'000000'),('c3cec71872db40189fb4cc3d1c41dd3a','765929a127f44a5b80e773d65d58f96c','费用相关','costRelated','FYXG',NULL,'',0,1,'2020-09-21 01:55:29','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('C48852B0-CE48-49C3-82FB-3267F513E91B','fc4a08ce-9804-4cb1-a4c6-9440ca614b5d','服装服饰','服装服饰','FZFS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('C4BD8743-ADCF-42EC-901D-44485F1B242A','8e63a940-4e88-461f-b80d-fd3db065bfef','美发','美发','MF',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('c5954708b89649258db94a016ec05ff8','573c31998bc04a23a769f9a9eff67d00','人事管理','personnelManage','RSGL',NULL,'',0,1,'2020-09-21 01:54:52','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'573c31998bc04a23a769f9a9eff67d00',NULL,'000000'),('c6671d35870949979c032fccae5933da','02ad722fd1914c338d51597236ad2339','其他门户','0','QTMH',NULL,'',0,1,'2020-11-06 05:58:53','admin',NULL,NULL,NULL,NULL,NULL,'02ad722fd1914c338d51597236ad2339',NULL,'000000'),('c67213ea412547b5a46a89bc25fabb9a','c7e90b2ceaa647159490f7637f907290','运输/物流','运输/物流','YSWL',NULL,NULL,0,1,'2019-12-16 17:54:44','admin','2020-09-19 10:20:09','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'c7e90b2ceaa647159490f7637f907290',NULL,'000000'),('c6edee1e-ae57-4b1e-84e5-4837e24978b8','0','政府机关/社会组织','政府机关/社会组织','ZFJGSKZZ,ZFJGSHZZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('c7199f50afaa46069be39644a7b602c1','0','珞巴族','珞巴族','LBZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('C7469619-5331-42D8-B625-2D75BA69A59C','5bf517bb-f45b-491b-93c0-25849ffa0a5c','银行/保险','银行/保险','YXBX,YHBX',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('c92985dbcdd648c6a98b272a8f09698e','0','服务支持','serviceSupport','FWZC',NULL,NULL,0,1,'2018-06-25 10:30:19','admin','2018-06-25 14:04:26','admin',NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('ca46924df4a14a89bdec649262c646de','0','@21cn','@21cn.com','',NULL,NULL,0,1,'2018-11-30 11:23:07','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('CC83B3E0-4E70-4910-B39D-4758A89C858F','7c7d4ae2-455c-439b-b8a8-eb484014aa75','4S店/汽车经销商','4S店/汽车经销商','DQJJXS,DQCJXS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('cc899471d3524b25b7a3cede29bd4710','0','转介绍','转介绍','ZJS',NULL,NULL,0,1,'2019-12-16 17:52:30','admin',NULL,NULL,NULL,NULL,NULL,'c9f32bb4eef748998ed57280fe100fb7',NULL,'000000'),('ccb97b703a8149bcb2bd0fd626632f93','0','功能','3','GN',NULL,'',3,1,'2020-08-05 15:22:59','00ca450b-141b-45d2-b6cb-94d818165543','2021-01-22 11:49:34','admin',NULL,NULL,NULL,'e3ca5fe13c484a74bf0a4ea69eec1afd',NULL,'000000'),('cde0f545147a4f118d33c69651fac4c3','0','电话咨询','电话咨询','DHZX',NULL,NULL,0,1,'2019-12-16 17:53:16','admin',NULL,NULL,NULL,NULL,NULL,'c9f32bb4eef748998ed57280fe100fb7',NULL,'000000'),('cdf4cba6ab8c444aa7f4c8442bbb8d3c','1cff2b60fd7a4c9f82273163b956268c','公文管理','documentManage','GWGL',NULL,'',0,1,'2020-09-21 02:01:50','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'1cff2b60fd7a4c9f82273163b956268c',NULL,'000000'),('ce51233654ee4d1890c7c081a04da2be','0','资产管理','assetsManage','ZCGL',NULL,NULL,0,1,'2018-06-25 10:30:35','admin','2018-06-25 14:06:47','admin',NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('CEDE4DDD-B946-46E7-87CF-59A393DCED36','614ecab4-845f-4cbc-9ff7-a9968aca6eeb','采掘/冶炼/金属','采掘/冶炼/金属','CJYLJZ,CJYLJS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('cf5b616c15ed40c3bfbf59d4f6e8b7fb','0','合伙企业','4','HHQY,GHQY',NULL,NULL,0,1,'2017-10-25 14:36:13',NULL,'2017-10-26 17:14:18',NULL,NULL,NULL,NULL,'9b542177a477488994ce09fff3c93901',NULL,'000000'),('d06778318f894c4b914050601897effe','963255a34ea64a2584c5d1ba269c1fe6','女','2','N',NULL,'',0,1,'2020-08-15 03:11:43','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'963255a34ea64a2584c5d1ba269c1fe6',NULL,'000000'),('D13F172E-080E-4362-862D-088BE89C0B65','27c38cf2-dc0a-4449-ab87-7eb68f7e425b','大中小学','大中小学','DZXX',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('d16ec06fe05d423b839ae341f5326053','0','大于','2','DY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2017-10-26 17:17:29',NULL,NULL,NULL,NULL,'237446e245ce403d8062995ea33711cf',NULL,'000000'),('d22e88231b604cbbbdf44016a6fa9573','c7e90b2ceaa647159490f7637f907290','贸易','贸易','MY',NULL,NULL,0,1,'2019-12-16 17:54:32','admin','2020-09-19 10:20:23','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'c7e90b2ceaa647159490f7637f907290',NULL,'000000'),('d27c63c3630543fea197eefbe553faff','b1474890faaa47e1858ce7b593c8ffd7','行政管理','administrationManage','XZGL',NULL,'',0,1,'2020-09-21 02:23:14','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'b1474890faaa47e1858ce7b593c8ffd7',NULL,'000000'),('d30a12225c004651a72cac49b5bb3b05','573c31998bc04a23a769f9a9eff67d00','销售管理','saleManage','XSGL',NULL,'',0,1,'2020-09-21 01:58:04','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'573c31998bc04a23a769f9a9eff67d00',NULL,'000000'),('D416CE11-E6A5-4778-AB42-3BDB6262D6AE','1b82cfae-98f1-4b54-a3ae-1d1c6ad3f3f6','移动通讯','移动通讯','YDTX',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('d41b37794e1c4e02afa1a102a1ff74bd','1cff2b60fd7a4c9f82273163b956268c','行政管理','administrationManage','XZGL',NULL,'',0,1,'2020-09-21 02:02:10','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'1cff2b60fd7a4c9f82273163b956268c',NULL,'000000'),('D4427F85-09BD-4572-BEC0-5297DB690184','7d7dd051-6e57-499b-ac88-c019d7c663da','医疗整形','医疗整形','YLZX',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('d44854b5cf304c41badd6afd5cd3f7dd','0','转账支付','Transferpayment','ZZZF',NULL,NULL,0,1,'2018-07-10 10:27:09','admin',NULL,NULL,NULL,NULL,NULL,'1143c18426014419a35aa1fa97685c9c',NULL,'000000'),('D4C26AA6-8B40-4DD5-BE0B-4EB027958184','27d8cf5a-22e8-4e05-b4d6-5684a564418a','计算机软件','计算机软件','JSJRJ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('d57025879a6f46fab1578bd325daa3a0','0','@163','@163.com','',NULL,'网易邮箱',0,1,'2018-11-30 11:18:17','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('d59e91fd78194596812ac84a09943de8','0','系统角色','SystemRole','XTJS,JTJS',NULL,NULL,0,1,'2017-10-27 10:23:39',NULL,NULL,NULL,NULL,NULL,NULL,'4501f6f26a384757bce12d4c4b03342c',NULL,'000000'),('d61d47fbb7864eacafe0163873b92b7d','02ad722fd1914c338d51597236ad2339','营销门户','3','YXHM',NULL,'',3,1,'2020-11-06 06:01:59','admin','2020-11-06 06:02:08','admin',NULL,NULL,NULL,'02ad722fd1914c338d51597236ad2339',NULL,'000000'),('d68614ec2be944b0b48be4c5edb9a83f','0','布朗族','布朗族','BLZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('d8df5892e057411ca96f7ad5f7fe7099','0','不等于','6','BDY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2017-10-26 17:17:45',NULL,NULL,NULL,NULL,'237446e245ce403d8062995ea33711cf',NULL,'000000'),('D967E161-32D3-4A32-9F99-86A69ECA894E','c6edee1e-ae57-4b1e-84e5-4837e24978b8','其他','其他','QT,JT',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('d9b969ed-9122-4861-9035-c631acf99378','0','休闲娱乐','休闲娱乐','XXYY,XXYL',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('da85ed8ca991457bb6b019969ba4adc8','0','专技岗位','2','ZJGW',NULL,'专技岗位指从事专业技术工作，具有相应专业技术水平和能力的工作岗位',0,1,'2017-10-26 13:29:17',NULL,'2017-10-26 17:14:33',NULL,NULL,NULL,NULL,'dae93f2fd7cd4df999d32f8750fa6a1e',NULL,'000000'),('db3d6642d7f349f19eee700a73aec42d','765929a127f44a5b80e773d65d58f96c','日常工作','routine','RCGZ',NULL,'',0,1,'2020-09-21 01:55:41','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('dbe0f98ce3bf42839d84e60bbb2b8c66','3e2d33e54d554b4b8a33fc41b93f8a2d','维修费用','2','WXFY',NULL,'',2,1,'2020-10-31 01:56:41','admin','2021-01-20 11:59:24','admin',NULL,NULL,NULL,'3e2d33e54d554b4b8a33fc41b93f8a2d',NULL,'000000'),('dc96b486bd724586814b37168c97beae','7866376d5f694d4d851c7164bd00ebfc','护照','3','HZ',NULL,'',0,1,'2020-08-08 15:33:54','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'7866376d5f694d4d851c7164bd00ebfc',NULL,'000000'),('dd2395ccc6fc4e2f8f23de4becfa9d7e','0','DM','DM','DM',NULL,'',0,1,'2021-05-12 01:03:35','03d159a3-0f88-424c-a24f-02f63855fe4f',NULL,NULL,NULL,NULL,NULL,'9e7b2d0c690f4562b13e1215e449c222',NULL,'000000'),('dd961d9d30a5492682a462bd282e8158','0','傣族','傣族','DZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('decbf5a18cf74bae90b98b3fbe04ec8a','9c43287481364d348c0ea0d0f64b38be','大屏图表','2','DP',NULL,'',0,1,'2020-08-10 23:44:41','00ca450b-141b-45d2-b6cb-94d818165543','2020-08-10 23:44:51','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'9c43287481364d348c0ea0d0f64b38be',NULL,'000000'),('df251cf8fc464377b11650cbece4eb88','0','其他','Other','QT,JT',NULL,NULL,0,1,'2018-07-10 10:53:10','admin',NULL,NULL,NULL,NULL,NULL,'1143c18426014419a35aa1fa97685c9c',NULL,'000000'),('DF326EC3-AD05-41E0-B4D3-3382748C700C','f2acc9ef-ce0d-4ef1-a17e-c0cc32c7e678','生活用品','生活用品','SHYP',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('df721d25cb9b4502afb4fe9796f71ac7','0','中专','4','ZZ',NULL,NULL,0,1,'2017-10-24 16:00:35',NULL,'2017-10-26 17:12:52',NULL,NULL,NULL,NULL,'6a6d6fb541b742fbae7e8888528baa16',NULL,'000000'),('df845894f4d44e54843239bf4a8171f6','65e7917344fa460e8c487e45bbbab26f','行政管理','administrationManage','XZGL',NULL,'',0,1,'2020-09-21 02:21:30','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'65e7917344fa460e8c487e45bbbab26f',NULL,'000000'),('e089eb659c894c79acb1cb2f0939d15f','b1474890faaa47e1858ce7b593c8ffd7','仓库管理','warehouseManagement','CKGL',NULL,'',0,1,'2020-09-21 02:23:21','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'b1474890faaa47e1858ce7b593c8ffd7',NULL,'000000'),('e0a2b6e477b4499082ef89632063183a','1cff2b60fd7a4c9f82273163b956268c','仓库管理','warehouseManagement','CKGL',NULL,'',0,1,'2020-09-21 02:02:20','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'1cff2b60fd7a4c9f82273163b956268c',NULL,'000000'),('e17e977fe98e43d0baabb327f70e6549','507f4f5df86b47588138f321e0b0dac7','车辆管理','cheliang','CLGL',NULL,'',0,1,'2020-10-31 01:18:43','admin',NULL,NULL,NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('e25ed4b5bd934c2bb8b4a89ff379992f','c7e90b2ceaa647159490f7637f907290','服务业','服务业','FWY',NULL,NULL,0,1,'2019-12-16 17:54:49','admin','2020-09-19 10:20:03','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'c7e90b2ceaa647159490f7637f907290',NULL,'000000'),('e43a773b8a024d109dfb176e99f08a35','0','行政管理','administrationManage','XZGL,HZGL',NULL,NULL,0,1,'2018-06-25 10:31:26','admin','2018-06-25 14:06:14','admin',NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('e4bb0a72a062405397acdeed43862cda','b1474890faaa47e1858ce7b593c8ffd7','合同管理','contractManage','HTGL',NULL,'',0,1,'2020-09-21 02:22:45','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'b1474890faaa47e1858ce7b593c8ffd7',NULL,'000000'),('e669a5d1545e4c39805e22da6df6dfd0','0','纳西族','纳西族','NXZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('E6C0D972-0A2A-48B6-85E8-55F80200C503','1b82cfae-98f1-4b54-a3ae-1d1c6ad3f3f6','数码产品','数码产品','SMCP',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('e6d2b9f4b7364a11913e866ff3256d9c','573c31998bc04a23a769f9a9eff67d00','日常工作','routine','RCGZ',NULL,'',0,1,'2020-09-21 01:57:38','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'573c31998bc04a23a769f9a9eff67d00',NULL,'000000'),('e73047ef52f44d11b5326bf340981ed1','0','English','en-US','',NULL,'',0,1,'2017-10-24 16:00:36',NULL,'2020-05-28 17:50:22','admin',NULL,NULL,NULL,'dc6b2542d94b407cac61ec1d59592901',NULL,'000000'),('e781a37278e04b1ead88c7e60fee40a7','c7e90b2ceaa647159490f7637f907290','其他','其他','QT,JT',NULL,NULL,0,1,'2019-12-16 17:55:07','admin','2020-09-19 10:19:38','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'c7e90b2ceaa647159490f7637f907290',NULL,'000000'),('E86D955D-8E32-4D9E-AF66-87E0D30C5555','0fcc751d-9ceb-4767-8755-f0189b239468','楼盘/物业','楼盘/物业','LPWY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('E8802412-74A7-42BB-B892-F8AAAB779783','0fcc751d-9ceb-4767-8755-f0189b239468','室内设计/装潢','室内设计/装潢','SNSJZH',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('e8bfa8ac60d34361b815b48c494f3e06','0','合同管理','contractManage','HTGL,GTGL',NULL,NULL,0,1,'2018-06-25 10:30:27','admin','2018-06-25 14:06:52','admin',NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('EA8E6EF5-76CA-4E2C-B2B0-D6BAF4ED7F08','27c38cf2-dc0a-4449-ab87-7eb68f7e425b','语言培训','语言培训','YYPX',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('EB53529F-71C0-4136-A27B-73A533434D87','75f1eb60-1258-4747-bfbc-ac66c1724b49','外包服务','外包服务','WBFW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('eb5591394bf74e378389279fd63aca65','037ba904515348eaad1c4bd462fc80a6','费用相关','costRelated','FYXG',NULL,'',0,1,'2020-09-21 02:02:50','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'037ba904515348eaad1c4bd462fc80a6',NULL,'000000'),('eb789cfd3fe54f1cb9230c6f793897a4','1cff2b60fd7a4c9f82273163b956268c','日常工作','routine','RCGZ',NULL,'',0,1,'2020-09-21 02:00:58','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'1cff2b60fd7a4c9f82273163b956268c',NULL,'000000'),('eb8ff4dc825b4cbe8ca212757f35a1b0','0','管理岗位','1','GLGW',NULL,'管理岗位指担负领导啧啧或管理任务的工作岗位',0,1,'2017-10-26 13:29:06',NULL,'2017-10-26 17:14:29',NULL,NULL,NULL,NULL,'dae93f2fd7cd4df999d32f8750fa6a1e',NULL,'000000'),('EC84E1BB-4DEB-4E71-BEA0-76FB939DFD34','f2acc9ef-ce0d-4ef1-a17e-c0cc32c7e678','烟酒','烟酒','YJ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('ec8d5b687ef84f38ae75162af669f862','c7e90b2ceaa647159490f7637f907290','生产','生产','SC',NULL,NULL,0,1,'2019-12-16 17:54:38','admin','2020-09-19 10:20:16','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'c7e90b2ceaa647159490f7637f907290',NULL,'000000'),('ECB00494-3C58-43FF-BA93-8505FB568AB5','8e63a940-4e88-461f-b80d-fd3db065bfef','快递/物流/速运','快递/物流/速运','KDWLSY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('ecf667b572144b068788eaa2f5643376','0','@sina','@sina.com','',NULL,'新浪',0,1,'2018-11-30 11:21:18','admin','2018-11-30 11:30:30','admin',NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('ed7b686972904272af15dc096cf54c9d','0','支票结算','Checksettlement','ZPJS',NULL,NULL,0,1,'2018-07-10 10:52:45','admin',NULL,NULL,NULL,NULL,NULL,'1143c18426014419a35aa1fa97685c9c',NULL,'000000'),('ee8b30401c214df4a19e86f63bd8df55','0','促销活动','促销活动','CXHD',NULL,NULL,0,1,'2019-12-16 17:52:03','admin',NULL,NULL,NULL,NULL,NULL,'c9f32bb4eef748998ed57280fe100fb7',NULL,'000000'),('EECBF1B0-C175-4BAB-A189-5E7DE1632F23','b5dc651f-1125-4c6c-8114-24e2ef85ed73','保健品','保健品','BJP',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('f043454be068470180756c50596e47dd','0','公司','company','GS',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2017-10-26 17:13:46',NULL,NULL,NULL,NULL,'9aba44dfc8dc481a9346b9ce38a0735e',NULL,'000000'),('f09bfa62f0b74ede879d98e5bcc21a35','765929a127f44a5b80e773d65d58f96c','仓库管理','warehouseManagement','CKGL',NULL,'',0,1,'2020-09-21 01:56:51','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'765929a127f44a5b80e773d65d58f96c',NULL,'000000'),('f10e48fc01024e3fb0ef67bfbf68f787','0','非优先客户','非优先客户','FYXKH',NULL,NULL,0,1,'2019-12-16 17:55:56','admin','2019-12-28 15:14:24','admin',NULL,NULL,NULL,'87b9d6e3c2dc4c71a06ff6844e92c292',NULL,'000000'),('F18D5175-4200-47C4-B299-3AFBF8216AF9','926023bb-0b74-4bca-8d67-5d7657d0bca7','广告','广告','GG,AG',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('f2acc9ef-ce0d-4ef1-a17e-c0cc32c7e678','0','日用杂货/家电','日用杂货/家电','RYZHJD',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('f3dc29e8a224486c9f8150f0855336e7','65e7917344fa460e8c487e45bbbab26f','人事管理','personnelManage','RSGL',NULL,'',0,1,'2020-09-21 02:20:31','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'65e7917344fa460e8c487e45bbbab26f',NULL,'000000'),('F463A7BE-F5BC-4C9F-8A89-F744C1E1A88E','7d7dd051-6e57-499b-ac88-c019d7c663da','制药/生物','制药/生物','ZYSW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('f4a0897d4f2d4e748a8f55ec7d85a82a','0','私营企业','2','SYQY',NULL,NULL,0,1,'2017-10-25 14:34:42',NULL,'2017-10-26 17:14:10',NULL,NULL,NULL,NULL,'9b542177a477488994ce09fff3c93901',NULL,'000000'),('f508a8a3bd354d409c245a1adf97a2f1','573c31998bc04a23a769f9a9eff67d00','合同管理','contractManage','HTGL',NULL,'',0,1,'2020-09-21 01:57:46','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'573c31998bc04a23a769f9a9eff67d00',NULL,'000000'),('f559976768564145ba38dab1b32a3e53','c7e90b2ceaa647159490f7637f907290','政府','政府','ZF',NULL,NULL,0,1,'2019-12-16 17:55:01','admin','2020-09-19 10:19:47','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,'c7e90b2ceaa647159490f7637f907290',NULL,'000000'),('f5c79713ba9d414faabbc253f64181ef','b1474890faaa47e1858ce7b593c8ffd7','公文管理','documentManage','GWGL',NULL,'',0,1,'2020-09-21 02:22:56','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'b1474890faaa47e1858ce7b593c8ffd7',NULL,'000000'),('f5ebba6dbf47453687b6a10694694aaf','0','赫哲族','赫哲族','HZZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('F61115F6-A7A1-4B04-858E-E976721AAF30','75f1eb60-1258-4747-bfbc-ac66c1724b49','办公用品及设备','办公用品及设备','BGYPJSB',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('f64035085f6f4f50864c3aab0fe42d99','0','大于等于','3','DYDY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2017-10-26 17:17:33',NULL,NULL,NULL,NULL,'237446e245ce403d8062995ea33711cf',NULL,'000000'),('f64c7def086241d4b253571868ac9e17','4173579c31e74a2b8749e65a23e5c957','日常工作','routine','RCGZ',NULL,'',0,1,'2020-09-21 01:59:04','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'4173579c31e74a2b8749e65a23e5c957',NULL,'000000'),('f6881a48b1984a44845a056b3bcdc000','65e7917344fa460e8c487e45bbbab26f','日常工作','routine','RCGZ',NULL,'',0,1,'2020-09-21 02:20:52','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'65e7917344fa460e8c487e45bbbab26f',NULL,'000000'),('F6D5FE02-A217-4F90-A820-D5BD710B4FF7','7d7dd051-6e57-499b-ac88-c019d7c663da','医疗设备/器械','医疗设备/器械','YLSBQX',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('f8b87124ef2a45758426c7d76afa2c90','0','公文管理','documentManage','GWGL',NULL,NULL,0,1,'2018-06-25 10:30:46','admin','2018-06-25 14:06:40','admin',NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('f8be14c58efe48d5adc66cbea176bfcd','0','鄂伦春族','鄂伦春族','ELCZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('f8d20d8d3ea24c54bf522dad4652d105','65e7917344fa460e8c487e45bbbab26f','仓库管理','warehouseManagement','CKGL',NULL,'',0,1,'2020-09-21 02:21:40','00ca450b-141b-45d2-b6cb-94d818165543',NULL,NULL,NULL,NULL,NULL,'65e7917344fa460e8c487e45bbbab26f',NULL,'000000'),('f913416000a14ed7b66726cc352219d9','0','不包含','8','BBH',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,'2017-10-26 17:17:21',NULL,NULL,NULL,NULL,'237446e245ce403d8062995ea33711cf',NULL,'000000'),('FB03EBBE-AE85-4394-91EF-DB6D6DC0BBCB','27c38cf2-dc0a-4449-ab87-7eb68f7e425b','孕前/婴幼儿教育','孕前/婴幼儿教育','YQYYEJY',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('fb096124a2564dcc84eafc92b771e667','0','塔吉克族','塔吉克族','TJKZ,DJKZ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'b6cd65a763fa45eb9fe98e5057693e40',NULL,'000000'),('FBA08D44-765D-4462-9782-E4AADB4E8AE3','7c7d4ae2-455c-439b-b8a8-eb484014aa75','租车/代驾','租车/代驾','ZJDJ,ZCDJ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('fbca06d126e1433a8a74181a83ac5a1a','0','Oracle','Oracle','ORACLE',NULL,'',0,1,'2021-05-12 01:03:44','03d159a3-0f88-424c-a24f-02f63855fe4f',NULL,NULL,NULL,NULL,NULL,'9e7b2d0c690f4562b13e1215e449c222',NULL,'000000'),('FBE677DD-AB1D-43D0-AF5F-460B2610F58A','75f1eb60-1258-4747-bfbc-ac66c1724b49','咨询/顾问','咨询/顾问','ZXGW',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('fc4a08ce-9804-4cb1-a4c6-9440ca614b5d','0','鞋服/工艺品/奢侈品','鞋服/工艺品/奢侈品','XFGYPSCP',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('FCAD0103-FAA2-4D5C-96AA-D113F307225D','f2acc9ef-ce0d-4ef1-a17e-c0cc32c7e678','家电/小家电/厨卫用具','家电/小家电/厨卫用具','JDXJDCWYJ',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('FD32473F-9151-4A9F-85FF-B1FE95D5B9D4','8e63a940-4e88-461f-b80d-fd3db065bfef','维修/疏通','维修/疏通','WXST',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000'),('fda8b268e91244eeb70435ed5f4676da','0','@hotmail','@hotmail.com','',NULL,NULL,0,1,'2018-11-30 11:22:40','admin',NULL,NULL,NULL,NULL,NULL,'55d7666d74df4bb4b36aed08a3a5bad1',NULL,'000000'),('fe72535365154b5f82fd7c2f984087f3','0','CRM应用','crm','YY',NULL,NULL,0,1,'2019-11-27 18:30:31','admin',NULL,NULL,NULL,NULL,NULL,'507f4f5df86b47588138f321e0b0dac7',NULL,'000000'),('FE7F43BF-75C7-492B-8898-72A40FDDBB95','d9b969ed-9122-4861-9035-c631acf99378','KTV/酒吧/夜店','KTV/酒吧/夜店','JBYD',NULL,NULL,0,1,'2017-10-24 16:00:36',NULL,NULL,NULL,NULL,NULL,NULL,'d59a3cf65f9847dbb08be449e3feae16',NULL,'000000');
/*!40000 ALTER TABLE `base_dictionarydata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_dictionarytype`
--

DROP TABLE IF EXISTS `base_dictionarytype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `base_dictionarytype` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '上级',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '编号',
  `F_IsTree` int DEFAULT NULL COMMENT '树形',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='字典分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_dictionarytype`
--

LOCK TABLES `base_dictionarytype` WRITE;
/*!40000 ALTER TABLE `base_dictionarytype` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_dictionarytype` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_province`
--

DROP TABLE IF EXISTS `base_province`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `base_province` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域上级',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域编号',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域名称',
  `F_QuickQuery` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '快速查询',
  `F_Type` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域类型',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='行政区划';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_province`
--

LOCK TABLES `base_province` WRITE;
/*!40000 ALTER TABLE `base_province` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_province` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev`
--

DROP TABLE IF EXISTS `base_visualdev`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `base_visualdev` (
  `F_Id` varchar(50) NOT NULL COMMENT '主键',
  `F_Description` longtext COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) DEFAULT NULL COMMENT '删除用户',
  `F_FullName` varchar(100) DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) DEFAULT NULL COMMENT '编码',
  `F_State` int DEFAULT NULL COMMENT '状态(0-暂存（默认），1-发布)',
  `F_Type` int DEFAULT NULL COMMENT '类型(1-应用开发,2-移动开发,3-流程表单)',
  `F_Table` longtext COMMENT '关联的表',
  `F_Category` varchar(50) DEFAULT NULL COMMENT '分类（数据字典）',
  `F_FormData` longtext COMMENT '表单配置JSON',
  `F_ColumnData` longtext COMMENT '列表配置JSON',
  `F_Fields` longtext COMMENT '功能字段JSON',
  `F_TemplateData` longtext COMMENT '前端模板JSON',
  `F_DbLinkId` varchar(50) DEFAULT NULL COMMENT '关联数据连接id',
  `F_FlowTemplateJson` longtext COMMENT '工作流模板JSON',
  `F_WebType` int DEFAULT NULL COMMENT '页面类型（1、纯表单，2、表单加列表，3、表单列表工作流）',
  `F_FlowId` varchar(50) DEFAULT NULL COMMENT '关联工作流连接id',
  `web_scene` varchar(20) DEFAULT NULL COMMENT '使用场景',
  `relation_data` longtext COMMENT '关联数据JSON',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `approve_status` varchar(12) DEFAULT NULL COMMENT '审批状态',
  `logic_data` longtext COMMENT '逻辑数据',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='可视化开发功能表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev`
--

LOCK TABLES `base_visualdev` WRITE;
/*!40000 ALTER TABLE `base_visualdev` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_data_log`
--

DROP TABLE IF EXISTS `base_visualdev_data_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `base_visualdev_data_log` (
  `id` bigint NOT NULL COMMENT '主键',
  `form_id` varchar(100) NOT NULL COMMENT '表单ID',
  `data_id` varchar(255) DEFAULT NULL COMMENT '对应数据的ID',
  `column_id` int NOT NULL COMMENT '字段ID',
  `value_old` text COMMENT '旧数据',
  `value_new` text COMMENT '新数据',
  `action` varchar(100) NOT NULL COMMENT '操作类型（add-新增；delete-删除；update-修改；）',
  `time` datetime NOT NULL COMMENT '操作时间',
  `sn` bigint NOT NULL COMMENT '序列号，同一次的操作序列号相同',
  `operator` varchar(255) DEFAULT NULL COMMENT '操作人',
  `operator_id` bigint DEFAULT NULL COMMENT '操作人ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='在线表单数据变更日志';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_data_log`
--

LOCK TABLES `base_visualdev_data_log` WRITE;
/*!40000 ALTER TABLE `base_visualdev_data_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_data_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_data_permission`
--

DROP TABLE IF EXISTS `base_visualdev_data_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `base_visualdev_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visualdev_id` varchar(100) NOT NULL COMMENT '表单ID',
  `visualdev_perm_name` varchar(100) NOT NULL COMMENT '表单操作权限名称',
  `data_perm_id` int DEFAULT NULL COMMENT '权限组ID',
  `perm_json` text COMMENT '操作权限JSON',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `is_default` tinyint NOT NULL DEFAULT '0' COMMENT '是否默认:0否 1是',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='表单操作权限';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_data_permission`
--

LOCK TABLES `base_visualdev_data_permission` WRITE;
/*!40000 ALTER TABLE `base_visualdev_data_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_data_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_export_task`
--

DROP TABLE IF EXISTS `base_visualdev_export_task`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `base_visualdev_export_task` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(255) NOT NULL COMMENT '任务名称',
  `model_id` varchar(100) NOT NULL COMMENT '表单ID',
  `cube_id` int NOT NULL COMMENT '数据集ID',
  `is_all` tinyint NOT NULL DEFAULT '0' COMMENT '是否导出全部（0-非全部；1-全部）',
  `rule` text NOT NULL COMMENT '导出规则',
  `operator` varchar(255) DEFAULT NULL COMMENT '操作员',
  `operator_id` bigint DEFAULT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '导出时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  `status` tinyint NOT NULL DEFAULT '0' COMMENT '任务状态（0-进行中；1-成功；2-失败；）',
  `file_name` varchar(255) DEFAULT NULL COMMENT '文件名称',
  `file_size` bigint DEFAULT NULL COMMENT '文件大小（单位：字节）',
  `count` int DEFAULT '0' COMMENT '导出条数',
  `ext` text COMMENT '扩展字段，比如存储错误信息',
  `take_up_time` decimal(10,3) DEFAULT '0.000' COMMENT '耗时（单位：秒）',
  `approve_status` tinyint DEFAULT NULL COMMENT '审批状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='表单数据导出任务';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_export_task`
--

LOCK TABLES `base_visualdev_export_task` WRITE;
/*!40000 ALTER TABLE `base_visualdev_export_task` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_export_task` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_import_log`
--

DROP TABLE IF EXISTS `base_visualdev_import_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `base_visualdev_import_log` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '导入备注',
  `model_id` varchar(100) NOT NULL COMMENT '表单ID',
  `cube_id` int NOT NULL COMMENT '数据集ID',
  `is_truncate` tinyint NOT NULL DEFAULT '0' COMMENT '是否清空（0-否；1-是）',
  `rule` text NOT NULL COMMENT '规则',
  `operator` varchar(255) DEFAULT NULL COMMENT '操作员',
  `operator_id` bigint DEFAULT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '导入时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  `status` tinyint NOT NULL DEFAULT '0' COMMENT '任务状态（0-进行中；1-成功；2-失败；）',
  `file_path` varchar(255) DEFAULT NULL COMMENT '文件路径',
  `file_size` bigint DEFAULT NULL COMMENT '文件大小（单位：字节）',
  `count` int DEFAULT '0' COMMENT '导入数量',
  `ext` text COMMENT '扩展字段，比如存储错误信息',
  `take_up_time` decimal(10,3) DEFAULT '0.000' COMMENT '耗时（单位：秒）',
  `with_header` tinyint DEFAULT NULL COMMENT '是否带表头（0-不带；1-带）',
  `key_start` varchar(255) DEFAULT NULL COMMENT '本次导入数据的开始主键',
  `key_end` varchar(255) DEFAULT NULL COMMENT '本次导入数据的结束主键',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='表单数据导入';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_import_log`
--

LOCK TABLES `base_visualdev_import_log` WRITE;
/*!40000 ALTER TABLE `base_visualdev_import_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_import_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `base_visualdev_recycle`
--

DROP TABLE IF EXISTS `base_visualdev_recycle`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `base_visualdev_recycle` (
  `id` bigint NOT NULL COMMENT '主键',
  `model_id` varchar(100) NOT NULL COMMENT '表单ID',
  `data` longtext NOT NULL COMMENT '删除的数据',
  `data_view` longtext COMMENT '前端渲染',
  `operator` varchar(255) NOT NULL COMMENT '操作员',
  `operator_id` bigint NOT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='表单数据回收站';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `base_visualdev_recycle`
--

LOCK TABLES `base_visualdev_recycle` WRITE;
/*!40000 ALTER TABLE `base_visualdev_recycle` DISABLE KEYS */;
/*!40000 ALTER TABLE `base_visualdev_recycle` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_attach`
--

DROP TABLE IF EXISTS `blade_attach`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_attach` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `link` varchar(1000) DEFAULT NULL COMMENT '附件地址',
  `domain` varchar(500) DEFAULT NULL COMMENT '附件域名',
  `name` varchar(500) DEFAULT NULL COMMENT '附件名称',
  `original_name` varchar(500) DEFAULT NULL COMMENT '附件原名',
  `extension` varchar(12) DEFAULT NULL COMMENT '附件拓展名',
  `attach_size` bigint DEFAULT NULL COMMENT '附件大小',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_attach`
--

LOCK TABLES `blade_attach` WRITE;
/*!40000 ALTER TABLE `blade_attach` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_attach` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_client`
--

DROP TABLE IF EXISTS `blade_client`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_client` (
  `id` bigint NOT NULL COMMENT '主键',
  `client_id` varchar(48) NOT NULL COMMENT '客户端id',
  `client_secret` varchar(256) NOT NULL COMMENT '客户端密钥',
  `resource_ids` varchar(256) DEFAULT NULL COMMENT '资源集合',
  `scope` varchar(256) NOT NULL COMMENT '授权范围',
  `authorized_grant_types` varchar(256) NOT NULL COMMENT '授权类型',
  `web_server_redirect_uri` varchar(256) DEFAULT NULL COMMENT '回调地址',
  `authorities` varchar(256) DEFAULT NULL COMMENT '权限',
  `access_token_validity` int NOT NULL COMMENT '令牌过期秒数',
  `refresh_token_validity` int NOT NULL COMMENT '刷新令牌过期秒数',
  `additional_information` varchar(4096) DEFAULT NULL COMMENT '附加说明',
  `autoapprove` varchar(256) DEFAULT NULL COMMENT '自动授权',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int NOT NULL COMMENT '状态',
  `is_deleted` int NOT NULL COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_client`
--

LOCK TABLES `blade_client` WRITE;
/*!40000 ALTER TABLE `blade_client` DISABLE KEYS */;
INSERT INTO `blade_client` VALUES (1123598811738675202,'saber','saber_secret',NULL,'all','refresh_token,password,authorization_code,captcha,social','http://localhost:8080',NULL,360000,604800,NULL,NULL,1123598815738675201,1123598813738675201,'2019-03-24 10:42:29',1123598815738675201,'2019-03-24 10:42:32',1,0,'2031b22');
/*!40000 ALTER TABLE `blade_client` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_code`
--

DROP TABLE IF EXISTS `blade_code`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_code` (
  `id` bigint NOT NULL COMMENT '主键',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源主键',
  `service_name` varchar(64) DEFAULT NULL COMMENT '服务名称',
  `code_name` varchar(64) DEFAULT NULL COMMENT '模块名称',
  `table_name` varchar(64) DEFAULT NULL COMMENT '表名',
  `table_prefix` varchar(64) DEFAULT NULL COMMENT '表前缀',
  `pk_name` varchar(32) DEFAULT NULL COMMENT '主键名',
  `package_name` varchar(500) DEFAULT NULL COMMENT '后端包名',
  `base_mode` int DEFAULT NULL COMMENT '基础业务模式',
  `wrap_mode` int DEFAULT NULL COMMENT '包装器模式',
  `api_path` varchar(2000) DEFAULT NULL COMMENT '后端路径',
  `web_path` varchar(2000) DEFAULT NULL COMMENT '前端路径',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_code`
--

LOCK TABLES `blade_code` WRITE;
/*!40000 ALTER TABLE `blade_code` DISABLE KEYS */;
INSERT INTO `blade_code` VALUES (1123598812738675201,1161483357481541634,'bigdata','数据大屏分类','blade_visual_category','blade_','id','org.springblade.bigdata',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1366295125914841090,1161483357481541634,'test','test','blade_dict','blade_','id','com.test',2,1,'d:\\temp','d:\\temp',1),(1366304117001056258,1161483357481541634,'bigdata','数据大屏参数','blade_visual_config','blade_','id','org.springblade.bigdata',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1366304226044571650,1161483357481541634,'bigdata','数据大屏列表','blade_visual','blade_','id','org.springblade.bigdata',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1366304336195383298,1161483357481541634,'bigdata','数据大屏地图','blade_visual_map','blade_','id','org.springblade.bigdata',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1369526701520142337,1161483594023510018,'report','报表','V_FIN_ORDER_MONTH','V_FIN','THEMONTH','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1370020983963996161,1161483357481541634,'report','报表','report_config','report_','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1370021769603272705,1161483357481541634,'report','报表','report_config_detail','report_','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1370024229633871873,1161483357481541634,'report','报表','report_dimension','report_','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1372719386456072193,1161483357481541634,'report','报表管理','report',' ','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1372722342643474433,1161483357481541634,'report','报表角色权限','report_role',' ','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1372813250651070465,1161483357481541634,'report','报表数据源','report_datasource',' ','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1373274918166306817,1161483357481541634,'report','数据源','test',' ','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1373882801555873793,1161483357481541634,'report','接口管理','data_api',' ','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1374536571780337665,1161483357481541634,'report','接口配置','data_api_config','data_','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1374536582857494529,1161483357481541634,'report','接口配置详情','data_api_config_detail','data_','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1376731176029589505,1161483357481541634,'report','报告模板页','report_template',' ','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1376731188188876801,1161483357481541634,'report','报告模板组件','report_template_components',' ','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1382698040284631041,1161483357481541634,'report','报表指标信息','report_index_info','report_','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1382698198816739330,1161483357481541634,'report','报表指标分类','report_index_category','report_','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1383415511509504001,1161483357481541634,'report','接口管理','data_api_category',' ','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1390320942433644546,1161483357481541634,'report','接口管理','report_table_category','report_','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1390323335741255682,1161483357481541634,'report','接口管理','report_table_category_relation','report_','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1410841971115352065,1161483357481541634,'report','历史报表','history_report_info',' ','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0),(1410842342898458625,1161483357481541634,'report','历史报表文件夹','history_report_folder',' ','id','org.springblade.report',1,1,'/home/bladex_boot','/chroot/www/saber',0);
/*!40000 ALTER TABLE `blade_code` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_datasource`
--

DROP TABLE IF EXISTS `blade_datasource`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_datasource` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(100) DEFAULT NULL COMMENT '名称',
  `driver_class` varchar(100) DEFAULT NULL COMMENT '驱动类',
  `url` varchar(500) DEFAULT NULL COMMENT '连接地址',
  `username` varchar(50) DEFAULT NULL COMMENT '用户名',
  `password` varchar(50) DEFAULT NULL COMMENT '密码',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_datasource`
--

LOCK TABLES `blade_datasource` WRITE;
/*!40000 ALTER TABLE `blade_datasource` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_datasource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_dept`
--

DROP TABLE IF EXISTS `blade_dept`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_dept` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `ancestors` varchar(2000) DEFAULT NULL COMMENT '祖级列表',
  `dept_category` int DEFAULT NULL COMMENT '部门类型',
  `dept_name` varchar(45) DEFAULT NULL COMMENT '部门名',
  `full_name` varchar(45) DEFAULT NULL COMMENT '部门全称',
  `sort` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_dept`
--

LOCK TABLES `blade_dept` WRITE;
/*!40000 ALTER TABLE `blade_dept` DISABLE KEYS */;
INSERT INTO `blade_dept` VALUES (1701551288749170690,'23lquec',0,'0',1,'测试租户','测试租户',2,NULL,0),(1701551350099255297,'23lqq04',0,'0',1,'测试ETL','测试ETL',2,NULL,0);
/*!40000 ALTER TABLE `blade_dept` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_dict`
--

DROP TABLE IF EXISTS `blade_dict`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_dict` (
  `id` bigint NOT NULL COMMENT '主键',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `code` varchar(255) DEFAULT NULL COMMENT '字典码',
  `dict_key` varchar(255) DEFAULT NULL COMMENT '字典值',
  `dict_value` varchar(255) DEFAULT NULL COMMENT '字典名称',
  `sort` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '字典备注',
  `is_sealed` int DEFAULT '0' COMMENT '是否已封存',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_dict`
--

LOCK TABLES `blade_dict` WRITE;
/*!40000 ALTER TABLE `blade_dict` DISABLE KEYS */;
INSERT INTO `blade_dict` VALUES (1123598814738675201,0,'sex','-1','性别',1,NULL,0,0),(1123598814738675202,1123598814738675201,'sex','1','男',1,NULL,0,0),(1123598814738675203,1123598814738675201,'sex','2','女',2,NULL,0,0),(1123598814738675204,0,'notice','-1','通知类型',2,NULL,0,0),(1123598814738675205,1123598814738675204,'notice','1','发布通知',1,NULL,0,0),(1123598814738675206,1123598814738675204,'notice','2','批转通知',2,NULL,0,0),(1123598814738675207,1123598814738675204,'notice','3','转发通知',3,NULL,0,0),(1123598814738675208,1123598814738675204,'notice','4','指示通知',4,NULL,0,0),(1123598814738675209,1123598814738675204,'notice','5','任免通知',5,NULL,0,0),(1123598814738675210,1123598814738675204,'notice','6','事务通知',6,NULL,0,0),(1123598814738675211,0,'menu_category','-1','菜单类型',3,NULL,0,0),(1123598814738675212,1123598814738675211,'menu_category','1','菜单',1,NULL,0,0),(1123598814738675213,1123598814738675211,'menu_category','2','按钮',2,NULL,0,0),(1123598814738675214,0,'button_func','-1','按钮功能',4,NULL,0,0),(1123598814738675215,1123598814738675214,'button_func','1','工具栏',1,NULL,0,0),(1123598814738675216,1123598814738675214,'button_func','2','操作栏',2,NULL,0,0),(1123598814738675217,1123598814738675214,'button_func','3','工具操作栏',3,NULL,0,0),(1123598814738675218,0,'yes_no','-1','是否',5,NULL,0,0),(1123598814738675219,1123598814738675218,'yes_no','1','否',1,NULL,0,0),(1123598814738675220,1123598814738675218,'yes_no','2','是',2,NULL,0,0),(1123598814738675221,0,'flow','-1','流程类型',5,NULL,0,0),(1123598814738675222,1123598814738675221,'flow','1','请假流程',1,'leave',0,0),(1123598814738675223,1123598814738675221,'flow','2','报销流程',2,'expense',0,0),(1123598814738675227,0,'org_category','-1','机构类型',7,NULL,0,0),(1123598814738675228,1123598814738675227,'org_category','1','公司',1,NULL,0,0),(1123598814738675229,1123598814738675227,'org_category','2','部门',2,NULL,0,0),(1123598814738675230,1123598814738675227,'org_category','3','小组',3,NULL,0,0),(1123598814738675231,0,'data_scope_type','-1','数据权限',8,NULL,0,0),(1123598814738675232,1123598814738675231,'data_scope_type','1','全部可见',1,NULL,0,0),(1123598814738675233,1123598814738675231,'data_scope_type','2','本人可见',2,NULL,0,0),(1123598814738675234,1123598814738675231,'data_scope_type','3','所在机构可见',3,NULL,0,0),(1123598814738675235,1123598814738675231,'data_scope_type','4','所在机构及子级可见',4,NULL,0,0),(1123598814738675236,1123598814738675231,'data_scope_type','5','自定义',5,NULL,0,0),(1123598814738675237,0,'api_scope_type','-1','接口权限',10,NULL,0,0),(1123598814738675238,1123598814738675237,'api_scope_type','1','系统接口',1,NULL,0,0),(1123598814738675239,1123598814738675237,'api_scope_type','2','业务接口',2,NULL,0,0),(1123598814738675240,0,'scope_category','-1','权限类型',10,NULL,0,0),(1123598814738675241,1123598814738675240,'scope_category','1','数据权限',1,NULL,0,0),(1123598814738675242,1123598814738675240,'scope_category','2','接口权限',2,NULL,0,0),(1123598814738676224,0,'oss','-1','对象存储类型',6,NULL,0,0),(1123598814738676225,1123598814738676224,'oss','1','minio',1,NULL,0,0),(1123598814738676226,1123598814738676224,'oss','2','七牛云',2,NULL,0,0),(1123598814738676227,1123598814738676224,'oss','3','阿里云',3,NULL,0,0),(1123598814738676228,1123598814738676224,'oss','4','腾讯云',4,NULL,0,0),(1123598814738677220,0,'sms','-1','短信服务类型',11,NULL,0,0),(1123598814738677221,1123598814738677220,'sms','1','云片',1,NULL,0,0),(1123598814738677222,1123598814738677220,'sms','2','七牛云',2,NULL,0,0),(1123598814738677223,1123598814738677220,'sms','3','阿里云',3,NULL,0,0),(1123598814738677224,1123598814738677220,'sms','4','腾讯云',4,NULL,0,0),(1123598814738777220,0,'post_category','-1','岗位类型',12,NULL,0,0),(1123598814738777221,1123598814738777220,'post_category','1','高层',1,NULL,0,0),(1123598814738777222,1123598814738777220,'post_category','2','中层',2,NULL,0,0),(1123598814738777223,1123598814738777220,'post_category','3','基层',3,NULL,0,0),(1123598814738777224,1123598814738777220,'post_category','4','其他',4,NULL,0,0),(1123598814738777230,0,'region','-1','行政区划',13,NULL,0,0),(1123598814738777231,1123598814738777230,'region','0','国家',0,NULL,0,0),(1123598814738777232,1123598814738777230,'region','1','省份/直辖市',1,NULL,0,0),(1123598814738777233,1123598814738777230,'region','2','地市',2,NULL,0,0),(1123598814738777234,1123598814738777230,'region','3','区县',3,NULL,0,0),(1123598814738777235,1123598814738777230,'region','4','乡镇',4,NULL,0,0),(1123598814738777236,1123598814738777230,'region','5','村委',5,NULL,0,0),(1123598814738778200,0,'user_type','-1','用户平台',14,NULL,0,0),(1123598814738778201,1123598814738778200,'user_type','1','WEB',1,NULL,0,0),(1123598814738778202,1123598814738778200,'user_type','2','APP',2,NULL,0,0),(1123598814738778203,1123598814738778200,'user_type','3','OTHER',3,NULL,0,0),(1578940272400171010,0,'product','-1','product',11,'',0,1);
/*!40000 ALTER TABLE `blade_dict` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_dict_biz`
--

DROP TABLE IF EXISTS `blade_dict_biz`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_dict_biz` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `code` varchar(255) DEFAULT NULL COMMENT '字典码',
  `dict_key` varchar(255) DEFAULT NULL COMMENT '字典值',
  `dict_value` varchar(255) DEFAULT NULL COMMENT '字典名称',
  `sort` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '字典备注',
  `is_sealed` int DEFAULT '0' COMMENT '是否已封存',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_dict_biz`
--

LOCK TABLES `blade_dict_biz` WRITE;
/*!40000 ALTER TABLE `blade_dict_biz` DISABLE KEYS */;
INSERT INTO `blade_dict_biz` VALUES (1396341134192238593,'000000',0,'123','-1','产品名称',1,'',0,0),(1578940958156292097,NULL,1396341134192238593,'123','1','product',1,'',0,1),(1578941011566559234,NULL,1396341134192238593,'123','2','product',2,'',0,1);
/*!40000 ALTER TABLE `blade_dict_biz` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_log_api`
--

DROP TABLE IF EXISTS `blade_log_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_log_api` (
  `id` bigint NOT NULL COMMENT '编号',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `service_id` varchar(32) DEFAULT NULL COMMENT '服务ID',
  `server_host` varchar(255) DEFAULT NULL COMMENT '服务器名',
  `server_ip` varchar(255) DEFAULT NULL COMMENT '服务器IP地址',
  `env` varchar(255) DEFAULT NULL COMMENT '服务器环境',
  `type` char(1) DEFAULT '1' COMMENT '日志类型',
  `title` varchar(255) DEFAULT '' COMMENT '日志标题',
  `method` varchar(10) DEFAULT NULL COMMENT '操作方式',
  `request_uri` varchar(255) DEFAULT NULL COMMENT '请求URI',
  `user_agent` varchar(1000) DEFAULT NULL COMMENT '用户代理',
  `remote_ip` varchar(255) DEFAULT NULL COMMENT '操作IP地址',
  `method_class` varchar(255) DEFAULT NULL COMMENT '方法类',
  `method_name` varchar(255) DEFAULT NULL COMMENT '方法名',
  `params` text COMMENT '操作提交的数据',
  `time` varchar(64) DEFAULT NULL COMMENT '执行时间',
  `create_by` varchar(64) DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_log_api`
--

LOCK TABLES `blade_log_api` WRITE;
/*!40000 ALTER TABLE `blade_log_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_log_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_log_error`
--

DROP TABLE IF EXISTS `blade_log_error`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_log_error` (
  `id` bigint NOT NULL COMMENT '编号',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `service_id` varchar(32) DEFAULT NULL COMMENT '服务ID',
  `server_host` varchar(255) DEFAULT NULL COMMENT '服务器名',
  `server_ip` varchar(255) DEFAULT NULL COMMENT '服务器IP地址',
  `env` varchar(255) DEFAULT NULL COMMENT '系统环境',
  `method` varchar(10) DEFAULT NULL COMMENT '操作方式',
  `request_uri` varchar(255) DEFAULT NULL COMMENT '请求URI',
  `user_agent` varchar(1000) DEFAULT NULL COMMENT '用户代理',
  `stack_trace` text COMMENT '堆栈',
  `exception_name` varchar(255) DEFAULT NULL COMMENT '异常名',
  `message` text COMMENT '异常信息',
  `line_number` int DEFAULT NULL COMMENT '错误行数',
  `remote_ip` varchar(255) DEFAULT NULL COMMENT '操作IP地址',
  `method_class` varchar(255) DEFAULT NULL COMMENT '方法类',
  `file_name` varchar(1000) DEFAULT NULL COMMENT '文件名',
  `method_name` varchar(255) DEFAULT NULL COMMENT '方法名',
  `params` mediumtext COMMENT '操作提交的数据',
  `create_by` varchar(64) DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_log_error`
--

LOCK TABLES `blade_log_error` WRITE;
/*!40000 ALTER TABLE `blade_log_error` DISABLE KEYS */;
INSERT INTO `blade_log_error` VALUES (1702255264371675138,'000000','Geometry-System','61be9fb88cbe','172.18.0.5:6161','docker','GET','/blade-system/tenant/info','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36','org.springframework.jdbc.BadSqlGrammarException: \n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Table \'digital_operation.sys_tenant\' doesn\'t exist\n### The error may exist in org/springblade/modules/system/mapper/TenantMapper.java (best guess)\n### The error may involve defaultParameterMap\n### The error occurred while setting parameters\n### SQL: SELECT id, tenant_id, tenant_name, domain, background_url, linkman, contact_number, address, account_number, expire_time, package_id, client_manager, admin_id, create_user, create_dept, create_time, update_user, update_time, status, is_deleted FROM sys_tenant WHERE is_deleted = 0 AND (domain = ?)\n### Cause: java.sql.SQLSyntaxErrorException: Table \'digital_operation.sys_tenant\' doesn\'t exist\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Table \'digital_operation.sys_tenant\' doesn\'t exist\n	at org.springframework.jdbc.support.SQLErrorCodeSQLExceptionTranslator.doTranslate(SQLErrorCodeSQLExceptionTranslator.java:239)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)\n	at com.sun.proxy.$Proxy127.selectList(Unknown Source)\n	at org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.executeForMany(MybatisMapperMethod.java:166)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.execute(MybatisMapperMethod.java:77)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy$PlainMethodInvoker.invoke(MybatisMapperProxy.java:148)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy.invoke(MybatisMapperProxy.java:89)\n	at com.sun.proxy.$Proxy168.selectList(Unknown Source)\n	at com.baomidou.mybatisplus.core.mapper.BaseMapper.selectOne(BaseMapper.java:172)\n	at java.lang.invoke.MethodHandle.invokeWithArguments(MethodHandle.java:627)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy$DefaultMethodInvoker.invoke(MybatisMapperProxy.java:162)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy.invoke(MybatisMapperProxy.java:89)\n	at com.sun.proxy.$Proxy168.selectOne(Unknown Source)\n	at com.baomidou.mybatisplus.extension.service.impl.ServiceImpl.getOne(ServiceImpl.java:202)\n	at com.baomidou.mybatisplus.extension.service.IService.getOne(IService.java:320)\n	at com.baomidou.mybatisplus.extension.service.IService$$FastClassBySpringCGLIB$$f8525d18.invoke(<generated>)\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)\n	at org.springblade.modules.system.service.impl.TenantServiceImpl$$EnhancerBySpringCGLIB$$a1bdeb6f.getOne(<generated>)\n	at org.springblade.modules.system.controller.TenantController.info(TenantController.java:215)\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:197)\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:141)\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:106)\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:894)\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1060)\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:962)\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:497)\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:584)\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\n	at com.github.xiaoymin.knife4j.spring.filter.ProductionSecurityFilter.doFilter(ProductionSecurityFilter.java:45)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springblade.core.log.filter.LogTraceFilter.doFilter(LogTraceFilter.java:45)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springblade.core.boot.request.BladeRequestFilter.doFilter(BladeRequestFilter.java:60)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:269)\n	at io.undertow.servlet.handlers.ServletInitialHandler.access$100(ServletInitialHandler.java:78)\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:133)\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:130)\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:249)\n	at io.undertow.servlet.handlers.ServletInitialHandler.access$000(ServletInitialHandler.java:78)\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:99)\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:387)\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:841)\n	at org.jboss.threads.ContextClassLoaderSavingRunnable.run(ContextClassLoaderSavingRunnable.java:35)\n	at org.jboss.threads.EnhancedQueueExecutor.safeRun(EnhancedQueueExecutor.java:2019)\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.doRunTask(EnhancedQueueExecutor.java:1558)\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1449)\n	at java.lang.Thread.run(Thread.java:750)\nCaused by: java.sql.SQLSyntaxErrorException: Table \'digital_operation.sys_tenant\' doesn\'t exist\n	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:120)\n	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:97)\n	at com.mysql.cj.jdbc.exceptions.SQLExceptionsMapping.translateException(SQLExceptionsMapping.java:122)\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeInternal(ClientPreparedStatement.java:953)\n	at com.mysql.cj.jdbc.ClientPreparedStatement.execute(ClientPreparedStatement.java:370)\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3461)\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_execute(FilterEventAdapter.java:440)\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3459)\n	at com.alibaba.druid.proxy.jdbc.PreparedStatementProxyImpl.execute(PreparedStatementProxyImpl.java:167)\n	at com.alibaba.druid.pool.DruidPooledPreparedStatement.execute(DruidPooledPreparedStatement.java:497)\n	at org.apache.ibatis.executor.statement.PreparedStatementHandler.query(PreparedStatementHandler.java:64)\n	at org.apache.ibatis.executor.statement.RoutingStatementHandler.query(RoutingStatementHandler.java:79)\n	at sun.reflect.GeneratedMethodAccessor106.invoke(Unknown Source)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at org.apache.ibatis.plugin.Plugin.invoke(Plugin.java:64)\n	at com.sun.proxy.$Proxy259.query(Unknown Source)\n	at org.apache.ibatis.executor.SimpleExecutor.doQuery(SimpleExecutor.java:63)\n	at org.apache.ibatis.executor.BaseExecutor.queryFromDatabase(BaseExecutor.java:325)\n	at org.apache.ibatis.executor.BaseExecutor.query(BaseExecutor.java:156)\n	at com.baomidou.mybatisplus.extension.plugins.MybatisPlusInterceptor.intercept(MybatisPlusInterceptor.java:81)\n	at org.apache.ibatis.plugin.Plugin.invoke(Plugin.java:62)\n	at com.sun.proxy.$Proxy258.query(Unknown Source)\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:151)\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:145)\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:140)\n	at sun.reflect.GeneratedMethodAccessor110.invoke(Unknown Source)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:427)\n	... 95 more\n','org.springframework.jdbc.BadSqlGrammarException','\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Table \'digital_operation.sys_tenant\' doesn\'t exist\n### The error may exist in org/springblade/modules/system/mapper/TenantMapper.java (best guess)\n### The error may involve defaultParameterMap\n### The error occurred while setting parameters\n### SQL: SELECT id, tenant_id, tenant_name, domain, background_url, linkman, contact_number, address, account_number, expire_time, package_id, client_manager, admin_id, create_user, create_dept, create_time, update_user, update_time, status, is_deleted FROM sys_tenant WHERE is_deleted = 0 AND (domain = ?)\n### Cause: java.sql.SQLSyntaxErrorException: Table \'digital_operation.sys_tenant\' doesn\'t exist\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Table \'digital_operation.sys_tenant\' doesn\'t exist',239,'10.211.55.2','org.springframework.jdbc.support.SQLErrorCodeSQLExceptionTranslator','SQLErrorCodeSQLExceptionTranslator.java','doTranslate','domain=http:%2F%2F10.211.55.4','','2023-09-14 04:37:36'),(1702328179570085890,'111111','Geometry-System','61be9fb88cbe','172.18.0.5:6161','docker','GET','/blade-user/page','Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36','org.springframework.jdbc.BadSqlGrammarException: \n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'public_account_open_id\' in \'field list\'\n### The error may exist in org/springblade/modules/system/mapper/ThirdBindCountRecordMapper.java (best guess)\n### The error may involve defaultParameterMap\n### The error occurred while setting parameters\n### SQL: SELECT id, wechat_open_id, qy_wechat_code AS qyWechatOpenId, ding_open_id, fei_shu_open_id, micro_app_openId, micro_app_unionid, public_account_open_id, micro_app_phone, user_id, create_time, update_time FROM third_bind_count_record WHERE (user_id = ?) AND third_bind_count_record.tenant_id = \'111111\'\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'public_account_open_id\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'public_account_open_id\' in \'field list\'\n	at org.springframework.jdbc.support.SQLErrorCodeSQLExceptionTranslator.doTranslate(SQLErrorCodeSQLExceptionTranslator.java:239)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)\n	at com.sun.proxy.$Proxy127.selectList(Unknown Source)\n	at org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.executeForMany(MybatisMapperMethod.java:166)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.execute(MybatisMapperMethod.java:77)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy$PlainMethodInvoker.invoke(MybatisMapperProxy.java:148)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy.invoke(MybatisMapperProxy.java:89)\n	at com.sun.proxy.$Proxy170.selectList(Unknown Source)\n	at com.baomidou.mybatisplus.core.mapper.BaseMapper.selectOne(BaseMapper.java:172)\n	at java.lang.invoke.MethodHandle.invokeWithArguments(MethodHandle.java:627)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy$DefaultMethodInvoker.invoke(MybatisMapperProxy.java:162)\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy.invoke(MybatisMapperProxy.java:89)\n	at com.sun.proxy.$Proxy170.selectOne(Unknown Source)\n	at com.baomidou.mybatisplus.extension.service.impl.ServiceImpl.getOne(ServiceImpl.java:202)\n	at com.baomidou.mybatisplus.extension.service.IService.getOne(IService.java:320)\n	at com.baomidou.mybatisplus.extension.service.IService$$FastClassBySpringCGLIB$$f8525d18.invoke(<generated>)\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)\n	at org.springblade.modules.system.service.impl.ThirdBindCountRecordServiceImpl$$EnhancerBySpringCGLIB$$840ea8d9.getOne(<generated>)\n	at org.springblade.modules.system.controller.UserController.page(UserController.java:164)\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:197)\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:141)\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:106)\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:894)\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1060)\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:962)\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:497)\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:584)\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\n	at com.github.xiaoymin.knife4j.spring.filter.ProductionSecurityFilter.doFilter(ProductionSecurityFilter.java:45)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springblade.core.log.filter.LogTraceFilter.doFilter(LogTraceFilter.java:45)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springblade.core.boot.request.BladeRequestFilter.doFilter(BladeRequestFilter.java:60)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:61)\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:269)\n	at io.undertow.servlet.handlers.ServletInitialHandler.access$100(ServletInitialHandler.java:78)\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:133)\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:130)\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:249)\n	at io.undertow.servlet.handlers.ServletInitialHandler.access$000(ServletInitialHandler.java:78)\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:99)\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:387)\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:841)\n	at org.jboss.threads.ContextClassLoaderSavingRunnable.run(ContextClassLoaderSavingRunnable.java:35)\n	at org.jboss.threads.EnhancedQueueExecutor.safeRun(EnhancedQueueExecutor.java:2019)\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.doRunTask(EnhancedQueueExecutor.java:1558)\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1449)\n	at java.lang.Thread.run(Thread.java:750)\nCaused by: java.sql.SQLSyntaxErrorException: Unknown column \'public_account_open_id\' in \'field list\'\n	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:120)\n	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:97)\n	at com.mysql.cj.jdbc.exceptions.SQLExceptionsMapping.translateException(SQLExceptionsMapping.java:122)\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeInternal(ClientPreparedStatement.java:953)\n	at com.mysql.cj.jdbc.ClientPreparedStatement.execute(ClientPreparedStatement.java:370)\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3461)\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_execute(FilterEventAdapter.java:440)\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3459)\n	at com.alibaba.druid.proxy.jdbc.PreparedStatementProxyImpl.execute(PreparedStatementProxyImpl.java:167)\n	at com.alibaba.druid.pool.DruidPooledPreparedStatement.execute(DruidPooledPreparedStatement.java:497)\n	at org.apache.ibatis.executor.statement.PreparedStatementHandler.query(PreparedStatementHandler.java:64)\n	at org.apache.ibatis.executor.statement.RoutingStatementHandler.query(RoutingStatementHandler.java:79)\n	at sun.reflect.GeneratedMethodAccessor106.invoke(Unknown Source)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at org.apache.ibatis.plugin.Plugin.invoke(Plugin.java:64)\n	at com.sun.proxy.$Proxy259.query(Unknown Source)\n	at org.apache.ibatis.executor.SimpleExecutor.doQuery(SimpleExecutor.java:63)\n	at org.apache.ibatis.executor.BaseExecutor.queryFromDatabase(BaseExecutor.java:325)\n	at org.apache.ibatis.executor.BaseExecutor.query(BaseExecutor.java:156)\n	at com.baomidou.mybatisplus.extension.plugins.MybatisPlusInterceptor.intercept(MybatisPlusInterceptor.java:81)\n	at org.apache.ibatis.plugin.Plugin.invoke(Plugin.java:62)\n	at com.sun.proxy.$Proxy258.query(Unknown Source)\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:151)\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:145)\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:140)\n	at sun.reflect.GeneratedMethodAccessor110.invoke(Unknown Source)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:427)\n	... 95 more\n','org.springframework.jdbc.BadSqlGrammarException','\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'public_account_open_id\' in \'field list\'\n### The error may exist in org/springblade/modules/system/mapper/ThirdBindCountRecordMapper.java (best guess)\n### The error may involve defaultParameterMap\n### The error occurred while setting parameters\n### SQL: SELECT id, wechat_open_id, qy_wechat_code AS qyWechatOpenId, ding_open_id, fei_shu_open_id, micro_app_openId, micro_app_unionid, public_account_open_id, micro_app_phone, user_id, create_time, update_time FROM third_bind_count_record WHERE (user_id = ?) AND third_bind_count_record.tenant_id = \'111111\'\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'public_account_open_id\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'public_account_open_id\' in \'field list\'',239,'10.211.55.2','org.springframework.jdbc.support.SQLErrorCodeSQLExceptionTranslator','SQLErrorCodeSQLExceptionTranslator.java','doTranslate','current=1&size=10&deptId=','123456','2023-09-14 09:27:20');
/*!40000 ALTER TABLE `blade_log_error` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_log_usual`
--

DROP TABLE IF EXISTS `blade_log_usual`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_log_usual` (
  `id` bigint NOT NULL COMMENT '编号',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `service_id` varchar(32) DEFAULT NULL COMMENT '服务ID',
  `server_host` varchar(255) DEFAULT NULL COMMENT '服务器名',
  `server_ip` varchar(255) DEFAULT NULL COMMENT '服务器IP地址',
  `env` varchar(255) DEFAULT NULL COMMENT '系统环境',
  `log_level` varchar(10) DEFAULT NULL COMMENT '日志级别',
  `log_id` varchar(100) DEFAULT NULL COMMENT '日志业务id',
  `log_data` text COMMENT '日志数据',
  `method` varchar(10) DEFAULT NULL COMMENT '操作方式',
  `request_uri` varchar(255) DEFAULT NULL COMMENT '请求URI',
  `remote_ip` varchar(255) DEFAULT NULL COMMENT '操作IP地址',
  `method_class` varchar(255) DEFAULT NULL COMMENT '方法类',
  `method_name` varchar(255) DEFAULT NULL COMMENT '方法名',
  `user_agent` varchar(1000) DEFAULT NULL COMMENT '用户代理',
  `params` text COMMENT '操作提交的数据',
  `create_by` varchar(64) DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_log_usual`
--

LOCK TABLES `blade_log_usual` WRITE;
/*!40000 ALTER TABLE `blade_log_usual` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_log_usual` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_material`
--

DROP TABLE IF EXISTS `blade_material`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_material` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `material_name` varchar(200) DEFAULT NULL COMMENT '素材名称',
  `original_name` varchar(200) DEFAULT NULL COMMENT '原素材名称',
  `category_id` bigint DEFAULT NULL COMMENT '分类ID',
  `path` varchar(500) DEFAULT NULL COMMENT '素材路径',
  `material_size` varchar(100) DEFAULT NULL COMMENT '素材大小',
  `material_suffix` varchar(20) DEFAULT NULL COMMENT '素材后缀',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='素材表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_material`
--

LOCK TABLES `blade_material` WRITE;
/*!40000 ALTER TABLE `blade_material` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_material` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_material_category`
--

DROP TABLE IF EXISTS `blade_material_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_material_category` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `category_name` varchar(20) DEFAULT NULL COMMENT '分类名称',
  `category_code` varchar(20) DEFAULT NULL COMMENT '分类编码',
  `permissions` int DEFAULT NULL COMMENT '权限  0 仅自己  1 所有人 2 指定角色可见',
  `sort` int DEFAULT NULL COMMENT '排序字段',
  `role_ids` varchar(500) DEFAULT NULL COMMENT '角色ids',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='素材分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_material_category`
--

LOCK TABLES `blade_material_category` WRITE;
/*!40000 ALTER TABLE `blade_material_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_material_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_menu`
--

DROP TABLE IF EXISTS `blade_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_menu` (
  `id` bigint NOT NULL COMMENT '主键',
  `parent_id` bigint DEFAULT '0' COMMENT '父级菜单',
  `code` varchar(255) DEFAULT NULL COMMENT '菜单编号',
  `name` varchar(255) DEFAULT NULL COMMENT '菜单名称',
  `alias` varchar(255) DEFAULT NULL COMMENT '菜单别名',
  `path` varchar(255) DEFAULT NULL COMMENT '请求地址',
  `source` varchar(255) DEFAULT NULL COMMENT '菜单资源',
  `sort` int DEFAULT NULL COMMENT '排序',
  `category` int DEFAULT NULL COMMENT '菜单类型',
  `action` int DEFAULT '0' COMMENT '操作按钮类型',
  `is_open` int DEFAULT '1' COMMENT '是否打开新页面',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_menu`
--

LOCK TABLES `blade_menu` WRITE;
/*!40000 ALTER TABLE `blade_menu` DISABLE KEYS */;
INSERT INTO `blade_menu` VALUES (1123598815738675201,0,'desk','经营分析','menu','/desk','iconfont iconicon_airplay',1,1,0,1,'',1,'000000'),(1123598815738675202,1123598815738675201,'index','部门整月报告 ','menu','/view/4','iconfont iconicon_sms',1,1,0,2,'',1,'000000'),(1123598815738675203,0,'system','系统设置','menu','/system','iconfont iconicon_setting',100004,1,0,1,'',0,'000000'),(1123598815738675204,1123598815738675203,'user','用户管理','menu','/system/user','iconfont iconicon_principal',10,1,0,1,NULL,0,'000000'),(1123598815738675205,1123598815738675203,'dept','部门管理','menu','/system/dept','iconfont iconicon_group',12,1,0,1,'',0,'000000'),(1123598815738675206,1619212987846590466,'dict','系统字典','menu','/system/dict','iconfont iconicon_addresslist',200,1,0,1,NULL,1,'000000'),(1123598815738675207,1123598815738675203,'menu','菜单管理','menu','/system/menu','iconfont iconicon_subordinate',15,1,0,1,NULL,0,'000000'),(1123598815738675208,1123598815738675203,'topmenu','顶部菜单配置','menu','/system/topmenu','iconfont icon-canshu',141,1,0,1,NULL,1,'000000'),(1123598815738675209,1123598815738675203,'param','参数管理','menu','/system/param','iconfont iconicon_community_line',50,1,0,1,NULL,0,'000000'),(1123598815738675210,1367028869613301761,'monitor','系统监控','menu','/monitor','iconfont icon-yanzhengma',100,1,0,1,'',1,'000000'),(1123598815738675211,1123598815738675210,'doc','接口文档','menu','http://42.192.87.194:8181/doc.html#/home','iconfont iconicon_study',1,1,0,2,'',1,'000000'),(1123598815738675212,1123598815738675210,'admin','服务治理','menu','http://localhost:7002','iconfont icon-canshu',2,1,0,1,NULL,1,'000000'),(1123598815738675213,1123598815738675203,'log','日志管理','menu','/monitor/log','iconfont iconicon_doc',120,1,0,1,NULL,1,'000000'),(1123598815738675214,1123598815738675213,'log_usual','通用日志','menu','/monitor/log/usual',NULL,1,1,0,1,NULL,1,'000000'),(1123598815738675215,1123598815738675213,'log_api','接口日志','menu','/monitor/log/api',NULL,2,1,0,1,NULL,1,'000000'),(1123598815738675216,1123598815738675213,'log_error','错误日志','menu','/monitor/log/error',NULL,3,1,0,1,NULL,1,'000000'),(1123598815738675217,1367028869613301761,'tool','研发工具','menu','/tool','iconfont icon-wxbgongju',101,1,0,1,'',1,'000000'),(1123598815738675218,1123598815738675217,'code','代码生成','menu','/tool/code','iconfont iconicon_savememo',1,1,0,1,NULL,1,'000000'),(1123598815738675219,1123598815738675202,'notice_add','新增','add','/desk/notice/add','plus',1,2,1,1,NULL,1,'000000'),(1123598815738675220,1123598815738675202,'notice_edit','修改','edit','/desk/notice/edit','form',2,2,2,1,NULL,1,'000000'),(1123598815738675221,1123598815738675202,'notice_delete','删除','delete','/api/blade-desk/notice/remove','delete',3,2,3,1,NULL,1,'000000'),(1123598815738675222,1123598815738675202,'notice_view','查看','view','/desk/notice/view','file-text',4,2,2,1,NULL,1,'000000'),(1123598815738675223,1123598815738675204,'user_add','新增','add','/system/user/add','plus',1,2,1,1,NULL,0,'000000'),(1123598815738675224,1123598815738675204,'user_edit','修改','edit','/system/user/edit','form',2,2,2,1,NULL,0,'000000'),(1123598815738675225,1123598815738675204,'user_delete','删除','delete','/api/blade-user/remove','delete',3,2,3,1,NULL,0,'000000'),(1123598815738675226,1123598815738675204,'user_role','角色配置','role',NULL,'user-add',4,2,1,1,NULL,0,'000000'),(1123598815738675227,1123598815738675204,'user_reset','密码重置','reset-password','/api/blade-user/reset-password','retweet',5,2,1,1,NULL,0,'000000'),(1123598815738675228,1123598815738675204,'user_view','查看','view','/system/user/view','file-text',6,2,2,1,NULL,0,'000000'),(1123598815738675229,1123598815738675205,'dept_add','新增','add','/system/dept/add','plus',1,2,1,1,NULL,0,'000000'),(1123598815738675230,1123598815738675205,'dept_edit','修改','edit','/system/dept/edit','form',2,2,2,1,NULL,0,'000000'),(1123598815738675231,1123598815738675205,'dept_delete','删除','delete','/api/blade-system/dept/remove','delete',3,2,3,1,NULL,0,'000000'),(1123598815738675232,1123598815738675205,'dept_view','查看','view','/system/dept/view','file-text',4,2,2,1,NULL,0,'000000'),(1123598815738675233,1123598815738675206,'dict_add','新增','add','/system/dict/add','plus',1,2,1,1,NULL,1,'000000'),(1123598815738675234,1123598815738675206,'dict_edit','修改','edit','/system/dict/edit','form',2,2,2,1,NULL,1,'000000'),(1123598815738675235,1123598815738675206,'dict_delete','删除','delete','/api/blade-system/dict/remove','delete',3,2,3,1,NULL,1,'000000'),(1123598815738675236,1123598815738675206,'dict_view','查看','view','/system/dict/view','file-text',4,2,2,1,NULL,1,'000000'),(1123598815738675237,1123598815738675207,'menu_add','新增','add','/system/menu/add','plus',1,2,1,1,NULL,0,'000000'),(1123598815738675238,1123598815738675207,'menu_edit','修改','edit','/system/menu/edit','form',2,2,2,1,NULL,0,'000000'),(1123598815738675239,1123598815738675207,'menu_delete','删除','delete','/api/blade-system/menu/remove','delete',3,2,3,1,NULL,0,'000000'),(1123598815738675240,1123598815738675207,'menu_view','查看','view','/system/menu/view','file-text',4,2,2,1,NULL,0,'000000'),(1123598815738675241,1123598815738675308,'role_add','新增','add','/authority/role/add','plus',1,2,1,1,NULL,0,'000000'),(1123598815738675242,1123598815738675308,'role_edit','修改','edit','/authority/role/edit','form',2,2,2,1,NULL,0,'000000'),(1123598815738675243,1123598815738675308,'role_delete','删除','delete','/api/blade-system/role/remove','delete',3,2,3,1,NULL,0,'000000'),(1123598815738675244,1123598815738675308,'role_view','查看','view','/authority/role/view','file-text',4,2,2,1,NULL,0,'000000'),(1123598815738675245,1123598815738675209,'param_add','新增','add','/system/param/add','plus',1,2,1,1,NULL,1,'000000'),(1123598815738675246,1123598815738675209,'param_edit','修改','edit','/system/param/edit','form',2,2,2,1,NULL,1,'000000'),(1123598815738675247,1123598815738675209,'param_delete','删除','delete','/api/blade-system/param/remove','delete',3,2,3,1,NULL,1,'000000'),(1123598815738675248,1123598815738675209,'param_view','查看','view','/system/param/view','file-text',4,2,2,1,NULL,1,'000000'),(1123598815738675249,1123598815738675214,'log_usual_view','查看','view','/monitor/log/usual/view','file-text',4,2,2,1,NULL,1,'000000'),(1123598815738675250,1123598815738675215,'log_api_view','查看','view','/monitor/log/api/view','file-text',4,2,2,1,NULL,1,'000000'),(1123598815738675251,1123598815738675216,'log_error_view','查看','view','/monitor/log/error/view','file-text',4,2,2,1,NULL,1,'000000'),(1123598815738675252,1123598815738675218,'code_add','新增','add','/tool/code/add','plus',1,2,1,1,NULL,1,'000000'),(1123598815738675253,1123598815738675218,'code_edit','修改','edit','/tool/code/edit','form',2,2,2,1,NULL,1,'000000'),(1123598815738675254,1123598815738675218,'code_delete','删除','delete','/api/blade-system/code/remove','delete',3,2,3,1,NULL,1,'000000'),(1123598815738675255,1123598815738675218,'code_view','查看','view','/tool/code/view','file-text',4,2,2,1,NULL,1,'000000'),(1123598815738675256,1123598815738675201,'tenant','财务支撑中心','menu','/view/23','iconfont icon-quanxian',2,1,0,1,'',1,'000000'),(1123598815738675257,1123598815738675256,'tenant_add','新增','add','/system/tenant/add','plus',1,2,1,1,NULL,1,'000000'),(1123598815738675258,1123598815738675256,'tenant_edit','修改','edit','/system/tenant/edit','form',2,2,2,1,NULL,1,'000000'),(1123598815738675259,1123598815738675256,'tenant_delete','删除','delete','/api/blade-system/tenant/remove','delete',3,2,3,1,NULL,1,'000000'),(1123598815738675260,1123598815738675256,'tenant_view','查看','view','/system/tenant/view','file-text',4,2,2,1,NULL,1,'000000'),(1123598815738675261,1123598815738675203,'client','应用管理','menu','/system/client','iconfont iconicon_mobilephone',110,1,0,1,NULL,1,'000000'),(1123598815738675262,1123598815738675261,'client_add','新增','add','/system/client/add','plus',1,2,1,1,NULL,1,'000000'),(1123598815738675263,1123598815738675261,'client_edit','修改','edit','/system/client/edit','form',2,2,2,1,NULL,1,'000000'),(1123598815738675264,1123598815738675261,'client_delete','删除','delete','/api/blade-system/client/remove','delete',3,2,3,1,NULL,1,'000000'),(1123598815738675265,1123598815738675261,'client_view','查看','view','/system/client/view','file-text',4,2,2,1,NULL,1,'000000'),(1123598815738675266,1619533684334530561,'bigdata','源数据管理','menu','/bigdata','iconfont icon-shujuzhanshi2',99,1,0,1,'',1,'000000'),(1123598815738675267,1123598815738675266,'bigdatalist','模版管理','menu','/bigdata/list/index','iconfont iconicon_discovery',1,1,0,1,'',1,'000000'),(1123598815738675268,1123598815738675267,'flow_model_create','创建','create','','plus',1,2,1,1,NULL,1,'000000'),(1123598815738675269,1123598815738675267,'flow_model_update','编辑','update','','form',2,2,2,1,NULL,1,'000000'),(1123598815738675270,1123598815738675267,'flow_model_deploy','部署','deploy','','cloud-upload',3,2,2,1,NULL,1,'000000'),(1123598815738675271,1123598815738675267,'flow_model_download','下载','download','','download',4,2,2,1,NULL,1,'000000'),(1123598815738675272,1123598815738675267,'flow_model_delete','删除','delete','/api/blade-flow/model/remove','delete',5,2,3,1,NULL,1,'000000'),(1123598815738675273,1123598815738675266,'flow_deploy','分类管理','menu','/flow/deploy','iconfont iconicon_cspace',2,1,0,1,'',1,'000000'),(1123598815738675274,1123598815738675266,'flow_manager','流程管理','menu','/flow/manager','iconfont iconicon_cloud_history',3,1,0,1,'',1,'000000'),(1123598815738675275,1123598815738675274,'flow_manager_state','变更状态','state','','plus',1,2,2,1,NULL,1,'000000'),(1123598815738675276,1123598815738675274,'flow_manager_image','流程图','image','','image',2,2,2,1,NULL,1,'000000'),(1123598815738675277,1123598815738675274,'flow_manager_remove','删除','remove','','delete',3,2,3,1,NULL,1,'000000'),(1123598815738675278,1123598815738675266,'flow_follow','流程跟踪','menu','/flow/follow','iconfont iconicon_GPS',4,1,0,1,'',1,'000000'),(1123598815738675279,1123598815738675278,'flow_follow_delete','删除','remove','','remove',1,2,2,1,NULL,1,'000000'),(1123598815738675280,0,'work','业务报表','menu','/work','iconfont iconicon_notice',500,1,0,1,'',1,'000000'),(1123598815738675281,1123598815738675280,'work_start','产品运营','menu','/work/start','iconfont iconicon_compile',1,1,0,1,'',1,'000000'),(1123598815738675282,1123598815738675281,'work_start_flow','发起','flow','','flow',1,2,2,1,NULL,1,'000000'),(1123598815738675283,1123598815738675281,'work_start_image','流程图','image','','image',2,2,2,1,NULL,1,'000000'),(1123598815738675284,1123598815738675280,'work_claim','省分','menu','/work/claim','iconfont iconicon_ding',2,1,0,1,'',1,'000000'),(1123598815738675285,1123598815738675284,'work_claim_sign','签收','sign','','sign',1,2,2,1,NULL,1,'000000'),(1123598815738675286,1123598815738675284,'work_claim_detail','详情','detail','','detail',2,2,2,1,NULL,1,'000000'),(1123598815738675287,1123598815738675284,'work_claim_follow','跟踪','follow','','follow',3,2,2,1,NULL,1,'000000'),(1123598815738675288,1123598815738675280,'work_todo','待办事务','menu','/work/todo','iconfont iconicon_savememo',2,1,0,1,'',1,'000000'),(1123598815738675289,1123598815738675288,'work_todo_handle','办理','handle','','handle',1,2,2,1,NULL,1,'000000'),(1123598815738675290,1123598815738675288,'work_todo_detail','详情','detail','','detail',2,2,2,1,NULL,1,'000000'),(1123598815738675291,1123598815738675288,'work_todo_follow','跟踪','follow','','follow',3,2,2,1,NULL,1,'000000'),(1123598815738675292,1123598815738675280,'work_send','已发事务','menu','/work/send','iconfont iconicon_doc',3,1,0,1,'',1,'000000'),(1123598815738675293,1123598815738675292,'work_send_detail','详情','detail','','detail',1,2,2,1,NULL,1,'000000'),(1123598815738675294,1123598815738675292,'work_send_follow','跟踪','follow','','follow',2,2,2,1,NULL,1,'000000'),(1123598815738675295,1123598815738675280,'work_done','办结事务','menu','/work/done','iconfont iconicon_dispose',4,1,0,1,'',1,'000000'),(1123598815738675296,1123598815738675295,'work_done_detail','详情','detail','','detail',1,2,2,1,NULL,1,'000000'),(1123598815738675297,1123598815738675295,'work_done_follow','跟踪','follow','','follow',2,2,2,1,NULL,1,'000000'),(1123598815738675298,1164733399669962301,'userprofile-analyze','行为分析','menu','/userprofile/analyze','iconfont icon-shujuzhanshi2',2,1,0,1,'',1,'000000'),(1123598815738675299,1164733399668962201,'oss','对象存储','menu','/resource/oss','iconfont iconicon_subordinate',1,1,0,1,'',1,'000000'),(1123598815738675301,1123598815738675299,'oss_add','新增','add','/resource/oss/add','plus',1,2,1,1,NULL,1,'000000'),(1123598815738675302,1123598815738675299,'oss_edit','修改','edit','/resource/oss/edit','form',2,2,2,1,NULL,1,'000000'),(1123598815738675303,1123598815738675299,'oss_delete','删除','delete','/api/blade-resource/oss/remove','delete',3,2,3,1,NULL,1,'000000'),(1123598815738675304,1123598815738675299,'oss_view','查看','view','/resource/oss/view','file-text',4,2,2,1,NULL,1,'000000'),(1123598815738675305,1123598815738675299,'oss_enable','启用','enable','/api/blade-resource/oss/enable','key',5,2,2,1,NULL,1,'000000'),(1123598815738675307,1123598815738675203,'authority','权限管理','menu','/authority','iconfont icon-bofangqi-suoping',14,1,0,1,'',0,'000000'),(1123598815738675308,1123598815738675307,'role','角色管理','menu','/authority/role','iconfont iconicon_boss',1,1,0,1,NULL,0,'000000'),(1123598815738675309,1123598815738675307,'data_scope','数据权限','menu','/authority/datascope','iconfont icon-shujuzhanshi2',2,1,0,1,'',0,'000000'),(1123598815738675310,1123598815738675309,'data_scope_setting','权限配置','setting',NULL,'setting',1,2,2,1,NULL,0,'000000'),(1123598815738675311,1123598815738675307,'api_scope','接口权限','menu','/authority/apiscope','iconfont icon-iconset0216',3,1,0,1,'',0,'000000'),(1123598815738675312,1123598815738675311,'api_scope_setting','权限配置','setting',NULL,'setting',1,2,2,1,NULL,0,'000000'),(1123598815738675313,1123598815738675208,'topmenu_add','新增','add','/system/topmenu/add','plus',1,2,1,1,NULL,1,'000000'),(1123598815738675314,1123598815738675208,'topmenu_edit','修改','edit','/system/topmenu/edit','form',2,2,2,1,NULL,1,'000000'),(1123598815738675315,1123598815738675208,'topmenu_delete','删除','delete','/api/blade-system/topmenu/remove','delete',3,2,3,1,NULL,1,'000000'),(1123598815738675316,1123598815738675208,'topmenu_view','查看','view','/system/topmenu/view','file-text',4,2,2,1,NULL,1,'000000'),(1123598815738675317,1123598815738675208,'topmenu_setting','菜单配置','setting',NULL,'setting',5,2,1,1,NULL,1,'000000'),(1161272593873321991,1619156606935465985,'datasource','数据源管理','menu','/tool/datasource','iconfont icon-caidanguanli',10,1,0,1,'',0,'000000'),(1161272593873321992,1161272593873321991,'datasource_add','新增','add','/tool/datasource/add','plus',1,2,1,1,NULL,0,'000000'),(1161272593873321993,1161272593873321991,'datasource_edit','修改','edit','/tool/datasource/edit','form',2,2,2,1,NULL,0,'000000'),(1161272593873321994,1161272593873321991,'datasource_delete','删除','delete','/api/blade-develop/datasource/remove','delete',3,2,3,1,NULL,0,'000000'),(1161272593873321995,1161272593873321991,'datasource_view','查看','view','/tool/datasource/view','file-text',4,2,2,1,NULL,0,'000000'),(1164733121140551682,1123598815738675217,'form','表单设计','form','https://form.avuejs.com/','iconfont iconicon_compile',3,1,0,1,'',1,'000000'),(1164733349637844993,1123598815738675217,'crud','表格设计','crud','https://crud.avuejs.com/','iconfont iconicon_work',4,1,0,1,'',1,'000000'),(1164733369658963251,1123598815738675210,'elk','ELK监控','menu','http://localhost:5601/','iconfont iconicon_cspace',3,1,0,1,'',1,'000000'),(1164733369658963252,1123598815738675210,'zipkin','Zipkin监控','menu','http://localhost:9411/','iconfont iconicon_task',4,1,0,1,'',1,'000000'),(1164733369658963253,1123598815738675210,'turbine','Turbine监控','menu','http://localhost:7003/hystrix','iconfont iconicon_subordinate',5,1,0,1,'',1,'000000'),(1164733369658963254,1123598815738675210,'sentinel','Sentinel管理','menu','http://localhost:8858','iconfont iconicon_safety',6,1,0,1,'',1,'000000'),(1164733369658963255,1123598815738675210,'es','Elasticsearch管理','menu','http://localhost:9100/','iconfont iconfont iconicon_search',7,1,0,1,'',1,'000000'),(1164733379658963251,1619212987846590466,'dictbiz','业务字典','menu','/system/dictbiz','iconfont iconicon_study',300,1,0,1,'',1,'000000'),(1164733379658963252,1164733379658963251,'dictbiz_add','新增','add','/system/dictbiz/add','plus',1,2,1,1,'',1,'000000'),(1164733379658963253,1164733379658963251,'dictbiz_edit','修改','edit','/system/dictbiz/edit','form',2,2,2,1,'',1,'000000'),(1164733379658963254,1164733379658963251,'dictbiz_delete','删除','delete','/api/blade-system/dict-biz/remove','delete',3,2,3,1,'',1,'000000'),(1164733379658963255,1164733379658963251,'dictbiz_view','查看','view','/system/dictbiz/view','file-text',4,2,2,1,'',1,'000000'),(1164733389658962251,1123598815738675209,'sms','短信配置','menu','/resource/sms','iconfont iconicon_message',3,1,0,1,'',0,'000000'),(1164733389658962252,1164733389658962251,'sms_add','新增','add','/resource/sms/add','plus',1,2,1,1,NULL,0,'000000'),(1164733389658962253,1164733389658962251,'sms_edit','修改','edit','/resource/sms/edit','form',2,2,2,1,NULL,0,'000000'),(1164733389658962254,1164733389658962251,'sms_delete','删除','delete','/api/blade-resource/sms/remove','delete',3,2,3,1,NULL,0,'000000'),(1164733389658962255,1164733389658962251,'sms_view','查看','view','/resource/sms/view','file-text',4,2,2,1,NULL,0,'000000'),(1164733389658962256,1164733389658962251,'sms_enable','启用','enable','/api/blade-resource/sms/enable','key',5,2,2,1,NULL,0,'000000'),(1164733389658963251,1123598815738675209,'xxljob','任务调度','menu','http://localhost:7009/xxl-job-admin','iconfont iconicon_cspace',5,1,0,1,'',1,'000000'),(1164733389668962251,1123598815738675203,'post','岗位管理','menu','/system/post','iconfont iconicon_message',11,1,0,1,NULL,0,'000000'),(1164733389668962252,1164733389668962251,'post_add','新增','add','/system/post/add','plus',1,2,1,1,NULL,0,'000000'),(1164733389668962253,1164733389668962251,'post_edit','修改','edit','/system/post/edit','form',2,2,2,1,NULL,0,'000000'),(1164733389668962254,1164733389668962251,'post_delete','删除','delete','/api/blade-system/post/remove','delete',3,2,3,1,NULL,0,'000000'),(1164733389668962255,1164733389668962251,'post_view','查看','view','/system/post/view','file-text',4,2,2,1,NULL,0,'000000'),(1164733399668962201,1367028869613301761,'base','基础配置','menu','/base','iconfont iconicon_affiliations_li',97,1,0,1,'',1,'000000'),(1164733399668962202,1164733399668962201,'region','行政区划','menu','/base/region','iconfont icon-iframe',1,1,0,1,NULL,1,'000000'),(1164733399668962203,1164733399668962202,'region_add','新增下级','add','','',1,2,1,1,NULL,1,'000000'),(1164733399668962204,1164733399668962202,'region_delete','删除','delete','/api/blade-system/region/remove','',2,2,2,1,NULL,1,'000000'),(1164733399668962205,1164733399668962202,'region_import','导入','import','','',3,2,3,1,NULL,1,'000000'),(1164733399668962206,1164733399668962202,'region_export','导出','export','','',4,2,2,1,NULL,1,'000000'),(1164733399668962207,1164733399668962202,'region_debug','调试','debug','','',5,2,2,1,NULL,1,'000000'),(1164733399669962201,1123598815738675209,'attach','附件管理','menu','/resource/attach','iconfont iconicon_ding',2,1,0,1,'',1,'000000'),(1164733399669962202,1164733399669962201,'attach_upload','上传','upload','/resource/attach/upload','',1,2,1,1,NULL,1,'000000'),(1164733399669962203,1164733399669962201,'attach_download','下载','download','/resource/attach/download','',2,2,2,1,NULL,1,'000000'),(1164733399669962204,1164733399669962201,'attach_delete','删除','delete','/api/blade-resource/attach/remove','',3,2,3,1,NULL,1,'000000'),(1164733399669962301,0,'userprofile','用户画像 ','menu','/userprofile','iconfont icon-shujuzhanshi2',4,1,0,1,'',1,'000000'),(1164733399669962302,1367028869613301761,'report_setting','报表配置','menu','/ureport/designer','iconfont icon-rizhi',1,1,0,1,'',1,'000000'),(1164733399669962303,1367028869613301761,'report_list','报表列表','menu','/report/reportlist','iconfont icon-biaodan',2,1,0,1,'',1,'000000'),(1164733399669962304,1123598815738675203,'report_notice','公告报表','menu','http://localhost:8108/ureport/preview?_u=blade-notice.ureport.xml','iconfont iconicon_sms',150,1,0,1,'',1,'000000'),(1367020497786712065,1123598815738675266,'visualcategory','分类管理','menu','/bigdata/visualcategory','iconfont iconicon_subordinate',5,1,0,1,'',1,'000000'),(1367022567352774658,1123598815738675266,'api','api接口管理','menu','/bigdata/api','iconfont iconicon_subordinate',3,1,0,1,'',1,'000000'),(1367027106067853314,1164733399669962301,'renqun','用户人群','menu','renqun','iconfont iconicon_group',3,1,0,1,'',1,'000000'),(1367027240101031937,0,'yingxiao','精准营销','menu','yingxiao','iconfont iconicon_shakehands',5,1,0,1,'',1,'000000'),(1367028346688450562,1123598815738675266,'reportmanage','报告管理','menu','/bigdata/reportmanage','iconfont iconicon_scan_namecard',4,1,0,1,'',1,'000000'),(1367028869613301761,1619533684334530561,'news','配置管理','menu','/index','iconfont iconicon_setting',512,1,0,1,'',1,'000000'),(1367038168330743810,1123598815738675201,'chuangxin','5G创新中心','menu','/report/chuangxin','iconfont iconicon_shakehands',3,1,0,1,'',1,'000000'),(1367063054625353729,1501117592399216641,'dashboard','总体概况','dashboard','/newbi/mobile/68/1021','iconfont iconicon_work',0,1,0,1,'',1,'000000'),(1367064145844842498,1123598815738675201,'yewu','业务运营组','menu','/view/8?index=0','iconfont iconicon_shakehands',2,1,0,2,'',1,'000000'),(1367064395951190018,1123598815738675201,'chanpin','产品运营中心','chanpin','chanpin','iconfont iconicon_task',5,1,0,1,'',1,'000000'),(1367064867135107073,1123598815738675201,'ziyouchanpin','自有产品中心','ziyouchanpin','ziyouchanpin','iconfont iconicon_star',6,1,0,1,'',1,'000000'),(1367065112770326529,1123598815738675201,'pingtai','平台及运营中心','pingtai','pingtai','iconfont iconicon_subordinate',7,1,0,1,'',1,'000000'),(1367065302419976194,1123598815738675201,'zhiliangguankong','质量管控中心','zhiliangguankong','zhiliangguankong','iconfont iconicon_savememo',8,1,0,1,'',1,'000000'),(1367065555172929537,1123598815738675201,'zhonghezhicheng','综合支撑中心','zhonghezhicheng','zhonghezhicheng','iconfont iconicon_refresh',9,1,0,1,'',1,'000000'),(1367669015094308865,1619156606935465985,'apimanage','API管理','menu','/bigdata/apimanage','iconfont iconicon_addresslist',30,1,0,1,'',0,'000000'),(1372089739691933698,0,'Information','活动评估','信息','/Information','iconfont iconicon_compile',3,1,0,1,'',1,'000000'),(1372090398000529409,1372089739691933698,'activity','活动管理','activity','/Information/activity/index','iconfont iconicon_compile',6,1,0,1,'',1,'000000'),(1372358073272483842,1372089739691933698,'editActivity','修改活动','editActivity','/Information/activity/editActivity','iconfont iconicon_roundadd',2,2,0,1,'',1,'000000'),(1372378707805323265,1372089739691933698,'product','产品管理','product','/Information/product/index','iconfont iconicon_im_keyboard',3,1,0,1,'',1,'000000'),(1372379921926307842,1372089739691933698,'channel','渠道管理','channel','/Information/channel/index','iconfont iconicon_principal',4,1,0,1,'',1,'000000'),(1372425484977815553,1372089739691933698,'prize','奖品管理','prize','/Information/prize/index','iconfont iconicon_shakehands',5,1,0,1,'',1,'000000'),(1372465704901251073,1372089739691933698,'charge','负责人管理','charge','/Information/charge/index','iconfont iconicon_principal',2,1,0,1,'',1,'000000'),(1372740968814186497,1372089739691933698,'CSdata','客服数据管理','CSdata','/Information/CSdata/index','iconfont iconicon_phone',7,1,0,1,'',1,'000000'),(1380445758968987650,1372089739691933698,'largeData','大网数据管理','largeData','/Information/largeData/index','iconfont iconicon_subordinate',7,1,0,1,'',1,'000000'),(1381520487922515969,1123598815738675201,'reportcustom','部门整月报告-固定','menu','/report/custom','iconfont iconicon_work',1,1,0,1,'',1,'000000'),(1382972238492033026,1372089739691933698,'event_dict','事件元数据管理','menu','/event_dict/event','iconfont iconicon_subordinate',99,1,0,1,'',1,'000000'),(1382973603737985026,1382972238492033026,'event_dict-project','项目管理','menu','/event_dict/project','iconfont iconicon_work',1,1,0,1,'',1,'000000'),(1382973885280641025,1123598815738675298,'event_dict-event','事件管理','menu','/event_dict/event','iconfont iconicon_work',2,1,0,1,'',1,'000000'),(1382974139300274178,1382972238492033026,'event_dict-prop','事件属性管理','menu','/event_dict/prop','iconfont iconicon_work',3,1,0,1,'',1,'000000'),(1382974759268737026,1382972238492033026,'user_attr','用户属性管理','menu','/event_management/user_attr','iconfont iconicon_principal',4,1,0,1,'',1,'000000'),(1386870624563671041,1386889516824571906,'userprofile-kpi','KPI指标','menu','/userprofile/kpi','iconfont iconicon_work',1,1,0,1,'',1,'000000'),(1386884658834878466,1386889516824571906,'userprofile-channel','渠道分析','menu','/userprofile/channel','iconfont iconicon_subordinate',1,1,0,1,'',1,'000000'),(1386889516824571906,1164733399669962301,'userprofile-board','数据看板','menu','/userprofile/board','iconfont iconicon_airplay',1,1,0,1,'',1,'000000'),(1386893769060298754,1164733399669962301,'userprofile-tagpanel','用户标签','menu','/userprofile/tagpanel','iconfont iconicon_ding',1,1,0,1,'',1,'000000'),(1386894769666043905,1386893769060298754,'userprofile-tag','标签视图','menu','/userprofile/tag','iconfont iconicon_subordinate',1,1,0,1,'',1,'000000'),(1386895108288983041,1386893769060298754,'userprofile-tag_edit','标签管理','menu','/userprofile/tag_edit','iconfont icon-caidan',1,1,0,1,'',1,'000000'),(1386895474502053890,1386893769060298754,'userprofile-user','用户全息档案','menu','/userprofile/user','iconfont iconicon_namecard',1,1,0,1,'',1,'000000'),(1386900600600047618,1123598815738675298,'userprofile-event','事件分析','menu','/userprofile/event/index','iconfont icon-shujuzhanshi2',4,1,0,1,'',1,'000000'),(1386926080141283330,1123598815738675298,'userprofile-keep','留存分析','menu','/userprofile/preserve/index','iconfont iconicon_work',10,1,0,1,'',1,'000000'),(1386926489740234753,1123598815738675298,'userprofile-funnel','漏斗分析','menu','/userprofile/funnel/index','iconfont iconicon_work',6,1,0,1,'',1,'000000'),(1386926833081765890,1123598815738675298,'userprofile-distribute','分布分析','menu','/userprofile/distribute/index','iconfont icon-iframe',7,1,0,1,'',1,'000000'),(1386955796848037890,1367027106067853314,'userprofile-group','用户分群','menu','/userprofile/group','iconfont iconicon_group',1,1,0,1,'',1,'000000'),(1386956270082969602,1367027106067853314,'userprofile-crowd','人群分析','menu','/userprofile/crowd','iconfont iconicon_boss',1,1,0,1,'',1,'000000'),(1386958375296421890,1164733399669962301,'userprofile-marketing','营销管理','menu','/userprofile/marketing','iconfont icon-tubiao',5,1,0,1,'',1,'000000'),(1386958619744653313,1386958375296421890,'userprofile-message','短信通知','menu','/userprofile/marketing/message','iconfont iconicon_message',2,1,0,1,'',1,'000000'),(1386958975081893889,1386958375296421890,'userprofile-email','邮件通知','menu','/userprofile/marketing/email','iconfont iconicon_redpacket',3,1,0,1,'',1,'000000'),(1386959254070218753,1386958375296421890,'userprofile-notice','消息通知','menu','/userprofile/notice','iconfont iconicon_addmessage',1,1,0,1,'',1,'000000'),(1390863075246833665,1123598815738675201,'newbaogao','新部门整月报告','menu','/view/17','iconfont icon-shujuzhanshi2',1,1,0,1,'',1,'000000'),(1402884613420548098,1372089739691933698,'userManager','人员管理','userManager','/Information/userManager/index','iconfont icon-yonghu',-1,1,0,1,'',1,'000000'),(1402885939802079234,1372089739691933698,'printerManager','打印机管理','printerManager','/Information/printerManager/index','iconfont icon-iconset0265',0,1,0,1,'',1,'000000'),(1406898208374476802,1367028869613301761,'-1','配置中心','-1','/system/config','iconfont iconicon_setting',-1,1,0,1,'',1,'000000'),(1407274173915140098,1619533684334530561,'financial','会员进销存管理','financial','/financial','iconfont iconicon_redpacket',6,1,0,1,'',1,'000000'),(1410077740644364290,0,'previousReports','我的报告',' previousReports','/history','iconfont iconicon_doc',2,1,0,1,'',1,'000000'),(1411865986701336578,1123598815738675203,'ipsecurity','IP安全预警','ipsecurity','/ipsecurity','iconfont iconicon_setting',10,1,0,1,'',1,'000000'),(1411871771107926018,1123598815738675203,'mobile','IP预警','mobile','/ipsecurity','iconfont iconicon_setting',130,1,0,2,'',1,'000000'),(1415215382675533826,1164733399669962301,'event_dict','字典管理_','event_dict','/event_dict','iconfont iconicon_setting',6,1,0,1,'',1,'000000'),(1415224829514809345,1415215382675533826,'event_dict-project','项目管理','event_dict-project','/event_dict/project','iconfont iconicon_work',1,1,0,1,'',1,'000000'),(1415225135040495617,1415215382675533826,'event_dict-event','事件管理','event_dict-event','/event_dict/event','iconfont iconicon_work',2,1,0,1,'',1,'000000'),(1415225315919855618,1415215382675533826,'event_dict-prop','事件属性管理','event_dict-prop','/event_dict/prop','iconfont iconicon_work',3,1,0,1,'',1,'000000'),(1415333438261231618,1164733399669962301,'yonghuhuaxiangfenxi','用户概况','用户概况','/yewu/10?index=5','iconfont iconicon_task',8,1,0,1,'',1,'000000'),(1417009554281668610,1367063054625353729,'delete','移除的菜单','移除的菜单','/index','iconfont iconicon_delete',15,1,0,1,'',1,'000000'),(1422380087894564865,0,'1','test','1','http://www.baidu.com','iconfont iconicon_compile',1,1,0,2,'',1,'000000'),(1423493490180595714,1619533684334530561,'settlement','社会渠道结算','settlement','/settlement','iconfont iconicon_task_done',7,1,0,1,'',1,'000000'),(1429709458548396034,1386958375296421890,'userprofile-board','营销概况','userprofile-board','/userprofile/marketing/board','iconfont icon-iframe',1,1,0,1,'',1,'000000'),(1429709938221584385,1386958375296421890,'userprofile-temps','通知模板','userprofile-temps','/userprofile/marketing/temps','iconfont icon-caidanguanli',4,1,0,1,'',1,'000000'),(1430866343544725505,1436170913573453825,'用户聚类','用户聚类','用户聚类','/userprofile/dataModels/rfm','iconfont icon-tubiao',1,1,0,1,'',1,'000000'),(1431088930275151874,1450720878903644162,'cap','cap数据比对','cap','/financial/cap/index','iconfont iconicon_exchange',9,1,0,1,'',1,'000000'),(1434733218057900033,1386958375296421890,'/userprofile/marketing/','模板属性','/userprofile/marketing/','/userprofile/marketing/fields','iconfont icon-daohanglanmoshi02',5,1,0,1,'',1,'000000'),(1436170913573453825,1164733399669962301,'用户建模','用户建模','用户建模','/','iconfont iconicon_study',4,1,0,1,'',1,'000000'),(1436171941240848385,1436170913573453825,'用户退订预警','用户退订预警','用户退订预警','/userprofile/dataModels/unsub','iconfont iconicon_star',2,1,0,1,'',1,'000000'),(1436172200109096962,1436170913573453825,'用户偏好预测','用户偏好预测','用户偏好预测','/userprofile/dataModels/preference','iconfont iconicon_scan_namecard',3,1,0,1,'',1,'000000'),(1439119096574337025,1423493490180595714,'jiesuan','结算查询','jiesuan','/settlement/jiesuan/index','iconfont iconicon_compile',7,1,0,1,'',1,'000000'),(1439119609328001025,1423493490180595714,'examine','结算单审核','examine','/settlement/examine/index','iconfont iconicon_send',7,1,0,1,'',1,'000000'),(1450720878903644162,1619533684334530561,'infoAdmin','信息管理','infoAdmin','/infoAdmin','iconfont iconicon_doc',13,1,0,1,'',1,'000000'),(1450729727245111297,1450720878903644162,'customerAdmin','客服管理','customerAdmin','/infoAdmin/customerAdmin/index','iconfont iconicon_group',14,1,0,2,'',1,'000000'),(1458398168110305281,1123598815738675266,'/dadaset/list','数据集管理','数据集管理','/dataset/list','iconfont iconicon_subordinate',5,1,0,1,'',1,'000000'),(1467677645290053633,0,'newbi','数据报告管理','newbi','/a','iconfont icon-shujuzhanshi2',100,1,0,1,'',1,'000000'),(1467678087986257921,1619156606935465985,'/newbi/dataset/list','数据集管理','/newbi/dataset/list','/newbi/dataset/list','iconfont iconicon_work',20,1,0,1,'',0,'000000'),(1467681760623697921,1619159462254051330,'/newbi/bigdata/list','可视化大屏','/newbi/bigdata/list','/newbi/bigdata/list','iconfont icon-iframe',20,1,0,1,'',0,'000000'),(1467701049963515906,1423493490180595714,'dataExamine','扣罚数据审核','dataExamine','/settlement/dataExamine/index','iconfont iconicon_doc',7,1,0,2,'',1,'000000'),(1467743689912291329,1423493490180595714,'dataImport','扣罚数据导入','dataImport','/settlement/dataImport/index','iconfont iconicon_exchange',7,1,0,2,'',1,'000000'),(1468783493919772673,1450720878903644162,'dataReturn','投诉数据回传','dataReturn','/infoAdmin/dataReturn/index','iconfont iconicon_refresh',14,1,0,2,'',1,'000000'),(1473598633647255554,1467677645290053633,'/newbi/report/list','报告列表','/newbi/report/list','/newbi/report/list','iconfont iconicon_study',3,1,0,1,'',1,'000000'),(1480927310445744130,1367027106067853314,'/userprofile/import-group','导入人群','/userprofile/import-group','/userprofile/import-group','iconfont iconicon_addperson',3,1,0,1,'',1,'000000'),(1491295570693394433,1450720878903644162,'14','会员销售价格管理','memberSale','/infoAdmin/memberSale/index','iconfont iconicon_addresslist',14,1,0,2,'',1,'000000'),(1493886926095843329,1450720878903644162,'streamImport','财务收入数据导入','streamImport','/infoAdmin/streamImport/index','iconfont iconicon_exchange',14,1,0,2,'',1,'000000'),(1498539495166558209,1619212987846590466,'/newbi/dict/list','枚举字典','/newbi/dict/list','/newbi/dict/list','iconfont iconicon_study',100,1,0,1,'',1,'000000'),(1501471635629920258,1619159462254051330,'/newbi/warning/list','数据预警','/newbi/warning/list','/newbi/warning/list','iconfont iconicon_notice',50,1,0,1,'',0,'000000'),(1506104732795191298,0,'/newbi/mine','我的空间','/newbi/mine','/newbi/mine','iconfont iconicon_addresslist',100003,1,0,1,'',0,'000000'),(1506105715373817857,1506104732795191298,'/newbi/report/report','我的幻灯片','/newbi/report/report','/newbi/report','iconfont icon-rizhi',10,1,0,1,'',0,'000000'),(1506105897238839297,1506104732795191298,'/newbi/mine/bigdata','我的收藏','/newbi/mine/bigdata','/newbi/mine/bigdata','iconfont icon-iframe',2,1,0,1,'',0,'000000'),(1511544098959101954,1619533684334530561,'特殊渠道结算','互联网2渠道结算','special','/channel','iconfont iconicon_coinpurse_line',20,1,0,2,'',1,'000000'),(1511545929512751106,1511544098959101954,'结算查询','互联网2渠道结算查询','特殊渠道结算结算表查询','/settlement/channel/index','iconfont iconicon_send',22,1,0,2,'',1,'000000'),(1514163607272390658,1511544098959101954,'审核','互联网2渠道审核','channelExamine','/settlement/channel/examine/index','iconfont iconicon_dispose',22,1,0,2,'',1,'000000'),(1519223342098993153,1501117592399216641,'驾驶舱','驾驶舱','驾驶舱','/wel','iconfont iconicon_glass',1,1,0,2,'各驾驶舱',1,'000000'),(1539166663181316098,1506104732795191298,'/newbi/mine/apps','移动应用管理','/newbi/mine/apps','/newbi/mine/apps','iconfont icon-tubiao',3,1,0,1,'',1,'000000'),(1544607807797161986,1123598815738675203,'/system/authGroup','权限组管理','/system/authGroup','/system/authGroup','iconfont icon-yanzhengma',20,1,0,1,'',0,'000000'),(1549603395831828482,1511544098959101954,'channelInternal','内部结算','channelInternal','/settlement/channel/internal','iconfont iconicon_subordinate',22,1,0,1,'',1,'000000'),(1549604586749923330,1549603395831828482,'内部结算审核','内部结算审核','内部结算审核','/settlement/channel/internal/examine','iconfont iconicon_task',23,1,0,1,'',1,'000000'),(1549604920264200194,1549603395831828482,'内部结算查询','内部结算查询','内部结算查询','/settlement/channel/internal/index','iconfont iconicon_sms',23,1,0,1,'',1,'000000'),(1554418372912480258,1467678087986257921,'cube_filter_row','数据集行过滤权限','数据集行过滤权限','cube_filter_row','iconfont icon-quanxian',1,2,0,1,'',0,'000000'),(1555076993673543681,0,'/cdp','CDP','/cdp','/cdp','iconfont icon-iframe',21,1,0,1,'',1,'000000'),(1555077307206156289,1579141234097352706,'/cdp/join1','三方数据接入','/cdp/join2','/join','iconfont iconicon_cspace',1,1,0,1,'',1,'000000'),(1555110008210558977,1555076993673543681,'/cdp/third_party/info','接入详情','/cdp/third_party/info','/cdp/third_party/info','iconfont iconicon_details',2,1,0,1,'',1,'000000'),(1557612821155127297,1619156606935465985,'功能表单管理','表单录入','功能表单管理','/workflow/webDesign/index','iconfont iconicon_subordinate',40,1,0,1,'',0,'000000'),(1557613414582034433,1557612821155127297,'功能设计','功能设计','功能设计','/workflow/webDesign','iconfont iconicon_send',1,1,0,1,'',1,'000000'),(1557613915541315585,1557612821155127297,'流程设计','流程设计','流程设计','/workflow/flowEngine','iconfont iconicon_exchange',2,1,0,1,'',1,'000000'),(1559464655733882882,1579141234097352706,'/cdp/source1','接入配置','/cdp/source2','/source','iconfont iconicon_addresslist',2,1,0,1,'',1,'000000'),(1559577788519526402,1579141234097352706,'/cdp/join/join_list1','API 接入','/cdp/join/join_list2','/cdp/join/join_list','iconfont icon-caidan',1,1,0,1,'',1,'000000'),(1559578219400376321,1559464655733882882,'接入方式管理','接入方式管理','/cdp/source/join_type','/cdp/source/join_type','iconfont iconicon_scan',1,1,0,1,'',1,'000000'),(1559578661320634369,1559464655733882882,'/cdp/source/join_api','接入接口管理','/cdp/source/join_api','/cdp/source/join_api','iconfont iconicon_exchange',2,1,0,1,'',1,'000000'),(1572772536935768065,1619533684334530561,'Internetone','互联网1渠道结算','Internetone','/Internetone','iconfont iconicon_cspace',14,1,0,1,'',1,'000000'),(1572774501849751554,1572772536935768065,'InternetOneIndex','互联网1结算查询','InternetOneIndex','/settlement/Internetone/index','iconfont iconicon_exchange',0,1,0,1,'',1,'000000'),(1572775049462276097,1572772536935768065,'InternetoneExamine','互联网1结算审核','InternetoneExamine','/settlement/Internetone/examine/index','iconfont iconicon_group',1,1,0,1,'',1,'000000'),(1572932493027041281,1367027106067853314,'/userprofile/selfDefined/list','自定义人群','/userprofile/selfDefined/list','/userprofile/selfDefined/list','iconfont icon-wxbgongju',4,1,0,1,'',1,'000000'),(1574648897698766849,1557612821155127297,'flowLaunch','我发起的','flowLaunch','/workflow/flowLaunch/index','iconfont iconicon_roundadd',3,1,0,1,'',1,'000000'),(1575366115982024705,1557612821155127297,'flowTodo','待办事宜','flowTodo','/workflow/flowTodo/index','iconfont iconicon_task_done',4,1,0,1,'',1,'000000'),(1575366745593192449,1557612821155127297,'flowDone','已办事宜','flowDone','/workflow/flowDone/index','iconfont iconicon_shakehands',5,1,0,1,'',1,'000000'),(1575367148078604290,1557612821155127297,'flowCirculate','抄送事宜','flowCirculate','/workflow/flowCirculate/index','iconfont iconicon_scan_namecard',6,1,0,1,'',1,'000000'),(1575368073925074946,1557612821155127297,'entrust','流程委托','entrust','/workflow/entrust/index','iconfont iconicon_send',7,1,0,1,'',1,'000000'),(1579141234097352706,1619156606935465985,'三方数据采集','三方数据管理','三方数据采集','/newbi/api/list123','iconfont iconicon_addressbook',50,1,0,1,'',1,'000000'),(1582611460944187394,1123598815738675203,'/newbi/defineFunc/list','自定义函数','/newbi/defineFunc/list','/newbi/defineFunc/list','iconfont icon-rizhi1',41,1,0,1,'',0,'000000'),(1584570735518212097,1506104732795191298,'/newbi/mine/subscribe','我的订阅','/newbi/mine/subscribe','/newbi/mine/subscribe','iconfont iconicon_send',40,1,0,1,'',0,'000000'),(1584973052717547522,1619159462254051330,'/newbi/subscribe','订阅管理','/newbi/subscribe','/newbi/subscribe','iconfont iconicon_send',60,1,0,1,'',0,'000000'),(1585953641910206466,1584973052717547522,'/newbi/subscribe/list','订阅统计','/newbi/subscribe/list','/newbi/subscribe/list','iconfont icon-caidan',1,1,0,1,'',0,'000000'),(1585953975894245377,1584973052717547522,'/newbi/subscribe/log','订阅日志','/newbi/subscribe/log','/newbi/subscribe/log','iconfont iconicon_details',2,1,0,1,'',0,'000000'),(1586979301713735681,0,'/Internettwo','互联网2渠道结算','/Internettwo','/Internettwo','iconfont iconicon_cspace',15,1,0,1,'',1,'000000'),(1586980687364976642,1586979301713735681,'InternettwoIndex','互联网2结算查询','InternettwoIndex','/settlement/Internettwo/index','iconfont iconicon_cspace',0,1,0,1,'',1,'000000'),(1586981036628865025,1586979301713735681,'InternettwoExamine','互联网2结算审核','InternettwoExamine','/settlement/Internettwo/examine/index','iconfont iconicon_cspace',1,1,0,1,'',1,'000000'),(1587363154609532930,1619159462254051330,'/newbi/share/list','三方WEB嵌入','/newbi/share/list','/newbi/share/list','iconfont iconicon_share',70,1,0,1,'',0,'000000'),(1589512651703767042,1123598815738675209,'第三方配置','开放平台配置','第三方配置','/system/setting','iconfont iconicon_send',30,1,0,1,'',0,'000000'),(1589527185982148610,1619533684334530561,'internal','内部结算-渠道','internal','/internal','iconfont iconicon_cspace',15,1,0,1,'',1,'000000'),(1589527755593797634,1589527185982148610,'internalndex','内部结算渠道查询','internalndex','/settlement/internal/index','iconfont iconicon_cspace',0,1,0,1,'',1,'000000'),(1589528420814606338,1589527185982148610,'internalExamine','内部结算渠道审核','internalExamine','/settlement/internal/examine/index','iconfont iconicon_cspace',1,1,0,1,'',1,'000000'),(1591180171674365954,1619533684334530561,'测试菜单','测试菜单','测试菜单','/testmenu','iconfont iconicon_work',1,1,0,1,'',1,'000000'),(1596066794715090946,1619533684334530561,'work1','表单管理','work1','/workflow/iframe?id=121c05752eaa4ef3af0a8aeaf03c979f','iconfont iconicon_work',1,1,0,1,'',1,'000000'),(1596362797972328449,1591180171674365954,'表单','表单','表单','/workflow/iframe?id=121c05752eaa4ef3af0a8aeaf03c979f','iconfont iconicon_study',1,1,0,1,'',1,'000000'),(1597077352725745666,1584973052717547522,'/newbi/subscribe/record','操作记录','/newbi/subscribe/record','/newbi/subscribe/record','iconfont icon-wxbgongju',3,1,0,1,'',0,'000000'),(1600405207606059010,1506104732795191298,'mineexport','导出任务','mineexport','/newbi/mine/export','iconfont iconicon_study',4,1,0,1,'',0,'000000'),(1601158851959939073,1619533684334530561,'menuserver','服务器管理','服务器管理','serverinfo','iconfont iconicon_subordinate',20,1,0,1,'',1,'000000'),(1601160566306201601,1601158851959939073,'menuserverinfo','服务器信息管理','服务器信息管理','/workflow/iframe?id=23615bd4e2d040dce22ff76b47d9b51c','iconfont iconicon_subordinate',888,1,0,1,'',1,'000000'),(1607568290728321026,1619159462254051330,'mineappsindex','移动应用','mineappsindex','/newbi/apps/index','iconfont iconicon_work',40,1,0,1,'',0,'000000'),(1607615579387797505,1506104732795191298,'newbimineapps','我的应用','newbimineapps','/newbi/mine/apps','iconfont iconicon_work',30,1,0,1,'',0,'000000'),(1610881734449782785,1386893769060298754,'/cdp/tags/list','自定义标签','/cdp/tags/list','/cdp/tags/list','iconfont icon-rizhi1',3,1,0,1,'',1,'000000'),(1619141578013245442,0,'new_datasource','数据源','new_datasource','/tool/datasource','iconfont icon-huanyingye',100001,1,0,1,'新的数据源 20230128',1,'000000'),(1619142230621782017,0,'new_datamart','数据集管理','new_datamart','/newbi/dataset/list','iconfont icon-huanyingye',100002,1,0,1,'20230128',1,'000000'),(1619156606935465985,0,'数据中心','数据中心','数据中心','/tool','iconfont iconicon_study',100001,1,0,1,'',0,'000000'),(1619159462254051330,0,'数据展示','数据展示','数据展示','/newbi','iconfont iconicon_savememo',100002,1,0,1,'',0,'000000'),(1619212987846590466,1123598815738675203,'new_dictionary','字典管理','new_dictionary','/new','iconfont iconicon_doc',40,1,0,1,'',1,'000000'),(1619214858069966849,1619159462254051330,'newbibigdatapptlist','幻灯片','newbibigdatapptlist','/newbi/bigdata/pptlist','iconfont iconicon_photo',10,1,0,1,'等待配置',1,'000000'),(1619215151222456321,1619159462254051330,'zizhubaobiao','自助报表','zizhubaobiao','/undefined','iconfont iconicon_work',30,1,0,1,'',1,'000000'),(1619215847942488065,1619156606935465985,'shujuetl','数据ETL','shujuetl','/etl','iconfont iconicon_subordinate',60,1,0,1,'待配置',0,'000000'),(1619216240135077889,0,'index_new','首页_','index_new','/new','iconfont iconicon_task',100000,1,0,1,'新的首页',1,'000000'),(1619216931482206209,1619216240135077889,'myIndex','我的首页？','myIndex','/undefined','iconfont iconicon_compile',10,1,0,1,'待配置',1,'000000'),(1619217106116247553,1619216240135077889,'shujumenhu','数据门户？','shujumenhu','/undefined','iconfont iconicon_shakehands',20,1,0,1,'待配置',1,'000000'),(1619533684334530561,0,'qita','【其他】','qita','/prepare','iconfont iconicon_work',1000010,1,0,1,'整理中的菜单',1,'000000'),(1619606974231089153,0,'hangye','行业案例演示','hangye','/hangye','iconfont iconicon_savememo',1000,1,0,1,'行业案例演示',1,'000000'),(1631974366758146050,1619156606935465985,'/newbi/globalParams/list','全局参数管理','/newbi/globalParams/list','/newbi/globalParams/list','iconfont iconicon_doc',50,1,0,1,'',0,'000000'),(1631974715833290753,1619159462254051330,'/newbi/bigdata/pptlist','幻灯片','/newbi/bigdata/pptlist','/newbi/bigdata/pptlist','iconfont iconicon_photo',10,1,0,1,'',0,'000000'),(1631975254381924353,1506104732795191298,'/newbi/mine/mycomponent','我的组件','/newbi/mine/mycomponent','/newbi/mine/mycomponent','iconfont iconicon_work',50,1,0,1,'',0,'000000'),(1631975676375044098,1123598815738675203,'zidianguanli','字典管理','zidianguanli','/dict','iconfont iconicon_study',16,1,0,1,'',0,'000000'),(1631975886903939074,1631975676375044098,'/newbi/dict/list','枚举字典','/newbi/dict/list','/newbi/dict/list','iconfont iconicon_subordinate',1,1,0,1,'',0,'000000'),(1689465690065170434,1619215847942488065,'/etl/flow/list','任务流程管理','/etl/flow/list','/etl/flow/list','iconfont iconicon_exchange',1,1,0,1,'',0,'000000'),(1689466226315325441,1619215847942488065,'/etl/job/list','任务实例管理','/etl/job/list','/etl/job/list','iconfont iconicon_work',2,1,0,1,'',0,'000000'),(1701554975752101890,0,'menu-home','首页','首页','/vue/index.html','iconfont iconicon_shakehands',1,1,0,1,'',1,'23lqq04'),(1711229865128140801,1619156606935465985,'/batch','数据同步','/batch','/batch','iconfont iconicon_refresh',70,1,0,1,'',0,'23lqq04'),(1711230354397896705,1711229865128140801,'/etl/batchTask/list','同步任务','/etl/batchTask/list','/etl/batchTask/list','iconfont iconicon_exchange',1,1,0,1,'',0,'23lqq04'),(1711230633365250049,1711229865128140801,'/etl/batchInstance/list','同步任务实例','/etl/batchInstance/list','/etl/batchInstance/list','iconfont iconicon_work',2,1,0,1,'',0,'23lqq04');
/*!40000 ALTER TABLE `blade_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_message`
--

DROP TABLE IF EXISTS `blade_message`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_message` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT NULL COMMENT '接收人',
  `module` varchar(50) DEFAULT NULL COMMENT '模块',
  `type` tinyint DEFAULT NULL COMMENT '类型：0待办 1抄送 2通过 3拒绝',
  `subject` varchar(50) DEFAULT NULL COMMENT '主题',
  `content` varchar(50) DEFAULT NULL COMMENT '内容',
  `status` tinyint DEFAULT NULL COMMENT '状态：0未读 1已读',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='消息提醒';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_message`
--

LOCK TABLES `blade_message` WRITE;
/*!40000 ALTER TABLE `blade_message` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_message` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_notice`
--

DROP TABLE IF EXISTS `blade_notice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_notice` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `title` varchar(255) DEFAULT NULL COMMENT '标题',
  `category` int DEFAULT NULL COMMENT '类型',
  `release_time` datetime DEFAULT NULL COMMENT '发布时间',
  `content` varchar(2000) DEFAULT NULL COMMENT '内容',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_notice`
--

LOCK TABLES `blade_notice` WRITE;
/*!40000 ALTER TABLE `blade_notice` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_notice` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_oss`
--

DROP TABLE IF EXISTS `blade_oss`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_oss` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `category` int DEFAULT NULL COMMENT '分类',
  `oss_code` varchar(32) DEFAULT NULL COMMENT '资源编号',
  `endpoint` varchar(255) DEFAULT NULL COMMENT '资源地址',
  `access_key` varchar(255) DEFAULT NULL COMMENT 'accessKey',
  `secret_key` varchar(255) DEFAULT NULL COMMENT 'secretKey',
  `bucket_name` varchar(255) DEFAULT NULL COMMENT '空间名',
  `app_id` varchar(255) DEFAULT NULL COMMENT '应用ID',
  `region` varchar(255) DEFAULT NULL COMMENT '地域简称',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_oss`
--

LOCK TABLES `blade_oss` WRITE;
/*!40000 ALTER TABLE `blade_oss` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_oss` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_param`
--

DROP TABLE IF EXISTS `blade_param`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_param` (
  `id` bigint NOT NULL COMMENT '主键',
  `param_name` varchar(255) DEFAULT NULL COMMENT '参数名',
  `param_key` varchar(255) DEFAULT NULL COMMENT '参数键',
  `param_value` varchar(255) DEFAULT NULL COMMENT '参数值',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_param`
--

LOCK TABLES `blade_param` WRITE;
/*!40000 ALTER TABLE `blade_param` DISABLE KEYS */;
INSERT INTO `blade_param` VALUES (1123598819738675201,'是否开启注册功能','account.registerUser','true','开启注册',1123598821738675201,1123598813738675201,'2018-12-28 12:19:01',1123598821738675201,'2018-12-28 12:19:01',1,0),(1123598819738675202,'账号初始密码','account.initPassword','123456','初始密码',1123598821738675201,1123598813738675201,'2018-12-28 12:19:01',1123598821738675201,'2018-12-28 12:19:01',1,0),(1238706101399142402,'租户默认管理密码','tenant.default.password','admin',NULL,1123598821738675201,1123598813738675201,'2020-03-14 13:58:43',1123598821738675201,'2020-03-14 13:58:43',1,0),(1238706160295559170,'租户默认账号额度','tenant.default.accountNumber','100',NULL,1123598821738675201,1123598813738675201,'2020-03-14 13:58:57',1123598821738675201,'2020-03-14 13:58:57',1,0),(1238706330076790786,'租户默认菜单集合','tenant.default.menuCode','desk,flow,work,monitor,resource,role,user,dept,post,dictbiz,topmenu',NULL,1123598821738675201,1123598813738675201,'2020-03-14 13:59:38',1123598821738675201,'2020-03-14 13:59:38',1,0);
/*!40000 ALTER TABLE `blade_param` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_post`
--

DROP TABLE IF EXISTS `blade_post`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_post` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `category` int DEFAULT NULL COMMENT '岗位类型',
  `post_code` varchar(12) DEFAULT NULL COMMENT '岗位编号',
  `post_name` varchar(64) DEFAULT NULL COMMENT '岗位名称',
  `sort` int DEFAULT NULL COMMENT '岗位排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '岗位描述',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_post`
--

LOCK TABLES `blade_post` WRITE;
/*!40000 ALTER TABLE `blade_post` DISABLE KEYS */;
INSERT INTO `blade_post` VALUES (1123598817738675201,'000000',1,'ceo','首席执行官',1,'总经理',1123598821738675201,1123598813738675201,'2020-04-01 00:00:00',1123598821738675201,'2020-04-01 00:00:00',1,0),(1123598817738675202,'000000',1,'coo','首席运营官',2,'常务总经理',1123598821738675201,1123598813738675201,'2020-04-01 00:00:00',1123598821738675201,'2020-04-01 00:00:00',1,0),(1123598817738675203,'000000',1,'cfo','首席财务官',3,'财务总经理',1123598821738675201,1123598813738675201,'2020-04-01 00:00:00',1123598821738675201,'2020-04-01 00:00:00',1,0),(1123598817738675204,'000000',1,'cto','首席技术官',4,'技术总监',1123598821738675201,1123598813738675201,'2020-04-01 00:00:00',1123598821738675201,'2020-04-01 00:00:00',1,0),(1123598817738675205,'000000',1,'cio','首席信息官',5,'信息总监',1123598821738675201,1123598813738675201,'2020-04-01 00:00:00',1123598821738675201,'2020-04-01 00:00:00',1,0),(1123598817738675206,'000000',2,'pm','技术经理',6,'研发和产品是永远的朋友',1123598821738675201,1123598813738675201,'2020-04-01 00:00:00',1123598821738675201,'2020-04-01 00:00:00',1,0),(1123598817738675207,'000000',2,'hrm','人力经理',7,'人力资源部门工作管理者',1123598821738675201,1123598813738675201,'2020-04-01 00:00:00',1123598821738675201,'2020-04-01 00:00:00',1,0),(1123598817738675208,'000000',3,'staff','普通员工',8,'普通员工',1123598821738675201,1123598813738675201,'2020-04-01 00:00:00',1123598821738675201,'2020-04-01 00:00:00',1,0),(1367056878042951681,'000000',1,'1','运营组',1,'',1123598821738675201,1123598813738675201,'2021-03-03 18:18:53',1123598821738675201,'2021-03-03 18:18:53',1,0),(1578946107234877442,'000000',2,'1231231','中层管理',2,'',1123598821738675201,1123598813738675201,'2022-10-08 22:11:02',1123598821738675201,'2022-10-08 22:11:13',1,1),(1701551288921137154,'23lquec',1,'ceo','首席执行官',1,NULL,1123598821738675201,1460424769744289793,'2023-09-12 06:00:15',1123598821738675201,'2023-09-12 06:00:15',1,0),(1701551350120226818,'23lqq04',1,'ceo','首席执行官',1,NULL,1123598821738675201,1460424769744289793,'2023-09-12 06:00:30',1123598821738675201,'2023-09-12 06:00:30',1,0),(1716700920705839105,'23lqq04',2,'009','test001',2,'',1701551350225084417,1701551350099255297,'2023-10-24 01:19:29',1701551350225084417,'2023-10-24 01:19:29',1,0);
/*!40000 ALTER TABLE `blade_post` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_region`
--

DROP TABLE IF EXISTS `blade_region`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_region` (
  `code` varchar(12) NOT NULL COMMENT '区划编号',
  `parent_code` varchar(12) DEFAULT NULL COMMENT '父区划编号',
  `ancestors` varchar(255) DEFAULT NULL COMMENT '祖区划编号',
  `name` varchar(32) DEFAULT NULL COMMENT '区划名称',
  `province_code` varchar(12) DEFAULT NULL COMMENT '省级区划编号',
  `province_name` varchar(32) DEFAULT NULL COMMENT '省级名称',
  `city_code` varchar(12) DEFAULT NULL COMMENT '市级区划编号',
  `city_name` varchar(32) DEFAULT NULL COMMENT '市级名称',
  `district_code` varchar(12) DEFAULT NULL COMMENT '区级区划编号',
  `district_name` varchar(32) DEFAULT NULL COMMENT '区级名称',
  `town_code` varchar(12) DEFAULT NULL COMMENT '镇级区划编号',
  `town_name` varchar(32) DEFAULT NULL COMMENT '镇级名称',
  `village_code` varchar(12) DEFAULT NULL COMMENT '村级区划编号',
  `village_name` varchar(32) DEFAULT NULL COMMENT '村级名称',
  `region_level` int DEFAULT NULL COMMENT '层级',
  `sort` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_region`
--

LOCK TABLES `blade_region` WRITE;
/*!40000 ALTER TABLE `blade_region` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_region` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_report_file`
--

DROP TABLE IF EXISTS `blade_report_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_report_file` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '文件名',
  `content` mediumblob COMMENT '文件内容',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_report_file`
--

LOCK TABLES `blade_report_file` WRITE;
/*!40000 ALTER TABLE `blade_report_file` DISABLE KEYS */;
INSERT INTO `blade_report_file` VALUES (1291947054502789121,'notice.ureport.xml',_binary '<?xml version=\"1.0\" encoding=\"UTF-8\"?><ureport><cell expand=\"Down\" name=\"A1\" row=\"1\" col=\"1\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"><left-border width=\"1\" style=\"solid\" color=\"0,0,0\"/><right-border width=\"1\" style=\"solid\" color=\"0,0,0\"/><top-border width=\"1\" style=\"solid\" color=\"0,0,0\"/><bottom-border width=\"1\" style=\"solid\" color=\"0,0,0\"/></cell-style><dataset-value dataset-name=\"notice\" aggregate=\"group\" property=\"tenant_id\" order=\"none\" mapping-type=\"simple\"></dataset-value></cell><cell expand=\"Down\" name=\"B1\" row=\"1\" col=\"2\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"><left-border width=\"1\" style=\"solid\" color=\"0,0,0\"/><right-border width=\"1\" style=\"solid\" color=\"0,0,0\"/><top-border width=\"1\" style=\"solid\" color=\"0,0,0\"/><bottom-border width=\"1\" style=\"solid\" color=\"0,0,0\"/></cell-style><dataset-value dataset-name=\"notice\" aggregate=\"group\" property=\"title\" order=\"none\" mapping-type=\"simple\"></dataset-value></cell><cell expand=\"Down\" name=\"C1\" row=\"1\" col=\"3\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"><left-border width=\"1\" style=\"solid\" color=\"0,0,0\"/><right-border width=\"1\" style=\"solid\" color=\"0,0,0\"/><top-border width=\"1\" style=\"solid\" color=\"0,0,0\"/><bottom-border width=\"1\" style=\"solid\" color=\"0,0,0\"/></cell-style><dataset-value dataset-name=\"notice\" aggregate=\"group\" property=\"release_time\" order=\"none\" mapping-type=\"simple\"></dataset-value></cell><cell expand=\"None\" name=\"D1\" row=\"1\" col=\"4\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"></cell-style><simple-value><![CDATA[]]></simple-value></cell><cell expand=\"None\" name=\"A2\" row=\"2\" col=\"1\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"></cell-style><simple-value><![CDATA[]]></simple-value></cell><cell expand=\"None\" name=\"B2\" row=\"2\" col=\"2\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"></cell-style><simple-value><![CDATA[]]></simple-value></cell><cell expand=\"None\" name=\"C2\" row=\"2\" col=\"3\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"></cell-style><simple-value><![CDATA[]]></simple-value></cell><cell expand=\"None\" name=\"D2\" row=\"2\" col=\"4\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"></cell-style><simple-value><![CDATA[]]></simple-value></cell><cell expand=\"None\" name=\"A3\" row=\"3\" col=\"1\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"></cell-style><simple-value><![CDATA[]]></simple-value></cell><cell expand=\"None\" name=\"B3\" row=\"3\" col=\"2\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"></cell-style><simple-value><![CDATA[]]></simple-value></cell><cell expand=\"None\" name=\"C3\" row=\"3\" col=\"3\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"></cell-style><simple-value><![CDATA[]]></simple-value></cell><cell expand=\"None\" name=\"D3\" row=\"3\" col=\"4\"><cell-style font-size=\"10\" align=\"center\" valign=\"middle\"></cell-style><simple-value><![CDATA[]]></simple-value></cell><row row-number=\"1\" height=\"18\"/><row row-number=\"2\" height=\"18\"/><row row-number=\"3\" height=\"18\"/><column col-number=\"1\" width=\"80\"/><column col-number=\"2\" width=\"80\"/><column col-number=\"3\" width=\"131\"/><column col-number=\"4\" width=\"80\"/><datasource name=\"ReportDataSource\" type=\"buildin\"><dataset name=\"notice\" type=\"sql\"><sql><![CDATA[select * from blade_notice]]></sql><field name=\"id\"/><field name=\"tenant_id\"/><field name=\"title\"/><field name=\"category\"/><field name=\"release_time\"/><field name=\"content\"/><field name=\"create_user\"/><field name=\"create_dept\"/><field name=\"create_time\"/><field name=\"update_user\"/><field name=\"update_time\"/><field name=\"status\"/><field name=\"is_deleted\"/></dataset></datasource><paper type=\"A4\" left-margin=\"90\" right-margin=\"90\"\n    top-margin=\"72\" bottom-margin=\"72\" paging-mode=\"fitpage\" fixrows=\"0\"\n    width=\"595\" height=\"842\" orientation=\"portrait\" html-report-align=\"left\" bg-image=\"\" html-interval-refresh-value=\"0\" column-enabled=\"false\"></paper></ureport>','2020-08-08 11:59:16','2020-08-08 13:05:02',0);
/*!40000 ALTER TABLE `blade_report_file` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_report_task`
--

DROP TABLE IF EXISTS `blade_report_task`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_report_task` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `report_name` varchar(200) DEFAULT NULL COMMENT '报表名称',
  `report_type` int DEFAULT NULL COMMENT '报表类型 1 导入 2 导出',
  `report_url` varchar(200) DEFAULT NULL COMMENT '报表下载路径',
  `report_status` int DEFAULT NULL COMMENT '报表状态 1 执行中 2 成功 3 失败',
  `use_time` varchar(20) DEFAULT NULL COMMENT '报表用时',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_report_task`
--

LOCK TABLES `blade_report_task` WRITE;
/*!40000 ALTER TABLE `blade_report_task` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_report_task` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_responsible`
--

DROP TABLE IF EXISTS `blade_responsible`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_responsible` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL COMMENT '负责人姓名',
  `phone` varchar(50) DEFAULT NULL COMMENT '负责人电话',
  `email` varchar(100) DEFAULT NULL COMMENT '负责人邮箱',
  `department` varchar(50) DEFAULT NULL COMMENT '负责人部门',
  `position` varchar(50) DEFAULT NULL COMMENT '负责人职务',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_responsible`
--

LOCK TABLES `blade_responsible` WRITE;
/*!40000 ALTER TABLE `blade_responsible` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_responsible` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_role`
--

DROP TABLE IF EXISTS `blade_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_role` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `role_name` varchar(255) DEFAULT NULL COMMENT '角色名',
  `sort` int DEFAULT NULL COMMENT '排序',
  `role_alias` varchar(255) DEFAULT NULL COMMENT '角色别名',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_role`
--

LOCK TABLES `blade_role` WRITE;
/*!40000 ALTER TABLE `blade_role` DISABLE KEYS */;
INSERT INTO `blade_role` VALUES (1123598816738675201,'000000',0,'超级管理员',1,'administrator',0),(1123598816738675202,'000000',0,'用户',2,'user',0),(1123598816738675203,'000000',1123598816738675202,'人事',1,'hr',0),(1123598816738675204,'000000',1123598816738675202,'经理',2,'manager',0),(1123598816738675205,'000000',1123598816738675202,'老板',3,'boss',0),(1578945673149579265,'000000',1123598816738675201,'普通用户',2,'普通用户',1),(1701551288686256129,'23lquec',0,'管理员',2,'admin',0),(1701551350086672386,'23lqq04',0,'管理员',2,'admin',0),(1701877137880915970,'23lqq04',0,'操作员',1,'contel',0);
/*!40000 ALTER TABLE `blade_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_role_menu`
--

DROP TABLE IF EXISTS `blade_role_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_role_menu` (
  `id` bigint NOT NULL COMMENT '主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单id',
  `role_id` bigint DEFAULT NULL COMMENT '角色id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_role_menu`
--

LOCK TABLES `blade_role_menu` WRITE;
/*!40000 ALTER TABLE `blade_role_menu` DISABLE KEYS */;
INSERT INTO `blade_role_menu` VALUES (1701877210035527681,1619156606935465985,1701877137880915970),(1701877210039721985,1161272593873321991,1701877137880915970),(1701877210043916290,1161272593873321992,1701877137880915970),(1701877210043916291,1161272593873321993,1701877137880915970),(1701877210043916292,1161272593873321994,1701877137880915970),(1701877210052304898,1161272593873321995,1701877137880915970),(1701877210052304899,1367669015094308865,1701877137880915970),(1701877210052304900,1619215847942488065,1701877137880915970),(1701877210056499201,1689465690065170434,1701877137880915970),(1701877210056499202,1689466226315325441,1701877137880915970),(1701899725059399682,1619156606935465985,1701551350086672386),(1701899725063593986,1161272593873321991,1701551350086672386),(1701899725063593987,1161272593873321992,1701551350086672386),(1701899725063593988,1161272593873321993,1701551350086672386),(1701899725063593989,1161272593873321994,1701551350086672386),(1701899725067788289,1161272593873321995,1701551350086672386),(1701899725071982593,1367669015094308865,1701551350086672386),(1701899725071982594,1619215847942488065,1701551350086672386),(1701899725071982595,1689465690065170434,1701551350086672386),(1701899725076176898,1689466226315325441,1701551350086672386),(1701899725076176899,1123598815738675203,1701551350086672386),(1701899725076176900,1123598815738675204,1701551350086672386),(1701899725076176901,1123598815738675223,1701551350086672386),(1701899725076176902,1123598815738675224,1701551350086672386),(1701899725076176903,1123598815738675225,1701551350086672386),(1701899725080371202,1123598815738675226,1701551350086672386),(1701899725080371203,1123598815738675227,1701551350086672386),(1701899725080371204,1123598815738675228,1701551350086672386),(1701899725080371205,1164733389668962251,1701551350086672386),(1701899725080371206,1164733389668962252,1701551350086672386),(1701899725084565505,1164733389668962253,1701551350086672386),(1701899725084565506,1164733389668962254,1701551350086672386),(1701899725084565507,1164733389668962255,1701551350086672386),(1701899725084565508,1123598815738675205,1701551350086672386),(1701899725084565509,1123598815738675229,1701551350086672386),(1701899725084565510,1123598815738675230,1701551350086672386),(1701899725088759810,1123598815738675231,1701551350086672386),(1701899725088759811,1123598815738675232,1701551350086672386),(1701899725088759812,1123598815738675307,1701551350086672386),(1701899725088759813,1123598815738675308,1701551350086672386),(1701899725088759814,1123598815738675241,1701551350086672386),(1701899725092954113,1123598815738675242,1701551350086672386),(1701899725092954114,1123598815738675243,1701551350086672386),(1701899725092954115,1123598815738675244,1701551350086672386),(1701899725092954116,1123598815738675309,1701551350086672386),(1701899725092954117,1123598815738675310,1701551350086672386),(1701899725092954118,1123598815738675311,1701551350086672386),(1701899725097148417,1123598815738675312,1701551350086672386),(1701899725097148418,1123598815738675207,1701551350086672386),(1701899725097148419,1123598815738675237,1701551350086672386),(1701899725097148420,1123598815738675238,1701551350086672386),(1701899725097148421,1123598815738675239,1701551350086672386),(1701899725097148422,1123598815738675240,1701551350086672386),(1701899725101342721,1544607807797161986,1701551350086672386),(1701899725101342722,1123598815738675209,1701551350086672386),(1701899725101342723,1589512651703767042,1701551350086672386);
/*!40000 ALTER TABLE `blade_role_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_role_scope`
--

DROP TABLE IF EXISTS `blade_role_scope`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_role_scope` (
  `id` bigint NOT NULL COMMENT '主键',
  `scope_category` int DEFAULT NULL COMMENT '权限类型(1:数据权限、2:接口权限)',
  `scope_id` bigint DEFAULT NULL COMMENT '权限id',
  `role_id` bigint DEFAULT NULL COMMENT '角色id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_role_scope`
--

LOCK TABLES `blade_role_scope` WRITE;
/*!40000 ALTER TABLE `blade_role_scope` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_role_scope` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_scope_api`
--

DROP TABLE IF EXISTS `blade_scope_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_scope_api` (
  `id` bigint NOT NULL COMMENT '主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单主键',
  `resource_code` varchar(255) DEFAULT NULL COMMENT '资源编号',
  `scope_name` varchar(255) DEFAULT NULL COMMENT '接口权限名',
  `scope_path` varchar(255) DEFAULT NULL COMMENT '接口权限地址',
  `scope_type` int DEFAULT NULL COMMENT '接口权限类型',
  `remark` varchar(255) DEFAULT NULL COMMENT '接口权限备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_scope_api`
--

LOCK TABLES `blade_scope_api` WRITE;
/*!40000 ALTER TABLE `blade_scope_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_scope_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_scope_data`
--

DROP TABLE IF EXISTS `blade_scope_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_scope_data` (
  `id` bigint NOT NULL COMMENT '主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单主键',
  `resource_code` varchar(255) DEFAULT NULL COMMENT '资源编号',
  `scope_name` varchar(255) DEFAULT NULL COMMENT '数据权限名称',
  `scope_field` varchar(255) DEFAULT NULL COMMENT '数据权限字段',
  `scope_class` varchar(500) DEFAULT NULL COMMENT '数据权限类名',
  `scope_column` varchar(255) DEFAULT NULL COMMENT '数据权限字段',
  `scope_type` int DEFAULT NULL COMMENT '数据权限类型',
  `scope_value` varchar(2000) DEFAULT NULL COMMENT '数据权限值域',
  `remark` varchar(255) DEFAULT NULL COMMENT '数据权限备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_scope_data`
--

LOCK TABLES `blade_scope_data` WRITE;
/*!40000 ALTER TABLE `blade_scope_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_scope_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_sms`
--

DROP TABLE IF EXISTS `blade_sms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_sms` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `category` int NOT NULL COMMENT '分类',
  `template_id` varchar(64) NOT NULL COMMENT '模板ID',
  `access_key` varchar(255) NOT NULL COMMENT 'accessKey',
  `secret_key` varchar(255) NOT NULL COMMENT 'secretKey',
  `region_id` varchar(255) DEFAULT NULL COMMENT 'regionId',
  `sign_name` varchar(64) NOT NULL COMMENT '短信签名',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `template_content` varchar(500) NOT NULL COMMENT '模板内容',
  `template_params` varchar(500) DEFAULT NULL COMMENT '模板参数',
  `status` int NOT NULL DEFAULT '1' COMMENT '状态',
  `template_name` varchar(50) NOT NULL COMMENT '模版名称',
  `app_id` varchar(50) DEFAULT NULL COMMENT '腾讯云SDKappID',
  `business_classify` int NOT NULL DEFAULT '0' COMMENT '业务类型(0：告警短信，1：登录短信)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='短信配置';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_sms`
--

LOCK TABLES `blade_sms` WRITE;
/*!40000 ALTER TABLE `blade_sms` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_sms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_tenant`
--

DROP TABLE IF EXISTS `blade_tenant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_tenant` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `tenant_name` varchar(50) NOT NULL COMMENT '租户名称',
  `domain` varchar(255) DEFAULT NULL COMMENT '域名地址',
  `background_url` varchar(1000) DEFAULT NULL COMMENT '系统背景',
  `linkman` varchar(20) DEFAULT NULL COMMENT '联系人',
  `contact_number` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `address` varchar(255) DEFAULT NULL COMMENT '联系地址',
  `account_number` int DEFAULT '-1' COMMENT '账号额度',
  `expire_time` datetime DEFAULT NULL COMMENT '过期时间',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源ID',
  `license_key` varchar(1000) DEFAULT NULL COMMENT '授权码',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_tenant`
--

LOCK TABLES `blade_tenant` WRITE;
/*!40000 ALTER TABLE `blade_tenant` DISABLE KEYS */;
INSERT INTO `blade_tenant` VALUES (1123598820738675201,'000000','管理组',NULL,NULL,'admin','666666','管理组',-1,NULL,NULL,NULL,1123598821738675201,1123598813738675201,'2019-01-01 00:00:39',1123598821738675201,'2019-01-01 00:00:39',1,0);
/*!40000 ALTER TABLE `blade_tenant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_ticket`
--

DROP TABLE IF EXISTS `blade_ticket`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_ticket` (
  `id` bigint NOT NULL,
  `ticket` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_ticket`
--

LOCK TABLES `blade_ticket` WRITE;
/*!40000 ALTER TABLE `blade_ticket` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_ticket` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_top_menu`
--

DROP TABLE IF EXISTS `blade_top_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_top_menu` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `code` varchar(255) DEFAULT NULL COMMENT '顶部菜单编号',
  `name` varchar(255) DEFAULT NULL COMMENT '顶部菜单名',
  `source` varchar(255) DEFAULT NULL COMMENT '顶部菜单资源',
  `sort` int DEFAULT NULL COMMENT '顶部菜单排序',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_top_menu`
--

LOCK TABLES `blade_top_menu` WRITE;
/*!40000 ALTER TABLE `blade_top_menu` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_top_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_top_menu_setting`
--

DROP TABLE IF EXISTS `blade_top_menu_setting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_top_menu_setting` (
  `id` bigint NOT NULL COMMENT '主键',
  `top_menu_id` bigint DEFAULT NULL COMMENT '顶部菜单主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单主键',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_top_menu_setting`
--

LOCK TABLES `blade_top_menu_setting` WRITE;
/*!40000 ALTER TABLE `blade_top_menu_setting` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_top_menu_setting` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user`
--

DROP TABLE IF EXISTS `blade_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_user` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `code` varchar(12) DEFAULT NULL COMMENT '用户编号',
  `user_type` int DEFAULT NULL COMMENT '用户平台',
  `account` varchar(45) DEFAULT NULL COMMENT '账号',
  `password` varchar(45) DEFAULT NULL COMMENT '密码',
  `name` varchar(20) DEFAULT NULL COMMENT '昵称',
  `real_name` varchar(10) DEFAULT NULL COMMENT '真名',
  `nick_name` varchar(50) DEFAULT NULL COMMENT '微信昵称',
  `avatar` varchar(500) DEFAULT NULL COMMENT '头像',
  `email` varchar(45) DEFAULT NULL COMMENT '邮箱',
  `phone` varchar(45) DEFAULT NULL COMMENT '手机',
  `birthday` datetime DEFAULT NULL COMMENT '生日',
  `sex` int DEFAULT NULL COMMENT '性别',
  `role_id` varchar(1000) DEFAULT NULL COMMENT '角色id',
  `dept_id` varchar(1000) DEFAULT NULL COMMENT '部门id',
  `post_id` varchar(1000) DEFAULT NULL COMMENT '岗位id',
  `face_user_id` varchar(255) DEFAULT NULL COMMENT '人脸userID',
  `face_group_id` varchar(255) DEFAULT NULL COMMENT '人脸分组ID',
  `face_token` varchar(255) DEFAULT NULL COMMENT '人脸facetoken',
  `face_img` varchar(500) DEFAULT NULL COMMENT '人脸图片',
  `open_id` varchar(255) DEFAULT NULL COMMENT 'openid',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `audit_level` int DEFAULT NULL COMMENT '审核等级',
  `is_login` int DEFAULT NULL COMMENT '是否允许账号登录  0 是 1否',
  `is_wx_login` int DEFAULT NULL COMMENT '是否允许微信登录  0 是 1否',
  `login_status` int DEFAULT NULL COMMENT '登录状态  0 正常 1预警 2警告 login_status',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `ext_json` text COMMENT '扩展字段',
  `third_user_id` varchar(100) DEFAULT NULL COMMENT '第三方用户id',
  `wechat_open_id` varchar(64) DEFAULT NULL COMMENT '微信三方登录绑定openId',
  `ding_open_id` varchar(64) DEFAULT NULL COMMENT '钉钉三方登录绑定openId',
  `qy_wechat_code` varchar(64) DEFAULT NULL COMMENT '企业微信三方登录绑定openId',
  `fei_shu_open_id` varchar(64) DEFAULT NULL COMMENT '飞书三方登录绑定openId',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user`
--

LOCK TABLES `blade_user` WRITE;
/*!40000 ALTER TABLE `blade_user` DISABLE KEYS */;
INSERT INTO `blade_user` VALUES (1123598821738675201,'000000','',1,'dataview','6eecda7316022e14a670af5f49f580c8d0afd18f','超级管理员','超级管理员','铂原超管','','test@qq.com','13011111111','2018-08-08 00:00:00',1,'1123598816738675201','1460424769744289793','1123598817738675201','','','','','',1123598821738675201,1123598813738675201,'2018-08-08 00:00:00',1123598821738675201,'2023-11-30 10:00:00',1,0,1,0,1,0,'',NULL,NULL,NULL,NULL,NULL),(1701551289307013122,'23lquec',NULL,1,'123456789','90b9aa7e25f80cf4f64e990b78a9fc5ebd6cecad','admin','管理员',NULL,NULL,NULL,'123456789','2023-09-12 06:00:15',1,'1701551288686256129','1701551288749170690','1701551288921137154',NULL,NULL,NULL,NULL,NULL,1123598821738675201,1460424769744289793,'2023-09-12 06:00:15',1123598821738675201,'2023-11-30 10:00:00',1,0,0,0,1,0,NULL,NULL,NULL,NULL,NULL,NULL),(1701551350225084417,'23lqq04',NULL,1,'13621143762','90b9aa7e25f80cf4f64e990b78a9fc5ebd6cecad','admin','管理员',NULL,NULL,NULL,'13621143762','2023-09-12 06:00:30',1,'1701551350086672386','1701551350099255297','1701551350120226818',NULL,NULL,NULL,NULL,NULL,1123598821738675201,1460424769744289793,'2023-09-12 06:00:30',1701551350225084417,'2023-11-30 10:00:00',1,0,0,0,1,0,NULL,NULL,NULL,NULL,NULL,NULL),(1701876335053381633,'23lqq04','ct01',1,'litongETL','4ceb210da5ec06546b2055e9a1483f40fb64ea9d','李彤ETL','李彤ETL',NULL,NULL,'','',NULL,NULL,'1701877137880915970','1701551350099255297','1701551350120226818',NULL,NULL,NULL,'',NULL,1701551350225084417,1701551350099255297,'2023-09-13 03:31:52',1701551350225084417,'2023-11-30 10:00:00',NULL,0,1,0,1,0,NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `blade_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user_app`
--

DROP TABLE IF EXISTS `blade_user_app`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_user_app` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `user_ext` varchar(255) DEFAULT NULL COMMENT '用户拓展信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user_app`
--

LOCK TABLES `blade_user_app` WRITE;
/*!40000 ALTER TABLE `blade_user_app` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_user_app` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user_dept`
--

DROP TABLE IF EXISTS `blade_user_dept`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_user_dept` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `dept_id` bigint DEFAULT '0' COMMENT '部门ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user_dept`
--

LOCK TABLES `blade_user_dept` WRITE;
/*!40000 ALTER TABLE `blade_user_dept` DISABLE KEYS */;
INSERT INTO `blade_user_dept` VALUES (1501127594765680642,1496737620402319361,1460424769744289793),(1501127851993956353,1460439540640137217,1460424769744289793),(1504757852865794056,1372757063650484226,1460424769744289793),(1578945007643557890,1578945007601614850,1460424769744289793),(1579306357527969793,1579306066833342466,1460424769744289793),(1610569958849875969,1123598821738675201,1460424769744289793),(1701551289441230850,1701551289307013122,1701551288749170690),(1701551350258638849,1701551350225084417,1701551350099255297),(1701879090279096321,1701876335053381633,1701551350099255297);
/*!40000 ALTER TABLE `blade_user_dept` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user_oauth`
--

DROP TABLE IF EXISTS `blade_user_oauth`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_user_oauth` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
  `uuid` varchar(64) DEFAULT NULL COMMENT '第三方系统用户ID',
  `user_id` bigint DEFAULT NULL COMMENT '用户ID',
  `username` varchar(32) DEFAULT NULL COMMENT '账号',
  `nickname` varchar(64) DEFAULT NULL COMMENT '用户名',
  `avatar` varchar(1000) DEFAULT NULL COMMENT '头像',
  `blog` varchar(50) DEFAULT NULL COMMENT '应用主页',
  `company` varchar(255) DEFAULT NULL COMMENT '公司名',
  `location` varchar(255) DEFAULT NULL COMMENT '地址',
  `email` varchar(255) DEFAULT NULL COMMENT '邮件',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `gender` varchar(16) DEFAULT NULL COMMENT '性别',
  `source` varchar(16) DEFAULT NULL COMMENT '来源',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user_oauth`
--

LOCK TABLES `blade_user_oauth` WRITE;
/*!40000 ALTER TABLE `blade_user_oauth` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_user_oauth` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user_other`
--

DROP TABLE IF EXISTS `blade_user_other`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_user_other` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `user_ext` varchar(255) DEFAULT NULL COMMENT '用户拓展信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user_other`
--

LOCK TABLES `blade_user_other` WRITE;
/*!40000 ALTER TABLE `blade_user_other` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_user_other` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user_web`
--

DROP TABLE IF EXISTS `blade_user_web`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_user_web` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `user_ext` varchar(255) DEFAULT NULL COMMENT '用户拓展信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user_web`
--

LOCK TABLES `blade_user_web` WRITE;
/*!40000 ALTER TABLE `blade_user_web` DISABLE KEYS */;
INSERT INTO `blade_user_web` VALUES (1578945165655572481,1578945007601614850,'12312312321');
/*!40000 ALTER TABLE `blade_user_web` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_visual`
--

DROP TABLE IF EXISTS `blade_visual`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_visual` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title` varchar(255) DEFAULT NULL COMMENT '大屏标题',
  `background_url` longtext COMMENT '大屏背景',
  `category` int DEFAULT NULL COMMENT '大屏类型',
  `history_report_id` int DEFAULT NULL COMMENT '历史报告id',
  `password` varchar(255) DEFAULT NULL COMMENT '发布密码',
  `user_str` varchar(255) DEFAULT NULL COMMENT '用户ID组',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status` int DEFAULT '1' COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_visual`
--

LOCK TABLES `blade_visual` WRITE;
/*!40000 ALTER TABLE `blade_visual` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_visual` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_visual_category`
--

DROP TABLE IF EXISTS `blade_visual_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_visual_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父分类id',
  `category_key` varchar(500) DEFAULT NULL COMMENT '分类键值',
  `category_value` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `is_deleted` int NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `sort` int DEFAULT NULL COMMENT '排序',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_visual_category`
--

LOCK TABLES `blade_visual_category` WRITE;
/*!40000 ALTER TABLE `blade_visual_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_visual_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_visual_config`
--

DROP TABLE IF EXISTS `blade_visual_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_visual_config` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `visual_id` int DEFAULT NULL COMMENT '可视化表主键',
  `detail` text COMMENT '配置json',
  `component` longtext COMMENT '组件json',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`),
  FULLTEXT KEY `component` (`component`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_visual_config`
--

LOCK TABLES `blade_visual_config` WRITE;
/*!40000 ALTER TABLE `blade_visual_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_visual_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_visual_map`
--

DROP TABLE IF EXISTS `blade_visual_map`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blade_visual_map` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '地图名称',
  `data` longtext COMMENT '地图数据',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_visual_map`
--

LOCK TABLES `blade_visual_map` WRITE;
/*!40000 ALTER TABLE `blade_visual_map` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_visual_map` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_data`
--

DROP TABLE IF EXISTS `cube_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_data` (
  `id` int NOT NULL AUTO_INCREMENT,
  `workspace_id` int NOT NULL DEFAULT '0' COMMENT '工作空间ID',
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `cube_name` varchar(100) NOT NULL COMMENT '数据集名称',
  `cube_table_names` json NOT NULL COMMENT '表名json数组',
  `links_join` text COMMENT '表关联json字符串',
  `filter_json` text COMMENT '数据过滤条件json字符串',
  `query_sql` varchar(2000) DEFAULT NULL COMMENT '拼接好的查询SQL',
  `table_type` tinyint NOT NULL DEFAULT '0' COMMENT '表类型(0-物理表/1-逻辑表)',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注描述',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公开状态',
  `old_cube_data_Id` int DEFAULT NULL COMMENT '被复制的数据集id',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_edit` int DEFAULT '1' COMMENT '是否可以被编辑 0：不可以，1：可以',
  `display_status` tinyint NOT NULL DEFAULT '1' COMMENT '是否显示[静态数据创建的数据集不显示] 1：可以[默认]，0：不可以',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_data`
--

LOCK TABLES `cube_data` WRITE;
/*!40000 ALTER TABLE `cube_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_data_permission`
--

DROP TABLE IF EXISTS `cube_data_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cube_perm_name` varchar(100) NOT NULL COMMENT '数据集权限名称',
  `cube_data_id` int NOT NULL COMMENT '数据集ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `filter_json` text COMMENT '过滤器JSON',
  `filter_sql` varchar(1000) DEFAULT NULL COMMENT '[行权限]过滤器SQL',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `exclude_column_ids` varchar(1000) DEFAULT NULL COMMENT '[列权限]不包含的字段ID,逗号隔开',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `cube_data_id` (`cube_data_id`,`data_perm_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集权限';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_data_permission`
--

LOCK TABLES `cube_data_permission` WRITE;
/*!40000 ALTER TABLE `cube_data_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_data_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_datasource_function`
--

DROP TABLE IF EXISTS `cube_datasource_function`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_datasource_function` (
  `func_id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL COMMENT '函数名',
  `method` varchar(50) NOT NULL COMMENT '函数方法',
  `ds_type` tinyint NOT NULL COMMENT '数据源类型(0-mysql/1-oracle/2-sqlserver/3-postgresql/4-clickhouse/-1通用)',
  `description` varchar(500) DEFAULT NULL COMMENT '函数描述',
  `example` varchar(100) DEFAULT NULL COMMENT '示例',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号(越大排序越靠前)',
  `func_type` tinyint NOT NULL DEFAULT '0' COMMENT '函数类型(0-数据库自带函数,1-自定义解析函数)',
  `func_sql` varchar(1000) DEFAULT NULL COMMENT '自定义函数sql片段',
  `func_attr` tinyint DEFAULT NULL COMMENT '0-聚合函数\n1-统计函数\n2-日期和时间\n3-字符串函数\n4-逻辑函数\n5-数值函数\n6-数组函数\n7-自定义函数\n99-其他',
  `method_name` varchar(50) DEFAULT NULL COMMENT '函数名称',
  `sub_query_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否包含子查询(1-是/0-否)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`func_id`)
) ENGINE=InnoDB AUTO_INCREMENT=118 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据源函数库';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_datasource_function`
--

LOCK TABLES `cube_datasource_function` WRITE;
/*!40000 ALTER TABLE `cube_datasource_function` DISABLE KEYS */;
INSERT INTO `cube_datasource_function` VALUES (1,'introduce','',-1,'【参数说明】（以下说明中出现的N为从1开始的整数）\n公式中的参数一定要用做大屏中的维度的，标记为维度N\n公式中的参数一定要用数值的，标记为数值N\n公式中的参数一定要用字符串的，标记为文本N\n公式中的参数一定要用时间格式的，标记为时间N\n无限制的参数标记为字段N\n其他特殊规定的参数格式，请务必在说明中详细解释，并列出所有可能\n【格式说明】\n所有说明中一定要包含【用法】，【说明】，【示例】，示例尽量参考以下表结构\n日期||商品名称||店铺名称||销售人||商品数量||销售单价\n【测试函数数据】\n测试环境：helowin下的YYOS2\n表结构：\nRENT_DATE||HOUSE_ID||IS_RE_RENT||PERIOD||diffmonth||MONTH_PRICE\n取表sql见func_sql','','2021-11-16 14:54:00',100000,0,'WITH TEST_FUNC AS (\nSELECT \n	col_5 AS RENT_DATE,\n	COL_1 AS HOUSE_ID,\n	COL_12 AS IS_RE_RENT,\n	COL_9 AS PERIOD,\n	months_between(COL_6 ,COL_5) AS diffmonth,\n	col_7 AS MONTH_PRICE \nFROM FILE_TABLE_20220507_100109)\nSELECT * FROM TEST_FUNC',0,'',0,'000000'),(2,'SUM','SUM()',-1,'用法：SUM(数值1)\n示例：SUM([销售额])，返回\'销售额\'字段对应的所有非空值的总和','','2022-10-10 14:54:00',99000,0,'',0,'',0,'000000'),(3,'COUNT','COUNT()',-1,'用法：COUNT(字段1)\n示例：COUNT([销售额])，返回\'销售额\'字段对应的所有非空值的数据条目数','','2022-10-10 14:54:00',98000,0,'',0,'',0,'000000'),(4,'COUNT_DISTINCT','COUNT(DISTINCT())',-1,'用法：COUNT(DISTINCT(字段1))\n示例：COUNT(DISTINCT([销售额]))，返回\'销售额\'字段对应的所有非空值的不同数据条目数','','2022-10-10 14:54:00',97000,0,'',0,'',0,'000000'),(5,'AVG','AVG()',-1,'用法：AVG(数值1)\n示例：AVG([销售额])，返回\'销售额\'字段对应的所有非空值的平均值','','2022-10-10 14:54:00',96000,0,'',0,'',0,'000000'),(6,'MAX','MAX()',-1,'用法：MAX(数值1)\n示例：MAX([销售额])，返回\'销售额\'字段对应值的最大值','','2022-10-10 14:54:00',95000,0,'',0,'',0,'000000'),(7,'MIN','MIN()',-1,'用法：MIN(数值1)\n示例：MIN([销售额])，返回\'销售额\'字段对应值的最小值','','2022-10-10 14:54:00',94000,0,'',0,'',0,'000000'),(8,'安全除法','fun_devide(,)',-1,'用法：fun_devide(数值1,数值2)\n说明：返回两个数值相除的结果，如果分母为0，则结果为0 \n示例：fun_devide(4,2),返回2;fun_devide(4,0),返回0','','2021-11-16 14:54:00',0,1,'case when sum({1}) = 0 then 0 else sum({0})*1.0/sum({1}) end',5,'fun_devide',0,'000000'),(9,'if判断','if_f(,,)',-1,'用法：if_f(表达式，结果1，结果2)\n说明：:if_f为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:if_f([订单数] > 500, \'合格\', \'不合格\')。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-10-13 15:23:00',0,1,'CASE WHEN {0} THEN {1} ELSE {2} end',4,'if_f',0,'000000'),(10,'条件计数','countif()',-1,'用法：countif(表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的数量\n示例：\ncountif([销售数量] = 1)返回字段名为销售数量的列中等于1的数量\ncountif([销售数量] > 1)返回字段名为销售数量的列中大于1的数量','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {0} THEN 1 ELSE 0 END)',1,'countif',0,'000000'),(11,'条件求和','sumif(,)',-1,'用法：sumif(字段,表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的对应字段求和\n示例：\nsumif([销售金额],[销售数量] = 1)返回字段名为销售数量的列中销售等于1的销售金额求和\nsumif([销售金额],[销售数量] > 1)返回字段名为销售数量的列中大于1的求和','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {1} THEN {0} ELSE 0 END)',1,'sumif',0,'000000'),(12,'次数超N次占比','repeat_beyond_part(,,)',3,'用法：repeat_beyond_part(字段1,字段2,数值1)\n说明：返回在字段1下，字段2中出现次数大于数值1的值占所有字段2的百分比（字段1一定要为其中一个维度）\n用法：\nrepeat_beyond_part([省份],[城市],5)，返回每个省份，表中数量大于5的城市占所有城市数量的比例\nrepeat_beyond_part([月份],[用户ID],2)，返回每个月，购买次数大于2的用户数占总用户数的比例','','2022-10-13 15:23:00',0,1,'(SELECT sum(zi_total_num)/count(1) FROM (SELECT {0},{1},count(1),CASE WHEN count(1) > {2} THEN 1 ELSE 0 END AS zi_total_num FROM {master_table_name} GROUP BY {0},{1}) a WHERE a.{0} = {master_alias_name}.{0} GROUP BY a.{0})',1,'repeat_beyond_part',1,'000000'),(13,'NOW','NOW()',0,'用法：now()\n说明：函数不用带参数\n示例：now()，返回当前时间，\n格式如：2022-12-02 10:23:14','','2022-12-01 17:54:00',890,0,'',2,'',0,'000000'),(14,'WEEK','WEEK(,1)',0,'用法：WEEK(时间1,1)\n说明：第二个参数填写1即可，其他的可自行百度\n示例：WEEK(str_to_date(\'2022-12-04\',\'%Y-%m-%d\'),1) 返回值为48（2022年12月4日为2022年的第48周）','','2022-12-01 17:54:00',880,0,'',2,'',0,'000000'),(15,'DATE_ADD','DATE_ADD( , INTERVAL * MONTH)',0,'用法：DATE_ADD(时间1 , INTERVAL 整数1 MONTH)\n说明：\n将公式中的*替换成整数1；\n默认用例是在时间1的基础上加上整数1个月；\n可将MONTH改为SECOND（秒），MINUTE（分钟），HOUR(小时），DAY（日），YEAR（年）；\n数值1可为负数，表示减去对应时长\n示例：DATE_ADD(STR_TO_DATE(\'2022-12-04\',\'%Y-%m-%d\'), INTERVAL -1 MONTH)  返回值为2022-11-04','','2022-12-01 17:54:00',870,0,'',2,'',0,'000000'),(16,'TIMESTAMPDIFF','TIMESTAMPDIFF(DAY , , )',0,'用法：TIMESTAMPDIFF(DAY ,时间2,时间1)\n说明：\n注意是时间1 - 时间2，顺序是反的，表示两个时间日的插值；\n可将DAY改为SECOND（秒），MINUTE（分钟），HOUR(小时），MONTH（月），YEAR（年）；\n示例：TIMESTAMPDIFF(HOUR,STR_TO_DATE(\'2022-12-02\',\'%Y-%m-%d\') ,STR_TO_DATE(\'2022-12-03 12:00:00\',\'%Y-%m-%d %H:%i:%s\') )   返回1','','2022-12-01 17:54:00',860,0,'',2,'',0,'000000'),(17,'CONCAT','CONCAT(,)',0,'用法：CONCAT(字段1, 字段2...)\n说明：返回顺序联结各参数的字符串\n示例：CONCAT([货品编号], [类型编号])，返回货品编号和类型编号联结后的字符串','','2022-12-01 17:54:00',790,0,'',3,'',0,'000000'),(18,'INSTR','INSTR(,)',0,'用法：INSTR(字段1, 需查找的字符串)\n说明：返回需查找的字符串在字段1的值中第一次出现时的位置，结果是大于0的整数，如果找不到则返回0\n示例：INSTR([商品名称], \'S\')，返回\'S\'在[商品名称]中第一次出现时的位置','','2022-12-01 17:54:00',780,0,'',3,'',0,'000000'),(19,'LENGTH','LENGTH()',0,'用法：LENGTH(字段1)\n说明：返回字段1的长度\n示例：LENGTH([货品名])，返回货品名的长度','','2022-12-01 17:54:00',770,0,'',3,'',0,'000000'),(20,'SUBSTR','SUBSTR(,)',0,'用法：SUBSTR(字段1, 起始位置[, 长度])\n说明：返回从起始位置起对应长度的字段1的子字符串，长度为可选项；负数索引代表从结尾向前计算字符串个数\n示例：SUBSTR([商品类型], 4)，返回商品类型的索引为4起至末尾的子字符串；SUBSTR([商品类型], -4)，返回商品类型最后4个字符串','','2022-12-01 17:54:00',760,0,'',3,'',0,'000000'),(21,'REPLACE','REPLACE(,,)',0,'用法：REPLACE(字段1,需要替换的字符串,替换后的字符串)\n说明：会将字段1中所有的需要替换的字符串都替换成替换后的字符串\n示例：REPLACE([商品类型], \'地\',\'的\')，将商品类型中错写的‘地’改成正确的‘的’；','','2022-12-01 17:54:00',750,0,'',3,'',0,'000000'),(22,'TRIM','TRIM()',0,'用法：TRIM(字段1)\n说明：去除字段1中数据两边的空格\n示例：TRIM(\' ABC \'), 返回\'ABC\'','','2022-12-01 17:54:00',740,0,'',3,'',0,'000000'),(23,'LOWER','LOWER()',0,'用法：LOWER(字段1)\n说明：返回字段1值全部小写形式的字符串\n示例：LOWER(\'ABC\')，返回\'abc\'','','2022-12-01 17:54:00',730,0,'',3,'',0,'000000'),(24,'UPPER','UPPER()',0,'用法：UPPER(字段1)\n说明：返回字段1全部大写形式的字符串\n示例：UPPER(\'abc\'),返回\'ABC\'','','2022-12-01 17:54:00',720,0,'',3,'',0,'000000'),(25,'IFNULL','IFNULL(,)',0,'用法：IFNULL(字段1, 需替换字符串)\n说明：如果字段1为空则返回需替换字符串，否则输出原字符串\n示例：IFNULL(null, \'未知\')，返回值未知','','2022-12-01 17:54:00',690,0,'',4,'',0,'000000'),(26,'ABS','ABS()',0,'用法:ABS(数值1)\n说明:返回数值1的绝对值\n示例:ABS(-3),返回3','','2022-12-01 17:54:00',590,0,'',5,'',0,'000000'),(27,'CEIL','CEIL()',0,'用法:CEIL(数值1)\n说明:返回不小于数值1的最小整数\n示例:CEIL(4.12),返回5','','2022-12-01 17:54:00',580,0,'',5,'',0,'000000'),(28,'FLOOR','FLOOR()',0,'用法:FLOOR(数值)\n说明:返回不大于数值的最大整数\n示例:FLOOR(4.12),返回4','','2022-12-01 17:54:00',570,0,'',5,'',0,'000000'),(29,'LOG','LOG(,)',0,'用法:LOG(数值1,[数值2])\n说明:以数值1为底，求数值2的对数，默认为自然对数底\n示例:LOG(2,4),返回2.0；LOG(2),返回以e为底，2的对数','','2022-12-01 17:54:00',560,0,'',5,'',0,'000000'),(30,'POWER','POWER(,)',0,'用法:POWER(数值1,数值2)\n说明:求数值1的数值2次方\n示例:POWER(4,2),返回16.0','','2022-12-01 17:54:00',550,0,'',5,'',0,'000000'),(31,'RAND','RAND()',0,'用法:RAND() \n说明:\n返回大于0小于1的随机小数；\n括号内不需要参数','','2022-12-01 17:54:00',540,0,'',5,'',0,'000000'),(32,'ROUND','ROUND()',0,'用法：ROUND(数值1,[整数2])\n说明：返回数值1四舍五入到小数点后整数2位。不填时为0\n示例：ROUND(4.12,1),返回4.1','','2022-12-01 17:54:00',530,0,'',5,'',0,'000000'),(33,'SQRT','SQRT()',0,'用法：SQRT(数值1)\n说明：求数值1的根号，需要大于等于零\n示例：SQRT(4),返回2.0','','2022-12-01 17:54:00',520,0,'',5,'',0,'000000'),(34,'ceshi1','',0,'','','2022-10-22 04:37:00',390,0,'',7,'',0,'000000'),(35,'测试','wwww',0,'www','wwww','2022-10-23 17:12:00',380,0,'',7,'',0,'000000'),(36,'环比增长率','link_relative_ratio(,,\'yyyy-MM\')',1,'用法：link_relative_ratio(数值1,时间1,月份格式)\n说明：\n计算结果为当月与上月数值1的环比增长率\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选\n特殊用法：\n修改月份格式和月维度为\'YYYY\'和\'YYYY-MM-DD\'也可以做年度和日环比增长率','','2022-10-10 14:54:00',0,1,'CASE WHEN Lag(sum({0})) over(ORDER BY to_char({1},{2})) = 0 OR Lag(sum({0})) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0})) over(ORDER BY to_char({1},{2}))) / Lag(sum({0})) over(ORDER BY to_char({1},{2})) END',1,'link_relative_ratio',0,'000000'),(37,'环比增长值','link_relative(,,\'yyyy-MM\')',1,'用法：link_relative(数值1,时间1,月份格式)\n说明：\n计算结果为当月与上月数值1的环比增长值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选\n特殊用法：\n修改月份格式和月维度为\'YYYY\'和\'YYYY-MM-DD\'也可以做年度和日环比增长值','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0})) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0})) over(ORDER BY to_char({1},{2}))) END',1,'link_relative',0,'000000'),(38,'环对比值','link_value(,,\'yyyy-MM\')',1,'用法：link_value(数值1,时间1,月份格式)\n说明：\n计算结果为上月数值1的值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选\n特殊用法：\n修改月份格式和月维度为\'YYYY\'和\'YYYY-MM-DD\'也可以做年度和日环对比值','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0})) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE Lag(sum({0})) over(ORDER BY to_char({1},{2})) END',1,'link_value',0,'000000'),(39,'按列百分比','col_percent(,)',1,'用法：col_percent(数值1,维度1)\n说明：\n如果有列维度，可通过该公式计算按列的百分比\n数值1为需求百分比数值，维度1为列维度\n特殊用法：\n如果有两个行维度，维度1如果为第二个行维度，能够计算第二个维度在第一个维度中的百分占比','','2023-01-03 00:55:04',0,1,'sum({0})/sum(sum({0})) over(PARTITION BY {1})',1,'col_percent',0,'000000'),(40,'累计百分比','cumulative_percentage(,,asc)',1,'用法：cumulative_percentage(维度1,指标1,asc) 第三个参数可填写asc或desc\n说明：\nasc表示对指标1升序，desc表示对指标1降序，不用加引号\n返回维度1对应的指标1求和后的累计百分比\n示例：\ncumulative_percentage([商品名称],[商品数量],asc) 返回[商品名称]对应的[商品数量]求和升序后的累计百分占比','','2022-10-13 15:23:00',0,1,'sum(sum({1})) over(ORDER BY sum({1}) {2},{0})/sum(sum({1})) over()',1,'cumulative_percentage',0,'000000'),(41,'月同比增长率','year_on_year_ratio(,,\'yyyy-MM\')',1,'用法：year_on_year_ratio(数值1,时间1,月份格式)\n说明：\n计算结果为当月与去年同期数值1的环比增长率\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) = 0 OR Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0}),12) over(ORDER BY to_char({1},{2}))) / Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) END',1,'year_on_year_ratio',0,'000000'),(42,'月同比增长值','year_on_year(,,\'yyyy-MM\')',1,'用法：year_on_year(数值1,时间1,月份格式)\n说明：\n计算结果为当月与去年同期数值1的环比增长值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0}),12) over(ORDER BY to_char({1},{2}))) END',1,'year_on_year',0,'000000'),(43,'月同对比值','year_on_year_value(,,\'yyyy-MM\')',1,'用法：year_on_year_value(数值1,时间1,月份格式)\n说明：\n计算结果去年同期数值1的值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) END',1,'year_on_year_value',0,'000000'),(44,'NOW','SYSDATE',1,'用法：SYSDATE\n说明：函数不用带括号\n示例：SYSDATE，返回当前时间，\n格式如：2022-12-02 10:23:14','','2022-12-01 17:54:00',1890,0,'',2,'',0,'000000'),(45,'WEEK','TO_CHAR(,\'IW\')',1,'用法：to_char(时间1,\'IW\')   第二个参数可填写\'IW\'或\'W\'\n说明：\'IW\'为默认参数，返回时间1对应当年的第几周，如果改为\'W\'则返回时间1为当月的第几周\n示例：TO_CHAR(TO_DATE(\'2022-12-02\',\'YYYY-MM-DD\'),\'ww\') 返回值为48（2022年12月2日为2022年的第48周）','','2022-12-01 17:54:00',1880,0,'',2,'',0,'000000'),(46,'ADD_TIME','( ) + INTERVAL \'*\' MONTH',1,'用法：(时间1) + INTERVAL \'整数1\' MONTH\n说明：\n将公式中的*替换成整数1；\n整数1外的单引号别删掉，默认用例是在时间1的基础上加上整数1个月；\n可将MONTH改为SECOND（秒），MINUTE（分钟），HOUR(小时），DAY（日），YEAR（年）；\n数值1可为负数，表示减去对应时长\n示例：(TO_DATE(\'2022-12-02\',\'YYYY-MM-DD\')) + INTERVAL \'-1\' MONTH  返回值为2022-11-02','','2022-12-01 17:54:00',1870,0,'',2,'',0,'000000'),(47,'DATEDIFF','() - ()',1,'用法：(时间1) - (时间2)\n示例：TO_DATE(\'2022-12-02\',\'YYYY-MM-DD\') - TO_DATE(\'2022-12-03 12:00:00\',\'YYYY-MM-DD HH24-MI-SS\')   返回-1.5','','2022-12-01 17:54:00',1860,0,'',2,'',0,'000000'),(48,'CONCAT','CONCAT(,)',1,'用法：CONCAT(字段1, 字段2)\n说明：返回顺序联结各参数的字符串\n示例：CONCAT([货品编号], [类型编号])，返回货品编号和类型编号联结后的字符串','','2022-10-10 14:54:00',1790,0,'',3,'',0,'000000'),(49,'INSTR','INSTR(,)',1,'用法：INSTR(字段1, 需查找的字符串)\n说明：返回需查找的字符串在字段1的值中第一次出现时的位置，结果是大于0的整数，如果找不到则返回0\n示例：INSTR([商品名称], \'S\')，返回\'S\'在[商品名称]中第一次出现时的位置','','2022-10-10 14:54:00',1780,0,'',3,'',0,'000000'),(50,'LENGTH','LENGTH()',1,'用法：LENGTH(字段1)\n说明：返回字段1的长度\n示例：LENGTH([货品名])，返回货品名的长度','','2022-10-10 14:54:00',1770,0,'',3,'',0,'000000'),(51,'SUBSTR','SUBSTR(,)',1,'用法：SUBSTR(字段1, 起始位置[, 长度])\n说明：返回从起始位置起对应长度的字段1的子字符串，长度为可选项；负数索引代表从结尾向前计算字符串个数\n示例：SUBSTR([商品类型], 4)，返回商品类型的索引为4起至末尾的子字符串；SUBSTR([商品类型], -4)，返回商品类型最后4个字符串','','2022-10-10 14:54:00',1760,0,'',3,'',0,'000000'),(52,'REPLACE','REPLACE(,,)',1,'用法：REPLACE(字段1,需要替换的字符串,替换后的字符串)\n说明：会将字段1中所有的需要替换的字符串都替换成替换后的字符串\n示例：REPLACE([商品类型], \'地\',\'的\')，将商品类型中错写的‘地’改成正确的‘的’；','','2022-12-01 17:54:00',1750,0,'',3,'',0,'000000'),(53,'TRIM','TRIM()',1,'用法：TRIM(字段1)\n说明：去除字段1中数据两边的空格\n示例：TRIM(\' ABC \'), 返回\'ABC\'','','2022-10-10 14:54:00',1740,0,'',3,'',0,'000000'),(54,'LOWER','LOWER()',1,'用法：LOWER(字段1)\n说明：返回字段1值全部小写形式的字符串\n示例：LOWER(\'ABC\')，返回\'abc\'','','2022-10-10 14:54:00',1730,0,'',3,'',0,'000000'),(55,'UPPER','UPPER()',1,'用法：UPPER(字段1)\n说明：返回字段1全部大写形式的字符串\n示例：UPPER(\'abc\'),返回\'ABC\'','','2022-10-10 14:54:00',1720,0,'',3,'',0,'000000'),(56,'NVL','NVL(,)',1,'用法：NVL(字段, 需替换字符串)\n说明：如果字段为空则返回需替换字符串，否则输出原字符串\n示例：NVL(null, \'未知\')，返回值未知','','2022-10-13 15:23:00',1690,0,'',4,'',0,'000000'),(57,'ABS','ABS()',1,'用法:ABS(数值1)\n说明:返回数值1的绝对值\n示例:ABS(-3),返回3','','2021-11-16 14:54:00',1590,0,'',5,'',0,'000000'),(58,'CEIL','CEIL()',1,'用法:CEIL(数值1)\n说明:返回不小于数值1的最小整数\n示例:CEIL(4.12),返回5','','2022-10-10 14:54:00',1580,0,'',5,'',0,'000000'),(59,'FLOOR','FLOOR()',1,'用法:FLOOR(数值1)\n说明:返回不大于数值1的最大整数\n示例:FLOOR(4.12),返回4','','2022-10-10 14:54:00',1570,0,'',5,'',0,'000000'),(60,'LOG','LOG(,)',1,'用法:LOG(数值1,数值2)\n说明:以数值1为底，求数值2的对数\n示例:LOG(2,4),返回2.0','','2022-10-10 14:54:00',1560,0,'',5,'',0,'000000'),(61,'POWER','POWER(,)',1,'用法:POWER(数值1,数值2)\n说明:求数值1的数值2次方\n示例:POWER(4,2),返回16.0','','2022-10-10 14:54:00',1550,0,'',5,'',0,'000000'),(62,'RAND','DBMS_RANDOM.VALUE',1,'用法:DBMS_RANDOM.VALUE  (后面不需要加参数和括号)\n说明:返回大于0小于1的随机小数','','2022-10-10 14:54:00',1540,0,'',5,'',0,'000000'),(63,'ROUND','ROUND()',1,'用法：ROUND(数值1,[整数2])\n说明：返回数值1四舍五入到小数点后整数2位。不填时为0\n示例：ROUND(4.12,1),返回4.1','','2022-10-10 14:54:00',1530,0,'',5,'',0,'000000'),(64,'SQRT','SQRT()',1,'用法：SQRT(数值1)\n说明：求数值1的根号，需要大于等于零\n示例：SQRT(4),返回2.0','','2022-10-10 14:54:00',1520,0,'',5,'',0,'000000'),(65,'NOW','GetDate()',2,'用法：GetDate()\n说明：括号内不需要参数\n示例：GetDate()，返回当前时间，\n格式如：2022-12-02 10:23:14','','2022-12-01 17:54:00',2890,0,'',2,'',0,'000000'),(66,'WEEK','DATENAME(WK,)',2,'用法：DATENAME(WK,时间1)\n说明：每周周日会算到下一周\n示例：DATENAME(WK,CAST(\'2022-12-03\' as DATE)) 返回值为50（2022年12月4日为2022年的第50周，因为周日算到了下一周）','','2022-12-01 17:54:00',2880,0,'',2,'',0,'000000'),(67,'ADD_TIME','DATEADD(MONTH,,)',2,'用法：DATEADD(MONTH,整数1,时间1)\n说明：\n默认用例是在时间1的基础上加上整数1个月；\n可将MONTH改为SECOND（秒），MINUTE（分钟），HOUR(小时），DAY（日），YEAR（年）；\n数值1可为负数，表示减去对应时长\n示例：DATEADD(MONTH,-1,CAST(\'2022-12-04\' as DATE))  返回值为2022-11-04','','2022-12-01 17:54:00',2870,0,'',2,'',0,'000000'),(68,'DATEDIFF','DATEDIFF(DAY,,)',2,'用法：DATEDIFF(DAY,时间2,时间1)\n说明：\n注意是时间1 - 时间2，顺序是反的，表示两个时间日的插值；\n可将DAY改为SECOND（秒），MINUTE（分钟），HOUR(小时），MONTH（月），YEAR（年）；\n示例：DATEDIFF(DAY,CAST(\'2022-12-02\' as DATE),cast(\'2022-12-03 12:00:00\' as DATETIME))   返回1','','2022-12-01 17:54:00',2860,0,'',2,'',0,'000000'),(69,'CONCAT','CONCAT(,)',2,'用法：CONCAT(字段1, 字段2...)\n说明：返回顺序联结各参数的字符串\n示例：CONCAT([货品编号], [类型编号])，返回货品编号和类型编号联结后的字符串','','2022-12-01 17:54:00',2790,0,'',3,'',0,'000000'),(70,'PATINDEX','PATINDEX(\'%%\',\')',2,'用法：PATINDEX(\'%需查找的字符串%\', 字段1)\n说明：\n返回需查找的字符串在字段1的值中第一次出现时的位置，结果是大于0的整数，如果找不到则返回0\n注意将需查找的字符串放到两个%之间\n示例：PATINDEX( \'%S%\',[商品名称])，返回\'S\'在[商品名称]中第一次出现时的位置','','2022-12-01 17:54:00',2780,0,'',3,'',0,'000000'),(71,'LEN','LEN()',2,'用法：LEN(字段1)\n说明：返回字段1的长度\n示例：LEN([货品名])，返回货品名的长度','','2022-12-01 17:54:00',2770,0,'',3,'',0,'000000'),(72,'SUBSTRING','SUBSTRING(,)',2,'用法：SUBSTRING(字段1, 起始位置, 长度)\n说明：返回从起始位置起对应长度的字段1的子字符串\n示例：SUBSTRING([商品类型], 1, 4)，返回商品类型的前4位字符串','','2022-12-01 17:54:00',2760,0,'',3,'',0,'000000'),(73,'REPLACE','REPLACE(,,)',2,'用法：REPLACE(字段1,需要替换的字符串,替换后的字符串)\n说明：会将字段1中所有的需要替换的字符串都替换成替换后的字符串\n示例：REPLACE([商品类型], \'地\',\'的\')，将商品类型中错写的‘地’改成正确的‘的’；','','2022-12-01 17:54:00',2750,0,'',3,'',0,'000000'),(74,'TRIM','TRIM()',2,'用法：TRIM(字段1)\n说明：去除字段1中数据两边的空格\n示例：TRIM(\' ABC \'), 返回\'ABC\'','','2022-12-01 17:54:00',2740,0,'',3,'',0,'000000'),(75,'LOWER','LOWER()',2,'用法：LOWER(字段1)\n说明：返回字段1值全部小写形式的字符串\n示例：LOWER(\'ABC\')，返回\'abc\'','','2022-12-01 17:54:00',2730,0,'',3,'',0,'000000'),(76,'UPPER','UPPER()',2,'用法：UPPER(字段1)\n说明：返回字段1全部大写形式的字符串\n示例：UPPER(\'abc\'),返回\'ABC\'','','2022-12-01 17:54:00',2720,0,'',3,'',0,'000000'),(77,'ABS','ABS()',2,'用法:ABS(数值1)\n说明:返回数值1的绝对值\n示例:ABS(-3),返回3','','2022-12-01 17:54:00',2590,0,'',5,'',0,'000000'),(78,'CEILING','CEILING()',2,'用法:CEILING(数值1)\n说明:返回不小于数值1的最小整数\n示例:CEILING(4.12),返回5','','2022-12-01 17:54:00',2580,0,'',5,'',0,'000000'),(79,'FLOOR','FLOOR()',2,'用法:FLOOR(数值)\n说明:返回不大于数值的最大整数\n示例:FLOOR(4.12),返回4','','2022-12-01 17:54:00',2570,0,'',5,'',0,'000000'),(80,'LOG','LOG(,)',2,'用法:LOG(数值2,数值1)\n说明:以数值1为底，求数值2的对数\n示例:LOG(4,2),返回2.0','','2022-12-01 17:54:00',2560,0,'',5,'',0,'000000'),(81,'POWER','POWER(,)',2,'用法:POWER(数值1,数值2)\n说明:求数值1的数值2次方\n示例:POWER(4,2),返回16.0','','2022-12-01 17:54:00',2550,0,'',5,'',0,'000000'),(82,'RAND','RAND() ',2,'用法:RAND() \n说明:\n返回大于0小于1的随机小数；\n括号内不需要参数','','2022-12-01 17:54:00',2540,0,'',5,'',0,'000000'),(83,'ROUND','ROUND()',2,'用法：ROUND(数值1,[整数2])\n说明：返回数值1四舍五入到小数点后整数2位。不填时为0\n示例：ROUND(4.12,1),返回4.1','','2022-12-01 17:54:00',2530,0,'',5,'',0,'000000'),(84,'SQRT','SQRT()',2,'用法：SQRT(数值1)\n说明：求数值1的根号，需要大于等于零\n示例：SQRT(4),返回2.0','','2022-12-01 17:54:00',2520,0,'',5,'',0,'000000'),(85,'NOW','NOW()',4,'用法：SYSDATE\n说明：函数不用带括号\n示例：SYSDATE，返回当前时间，\n格式如：2022-12-02 10:23:14','','2022-12-01 17:54:00',4890,0,'',2,'',0,'000000'),(86,'WEEK','WEEK(,1)',4,'用法：WEEK(时间1,1)\n说明：第二个参数填写1即可，其他的可自行百度\n示例：WEEK(toDate(\'2022-12-04\'),1) 返回值为48（2022年12月4日为2022年的第48周）','','2022-12-01 17:54:00',4880,0,'',2,'',0,'000000'),(87,'addYears','addYears(,)',4,'用法：addYears(时间1,整数1)\n示例：addYears(toDate(\'2022-12-04\'),-1)  返回2021-12-04','','2022-12-01 17:54:00',4870,0,'',2,'',0,'000000'),(88,'addMonths','addMonths(,)',4,'用法：addMonths(时间1,整数1)\n示例：addMonths(toDate(\'2022-12-04\'),-1)  返回2022-11-04','','2022-12-01 17:54:00',4860,0,'',2,'',0,'000000'),(89,'addDays','addDays(,)',4,'用法：addDays(时间1,整数1)\n示例：addDays(toDate(\'2022-12-04\'),-1)  返回2022-12-03','','2022-12-01 17:54:00',4850,0,'',2,'',0,'000000'),(90,'dateDiff','dateDiff(DAY,,)',4,'用法：dateDiff(DAY,时间2,时间1)\n说明：\n注意是时间1 - 时间2，顺序是反的，表示两个时间日的插值；\n可将DAY改为SECOND（秒），MINUTE（分钟），HOUR(小时），MONTH（月），YEAR（年）；\n示例：dateDiff(DAY,toDate(\'2022-12-04\'),toDateTime(\'2022-12-05 12:00:00\'))   返回1','','2022-12-01 17:54:00',4840,0,'',2,'',0,'000000'),(91,'CONCAT','CONCAT(,)',4,'用法：CONCAT(字段1, 字段2...)\n说明：返回顺序联结各参数的字符串\n示例：CONCAT([货品编号], [类型编号])，返回货品编号和类型编号联结后的字符串','','2022-12-01 17:54:00',4790,0,'',3,'',0,'000000'),(92,'positionUTF8','positionUTF8(,)',4,'用法：positionUTF8(字段1, 需查找的字符串)  字段\n说明：\n英文查找不会出问题，如果字段1为中文，查询结果错误，可能是编码原因，需注意百度其他公式；\n返回需查找的字符串在字段1的值中第一次出现时的位置，结果是大于0的整数，如果找不到则返回0；\n示例：positionUTF8([商品名称], \'S\')，返回\'S\'在[商品名称]中第一次出现时的位置','','2022-12-01 17:54:00',4780,0,'',3,'',0,'000000'),(93,'LENGTH','LENGTH()',4,'用法：LENGTH(字段1)\n说明：返回字段1的长度\n示例：LENGTH([货品名])，返回货品名的长度','','2022-12-01 17:54:00',4770,0,'',3,'',0,'000000'),(94,'SUBSTR','SUBSTR(,)',4,'用法：SUBSTR(字段1, 起始位置[, 长度])\n说明：返回从起始位置起对应长度的字段1的子字符串，长度为可选项；负数索引代表从结尾向前计算字符串个数\n示例：SUBSTR([商品类型], 4)，返回商品类型的索引为4起至末尾的子字符串；SUBSTR([商品类型], -4)，返回商品类型最后4个字符串','','2022-12-01 17:54:00',4760,0,'',3,'',0,'000000'),(95,'REPLACE','REPLACE(,,)',4,'用法：REPLACE(字段1,需要替换的字符串,替换后的字符串)\n说明：会将字段1中所有的需要替换的字符串都替换成替换后的字符串\n示例：REPLACE([商品类型], \'地\',\'的\')，将商品类型中错写的‘地’改成正确的‘的’；','','2022-12-01 17:54:00',4750,0,'',3,'',0,'000000'),(96,'TRIM','TRIM()',4,'用法：TRIM(字段1)\n说明：去除字段1中数据两边的空格\n示例：TRIM(\' ABC \'), 返回\'ABC\'','','2022-12-01 17:54:00',4740,0,'',3,'',0,'000000'),(97,'LOWER','LOWER()',4,'用法：LOWER(字段1)\n说明：返回字段1值全部小写形式的字符串\n示例：LOWER(\'ABC\')，返回\'abc\'','','2022-12-01 17:54:00',4730,0,'',3,'',0,'000000'),(98,'UPPER','UPPER()',4,'用法：UPPER(字段1)\n说明：返回字段1全部大写形式的字符串\n示例：UPPER(\'abc\'),返回\'ABC\'','','2022-12-01 17:54:00',4720,0,'',3,'',0,'000000'),(99,'IFNULL','IFNULL(,)',4,'用法：IFNULL(字段1, 需替换字符串)\n说明：如果字段1为空则返回需替换字符串，否则输出原字符串\n示例：IFNULL(null, \'未知\')，返回值未知','','2022-12-01 17:54:00',4690,0,'',4,'',0,'000000'),(100,'ABS','ABS()',4,'用法:ABS(数值1)\n说明:返回数值1的绝对值\n示例:ABS(-3),返回3','SELECT ABS(-1) -- 1','2022-12-01 17:54:00',4590,0,'',5,'',0,'000000'),(101,'CEIL','CEIL()',4,'用法:CEIL(数值1)\n说明:返回不小于数值1的最小整数\n示例:CEIL(4.12),返回5','','2022-12-01 17:54:00',4580,0,'',5,'',0,'000000'),(102,'FLOOR','FLOOR()',4,'用法:FLOOR(数值)\n说明:返回不大于数值的最大整数\n示例:FLOOR(4.12),返回4','','2022-12-01 17:54:00',4570,0,'',5,'',0,'000000'),(103,'LOG','LOG()',4,'用法:LOG(数值1)\n说明:以e为底，求数值1的对数\n示例:LOG(2),返回0.6931471805599453','','2022-12-01 17:54:00',4560,0,'',5,'',0,'000000'),(104,'POWER','POWER(,)',4,'用法:POWER(数值1,数值2)\n说明:求数值1的数值2次方\n示例:POWER(4，2),返回16.0','','2022-12-01 17:54:00',4550,0,'',5,'',0,'000000'),(105,'RAND','RAND()/POWER(2,32)',4,'用法:RAND()/POWER(2,32)\n说明:\n返回大于0小于1的随机小数；\n如果有多个地方用到随机函数，需要在RAND()括号里填写不一样的整数，如下示例，不这么做，这多个地方生成的随机数值将会是一样的\n示例：\n两个随机数相加\nRAND(1)/POWER(2,32) + RAND(2)/POWER(2,32)','','2022-12-01 17:54:00',4540,0,'',5,'',0,'000000'),(106,'ROUND','ROUND()',4,'用法：ROUND(数值1,[整数2])\n说明：返回数值1四舍五入到小数点后整数2位。不填时为0\n示例：ROUND(4.12,1),返回4.1','','2022-12-01 17:54:00',4530,0,'',5,'',0,'000000'),(107,'SQRT','SQRT()',4,'用法：SQRT(数值1)\n说明：求数值1的根号，需要大于等于零\n示例：SQRT(4),返回2.0','','2022-12-01 17:54:00',4520,0,'',5,'',0,'000000'),(108,'CASE WHEN','CASE WHEN () THEN () ELSE () END',-1,'用法：CASE WHEN (表达式) THEN (结果1) ELSE (结果2) END\r\n说明：:CASE WHEN为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\r\n示例：:CASE WHEN ([订单数] > 500) THEN \'合格\' ELSE \'不合格\' END。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"',NULL,'2022-12-01 17:54:00',9390,0,NULL,4,NULL,0,'000000'),(109,'电话脱敏','tel_encryption()',0,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码、区号加座机号码或者纯座机号码\n示例：\ntel_encryption(\'0226-67756673\') 结果为0226-67****73','','2022-12-15 17:10:00',0,1,'case \nwhen {0} REGEXP \'^(0[0-9]{2,3}-?)?[0-9]{7,8}$\' then CONCAT(SUBSTR({0},1,length({0}) - 6),\'****\',SUBSTR({0},-2)) \nwhen {0} REGEXP \'^1[0-9]{10}$\' then CONCAT(SUBSTR({0},1,3),\'****\',SUBSTR({0},-4))\nelse \'请核实电话号码格式是否正确，一般为11位数字或3-4位区号加7-8位座机号或纯7-8位座机号\'\nend',3,'tel_encryption',0,'000000'),(110,'电话脱敏','tel_encryption()',1,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码、区号加座机号码或者纯座机号码\n示例：\ntel_encryption(\'0226-67756673\') 结果为0226-67****73','','2022-12-15 17:10:00',0,1,'case \nwhen regexp_like({0},\'^(0[0-9]{2,3}-?)?[0-9]{7,8}$\') then SUBSTR({0},1,length({0}) - 6)||\'****\'||SUBSTR({0},-2)\nwhen regexp_like({0},\'^1[0-9]{10}$\') then SUBSTR({0},1,3)||\'****\'||SUBSTR({0},-4)\nelse \'请核实电话号码格式是否正确，一般为11位数字或3-4位区号加7-8位座机号或纯7-8位座机号\'\nend',3,'tel_encryption',0,'000000'),(111,'电话脱敏','tel_encryption()',2,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码或者座机号码\n示例：\ntel_encryption(\'67756673\') 结果为67****73','','2022-12-15 17:10:00',0,1,'case \nwhen LEN({0}) = 8 or LEN({0}) = 7 then CONCAT(SUBSTRING({0},1,LEN({0}) - 6),\'****\',SUBSTRING({0},LEN({0})-1,LEN({0}))) \nwhen LEN({0}) = 11 then CONCAT(SUBSTRING({0},1,3),\'****\',SUBSTRING({0},LEN({0})-3,LEN({0})))\nelse \'请核实电话号码格式是否正确，一般为11位数字或或7-8位座机号\'\nend',3,'tel_encryption',0,'000000'),(112,'电话脱敏','tel_encryption()',4,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码、区号加座机号码或者纯座机号码\n示例：\ntel_encryption(\'0226-67756673\') 结果为0226-67****73','','2022-12-15 17:10:00',0,1,'case \nwhen match(toString({0}),\'^(0[0-9]{2,3}-?)?[0-9]{7,8}$\') then SUBSTR(toString({0}),1,length(toString({0})) - 6)||\'****\'||SUBSTR(toString({0}),-2)\nwhen match(toString({0}),\'^1[0-9]{10}$\') then SUBSTR(toString({0}),1,3)||\'****\'||SUBSTR(toString({0}),-4)\nelse \'请核实电话号码格式是否正确，一般为11位数字或3-4位区号加7-8位座机号或纯7-8位座机号\'\nend\n',3,'tel_encryption',0,'000000'),(113,'省份大区分桶','province_partition()',0,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2023-01-03 03:26:45',0,1,'case \r\nwhen {0} REGEXP \'辽宁|吉林|黑龙江\' then \'东北地区\'\r\nwhen {0} REGEXP \'山西|内蒙|北京|天津|河北\' then \'华北地区\'\r\nwhen {0} REGEXP \'江苏|安徽|浙江|福建|江西|上海|山东\' then \'华东地区\'\r\nwhen {0} REGEXP \'河南|湖北|湖南\' then \'华中地区\'\r\nwhen {0} REGEXP \'广东|广西|海南\' then \'华南地区\'\r\nwhen {0} REGEXP \'云南|贵州|四川|西藏|重庆\' then \'西南地区\'\r\nwhen {0} REGEXP \'新疆|陕西|宁夏|青海|甘肃\' then \'西北地区\'\r\nwhen {0} REGEXP \'台湾|香港|澳门\' then \'港澳台地区\'\r\nelse \'请核实省份格式是否正确，应包含：辽宁|吉林|黑龙江|河北|山西|内蒙|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\r\nend',3,'province_partition',0,'000000'),(114,'省份大区分桶','province_partition()',1,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2023-01-03 03:27:11',0,1,'case \r\nwhen regexp_like({0},\'辽宁|吉林|黑龙江\') then \'东北地区\'\r\nwhen regexp_like({0},\'山西|内蒙|北京|天津|河北\') then \'华北地区\'\r\nwhen regexp_like({0},\'江苏|安徽|浙江|福建|江西|上海|山东\') then \'华东地区\'\r\nwhen regexp_like({0},\'河南|湖北|湖南\') then \'华中地区\'\r\nwhen regexp_like({0},\'广东|广西|海南\') then \'华南地区\'\r\nwhen regexp_like({0},\'云南|贵州|四川|西藏|重庆\') then \'西南地区\'\r\nwhen regexp_like({0},\'新疆|陕西|宁夏|青海|甘肃\') then \'西北地区\'\r\nwhen regexp_like({0},\'台湾|香港|澳门\') then \'港澳台地区\'\r\nelse \'请核实省份格式是否正确，应包含：辽宁|吉林|黑龙江|河北|山西|内蒙|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\r\nend',3,'province_partition',0,'000000'),(115,'省份大区分桶','province_partition()',2,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2023-01-03 03:27:37',0,1,'case \r\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'辽宁\',\'吉林\',\'黑龙江\') then \'东北地区\'\r\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'山西\',\'内蒙古\',\'北京\',\'天津\',\'河北\') then \'华北地区\'\r\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'江苏\',\'安徽\',\'浙江\',\'福建\',\'江西\',\'上海\',\'山东\') then \'华东地区\'\r\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'河南\',\'湖北\',\'湖南\') then \'华中地区\'\r\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'广东\',\'广西\',\'海南\') then \'华南地区\'\r\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'云南\',\'贵州\',\'四川\',\'西藏\',\'重庆\') then \'西南地区\'\r\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'新疆\',\'陕西\',\'宁夏\',\'青海\',\'甘肃\') then \'西北地区\'\r\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'台湾\',\'香港\',\'澳门\') then \'港澳台地区\'\r\nelse \'请核实省份格式是否正确，应完全匹配：辽宁|吉林|黑龙江|河北|山西|内蒙古|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\r\nend',3,'province_partition',0,'000000'),(116,'省份大区分桶','province_partition()',4,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2023-01-03 03:27:57',0,1,'case \r\nwhen match({0},\'辽宁|吉林|黑龙江\') then \'东北地区\'\r\nwhen match({0},\'山西|内蒙|北京|天津|河北\') then \'华北地区\'\r\nwhen match({0},\'江苏|安徽|浙江|福建|江西|上海|山东\') then \'华东地区\'\r\nwhen match({0},\'河南|湖北|湖南\') then \'华中地区\'\r\nwhen match({0},\'广东|广西|海南\') then \'华南地区\'\r\nwhen match({0},\'云南|贵州|四川|西藏|重庆\') then \'西南地区\'\r\nwhen match({0},\'新疆|陕西|宁夏|青海|甘肃\') then \'西北地区\'\r\nwhen match({0},\'台湾|香港|澳门\') then \'港澳台地区\'\r\nelse \'请核实省份格式是否正确，应包含：辽宁|吉林|黑龙江|河北|山西|内蒙|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\r\nend',3,'province_partition',0,'000000'),(117,'加法','addplus(,)',1,'加法测试','加法测试','2023-01-03 08:15:07',0,1,'{0} + {1}',7,'addplus',0,'000000');
/*!40000 ALTER TABLE `cube_datasource_function` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_define_group`
--

DROP TABLE IF EXISTS `cube_define_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_define_group` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自定义人群id',
  `classify_id` int NOT NULL COMMENT '人群分类id',
  `group_name` varchar(100) NOT NULL COMMENT '人群名称',
  `request_freq` int NOT NULL COMMENT '计算频次(0单次/1每日/2每周/3每月)',
  `define_rule` text NOT NULL COMMENT '定义规则',
  `status` int DEFAULT NULL COMMENT '状态(0未开始/1计算中/2已完成)',
  `remark` varchar(100) DEFAULT NULL COMMENT '人群描述',
  `amount` bigint DEFAULT NULL COMMENT '覆盖人数',
  `time_zone` varchar(100) DEFAULT NULL COMMENT '时间分区',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  `job_id` int DEFAULT NULL COMMENT 'jobid',
  `result_table` varchar(100) DEFAULT NULL COMMENT '结果集对应表',
  `cube_columns` text COMMENT '数据集对应的字段',
  `result_columns` text COMMENT '总结果对应的字段',
  `cube_ids` json DEFAULT NULL COMMENT '数据集id集合',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义人群';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_define_group`
--

LOCK TABLES `cube_define_group` WRITE;
/*!40000 ALTER TABLE `cube_define_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_define_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_global_param`
--

DROP TABLE IF EXISTS `cube_global_param`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_global_param` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type_id` int NOT NULL COMMENT '参数分类',
  `param_name` varchar(100) NOT NULL COMMENT '参数名称',
  `param_key` varchar(100) DEFAULT NULL COMMENT '页面参数名',
  `param_column_type` tinyint NOT NULL DEFAULT '0' COMMENT '参数字段类型(0-数字/1-字符串)',
  `param_type` tinyint NOT NULL COMMENT '参数类型(0-业务参数/1-系统参数)',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注说明',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `default_value` varchar(300) DEFAULT NULL COMMENT '默认值',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集全局变量';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_global_param`
--

LOCK TABLES `cube_global_param` WRITE;
/*!40000 ALTER TABLE `cube_global_param` DISABLE KEYS */;
INSERT INTO `cube_global_param` VALUES (1,0,'当前登录用户ID','jhbiSysUser',0,1,'当前登录用户的USERID','2023-02-22 11:21:09',0,'管理员','111111',NULL),(2,0,'当前时间','jhbiSysCurrentTime',1,1,'获取当前时间【时间格式根据字段格式化】','2023-02-22 11:22:02',0,'管理员','111111',NULL),(3,0,'当前登录用户姓名','jhbiSysUserRealName',1,1,'当前登录用户的REALNAME','2023-02-22 11:21:09',0,'管理员','111111',NULL),(4,0,'当前登录用户名','jhbiSysUserName',1,1,'当前登录用户的USERNAME','2023-02-22 11:21:09',0,'管理员','111111',NULL),(5,0,'当前登录用户手机号','jhbiSysUserMobile',1,1,'当前登录用户的MOBILE','2023-02-22 11:21:09',0,'管理员','111111',NULL),(6,0,'当前登录用户单位','jhbiSysUserDept',0,1,'当前登录用户的DEPTID','2023-02-22 11:21:09',0,'管理员','111111',NULL);
/*!40000 ALTER TABLE `cube_global_param` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_global_param_type`
--

DROP TABLE IF EXISTS `cube_global_param_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_global_param_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL COMMENT '父级ID',
  `type_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集全局筛选器参数-分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_global_param_type`
--

LOCK TABLES `cube_global_param_type` WRITE;
/*!40000 ALTER TABLE `cube_global_param_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_global_param_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_group_classify`
--

DROP TABLE IF EXISTS `cube_group_classify`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_group_classify` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '人群分类id',
  `classify_name` varchar(100) NOT NULL COMMENT '人群分类名称',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义人群分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_group_classify`
--

LOCK TABLES `cube_group_classify` WRITE;
/*!40000 ALTER TABLE `cube_group_classify` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_group_classify` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_sql_view`
--

DROP TABLE IF EXISTS `cube_sql_view`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_sql_view` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sql_name` varchar(100) NOT NULL COMMENT 'SQL名称',
  `view_name` varchar(50) NOT NULL COMMENT '视图名称',
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `sql_statement` longtext NOT NULL COMMENT 'SQL语句',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL创建的数据集视图';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_sql_view`
--

LOCK TABLES `cube_sql_view` WRITE;
/*!40000 ALTER TABLE `cube_sql_view` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_sql_view` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_table_column`
--

DROP TABLE IF EXISTS `cube_table_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_table_column` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cube_data_id` int NOT NULL COMMENT '数据集ID',
  `column_title` varchar(100) NOT NULL COMMENT '字段显示名',
  `column_name` varchar(200) DEFAULT NULL COMMENT '物理字段名(虚拟字段可能有多个逗号分隔)',
  `table_name` varchar(50) DEFAULT NULL COMMENT '表名',
  `table_alias_name` varchar(50) DEFAULT NULL COMMENT '表别名',
  `view_data_type` tinyint NOT NULL COMMENT '字段数据展示类型(0-字符串/1-数字/2-日期)',
  `old_view_data_type` tinyint DEFAULT NULL COMMENT '旧字段数据展示类型',
  `column_comment` varchar(200) DEFAULT NULL COMMENT '字段注释',
  `aggregation_type` tinyint DEFAULT NULL COMMENT '聚合类型(0-求和/1-计数等等)',
  `number_data_format` tinyint DEFAULT NULL COMMENT '指标-数值类型展示格式(0-整数/1-保留2位等)',
  `time_data_format` tinyint DEFAULT NULL COMMENT '维度-日期类型展示格式(例如:yyyy-MM-dd等)',
  `column_cite_json` text COMMENT '虚拟字段引用JSON格式字符串',
  `column_formula` varchar(1500) DEFAULT NULL COMMENT '虚拟字段公式',
  `column_attr` tinyint NOT NULL DEFAULT '0' COMMENT '字段类型(0-标准字段/1-虚拟字段)',
  `column_sql` text COMMENT '格式化后的SQL',
  `dimension_type` tinyint NOT NULL COMMENT '指标/维度类型(0-维度/1-指标)',
  `hidden_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否隐藏(0-否/1-是)',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(100) DEFAULT NULL COMMENT '创建人姓名',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  `virtual_aggregation_status` tinyint NOT NULL DEFAULT '0' COMMENT '虚拟字段是否包含聚合函数',
  `virtual_only_zhibiao_status` tinyint NOT NULL DEFAULT '0' COMMENT '虚拟字段是否仅用于指标列查询',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_表结构';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_table_column`
--

LOCK TABLES `cube_table_column` WRITE;
/*!40000 ALTER TABLE `cube_table_column` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_table_column` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_table_file`
--

DROP TABLE IF EXISTS `cube_table_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_table_file` (
  `id` int NOT NULL AUTO_INCREMENT,
  `file_name` varchar(100) NOT NULL COMMENT '文件名称',
  `table_name` varchar(50) NOT NULL COMMENT '表名',
  `table_comment` varchar(200) NOT NULL COMMENT '表注释',
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `file_size` bigint NOT NULL DEFAULT '0' COMMENT '文件大小(byte)',
  `file_uri` varchar(300) NOT NULL COMMENT '文件路径',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_文件表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_table_file`
--

LOCK TABLES `cube_table_file` WRITE;
/*!40000 ALTER TABLE `cube_table_file` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_table_file` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_table_static`
--

DROP TABLE IF EXISTS `cube_table_static`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_table_static` (
  `id` int NOT NULL AUTO_INCREMENT,
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `cube_data_id` int NOT NULL COMMENT '数据集ID',
  `table_comment` varchar(200) NOT NULL COMMENT '表注释',
  `table_name` varchar(100) NOT NULL COMMENT '表名',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_静态数据表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_table_static`
--

LOCK TABLES `cube_table_static` WRITE;
/*!40000 ALTER TABLE `cube_table_static` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_table_static` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_workspace`
--

DROP TABLE IF EXISTS `cube_workspace`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cube_workspace` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级分类ID',
  `ws_name` varchar(50) NOT NULL COMMENT '工作空间名称',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(30) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_工作空间';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_workspace`
--

LOCK TABLES `cube_workspace` WRITE;
/*!40000 ALTER TABLE `cube_workspace` DISABLE KEYS */;
INSERT INTO `cube_workspace` VALUES (1,0,'默认',9999,'2023-09-14 09:23:16','管理员',0,'111111');
/*!40000 ALTER TABLE `cube_workspace` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_api`
--

DROP TABLE IF EXISTS `data_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_api` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `api_name` varchar(50) NOT NULL COMMENT '接口名称',
  `api_key` varchar(50) NOT NULL COMMENT '唯一关键词',
  `api_type` int DEFAULT '0' COMMENT '接口类别 0-报表 1-常规 2-第三方接口',
  `category_id` int DEFAULT '0' COMMENT '接口分类id,关联 data_api_category表',
  `api_formal` int DEFAULT '0' COMMENT '接口类型 1-正式 0-临时',
  `api_url` varchar(300) DEFAULT NULL COMMENT '接口地址',
  `datasource_id` int DEFAULT '0' COMMENT '数据源id',
  `query_table` varchar(200) DEFAULT NULL COMMENT '查询表视图名称',
  `query_param` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT '查询条件',
  `query_sql` text COMMENT '查询sql语句',
  `api_status` int DEFAULT '0' COMMENT '接口状态 0-下线 1-上线 2-故障',
  `login_required` int DEFAULT '0' COMMENT '是否需要登录 0-不需要 1-需要',
  `pid` int DEFAULT NULL COMMENT '二级分类id',
  `note` text COMMENT '扩展字段',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `api_method` varchar(10) DEFAULT NULL COMMENT 'API接口请求方式(POST/GET)',
  `api_headers` text COMMENT 'API接口请求头JSON',
  `api_js_function` text COMMENT 'API接口返回数据解析js函数',
  `api_param_type` tinyint DEFAULT '0' COMMENT 'API接口参数传递方式（0:json/1:x-www-form-urlencoded）',
  `chart_type` tinyint DEFAULT NULL COMMENT '图表类型',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_page` tinyint NOT NULL DEFAULT '0' COMMENT '是否分页',
  `page_size` tinyint DEFAULT NULL COMMENT '分页数量',
  PRIMARY KEY (`id`),
  UNIQUE KEY `api_key` (`api_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_api`
--

LOCK TABLES `data_api` WRITE;
/*!40000 ALTER TABLE `data_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_api_category`
--

DROP TABLE IF EXISTS `data_api_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_api_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `pid` int DEFAULT NULL COMMENT 'pid',
  `order_index` int NOT NULL DEFAULT '0' COMMENT '排序值，从小到大排',
  `category_name` varchar(50) NOT NULL COMMENT '指标分类名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_api_category`
--

LOCK TABLES `data_api_category` WRITE;
/*!40000 ALTER TABLE `data_api_category` DISABLE KEYS */;
INSERT INTO `data_api_category` VALUES (1,NULL,1,'产品测试',NULL,'2022-10-09 10:06:02',0,'000000');
/*!40000 ALTER TABLE `data_api_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_api_config`
--

DROP TABLE IF EXISTS `data_api_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_api_config` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `api_id` int DEFAULT NULL COMMENT '接口id',
  `config_type` int DEFAULT NULL COMMENT '配置类型 1-列维度 2-行维度 3-指标',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_api_config`
--

LOCK TABLES `data_api_config` WRITE;
/*!40000 ALTER TABLE `data_api_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_api_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_api_config_detail`
--

DROP TABLE IF EXISTS `data_api_config_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_api_config_detail` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `api_config_id` int DEFAULT NULL COMMENT '接口配置id',
  `dimension_id` int DEFAULT NULL COMMENT '维度id',
  `sort_order` int DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_api_config_detail`
--

LOCK TABLES `data_api_config_detail` WRITE;
/*!40000 ALTER TABLE `data_api_config_detail` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_api_config_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_permission`
--

DROP TABLE IF EXISTS `data_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `perm_name` varchar(100) NOT NULL COMMENT '权限组名称',
  `type_id` int NOT NULL DEFAULT '0' COMMENT '分类ID',
  `perm_tag` varchar(20) DEFAULT NULL COMMENT '权限组标签',
  `perm_json` json NOT NULL COMMENT '权限组数据json',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
  `super_status` tinyint NOT NULL DEFAULT '0' COMMENT '超级权限组',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_permission`
--

LOCK TABLES `data_permission` WRITE;
/*!40000 ALTER TABLE `data_permission` DISABLE KEYS */;
INSERT INTO `data_permission` VALUES (1,'超级权限组',1,'1','{\"dpList\": [], \"roleList\": [{\"id\": \"1123598816738675201\", \"name\": \"超级管理员\"}], \"blackUserList\": []}','2022-12-30 11:18:32',0,NULL,0),(2,'超级权限组',0,NULL,'[{\"dpList\": [{}], \"roleList\": [{}], \"userList\": [{}]}]','2023-09-12 06:00:15',0,'23lquec',1),(3,'超级权限组',2,NULL,'{\"dpList\": [], \"roleList\": [{\"id\": \"1701551350086672386\", \"name\": \"管理员\"}], \"blackUserList\": []}','2023-09-12 06:00:30',0,'23lqq04',1),(6,'低权限组',2,NULL,'{\"dpList\": [], \"roleList\": [{\"id\": \"1701877137880915970\", \"name\": \"操作员\"}], \"userList\": [{\"id\": \"1701876335053381633\", \"name\": \"李彤ETL\"}], \"blackUserList\": []}','2023-09-13 03:36:42',1701551350225084417,'23lqq04',0);
/*!40000 ALTER TABLE `data_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_permission_dept`
--

DROP TABLE IF EXISTS `data_permission_dept`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_permission_dept` (
  `id` int NOT NULL AUTO_INCREMENT,
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `dept_id` bigint NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`id`),
  UNIQUE KEY `dept_id` (`dept_id`,`data_perm_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组和部门关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_permission_dept`
--

LOCK TABLES `data_permission_dept` WRITE;
/*!40000 ALTER TABLE `data_permission_dept` DISABLE KEYS */;
INSERT INTO `data_permission_dept` VALUES (1,5,1701551350099255297);
/*!40000 ALTER TABLE `data_permission_dept` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_permission_role`
--

DROP TABLE IF EXISTS `data_permission_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_permission_role` (
  `id` int NOT NULL AUTO_INCREMENT,
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`id`),
  KEY `role_id` (`role_id`,`data_perm_id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组和角色关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_permission_role`
--

LOCK TABLES `data_permission_role` WRITE;
/*!40000 ALTER TABLE `data_permission_role` DISABLE KEYS */;
INSERT INTO `data_permission_role` VALUES (1,0,1123598816738675201),(10,3,1701551350086672386),(11,6,1701877137880915970);
/*!40000 ALTER TABLE `data_permission_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_permission_type`
--

DROP TABLE IF EXISTS `data_permission_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_permission_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type_name` varchar(50) NOT NULL COMMENT '分类名称',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_permission_type`
--

LOCK TABLES `data_permission_type` WRITE;
/*!40000 ALTER TABLE `data_permission_type` DISABLE KEYS */;
INSERT INTO `data_permission_type` VALUES (1,'超级权限',0,'2022-12-30 11:18:32','系统导入',0,'000000'),(2,'测试分类',1,'2023-09-12 23:10:52','管理员',1701551350225084417,'23lqq04');
/*!40000 ALTER TABLE `data_permission_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_permission_user`
--

DROP TABLE IF EXISTS `data_permission_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_permission_user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `user_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否直接设置',
  PRIMARY KEY (`id`),
  UNIQUE KEY `data_perm_id` (`data_perm_id`,`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组与用户关系表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_permission_user`
--

LOCK TABLES `data_permission_user` WRITE;
/*!40000 ALTER TABLE `data_permission_user` DISABLE KEYS */;
INSERT INTO `data_permission_user` VALUES (5,1579306066833342466,0,0),(16,1123598821738675201,0,0),(17,1701551289307013122,2,1),(25,1701876335053381633,5,0),(32,1701551350225084417,3,0),(33,1701876335053381633,6,1);
/*!40000 ALTER TABLE `data_permission_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsy_job`
--

DROP TABLE IF EXISTS `dsy_job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dsy_job` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `category_id` int NOT NULL COMMENT '分类ID',
  `job_name` varchar(100) NOT NULL COMMENT '任务名称',
  `job_desc` varchar(500) DEFAULT NULL COMMENT '任务描述',
  `job_status` tinyint NOT NULL COMMENT '上线状态',
  `job_type` tinyint NOT NULL COMMENT '任务类型',
  `trigger_status` tinyint NOT NULL DEFAULT '0' COMMENT '调度状态',
  `job_cron` varchar(100) DEFAULT NULL COMMENT 'xxljob的任务Cron',
  `xxl_job_id` int DEFAULT NULL COMMENT 'xxljob的任务ID',
  `source_ds_id` int NOT NULL COMMENT '输入数据源ID',
  `source_ds_type` tinyint DEFAULT NULL COMMENT '输入数据源类型',
  `target_ds_id` int NOT NULL COMMENT '目标数据源ID',
  `target_ds_type` tinyint DEFAULT NULL COMMENT '目标数据源类型',
  `sync_type` tinyint NOT NULL COMMENT '同步方式',
  `truncate_table_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否清空数据',
  `sync_index_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否同步索引',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公开状态(0-不公开/1-公开)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_user_id` bigint DEFAULT NULL COMMENT '更新人ID',
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsy_job`
--

LOCK TABLES `dsy_job` WRITE;
/*!40000 ALTER TABLE `dsy_job` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsy_job` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsy_job_category`
--

DROP TABLE IF EXISTS `dsy_job_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dsy_job_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `cate_name` varchar(50) NOT NULL COMMENT '分类名称',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsy_job_category`
--

LOCK TABLES `dsy_job_category` WRITE;
/*!40000 ALTER TABLE `dsy_job_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsy_job_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsy_job_instance`
--

DROP TABLE IF EXISTS `dsy_job_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dsy_job_instance` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `job_table_id` int NOT NULL COMMENT '任务表数据ID',
  `server_ip` varchar(100) NOT NULL COMMENT '服务器IP',
  `start_time` datetime DEFAULT NULL COMMENT '作业开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '作业结束时间',
  `instance_run_type` tinyint NOT NULL COMMENT '作业运行类型(手动 自动)',
  `instance_type` tinyint NOT NULL COMMENT '作业类型(流作业 批作业)',
  `instance_status` tinyint NOT NULL COMMENT '作业状态',
  `err_msg` longtext COMMENT '错误描述',
  `read_row_count` bigint NOT NULL DEFAULT '0' COMMENT '读取行数',
  `write_row_count` bigint NOT NULL DEFAULT '0' COMMENT '写入行数',
  `write_speed` int NOT NULL DEFAULT '0' COMMENT '数据写入速度',
  `data_flow_avg` varchar(100) DEFAULT NULL COMMENT '数据平均流量',
  `error_row_count` bigint NOT NULL DEFAULT '0' COMMENT '错误行数',
  `create_time` datetime NOT NULL COMMENT '任务创建时间',
  `sync_type` tinyint NOT NULL DEFAULT '0' COMMENT '同步方式',
  `start_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段开始值',
  `end_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段结束值',
  `datax_pid` varchar(50) DEFAULT NULL COMMENT 'datax进程ID号',
  `datax_log_name` varchar(200) DEFAULT NULL COMMENT 'datax日志名称',
  `datax_config_name` varchar(200) DEFAULT NULL COMMENT 'datax配置文件名称',
  `source_table_name` varchar(100) DEFAULT NULL COMMENT '输入数据源表名',
  `target_table_name` varchar(100) DEFAULT NULL COMMENT '目标数据源表名',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `instance_status` (`instance_status`),
  KEY `job_id` (`job_id`)
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务实例';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsy_job_instance`
--

LOCK TABLES `dsy_job_instance` WRITE;
/*!40000 ALTER TABLE `dsy_job_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsy_job_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsy_job_permission`
--

DROP TABLE IF EXISTS `dsy_job_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dsy_job_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsy_job_permission`
--

LOCK TABLES `dsy_job_permission` WRITE;
/*!40000 ALTER TABLE `dsy_job_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsy_job_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsy_job_table`
--

DROP TABLE IF EXISTS `dsy_job_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dsy_job_table` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `source_table_name` varchar(100) NOT NULL COMMENT '输入数据源表名',
  `source_table_comment` varchar(150) NOT NULL COMMENT '输入数据源表注释',
  `target_table_name` varchar(100) NOT NULL COMMENT '目标数据源表名',
  `target_table_comment` varchar(150) DEFAULT NULL COMMENT '目标数据源表注释',
  `increment_column_name` varchar(100) DEFAULT NULL COMMENT '数据源表的增量字段名',
  `increment_column_type` tinyint DEFAULT NULL COMMENT '数据源表的增量字段类型',
  `create_table_status` tinyint NOT NULL COMMENT '是否自动建表',
  `sync_type` tinyint DEFAULT NULL COMMENT '同步方式',
  `truncate_table_status` tinyint DEFAULT NULL COMMENT '是否清空数据',
  `sync_index_status` tinyint DEFAULT NULL COMMENT '是否同步索引',
  `query_sql` text NOT NULL COMMENT '查询SQL语句',
  `pre_sql` varchar(1000) DEFAULT NULL COMMENT '同步任务前执行语句(一般truncate)',
  `source_column_json` text COMMENT '输入源字段json',
  `target_column_json` longtext COMMENT '目标源字段json',
  `target_column_upper_status` tinyint NOT NULL COMMENT '是否大写',
  `ext_json` text COMMENT '其他数据json',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `start_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段开始值',
  `end_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段结束值',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务表信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsy_job_table`
--

LOCK TABLES `dsy_job_table` WRITE;
/*!40000 ALTER TABLE `dsy_job_table` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsy_job_table` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job`
--

DROP TABLE IF EXISTS `etl_job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `etl_job` (
  `id` int NOT NULL AUTO_INCREMENT,
  `category_id` int NOT NULL COMMENT '分类ID',
  `job_name` varchar(100) NOT NULL COMMENT '任务名称',
  `job_status` tinyint NOT NULL COMMENT '作业状态(草稿、发布、归档)',
  `job_type` tinyint NOT NULL COMMENT '任务类型(流任务 批任务)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `update_by` varchar(50) DEFAULT NULL COMMENT '修改人姓名',
  `update_user_id` bigint DEFAULT NULL COMMENT '修改人ID',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `global_param` varchar(1000) DEFAULT NULL COMMENT '全局参数',
  `job_cron` varchar(255) DEFAULT NULL COMMENT 'xxljob任务cron',
  `xxl_job_id` int DEFAULT NULL COMMENT 'xxlJob任务ID',
  `trigger_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否开启定时调度',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否公开状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=187 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务定义表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job`
--

LOCK TABLES `etl_job` WRITE;
/*!40000 ALTER TABLE `etl_job` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job_category`
--

DROP TABLE IF EXISTS `etl_job_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `etl_job_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cate_name` varchar(50) NOT NULL COMMENT '分类名称',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job_category`
--

LOCK TABLES `etl_job_category` WRITE;
/*!40000 ALTER TABLE `etl_job_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job_instance`
--

DROP TABLE IF EXISTS `etl_job_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `etl_job_instance` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `job_engine_id` varchar(100) DEFAULT NULL COMMENT '计算引擎的作业ID',
  `web_interface_url` varchar(300) DEFAULT NULL COMMENT 'flink的web地址',
  `application_id` varchar(100) DEFAULT NULL COMMENT 'Flink application id',
  `instance_type` tinyint NOT NULL COMMENT '作业类型(流作业 批作业)',
  `instance_status` tinyint NOT NULL DEFAULT '0' COMMENT '作业运行状态(运行中 成功 失败 中断)',
  `start_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `err_msg` longtext COMMENT '错误描述',
  `instance_run_type` tinyint DEFAULT NULL COMMENT '作业运行类型(手动 自动)',
  `engine_job_status` varchar(255) DEFAULT NULL COMMENT '引擎运行状态',
  `read_row_count` bigint NOT NULL DEFAULT '0' COMMENT '读取行数',
  `write_row_count` bigint NOT NULL DEFAULT '0' COMMENT '写入行数',
  `read_qps` bigint NOT NULL DEFAULT '0' COMMENT '读取QPS',
  `write_qps` bigint NOT NULL DEFAULT '0' COMMENT '写入QPS',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=449 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务实例表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job_instance`
--

LOCK TABLES `etl_job_instance` WRITE;
/*!40000 ALTER TABLE `etl_job_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job_link`
--

DROP TABLE IF EXISTS `etl_job_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `etl_job_link` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `from_code` varchar(50) NOT NULL COMMENT '开始节点code',
  `to_code` varchar(50) NOT NULL COMMENT '目标节点code',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1071 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务步骤连接表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job_link`
--

LOCK TABLES `etl_job_link` WRITE;
/*!40000 ALTER TABLE `etl_job_link` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job_link` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job_permission`
--

DROP TABLE IF EXISTS `etl_job_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `etl_job_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据大屏权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job_permission`
--

LOCK TABLES `etl_job_permission` WRITE;
/*!40000 ALTER TABLE `etl_job_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job_task`
--

DROP TABLE IF EXISTS `etl_job_task`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `etl_job_task` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `plugin_type` tinyint NOT NULL COMMENT '插件类型',
  `connector_type` tinyint DEFAULT NULL COMMENT '连接器类型',
  `config_json` longtext COMMENT '配置json',
  `ext_json` longtext COMMENT '扩展json',
  `task_code` varchar(50) DEFAULT NULL COMMENT '节点code',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1710 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务步骤(节点)表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job_task`
--

LOCK TABLES `etl_job_task` WRITE;
/*!40000 ALTER TABLE `etl_job_task` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job_task` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_sql_column`
--

DROP TABLE IF EXISTS `etl_sql_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `etl_sql_column` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `sql_column_type` varchar(255) DEFAULT NULL COMMENT '数据库字段类型',
  `ds_type` int DEFAULT NULL COMMENT '数据源类型 0-mysql 1-oracle 2-sqlserver 3-postgresql 4-clickhouse',
  `column_type` varchar(50) DEFAULT NULL COMMENT '通用字段类型',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `123` (`ds_type`,`column_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=107 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_sql_column`
--

LOCK TABLES `etl_sql_column` WRITE;
/*!40000 ALTER TABLE `etl_sql_column` DISABLE KEYS */;
INSERT INTO `etl_sql_column` VALUES (1,'STRING',0,'CHAR'),(2,'STRING',0,'VARCHAR'),(3,'STRING',0,'LONGVARCHAR'),(4,'STRING',0,'BINARY'),(5,'STRING',0,'VARBINARY'),(6,'STRING',0,'LONGVARBINARY'),(7,'STRING',0,'BLOB'),(8,'STRING',0,'CLOB'),(9,'STRING',0,'NCHAR'),(10,'STRING',0,'NVARCHAR'),(11,'STRING',0,'LONGNVARCHAR'),(12,'STRING',0,'NCLOB'),(13,'STRING',0,'ARRAY'),(14,'DATE',0,'DATE'),(15,'DATE',0,'TIME'),(16,'DATE',0,'TIMESTAMP'),(17,'DATE',0,'DATETIME'),(18,'INTEGER',0,'BIT'),(19,'INTEGER',0,'TINYINT'),(20,'INTEGER',0,'SMALLINT'),(21,'INTEGER',0,'INTEGER'),(22,'INTEGER',0,'BOOLEAN'),(23,'INTEGER',0,'INT'),(24,'LONG',0,'BIGINT'),(25,'FLOAT',0,'FLOAT'),(26,'DECIMAL',0,'REAL'),(28,'DOUBLE',0,'DOUBLE'),(29,'DECIMAL',0,'DECIMAL'),(30,'STRING',1,'VARCHAR2'),(31,'INTEGER',1,'NUMBER'),(32,'DATE',1,'DATE'),(33,'FLOAT',1,'FLOAT'),(34,'FLOAT',4,'Float32'),(35,'DOUBLE',4,'Float64'),(36,'INTEGER',4,'Int32'),(37,'LONG',4,'Int64'),(38,'STRING',4,'String'),(39,'DECIMAL',4,'Decimal'),(40,'DATE',4,'DateTime'),(46,'STRING',0,'TEXT'),(47,'STRING',3,'ARRAY'),(48,'LONG',3,'BIGINT'),(49,'STRING',3,'BINARY'),(50,'INTEGER',3,'BIT'),(51,'STRING',3,'BLOB'),(52,'INTEGER',3,'BOOLEAN'),(53,'STRING',3,'CHAR'),(54,'STRING',3,'CLOB'),(55,'DATE',3,'DATE'),(56,'DATE',3,'DATETIME'),(57,'DECIMAL',3,'DECIMAL'),(58,'DOUBLE',3,'DOUBLE'),(59,'FLOAT',3,'FLOAT'),(60,'INTEGER',3,'INT'),(61,'INTEGER',3,'INTEGER'),(62,'STRING',3,'LONGNVARCHAR'),(63,'STRING',3,'LONGVARBINARY'),(64,'STRING',3,'LONGVARCHAR'),(65,'STRING',3,'NCHAR'),(66,'STRING',3,'NCLOB'),(67,'STRING',3,'NVARCHAR'),(68,'DECIMAL',3,'REAL'),(69,'INTEGER',3,'SMALLINT'),(70,'STRING',3,'TEXT'),(71,'DATE',3,'TIME'),(72,'DATE',3,'TIMESTAMP'),(73,'INTEGER',3,'TINYINT'),(74,'STRING',3,'VARBINARY'),(75,'STRING',3,'VARCHAR'),(76,'DOUBLE',3,'double precision'),(77,'STRING',5,'varchar'),(78,'STRING',5,'char'),(79,'STRING',5,'text'),(80,'DECIMAL',5,'decimal'),(81,'DECIMAL',5,'numeric'),(82,'DOUBLE',5,'double'),(83,'FLOAT',5,'float'),(84,'DATE',5,'date'),(85,'DATE',5,'timestamp'),(86,'LONG',5,'int8'),(87,'INTEGER',5,'int'),(88,'INTEGER',5,'int4'),(89,'DOUBLE',5,'Float8'),(90,'INTEGER',5,'int2'),(91,'INTEGER',6,'INT'),(92,'INTEGER',6,'SMALLINT'),(93,'INTEGER',6,'TINYINT'),(94,'INTEGER',6,'INTEGER'),(95,'INTEGER',6,'PLS_INTEGER'),(96,'DECIMAL',6,'NUMERIC'),(97,'DECIMAL',6,'DECIMAL'),(98,'FLOAT',6,'FLOAT'),(99,'DOUBLE',6,'DOUBLE'),(100,'DATE',6,'TIMESTAMP'),(101,'DATE',6,'DATE'),(102,'DATE',6,'TIME'),(103,'LONG',6,'BIGINT'),(104,'STRING',6,'VARCHAR'),(105,'STRING',6,'TEXT'),(106,'STRING',6,'CHAR');
/*!40000 ALTER TABLE `etl_sql_column` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `history_report_folder`
--

DROP TABLE IF EXISTS `history_report_folder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `history_report_folder` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `sort_order` int NOT NULL DEFAULT '0' COMMENT '显示排序',
  `folder_name` varchar(50) NOT NULL COMMENT '文件夹名称',
  `user_id` bigint NOT NULL DEFAULT '0' COMMENT '用户id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history_report_folder`
--

LOCK TABLES `history_report_folder` WRITE;
/*!40000 ALTER TABLE `history_report_folder` DISABLE KEYS */;
/*!40000 ALTER TABLE `history_report_folder` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `history_report_info`
--

DROP TABLE IF EXISTS `history_report_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `history_report_info` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `folder_id` int NOT NULL COMMENT '文件夹id',
  `report_month` varchar(50) DEFAULT NULL COMMENT '月份',
  `report_title` varchar(50) DEFAULT NULL COMMENT '报告名称',
  `background_url` varchar(300) DEFAULT NULL COMMENT '背景图url',
  `sort_order` int DEFAULT '0' COMMENT '显示排序',
  `is_deleted` int DEFAULT '0',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history_report_info`
--

LOCK TABLES `history_report_info` WRITE;
/*!40000 ALTER TABLE `history_report_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `history_report_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `login_record`
--

DROP TABLE IF EXISTS `login_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `login_record` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `login_ip` varchar(100) DEFAULT NULL COMMENT '登录ip',
  `login_address` varchar(100) DEFAULT NULL COMMENT '登录地址',
  `login_time` datetime DEFAULT NULL COMMENT '登录时间',
  `login_user` varchar(100) DEFAULT NULL COMMENT '登录账号',
  `login_type` int DEFAULT NULL COMMENT '登录类型  1 账号密码登录 2 小程序登录 3 人脸登录',
  `user_id` bigint DEFAULT NULL COMMENT '账号id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户 id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1702325904390852610 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `login_record`
--

LOCK TABLES `login_record` WRITE;
/*!40000 ALTER TABLE `login_record` DISABLE KEYS */;
INSERT INTO `login_record` VALUES (1610565486245416961,'172.20.100.2','局域网-局域网-','2023-01-04 03:15:09','dataview',1,1123598821738675201,'2023-01-04 03:15:09',NULL),(1610570106246107137,'172.20.100.2','局域网-局域网-','2023-01-04 03:33:31','dataview',1,1123598821738675201,'2023-01-04 03:33:31',NULL),(1610574631283560449,'10.18.21.180','局域网-局域网-','2023-01-04 03:51:30','dataview',1,1123598821738675201,'2023-01-04 03:51:30',NULL),(1631532595058151426,'61.52.170.112','中国-河南-郑州','2023-03-02 23:50:58','dataview',1,1123598821738675201,'2023-03-02 23:50:58',NULL),(1631533847057895426,'111.193.6.192','中国-北京-北京','2023-03-02 23:55:56','dataview',1,1123598821738675201,'2023-03-02 23:55:56',NULL),(1631533991430033410,'114.245.110.33','中国-北京-北京','2023-03-02 23:56:31','dataview',1,1123598821738675201,'2023-03-02 23:56:31',NULL),(1631973452777361409,'111.193.6.192','中国-北京-北京','2023-03-04 05:02:46','dataview',1,1123598821738675201,'2023-03-04 05:02:46',NULL),(1702325904390852609,'10.211.55.2','局域网-局域网-','2023-09-14 09:18:18','dataview',1,1123598821738675201,'2023-09-14 09:18:18','000000');
/*!40000 ALTER TABLE `login_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `micro_app`
--

DROP TABLE IF EXISTS `micro_app`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `micro_app` (
  `app_id` int NOT NULL AUTO_INCREMENT,
  `app_name` varchar(50) NOT NULL COMMENT '应用名称',
  `app_icon` varchar(200) DEFAULT NULL COMMENT '应用图标',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公共状态(0-否/1-是)',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `publish_status` tinyint NOT NULL DEFAULT '0' COMMENT '发布状态',
  `app_description` varchar(500) DEFAULT NULL COMMENT '应用描述',
  `menu_show_type` varchar(50) DEFAULT NULL COMMENT '菜单展现形式',
  `menu_color` varchar(20) DEFAULT NULL COMMENT '菜单颜色',
  `water_mark_text` varchar(500) DEFAULT NULL COMMENT '水印文字',
  `water_mark_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否显示水印(1-是/0-否)',
  `ext_json` text COMMENT '扩展字段',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`app_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='应用表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `micro_app`
--

LOCK TABLES `micro_app` WRITE;
/*!40000 ALTER TABLE `micro_app` DISABLE KEYS */;
/*!40000 ALTER TABLE `micro_app` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `micro_app_data_permission`
--

DROP TABLE IF EXISTS `micro_app_data_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `micro_app_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `app_id` int NOT NULL COMMENT '应用ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='微应用权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `micro_app_data_permission`
--

LOCK TABLES `micro_app_data_permission` WRITE;
/*!40000 ALTER TABLE `micro_app_data_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `micro_app_data_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `micro_app_menu`
--

DROP TABLE IF EXISTS `micro_app_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `micro_app_menu` (
  `menu_id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `app_id` int NOT NULL COMMENT '应用ID',
  `menu_name` varchar(50) NOT NULL COMMENT '菜单名称',
  `menu_icon` varchar(200) DEFAULT NULL COMMENT '菜单图标',
  `visual_id` int DEFAULT NULL COMMENT '关联显示大屏ID',
  `visual_name` varchar(100) DEFAULT NULL COMMENT '大屏名称',
  `home_page_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否首页显示(0-否/1-是)',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`menu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='应用菜单表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `micro_app_menu`
--

LOCK TABLES `micro_app_menu` WRITE;
/*!40000 ALTER TABLE `micro_app_menu` DISABLE KEYS */;
/*!40000 ALTER TABLE `micro_app_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `micro_app_role`
--

DROP TABLE IF EXISTS `micro_app_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `micro_app_role` (
  `app_role_id` int NOT NULL AUTO_INCREMENT,
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `app_id` int NOT NULL COMMENT '应用ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`app_role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='应用角色关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `micro_app_role`
--

LOCK TABLES `micro_app_role` WRITE;
/*!40000 ALTER TABLE `micro_app_role` DISABLE KEYS */;
/*!40000 ALTER TABLE `micro_app_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `micro_app_shortcut_menu`
--

DROP TABLE IF EXISTS `micro_app_shortcut_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `micro_app_shortcut_menu` (
  `id` int NOT NULL AUTO_INCREMENT,
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '菜单名称',
  `menu_icon` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '菜单图标',
  `menu_url` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '菜单路径',
  `menu_order` int NOT NULL DEFAULT '1' COMMENT '菜单排名',
  `create_user` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '创建人名称',
  `create_user_id` bigint NOT NULL COMMENT '创建人id',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='小程序快捷菜单';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `micro_app_shortcut_menu`
--

LOCK TABLES `micro_app_shortcut_menu` WRITE;
/*!40000 ALTER TABLE `micro_app_shortcut_menu` DISABLE KEYS */;
/*!40000 ALTER TABLE `micro_app_shortcut_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report`
--

DROP TABLE IF EXISTS `report`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '分期报告的上级报告',
  `title` varchar(50) NOT NULL COMMENT '报表名称',
  `type` int DEFAULT '0' COMMENT '报表类型 0-月报1-周报 2-日报 3-年报 4-季报',
  `status` int DEFAULT '0' COMMENT '报表状态 0-下线 1-发布',
  `sort_order` int DEFAULT '0' COMMENT '显示次序',
  `is_deleted` int DEFAULT '0',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `update_user` bigint DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report`
--

LOCK TABLES `report` WRITE;
/*!40000 ALTER TABLE `report` DISABLE KEYS */;
INSERT INTO `report` VALUES (1,0,'ddd',0,0,2,0,'abc','2021-03-19 10:05:12',1123598821738675201,1123598821738675201,'000000');
/*!40000 ALTER TABLE `report` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_config`
--

DROP TABLE IF EXISTS `report_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_config` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `user_id` bigint DEFAULT NULL COMMENT '用户id',
  `report_id` bigint DEFAULT NULL COMMENT '报表id',
  `report_name` varchar(50) DEFAULT NULL COMMENT '报表名称',
  `config_type` int DEFAULT NULL COMMENT '配置类型 1-列维度 2-行维度 3-指标',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_config`
--

LOCK TABLES `report_config` WRITE;
/*!40000 ALTER TABLE `report_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_config_detail`
--

DROP TABLE IF EXISTS `report_config_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_config_detail` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `report_config_id` int DEFAULT NULL COMMENT '配置id',
  `report_dimension_id` int DEFAULT NULL COMMENT '维度id',
  `sort_order` int DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_config_detail`
--

LOCK TABLES `report_config_detail` WRITE;
/*!40000 ALTER TABLE `report_config_detail` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_config_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_datasource`
--

DROP TABLE IF EXISTS `report_datasource`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_datasource` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `ds_ip` varchar(50) DEFAULT NULL COMMENT 'ip地址',
  `ds_port` int DEFAULT NULL COMMENT '端口',
  `ds_db` varchar(50) DEFAULT NULL COMMENT '数据库名/SID',
  `url` varchar(300) DEFAULT NULL COMMENT '连接url',
  `pool_name` varchar(50) NOT NULL COMMENT '连接名称',
  `driver_class_name` varchar(50) DEFAULT NULL COMMENT 'driverClassName',
  `ds_user` varchar(50) DEFAULT NULL COMMENT '用户名',
  `ds_password` varchar(50) DEFAULT NULL COMMENT '密码',
  `ds_schema` varchar(255) DEFAULT NULL COMMENT '模式',
  `ds_type` int DEFAULT NULL COMMENT '数据源类型 0-mysql 1-oracle 2-sqlserver 3-postgresql 4-clickhouse',
  `is_deleted` int DEFAULT '0',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  `responsible_person_id` bigint DEFAULT NULL COMMENT '责任人ID',
  `responsible_person_name` varchar(50) DEFAULT NULL COMMENT '责任人姓名',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `db_schema` varchar(255) DEFAULT NULL COMMENT '模式',
  `is_edit` int DEFAULT '1' COMMENT '是否你能够编辑 0：不可以，1：可以',
  PRIMARY KEY (`id`),
  UNIQUE KEY `pool_name` (`pool_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_datasource`
--

LOCK TABLES `report_datasource` WRITE;
/*!40000 ALTER TABLE `report_datasource` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_datasource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_datasource_perm`
--

DROP TABLE IF EXISTS `report_datasource_perm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_datasource_perm` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源ID',
  `view_type` int DEFAULT NULL COMMENT '0 全部可见 1 部门可见',
  `dept_ids` varchar(500) DEFAULT NULL COMMENT '部门ids',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据源权限设置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_datasource_perm`
--

LOCK TABLES `report_datasource_perm` WRITE;
/*!40000 ALTER TABLE `report_datasource_perm` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_datasource_perm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_datasource_permission`
--

DROP TABLE IF EXISTS `report_datasource_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_datasource_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `table_names` json NOT NULL COMMENT '数据表名JSON数组',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`),
  KEY `ds_id` (`datasource_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据源权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_datasource_permission`
--

LOCK TABLES `report_datasource_permission` WRITE;
/*!40000 ALTER TABLE `report_datasource_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_datasource_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_datasource_table_perm`
--

DROP TABLE IF EXISTS `report_datasource_table_perm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_datasource_table_perm` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源Id',
  `dept_ids` varchar(200) DEFAULT NULL COMMENT '部门ids',
  `user_id` bigint DEFAULT NULL COMMENT '账号id',
  `table_view_type` int DEFAULT NULL COMMENT '0 全部可见 1 部门账号可见',
  `table_names` text COMMENT '数据源表名',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据表权限设置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_datasource_table_perm`
--

LOCK TABLES `report_datasource_table_perm` WRITE;
/*!40000 ALTER TABLE `report_datasource_table_perm` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_datasource_table_perm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_dimension`
--

DROP TABLE IF EXISTS `report_dimension`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_dimension` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `dimension_comments` varchar(200) DEFAULT NULL COMMENT '维度名称',
  `dimension_name` varchar(50) DEFAULT NULL COMMENT '维度字段',
  `dimension_title` varchar(50) DEFAULT NULL COMMENT '显示名称',
  `table_view_name` varchar(50) DEFAULT NULL COMMENT '表视图名称',
  `sql_text` varchar(300) DEFAULT NULL COMMENT 'sql信息',
  `data` varchar(300) DEFAULT NULL COMMENT '附加信息',
  `dimension_type` int DEFAULT '0' COMMENT '0-维度 1-指标',
  `format_type` int DEFAULT NULL COMMENT '格式化类型',
  `datasource_id` int DEFAULT NULL COMMENT '数据源id',
  `having_text` varchar(200) DEFAULT NULL COMMENT 'having信息',
  `order_index` int DEFAULT '0' COMMENT '排序',
  `is_deleted` int DEFAULT '0' COMMENT '是否删除',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_dimension`
--

LOCK TABLES `report_dimension` WRITE;
/*!40000 ALTER TABLE `report_dimension` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_dimension` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_index_category`
--

DROP TABLE IF EXISTS `report_index_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_index_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `order_index` int DEFAULT '0' COMMENT '排序值，从小到大排',
  `category_name` varchar(50) NOT NULL COMMENT '指标分类名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_index_category`
--

LOCK TABLES `report_index_category` WRITE;
/*!40000 ALTER TABLE `report_index_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_index_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_index_info`
--

DROP TABLE IF EXISTS `report_index_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_index_info` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `category_id` int DEFAULT NULL COMMENT '分类id',
  `order_index` int DEFAULT '0' COMMENT '排序值，从小到大排',
  `table_name` varchar(50) DEFAULT NULL COMMENT '表名',
  `table_comment` varchar(50) DEFAULT NULL COMMENT '表注释',
  `data` text COMMENT '指标数据',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_index_info`
--

LOCK TABLES `report_index_info` WRITE;
/*!40000 ALTER TABLE `report_index_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_index_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_role`
--

DROP TABLE IF EXISTS `report_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_role` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `report_id` int NOT NULL DEFAULT '0' COMMENT '报表id',
  `role_id` bigint DEFAULT NULL COMMENT '角色id',
  `type` int DEFAULT '0' COMMENT '权限类型 1-查看 2-编辑',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_role`
--

LOCK TABLES `report_role` WRITE;
/*!40000 ALTER TABLE `report_role` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_table_category`
--

DROP TABLE IF EXISTS `report_table_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_table_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `order_index` int DEFAULT '0' COMMENT '排序值，从小到大排',
  `datasource_id` int DEFAULT '0' COMMENT '数据源id',
  `category_name` varchar(50) NOT NULL COMMENT '指标分类名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_table_category`
--

LOCK TABLES `report_table_category` WRITE;
/*!40000 ALTER TABLE `report_table_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_table_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_table_category_relation`
--

DROP TABLE IF EXISTS `report_table_category_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_table_category_relation` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `order_index` int NOT NULL DEFAULT '0' COMMENT '排序值，从小到大排',
  `category_id` int NOT NULL DEFAULT '0' COMMENT '分类id',
  `table_view_name` varchar(50) NOT NULL COMMENT '视图表名称',
  `table_comments` varchar(50) NOT NULL COMMENT '表中文名',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_table_category_relation`
--

LOCK TABLES `report_table_category_relation` WRITE;
/*!40000 ALTER TABLE `report_table_category_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_table_category_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sql_job`
--

DROP TABLE IF EXISTS `sql_job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sql_job` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `category_id` int NOT NULL COMMENT '分类ID',
  `job_name` varchar(100) NOT NULL COMMENT '任务名称',
  `job_desc` varchar(500) DEFAULT NULL COMMENT '任务描述',
  `job_status` tinyint NOT NULL COMMENT '上线状态',
  `trigger_status` tinyint NOT NULL DEFAULT '0' COMMENT '调度状态',
  `job_cron` varchar(100) DEFAULT NULL COMMENT 'xxljob的任务Cron',
  `xxl_job_id` int DEFAULT NULL COMMENT 'xxljob的任务ID',
  `ds_id` int NOT NULL COMMENT '数据源ID',
  `ds_type` tinyint DEFAULT NULL COMMENT '数据源类型',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公开状态(0-不公开/1-公开)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_user_id` bigint DEFAULT NULL COMMENT '更新人ID',
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sql_job`
--

LOCK TABLES `sql_job` WRITE;
/*!40000 ALTER TABLE `sql_job` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_job` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sql_job_category`
--

DROP TABLE IF EXISTS `sql_job_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sql_job_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `cate_name` varchar(50) NOT NULL COMMENT '分类名称',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sql_job_category`
--

LOCK TABLES `sql_job_category` WRITE;
/*!40000 ALTER TABLE `sql_job_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_job_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sql_job_instance`
--

DROP TABLE IF EXISTS `sql_job_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sql_job_instance` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `job_script_id` int NOT NULL COMMENT '任务脚本ID',
  `start_time` datetime DEFAULT NULL COMMENT '作业开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '作业结束时间',
  `instance_run_type` tinyint NOT NULL COMMENT '作业运行类型(手动 自动)',
  `instance_status` tinyint NOT NULL COMMENT '作业状态',
  `err_msg` longtext COMMENT '错误描述',
  `create_time` datetime NOT NULL COMMENT '任务创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `instance_status` (`instance_status`),
  KEY `job_id` (`job_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务实例';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sql_job_instance`
--

LOCK TABLES `sql_job_instance` WRITE;
/*!40000 ALTER TABLE `sql_job_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_job_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sql_job_permission`
--

DROP TABLE IF EXISTS `sql_job_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sql_job_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sql_job_permission`
--

LOCK TABLES `sql_job_permission` WRITE;
/*!40000 ALTER TABLE `sql_job_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_job_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sql_job_script`
--

DROP TABLE IF EXISTS `sql_job_script`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sql_job_script` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `sql_script` text NOT NULL COMMENT 'SQL脚本内容',
  `sql_script_name` varchar(200) DEFAULT NULL COMMENT 'SQL脚本名称',
  `sql_script_comment` varchar(500) DEFAULT NULL COMMENT 'SQL脚本注释说明',
  `sql_script_type` tinyint DEFAULT NULL COMMENT 'SQL脚本类型',
  `sql_sort_num` int NOT NULL COMMENT 'SQL脚本执行顺序',
  `create_time` datetime NOT NULL COMMENT '任务创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `job_id` (`job_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务脚本';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sql_job_script`
--

LOCK TABLES `sql_job_script` WRITE;
/*!40000 ALTER TABLE `sql_job_script` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_job_script` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_package`
--

DROP TABLE IF EXISTS `sys_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_package` (
  `id` int NOT NULL AUTO_INCREMENT,
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '套餐名称',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '套餐说明',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='套餐表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_package`
--

LOCK TABLES `sys_package` WRITE;
/*!40000 ALTER TABLE `sys_package` DISABLE KEYS */;
INSERT INTO `sys_package` VALUES (1,'ETL套餐','','2023-09-12 05:58:37',9999,0);
/*!40000 ALTER TABLE `sys_package` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_package_menu`
--

DROP TABLE IF EXISTS `sys_package_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_package_menu` (
  `id` int NOT NULL AUTO_INCREMENT,
  `package_id` int NOT NULL COMMENT '套餐ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`id`),
  KEY `package_id` (`package_id`,`menu_id`)
) ENGINE=InnoDB AUTO_INCREMENT=263 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='套餐菜单关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_package_menu`
--

LOCK TABLES `sys_package_menu` WRITE;
/*!40000 ALTER TABLE `sys_package_menu` DISABLE KEYS */;
INSERT INTO `sys_package_menu` VALUES (260,1,1123598815738675203),(217,1,1123598815738675204),(224,1,1123598815738675205),(229,1,1123598815738675207),(261,1,1123598815738675209),(218,1,1123598815738675223),(219,1,1123598815738675224),(220,1,1123598815738675225),(221,1,1123598815738675226),(222,1,1123598815738675227),(223,1,1123598815738675228),(225,1,1123598815738675229),(226,1,1123598815738675230),(227,1,1123598815738675231),(228,1,1123598815738675232),(230,1,1123598815738675237),(231,1,1123598815738675238),(232,1,1123598815738675239),(233,1,1123598815738675240),(237,1,1123598815738675241),(238,1,1123598815738675242),(239,1,1123598815738675243),(240,1,1123598815738675244),(235,1,1123598815738675307),(236,1,1123598815738675308),(241,1,1123598815738675309),(242,1,1123598815738675310),(243,1,1123598815738675311),(244,1,1123598815738675312),(251,1,1161272593873321991),(252,1,1161272593873321992),(253,1,1161272593873321993),(254,1,1161272593873321994),(255,1,1161272593873321995),(245,1,1164733389668962251),(246,1,1164733389668962252),(247,1,1164733389668962253),(248,1,1164733389668962254),(249,1,1164733389668962255),(256,1,1367669015094308865),(250,1,1544607807797161986),(234,1,1589512651703767042),(262,1,1619156606935465985),(257,1,1619215847942488065),(258,1,1689465690065170434),(259,1,1689466226315325441);
/*!40000 ALTER TABLE `sys_package_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_tenant`
--

DROP TABLE IF EXISTS `sys_tenant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_tenant` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '000000' COMMENT '租户ID',
  `tenant_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '租户名称',
  `domain` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '域名地址',
  `background_url` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '系统背景',
  `linkman` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '联系人',
  `contact_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '联系电话',
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '联系地址',
  `account_number` int DEFAULT '-1' COMMENT '账号额度',
  `expire_time` datetime DEFAULT NULL COMMENT '过期时间',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `client_manager` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '客户经理',
  `package_id` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '套餐ID',
  `admin_id` bigint NOT NULL COMMENT '管理员id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1701551350405439490 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='租户信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_tenant`
--

LOCK TABLES `sys_tenant` WRITE;
/*!40000 ALTER TABLE `sys_tenant` DISABLE KEYS */;
INSERT INTO `sys_tenant` VALUES (1123598820738675201,'000000','管理组',NULL,NULL,'admin','666666','管理组',-1,'2024-07-06 00:00:00',1123598821738675201,1123598813738675201,'2019-01-01 00:00:39',1123598821738675201,'2023-07-20 14:12:33',1,0,'admin','2',1123598821738675201),(1701551289915187201,'23lquec','测试租户',NULL,NULL,'杨','123456789','',100,NULL,1123598821738675201,1460424769744289793,'2023-09-12 06:00:15',1123598821738675201,'2023-09-12 06:00:15',1,0,NULL,'1',1701551289307013122),(1701551350405439489,'23lqq04','测试ETL',NULL,NULL,'李彤','13621143762','',100,NULL,1123598821738675201,1460424769744289793,'2023-09-12 06:00:30',1123598821738675201,'2023-09-12 06:00:30',1,0,NULL,'1',1701551350225084417);
/*!40000 ALTER TABLE `sys_tenant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_tenant_package`
--

DROP TABLE IF EXISTS `sys_tenant_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_tenant_package` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '租户ID',
  `package_id` int NOT NULL COMMENT '套餐ID',
  PRIMARY KEY (`id`),
  KEY `package_id` (`package_id`,`tenant_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='租户套餐关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_tenant_package`
--

LOCK TABLES `sys_tenant_package` WRITE;
/*!40000 ALTER TABLE `sys_tenant_package` DISABLE KEYS */;
INSERT INTO `sys_tenant_package` VALUES (2,'23lqq04',1),(1,'23lquec',1);
/*!40000 ALTER TABLE `sys_tenant_package` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tag_record`
--

DROP TABLE IF EXISTS `tag_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tag_record` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `remote_name` varchar(50) DEFAULT NULL COMMENT '操作人姓名',
  `remote_account` varchar(50) DEFAULT NULL COMMENT '操作账号',
  `tag_user_id` bigint DEFAULT NULL COMMENT '标识账号id',
  `remark` varchar(50) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tag_record`
--

LOCK TABLES `tag_record` WRITE;
/*!40000 ALTER TABLE `tag_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `tag_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `test_copy`
--

DROP TABLE IF EXISTS `test_copy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `test_copy` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(12) DEFAULT NULL,
  `address` varchar(100) DEFAULT NULL,
  `sex` int DEFAULT NULL,
  `age` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='测试表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `test_copy`
--

LOCK TABLES `test_copy` WRITE;
/*!40000 ALTER TABLE `test_copy` DISABLE KEYS */;
INSERT INTO `test_copy` VALUES (1,NULL,NULL,1,20);
/*!40000 ALTER TABLE `test_copy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `third_bind_count_record`
--

DROP TABLE IF EXISTS `third_bind_count_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `third_bind_count_record` (
  `id` int NOT NULL AUTO_INCREMENT,
  `wechat_open_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '微信openId',
  `qy_wechat_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '企业微信code',
  `ding_open_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '钉钉openId',
  `fei_shu_open_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '飞书openId',
  `micro_app_openId` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '小程序openId',
  `micro_app_unionid` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '小程序unionid',
  `micro_app_phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '小程序绑定的手机号',
  `user_id` bigint NOT NULL COMMENT '绑定人员id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '租户 id',
  `public_account_open_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '公众号openid',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='三方登录绑定账号记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `third_bind_count_record`
--

LOCK TABLES `third_bind_count_record` WRITE;
/*!40000 ALTER TABLE `third_bind_count_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `third_bind_count_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `third_login_conf`
--

DROP TABLE IF EXISTS `third_login_conf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `third_login_conf` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '租户id',
  `login_conf` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '登录配置',
  `login_type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '三方登录类型',
  `status` int NOT NULL DEFAULT '1' COMMENT '配置是否可用(0：不可用，1: 可用)',
  `create_user` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人id',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '配置名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='三方登录配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `third_login_conf`
--

LOCK TABLES `third_login_conf` WRITE;
/*!40000 ALTER TABLE `third_login_conf` DISABLE KEYS */;
INSERT INTO `third_login_conf` VALUES (1,'111111','{\n    \"clientId\":\"wx6a7824491803a0df\",\n    \"clientSecret\":\"d804076cb7082de77d3aff9c57ab86ca\"\n}','publicAccount',1,'管理员',1123598821738675201,'2023-07-18 16:32:31','2023-07-18 16:33:04','BI公众号'),(2,'111111','{\n    \"apiKey\": \"tXiazsSTohFoOGqn9wQgTWvZ\",\n    \"secretKey\": \"PFYmLd8R43sTCODVCmEcq3vNCFLC3fDG\",\n    \"accUrl\": \"https://aip.baidubce.com/oauth/2.0/token\",\n    \"groupId\": \"by_unicom_facegroup_sys\"\n}','face',1,'管理员',1123598821738675201,'2023-08-04 15:59:34','2023-08-07 14:48:41','百度人脸识别配置');
/*!40000 ALTER TABLE `third_login_conf` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `upgrade_project`
--

DROP TABLE IF EXISTS `upgrade_project`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `upgrade_project` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_model` varchar(20) DEFAULT NULL COMMENT '后端项目模块（gmetry-xxljob/gmetry-bi/gmetry-system/gmetry-lowcode/gmetry-pdf）',
  `project_type` int NOT NULL COMMENT '项目类型（0：前端，1：后端）',
  `env_name` varchar(20) DEFAULT NULL COMMENT '.env文件需要修改的模块名称（bi_version/pdf_version/xxljob_version/system_version/lowcode_version）',
  `old_version` varchar(20) DEFAULT NULL COMMENT '项目旧的版本号',
  `project_version` varchar(20) DEFAULT NULL COMMENT '项目版本号，修改.env文件需要用到',
  `upgrade_log` text NOT NULL COMMENT '升级日志',
  `result_msg` text COMMENT '部署服务器返回的信息',
  `upgrade_result` int NOT NULL DEFAULT '0' COMMENT '升级结果 1：成功，0：失败',
  `operation_user_id` bigint NOT NULL COMMENT '操作人员id',
  `operation_user_name` varchar(50) DEFAULT NULL COMMENT '操作人员名称',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='项目升级日志记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `upgrade_project`
--

LOCK TABLES `upgrade_project` WRITE;
/*!40000 ALTER TABLE `upgrade_project` DISABLE KEYS */;
/*!40000 ALTER TABLE `upgrade_project` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `upgrade_project_sql`
--

DROP TABLE IF EXISTS `upgrade_project_sql`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `upgrade_project_sql` (
  `id` int NOT NULL AUTO_INCREMENT,
  `database_name` varchar(20) DEFAULT NULL COMMENT '修改的数据库名称',
  `upgrade_log` text NOT NULL COMMENT '升级日志',
  `result_msg` text COMMENT '部署服务器返回的信息',
  `upgrade_result` int NOT NULL DEFAULT '0' COMMENT '升级结果 1：成功，0：失败',
  `operation_user_id` bigint NOT NULL COMMENT '操作人员id',
  `operation_user_name` varchar(50) DEFAULT NULL COMMENT '操作人员名称',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='mysql修改日志记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `upgrade_project_sql`
--

LOCK TABLES `upgrade_project_sql` WRITE;
/*!40000 ALTER TABLE `upgrade_project_sql` DISABLE KEYS */;
/*!40000 ALTER TABLE `upgrade_project_sql` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_click_menu_record`
--

DROP TABLE IF EXISTS `user_click_menu_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_click_menu_record` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `menu_id` bigint NOT NULL COMMENT '菜单id',
  `click_num` int NOT NULL DEFAULT '1' COMMENT '菜单点击量',
  `click_user_id` bigint DEFAULT '0' COMMENT '菜单点击人',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='人员点击菜单记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_click_menu_record`
--

LOCK TABLES `user_click_menu_record` WRITE;
/*!40000 ALTER TABLE `user_click_menu_record` DISABLE KEYS */;
INSERT INTO `user_click_menu_record` VALUES (1,1,1,1123598821738675201,'2023-09-14 22:18:27','000000'),(2,2,1,1123598821738675201,'2023-09-14 22:18:28','000000'),(3,3,1,1123598821738675201,'2023-09-14 22:18:30','000000'),(4,3,1,1123598821738675201,'2023-09-14 22:18:36','000000'),(5,3,1,1123598821738675201,'2023-09-14 22:18:37','000000'),(6,2,1,1123598821738675201,'2023-09-14 22:18:38','000000'),(7,3,1,1123598821738675201,'2023-09-14 22:20:51','000000'),(8,2,1,1123598821738675201,'2023-09-14 22:20:57','000000'),(9,3,1,1123598821738675201,'2023-09-14 22:20:59','000000'),(10,1,1,1123598821738675201,'2023-09-14 22:21:32','000000'),(11,1,1,1123598821738675201,'2023-09-14 22:21:39','000000'),(12,2,1,1123598821738675201,'2023-09-14 22:21:40','000000'),(13,1,1,1123598821738675201,'2023-09-14 22:22:20','000000'),(14,2,1,1123598821738675201,'2023-09-14 22:22:28','000000'),(15,1,1,1123598821738675201,'2023-09-14 22:22:39','000000'),(16,1631974715833290753,1,1702327155996332033,'2023-09-14 22:27:12','111111'),(17,1467681760623697921,1,1702327155996332033,'2023-09-14 22:27:13','111111'),(18,1123598815738675204,1,1702327155996332033,'2023-09-14 22:27:15','111111'),(19,1123598815738675204,1,1702327155996332033,'2023-09-14 22:27:20','111111'),(20,1164733389668962251,1,1702327155996332033,'2023-09-14 22:29:27','111111'),(21,1123598815738675205,1,1702327155996332033,'2023-09-14 22:29:29','111111'),(22,1123598815738675308,1,1702327155996332033,'2023-09-14 22:29:31','111111'),(23,1123598815738675309,1,1702327155996332033,'2023-09-14 22:29:32','111111'),(24,1123598815738675311,1,1702327155996332033,'2023-09-14 22:29:33','111111'),(25,1123598815738675207,1,1702327155996332033,'2023-09-14 22:29:34','111111'),(26,1631975886903939074,1,1702327155996332033,'2023-09-14 22:29:37','111111'),(27,1544607807797161986,1,1702327155996332033,'2023-09-14 22:29:39','111111'),(28,1582611460944187394,1,1702327155996332033,'2023-09-14 22:29:42','111111'),(29,1164733389658962251,1,1702327155996332033,'2023-09-14 22:29:45','111111'),(30,1589512651703767042,1,1702327155996332033,'2023-09-14 22:29:47','111111'),(31,1,1,1123598821738675201,'2023-09-14 22:33:07','000000'),(32,2,1,1123598821738675201,'2023-09-14 22:33:08','000000'),(33,3,1,1123598821738675201,'2023-09-14 22:33:12','000000');
/*!40000 ALTER TABLE `user_click_menu_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_classify`
--

DROP TABLE IF EXISTS `visual_classify`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_classify` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父分类id',
  `category_value` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人ID',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_classify`
--

LOCK TABLES `visual_classify` WRITE;
/*!40000 ALTER TABLE `visual_classify` DISABLE KEYS */;
INSERT INTO `visual_classify` VALUES (2,0,'默认',0,0,'2023-09-14 09:23:16','111111');
/*!40000 ALTER TABLE `visual_classify` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_classify_favourite`
--

DROP TABLE IF EXISTS `visual_classify_favourite`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_classify_favourite` (
  `id` int NOT NULL AUTO_INCREMENT,
  `classify_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的收藏-分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_classify_favourite`
--

LOCK TABLES `visual_classify_favourite` WRITE;
/*!40000 ALTER TABLE `visual_classify_favourite` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_classify_favourite` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_component`
--

DROP TABLE IF EXISTS `visual_component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_component` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT '组件名称',
  `title` varchar(255) DEFAULT NULL COMMENT '图层名称',
  `visual_id` int DEFAULT NULL COMMENT '可视化主键ID',
  `datasource_id` int DEFAULT '0' COMMENT '数据源ID',
  `cube_data_id` int DEFAULT NULL COMMENT '数据集ID',
  `content` longtext COMMENT '组件内容JSON',
  `filter_json` text COMMENT '查询条件JSON',
  `filter_relation_json` text COMMENT '查询条件关系JSON',
  `column_json` longtext COMMENT '字段JSON',
  `sort_json` text COMMENT '排序JSON',
  `ext_json` longtext COMMENT '额外JSON',
  `query_sql` text COMMENT '组装好的查询SQL',
  `column_id_list` json DEFAULT NULL COMMENT '字段ID列表JSON',
  `limit_val` int DEFAULT '0' COMMENT '显示条数',
  `use_type` tinyint DEFAULT '0' COMMENT '使用方式',
  `comp_type` tinyint NOT NULL DEFAULT '0' COMMENT '组件类型',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `is_mobile` int NOT NULL DEFAULT '0' COMMENT '是否为移动大屏组件',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏_组件表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_component`
--

LOCK TABLES `visual_component` WRITE;
/*!40000 ALTER TABLE `visual_component` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_component` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_component_define`
--

DROP TABLE IF EXISTS `visual_component_define`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_component_define` (
  `id` int NOT NULL AUTO_INCREMENT,
  `component_name` varchar(100) NOT NULL COMMENT '组件名称',
  `image_url` varchar(100) DEFAULT NULL COMMENT '组件图标',
  `description` varchar(500) DEFAULT NULL COMMENT '组件描述',
  `component_version` varchar(50) DEFAULT NULL COMMENT '组件版本号',
  `code_text` text COMMENT '代码内容',
  `publish_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否发布(0-否[默认]/1-是)',
  `view_scope_status` tinyint NOT NULL DEFAULT '0' COMMENT '可视范围状态(0-个人[默认]/1-公开)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `update_time` datetime NOT NULL COMMENT '修改时间',
  `update_by` varchar(50) DEFAULT NULL COMMENT '修改人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义组件';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_component_define`
--

LOCK TABLES `visual_component_define` WRITE;
/*!40000 ALTER TABLE `visual_component_define` DISABLE KEYS */;
INSERT INTO `visual_component_define` VALUES (1,'自定义单指标柱形图','https://windata.platomix.net/uploads/7af4327a-4343-4ea6-8eaf-1c8196b949e8.png','测试组件','1.0.0','{\"code\":\"var value = originData[\'0\'][\'占位1\'];\\noption = {\\n    // tooltip: {},\\n    xAxis: {\\n        data: [],\\n        axisTick: {\\n            show: false,\\n        },\\n        axisLine: {\\n            show: false,\\n        },\\n        // axisLabel: {\\n        //     interval: 0,\\n        //     textStyle: {\\n        //         color: \'#409bff\',\\n        //         fontSize: 80\\n    \\n        //     margin: 80, //刻度标签与轴线之间的距离。\\n        // },\\n    },\\n    yAxis: {\\n        splitLine: {\\n            show: false,\\n        },\\n        axisTick: {\\n            show: false,\\n        },\\n        axisLine: {\\n            show: false,\\n        },\\n        axisLabel: {\\n            show: false,\\n        },\\n    },\\n    series: [\\n        {\\n            name: \'\',\\n            type: \'pictorialBar\',\\n            symbolSize: [100, 45],\\n            symbolOffset: [-10, -20],\\n            z: 12,\\n            data: [\\n                {\\n                    name: \'\',\\n                    value: value,\\n               \\n                    symbolPosition: \'end\',\\n                    itemStyle: {\\n                        normal: {\\n                            color: \'rgba(2, 163, 243,0.5)\', //圆柱顶部颜色\\n                        },\\n                    },\\n                },\\n            ],\\n        },\\n        {\\n            name: \'\',\\n            type: \'pictorialBar\',\\n            symbolSize: [100, 45],\\n            symbolOffset: [-10, 24],\\n            z: 12,\\n            data: [\\n                {\\n                    name: \'\',\\n                    value: value,\\n                   \\n                    itemStyle: {\\n                        normal: {\\n                            color: \'rgba(2, 163, 243, 1)\', //圆柱底部颜色\\n                        },\\n                    },\\n                },\\n            ],\\n        },\\n        {\\n            type: \'bar\',\\n            // silent: true,\\n            barWidth: 100,\\n            // \\\"barGap\\\": \\\"-1100%\\\",\\n\\n            data: [\\n                {\\n                    name: \'\',\\n                    value: value,\\n                    \\n                    label: {\\n                        \\n                        normal: {\\n                            show: true,\\n                            formatter: \\\"{c}\\\"+\\\"占位2\\\",\\n                            position: \'top\',\\n                            // distance: 4,\\n                            textStyle: {\\n                                color: \'rgba(2, 163, 243, 1)\', //柱子对应数值颜色\\n                                fontSize: 40,\\n                                fontWeight:600\\n                        \\n                            },\\n                        },\\n                    },\\n                    itemStyle: {\\n                        normal: {\\n                            color: {\\n                                x: 0,\\n                                y: 0,\\n                                x2: 0,\\n                                y2: 1,\\n                                type: \'linear\',\\n                                global: false,\\n                                colorStops: [\\n                                    {\\n                                        offset: 0,\\n                                        color: \'rgba(18, 246, 255, 0)\',\\n                                    },\\n                                    {\\n                                        offset: 1,\\n                                        color: \'rgba(2, 163, 243, 1)\', //底部渐变颜色\\n                                    },\\n                                ],\\n                            },\\n                        },\\n                    },\\n                },\\n            ],\\n        },\\n\\n        //往上是内部柱状图\\n        //往下是外部柱状图\\n\\n        {\\n            name: \'\',\\n            type: \'pictorialBar\',\\n            symbolSize: [340, 45],\\n            symbolOffset: [-10, -20],\\n            z: 12,\\n            data: [\\n                {\\n                    name: \'\',\\n                    value: \'100\',\\n                 \\n                    symbolPosition: \'end\',\\n                    itemStyle: {\\n                        normal: {\\n                            color: \'rgba(0, 255, 136, 0)\', //圆柱顶部颜色\\n                        },\\n                    },\\n                },\\n            ],\\n        },\\n        {\\n            name: \'\',\\n            type: \'pictorialBar\',\\n            symbolSize: [150, 75],\\n            symbolOffset: [-10, 41],\\n            z: 12,\\n            data: [\\n                {\\n                    name: \'\',\\n                    value: \'100\',\\n                   \\n                    itemStyle: {\\n                        normal: {\\n                            color: \'rgba(2, 163, 243, .1)\', //圆柱底部颜色\\n                        },\\n                    },\\n                },\\n            ],\\n        },\\n        {\\n            name: \'\',\\n            type: \'pictorialBar\',\\n            symbolSize: [150, 75],\\n            symbolOffset: [-10, 55],\\n            z: 11,\\n            data: [\\n                {\\n                    name: \'\',\\n                    value: \'100\',\\n                \\n                    itemStyle: {\\n                        normal: {\\n                            color: \'transparent\',\\n                            borderColor: \'rgba(2, 163, 243, 1)\', //底部内圆圈颜色\\n                            borderWidth: 30,\\n                        },\\n                    },\\n                },\\n            ],\\n        },\\n        {\\n            name: \'\',\\n            type: \'pictorialBar\',\\n            symbolSize: [200, 100],\\n            symbolOffset: [-10, 62],\\n            z: 10,\\n            data: [\\n                {\\n                    name: \'关井数\',\\n                    value: \'100\',\\n                 \\n                    itemStyle: {\\n                        normal: {\\n                            color: \'transparent\',\\n                            borderColor: \'rgba(2, 163, 243, 1)\', //底部外圆圈颜色\\n                            borderType: \'dashed\',\\n                            borderWidth: 2,\\n                        },\\n                    },\\n                },\\n            ],\\n        },\\n        {\\n            type: \'bar\',\\n            silent: true,\\n            barWidth: 140,\\n            barGap: \'-120%\',\\n            data: [\\n                {\\n                    name: \'\',\\n                    value: \'100\',\\n                 \\n                    label: {\\n                        normal: {\\n                            show: false,\\n                        },\\n                    },\\n                    itemStyle: {\\n                        normal: {\\n                            color: {\\n                                x: 1,\\n                                y: 1,\\n                                x2: 1,\\n                                y2: 0,\\n                                type: \'linear\',\\n                                global: false,\\n                                colorStops: [\\n                                    {\\n                                        offset: 0,\\n                                        color: \'rgba(0, 255, 136, 0)\',\\n                                    },\\n                                    {\\n                                        offset: 0.3,\\n                                        color: \'rgba(0, 255, 136, .1)\',\\n                                    },\\n                                    {\\n                                        offset: 0.5,\\n                                        color: \'rgba(0, 255, 136, .1)\',\\n                                    },\\n                                    {\\n                                        offset: 0.8,\\n                                        color: \'rgba(0, 255, 136, .1)\',\\n                                    },\\n                                    {\\n                                        offset: 1,\\n                                        color: \'rgba(0, 255, 136, 0)\', //底部渐变颜色\\n                                    },\\n                                ],\\n                            },\\n                        },\\n                    },\\n                },\\n            ],\\n        },\\n    ],\\n};\\n\",\"mapForm\":[{\"title\":\"销售人员\",\"value\":\"占位1\",\"fieldValue\":\"销售人员\",\"type\":\"zhibiao\"},{\"title\":\"填写单位\",\"value\":\"占位2\",\"fieldValue\":\"人\",\"type\":\"text\"}]}',1,1,'2023-02-11 22:16:53',1123598821738675201,'2023-02-20 12:37:12','管理员','000000'),(3,'自定义子弹图','https://windata.platomix.net/uploads/ec0bbbb1-acd0-4ac1-a2b2-0e727cf6b2fd.png','','1.0.0','{\"code\":\"option = {\\n    yAxis: [\\n        {\\n            type: \'category\',\\n            data: [\'利润\'],\\n            axisLine: {\\n                show: false,\\n            },\\n            axisTick: {\\n                show: false,\\n            },\\n        },\\n        {\\n            type: \'category\',\\n            data: [\'\'],\\n            axisLine: {\\n                show: false,\\n            },\\n            axisTick: {\\n                show: false,\\n            },\\n        },\\n    ],\\n    xAxis: {\\n        type: \'value\',\\n        axisLine: {\\n            show: false,\\n        },\\n        axisTick: {\\n            show: false,\\n        },\\n    },\\n    tooltip: {\\n        formatter: \'{a}: {c}\',\\n    },\\n    legend: {\\n        selectedMode: false,\\n    },\\n    grid: {\\n        containLabel: true,\\n        width: \'99%\',\\n        height: 120,\\n        left: 0,\\n        top: 50,\\n    },\\n    series: [\\n        {\\n            data: [originData[\'0\'][\'占位1\']],\\n            type: \'bar\',\\n            yAxisIndex: 1,\\n            barWidth: 60,\\n            color: \'bg1\',\\n            z: 3,\\n        },\\n        {\\n            type: \'scatter\',\\n            symbol: \'rect\',\\n            symbolSize: [8, 50],\\n            data: [originData[\'0\'][\'占位2\']],\\n            color: \'bg2\',\\n            hoverAnimation: false,\\n            z: 4,\\n        },\\n    ],\\n};\",\"mapForm\":[{\"name\":\"\",\"value\":\"占位1\",\"type\":\"zhibiao\",\"fieldValue\":\"销售金额\",\"title\":\"实际值\"},{\"name\":\"\",\"value\":\"占位2\",\"type\":\"zhibiao\",\"fieldValue\":\"销售数量\",\"title\":\"目标值\"},{\"name\":\"\",\"value\":\"bg1\",\"type\":\"color\",\"fieldValue\":\"rgba(199, 21, 133, 1)\",\"title\":\"柱子颜色\"},{\"name\":\"\",\"value\":\"bg2\",\"type\":\"color\",\"fieldValue\":\"rgba(0, 206, 209, 1)\",\"title\":\"高亮柱子颜色\"}]}',1,1,'2023-02-12 21:52:51',1123598821738675201,'2023-02-20 12:37:28','管理员','000000'),(4,'自定义横向百分比柱状图1','https://windata.platomix.net/uploads/b71c536c-81bd-4bbb-9e22-797e8ca447f7.png','','1.0.0','{\"code\":\"var data = originData[\'0\'][\'占位1\']; //百分比\\r\\noption = {\\r\\n    tooltip: {\\r\\n        trigger: \'none\'\\r\\n    },\\r\\n    yAxis: {\\r\\n        data: [\\\"百分比\\\"],\\r\\n        axisTick: {\\r\\n            show: false\\r\\n        },\\r\\n        axisLine: {\\r\\n            show: false\\r\\n        },\\r\\n        axisLabel: {\\r\\n            show: false,\\r\\n        }\\r\\n    },\\r\\n    xAxis: {\\r\\n        splitLine: {\\r\\n            show: false\\r\\n        },\\r\\n        axisTick: {\\r\\n            show: false\\r\\n        },\\r\\n        axisLine: {\\r\\n            show: false\\r\\n        },\\r\\n        axisLabel: {\\r\\n            show: false\\r\\n        }\\r\\n    },\\r\\n    series: [{\\r\\n        // name: \'最上层立体圆\',\\r\\n        type: \'pictorialBar\',\\r\\n        symbolSize: [ 10,30],\\r\\n        symbolOffset: [2, 0],\\r\\n        z: 12,\\r\\n        itemStyle: {\\r\\n            normal: {\\r\\n                color: \'#293CA0\'\\r\\n            }\\r\\n        },\\r\\n        data: [{\\r\\n            value: 100,\\r\\n            symbolPosition: \'end\'\\r\\n        }]\\r\\n    }, {\\r\\n        // name: \'中间立体圆\',\\r\\n        type: \'pictorialBar\',\\r\\n        symbolSize: [ 10,30],\\r\\n        symbolOffset: [2, 0],\\r\\n        z: 12,\\r\\n        itemStyle: {\\r\\n            normal: {\\r\\n                color: \'#B687F9\'\\r\\n            }\\r\\n        },\\r\\n        data: [{\\r\\n            value: data,\\r\\n            symbolPosition: \'end\'\\r\\n        }]\\r\\n    }, {\\r\\n        // name: \'最底部立体圆\',\\r\\n        type: \'pictorialBar\',\\r\\n        symbolSize: [ 10,30],\\r\\n        symbolOffset: [-4, 0],\\r\\n        z: 12,\\r\\n        itemStyle: {\\r\\n            normal: {\\r\\n                color: \'#A052FE\'\\r\\n            }\\r\\n        },\\r\\n        data: [100 - data]\\r\\n    }, {\\r\\n        name: \'底部立体柱\',\\r\\n        //底部立体柱\\r\\n        stack: \'1\',\\r\\n        type: \'bar\',\\r\\n        itemStyle: {\\r\\n                        normal: {\\r\\n                            color: new echarts.graphic.LinearGradient(0, 0, 1, 0, [{\\r\\n                                offset: 0,\\r\\n                                color: \'#CE7EFE\'\\r\\n                            }, {\\r\\n                                offset: 1,\\r\\n                                color: \'#7125FF\'\\r\\n                            }])\\r\\n                        },\\r\\n                    },\\r\\n        label: {\\r\\n            normal: {\\r\\n                show: true,\\r\\n                position: \'inside\',\\r\\n                offset: [-20, 0],\\r\\n                formatter: function(obj) {\\r\\n                    return (obj.value).toLocaleString() + \'%\';\\r\\n                },\\r\\n                textStyle: {\\r\\n                    align: \'center\',\\r\\n                    baseline: \'middle\',\\r\\n                    fontSize: 14,\\r\\n                    fontWeight: \'400\',\\r\\n                    color: \'#fff\',\\r\\n                    textShadowColor:\'#000\',\\r\\n                    textShadowBlur:\'0\',\\r\\n                    textShadowOffsetX:1,\\r\\n                    textShadowOffsetY:1,\\r\\n                }\\r\\n            },\\r\\n        },\\r\\n        \\r\\n        silent: true,\\r\\n        barWidth: 30,\\r\\n        barGap: \'-100%\', // Make series be overlap\\r\\n        data: [data]\\r\\n    }, {\\r\\n        name: \'上部立体柱\',\\r\\n        //上部立体柱\\r\\n        stack: \'1\',\\r\\n        type: \'bar\',\\r\\n        itemStyle: {\\r\\n            normal: {\\r\\n                color: \'#14257B\',\\r\\n                opacity: .7\\r\\n            }\\r\\n        },\\r\\n        silent: true,\\r\\n        barWidth: 30,\\r\\n        barGap: \'-100%\', // Make series be overlap\\r\\n        data: [100 - data],\\r\\n        // itemStyle: {\\r\\n        //     normal: {\\r\\n        //         color: \'rgba(29,67,243,1)\',\\r\\n        //     }\\r\\n        // },\\r\\n        label: {\\r\\n            normal: {\\r\\n                show: true,\\r\\n                position: \'inside\',\\r\\n                offset: [-20, 0],\\r\\n                formatter: function(obj) {\\r\\n                    return (obj.value).toLocaleString() + \'%\';\\r\\n                },\\r\\n                textStyle: {\\r\\n                    align: \'center\',\\r\\n                    baseline: \'middle\',\\r\\n                    fontSize: 14,\\r\\n                    fontWeight: \'400\',\\r\\n                    color: \'#fff\',\\r\\n                    textShadowColor:\'#000\',\\r\\n                    textShadowBlur:\'0\',\\r\\n                    textShadowOffsetX:1,\\r\\n                    textShadowOffsetY:1,\\r\\n                }\\r\\n            },\\r\\n        },\\r\\n    }]\\r\\n};\",\"mapForm\":[{\"name\":\"\",\"value\":\"占位1\",\"type\":\"zhibiao\",\"fieldValue\":\"销售金额\",\"title\":\"左侧百分比\"}]}',1,1,'2023-02-13 00:01:21',1123598821738675201,'2023-02-20 12:37:58','管理员','000000'),(5,'分割进度条','https://windata.platomix.net/uploads/4233e5b4-dba6-47b4-9204-f2f40adc0241.png','进度条','1.0.0','{\"code\":\"let backgroundColor = \'bg1\';\\nlet chartdata = [\\n    originData.map(v=>v[\'占位2\']),\\n    originData.map(v=>v[\'占位1\']),\\n];\\n\\nvar getmydmc = chartdata[1]; //数据点名称\\nvar getmyd = chartdata[0]; //收入金额\\nvar getmydzd = [];\\n\\nlet big = 0;\\ngetmyd.forEach((el) => {\\n    if (!(el === undefined || el === \'\')) {\\n        if (big < Number(el)) {\\n            big = Number(el);\\n        }\\n    }\\n});\\nfor (let i = 0; i < getmyd.length; i++) {\\n    getmydzd.push(big * 4);\\n}\\n//计算最大值\\nfunction calMax(arr) {\\n    let max = 0;\\n    arr.forEach((el) => {\\n        el.forEach((el1) => {\\n            if (!(el1 === undefined || el1 === \'\')) {\\n                if (max < Number(el1)) {\\n                    max = Number(el1);\\n                }\\n            }\\n        });\\n    });\\n    let maxint = Math.ceil(max / 9.5);\\n    //不让最高的值超过最上面的刻度\\n    let maxval = maxint * 10;\\n    //让显示的刻度是整数\\n    return maxval;\\n}\\n\\nvar max = Math.ceil(calMax([getmyd]) / 10) * 10;\\noption = {\\n    backgroundColor: backgroundColor,\\n    grid: {\\n        left: \'1%\',\\n        right: \'1%\',\\n        bottom: \'1%\',\\n        top: \'1%\',\\n        containLabel: true,\\n    },\\n    tooltip: {\\n        formatter: (params) => {\\n            if (params.name !== \'\') {\\n                return params.name + \' : \' + getmyd[params.dataIndex];\\n            }\\n        },\\n        textStyle: {\\n            align: \'left\',\\n        },\\n    },\\n    xAxis: [\\n        {\\n            type: \'value\',\\n            axisLabel: {\\n                show: false,\\n                color: \'#fff\',\\n                formatter: function (val) {\\n                    return val + \'\';\\n                },\\n                textStyle: {\\n                    fontSize: \'13\',\\n                },\\n            },\\n            min: 0,\\n            max: max, // 计算最大值\\n            interval: max / 5, //  平均分为5份\\n            splitNumber: 5,\\n            splitLine: {\\n                show: false,\\n                lineStyle: {\\n                    color: \'#fff\',\\n                },\\n            },\\n            axisLine: {\\n                show: false,\\n                lineStyle: {\\n                    color: \'#fff\',\\n                    width: 1,\\n                    opacity: 0.3,\\n                },\\n            },\\n            axisTick: {\\n                show: false,\\n            },\\n        },\\n        {\\n            type: \'value\',\\n            axisLabel: {\\n                show: false,\\n            },\\n            min: 0,\\n            max: max, // 计算最大值\\n            interval: max / 10, //  平均分为5份\\n            splitNumber: 10,\\n            splitLine: {\\n                show: false,\\n                lineStyle: {\\n                    type: \'dashed\',\\n                    color: \'#D8D8D8\',\\n                },\\n            },\\n            axisLine: {\\n                show: false,\\n                lineStyle: {\\n                    color: \'#fff\',\\n                },\\n            },\\n            axisTick: {\\n                show: false,\\n            },\\n        },\\n    ],\\n    yAxis: [\\n        {\\n            inverse: false,\\n            data: getmydmc,\\n            axisLabel: {\\n                padding: [0, 0, 40, 0],\\n                inside: true,\\n                textStyle: {\\n                    fontSize: 20,\\n                    fontFamily: \'PingFang SC\',\\n                    fontWeight: 400,\\n                    color: \'#B1C3DD\',\\n                    align: \'left\',\\n                },\\n\\n                formatter: \'{value}\\\\n{a|占位}\',\\n                rich: {\\n                    a: {\\n                        color: \'transparent\',\\n                        lineHeight: 30,\\n                        fontFamily: \'digital\',\\n                        fontSize: 20,\\n              shadowColor: \'rgba(0, 0, 0, 1)\',\\n                shadowBlur: 10,\\n                    },\\n                },\\n            },\\n            // offset: 0,\\n            splitLine: {\\n                show: false,\\n            },\\n            axisTick: {\\n                show: false,\\n            },\\n            axisLine: {\\n                show: false,\\n            },\\n        },\\n\\n        {\\n            //左侧柱状图的Y轴\\n            gridIndex: 0, //y轴所在的 grid 的索引\\n            splitLine: \'none\',\\n            axisTick: \'none\',\\n            axisLine: \'none\',\\n            data: getmyd,\\n            inverse: true,\\n            axisLabel: {\\n                show: true,\\n                verticalAlign: \'bottom\',\\n                align: \'right\',\\n                padding: [0, 10, 30, 0],\\n                textStyle: {\\n                    color: \'#fff\',\\n                    fontSize: \'20\',\\n                },\\n                formatter: function (value) {\\n                    return \'{x|\' + value + \'}  {y|\' + \'danwei}\';\\n                },\\n                rich: {\\n                    y: {\\n                        color: \'#3dffef\',\\n                        fontFamily: \'Orbitron\',\\n                        fontSize: 20,\\n                    },\\n                    x: {\\n                        color: \'#3dffef\',\\n                        fontFamily: \'Orbitron\',\\n                        fontSize: 20,\\n                    },\\n                },\\n            },\\n        },\\n    ],\\n    dataZoom: [\\n        {\\n            type: \'inside\',\\n            show: true,\\n            height: 15,\\n            start: 1,\\n            end: 100,\\n            orient: \'vertical\',\\n            zlevel: 66,\\n        },\\n    ],\\n    series: [\\n        {\\n            name: \'值\',\\n            type: \'bar\',\\n            barGap: \'-130%\',\\n            // zlevel: 1,\\n            xAxisIndex: 0,\\n            label: {\\n                show: false,\\n                position: \'right\',\\n                textStyle: {\\n                    color: \'#fff\',\\n                    fontSize: 20,\\n                },\\n            },\\n            itemStyle: {\\n                normal: {\\n                    barBorderRadius: 4,\\n                    color: {\\n                        colorStops: [\\n                            {\\n                                offset: 0,\\n                                color: \'#46B7ED\', // 0% 处的颜色\\n                            },\\n                            {\\n                                offset: 1,\\n                                color: \'#48EDD3\', // 100% 处的颜色\\n                            },\\n                        ],\\n                    },\\n                },\\n            },\\n            barWidth: 26,\\n            data: getmyd,\\n            z: 0,\\n        },\\n        {\\n            // 分隔\\n            type: \'pictorialBar\',\\n            symbolRotate: \'-20\',\\n            itemStyle: {\\n                normal: {\\n                    color: \'rgba(1, 12, 38, 0.4)\',\\n                },\\n            },\\n            symbolRepeat: \'fixed\',\\n            symbolMargin: 10,\\n            symbol: \'rect\',\\n            symbolClip: true,\\n            symbolSize: [5, 28],\\n            symbolPosition: \'start\',\\n            symbolOffset: [0, -1],\\n            data: getmyd,\\n            z: 66,\\n            animationEasing: \'elasticOut\',\\n        },\\n        {\\n            name: \'背景\',\\n            type: \'bar\',\\n            barWidth: 32,\\n            barGap: \'-110%\',\\n            data: getmydzd,\\n            itemStyle: {\\n                normal: {\\n                    color: \'rgba(5,59,113,.7)\',\\n                    barBorderRadius: 6,\\n                    borderColor: \'rgba(0, 255, 236, 1)\',\\n                },\\n            },\\n            z: -1,\\n        },\\n    ],\\n};\\n\",\"mapForm\":[{\"title\":\"销售人员\",\"value\":\"占位1\",\"type\":\"weidu\",\"fieldValue\":\"销售人员\"},{\"title\":\"销售金额\",\"value\":\"占位2\",\"type\":\"zhibiao\",\"fieldValue\":\"销售金额\"},{\"name\":\"\",\"value\":\"danwei\",\"type\":\"text\",\"fieldValue\":\"\",\"title\":\"单位\"},{\"name\":\"\",\"value\":\"bg1\",\"type\":\"color\",\"fieldValue\":\"\",\"title\":\"背景\"}]}',1,1,'2023-02-13 14:05:06',1123598821738675201,'2023-02-13 18:07:09','管理员','000000'),(7,'自定义蝴蝶图','https://windata.platomix.net/uploads/6b24bfa2-6360-4bb3-afc4-7065d409fbaf.png','一个维度两个指标之间的对比','1.0.0','{\"code\":\"let data = originData.map(v=>{\\r\\n   v.name = v[\'weidu\']\\r\\n   v.value = v[\'zhibiao1\']\\r\\n   return v\\r\\n})\\r\\nlet label = data.map((item) => {\\r\\n   return item.name\\r\\n})\\r\\nlet lineColor=\'linecolor1\'\\r\\nlet colors = [{\\r\\n        borderColor: \\\"rgba(0, 183, 238,1)\\\",\\r\\n        start: \\\"leftbarcolorstart\\\",\\r\\n        end: \\\"leftbarcolorend\\\"\\r\\n    },\\r\\n    {\\r\\n        borderColor: \\\"rgba(235, 204, 123,1)\\\",\\r\\n        start: \\\"rightbarcolorstart\\\",\\r\\n        end: \\\"rightbarcolorend\\\"\\r\\n    },\\r\\n];\\r\\noption = {\\r\\n    //backgroundColor: \'#012248\',\\r\\n    backgroundColor: \'bgcolor1\',\\r\\n    dataZoom: {\\r\\n        type: \'inside\',\\r\\n        start: 0,\\r\\n        end: 100,\\r\\n        yAxisIndex: [0]\\r\\n    },\\r\\n    tooltip: {\\r\\n        trigger: \'axis\',\\r\\n        axisPointer: {\\r\\n            // 坐标轴指示器，坐标轴触发有效\\r\\n            type: \'shadow\' // 默认为直线，可选为：\'line\' | \'shadow\'\\r\\n        }\\r\\n    },\\r\\n    legend: {\\r\\n        show: true,\\r\\n        icon: \'rect\',\\r\\n        itemWidth: 30,\\r\\n        itemHeight: 10,\\r\\n        itemGap: 9,\\r\\n        top: \'10\',\\r\\n        left: \'center\',\\r\\n        textStyle: {\\r\\n            fontSize: biaoqianfontsize,\\r\\n            color: \'biaoqianwenziyanse\'\\r\\n        },\\r\\n        data: [\'zhibiao1\', \'zhibiao2\'],\\r\\n    },\\r\\n    grid: [{\\r\\n        show: false,\\r\\n        left: \'5%\',\\r\\n        top: 60,\\r\\n        bottom: 60,\\r\\n        containLabel: true,\\r\\n        width: \'42%\'\\r\\n    }, {\\r\\n        show: false,\\r\\n        left: \'50.5%\', //调整中间文字位置\\r\\n        top: 80, //使中间文字对齐\\r\\n        bottom: 60,\\r\\n        width: \'0%\',\\r\\n    }, {\\r\\n        show: false,\\r\\n        right: \'5%\',\\r\\n        top: 60,\\r\\n        bottom: 60,\\r\\n        containLabel: true,\\r\\n        width: \'42%\'\\r\\n    }],\\r\\n    xAxis: [{\\r\\n        type: \'value\',\\r\\n        inverse: true,\\r\\n        axisLine: {\\r\\n            show: false\\r\\n        },\\r\\n        axisTick: {\\r\\n            show: false\\r\\n        },\\r\\n        position: \'top\',\\r\\n        axisLabel: {\\r\\n            show: true,\\r\\n            color: \'#fff\'\\r\\n        },\\r\\n        splitLine: {\\r\\n            show: true,\\r\\n            lineStyle: {\\r\\n                color: lineColor\\r\\n            }\\r\\n        },\\r\\n    }, {\\r\\n        gridIndex: 1,\\r\\n        show: false\\r\\n    }, {\\r\\n        gridIndex: 2,\\r\\n        axisLine: {\\r\\n            show: false\\r\\n        },\\r\\n        axisTick: {\\r\\n            show: false\\r\\n        },\\r\\n        position: \'top\',\\r\\n        axisLabel: {\\r\\n            show: true,\\r\\n            color: \'#fff\'\\r\\n        },\\r\\n        splitLine: {\\r\\n            show: true,\\r\\n            lineStyle: {\\r\\n                color: lineColor\\r\\n            }\\r\\n        },\\r\\n    }],\\r\\n    yAxis: [{\\r\\n        type: \'category\',\\r\\n        inverse: true,\\r\\n        position: \'right\',\\r\\n        axisLine: {\\r\\n            show: false,\\r\\n            lineStyle: {\\r\\n                color: lineColor\\r\\n            }\\r\\n        },\\r\\n\\r\\n        axisTick: {\\r\\n            show: false\\r\\n        },\\r\\n        axisLabel: {\\r\\n            show: false\\r\\n        },\\r\\n        data: label\\r\\n    }, {\\r\\n        gridIndex: 1,\\r\\n        type: \'category\',\\r\\n        inverse: true,\\r\\n        position: \'left\',\\r\\n        axisLine: {\\r\\n            show: false\\r\\n        },\\r\\n        axisTick: {\\r\\n            show: false\\r\\n        },\\r\\n        axisLabel: {\\r\\n            show: true,\\r\\n            textStyle: {\\r\\n                color: \'wdfontcolor\',\\r\\n                fontSize: wdfontsize,\\r\\n            },\\r\\n        },\\r\\n        data: label.map((value) => {\\r\\n            return {\\r\\n                value: value,\\r\\n                textStyle: {\\r\\n                    align: \'center\',\\r\\n                }\\r\\n            }\\r\\n        }\\r\\n        \\r\\n        )\\r\\n    }, {\\r\\n        gridIndex: 2,\\r\\n        type: \'category\',\\r\\n        inverse: true,\\r\\n        position: \'left\',\\r\\n        axisLine: {\\r\\n            show: false,\\r\\n            lineStyle: {\\r\\n                color: lineColor\\r\\n            }\\r\\n        },\\r\\n        axisTick: {\\r\\n            show: false\\r\\n        },\\r\\n        axisLabel: {\\r\\n            show: false\\r\\n\\r\\n        },\\r\\n        data: label\\r\\n    }],\\r\\n    series: [{\\r\\n            name: \'zhibiao1\',\\r\\n            type: \'bar\',\\r\\n            barWidth: \'zhuziwidth\',\\r\\n            stack: \'left\',\\r\\n            label: {\\r\\n                show: true,\\r\\n                fontSize: zb1fontsize,\\r\\n                distance: 10,\\r\\n                color: \'zb1wenzicolor\',\\r\\n                position: \'left\', //inside|right\\r\\n                formatter: (params) => {\\r\\n                    return params.value + \'zb1danwei\'\\r\\n                }\\r\\n            },\\r\\n            itemStyle: {\\r\\n                normal: {\\r\\n                    color: new echarts.graphic.LinearGradient(0, 0, 1, 0, [{\\r\\n                            offset: 0,\\r\\n                            color: colors[0].start\\r\\n                        },\\r\\n                        {\\r\\n                            offset: 1,\\r\\n                            color: colors[0].end\\r\\n                        }\\r\\n                    ]),\\r\\n                    // color:colors[0].borderColor\\r\\n                }\\r\\n            },\\r\\n            data: data\\r\\n        },\\r\\n        {\\r\\n            name: \'zhibiao2\',\\r\\n            type: \'bar\',\\r\\n            barWidth: \'zhuziwidth\',\\r\\n            stack: \'right\',\\r\\n            xAxisIndex: 2,\\r\\n            yAxisIndex: 2,\\r\\n            label: {\\r\\n                show: true,\\r\\n                fontSize: zb2fontsize,\\r\\n                distance: 10,\\r\\n                color: \'zb2wenzicolor\',\\r\\n                position: \'right\', //inside|right\\r\\n                formatter: (params) => {\\r\\n                    return params.value + \'zb2danwei\'\\r\\n                }\\r\\n            },\\r\\n            itemStyle: {\\r\\n                normal: {\\r\\n                    color: new echarts.graphic.LinearGradient(0, 0, 1, 0, [{\\r\\n                            offset: 0,\\r\\n                            color: colors[1].start\\r\\n                        },\\r\\n                        {\\r\\n                            offset: 1,\\r\\n                            color: colors[1].end\\r\\n                        }\\r\\n                    ]),\\r\\n                    // color:colors[1].borderColor\\r\\n                }\\r\\n            },\\r\\n            data: originData.map(v=>v[\'zhibiao2\'])\\r\\n        }\\r\\n    ]\\r\\n}\",\"mapForm\":[{\"title\":\"维度1\",\"value\":\"weidu\",\"type\":\"weidu\",\"fieldValue\":\"销售人员\"},{\"title\":\"指标1\",\"value\":\"zhibiao1\",\"type\":\"zhibiao\",\"fieldValue\":\"销售金额\"},{\"name\":\"\",\"value\":\"zhibiao2\",\"type\":\"zhibiao\",\"fieldValue\":\"销售数量\",\"title\":\"指标2\"},{\"name\":\"\",\"value\":\"bgcolor1\",\"type\":\"color\",\"fieldValue\":\"rgba(1, 34, 72, 1)\",\"title\":\"背景颜色\"},{\"name\":\"\",\"value\":\"biaoqianfontsize\",\"type\":\"number\",\"fieldValue\":10,\"title\":\"标签文字大小\"},{\"name\":\"\",\"value\":\"linecolor1\",\"type\":\"color\",\"fieldValue\":\"rgba(205, 203, 203, 0.39)\",\"title\":\"线的颜色\"},{\"name\":\"\",\"value\":\"wdfontsize\",\"type\":\"number\",\"fieldValue\":8,\"title\":\"维度文字大小\"},{\"name\":\"\",\"value\":\"wdfontcolor\",\"type\":\"color\",\"fieldValue\":\"rgba(255, 255, 255, 1)\",\"title\":\"维度文字颜色\"},{\"name\":\"\",\"value\":\"zb1danwei\",\"type\":\"text\",\"fieldValue\":\" 元\",\"title\":\"指标1单位\"},{\"name\":\"\",\"value\":\"zb1fontsize\",\"type\":\"number\",\"fieldValue\":10,\"title\":\"指标1文字大小\"},{\"name\":\"\",\"value\":\"zb1wenzicolor\",\"type\":\"color\",\"fieldValue\":\"rgba(255, 255, 255, 1)\",\"title\":\"指标1文字颜色\"},{\"name\":\"\",\"value\":\"zb2danwei\",\"type\":\"text\",\"fieldValue\":\" 元\",\"title\":\"指标2单位\"},{\"name\":\"\",\"value\":\"zb2fontsize\",\"type\":\"number\",\"fieldValue\":10,\"title\":\"指标2文字大小\"},{\"name\":\"\",\"value\":\"zb2wenzicolor\",\"type\":\"color\",\"fieldValue\":\"rgba(255, 255, 255, 1)\",\"title\":\"指标2文字颜色\"},{\"name\":\"\",\"value\":\"biaoqianwenziyanse\",\"type\":\"color\",\"fieldValue\":\"#F1F1F3\",\"title\":\"标签文字颜色\"},{\"name\":\"\",\"value\":\"zhuziwidth\",\"type\":\"number\",\"fieldValue\":\"10\",\"title\":\"柱子宽度\"},{\"name\":\"\",\"value\":\"leftbarcolorstart\",\"type\":\"color\",\"fieldValue\":\"rgba(0, 183, 238,0.3)\",\"title\":\"左柱开始颜色\"},{\"name\":\"\",\"value\":\"leftbarcolorend\",\"type\":\"color\",\"fieldValue\":\"rgba(0, 183, 238,0.9)\",\"title\":\"左柱结束颜色\"},{\"name\":\"\",\"value\":\"rightbarcolorstart\",\"type\":\"color\",\"fieldValue\":\"rgba(235, 204, 123,0.9)\",\"title\":\"右柱开始颜色\"},{\"name\":\"\",\"value\":\"rightbarcolorend\",\"type\":\"color\",\"fieldValue\":\"rgba(235, 204, 123,0.3)\",\"title\":\"右柱结束颜色\"}]}',1,1,'2023-02-13 16:46:01',1123598821738675201,'2023-02-20 12:36:59','管理员','000000'),(9,'自定义横向进度条2','https://windata.platomix.net/uploads/5727cc79-068e-4c3c-b0cc-1a8cf70fb6e8.png','','1.0.0','{\"code\":\"option = {\\n    grid: {\\n        left: \'5%\',\\n        right: \'5%\',\\n        //bottom: \'1%\',\\n        //top: \'1%\',\\n        containLabel: true,\\n    },\\n    backgroundColor: \'bgcolor1\',\\n    xAxis: {\\n        show: false,\\n        type: \'value\',\\n        max: maxnum,\\n    },\\n    yAxis: [\\n        {\\n            type: \'category\',\\n            inverse: true,\\n            axisLabel: {\\n                show: true,\\n                textStyle: {\\n                    fontSize: \'fontsize1\',\\n                    color: \'fontcolor1\',\\n                },\\n            },\\n            splitLine: {\\n                show: false,\\n            },\\n            axisTick: {\\n                show: false,\\n            },\\n            axisLine: {\\n                show: false,\\n            },\\n            data: [\'zhibiao1\'],\\n        },\\n        {\\n            type: \'category\',\\n            inverse: true,\\n            axisTick: \'none\',\\n            axisLine: \'none\',\\n            show: true,\\n            data: [originData[\'0\'][\'zhibiao1\']],\\n        },\\n    ],\\n    series: [\\n        {\\n            type: \'bar\',\\n            showBackground: true,\\n            backgroundStyle: {\\n                   color: \'rgba(180, 180, 180, 0.2)\',\\n                   borderRadius:barradius\\n            },\\n            label:{\\n                show:true,\\n                position:\'right\',\\n                formatter:\'{@score}%\',\\n                textStyle: {\\n                    color: \'fontcolor1\',\\n                    fontSize: \'fontsize1\',\\n                },\\n            },\\n            itemStyle: {\\n                normal: {\\n                    barBorderRadius: barradius,\\n                    color: new echarts.graphic.LinearGradient(1, 0, 0, 0, [\\n                        {\\n                            offset: 0,\\n                            color: \'colorstart\',\\n                        },\\n                        {\\n                            offset: 1,\\n                            color: \'colorend\',\\n                        },\\n                    ]),\\n                },\\n            },\\n            barWidth: barwidth1,\\n            data: [originData[\'0\'][\'zhibiao1\']],\\n        },\\n    ],\\n};\\n\\n\",\"mapForm\":[{\"title\":\"指标1\",\"value\":\"zhibiao1\",\"type\":\"zhibiao\",\"fieldValue\":\"销售金额\"},{\"name\":\"\",\"value\":\"fontsize1\",\"type\":\"number\",\"fieldValue\":10,\"title\":\"文字大小\"},{\"name\":\"\",\"value\":\"fontcolor1\",\"type\":\"color\",\"fieldValue\":\"#03fcfe\",\"title\":\"文字颜色\"},{\"name\":\"\",\"value\":\"maxnum\",\"type\":\"number\",\"fieldValue\":100,\"title\":\"最大值\"},{\"name\":\"\",\"value\":\"colorstart\",\"type\":\"color\",\"fieldValue\":\"#1badf9\",\"title\":\"渐变色开始\"},{\"name\":\"\",\"value\":\"colorend\",\"type\":\"color\",\"fieldValue\":\"#03fcfe\",\"title\":\"渐变色结束\"},{\"name\":\"\",\"value\":\"bgcolor1\",\"type\":\"color\",\"fieldValue\":\"rgba(16, 17, 41, 1)\",\"title\":\"背景颜色\"},{\"name\":\"\",\"value\":\"barwidth1\",\"type\":\"number\",\"fieldValue\":20,\"title\":\"柱宽\"},{\"name\":\"\",\"value\":\"barradius\",\"type\":\"number\",\"fieldValue\":10,\"title\":\"柱子圆角\"},{\"name\":\"\",\"value\":\"shadowcolor\",\"type\":\"color\",\"fieldValue\":\"rgba(180, 180, 180, 0.2)\",\"title\":\"阴影颜色\"}]}',1,1,'2023-02-14 11:24:22',1123598821738675201,'2023-02-20 12:38:08','管理员','000000'),(11,'自定义立体柱状图','https://windata.platomix.net/uploads/fe68ef97-555d-424c-8c17-6da2b96aa0c8.png','','1.0.0','{\"code\":\"const offsetX = 20;\\nconst offsetY = 10;\\nconst primaryColor = \\\"25,155,172\\\"\\nconst isMaxShow = true;\\n// 绘制左侧面\\nconst CubeLeft = echarts.graphic.extendShape({\\n\\tshape: {\\n\\t\\tx: 0,\\n\\t\\ty: 0,\\n\\t},\\n\\tbuildPath: function(ctx, shape) {\\n\\t\\t// 会canvas的应该都能看得懂，shape是从custom传入的\\n\\t\\tconst xAxisPoint = shape.xAxisPoint;\\n\\t\\t// console.log(shape);\\n\\t\\tconst c0 = [shape.x, shape.y];\\n\\t\\tconst c1 = [shape.x - offsetX, shape.y - offsetY];\\n\\t\\tconst c2 = [xAxisPoint[0] - offsetX, xAxisPoint[1] - offsetY];\\n\\t\\tconst c3 = [xAxisPoint[0], xAxisPoint[1]];\\n\\t\\tctx.moveTo(c0[0], c0[1]).lineTo(c1[0], c1[1]).lineTo(c2[0], c2[1]).lineTo(c3[0], c3[1]).closePath();\\n\\t},\\n});\\n// 绘制右侧面\\nconst CubeRight = echarts.graphic.extendShape({\\n\\tshape: {\\n\\t\\tx: 0,\\n\\t\\ty: 0,\\n\\t},\\n\\tbuildPath: function(ctx, shape) {\\n\\t\\tconst xAxisPoint = shape.xAxisPoint;\\n\\t\\tconst c1 = [shape.x, shape.y];\\n\\t\\tconst c2 = [xAxisPoint[0], xAxisPoint[1]];\\n\\t\\tconst c3 = [xAxisPoint[0] + offsetX, xAxisPoint[1] - offsetY];\\n\\t\\tconst c4 = [shape.x + offsetX, shape.y - offsetY];\\n\\t\\tctx.moveTo(c1[0], c1[1]).lineTo(c2[0], c2[1]).lineTo(c3[0], c3[1]).lineTo(c4[0], c4[1]).closePath();\\n\\t},\\n});\\n// 绘制顶面\\nconst CubeTop = echarts.graphic.extendShape({\\n\\tshape: {\\n\\t\\tx: 0,\\n\\t\\ty: 0,\\n\\t},\\n\\tbuildPath: function(ctx, shape) {\\n\\t\\tconst c1 = [shape.x, shape.y];\\n\\t\\tconst c2 = [shape.x + offsetX, shape.y - offsetY]; //右点\\n\\t\\tconst c3 = [shape.x, shape.y - offsetX];\\n\\t\\tconst c4 = [shape.x - offsetX, shape.y - offsetY];\\n\\t\\tctx.moveTo(c1[0], c1[1]).lineTo(c2[0], c2[1]).lineTo(c3[0], c3[1]).lineTo(c4[0], c4[1]).closePath();\\n\\t},\\n});\\n// 注册三个面图形\\necharts.graphic.registerShape(\'CubeLeft\', CubeLeft);\\necharts.graphic.registerShape(\'CubeRight\', CubeRight);\\necharts.graphic.registerShape(\'CubeTop\', CubeTop);\\n\\n\\n//const VALUE = [500, 200, 300, 400, 300, 200, 100]\\nconst VALUE = originData.map(v=>v[\'zhibiao\'])\\nconst max1= Math.max.apply(null,VALUE)\\n//alert(max1)\\nlet MAX = []\\nfor(var i=0;i<VALUE.length;i++){\\n  MAX.push(max1)\\n};\\n\\noption = {\\n\\tbackgroundColor: \'#012366\',\\n\\ttooltip: {\\n\\t\\ttrigger: \'axis\',\\n\\t\\taxisPointer: {\\n\\t\\t\\ttype: \'shadow\',\\n\\t\\t},\\n\\t\\tformatter: function(params, ticket, callback) {\\n\\t\\t\\tconst item = params[1];\\n\\t\\t\\treturn item.name + \' : \' + item.value;\\n\\t\\t},\\n\\t},\\n\\tgrid: {\\n\\t\\tleft: \'10%\',\\n\\t\\tright: \'10%\',\\n\\t\\ttop: \'15%\',\\n\\t\\tbottom: \'10%\',\\n\\t\\tcontainLabel: true,\\n\\t},\\n\\txAxis: {\\n\\t\\ttype: \'category\',\\n\\t\\t//data: [\'1001\', \'1002\', \'1003\', \'1004\', \'1005\', \'1006\', \'1007\'],\\n\\t\\tdata: originData.map(v=>v[\'weidu\']),\\n\\t\\taxisLine: {\\n\\t\\t\\tshow: true,\\n\\t\\t\\tlineStyle: {\\n\\t\\t\\t\\twidth: 2,\\n\\t\\t\\t\\tcolor: \'#2B7BD6\',\\n\\t\\t\\t},\\n\\t\\t},\\n\\t\\taxisTick: {\\n\\t\\t\\tshow: false,\\n\\t\\t},\\n\\t\\taxisLabel: {\\n\\t\\t\\tfontSize: 14,\\n\\t\\t},\\n\\t},\\n\\tyAxis: {\\n\\t\\ttype: \'value\',\\n\\t\\taxisLine: {\\n\\t\\t\\tshow: true,\\n\\t\\t\\tlineStyle: {\\n\\t\\t\\t\\twidth: 2,\\n\\t\\t\\t\\tcolor: \'#2B7BD6\',\\n\\t\\t\\t},\\n\\t\\t},\\n\\t\\tsplitLine: {\\n\\t\\t\\tshow: true,\\n\\t\\t\\tlineStyle: {\\n\\t\\t\\t\\tcolor: \'#153D7D\',\\n\\t\\t\\t},\\n\\t\\t},\\n\\t\\taxisTick: {\\n\\t\\t\\tshow: false,\\n\\t\\t},\\n\\t\\taxisLabel: {\\n\\t\\t\\tfontSize: 14,\\n\\t\\t},\\n\\t\\t// boundaryGap: [\'20%\', \'20%\'],\\n\\t},\\n\\tseries: [\\n\\n\\t\\tisMaxShow ? {\\n\\t\\t\\t// 最大高度\\n\\t\\t\\ttype: \'custom\',\\n\\t\\t\\trenderItem: function(params, api) {\\n\\t\\t\\t\\tconst location = api.coord([api.value(0), api.value(1)])\\n\\t\\t\\t\\treturn {\\n\\t\\t\\t\\t\\ttype: \'group\',\\n\\t\\t\\t\\t\\tchildren: [{\\n\\t\\t\\t\\t\\t\\ttype: \'CubeLeft\',\\n\\t\\t\\t\\t\\t\\tshape: {\\n\\t\\t\\t\\t\\t\\t\\tapi,\\n\\t\\t\\t\\t\\t\\t\\tx: location[0],\\n\\t\\t\\t\\t\\t\\t\\ty: location[1],\\n\\t\\t\\t\\t\\t\\t\\txAxisPoint: api.coord([api.value(0), 0])\\n\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\tstyle: {\\n\\t\\t\\t\\t\\t\\t\\tfill: `rgba(${primaryColor}, .1)`\\n\\t\\t\\t\\t\\t\\t}\\n\\t\\t\\t\\t\\t}, {\\n\\t\\t\\t\\t\\t\\ttype: \'CubeRight\',\\n\\t\\t\\t\\t\\t\\tshape: {\\n\\t\\t\\t\\t\\t\\t\\tapi,\\n\\t\\t\\t\\t\\t\\t\\tx: location[0],\\n\\t\\t\\t\\t\\t\\t\\ty: location[1],\\n\\t\\t\\t\\t\\t\\t\\txAxisPoint: api.coord([api.value(0), 0])\\n\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\tstyle: {\\n\\t\\t\\t\\t\\t\\t\\tfill: `rgba(${primaryColor}, .3)`\\n\\t\\t\\t\\t\\t\\t}\\n\\t\\t\\t\\t\\t}, {\\n\\t\\t\\t\\t\\t\\ttype: \'CubeTop\',\\n\\t\\t\\t\\t\\t\\tshape: {\\n\\t\\t\\t\\t\\t\\t\\tapi,\\n\\t\\t\\t\\t\\t\\t\\tx: location[0],\\n\\t\\t\\t\\t\\t\\t\\ty: location[1],\\n\\t\\t\\t\\t\\t\\t\\txAxisPoint: api.coord([api.value(0), 0])\\n\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\tstyle: {\\n\\t\\t\\t\\t\\t\\t\\tfill: `rgba(${primaryColor}, .4)`\\n\\t\\t\\t\\t\\t\\t}\\n\\t\\t\\t\\t\\t}]\\n\\t\\t\\t\\t}\\n\\t\\t\\t},\\n\\t\\t\\tdata: MAX\\n\\t\\t} : null,\\n\\t\\t{\\n\\t\\t\\t// 实际高度\\n\\t\\t\\ttype: \'custom\',\\n\\t\\t\\trenderItem: (params, api) => {\\n\\t\\t\\t\\tconst location = api.coord([api.value(0), api.value(1)]);\\n\\t\\t\\t\\treturn {\\n\\t\\t\\t\\t\\ttype: \'group\',\\n\\t\\t\\t\\t\\tchildren: [{\\n\\t\\t\\t\\t\\t\\t\\ttype: \'CubeLeft\',\\n\\t\\t\\t\\t\\t\\t\\tshape: {\\n\\t\\t\\t\\t\\t\\t\\t\\tapi,\\n\\t\\t\\t\\t\\t\\t\\t\\txValue: api.value(0),\\n\\t\\t\\t\\t\\t\\t\\t\\tyValue: api.value(1),\\n\\t\\t\\t\\t\\t\\t\\t\\tx: location[0],\\n\\t\\t\\t\\t\\t\\t\\t\\ty: location[1],\\n\\t\\t\\t\\t\\t\\t\\t\\txAxisPoint: api.coord([api.value(0), 0]),\\n\\t\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t\\tstyle: {\\n\\t\\t\\t\\t\\t\\t\\t\\tfill: `rgba(${primaryColor}, .5)`\\n\\t\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t{\\n\\t\\t\\t\\t\\t\\t\\ttype: \'CubeRight\',\\n\\t\\t\\t\\t\\t\\t\\tshape: {\\n\\t\\t\\t\\t\\t\\t\\t\\tapi,\\n\\t\\t\\t\\t\\t\\t\\t\\txValue: api.value(0),\\n\\t\\t\\t\\t\\t\\t\\t\\tyValue: api.value(1),\\n\\t\\t\\t\\t\\t\\t\\t\\tx: location[0],\\n\\t\\t\\t\\t\\t\\t\\t\\ty: location[1],\\n\\t\\t\\t\\t\\t\\t\\t\\txAxisPoint: api.coord([api.value(0), 0]),\\n\\t\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t\\tstyle: {\\n\\t\\t\\t\\t\\t\\t\\t\\tfill: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\toffset: 0,\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tcolor: `rgba(${primaryColor},1)`,\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t{\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\toffset: 1,\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tcolor: `rgba(${primaryColor},.5)`,\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t\\t\\t]),\\n\\t\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t{\\n\\t\\t\\t\\t\\t\\t\\ttype: \'CubeTop\',\\n\\t\\t\\t\\t\\t\\t\\tshape: {\\n\\t\\t\\t\\t\\t\\t\\t\\tapi,\\n\\t\\t\\t\\t\\t\\t\\t\\txValue: api.value(0),\\n\\t\\t\\t\\t\\t\\t\\t\\tyValue: api.value(1),\\n\\t\\t\\t\\t\\t\\t\\t\\tx: location[0],\\n\\t\\t\\t\\t\\t\\t\\t\\ty: location[1],\\n\\t\\t\\t\\t\\t\\t\\t\\txAxisPoint: api.coord([api.value(0), 0]),\\n\\t\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t\\tstyle: {\\n\\t\\t\\t\\t\\t\\t\\t\\tfill: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\toffset: 0,\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t// \\t\\t\\t\\tcolor: \'#43C4F1\',\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tcolor: `rgba(${primaryColor},1)`\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t{\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\toffset: 1,\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tcolor: `rgba(${primaryColor},1)`,\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t\\t\\t]),\\n\\t\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\t],\\n\\t\\t\\t\\t};\\n\\t\\t\\t},\\n\\t\\t\\tdata: VALUE,\\n\\t\\t},\\n\\t\\t{\\n\\t\\t\\ttype: \'bar\',\\n\\t\\t\\tlabel: {\\n\\t\\t\\t\\tnormal: {\\n\\t\\t\\t\\t\\tshow: true,\\n\\t\\t\\t\\t\\tposition: \'top\',\\n\\t\\t\\t\\t\\tformatter: (e) => {\\n\\t\\t\\t\\t\\t\\treturn e.value + \'danwei\';\\n\\t\\t\\t\\t\\t\\t/*console.log(e)\\n\\t\\t\\t\\t\\t\\tswitch (e.name) {\\n\\t\\t\\t\\t\\t\\t    case \'1001\':\\n\\t\\t\\t\\t\\t\\t        return e.value;\\n\\t\\t\\t\\t\\t\\t    case \'1002\':\\n\\t\\t\\t\\t\\t\\t        return VALUE[1];\\n\\t\\t\\t\\t\\t\\t    case \'1003\':\\n\\t\\t\\t\\t\\t\\t        return VALUE[2];\\n\\t\\t\\t\\t\\t\\t}*/\\n\\t\\t\\t\\t\\t},\\n\\t\\t\\t\\t\\tfontSize: 16,\\n\\t\\t\\t\\t\\tcolor: \'#43C4F1\',\\n\\t\\t\\t\\t\\toffset: [0, -25],\\n\\t\\t\\t\\t},\\n\\t\\t\\t},\\n\\t\\t\\titemStyle: {\\n\\t\\t\\t\\tcolor: \'transparent\',\\n\\t\\t\\t},\\n\\t\\t\\ttooltip: {},\\n\\t\\t\\tdata: VALUE,\\n\\t\\t},\\n\\t],\\n};\",\"mapForm\":[{\"title\":\"销售人员\",\"value\":\"weidu\",\"type\":\"weidu\",\"fieldValue\":\"销售人员\"},{\"title\":\"销售金额\",\"value\":\"zhibiao\",\"type\":\"zhibiao\",\"fieldValue\":\"销售金额\"},{\"name\":\"\",\"value\":\"danwei\",\"type\":\"text\",\"fieldValue\":\"元\",\"title\":\"单位\"}]}',1,1,'2023-02-14 14:27:30',1123598821738675201,'2023-02-15 14:29:08','管理员','000000'),(14,'3D地图','https://windata.platomix.net/uploads/19c02860-9bc1-4cc8-982a-d0f7bd8bcf60.jpeg','','1.0.0','{\"code\":\"        echarts.registerMap(\\\"丹东\\\", getData());\\r\\n      let data = getData().features.map((item) => {\\r\\n        return {\\r\\n          name: item.properties.name,\\r\\n        };\\r\\n      });\\r\\n     \\r\\n      const points = [\\r\\n            [116.289929,40.265374],\\r\\n            [116.754101,40.063877],\\r\\n            [116.229504,39.764735],\\r\\n            [115.883434,39.899721]\\r\\n    ]\\r\\n    option = {\\r\\n        geo: [\\r\\n          {\\r\\n            map: \\\"丹东\\\",\\r\\n            aspectScale: 1,\\r\\n            zoom: 0.65,\\r\\n            layoutCenter: [\\\"50%\\\", \\\"50%\\\"],\\r\\n            layoutSize: \\\"180%\\\",\\r\\n            show: true,\\r\\n            roam: false,\\r\\n            label: {\\r\\n              emphasis: {\\r\\n                show: false,\\r\\n              },\\r\\n            },\\r\\n            itemStyle: {\\r\\n              normal: {\\r\\n                borderColor: \\\"#c0f3fb\\\",\\r\\n                borderWidth: 1,\\r\\n                shadowColor: \\\"#8cd3ef\\\",\\r\\n                shadowOffsetY: 10,\\r\\n                shadowBlur: 120,\\r\\n                areaColor: \\\"transparent\\\",\\r\\n              },\\r\\n            }\\r\\n          },\\r\\n          // 重影\\r\\n          {\\r\\n            type: \\\"map\\\",\\r\\n            map: \\\"丹东\\\",\\r\\n            zlevel: -1,\\r\\n            aspectScale: 1,\\r\\n            zoom: 0.65,\\r\\n            layoutCenter: [\\\"50%\\\", \\\"51%\\\"],\\r\\n            layoutSize: \\\"180%\\\",\\r\\n            roam: false,\\r\\n            silent: true,\\r\\n            itemStyle: {\\r\\n              normal: {\\r\\n                borderWidth: 1,\\r\\n                // borderColor:\\\"rgba(17, 149, 216,0.6)\\\",\\r\\n                borderColor: \\\"rgba(58,149,253,0.8)\\\",\\r\\n                shadowColor: \\\"rgba(172, 122, 255,0.5)\\\",\\r\\n                shadowOffsetY: 5,\\r\\n                shadowBlur: 15,\\r\\n                areaColor: \\\"rgba(5,21,35,0.1)\\\",\\r\\n              },\\r\\n            },\\r\\n          },\\r\\n          {\\r\\n            type: \\\"map\\\",\\r\\n            map: \\\"丹东\\\",\\r\\n            zlevel: -2,\\r\\n            aspectScale: 1,\\r\\n            zoom: 0.65,\\r\\n            layoutCenter: [\\\"50%\\\", \\\"52%\\\"],\\r\\n            layoutSize: \\\"180%\\\",\\r\\n            roam: false,\\r\\n            silent: true,\\r\\n            itemStyle: {\\r\\n              normal: {\\r\\n                borderWidth: 1,\\r\\n                // borderColor: \\\"rgba(57, 132, 188,0.4)\\\",\\r\\n                borderColor: \\\"rgba(58,149,253,0.6)\\\",\\r\\n                shadowColor: \\\"rgba(65, 214, 255,1)\\\",\\r\\n                shadowOffsetY: 5,\\r\\n                shadowBlur: 15,\\r\\n                areaColor: \\\"transpercent\\\",\\r\\n              },\\r\\n            },\\r\\n          },\\r\\n          {\\r\\n            type: \\\"map\\\",\\r\\n            map: \\\"丹东\\\",\\r\\n            zlevel: -3,\\r\\n            aspectScale: 1,\\r\\n            zoom: 0.65,\\r\\n            layoutCenter: [\\\"50%\\\", \\\"53%\\\"],\\r\\n            layoutSize: \\\"180%\\\",\\r\\n            roam: false,\\r\\n            silent: true,\\r\\n            itemStyle: {\\r\\n              normal: {\\r\\n                borderWidth: 1,\\r\\n                // borderColor: \\\"rgba(11, 43, 97,0.8)\\\",\\r\\n                borderColor: \\\"rgba(58,149,253,0.4)\\\",\\r\\n                shadowColor: \\\"rgba(58,149,253,1)\\\",\\r\\n                shadowOffsetY: 15,\\r\\n                shadowBlur: 10,\\r\\n                areaColor: \\\"transpercent\\\",\\r\\n              },\\r\\n            },\\r\\n          },\\r\\n          {\\r\\n            type: \\\"map\\\",\\r\\n            map: \\\"丹东\\\",\\r\\n            zlevel: -4,\\r\\n            aspectScale: 1,\\r\\n            zoom: 0.65,\\r\\n            layoutCenter: [\\\"50%\\\", \\\"54%\\\"],\\r\\n            layoutSize: \\\"180%\\\",\\r\\n            roam: false,\\r\\n            silent: true,\\r\\n            itemStyle: {\\r\\n              normal: {\\r\\n                borderWidth: 5,\\r\\n                // borderColor: \\\"rgba(11, 43, 97,0.8)\\\",\\r\\n                borderColor: \\\"rgba(5,9,57,0.8)\\\",\\r\\n                shadowColor: \\\"rgba(29, 111, 165,0.8)\\\",\\r\\n                shadowOffsetY: 15,\\r\\n                shadowBlur: 10,\\r\\n                areaColor: \\\"rgba(5,21,35,0.1)\\\",\\r\\n              },\\r\\n            },\\r\\n          },\\r\\n        ],\\r\\n        series: [\\r\\n          {\\r\\n            name: \\\"丹东市数据\\\",\\r\\n            type: \\\"map\\\",\\r\\n            map: \\\"丹东\\\", // 自定义扩展图表类型\\r\\n            aspectScale: 1,\\r\\n            zoom: 0.65, // 缩放\\r\\n            showLegendSymbol: true,\\r\\n            label: {\\r\\n              normal: {\\r\\n                show: true,\\r\\n                textStyle: { color: \\\"#fff\\\", fontSize: \\\"120%\\\" },\\r\\n              },\\r\\n              emphasis: {\\r\\n                // show: false,\\r\\n              },\\r\\n            },\\r\\n            itemStyle: {\\r\\n              normal: {\\r\\n                areaColor: {\\r\\n                  type: \\\"linear\\\",\\r\\n                  x: 1200,\\r\\n                  y: 0,\\r\\n                  x2: 0,\\r\\n                  y2: 0,\\r\\n                  colorStops: [\\r\\n                    {\\r\\n                      offset: 0,\\r\\n                      color: \\\"rgba(3,27,78,0.75)\\\", // 0% 处的颜色\\r\\n                    },\\r\\n                    {\\r\\n                      offset: 1,\\r\\n                      color: \\\"rgba(58,149,253,0.75)\\\", // 50% 处的颜色\\r\\n                    },\\r\\n                  ],\\r\\n                  global: true, // 缺省为 false\\r\\n                },\\r\\n                borderColor: \\\"#fff\\\",\\r\\n                borderWidth: 0.2,\\r\\n              },\\r\\n              emphasis: {\\r\\n                show: false,\\r\\n                color: \\\"#fff\\\",\\r\\n                areaColor: \\\"rgba(0,254,233,0.6)\\\",\\r\\n              },\\r\\n            },\\r\\n            layoutCenter: [\\\"50%\\\", \\\"50%\\\"],\\r\\n            layoutSize: \\\"180%\\\",\\r\\n            markPoint: {\\r\\n              symbol: \\\"none\\\",\\r\\n            },\\r\\n            data: data,\\r\\n          },\\r\\n          {\\r\\n              type: \'lines\',\\r\\n                zlevel: 2,\\r\\n                effect: {\\r\\n                  show: true,\\r\\n                  period: 4, //箭头指向速度，值越小速度越快\\r\\n                  trailLength: 0.02, //特效尾迹长度[0,1]值越大，尾迹越长重\\r\\n                  symbol: \'arrow\', //箭头图标\\r\\n                  symbolSize: 6 //图标大小\\r\\n                },\\r\\n                lineStyle: {\\r\\n                  normal: {\\r\\n                    color: \'rgba(255, 200, 113, 1)\',\\r\\n                    width: 2, //尾迹线条宽度\\r\\n                    opacity: 1, //尾迹线条透明度\\r\\n                    curveness: 0.3, //尾迹线条曲直度\\r\\n                    shadowColor: \'rgba(255, 200, 113, 0.2)\',\\r\\n                    shadowBlur: 10\\r\\n                  }\\r\\n                },\\r\\n                data: [\\r\\n                    [\\r\\n                        points[0],\\r\\n                        points[1],\\r\\n                    ],\\r\\n                    [\\r\\n                        points[0],\\r\\n                        points[2],\\r\\n                    ],\\r\\n                    [\\r\\n                        points[0],\\r\\n                        points[3],\\r\\n                    ],\\r\\n                ],\\r\\n            },\\r\\n            { // 动效散点公共配置项\\r\\n              silent: true, // 暂不支持鼠标交互\\r\\n              type: \'effectScatter\',\\r\\n              coordinateSystem: \'geo\',\\r\\n              rippleEffect: {\\r\\n                //涟漪特效\\r\\n                period: 4, //动画时间，值越小速度越快\\r\\n                // brushType: \'stroke\', //波纹绘制方式 stroke, fill\\r\\n                scale: 5 //波纹圆环最大限制，值越大波纹越大\\r\\n              },\\r\\n              label: {\\r\\n                normal: {\\r\\n                  show: true,\\r\\n                  position: \'right\', //显示位置\\r\\n                  offset: [5, 0], //偏移设置\\r\\n                  formatter: function (params) {\\r\\n                    //圆环显示文字\\r\\n                    return params.data.name\\r\\n                  },\\r\\n                  fontSize: 13,\\r\\n                  color: \'white\'\\r\\n                },\\r\\n                emphasis: {\\r\\n                  show: true\\r\\n                }\\r\\n              },\\r\\n              symbol: \'circle\',\\r\\n              symbolSize: 10,\\r\\n              itemStyle: {\\r\\n                normal: {\\r\\n                  show: false,\\r\\n                  borderWidth: 1,\\r\\n                  color: \'rgba(255, 86, 11, 1)\'\\r\\n                }\\r\\n              },\\r\\n              data: [\\r\\n                {\\r\\n                  name:\\\"城市A\\\",\\r\\n                  value:[\\r\\n                            ...points[0],\\r\\n                            323\\r\\n                        ]\\r\\n                },\\r\\n                {\\r\\n                  name:\\\"城市B\\\",\\r\\n                  value:[\\r\\n                            ...points[1],\\r\\n                            323\\r\\n                        ]\\r\\n                },\\r\\n\\r\\n                {\\r\\n                  name:\\\"城市C\\\",\\r\\n                  value:[\\r\\n                            ...points[2],\\r\\n                            323\\r\\n                        ]\\r\\n                },\\r\\n                {\\r\\n                  name:\\\"城市C\\\",\\r\\n                  value:[\\r\\n                            ...points[3],\\r\\n                            323\\r\\n                        ]\\r\\n                }\\r\\n              ],\\r\\n            } \\r\\n        \\r\\n        ],\\r\\n      };\\r\\nfunction getData() {\\r\\n  let res = {\\\"type\\\":\\\"FeatureCollection\\\",\\\"features\\\":[{\\\"id\\\":\\\"110101\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@DB@DP@NCHB@XD@AED@BKB@@CD@@AV@@EJ@@EAB@KB@AA@AP@CDJ@@CD@@EACB@FBD@BAACCCAG@QI@CB@A@@@BE@B_BWLBN@@CE@@AB@@KH@@AD@@AC@@CIB@AC@DWCKi@MAE@@CD@@@@EB@@AA@@CC@BGC@@AG@CBM@@AI@@HC@@BC@@DE@@DKCIBFB@HfBAvCB@PG@BHA@@BB@ATJ@@BF@AJC@AXCB@bMA@H\\\"],\\\"encodeOffsets\\\":[[119181,40920]]},\\\"properties\\\":{\\\"cp\\\":[116.418757,39.917544],\\\"name\\\":\\\"东城区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110102\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@}EAB@HI@@DCBOAOBIC@NB@BLB@AFF@AB@LX@@DC@BJCBBHAF@VAbE@@BA@CDJDLABA@BDADBFBHADBAF@HHBBC@IJ@VHAhT@BJZ@@GGA@CCABCA@AMNB@aDABWD@BIE@@AI@BSA@@AB@AGH@@ODABueA\\\"],\\\"encodeOffsets\\\":[[119174,40829]]},\\\"properties\\\":{\\\"cp\\\":[116.366794,39.915309],\\\"name\\\":\\\"西城区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110105\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"MultiPolygon\\\",\\\"coordinates\\\":[[\\\"@@@B@@@HCCA@BDBHAHA@A@BBC\\\\\\\\IA@KA@AJA@GpARB@AFD@BGB@BAD]`D@FF@ALB@AH@BDIB@@ID@BKB@@CC@FYB@@AA@BWB@@@BKCEA@@BOABCFEE@BIC@@AGDC@AH\\\"],[\\\"@@@JI^sxHZBHBADGD@FBDD@DIVFDBBFA@@BA@AJF@AFDB@DLBdLJ@@AJ@NCD@@DFBBAD@@AD@BFB@ABBDBDC@@DCB@JHBADBBABJDADDB@B@HFAFGTC@AD@DCZ@HEJIHCVBJAJELKJEJJBA@CBCBBDAAAA@DECC@AIC@ADE`MFCHID@JEB@IFJ@BECCp[HAZAHANGEGNGJFLMBKG@AEKA@ABELB@CBAAEDQB_DMMHKBCIFI@CG@BCAKGBACLQSDBAA@BECAF@@IC@BGCABAD@@AC@BCDAEKEAG@DC@IZ@BQI@@GIQBAD@BCFGAAD@[US@BGF@KKAKBEE@@KAA@BMB@EOBHHSAAFGD@FE@@CC@SBS@EDCCAGAAEDE@ABC@@ALEACE@@CE@@DK@AFUBAEE@BGC@@CMED@BAE@@AGAABCA@FC@AD@CE@@CG@AGQEC@IJKAAFQL@AABQCADBFDBGFACG@@FM@@BI@@BN@BJFBBBA@BDDCD@BD@DD@AAB@@DF@AHJB@BB@ADF@FCBBBCDABFDA@DD@@BD@BFABGACD@BA@@AGF@AC@MH@AA@@CCD@DA@@BA@@JD@@DA@DLCXD@@BJA@DD@@BC@@BG@@LA@@BF@@DM@KAAXA`F@@A@@@BDAJ@@RBHDDBDABC@EAA@BD@FC@@DI@DCO@@BBBA@@LBA@FI@@FU@@BC@@DA@ALC@BFC@@WGAMDO@@CCABFB@ADDB@DHB@HY@\\\"]],\\\"encodeOffsets\\\":[[[119390,41009]],[[119175,40933]]]},\\\"properties\\\":{\\\"cp\\\":[116.486409,39.921489],\\\"name\\\":\\\"朝阳区\\\",\\\"childNum\\\":2}},{\\\"id\\\":\\\"110106\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@@KBAE@BEA@AKA@@MJDPAPBDA@CJ@@GBA~F@GEAJALD@CF@@CD@@AD@@GJ@@BN@DAH@@BD@AHD@@DB@@BA@@F@@C@@DF@NBhABBB@@CC@@IB@@AB@@CDC@DB@@BNGD@@BHE@BB@@ADCJ@AEC@@AC@@CCBAECBADAAEDE@BCA@@AIABGE@@CA@BBC@@CACC@CDACB@AAEAAIM@@EG@@EA@IFAIHC@CBA@AA@BGE@EB@AAB@BC@AKB@JDDEBCB@@DF@DC@AB@@CA@@CJ@@QCA@BK@@IA@@CqA@CB@BGB]MAA`KA@AKBALO@@AE@@LCHF@CLS@AJSBBBK@AIWACEG@@EAG@OG@MW@CG@CDCBCDDBADC@IZBBA@EAAFJDCDICCH[CSIC@AFCDE@@EIABFALDF@DAJONCNEBUBA@BCCAY@@IDEKIEABICA@CEAACAA@[AOKB@DG@EBACG@BDC@BDKBO@ACCOGKABCECBAAKA@BE@ADAABA@AC@CCCDCCABBDA@AAG@EEC@@AG@AFA@@GA@AHCBBDCDBBB@BA@FA@@AC@@BFLD@BA@AB@BBD@@BBA@BH@B@C@@BFBGBBDE@ABI@AB@AA@AB@HE@CBAEABM@BEGACB@EAFAAC@BAACI@AFACA@BHCLBBADBD@DA@@B@DADANBHDBADC@F@ARB@@FGFAA@EA@CHA@CAAB@DAFKDEDMBMHDF@DHDDARDANEJHFPDRIHBJDLADB@DBDNBPHLBLFTFNBFAFD@FD@PCHDBCBBDEBBRGVAHDH@LGDEBCDBDACHF@DCH@@JH@@FJ@@LB@FABBDAAD@BH@@DB@BBB@DALDP@@AD@BD@@SBAFFHB@AADH@BBEBFDJBBBZ@\\\"],\\\"encodeOffsets\\\":[[119118,40855]]},\\\"properties\\\":{\\\"cp\\\":[116.286968,39.863642],\\\"name\\\":\\\"丰台区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110107\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@HIDCACBAHBJFBADODCNJBD@JJEFC@GCCBEAEBCDCF@@ELEHABGHCHIFCBCDA@CF@@EE@BIA@BA@AC@A@@AFCC@AC@@FAAAOA@CA@@KD@DCND@AD@R@HAJ@@BBDRABDJB@AAADCG@@A@AH@@eN@C@@CC@@BO@KCCBA@AAA@@CG@@ABCCBAAEBA@@KI@@EG@@IG@CDE@DGCBCAADCFKHG@KCUBMHAACFAACDKPKFABALKFEHENCDGBMDAB@HEJICADED@BGJDLB@B@JDEFBBEH@DDABDD@DL@BCB@BGDETJHbDNDFANJ\\\"],\\\"encodeOffsets\\\":[[118940,40954]]},\\\"properties\\\":{\\\"cp\\\":[116.195445,39.914601],\\\"name\\\":\\\"石景山区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110108\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@AC@EHCBCGAYAwGtHYBGAOS@@ABeUGI@@JADGA@GBECAGBEACACB@AABKBICDCB@@AF@Ba@UBEAGDAAID@@Cq@AAIAECFA@@A@@AG@BC@BGAEEAB@T{AYB@fG@@B@BH@CDBB@BIAACQBAC@AI@GBQ@C@@BMCCDC@@LB@@DPBBBEB@@BDD@ED@BB@D@@BABB@AJF@@FE@@DCBADEDGJGDAHGBKF@FE@CDADBFAFDD@HEDIF@IACMICDCPABIEGAABBDCDGJDB@DDBLDVDBFDDCB@DC@ADEDA@CBAFIDADC@GDEAGFCDQHI@KAC@@BMDQAIDE@ECUAGDC@GH@FADGN@DCDHN@FKHAD@FADGFCA@BCBEHCHCB@BDJFB@DDDLFBHNDBFDBBNHAFDDDDDJA@@HBFBDEB@BCDAHDFAHC^DDCF@BNh@bF@DCDH@AHCFANNDLF@HFF@F@BPCB@DHRBBMDG@KHEFAFFB@dMZ@A]A@@EE@DIEG@CHCNBJEDBBDCFBDJA@ABAACBA@C@CFA@CIABCDB@EPBBCAANYVHZmFDFCHB@CJDPMDBBAHFLBDGF@AJJ@AHF@BCDBADLBL@@FP@D@ACB@BAJ@FA@DBABGICBAEA@BAAABCA@GIADKD@@CJ@@EFBBAH@JAD@\\\"],\\\"encodeOffsets\\\":[[119185,41003]]},\\\"properties\\\":{\\\"cp\\\":[116.310316,39.956074],\\\"name\\\":\\\"海淀区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110109\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@GCODC@@EECEBMASEKEKAOGMAAC@CCAKBICGAQJOCGEFIBMQCCBGC@CCEG@IBGA@AIAGDCEE@CCMAAB@HAHMBgSCB@B@FIHFPBFAJLFDDFLOB[KBC@@QABDBDC@MGMAEBCHEBG@_HCBGNBBPNLLRHAFDLINI@OESAI@CBOA[HWCIEEICCOIMAGCIAIFCBEAQVOFO@GLKDGBICe@CBEHKCCCWGACcOSACCO@C@GCK@OEEGMEAIECM@GCYCKMG@IGQ@ECIECGIIG]MGCEBA@AKIEOIEEIUAQ@CFGBIDEBOF@FCBKDGDIAGLSDE@CLADJFNV@HAJLDBLE@QJMBAFBFHDBFDBFHFDADSPEDCFGDC@EDGBADMH@FEFELQFE@CBGBEDMFADKBGFIBCCE@C@CAEB@DEFDH@DDHEDAFDJBHB@DHABFDDFHFNFD@BCH@EPBDEFEBAHFHDDJJDHBJDBF@BBP@THDFHBHHBD@BBBRJD@BFH@@DJLADLDDFTLVDH@BCB@FDLDBDDBBFCLDBBFF@HFF@BCFBBBDDDBBADGFAF@LBDHAFDHAFDA@NJHV@NEJDDADAH@DBJCL@DBCHFH@DTJFC@AbBHDFBF@FCFDD@FE@ADCLDTC@DABK@KFJ@LDLAPIJDLALFBBHDDDDBHJBF@DGFADHL@FBDFBJCFDFBJVLDHAHD@QFCXSBCHG`@LEB@NIBDCFXELBBBFCLDF@LIFABBHCFEh@FEFDLABBFELAFEDAFGHCNQD@DGDA@CBCEACEB@NCD@AAJG@DBFD@HB@AAE@GCCDGHGBEAABA@CBCLFF@@DFBPDLADBDANEFBDANC@CJATPFEHJLAHDD@DADGFGDA@ADBHEBC@EBCLG@EGMDC@CHMBC@EHGD@HCVBFDF@JCRBNC@AD@LBJ@JCDCD@DCHEFBHCD@BCJCBEDAB@FCBCD@@CDACCAEUCKCCA@CQKEBMCaCIGFSHC@ADA@ACKC@ACCB@CFGAAFEICA@A@CKHI@AFCBCJDFI@GBANCHADCFMFGLEBKBALENO\\\"],\\\"encodeOffsets\\\":[[118956,40847]]},\\\"properties\\\":{\\\"cp\\\":[116.105381,39.937183],\\\"name\\\":\\\"门头沟区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110111\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@NGNAFCLCBE@CBADBB@DGB@@FBBHE@EA@BQE@D@BCCAAGBMBC@C@AB@@CACBCAADKAGB@BDBEJ@BDABD@BBBE@FDAHBAFN@BABFDAF@@GBAB@@BBAJ@BAF@ACHAEA@AD@A@G@@AAB@AC@AAA@@BABC@EK@AD@@BB@@EABA@AADCACDABGB@@HB@BEH@@BD@FFH@BBB@ACBADDDCDDD@@BABBBBCF@@ALBBBDADFBAHLDPBDP@LAACD@ACH@BDFAH@@CLABP@\\\\\\\\BBBDFB@DDBAJFBLJCF@JZ@DBADB@ZABCDMPKBI@CEGDIAG@K@GDEAEBCAEDQCIBGAIGCAEEAACFI@EDCACBCEGBCCGIGECACGGBADACG@ECKS[@AHCBCIIDKKU@GCIH]AMBCAK@KFMBCBCAEHEAMGKYAAHA@@DE@@JCB@E@F@EA@@FAE@@@FA@@EC@@FE@@CE@@DK@@DOA@II@@@MCI@@BKABDCBCE@IA@@CA@@GC@@AA@@HA@CGAAGBAEA@G@EA@DQB@HIAEEO@@JIHBGED@E¿EGB@DCBC@AAEBBFA@DNA@@DIAIDC@AGB@@AG@AICAEA@BI@GABNE@CFA@BHA@@HGA@DKAADCA@GA@@QB@@ECEDEBAE@@EA@ABI@ACA@@GGB@CG@@EC@@FE@@DG@AFA@@JAACDE@@FI@@HE@ANCA@DCB@FKBAB@DKBCBE@CDAKCA@AAEFCAGNACCB@AEEIDACEB@CAG@DA@AGBAAABBBC@@BCAEBKABIBB@CBA@KK@DAA@AAD@CGGB@ESB@CA@@AK@AHGCKN@AE@@CC@@CGB@AAMC@CC[@@KGACGG@BKB@BCC@HABEIABAD@C@BED@@CFDFA@CC@@AFACCODK@SDBADA@AE@BD[BKAQHAAIDIBDCAAFCCC@@EFAFE@EACDCA@AACC@@@@B@@@DAB@BEDB@ADEDADEXGFB@BBCFABD@@DC@@AID@ACBCAADE@DABGEBD@E@@AC@DBC@D@A@AF@HA@FBID@BD@EJBBC@BAC@@BIDCCCBC@BBM@GBEDFB@D@BDBFAAB@H@@BDEBD@A@@DEA@BABBH@DABIL@LGJQFIFGLAABCAABCCGMGACG@@BG@CCG@A@AHIBEABCCCBAC@MBEHGBKEIAOBCCBAMCGCCIEBGAODBFBDKFCH@@EHODEJKJA@KCKG@C@CEEAABCMGKC@ABC@ACCE@BFEV@JDHJHHFAD@JCBDBADADDFADBDKB@DIBCJEFSBAAAEA@MBEDICAD@DBBBHDDBDRN@BIFBB@FDBAB@DFBDDABBBF@@BDBCBB@DBBBEDDDADCBGHE@FHBFCLALAHBFEFBFHF@FE@GFGBW@EEGHE@CBKHE@GDKDGL@FCFBLGDGCCHLDFLTHRGLBdRFJHDPEDB@CFADCFCJIDAB@NJlHB@DDHBPAHB@BJHDFJDAJFFR@VBFJJFFPLJ@BABDFNHH^JJDHJFFDR@JHH@LNZDHDN@FDBJNFFHPFL@HDD@P@DDTBdPBDXHDDLDFGDAf@JDHALCHKP@PERUFBDAJEJBHDNBPJDDFJJFXD\\\\\\\\GPBDAJ@TBPFJ@JMCKBEQGKKOMAAHMDA`GH@FADGFANBNHD@ACACRB@@AD\\\\\\\\LPAEKCCKEBIAEEOJG@IF@bRDBNABG@GBANBDDF@DFHCJB@BHBJAH@\\\"],\\\"encodeOffsets\\\":[[118840,40803]]},\\\"properties\\\":{\\\"cp\\\":[116.139157,39.735535],\\\"name\\\":\\\"房山区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110112\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@DDH@DJ@JJB@BLB@GH@@AD@@GJB@AD@BAH@ABFBFGD@ABNDJDDBBGHEHFBABCF@BGD@@CB@@BJBDAFBBAJ@@ADA@GDBCNDB@AHBBCHBNHFLBADDNEBGF@AFJCBFF@@AHA@FD@@BF@@DL@@AF@@CBB@GF@@CD@DGX@NCCEBCJK@KAIOUAKEGIGAMBCJGdKDCBWAO@QAQFQ@UDGPKNEF@@NH@@HHBBQF@BEP@FAJOHIFBJIFCL@BGB@DKRC@ELCD@@BJA@FJ@DANKBEDAJEJADBBB@DCHEFAHBFLB@BDBNGNQDEBMDSAKDCRKFCBCO@DIA@@AB@BCZCDCBGCBGADMGA@BE@GFI@YAIIJMOGDCCA@AEBCJCCICBGEADELB@E@@@CD@@EB@@AB@DCCAFEGA@ED@@CH@@IIBSEBAEA@AKAM@@CC@AECCDCD@BCA@BCAKB@BGCAFAB@HICADCKCDEB@ABDBBATD@AD@JMIADISCBACAADGACBK@SGDCAAEFOAACC@@AU@AIDA@QACQCCABGC@E@ABAABCIE@BECFEECJGNMGABC@EG@CAICAFGDKA@AGCQABCYABCBCA@DIEB@KB@@AI@@AAA@AI@C@@FEFALGB@DCBEDEFIFQFAAEBAA@CE@@AE@@DI@@DC@AFE@CD@DGFDDA@@HD@AHUBC@@CGHAHEJ@PDRANI@IB@BABM@AAGACBG@GAAAC@@DC@@FDDBFEFGA@FI@@EG@EDBNI@ALF@AFJ@@JIBE@MPANKA@DEFM@@CIAAEA@@DC@@CGA@CGAAGCCWA@DQAA@ACKA@JwBUGIDDDKDFFJCDFBNKD@RBBJCBBB@@FEAGB@BIBHJQB@JDPGHDFDCFIZAAJE@@DRBAFEAB@MAIRNFIJ@B@BCBDBCBJDCDHBCDADF@@DHB@BAPCFCBAHBBFB@DG@AFF@BDKF@BD@BAF@FCBBBHDDFCT@TAD@@DF@@EHCBETBGGPA@FNA@ABB@LF@AFBLLLE@AHT@\\\\\\\\VC@BBEHADC@ABJR@HJ@ARY@@JCDH@FBFLCBADD@@BC@ABDBAHD@@JE@DBAFB@ABTCKRBDHABLADH@@DEJDJLANGCNA`CRBFAB@DKAAF@BLBBFH@@FAHKLIEMHFHMHGB]BOH\\\"],\\\"encodeOffsets\\\":[[119394,40978]]},\\\"properties\\\":{\\\"cp\\\":[116.658603,39.902486],\\\"name\\\":\\\"通州区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110113\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"MultiPolygon\\\",\\\"coordinates\\\":[[\\\"@@C@@AIA@ICIG@CCcVDDAFI@JEA@IFC@ILGFWHEFAB@BJD@BDDCFB@BBABvb@GB@BIB@@LJBD[AAB@B@BGAGACB@DDBQD@HC@BD@AJF@EFADLBLm\\\"],[\\\"@@MDW@CHC@@DE@@HAA@DE@@BK@@CE@@AC@@EGB@BE@AEIDBEE@AHOFACABEKMGGAADGA@BCADMCA@HCB@BI@ABEACBIA@AA@@DC@AHE@ADABGEGFAHCAICMCBAC@EHEABAG@ABC@@BIA@HC@@BG@@HGAKnD@@ADBBDAL@@A@AXB@@BA@EZD@@DA@ALC@@JA@CJ@ABGA@BKE@@E_CC^ABA@AHC@BEA@BQHguaA@AAAD@DABIIIFKLIFIBUAGDIJGFY@CDC@@BSDEHEBEFDDH@FDD@FBFAD@NJBLD@ALEJ@HCDC`EBCHBDH@DFHADPKD@BCBMACDJVDADJJLCF@NEJYRD`FHN@@FEPBTJBLJJAD@FJBHB@@DJ@@EX@@AF@@FBBV@JLAHABCJHCLB@ABBH@BCJDL@FD@EACL@AGLA@BNAFC@DB@DBFIJ@@FHCACDA@EHEAIDAJDVCBDB@@PF@@BH@J@DEB@@BF@@AD@@ALB@DPB@BLAJB@CDEA@BGFCBIC@@C@EEGD@@EHB@FBB@AB@DI@BLANNB@JFCDDFHDDADD@LLAzzDCCGB@BBB@ACB@BBZG@ALGBB@@@CDAAAB@BBD@DDDACCFADFRH@FB@@HDABFB@BFA@@BBLB@BEFCBB@BHAFDJC@AHA@HB@AIDA@AN@FA@@@BGBND@B@D@DDFBJFB@BCHHFDDFBXBDCHKACHQDCX@@QFKDCAA@EACFEFABE@CJG@GDCDEDADKLABABAIAACC@@CJADCL@BIBCJCDDPCDF@FBBDBFFHADCBCFCAE@CAABAACBECCGDIA@ADEDE@CDEDEAABADBBGB@@DF@FAFE@GG@@G@ADGH@@EL@@BJ@AENQHMLIGKAEEECG@MECLECKFIHEEMC@ACCANE@ACB@ADA@AJA@EDB@EG@FE@GBAM@FCD@DDBAF@CCD@CGAGC@CKKBCADCE@@BEBACGBAC@@AED@@OC@_S@N@@@GA@AHA@ECABBBE@@BF@@DEAADE@CFC@BGA@ADA@BCC@AGIA@AAACJAAAHK@@BMKSA@CCDMAEBIGIA@@E@MPIBDDOFAEcA@EQC@MC@@MBECB@CI@@DE@@DACOBEEUHBDS@EC@KCA@A@ECICE\\\"]],\\\"encodeOffsets\\\":[[[119409,40992]],[[119575,40975]]]},\\\"properties\\\":{\\\"cp\\\":[116.653525,40.128936],\\\"name\\\":\\\"顺义区\\\",\\\"childNum\\\":2}},{\\\"id\\\":\\\"110114\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@@G@ACABCICBAAABCGA@IDA@CD@ACACBAA@AEC@@BC@ABEA@CC@MDI@@BI@cKKA@CCABEE@BIB@@AB@AEECSCCJG@IBG@ABEA@FI@@DC@CLJB@HDBBABB@AFBABJDAHAB@CEBI@ABA@BDC@O@@EK@KABCCAADE@BGI@BIE@CHKAGEABCAONIC@DGAEDECYnUGMZBBADOA@FCAADJB@DEB@D@DABBDAB@BIBACDEACCAIFMAGD@DFHCJF@@FB@B^Y@cNA@EEEBGF@LCHANQACGA@OD@A@EEE@GKEMCBMDEBGG@DC@CaEg@AME@CD]CGDEBGCCBADA@CFEAGA@@IBCCCCECGBAMCAAEMCAGKECC@CEACG@CC@GCKBGIEFSOIB@DMDCBEAMFCBCAKBOCEA@CE@KEAD@DABBBAFGHCHDD@HBF@BGAC@AE@CIHBBC@MDA@DFFBAD@DCBCHC@MRGDEHCBGFIBEFAAKBECEFg@EFGDAAEBKJE@KAEBBJGJ@BCB@BFBABABCACBAFFDFHDHDFKHLFBDTEL@DD@DBB@DFBBNDDF@HHEF@DDBCJB@B@FJFFBFLJBDADHAJCJBDBBJDDAD@BLJD@BBD@HFHBD@NCDBH@B@@DF@P@FBDDBFFDCBDFDABDB@BFFADB@DFFADCB@JF@EJ@DADB@@DD@FFD@B@HBEJC@CDA@CBE@EDBFALCBDBHBHFFBBBB@FFF@B@DCFADBBFF@DHD@BBHAFBLKBED@@IJQF@J@DBDHJ@DAJD@DD@BDAFC@ADJFABDD@DFDJ@FBHDF@B@@ABAD@FCFILBNCNDJA@ED@HG@EBAJMHAFBHADB@BF@HF@BCF@DCDBHADDFHFGBEAADDFFBCDABBBDDD@D@BADMCAAEBAJBDB@FFBADBBCFEDIDDJBDCBBFNDF@DFD@DADBF@DFFBBAFBFEHDBBH@BDBBDAFBJ@DDL@BBABDDBDDBB@FAJBJADCBCDEJFJ@DDHC@EBAHF@FDBABDBFBBADCD@DBH@DBXMNJBBABBBAD@DAFDFBAD@@AD@AED@AGHBFDVDPCF@BAFAJCFGD@LG@ADAD@FCJ@DEFCAAC@DAAAEBG@DAGE@INBBBHD@CFBLEEKCADEBA@CDAAC@CACBCCCC@@CLFJ@AFBBHBBAHDDCFBD@LGFDBAFAFBB@BCLCFCJBDBHCL@HHFCAEFGBCF@BABADCJE@AACEACIEAAECABAHABEACDCAABCAIDAFBBADDF@FCBBJE@ADAPABCHC@OHELEH@HBJA@AC@@CA@AGEIC@IBKIIAASFO@EM@EGC_ZQFI@MDEIKCICBIUDCNBDA@ALCCOGBCEG@ACDGFAD_DC@GFIBI@AC@@ICCOGEBEAC@ECG@CCFE\\\"],\\\"encodeOffsets\\\":[[119263,41053]]},\\\"properties\\\":{\\\"cp\\\":[116.235906,40.218085],\\\"name\\\":\\\"昌平区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110115\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@BAH@@CEAAABGDADEBO@AGA@CE@BCDCGADCICDACADA@A@AJIMEJQNBA@FBBEQA@CF@BIYBEJCDCEHGCO@IRAGIJA@AHAFB@EA@AAIDAA@QLCAMCEIDEELCCCJCVHxA@ILBBDB@RB@CXBDDBHHB@DHB@DD@@CB@BFJB@DN@FE@CLBBMNOF@JA@II@BEE@BKJ@AMFCH@@FJ@@EHBFEAECC@ED@@CD@BBHBH@DAHBBBN@BA@AJAJ@BMCQ@QFGBGHG@DD@VABGC@@GB@CCHE@CEA@CK@ACICCDEA@FIADMB@BEC@@@HEF@HCBEB@@BDAB@@CFA@@E@HA@AD@BEAFDE@F@@BICAAFA@BEAB@AEABAA@CBEA@AGA@@K@EBADA@CHC@ENIG@DG@@ACAAFA@@AA@@BSD@DI@E@AAGAA@BCEAAA@BG@@HA@BGEAAFE@AF@AGA@DE@@IMA@BIB@BE@@JG@@NG@AJGB@JK@@CE@BEGAB@CA@BC@AFBCADECADKDF@K@@GUB@AE@@GD@@CB@@ABAGADEC@BEA@BAIA@AIA@AGABAIA@AG@A@AFD@@DAFCABAEABA@@BEA@@GABIB@BIB@DE@@CEA@CEABEC@BGB@@EAACA@GL@DIOABCE@BEOABEC@@EC@@GA@BIIAEBIA@AC@@BG@@FOA@BQ@@BC@DID@BAAA@CB@DCBGEADEAA@BG@@@A@@AE@AA@CG@@GIA@DK@@CY@GABED@BECABEF@@EBEUEAFOAANDB@BA@@JC@ADS@@BM@DBABG@BE@UFA@AD@ACD@@CJ@BEHBJSG@CACOCB@CCABAA@BETDJHFME@@BCA@A@AD@BEB@@BJBABD@ADB@@BB@@BF@BAH@@GD@CBF@DE@KA@BIJOFB@CCEC@CA@GKA@AE@@AI@EESHUDIDQAGDGBGC]BK@@BI@@FAAUBAEIBADE@IBOHEFAFGDAD@FKHAHKH@DCFE@SDMBABBBC@AGE@GJM@OHEBAJCFCDOJADDFED@DFB@DDFABCABHC@BDBHCN@BADDBEFFDBDABE@CLK@DF@DOEA@CDIVHLBNGFBFADADEN@LBLADBNG^DJ@HLVCLJJADGD@BT\\\\\\\\DL@FDHCBABHHBDFDJHDHADFHADBDCD@FEJBDFBBFHDBJAHDJCRBFADBDCH@VJB@FF@DCBED@TJ\\\\\\\\DDGJDDCICBEFBB@AAHSA@DED@BCCADCDADCH@@DNXH@@PBH@FH@DFXBBJL@AATABIT@DKE@DG@KF@@BP@BKLA@BLBB_NBA^AHA@@DrB@DB@@JL@@ADB@RI@@DB@@DA@@BCDE@@CA@ADCFICA@BLD@@ABA@BFAF@AHB@@BAB@DGDBJJEB@@FH@@DJ@@AN@@EH@BDHECAAEBCRDBA@BRKBELBJIVFBHH@@DF@@DBCD@@EDBBAHB@BF@ABC@NF@DD@AHF@BFVABEL@@CF@\\\"],\\\"encodeOffsets\\\":[[119332,40781]]},\\\"properties\\\":{\\\"cp\\\":[116.338033,39.728908],\\\"name\\\":\\\"大兴区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110116\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@A@@BABGBDBFF@DBDA@ADFDBDEJBDEBF@@DDCFBDF@D@BCF@FED@FADDDADCBDD@DDDADDBAFHD@FDCDB@DBDBDBBFFKDCFIJAF@DCB@FLDNAJLH@DHD@LJJAFBLCLDFABAVFL@FCHBLCDCACFGAACBDCCA@CD@@ADAD@DAJBEA@AB@BGEB@CDCF@AADBBCDADDA@BBFBABJB@DJDF@DAHDDAB@DCD@JCN@PHP@AAD@@AHB@DDDAD@BBBPCFCTALBBAD@BCHARDP@HJFBDDD@@LMJCFEBAFKFAFABAFK@IEIAEBCACBADA@EDG@CBEHLLHLFDDDHDBHHJ@FRBFBDHBDLDDJ@DDFH@FHBFJDCFFEDBBFHJDBAJJF@DABA@DDEFB@ADBFD@BDADDB@DBB@DBD@DHDPCJBB@D@DDFADAFAFDDH@JSBABC@GFC@ADE@@DAD@BIDAHIFG@@GA@ADG@@BE@@FQDDD@DEBAF@FGBKBADGGABE@GDEAABE@GJLZHBHHH@DBBDCDAFBDFBDFEJAFDB@BF@BDBDBDATDBBFDDODCDEB@HB@@LCJICGHKDCDADEFCAEBGAEDE@BDKPBLCD@LEDG@CBBDABGFKFADBB@FABCBAJUDG@KHADKDEFANCDCJEFMJCH@FGBIBADEDEHEBIHAHCDCBADMFIFCFC@EH@DCDKF@DBH@DARHFDJDDLFDDT@DHFB@DLBLGDEDAAEDEFCBKLOJEBEDEL@RKLFJANDLIXBDBTADADET@@DDDDFCDBDENALILALKBBJMRAHMHDHDJDDCLDD@FDD@HB@DBLFFCBAHADCBAFBFDD@FDPIF@PCH@HAH@FFBHJAFBLHDFNDJEP@HBDJD@LCJGBAHCHGFAFEF@PC^PDH@HDPED@DDJ@DDD@DFF@FBDCDBB@J@BABEHGB@D@FBHBBDH@FCBRDLLLABBHEFDHABAD@HCDE@CHCJELADBHGLAFDHBDGAEHGBEAEBEFGGMEACADEACIICAAA@KA@BIAGFEGCAECCAILKHC@IDABIACHAHKJEBIJCJBAEFEF@JCIKCICC@GH@NG@CDA@EHEL@DCDBHEF@HEJ@HAAG@GBAFANFFIJ@FABEJIHABELEBEAGDA@ABCFAAKBEDAD@FFDFDBP@BCDC@CDAD@HBHABBHEP@BENALM@AACLCFCH@D@BEHCDEAABEAGACDAHABACACCEAC@@BGBCECCEA@BC@ECBABA@EDABCMCABCAAEKAAGAASECBA@CCBABCBGD@BEE@BCCA@AECCECCE@E@EACDI@GAEEM@OFABEBAFGFCIAABCBCDKDC@GDADKAOBCAC@C@EECBCAC@CAECAG@ABEAEFIAIHMACEKCAGIAMGKAGC@CACC@IE@CE@CE@ABC@A@CACBEECCEFSAAAMDEEA@CAAMG@AACBCHCA@BE@EC@EBCCAADED@BEFADEBCEGDCD@DA@CEEFEECHIACBCDABSICAECCO@EDECCBK@KCACFGQBCAE@@ABAC@CCBCBADB@DFBJ@DDCGFCDA@@R@VGDCCCBEHI@AFCFAJIIEAKC@EACEGC@ECK@EBCAA@CIEAEBCFABCNGKBEDC@@KDCA@BCAGBCFDDGHCDEFAPAABBBDBHCAA@E@@ABC@DCCABEAAFAB@@CD@BEGCHAACGFIBDEF@BEBAAUFKPDF@ECNEBBB@AA@AWII@AGGA@CAAEAGFCABAF@@CACB@MGDA@AD@@HF@@GACB@CEDAAAHAEEKGAGHCHEL@CMRAAIF@CSA@@CC@AIP@@E@AZHBKNDD@BAA@JA@GD@AEH@@CJ@E@@CHIACJ@@ABB@CA@@BSIKOEBQUAAB@EGA@EG@ByyKB@KCCCBGCCEDCIEA@MMKB@ACJA@@BAA@EGA@FC@FH@F@DD@AJEDAHB@CF@DIAKB@AOA@CKA@BC@@BE@@AA@CFI@G@@AE@@OA@ACUDICCBBJGF@FCBBDGD@EI@EJCAA@@CEDMB@AKBBHK@BD@FECK@ICADG@AA@BKAGDDIBABGIKU@AA@EE@@BW@@FE@@BIBGAG@KFGF@PGDADOBCB@BIFAAEDE@CCABEACBBJADBBCDBDAFGBABDBBFFBDJFBBD@BIFCDABABE@ADEHBFEDGGK@GDCAIAEDKDADA@EAEBABECKHC@EACDGCABGAAABEI@KE@DD@DDADBD@DBDCB@DABCFDBFLKFEA@DGCAAMA@JHFCBH@FABBCBD@BBEDCFI@EDC@CB@BKHC@EHIDEBABE@ODUCECGABHC@BFC@@BC@ABAA\\\"],\\\"encodeOffsets\\\":[[119081,41362]]},\\\"properties\\\":{\\\"cp\\\":[116.637122,40.324272],\\\"name\\\":\\\"怀柔区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110117\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@@GDEH@DDFADBLABEFABCDIF@DAAEBA@EDKBEHGACDAL@DAHABAAEAACEDEAE@CFGAKVKF@DEHE@EBA@CAA@CAA@EDCBEPBBCJBDBF@DFBA@FF@@@H@FBDFFBFG@GDI@ODEAEDC@CFECSFGDK@CF@FEBEHBLFL@DBFCDBDCFAD@HEJBDCBA@CBCKAK@CCE@B@AADCAIF@@CBCD@BBD@DCHA@AEAEBICBB@BABAACE@CBA@ABCF@B@@AAAACBEH@BDDBDA@AJHDCD@FEFAAACA@CGBIGICFCAAO@ABCACDDGAACBEFC@E@AACA@AAA@BAB@CE@BDD@CBBBCB@CCA@AB@@AAAEDA@G@C@ACDA@CJI@EFGAAC@AAIGCCH@B@CCCAAAN@AGACADC@EICAEAIBCAMA@FCBC@EHIEGBABCAIC@IAAAECEKG@EA@CBC@EDG@CACEC@AEEABIEEGBADCFMDIA@DC@@BGBGGGBGCCGMGAGGCBCACKDM@@KFC@AAADAGACCC@GE@EJ@ACCC@EIACCABBDIBCDAHCH@BBBIF@A@AGEBCHC@ACA@EGC@BIB@BC@ABEBID@AEBIDHEGKQGI@GCG@MDEFKHCCEDOAEDBBECDFEBEAAAW@@KC@AGC@@HQAC@BGMABAE@ACKB@CEB@ID@ACCA@AMAABICKMKGDII@BGE@AFEA@AG@@DE@@CUA@FOHMDO@MCCDBB@HD@@BA@CHGAAHC@@PC@BF@@BDHABDFA@AF@CDDBLADLD@BHDHC@DDE@ABCCC@EDN@AB@HEFH@@FCA@FIB@BCB@BDA@BMFDBBDD@FNGFEJDLKFFD@NDHFFBFHLKJGNMRBFI@@AK@@FG@CH@B@HH@@HEFEBE@@CA@AHCAABBBCFCF@DCFCF@BJBHCDDAFBDABBB@DBFEDADCBDFJ@BBB@DBBDJBDAFEF@LJ@BFBBBJHBDBFGFEDOCEFGDEDADJJB@HHDB@DJFFBDDAFHFH@JFP@ABD@CDDBBABDBCBBF@D@BDD@@HC@@DBBDDDBBFFBAHCDAD@JFBDLFBBHDBDDDFLBJADBH@BDJ@F@BBFAFGHBD@FHFDN@@DHFD@NDFDBDHBBFFDHBDCNCBCDADBFADBLBFFF@DDRDBDD@DF@DNB@FDC@BB@ADB@VEDBBDDAJDF@DBABH@RAH@NEN@NHHCD@\\\"],\\\"encodeOffsets\\\":[[120038,41345]]},\\\"properties\\\":{\\\"cp\\\":[117.112335,40.144783],\\\"name\\\":\\\"平谷区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110118\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@DENABAAIAABGAG@ACDC@BEF@HGL@bEHA@AEC@ALYCEE@@AFK@CJ@HEBAJABE@IBCRKH@BCHA@CFAHGCI@@FABCPABCDAPBFCZIFCNALDBAP@HEHFBFJBFDVAFDL@FALBHCJFJAPFBBNBFBF@FBBABEFC@ABCJBF@H@HCF@FCH@NDHCLADDD@DDFAD@PKHBBFBBDCPBHCLBFAD@FEN@BC^KDGNG^FFDD@NIJKJCBAACBAFAJEvCF@DAFBLDJBFDD@BBAFDDFDBDdBJDFBHFNALFFDJADBF@ZFHAJBFCJ@NGHFFC@EDEH@DBL@@AJ@PEHBDBD@DBJBBDFCVEHEBADANIJG@IGAOCFKEECCBC@EAAS@IEADM@EJBHGBAFGD@AE@EDDB@BA@Q@IABANC@AEBCCDIA@ACBEAIGCBC@AMBACCAO@BDEBFBGFBDADBBCBC@GEAKHI@IAAGCEKCA@CCEDGFCBGFCAEFQFAHA@GQMGBCBCACDG@GFCCAEOEEEAEC@ABE@CDG@CD@DE@ABBBE@@DEBAFG@KD@BE@CDADCCCBE@MECCIAGFMC@BABE@AAC@IGCAACGCACCBGCMAOIE@CBIAGCKIECC@CCEA@CBA@C@ACAAAJGDIBGFEFKFCAGE@IDOEEFIDCAACE@GEIBMDICAID@KM@GHCJ@VYCE@EDEHEJAAGA@CCFKHCH@FELC@ILEJAB@ECEGMIAEGAEICBCEKEBEBA@EDGCEBEFEBGG@AGOGAE@AACBAEGC@GDMGM@MFG@QBG@BACAE@ICCBACCAUFA@BCA@@ACD@EMA@CCEC@ACQCCCE@EEKACAEBCACBADMDCDGAECAEGAACECMCC@GE@CM@ECEGC@GAEHEBAAE@I@ACG@CAIBKACECCCAAGEACKEA@IBCDCBGEAAECACCAA@CD@@GC@ACC@E@AAADACABCADCC@BAO@IEG@GEBECCEAIE@CCAGGA@IIBCFCHCFEPDJEDCCIIGAAEA@AKIE@EFM@ACEACAG@CCGBEECAAA@ECEODCCIDADAJK@CDIB@DD@BDJBABABKBCLCBCFCD@HIH@DAFEBEFBD@FBBCDEL@RW@CDGRBDGLCDWAEACCGEDG@AEAAICE@C@C@AMCHA@A@@EBM@@BCBBJA@@GGB@BIDECGB@AAAEDAFA@AK@AB@AEA@AECB@GA@@EQGCEEBDDCBCCC@AAA@BBCB@D@@AAKH@BYHAAA@BDA@AAA@DHCBFHB@FHA@BBRVFALPTJ@AB@@DK@BDGJ@DF@I@@DG@BFC@@HIBB@ABC@MCALYG@B@FO@BJD@@DB@DTE@BJQBDNK@GFGDBHLHFFGBBBCBDFA@BD@HE@@GC@@BCBNHA@BD@DE@ABDBHEFBBB@DHBBHJ@XJ@BBBA@AAMFFDE@OCELBVABAFE@CFJAHEBDGBHDAFC@@DA@EBBBAFDBCDD@BA@@@FBBGDCAAABAOBEBCFGDCHECADBHADB@CD@LD@FCLAMHADEBADBFJF@DBBAD@FDL@FHDDFFBD@BLJFIJEBED@BGJAFDDCDCBEBKDQ@@@CBEDDHCCI@EA@CCAABABDFD@AB@BF@DBRAEHBDLDL@DAFDFCP@DDBFJDATCBADBDGJFDEFFF@DCBC@CDFHADCFEBAFC@CFBBDDFAD@@FAFB@GDADBD@BNHBB@DFBCFBNBBETDFFDAFBD@D@BAD@BDFF@@DJFD@BD@DHDLBNHJBBHLDDFNBJGJBFEFBBAH@DBBF@DBDADFD@F@DBDADBPCLCB@HCDCLADADBBDJHEBEFABAPEN@FFHBJ@DCFBF@F@DDDFFD@BDBADF@AFC@AHADABDDB@DATFBBBHLBBFDBBANDADCB@FABABFDD@@AFBDDDFHA@AD@FBDDDB\\\"],\\\"encodeOffsets\\\":[[119693,41781]]},\\\"properties\\\":{\\\"cp\\\":[116.843352,40.377362],\\\"name\\\":\\\"密云区\\\",\\\"childNum\\\":1}},{\\\"id\\\":\\\"110119\\\",\\\"type\\\":\\\"Feature\\\",\\\"geometry\\\":{\\\"type\\\":\\\"Polygon\\\",\\\"coordinates\\\":[\\\"@@F@FCHBFADBFEBCDCLCHGJDDI@KA@@GFADCPCCCAECABSACACACE@@ACABEFICEEAACBEDCACCAG@GGGACKEG@AACBCFEF@BAFBHCF@BAHHBCNABAD@AEDEFA@CCCRC@EF@@AH@BC@@BHH@JEBGJC@ABC@CF@BCD@HED@BATA@ICGECEBCBEBCCC@A@IAODGC@CAC@CAA@CCABCACC@AEBCA@FECCB@BA@CIEBICAGIAECAEFDEICAEEGG@CE@CCIKCACCGEAQA@EGIAGGCCCECGKKKFGDAH@FCB@BCDADBFAJBJFL@BEBABELEBEFADENI@KC@CCEAGIO@QCGBADC@ABKASBEDODAA@ABCCC@CGA@BC@BBO@OGM@IDC@CDA@CBGCCBE@IC@CIABAEAAAB@CCCBADCABBE@CD@DFAAHA@@BFBIACBC@CB@BC@@DDBCDDABBEHBDCDKDGAEDK@UEABEBKCKDEAIBKIC@CGG@IKMBIAAA@EDA@CBEJIDELCEEAAACAC@CCACD@EGCBECABCCC@CCCDABCCCBC@EFC@EDE@A@CCEEACD@CE@FAACFIACECBCB@AC@CEECAHABA@AB@ACBE@CBCAABAAAMIWNCAG@CAC@EFICBACA@EGEAB@FGDCCI@IECFADCDIBIAEBA@CAACCCBAAAK@CCI@EACBAAACG@AAGCEFEAABEACEE@CACBC@CEE@MCAEDAACCIJCFCDEAABCEA@ECAIAABBFDBCNABC@C@CCAABADCEACEBCFBHAGECEBCAGDC@CDE@AGEE@@AEAEBEAGBINAB@FGHC@@FIBMCMDKAEJEDC@AB@B@@G@GCEAI@CCACCCBAIEBCD@BEACA@ACCAEACBI@CGMAE@AFADEH@JC@AFCBEHABEAGBAAC@CGE@AECAEBCDA@E@EEA@AAEAGEGACADABKAEFCF@DAB@DCD@FIGAA@C@EEC@@CA@BC@CFIE@@IDABCEE@CCAEBAEA@AAC@CECBCFC@CJBBID@FGD@DCFBBADGA@FABBB@FGHAFA@@BDDBB@DBDMDAHEBADEBEA@BGH@BHDBDCDCBAFAFFFGLAHAB@DMDCDaCCDKA@BC@@DIA@DC@@BGC@@EBICCD@BD@@DCCE@ABF@@BG@@@H@GBH@@DE@@BF@@BG@HB@HA@@E@JI@@DMA@AC@CBA@@DEAAHE@AHC@@BB@FBAFO@EJCBGF@ACFA@@AC@CDEA@@BBC@@BBB@BFB@@ADBBADFACFB@CFBBD@FC@BA@ADDFD@@BABGCE@EF@HDHDBFF@HADDHHF@FGDGAKJGBgAAAAEMRJPADFBBHJPJJD@@FEFBDDBHAJDBBBDHJJBDHPJLFJ@HELBLCF@LDDHAJDF@FBDDPDHVFJBFDFCLADBH@HBDBBFJADBLADBFAHFDHDDBDJFHHDBBDDDDAR@RGNBHCNAHCDBJ@HCH@HC@CCENB@ADIDMHIBIFABBL@DBFABD@D@BRABHDDD@FJHF@BCBBBFBHHB@DDBCDDBC@ECEDCHFBBBARDLHPBJFL@HBBBBLDDTJFFTFB@BEF@^BFBBBCFONALABDDLDDDJBBDFFFJB@ABFFD@LADANCTAFB@FFLBLFH@FDH@JCDBDHFDJ@DFF@DJDADLJBHLDPL@DAD@FH@DDFCJFDD@JFHVLADEBBF@F@B@DJH@JAFJDDFHBDFLCDCF@@CDABCF@BEDCFA@KBCFE@ED@DCHFD@FAHBHIJELAHGDB@FCF@FAFJLHDD@DBL@HBFAL@BAJBNELBFDNCFBR@FBBDH@HDDDJAHDDAHDNEDQL@FCNBLAFDH@REHFHBHF\\\"],\\\"encodeOffsets\\\":[[119261,41752]]},\\\"properties\\\":{\\\"cp\\\":[115.985006,40.465325],\\\"name\\\":\\\"延庆区\\\",\\\"childNum\\\":1}}],\\\"UTF8Encoding\\\":true};\\r\\n  return res;\\r\\n}\",\"mapForm\":[{\"title\":\"销售人员\",\"value\":\"占位1\",\"type\":\"weidu\",\"fieldValue\":\"销售人员\"},{\"title\":\"销售金额\",\"value\":\"占位2\",\"type\":\"zhibiao\",\"fieldValue\":\"销售金额\"}]}',1,1,'2023-02-15 14:29:20',1123598821738675201,'2023-02-26 09:11:01','管理员','000000'),(17,'自定义水球图','https://windata.platomix.net/uploads/8abdfaeb-55be-4149-a860-d15f3459ffd3.png','自定义水球图','1.0.0','{\"code\":\"option = {\\r\\n          \\r\\n          title: {\\r\\n            left: 95,\\r\\n            bottom: 90,//控制大小\\r\\n            text: \'销售金额\',\\r\\n            textStyle: {\\r\\n              fontWeight: \'bold\',\\r\\n              fontSize: 25,\\r\\n              color: \'#fff\'//控制背景颜色\\r\\n            },\\r\\n            subtext: \'\',\\r\\n            subtextStyle: {\\r\\n              color: \'#156ACF\'\\r\\n            }\\r\\n          },\\r\\n          series: [\\r\\n            {\\r\\n              type: \\\"liquidFill\\\",\\r\\n              name: \'\',\\r\\n              radius: \\\"85%\\\", //控制大小\\r\\n              center: [\'50%\', \'45%\'],  //控制字体位置\\r\\n              shape: \\\"path://M367.855,428.202c-3.674-1.385-7.452-1.966-11.146-1.794c0.659-2.922,0.844-5.85,0.58-8.719 c-0.937-10.407-7.663-19.864-18.063-23.834c-10.697-4.043-22.298-1.168-29.902,6.403c3.015,0.026,6.074,0.594,9.035,1.728 c13.626,5.151,20.465,20.379,15.32,34.004c-1.905,5.02-5.177,9.115-9.22,12.05c-6.951,4.992-16.19,6.536-24.777,3.271 c-13.625-5.137-20.471-20.371-15.32-34.004c0.673-1.768,1.523-3.423,2.526-4.992h-0.014c0,0,0,0,0,0.014 c4.386-6.853,8.145-14.279,11.146-22.187c23.294-61.505-7.689-130.278-69.215-153.579c-61.532-23.293-130.279,7.69-153.579,69.202 c-6.371,16.785-8.679,34.097-7.426,50.901c0.026,0.554,0.079,1.121,0.132,1.688c4.973,57.107,41.767,109.148,98.945,130.793 c58.162,22.008,121.303,6.529,162.839-34.465c7.103-6.893,17.826-9.444,27.679-5.719c11.858,4.491,18.565,16.6,16.719,28.643 c4.438-3.126,8.033-7.564,10.117-13.045C389.751,449.992,382.411,433.709,367.855,428.202z\\\",//红色替换组件\\r\\n              data: [0.6, 0.6, 0.6], //data位置\\r\\n              color: [\'#8abcd1\'],\\r\\n              outline: {\\r\\n                show: false,\\r\\n              },\\r\\n              backgroundStyle: {\\r\\n                color: \'#edd4d4\',\\r\\n                borderColor: \\\"#fff\\\",\\r\\n                borderWidth: 1,\\r\\n                shadowColor: \\\"rgba(0, 0, 0, 0.4)\\\",\\r\\n                shadowBlur: 0,\\r\\n              },\\r\\n              label: {\\r\\n                normal: {\\r\\n                  position: [\\\"40%\\\", \\\"60%\\\"],//数字位置\\r\\n                  formatter: () => {\\r\\n                    return (originData[\'0\'][\'占位2\']) + \'\' //控制数据\\r\\n                  },\\r\\n                  textStyle: {\\r\\n                    fontSize: 30,\\r\\n                  },\\r\\n                },\\r\\n              },\\r\\n            },\\r\\n          ],\\r\\n        }\\r\\n\",\"mapForm\":[{\"title\":\"维度\",\"value\":\"占位1\",\"type\":\"weidu\",\"fieldValue\":\"销售人员\"},{\"title\":\"指标\",\"value\":\"占位2\",\"type\":\"zhibiao\",\"fieldValue\":\"销售数量\"}]}',1,1,'2023-02-22 17:20:38',1123598821738675201,'2023-03-02 15:55:44','管理员','000000'),(19,'占比条','https://windata.platomix.net/uploads/0e3b4f3d-86a5-4f66-a62d-dbe189fd753d.png','','1.0.0','{\"code\":\"let total= originData[\'0\'][\'占位1\']*1+ originData[\'0\'][\'占位2\']*1+\\r\\noriginData[\'0\'][\'占位3\']*1+\\r\\noriginData[\'0\'][\'占位4\']*1+\\r\\noriginData[\'0\'][\'占位5\']*1\\r\\n\\r\\n\\r\\noption = {\\r\\n        grid: {\\r\\n          top: 0,\\r\\n          left: 5,\\r\\n          right: 0,\\r\\n          bottom: 5,\\r\\n          containLabel: true,\\r\\n        },\\r\\n        legend: {\\r\\n          icon: \\\"circle\\\",\\r\\n          bottom: 20,\\r\\n          itemWidth: 8,\\r\\n          itemHeight: 8,\\r\\n          textStyle: {\\r\\n            color: \\\"#000\\\",\\r\\n            fontSize: 12,\\r\\n          },\\r\\n\\r\\n        },\\r\\n        xAxis: [\\r\\n          {\\r\\n            type: \\\"value\\\",\\r\\n            axisTick: {\\r\\n              show: false,\\r\\n            },\\r\\n            axisLine: {\\r\\n              show: false,\\r\\n            },\\r\\n            axisLabel: {\\r\\n              show: false,\\r\\n            },\\r\\n            splitLine: {\\r\\n              show: false,\\r\\n            },\\r\\n          },\\r\\n        ],\\r\\n        yAxis: [\\r\\n          {\\r\\n            data: [\\\"\\\"],\\r\\n            axisTick: {\\r\\n              show: false,\\r\\n            },\\r\\n            axisLine: {\\r\\n              show: false,\\r\\n            },\\r\\n            axisLabel: {\\r\\n              show: false,\\r\\n            },\\r\\n          },\\r\\n        ],\\r\\n        series: [\\r\\n          {\\r\\n            name: \\\"占位1\\\",\\r\\n            type: \\\"bar\\\",\\r\\n            barWidth: 20,\\r\\n            stack: \\\"占位1\\\",\\r\\n            label: {\\r\\n              normal: {\\r\\n                distance: 10,\\r\\n                align: \\\"center\\\",\\r\\n                verticalAlign: \\\"middle\\\",\\r\\n                show: true,\\r\\n                position: \\\"top\\\",\\r\\n                formatter: \\\"{c}指标占位\\\",\\r\\n                color: \\\"#4C4C4F\\\",\\r\\n                fontSize: 12,\\r\\n              },\\r\\n            },\\r\\n            itemStyle: {\\r\\n              barBorderRadius: [\\r\\n                5,\\r\\n                0,\\r\\n                0,\\r\\n                5,\\r\\n              ],\\r\\n              color: \\\"#5DC4FE\\\",\\r\\n            },\\r\\n            data: [\\r\\n              {\\r\\n                value: ((originData[\'0\'][\'占位1\']/total)*100).toFixed(2),\\r\\n                itemStyle: {\\r\\n                  normal: {\\r\\n                    color: {\\r\\n                      type: \\\"bar\\\",\\r\\n                      colorStops: [\\r\\n                        {\\r\\n                          offset: 0,\\r\\n                          color: \\\"#7CF0FE\\\", // 0% 处的颜色\\r\\n                        },\\r\\n                        {\\r\\n                          offset: 1,\\r\\n                          color: \\\"#5DC4FE\\\", // 100% 处的颜色\\r\\n                        },\\r\\n                      ],\\r\\n                      globalCoord: false, // 缺省为 false\\r\\n                    },\\r\\n                  },\\r\\n                },\\r\\n              },\\r\\n            ],\\r\\n          },\\r\\n          {\\r\\n            name: \\\"占位2\\\",\\r\\n            type: \\\"bar\\\",\\r\\n            barWidth: 10,\\r\\n            stack: \\\"占位1\\\",\\r\\n            label: {\\r\\n              normal: {\\r\\n                distance: 10,\\r\\n                align: \\\"center\\\",\\r\\n                verticalAlign: \\\"middle\\\",\\r\\n                show: true,\\r\\n                position: \\\"top\\\",\\r\\n                formatter: \\\"{c}指标占位\\\",\\r\\n                color: \\\"#4C4C4F\\\",\\r\\n                fontSize: 12,\\r\\n              },\\r\\n            },\\r\\n            itemStyle: {\\r\\n              color: \\\"#FFB55A\\\",\\r\\n            },\\r\\n            data: [\\r\\n              {\\r\\n                value: ((originData[\'0\'][\'占位2\']/total)*100).toFixed(2),\\r\\n                itemStyle: {\\r\\n                  normal: {\\r\\n                    color: {\\r\\n                      type: \\\"bar\\\",\\r\\n                      colorStops: [\\r\\n                        {\\r\\n                          offset: 0,\\r\\n                          color: \\\"#FFB55A\\\", // 0% 处的颜色\\r\\n                        },\\r\\n                        {\\r\\n                          offset: 1,\\r\\n                          color: \\\"#F9687A\\\", // 100% 处的颜色\\r\\n                        },\\r\\n                      ],\\r\\n                      globalCoord: false, // 缺省为 false\\r\\n                    },\\r\\n                  },\\r\\n                },\\r\\n              },\\r\\n            ],\\r\\n          },\\r\\n          {\\r\\n            name: \\\"占位3\\\",\\r\\n            type: \\\"bar\\\",\\r\\n            barWidth: 10,\\r\\n            stack: \\\"占位1\\\",\\r\\n            itemStyle: {\\r\\n              color: \\\"#7F87FC\\\",\\r\\n            },\\r\\n            label: {\\r\\n              normal: {\\r\\n                distance: 10,\\r\\n                align: \\\"center\\\",\\r\\n                verticalAlign: \\\"middle\\\",\\r\\n                show: true,\\r\\n                position: \\\"top\\\",\\r\\n                formatter: \\\"{c}指标占位\\\",\\r\\n                color: \\\"#4C4C4F\\\",\\r\\n                fontSize: 12,\\r\\n              },\\r\\n            },\\r\\n            data: [\\r\\n              {\\r\\n                value:  ((originData[\'0\'][\'占位3\']/total)*100).toFixed(2),\\r\\n                itemStyle: {\\r\\n                  normal: {\\r\\n                    color: {\\r\\n                      type: \\\"bar\\\",\\r\\n                      colorStops: [\\r\\n                        {\\r\\n                          offset: 0,\\r\\n                          color: \\\"#88A6FD\\\", // 0% 处的颜色\\r\\n                        },\\r\\n                        {\\r\\n                          offset: 1,\\r\\n                          color: \\\"#7F87FC\\\", // 100% 处的颜色\\r\\n                        },\\r\\n                      ],\\r\\n                      globalCoord: false, // 缺省为 false\\r\\n                    },\\r\\n                  },\\r\\n                },\\r\\n              },\\r\\n            ],\\r\\n          },\\r\\n\\r\\n          {\\r\\n            name: \\\"占位4\\\",\\r\\n            type: \\\"bar\\\",\\r\\n            barWidth: 10,\\r\\n            stack: \\\"占位1\\\",\\r\\n            itemStyle: {\\r\\n              color: \\\"#2F6DFF\\\",\\r\\n            },\\r\\n            label: {\\r\\n              normal: {\\r\\n                distance: 10,\\r\\n                align: \\\"center\\\",\\r\\n                verticalAlign: \\\"middle\\\",\\r\\n                show: true,\\r\\n                position: \\\"top\\\",\\r\\n                formatter: \\\"{c}指标占位\\\",\\r\\n                color: \\\"#4C4C4F\\\",\\r\\n                fontSize: 12,\\r\\n              },\\r\\n            },\\r\\n            data: [\\r\\n              {\\r\\n                value:  ((originData[\'0\'][\'占位4\']/total)*100).toFixed(2),\\r\\n                itemStyle: {\\r\\n                  normal: {\\r\\n                    color: {\\r\\n                      type: \\\"bar\\\",\\r\\n                      colorStops: [\\r\\n                        {\\r\\n                          offset: 0,\\r\\n                          color: \\\"#79CBFD\\\", // 0% 处的颜色\\r\\n                        },\\r\\n                        {\\r\\n                          offset: 1,\\r\\n                          color: \\\"#2F6DFF\\\", // 100% 处的颜色\\r\\n                        },\\r\\n                      ],\\r\\n                      globalCoord: false, // 缺省为 false\\r\\n                    },\\r\\n                  },\\r\\n                },\\r\\n              },\\r\\n            ],\\r\\n          },\\r\\n          {\\r\\n            name: \\\"占位5\\\",\\r\\n            type: \\\"bar\\\",\\r\\n            barWidth: 1,\\r\\n            stack: \\\"占位1\\\",\\r\\n            itemStyle: {\\r\\n              barBorderRadius: [\\r\\n                0,\\r\\n                5,\\r\\n               5,\\r\\n                0,\\r\\n              ],\\r\\n              color: \\\"#01C998\\\",\\r\\n            },\\r\\n            label: {\\r\\n              normal: {\\r\\n                distance: 10,\\r\\n                align: \\\"center\\\",\\r\\n                verticalAlign: \\\"middle\\\",\\r\\n                show: true,\\r\\n                position: \\\"top\\\",\\r\\n                formatter: \\\"{c}指标占位\\\",\\r\\n                color: \\\"#4C4C4F\\\",\\r\\n                fontSize: 12,\\r\\n              },\\r\\n            },\\r\\n            data: [\\r\\n              {\\r\\n                value: ((originData[\'0\'][\'占位5\']/total)*100).toFixed(2),\\r\\n                itemStyle: {\\r\\n                  normal: {\\r\\n                    color: {\\r\\n                      type: \\\"bar\\\",\\r\\n                      colorStops: [\\r\\n                        {\\r\\n                          offset: 0,\\r\\n                          color: \\\"#8BF780\\\", // 0% 处的颜色\\r\\n                        },\\r\\n                        {\\r\\n                          offset: 1,\\r\\n                          color: \\\"#01C998\\\", // 100% 处的颜色\\r\\n                        },\\r\\n                      ],\\r\\n                      globalCoord: false, // 缺省为 false\\r\\n                    },\\r\\n                  },\\r\\n                },\\r\\n              },\\r\\n            ],\\r\\n          },\\r\\n        ],\\r\\n      };\",\"mapForm\":[{\"title\":\"第一组\",\"value\":\"占位1\",\"type\":\"zhibiao\",\"fieldValue\":\"销售数量\"},{\"title\":\"第二组\",\"value\":\"占位2\",\"type\":\"zhibiao\",\"fieldValue\":\"销售数量\"},{\"name\":\"\",\"value\":\"占位3\",\"type\":\"zhibiao\",\"fieldValue\":\"销售数量\",\"title\":\"第三组\"},{\"name\":\"\",\"value\":\"占位4\",\"type\":\"zhibiao\",\"fieldValue\":\"销售数量\",\"title\":\"第四组\"},{\"name\":\"\",\"value\":\"占位5\",\"type\":\"zhibiao\",\"fieldValue\":\"销售数量\",\"title\":\"第五组\"},{\"name\":\"\",\"value\":\"指标占位\",\"type\":\"text\",\"fieldValue\":\"%\",\"title\":\"指标后缀\"}]}',1,1,'2023-03-02 15:58:27',1123598821738675201,'2023-03-03 14:39:37','管理员','000000'),(20,'多指标环形图','','','1.0.0','{\"code\":\"let data = [{\\r\\n        name: \\\"占位1\\\",\\r\\n        value: originData[\'0\'][\'占位1\']\\r\\n    },\\r\\n    {\\r\\n        name: \\\"占位2\\\",\\r\\n        value: originData[\'0\'][\'占位2\']\\r\\n    },\\r\\n    {\\r\\n        name: \\\"占位3\\\",\\r\\n        value: originData[\'0\'][\'占位3\']\\r\\n    }\\r\\n];\\r\\nlet arrName = getArrayValue(data, \\\"name\\\");\\r\\nlet arrValue = getArrayValue(data, \\\"value\\\");\\r\\nlet sumValue = eval(arrValue.join(\'+\'));\\r\\nlet objData = array2obj(data, \\\"name\\\");\\r\\nlet optionData = getData(data)\\r\\n\\r\\nfunction getArrayValue(array, key) {\\r\\n    key = key || \\\"value\\\";\\r\\n    let res = [];\\r\\n    if (array) {\\r\\n        array.forEach(function(t) {\\r\\n            res.push(t[key]);\\r\\n        });\\r\\n    }\\r\\n    return res;\\r\\n}\\r\\n\\r\\nfunction array2obj(array, key) {\\r\\n    let resObj = {};\\r\\n    for (let i = 0; i < array.length; i++) {\\r\\n        resObj[array[i][key]] = array[i];\\r\\n    }\\r\\n    return resObj;\\r\\n}\\r\\n\\r\\nfunction getData(data) {\\r\\n    var res = {\\r\\n        series: [],\\r\\n        yAxis: []\\r\\n    };\\r\\n    for (let i = 0; i < data.length; i++) {\\r\\n        // console.log([70 - i * 15 + \'%\', 67 - i * 15 + \'%\']);\\r\\n        res.series.push({\\r\\n            name: \'\',\\r\\n            type: \'pie\',\\r\\n            clockWise: false, //顺时加载\\r\\n            hoverAnimation: false, //鼠标移入变大\\r\\n            radius: [83 - i * 15 + \'%\', 78 - i * 15 + \'%\'],\\r\\n            center: [\\\"40%\\\", \\\"55%\\\"],\\r\\n            label: {\\r\\n                show: false\\r\\n            },\\r\\n            itemStyle: {\\r\\n                label: {\\r\\n                    show: false,\\r\\n                },\\r\\n                labelLine: {\\r\\n                    show: false\\r\\n                },\\r\\n                borderWidth: 5,\\r\\n            },\\r\\n            data: [{\\r\\n                value: data[i].value,\\r\\n                name: data[i].name\\r\\n            }, {\\r\\n                value: data[i].value,\\r\\n                name: \'\',\\r\\n                itemStyle: {\\r\\n                    color: \\\"rgba(0,0,0,0)\\\",\\r\\n                    borderWidth: 0\\r\\n                },\\r\\n                tooltip: {\\r\\n                    show: false\\r\\n                },\\r\\n                hoverAnimation: false\\r\\n            }]\\r\\n        });\\r\\n        res.series.push({\\r\\n            name: \'\',\\r\\n            type: \'pie\',\\r\\n            silent: true,\\r\\n            z: 1,\\r\\n            clockWise: false, //顺时加载\\r\\n            hoverAnimation: false, //鼠标移入变大\\r\\n            radius: [83 - i * 15 + \'%\', 78 - i * 15 + \'%\'],\\r\\n            center: [\\\"40%\\\", \\\"55%\\\"],\\r\\n            label: {\\r\\n                show: false\\r\\n            },\\r\\n            itemStyle: {\\r\\n                label: {\\r\\n                    show: false,\\r\\n                },\\r\\n                labelLine: {\\r\\n                    show: false\\r\\n                },\\r\\n                borderWidth: 5,\\r\\n            },\\r\\n            data: [{\\r\\n                value: 7.5,\\r\\n                itemStyle: {\\r\\n                    color: \\\"rgb(3, 31, 62)\\\",\\r\\n                    borderWidth: 0\\r\\n                },\\r\\n                tooltip: {\\r\\n                    show: false\\r\\n                },\\r\\n                hoverAnimation: false\\r\\n            }, {\\r\\n                value: 2.5,\\r\\n                name: \'\',\\r\\n                itemStyle: {\\r\\n                    color: \\\"rgba(0,0,0,0)\\\",\\r\\n                    borderWidth: 0\\r\\n                },\\r\\n                tooltip: {\\r\\n                    show: false\\r\\n                },\\r\\n                hoverAnimation: false\\r\\n            }]\\r\\n        });\\r\\n        res.yAxis.push((data[i].value / 100).toFixed(2) + \\\"%\\\");\\r\\n    }\\r\\n    return res;\\r\\n}\\r\\n\\r\\noption = {\\r\\n    grid:{\\r\\n      containLabel: true\\r\\n    },\\r\\n    legend: {\\r\\n        show: true,\\r\\n        icon: \\\"none\\\",\\r\\n        top: \'10%\',\\r\\n        left:\'center\',\\r\\n        right: -50,\\r\\n        data: arrName,\\r\\n        width: 40,\\r\\n        padding: [0, 26],\\r\\n        itemGap: 10,\\r\\n        formatter: function(name) {\\r\\n            return \\\"    {title|\\\" + name + \\\"} {value|\\\" + (objData[name].value) + \\\"}  {title|danwei}\\\"\\r\\n        },\\r\\n        textStyle: {\\r\\n            rich: {\\r\\n                title: {\\r\\n                    color: \\\"rgb(0, 178, 246)\\\"\\r\\n                },\\r\\n                value: {\\r\\n                    color: \\\"#fff\\\"\\r\\n                }\\r\\n            }\\r\\n        },\\r\\n    },\\r\\n    tooltip: {\\r\\n        show: true,\\r\\n        trigger: \\\"item\\\",\\r\\n        formatter: \\\"{a}<br>{b}:{c}({d}%)\\\"\\r\\n    },\\r\\n    color: [\'占位color1\', \'占位color2\', \'占位color3\'],\\r\\n    xAxis: [{\\r\\n        show: false\\r\\n    }],\\r\\n    series: optionData.series\\r\\n};\",\"mapForm\":[{\"title\":\"指标1\",\"value\":\"占位1\",\"type\":\"zhibiao\",\"fieldValue\":\"销售金额\"},{\"name\":\"\",\"value\":\"占位2\",\"type\":\"zhibiao\",\"fieldValue\":\"销售数量\",\"title\":\"指标2\"},{\"name\":\"\",\"value\":\"占位3\",\"type\":\"zhibiao\",\"fieldValue\":\"销售金额\",\"title\":\"指标3\"},{\"name\":\"\",\"value\":\"占位color1\",\"type\":\"color\",\"fieldValue\":\"rgb(24, 183, 142)\",\"title\":\"指标1色彩\"},{\"name\":\"\",\"value\":\"占位color2\",\"type\":\"color\",\"fieldValue\":\"rgb(1, 179, 238)\",\"title\":\"指标2色彩\"},{\"name\":\"\",\"value\":\"占位color3\",\"type\":\"color\",\"fieldValue\":\"rgb(22, 75, 205)\",\"title\":\"指标3色彩\"},{\"name\":\"\",\"value\":\"danwei\",\"type\":\"text\",\"fieldValue\":\"项\",\"title\":\"后缀单位\"}]}',1,1,'2023-03-07 15:01:25',1123598821738675201,'2023-03-07 23:11:54','管理员','000000');
/*!40000 ALTER TABLE `visual_component_define` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_component_export`
--

DROP TABLE IF EXISTS `visual_component_export`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_component_export` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `visual_id` varchar(100) NOT NULL COMMENT '大屏ID',
  `component_id` int NOT NULL COMMENT '组件ID',
  `visual_name` varchar(255) DEFAULT NULL COMMENT '大屏名称',
  `visual_category_id` int DEFAULT NULL COMMENT '大屏分类ID',
  `component_name` varchar(255) DEFAULT NULL COMMENT '组件名称',
  `operator` varchar(255) DEFAULT NULL COMMENT '操作员',
  `operator_id` bigint DEFAULT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  `export_status` tinyint NOT NULL DEFAULT '0' COMMENT '任务状态（0-进行中；1-成功；2-失败）',
  `file_name` varchar(300) DEFAULT NULL COMMENT '文件名',
  `ext` text COMMENT '扩展字段，比如存储错误信息',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='清单组件数据导出任务';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_component_export`
--

LOCK TABLES `visual_component_export` WRITE;
/*!40000 ALTER TABLE `visual_component_export` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_component_export` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_component_history_record`
--

DROP TABLE IF EXISTS `visual_component_history_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_component_history_record` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visual_id` int DEFAULT NULL COMMENT '大屏id',
  `setting_info` text NOT NULL COMMENT '查询条件',
  `setting_info_md5` varchar(32) DEFAULT NULL COMMENT '查询条件MD5加密',
  `component_key` varchar(64) DEFAULT NULL COMMENT '组件key',
  `operation_user_id` bigint NOT NULL COMMENT '操作人员id',
  `operation_user_name` varchar(50) DEFAULT NULL COMMENT '操作人员名称',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='组件查询历史记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_component_history_record`
--

LOCK TABLES `visual_component_history_record` WRITE;
/*!40000 ALTER TABLE `visual_component_history_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_component_history_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_data`
--

DROP TABLE IF EXISTS `visual_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_data` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title` varchar(255) DEFAULT NULL COMMENT '大屏标题',
  `background_url` longtext COMMENT '大屏背景',
  `category` int DEFAULT NULL COMMENT '大屏类型',
  `history_report_id` int DEFAULT NULL COMMENT '历史报告id',
  `password` varchar(255) DEFAULT NULL COMMENT '发布密码',
  `user_str` varchar(255) DEFAULT NULL COMMENT '用户ID组',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status` int DEFAULT '1' COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `content` longtext COMMENT '组件内容JSON',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '大屏公开状态',
  `visual_type` tinyint NOT NULL DEFAULT '0' COMMENT '大屏类型(0-普通大屏/1-我的收藏/2-我的报告)',
  `ref_visual_id` int DEFAULT NULL COMMENT '复制大屏ID',
  `power_point_id` int DEFAULT NULL COMMENT '幻灯片ID',
  `visual_data_type` int NOT NULL DEFAULT '0' COMMENT '是否为自主报表 1：是，0：否',
  `is_mobile` int NOT NULL DEFAULT '0' COMMENT '是否为移动大屏(0:否，1:是)',
  `mobile_content` longtext COMMENT '移动组件json内容',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_edit` int DEFAULT '1' COMMENT '是否可以被编辑 0：不可以，1：可以',
  PRIMARY KEY (`id`),
  KEY `category` (`category`,`order_index`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_data`
--

LOCK TABLES `visual_data` WRITE;
/*!40000 ALTER TABLE `visual_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_data_permission`
--

DROP TABLE IF EXISTS `visual_data_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visual_id` int NOT NULL COMMENT '大屏ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据大屏权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_data_permission`
--

LOCK TABLES `visual_data_permission` WRITE;
/*!40000 ALTER TABLE `visual_data_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_data_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_enum`
--

DROP TABLE IF EXISTS `visual_enum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_enum` (
  `id` int NOT NULL AUTO_INCREMENT,
  `key_code` varchar(20) NOT NULL COMMENT '唯一Key值',
  `content` text NOT NULL COMMENT '数据JSON',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `user_id` bigint NOT NULL COMMENT '创建人ID',
  `user_name` varchar(30) DEFAULT NULL COMMENT '创建人姓名',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户 id',
  PRIMARY KEY (`id`),
  UNIQUE KEY `key_code` (`key_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏自定义枚举';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_enum`
--

LOCK TABLES `visual_enum` WRITE;
/*!40000 ALTER TABLE `visual_enum` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_enum` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_external_link_info`
--

DROP TABLE IF EXISTS `visual_external_link_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_external_link_info` (
  `id` int NOT NULL AUTO_INCREMENT,
  `path` varchar(50) DEFAULT NULL COMMENT '文件访问路径',
  `upload_user` varchar(20) DEFAULT NULL COMMENT '文件上传人姓名',
  `upload_user_id` varchar(20) DEFAULT NULL COMMENT '文件上传人id',
  `status` tinyint DEFAULT '1' COMMENT '文件是否可用，0：不可用，1：可用',
  `trend_id` varchar(20) DEFAULT NULL COMMENT '租户id',
  `upload_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '文件上传时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义iframe记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_external_link_info`
--

LOCK TABLES `visual_external_link_info` WRITE;
/*!40000 ALTER TABLE `visual_external_link_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_external_link_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_login_free_link`
--

DROP TABLE IF EXISTS `visual_login_free_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_login_free_link` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `visual_data_id` int DEFAULT NULL COMMENT '大屏id',
  `visual_data_title` varchar(100) DEFAULT NULL COMMENT '大屏名称',
  `link_type` int DEFAULT NULL COMMENT '链接类型：0免登录 1账号匹配',
  `user_id` bigint DEFAULT NULL COMMENT '账号id',
  `user_name` varchar(100) DEFAULT NULL COMMENT '账号名称',
  `valid_date` date DEFAULT NULL COMMENT '有效期',
  `purpose` longtext COMMENT '用途',
  `is_verify` int DEFAULT NULL COMMENT '是否验证用户有效性：0是 1否',
  `short_link` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
  `real_url` varchar(255) DEFAULT NULL COMMENT '真实链接',
  `status` int DEFAULT NULL COMMENT '状态：0下线  1上线',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) DEFAULT NULL COMMENT '创建人',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(100) DEFAULT NULL COMMENT '修改人',
  `update_user_id` bigint DEFAULT NULL COMMENT '修改人id',
  `user_token` varchar(100) DEFAULT NULL COMMENT '三方系统token',
  `access_token` text COMMENT '本系统token',
  `public_status` int DEFAULT '0' COMMENT '是否公共可见 1：是，0：否',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='免登录链接';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_login_free_link`
--

LOCK TABLES `visual_login_free_link` WRITE;
/*!40000 ALTER TABLE `visual_login_free_link` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_login_free_link` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_login_free_link_permission`
--

DROP TABLE IF EXISTS `visual_login_free_link_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_login_free_link_permission` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `link_id` int NOT NULL COMMENT '三方接入web的id',
  `data_perm_id` int DEFAULT NULL COMMENT '权限组id',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_login_free_link_permission`
--

LOCK TABLES `visual_login_free_link_permission` WRITE;
/*!40000 ALTER TABLE `visual_login_free_link_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_login_free_link_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_power_classify_archiving`
--

DROP TABLE IF EXISTS `visual_power_classify_archiving`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_power_classify_archiving` (
  `id` int NOT NULL AUTO_INCREMENT,
  `classify_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的归档-分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_power_classify_archiving`
--

LOCK TABLES `visual_power_classify_archiving` WRITE;
/*!40000 ALTER TABLE `visual_power_classify_archiving` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_power_classify_archiving` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_power_classify_favourite`
--

DROP TABLE IF EXISTS `visual_power_classify_favourite`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_power_classify_favourite` (
  `id` int NOT NULL AUTO_INCREMENT,
  `classify_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的收藏-幻灯片分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_power_classify_favourite`
--

LOCK TABLES `visual_power_classify_favourite` WRITE;
/*!40000 ALTER TABLE `visual_power_classify_favourite` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_power_classify_favourite` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_power_point_category`
--

DROP TABLE IF EXISTS `visual_power_point_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_power_point_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `cate_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='幻灯片分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_power_point_category`
--

LOCK TABLES `visual_power_point_category` WRITE;
/*!40000 ALTER TABLE `visual_power_point_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_power_point_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_power_point_info`
--

DROP TABLE IF EXISTS `visual_power_point_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_power_point_info` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cate_id` int NOT NULL COMMENT '分类ID',
  `pp_name` varchar(100) NOT NULL COMMENT '幻灯片名称',
  `pp_month` varchar(100) DEFAULT NULL COMMENT '幻灯片月份',
  `settings` varchar(1000) DEFAULT NULL COMMENT '幻灯片设置',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_by` varchar(100) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NOT NULL COMMENT '修改时间',
  `public_status` int DEFAULT '0' COMMENT '幻灯片是否公共可见 1：是，0：否',
  `visual_type` tinyint NOT NULL DEFAULT '0' COMMENT '幻灯片类型(0-普通幻灯片/1-我的收藏/2-归档)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='幻灯片信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_power_point_info`
--

LOCK TABLES `visual_power_point_info` WRITE;
/*!40000 ALTER TABLE `visual_power_point_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_power_point_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_power_point_permission`
--

DROP TABLE IF EXISTS `visual_power_point_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_power_point_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pp_id` int NOT NULL COMMENT '幻灯片ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='幻灯片权限组表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_power_point_permission`
--

LOCK TABLES `visual_power_point_permission` WRITE;
/*!40000 ALTER TABLE `visual_power_point_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_power_point_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_report_category_favourite`
--

DROP TABLE IF EXISTS `visual_report_category_favourite`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_report_category_favourite` (
  `id` int NOT NULL AUTO_INCREMENT,
  `category_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的收藏-自主报表分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_report_category_favourite`
--

LOCK TABLES `visual_report_category_favourite` WRITE;
/*!40000 ALTER TABLE `visual_report_category_favourite` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_report_category_favourite` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_report_folder`
--

DROP TABLE IF EXISTS `visual_report_folder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_report_folder` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `sort_order` int NOT NULL DEFAULT '0' COMMENT '显示排序',
  `folder_name` varchar(50) NOT NULL COMMENT '文件夹名称',
  `user_id` bigint NOT NULL DEFAULT '0' COMMENT '用户id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='我的报告目录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_report_folder`
--

LOCK TABLES `visual_report_folder` WRITE;
/*!40000 ALTER TABLE `visual_report_folder` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_report_folder` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_report_info`
--

DROP TABLE IF EXISTS `visual_report_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_report_info` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `folder_id` int NOT NULL COMMENT '文件夹id',
  `report_month` varchar(50) DEFAULT NULL COMMENT '月份',
  `report_title` varchar(50) DEFAULT NULL COMMENT '报告名称',
  `background_url` varchar(300) DEFAULT NULL COMMENT '背景图url',
  `sort_order` int DEFAULT '0' COMMENT '显示排序',
  `is_deleted` int DEFAULT '0',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的报告';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_report_info`
--

LOCK TABLES `visual_report_info` WRITE;
/*!40000 ALTER TABLE `visual_report_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_report_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_self_report_category`
--

DROP TABLE IF EXISTS `visual_self_report_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_self_report_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父分类id',
  `classify_type` int DEFAULT NULL COMMENT '分类类型 1 pc端 2 移动端',
  `category_key` varchar(500) DEFAULT NULL COMMENT '分类键值',
  `category_value` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `is_deleted` int NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自主报表分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_self_report_category`
--

LOCK TABLES `visual_self_report_category` WRITE;
/*!40000 ALTER TABLE `visual_self_report_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_self_report_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_self_report_permission`
--

DROP TABLE IF EXISTS `visual_self_report_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_self_report_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `self_report_id` int NOT NULL COMMENT '报表ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自主报表权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_self_report_permission`
--

LOCK TABLES `visual_self_report_permission` WRITE;
/*!40000 ALTER TABLE `visual_self_report_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_self_report_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_short_code_generator`
--

DROP TABLE IF EXISTS `visual_short_code_generator`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_short_code_generator` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `code_num` bigint DEFAULT NULL COMMENT 'code码',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_short_code_generator`
--

LOCK TABLES `visual_short_code_generator` WRITE;
/*!40000 ALTER TABLE `visual_short_code_generator` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_short_code_generator` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_subscribe`
--

DROP TABLE IF EXISTS `visual_subscribe`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_subscribe` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sub_title` varchar(100) NOT NULL COMMENT '订阅名称/标题',
  `data_type` tinyint NOT NULL COMMENT '订阅内容类型',
  `data_id` int NOT NULL COMMENT '订阅内容ID',
  `trigger_period` tinyint NOT NULL COMMENT '触发周期',
  `trigger_week_value` tinyint DEFAULT NULL COMMENT '触发周几',
  `trigger_day_value` tinyint DEFAULT NULL COMMENT '触发哪一天',
  `trigger_hour` tinyint NOT NULL COMMENT '触发时间小时数',
  `trigger_minute` tinyint NOT NULL DEFAULT '0' COMMENT '触发时间分钟数',
  `job_id` int DEFAULT NULL COMMENT 'xxl-job任务ID',
  `notify_type` tinyint NOT NULL COMMENT '通知方式(0-邮件)',
  `notify_title` varchar(150) NOT NULL COMMENT '邮件标题',
  `notify_content` text COMMENT '邮件内容',
  `user_id` bigint NOT NULL COMMENT '订阅人ID',
  `user_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `create_time` datetime NOT NULL COMMENT '订阅时间',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='订阅服务';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_subscribe`
--

LOCK TABLES `visual_subscribe` WRITE;
/*!40000 ALTER TABLE `visual_subscribe` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_subscribe` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_subscribe_notify_conf`
--

DROP TABLE IF EXISTS `visual_subscribe_notify_conf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_subscribe_notify_conf` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `attri_key` varchar(255) DEFAULT NULL COMMENT '配置键',
  `attri_value` varchar(255) DEFAULT NULL COMMENT '值',
  `attri_name` varchar(100) DEFAULT NULL COMMENT '键名称',
  `notify_type` tinyint DEFAULT NULL COMMENT '通知方式',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `sort` tinyint DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_subscribe_notify_conf`
--

LOCK TABLES `visual_subscribe_notify_conf` WRITE;
/*!40000 ALTER TABLE `visual_subscribe_notify_conf` DISABLE KEYS */;
INSERT INTO `visual_subscribe_notify_conf` VALUES (1,'corp_id','','企业微信id',1,'111111',NULL),(2,'corp_secret','','企业微信secret',1,'111111',NULL),(3,'agent_id','','应用id',1,'111111',NULL),(4,'app_secret','','应用secret',1,'111111',NULL),(5,'water_mark','0','是否开启水印',100,'111111',NULL),(6,'water_mark_type','','水印内容',100,'111111',NULL),(7,'water_mark_content','','自定义',100,'111111',NULL),(8,'username','','发送邮箱',0,'111111',NULL),(9,'password','','授权码',0,'111111',NULL),(10,'smtp','','smtp',0,'111111',NULL),(11,'agent_id','','钉钉应用id',2,'111111',NULL),(12,'app_key','','钉钉应用app_key',2,'111111',NULL),(13,'app_secret','','钉钉应用secret',2,'111111',NULL),(14,'app_id','','飞书应用id',3,'111111',NULL),(15,'app_secret','','飞书应用密钥',3,'111111',NULL),(16,'bi','bi_version','bi说明',6,'111111',NULL),(17,'system','system_version','system说明',6,'111111',NULL),(18,'pdf','pdf_version','pdf说明',6,'111111',NULL),(19,'lowcode','lowcode_version','lowcode说明',6,'111111',NULL),(20,'xxljob','xxljob_version','xxljob说明',6,'111111',NULL),(21,'upgrade','upgrade_version','upgrade说明',6,'111111',NULL),(22,'bi','gemtry-bi','bi说明',7,'111111',NULL),(23,'system','gmetry-system','system说明',7,'111111',NULL),(24,'pdf','gmetry-pdf','pdf说明',7,'111111',NULL),(25,'lowcode','gmetry-lowcode','lowcode说明',7,'111111',NULL),(26,'xxljob','gmetry-xxljob','xxljob说明',7,'111111',NULL),(27,'upgrade','gemtry-upgrade','upgrade说明',7,'111111',NULL),(28,'systemName','几何 BI','系统名称',5,'111111',NULL),(29,'systemVersion','','系统版本',5,'111111',NULL),(30,'loginType','1','登录方式',5,'111111',NULL),(31,'systemLogo','','系统LOGO',5,'111111',NULL),(32,'homeUrl','','首页url',5,'111111',NULL),(33,'isTop','','是否启用顶部菜单',5,'111111',NULL),(34,'apiUrl','','接口路径',5,'111111',NULL),(35,'pdfUrl','','pdf路径',5,'111111',NULL),(36,'imgUploadUrl','','图片上传路径',5,'111111',NULL),(37,'imgViewUrl','','图片预览地址',5,'111111',NULL),(38,'app_id','','微信应用id',8,'111111',NULL),(39,'app_secret','','微信应用secret',8,'111111',NULL),(40,'app_id','','小程序appid',9,'111111',NULL),(41,'app_secret','','小程序secret',9,'111111',NULL),(42,'app_url','','小程序请求url',9,'111111',NULL);
/*!40000 ALTER TABLE `visual_subscribe_notify_conf` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_subscribe_operate_log`
--

DROP TABLE IF EXISTS `visual_subscribe_operate_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_subscribe_operate_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sub_title` varchar(255) NOT NULL COMMENT '标题',
  `data_type` tinyint NOT NULL COMMENT '订阅内容类型',
  `notify_type` tinyint DEFAULT NULL COMMENT '通知方式',
  `data_id` int NOT NULL COMMENT '订阅内容ID',
  `operator_id` bigint NOT NULL COMMENT '订阅人ID',
  `operator_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `user_id` bigint NOT NULL COMMENT '订阅人ID',
  `user_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `operate_type` tinyint DEFAULT NULL COMMENT '操作',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='订阅操作日志';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_subscribe_operate_log`
--

LOCK TABLES `visual_subscribe_operate_log` WRITE;
/*!40000 ALTER TABLE `visual_subscribe_operate_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_subscribe_operate_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_subscribe_push_log`
--

DROP TABLE IF EXISTS `visual_subscribe_push_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_subscribe_push_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sub_title` varchar(255) NOT NULL COMMENT '标题',
  `data_type` tinyint NOT NULL COMMENT '订阅内容类型',
  `notify_type` tinyint NOT NULL COMMENT '通知方式(0-邮件)',
  `data_id` int NOT NULL COMMENT '订阅内容ID',
  `content` text COMMENT '发送的内容',
  `user_id` bigint NOT NULL COMMENT '订阅人ID',
  `user_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `err_code` tinyint NOT NULL DEFAULT '0' COMMENT '错误码(0-成功/1-失败)',
  `err_msg` varchar(4000) DEFAULT NULL COMMENT '错误描述',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`),
  KEY `data_id` (`data_id`,`data_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='订阅发送日志';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_subscribe_push_log`
--

LOCK TABLES `visual_subscribe_push_log` WRITE;
/*!40000 ALTER TABLE `visual_subscribe_push_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_subscribe_push_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_template`
--

DROP TABLE IF EXISTS `visual_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_template` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '大屏标题',
  `background_url` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci COMMENT '大屏背景',
  `category` int DEFAULT NULL COMMENT '大屏类型',
  `history_report_id` int DEFAULT NULL COMMENT '历史报告id',
  `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '发布密码',
  `user_str` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '用户ID组',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status` int DEFAULT '1' COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci COMMENT '组件内容JSON',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '大屏公开状态',
  `visual_type` tinyint NOT NULL DEFAULT '0' COMMENT '大屏类型(0-普通大屏/1-我的收藏/2-我的报告)',
  `ref_visual_id` int DEFAULT NULL COMMENT '复制大屏ID',
  `power_point_id` int DEFAULT NULL COMMENT '幻灯片ID',
  `visual_data_type` int NOT NULL DEFAULT '0' COMMENT '是否为自主报表 1：是，0：否',
  `is_mobile` int NOT NULL DEFAULT '0' COMMENT '是否为移动大屏(0:否，1:是)',
  `mobile_content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci COMMENT '移动组件json内容',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '租户id',
  `publish_status` int NOT NULL DEFAULT '0' COMMENT '发布状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='大屏模板表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_template`
--

LOCK TABLES `visual_template` WRITE;
/*!40000 ALTER TABLE `visual_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_warning`
--

DROP TABLE IF EXISTS `visual_warning`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_warning` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL COMMENT '预警器名称',
  `request_freq` int NOT NULL COMMENT '请求频率',
  `datasource_id` int NOT NULL DEFAULT '0' COMMENT '数据源ID',
  `datasource_name` varchar(100) DEFAULT NULL COMMENT '数据源名称',
  `cube_data_id` int NOT NULL DEFAULT '0' COMMENT '数据集ID',
  `cube_data_name` varchar(100) DEFAULT NULL COMMENT '数据集名称',
  `filter_json` text COMMENT '查询条件JSON',
  `filter_relation_json` text COMMENT '查询条件关系JSON',
  `filter_time_json` text COMMENT '时间设置JSON',
  `column_json` text COMMENT '字段JSON',
  `sort_json` text COMMENT '排序JSON',
  `column_id_list` json DEFAULT NULL COMMENT '字段ID列表JSON',
  `message_dynamic_content` varchar(500) DEFAULT NULL COMMENT '消息动态内容',
  `warn_message_way` tinyint NOT NULL COMMENT '预警消息方式(0-短信/1-邮件/2-所有)',
  `warn_user_ids` varchar(2000) DEFAULT NULL COMMENT '预警人ID',
  `next_loop_ts` bigint NOT NULL DEFAULT '0' COMMENT '下次轮询时间戳(毫秒)',
  `enable_status` tinyint NOT NULL DEFAULT '1' COMMENT '是否开启(0-否/1-是)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(30) NOT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `sms_params` json DEFAULT NULL COMMENT '短信变量参数',
  `sms_id` int DEFAULT NULL COMMENT '短信模版ID',
  `job_id` int DEFAULT NULL COMMENT 'XXLJOB任务ID',
  `visual_data_json` json DEFAULT NULL COMMENT '大屏列表基础信息JSON',
  `approve_status` tinyint NOT NULL DEFAULT '1' COMMENT '审批状态(0-审核中/1-审核通过/2-审核拒绝)',
  `warning_ways` varchar(200) DEFAULT NULL COMMENT '预警消息方式',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='智能预警器表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_warning`
--

LOCK TABLES `visual_warning` WRITE;
/*!40000 ALTER TABLE `visual_warning` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_warning` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_warning_message_template`
--

DROP TABLE IF EXISTS `visual_warning_message_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_warning_message_template` (
  `id` int NOT NULL AUTO_INCREMENT,
  `content_id` varchar(100) NOT NULL COMMENT '短信运营商模版ID',
  `name` varchar(50) NOT NULL COMMENT '模版名称',
  `content` text NOT NULL COMMENT '模版内容',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='智能预警消息模版';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_warning_message_template`
--

LOCK TABLES `visual_warning_message_template` WRITE;
/*!40000 ALTER TABLE `visual_warning_message_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_warning_message_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_warning_record`
--

DROP TABLE IF EXISTS `visual_warning_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_warning_record` (
  `id` int NOT NULL AUTO_INCREMENT,
  `warning_id` int NOT NULL COMMENT '预警器ID',
  `warning_name` varchar(50) NOT NULL COMMENT '预警器名称',
  `warn_data` text NOT NULL COMMENT '预警数据',
  `warn_message` text COMMENT '预警内容',
  `warn_message_way` tinyint NOT NULL COMMENT '预警消息类型(0-短信/1-邮件/2-所有)',
  `warn_type` tinyint DEFAULT NULL COMMENT '预警类型',
  `resolve_status` tinyint NOT NULL DEFAULT '0' COMMENT '解决状态(0-待解决/1-已解决)',
  `distort_status` tinyint NOT NULL DEFAULT '0' COMMENT '误报状态(0-否/1-是)',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(30) DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='智能预警记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_warning_record`
--

LOCK TABLES `visual_warning_record` WRITE;
/*!40000 ALTER TABLE `visual_warning_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_warning_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_warning_record_user`
--

DROP TABLE IF EXISTS `visual_warning_record_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visual_warning_record_user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `warning_id` int NOT NULL COMMENT '预警器ID',
  `warning_record_id` int NOT NULL COMMENT '预警记录ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='预警记录和用户中间表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_warning_record_user`
--

LOCK TABLES `visual_warning_record_user` WRITE;
/*!40000 ALTER TABLE `visual_warning_record_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_warning_record_user` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-12-06 14:35:32
