/*
 Navicat Premium Data Transfer

 Source Server         : local-33066
 Source Server Type    : MySQL
 Source Server Version : 80032
 Source Host           : localhost:33066
 Source Schema         : digital_operation

 Target Server Type    : MySQL
 Target Server Version : 80032
 File Encoding         : 65001

 Date: 15/03/2024 10:30:47
*/

CREATE database if NOT EXISTS `digital_operation` default character set utf8mb4 collate utf8mb4_unicode_ci;
use `digital_operation`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for activity_member_exchange_record
-- ----------------------------
DROP TABLE IF EXISTS `activity_member_exchange_record`;
CREATE TABLE `activity_member_exchange_record` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `activity_uuid` varchar(50) DEFAULT NULL COMMENT '活动ID',
  `activity_name` varchar(50) DEFAULT NULL COMMENT '活动名称',
  `activity_type` int DEFAULT NULL COMMENT '活动类型 1=活动类 2=订购类 3=游戏类 4=秒杀类 5=助力类 6=抽奖类',
  `prize_id` varchar(50) DEFAULT NULL COMMENT '奖品id',
  `prize_name` varchar(50) DEFAULT NULL COMMENT '奖品名称',
  `win_code` varchar(20) DEFAULT NULL COMMENT '中奖码',
  `prize_level` varchar(20) DEFAULT NULL COMMENT '奖品等级',
  `prize_type` int DEFAULT NULL COMMENT '奖品类型1=实物 2=话费 3=优惠券（待定 是否按照兑奖类型来使用该字段）兑奖方式 1=线下邮寄 2=获取卡密 3=手机号码人工导出 4=QQ号人工导出 5=微信账号人工导出 6=其它',
  `exchange_status` int DEFAULT NULL COMMENT '兑奖状态  1 已兑 2 未兑',
  `member_phone` varchar(20) DEFAULT NULL COMMENT '会员手机号',
  `charge_phone` varchar(20) DEFAULT NULL COMMENT '收货电话号码',
  `consignee` varchar(20) DEFAULT NULL COMMENT '收货人',
  `shipping_address` varchar(200) DEFAULT NULL COMMENT '配送地址',
  `exchange_time` datetime DEFAULT NULL COMMENT '兑奖时间',
  `courier_number` varchar(100) DEFAULT NULL COMMENT '快递单号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='活动会员兑奖记录表';

-- ----------------------------
-- Records of activity_member_exchange_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for activity_participate_record
-- ----------------------------
DROP TABLE IF EXISTS `activity_participate_record`;
CREATE TABLE `activity_participate_record` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `activity_uuid` varchar(50) DEFAULT NULL COMMENT '活动ID',
  `activity_name` varchar(50) DEFAULT NULL COMMENT '活动名称',
  `activity_type` int DEFAULT NULL COMMENT '活动类型 1=活动类 2=订购类 3=游戏类 4=秒杀类 5=助力类 6=抽奖类',
  `participate_phone` varchar(20) DEFAULT NULL COMMENT '参与活动手机号',
  `ip_address` varchar(100) DEFAULT NULL COMMENT '参与活动ip地址',
  `participate_goods` varchar(50) DEFAULT NULL COMMENT '参与活动商品',
  `participate_channel` varchar(100) DEFAULT NULL COMMENT '参与活动渠道',
  `participate_time` datetime DEFAULT NULL COMMENT '参与活动时间',
  `is_hit` int DEFAULT NULL COMMENT '是否中奖  1 是 0 否',
  `is_order` char(10) DEFAULT NULL COMMENT '是否订购  1 是 0 否',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='活动参与记录表';

-- ----------------------------
-- Records of activity_participate_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for audit_complaint_detail
-- ----------------------------
DROP TABLE IF EXISTS `audit_complaint_detail`;
CREATE TABLE `audit_complaint_detail` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `report_name` varchar(100) DEFAULT NULL COMMENT '报表名称',
  `category_code` varchar(50) DEFAULT NULL COMMENT '分类code',
  `report_url` varchar(200) DEFAULT NULL COMMENT '上传地址',
  `create_user` varchar(100) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='客服数据表';

-- ----------------------------
-- Records of audit_complaint_detail
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for audit_stream_detail
-- ----------------------------
DROP TABLE IF EXISTS `audit_stream_detail`;
CREATE TABLE `audit_stream_detail` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `report_name` varchar(100) DEFAULT NULL COMMENT '报表名称',
  `category_code` varchar(50) DEFAULT NULL COMMENT '分类code',
  `report_url` varchar(200) DEFAULT NULL COMMENT '上传地址',
  `create_user` varchar(100) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='客服数据表';

-- ----------------------------
-- Records of audit_stream_detail
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for audit_upload_file
-- ----------------------------
DROP TABLE IF EXISTS `audit_upload_file`;
CREATE TABLE `audit_upload_file` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `the_month` bigint DEFAULT NULL COMMENT '月份',
  `report_type` varchar(20) DEFAULT NULL COMMENT '报表分类',
  `report_name` varchar(100) DEFAULT NULL COMMENT '报表名称',
  `report_path` varchar(200) DEFAULT NULL COMMENT '报表路径',
  `upload_id` bigint DEFAULT NULL COMMENT '上传人ID',
  `audit_id` bigint DEFAULT NULL COMMENT '审核人ID',
  `status` int DEFAULT NULL COMMENT '审核状态 1 审核中 2 审核通过 3 审核驳回',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `audit_time` datetime DEFAULT NULL COMMENT '审核时间',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of audit_upload_file
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for audit_upload_file_template
-- ----------------------------
DROP TABLE IF EXISTS `audit_upload_file_template`;
CREATE TABLE `audit_upload_file_template` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `report_type` varchar(20) DEFAULT NULL COMMENT '报表分类',
  `template_path` varchar(200) DEFAULT NULL COMMENT '模板地址',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of audit_upload_file_template
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for audit_upload_user
-- ----------------------------
DROP TABLE IF EXISTS `audit_upload_user`;
CREATE TABLE `audit_upload_user` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `upload_id` varchar(400) DEFAULT NULL COMMENT '上传人ID',
  `upload_user` varchar(400) DEFAULT NULL COMMENT '上传人',
  `audit_id` bigint DEFAULT NULL COMMENT '审核人ID',
  `audit_user` varchar(50) DEFAULT NULL COMMENT '审核人',
  `report_type` varchar(20) DEFAULT NULL COMMENT '报表分类',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of audit_upload_user
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_authorize
-- ----------------------------
DROP TABLE IF EXISTS `base_authorize`;
CREATE TABLE `base_authorize` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ItemType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '项目类型',
  `F_ItemId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '项目主键',
  `F_ObjectType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '对象类型',
  `F_ObjectId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '对象主键',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='操作权限';

-- ----------------------------
-- Records of base_authorize
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_billrule
-- ----------------------------
DROP TABLE IF EXISTS `base_billrule`;
CREATE TABLE `base_billrule` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '单据名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '单据编号',
  `F_Prefix` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '单据前缀',
  `F_DateFormat` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '日期格式',
  `F_Digit` int DEFAULT NULL COMMENT '流水位数',
  `F_StartNumber` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '流水起始',
  `F_Example` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '流水范例',
  `F_ThisNumber` int DEFAULT NULL COMMENT '当前流水号',
  `F_OutputNumber` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '输出流水号',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='单据规则';

-- ----------------------------
-- Records of base_billrule
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_comfields
-- ----------------------------
DROP TABLE IF EXISTS `base_comfields`;
CREATE TABLE `base_comfields` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '主键',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述说明',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_FieldName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '列说名',
  `F_DataType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '类型',
  `F_DataLength` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '长度',
  `F_AllowNull` int DEFAULT NULL COMMENT '是否为空（1允许，0不允许）',
  `F_Field` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '列名',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='常用表字段';

-- ----------------------------
-- Records of base_comfields
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_datainterface
-- ----------------------------
DROP TABLE IF EXISTS `base_datainterface`;
CREATE TABLE `base_datainterface` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '主键ID',
  `F_CategoryId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '分组ID',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '接口名称',
  `F_Path` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL,
  `F_RequestMethod` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '请求方式',
  `F_ResponseType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '返回类型',
  `F_Query` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '查询语句',
  `F_RequestParameters` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '请求参数JSON',
  `F_ResponseParameters` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '返回参数JSON',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '接口编码',
  `F_SortCode` bigint NOT NULL COMMENT '排序码(默认0)',
  `F_EnabledMark` int NOT NULL COMMENT '状态(0-默认，禁用，1-启用)',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述或说明',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '创建用户id',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户id',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志(默认0)',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户id',
  `F_DbLinkId` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '数据源id',
  `F_DataType` int DEFAULT NULL COMMENT '数据类型(1-动态数据SQL查询，2-静态数据)',
  `F_CheckType` int DEFAULT NULL COMMENT '验证类型',
  `F_RequestHeaders` varchar(300) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '请求头参数',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='数据接口';

-- ----------------------------
-- Records of base_datainterface
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_datainterfacelog
-- ----------------------------
DROP TABLE IF EXISTS `base_datainterfacelog`;
CREATE TABLE `base_datainterfacelog` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键id',
  `F_InvokId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用接口id',
  `F_InvokTime` datetime DEFAULT NULL COMMENT '调用时间',
  `F_UserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '调用者id',
  `F_InvokIp` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求ip',
  `F_InvokDevice` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求设备',
  `F_InvokType` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求类型',
  `F_InvokWasteTime` int DEFAULT NULL COMMENT '请求耗时',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='数据接口调用日志';

-- ----------------------------
-- Records of base_datainterfacelog
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_dbbackup
-- ----------------------------
DROP TABLE IF EXISTS `base_dbbackup`;
CREATE TABLE `base_dbbackup` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_BackupDbName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '备份库名',
  `F_BackupTime` datetime DEFAULT NULL COMMENT '备份时间',
  `F_FileName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '文件名称',
  `F_FileSize` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '文件大小',
  `F_FilePath` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '文件路径',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='数据备份';

-- ----------------------------
-- Records of base_dbbackup
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_dblink
-- ----------------------------
DROP TABLE IF EXISTS `base_dblink`;
CREATE TABLE `base_dblink` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '连接名称',
  `F_DbType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '连接驱动',
  `F_Host` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '主机地址',
  `F_Port` int DEFAULT NULL COMMENT '端口',
  `F_UserName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '用户',
  `F_Password` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '密码',
  `F_ServiceName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '服务名称',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_DbSchema` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '模式',
  `F_TableSpace` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '表空间',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='数据连接';

-- ----------------------------
-- Records of base_dblink
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_dictionarydata
-- ----------------------------
DROP TABLE IF EXISTS `base_dictionarydata`;
CREATE TABLE `base_dictionarydata` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '上级',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '编号',
  `F_SimpleSpelling` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '拼音',
  `F_IsDefault` int DEFAULT NULL COMMENT '默认',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_DictionaryTypeId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '类别主键',
  `F_UpdateTime` datetime DEFAULT NULL,
  `tenant_id` varchar(12) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '租户id',
  `mode_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '模型类型（1低代码 2零代码）\n',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='字典数据';

-- ----------------------------
-- Records of base_dictionarydata
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_dictionarytype
-- ----------------------------
DROP TABLE IF EXISTS `base_dictionarytype`;
CREATE TABLE `base_dictionarytype` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '上级',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '编号',
  `F_IsTree` int DEFAULT NULL COMMENT '树形',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `tenant_id` varchar(12) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='字典分类';

-- ----------------------------
-- Records of base_dictionarytype
-- ----------------------------
BEGIN;
INSERT INTO `base_dictionarytype` VALUES ('02ad722fd1914c338d51597236ad2339', 'efdbdac8d9e04539b85cda898aabde65', '门户设计分类', 'portalDesigner', 0, '', 0, NULL, '2020-09-21 00:49:02', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-21 00:49:42', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('037ba904515348eaad1c4bd462fc80a6', '188f465964644e0f81b8ffc756eefa92', '流程表单分类', 'flowForm', 0, '', 0, NULL, '2020-09-19 07:04:57', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('038d293fca544c86afa3f2bc65421fd7', '821ddb80b4f14b918f32549f72a81473', '客户类型', 'kehuleixing', 1, '', 0, NULL, '2020-11-06 06:43:02', 'admin', '2020-11-14 09:14:07', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('1143c18426014419a35aa1fa97685c9c', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '结算方式', 'WFSettlementMethod', 0, '支付', 0, NULL, '2018-07-10 10:22:34', 'admin', '2020-09-19 06:28:14', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('188f465964644e0f81b8ffc756eefa92', '-1', '代码生成', 'codeGeneration', 1, '', 0, NULL, '2020-09-19 07:03:45', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('1cff2b60fd7a4c9f82273163b956268c', '188f465964644e0f81b8ffc756eefa92', '移动表单分类', 'appForm', 0, '', 0, NULL, '2020-09-19 07:04:35', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-10-14 01:41:43', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('237446e245ce403d8062995ea33711cf', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '比较符号', 'Comparison', 0, NULL, 0, NULL, '2017-10-20 16:52:32', NULL, '2020-09-19 06:27:58', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('3e2d33e54d554b4b8a33fc41b93f8a2d', '821ddb80b4f14b918f32549f72a81473', '审批费用类型区分', 'shenpi', 0, '', 0, NULL, '2020-10-31 01:55:50', 'admin', '2020-11-14 09:14:23', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('4173579c31e74a2b8749e65a23e5c957', '188f465964644e0f81b8ffc756eefa92', '功能表单分类', 'webForm', 0, '', 0, NULL, '2020-09-19 07:04:11', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-10-14 01:41:49', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('42b0f46122b041d097f1fe4f2f637a03', 'd3fc17551c29461b878eb98baf60552c', '流程引擎类型', 'flowType', 0, '', 0, NULL, '2020-08-10 18:58:44', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-21 00:51:41', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('4501f6f26a384757bce12d4c4b03342c', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '角色分类', 'RoleType', 0, NULL, 0, NULL, '2017-10-27 10:19:32', NULL, '2020-09-19 06:26:11', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('507f4f5df86b47588138f321e0b0dac7', 'd3fc17551c29461b878eb98baf60552c', '流程设计分类', 'WorkFlowCategory', 0, NULL, 0, NULL, '2018-01-17 11:49:20', 'admin', '2020-09-21 00:53:29', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('55d7666d74df4bb4b36aed08a3a5bad1', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '邮箱格式', 'Email', 0, NULL, 0, NULL, '2018-11-30 11:16:03', 'admin', '2020-09-19 06:27:46', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('573c31998bc04a23a769f9a9eff67d00', 'efdbdac8d9e04539b85cda898aabde65', '移动设计分类', 'appDesigner', 0, '', 0, NULL, '2020-09-19 07:01:02', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-10-14 01:41:58', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('65e7917344fa460e8c487e45bbbab26f', 'efdbdac8d9e04539b85cda898aabde65', '报表设计分类', 'ReportSort', 0, NULL, 0, NULL, '2020-05-16 16:56:35', 'admin', '2020-09-19 07:02:42', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('6a6d6fb541b742fbae7e8888528baa16', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '学历', 'Education', 0, NULL, 0, NULL, '2017-10-20 16:51:29', NULL, '2020-09-19 06:30:00', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('70f970e14fee4879802b63122511032b', 'd3fc17551c29461b878eb98baf60552c', '流程表单类型', 'flowFormType', 0, '', 0, NULL, '2020-08-10 18:10:40', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-21 00:51:21', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('765929a127f44a5b80e773d65d58f96c', 'efdbdac8d9e04539b85cda898aabde65', '功能设计分类', 'webDesign', 0, '', 0, NULL, '2020-09-19 07:00:42', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-10-14 01:42:05', 'admin', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('7866376d5f694d4d851c7164bd00ebfc', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '证件类型', 'certificateType', 0, '', 0, NULL, '2020-08-08 10:08:08', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-19 06:27:28', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('821ddb80b4f14b918f32549f72a81473', '-1', '功能示例', 'FunctionExample', 0, '', 0, NULL, '2020-11-14 09:13:50', 'admin', NULL, NULL, NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('963255a34ea64a2584c5d1ba269c1fe6', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '性别', 'sex', 0, '', 0, NULL, '2020-08-15 03:10:55', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-19 06:59:53', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('9aba44dfc8dc481a9346b9ce38a0735e', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '组织分类', 'OrganizeType', 0, NULL, 0, NULL, '2017-10-20 16:51:50', NULL, '2020-09-19 06:25:41', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('9b542177a477488994ce09fff3c93901', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '企业性质', 'EnterpriseNature', 0, NULL, 0, NULL, '2017-10-25 14:33:08', NULL, '2020-09-19 06:26:57', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('9c43287481364d348c0ea0d0f64b38be', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '接口分类', 'DataInterfaceType', 1, '', 0, NULL, '2020-08-04 14:44:52', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-19 06:25:15', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('9e7b2d0c690f4562b13e1215e449c222', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '数据类型', 'dbType', 0, '', 0, NULL, '2021-05-12 01:03:17', '03d159a3-0f88-424c-a24f-02f63855fe4f', NULL, NULL, NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('afcc3a0952df4d1bad7d83cc8eb20fbd', '-1', '系统管理', 'system', 1, '', 0, NULL, '2020-09-19 06:23:59', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('b1474890faaa47e1858ce7b593c8ffd7', 'efdbdac8d9e04539b85cda898aabde65', '大屏设计分类', 'dataVType', 0, '', 0, NULL, '2020-08-04 14:40:32', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-19 07:02:56', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('b6cd65a763fa45eb9fe98e5057693e40', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '民族', 'Nation', 0, NULL, 0, NULL, '2017-10-20 16:51:38', NULL, '2020-09-19 06:59:38', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('d3fc17551c29461b878eb98baf60552c', '-1', '工作流程', 'workFlow', 0, '', 0, NULL, '2020-08-10 18:53:12', '00ca450b-141b-45d2-b6cb-94d818165543', '2020-09-21 03:56:16', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('d59a3cf65f9847dbb08be449e3feae16', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '行业类别', 'IndustryType', 1, NULL, 0, NULL, '2017-10-20 16:52:04', NULL, '2020-09-19 06:26:38', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('dae93f2fd7cd4df999d32f8750fa6a1e', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '岗位分类', 'PositionType', 0, NULL, 0, NULL, '2017-10-26 13:28:40', NULL, '2020-09-19 06:25:56', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('dc6b2542d94b407cac61ec1d59592901', 'afcc3a0952df4d1bad7d83cc8eb20fbd', '系统语言', 'Language', 0, '配置多语言', 0, NULL, '2017-10-20 16:52:45', NULL, '2020-09-19 06:24:42', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, '23v8po3');
INSERT INTO `base_dictionarytype` VALUES ('efdbdac8d9e04539b85cda898aabde65', '-1', '在线开发', 'onlineDev', 1, '', 0, NULL, '2020-09-19 07:00:16', '00ca450b-141b-45d2-b6cb-94d818165543', NULL, NULL, NULL, NULL, NULL, '23v8po3');
COMMIT;

-- ----------------------------
-- Table structure for base_file
-- ----------------------------
DROP TABLE IF EXISTS `base_file`;
CREATE TABLE `base_file` (
  `F_Id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'id',
  `F_FileVersion` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '文件版本',
  `F_FileName` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '文件名',
  `F_Type` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '上传方式: 1.local 本地上传  2.http http上传  3.create 新建',
  `F_Url` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'http上传的url',
  `F_OldFileVersionId` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '历史版本id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

-- ----------------------------
-- Records of base_file
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_imcontent
-- ----------------------------
DROP TABLE IF EXISTS `base_imcontent`;
CREATE TABLE `base_imcontent` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_SendUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '发送者',
  `F_SendTime` datetime DEFAULT NULL COMMENT '发送时间',
  `F_ReceiveUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '接收者',
  `F_ReceiveTime` datetime DEFAULT NULL COMMENT '接收时间',
  `F_Content` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '内容',
  `F_ContentType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '内容',
  `F_State` int DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='聊天内容';

-- ----------------------------
-- Records of base_imcontent
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_imreply
-- ----------------------------
DROP TABLE IF EXISTS `base_imreply`;
CREATE TABLE `base_imreply` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_UserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '用户主键',
  `F_ReceiveUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '接收用户',
  `F_ReceiveTime` datetime DEFAULT NULL COMMENT '接收时间',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='聊天会话';

-- ----------------------------
-- Records of base_imreply
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_languagemap
-- ----------------------------
DROP TABLE IF EXISTS `base_languagemap`;
CREATE TABLE `base_languagemap` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '编号',
  `F_FullName` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '名称',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_LanguageTypeId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '翻译分类',
  `F_Language` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '翻译语言',
  `F_SignKey` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '翻译标记',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='翻译数据';

-- ----------------------------
-- Records of base_languagemap
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_message
-- ----------------------------
DROP TABLE IF EXISTS `base_message`;
CREATE TABLE `base_message` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_Type` int DEFAULT NULL COMMENT '类别',
  `F_Title` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '标题',
  `F_BodyText` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '正文',
  `F_PriorityLevel` int DEFAULT NULL COMMENT '优先',
  `F_ToUserIds` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '收件用户',
  `F_IsRead` int DEFAULT NULL COMMENT '是否阅读',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='消息实例';

-- ----------------------------
-- Records of base_message
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_messagereceive
-- ----------------------------
DROP TABLE IF EXISTS `base_messagereceive`;
CREATE TABLE `base_messagereceive` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_MessageId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '消息主键',
  `F_UserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '用户主键',
  `F_IsRead` int DEFAULT NULL COMMENT '是否阅读',
  `F_ReadTime` datetime DEFAULT NULL COMMENT '阅读时间',
  `F_ReadCount` int DEFAULT NULL COMMENT '阅读次数',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='消息接收';

-- ----------------------------
-- Records of base_messagereceive
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_module
-- ----------------------------
DROP TABLE IF EXISTS `base_module`;
CREATE TABLE `base_module` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '功能上级',
  `F_Type` int DEFAULT NULL COMMENT '功能类别',
  `F_FullName` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '功能名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '功能编号',
  `F_UrlAddress` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '功能地址',
  `F_IsButtonAuthorize` int DEFAULT NULL COMMENT '按钮权限',
  `F_IsColumnAuthorize` int DEFAULT NULL COMMENT '列表权限',
  `F_IsDataAuthorize` int DEFAULT NULL COMMENT '数据权限',
  `F_PropertyJson` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '扩展属性',
  `F_Description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_LinkTarget` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '链接目标',
  `F_Category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '菜单分类',
  `F_Icon` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '菜单图标',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='系统功能';

-- ----------------------------
-- Records of base_module
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_modulebutton
-- ----------------------------
DROP TABLE IF EXISTS `base_modulebutton`;
CREATE TABLE `base_modulebutton` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '按钮上级',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '按钮名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '按钮编号',
  `F_Icon` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '按钮图标',
  `F_UrlAddress` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '请求地址',
  `F_PropertyJson` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '扩展属性',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_ModuleId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '功能主键',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='按钮权限';

-- ----------------------------
-- Records of base_modulebutton
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_modulecolumn
-- ----------------------------
DROP TABLE IF EXISTS `base_modulecolumn`;
CREATE TABLE `base_modulecolumn` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '列表上级',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '列表名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '列表编号',
  `F_BindTable` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '绑定表格Id',
  `F_BindTableName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '绑定表格描述',
  `F_PropertyJson` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '扩展属性',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_ModuleId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '功能主键',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='列表权限';

-- ----------------------------
-- Records of base_modulecolumn
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_moduledataauthorize
-- ----------------------------
DROP TABLE IF EXISTS `base_moduledataauthorize`;
CREATE TABLE `base_moduledataauthorize` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '字段名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '字段编号',
  `F_Type` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '字段类型',
  `F_ConditionSymbol` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '条件符号',
  `F_ConditionSymbolJson` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '条件符号Json',
  `F_ConditionText` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '条件内容',
  `F_PropertyJson` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '扩展属性',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_ModuleId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '功能主键',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='数据权限配置';

-- ----------------------------
-- Records of base_moduledataauthorize
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_moduledataauthorizescheme
-- ----------------------------
DROP TABLE IF EXISTS `base_moduledataauthorizescheme`;
CREATE TABLE `base_moduledataauthorizescheme` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '方案编号',
  `F_FullName` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '方案名称',
  `F_ConditionJson` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '条件规则Json',
  `F_ConditionText` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '条件规则描述',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_ModuleId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '功能主键',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='数据权限方案';

-- ----------------------------
-- Records of base_moduledataauthorizescheme
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_organize
-- ----------------------------
DROP TABLE IF EXISTS `base_organize`;
CREATE TABLE `base_organize` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '机构上级',
  `F_Category` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '机构分类',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '机构编号',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '机构名称',
  `F_ManagerId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '机构主管',
  `F_PropertyJson` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '扩展属性',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='组织机构';

-- ----------------------------
-- Records of base_organize
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_portal
-- ----------------------------
DROP TABLE IF EXISTS `base_portal`;
CREATE TABLE `base_portal` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '主键',
  `F_Description` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_FullName` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '编码',
  `F_Category` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '分类（数据字典）',
  `F_FormData` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '表单配置JSON',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='门户表';

-- ----------------------------
-- Records of base_portal
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_position
-- ----------------------------
DROP TABLE IF EXISTS `base_position`;
CREATE TABLE `base_position` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '岗位名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '岗位编号',
  `F_Type` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '岗位类型',
  `F_PropertyJson` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '扩展属性',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_OrganizeId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '机构主键',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='岗位信息';

-- ----------------------------
-- Records of base_position
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_province
-- ----------------------------
DROP TABLE IF EXISTS `base_province`;
CREATE TABLE `base_province` (
  `F_Id` varchar(50) NOT NULL COMMENT '自然主键',
  `F_ParentId` varchar(50) DEFAULT NULL COMMENT '区域上级',
  `F_EnCode` varchar(50) DEFAULT NULL COMMENT '区域编号',
  `F_FullName` varchar(50) DEFAULT NULL COMMENT '区域名称',
  `F_QuickQuery` varchar(50) DEFAULT NULL COMMENT '快速查询',
  `F_Type` varchar(50) DEFAULT NULL COMMENT '区域类型',
  `F_Description` text COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) DEFAULT NULL COMMENT '删除用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='行政区划';

-- ----------------------------
-- Records of base_province
-- ----------------------------
BEGIN;
INSERT INTO `base_province` VALUES ('05653f4d343a4215b1c797a797781ed9', '110228', '110228001', '鼓楼街道', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('11', '-1', '1134', '北京市', 'beijingshi', '1', NULL, 0, 1, NULL, NULL, '2020-12-29 06:35:47', '03d159a3-0f88-424c-a24f-02f63855fe4f', NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1101', '11', '1101', '市辖区', 'shixiaqu', '2', NULL, 0, 1, NULL, NULL, '2019-12-16 11:31:28', 'admin', NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110101', '1101', '110101', '东城区', 'dongchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110101001', '110101', '110101001', '东华门街道', 'donghuamenjiedao', '4', NULL, 0, 1, NULL, NULL, '2020-07-25 17:47:21', '249cf67d-fd9d-42da-8c2f-0481a7113446', NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110101002', '110101', '110101002', '景山街道', 'jingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110101003', '110101', '110101003', '交道口街道', 'jiaodaokoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110101004', '110101', '110101004', '安定门街道', 'andingmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110101005', '110101', '110101005', '北新桥街道', 'beixinqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110101006', '110101', '110101006', '东四街道', 'dongsijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110101007', '110101', '110101007', '朝阳门街道', 'chaoyangmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110101008', '110101', '110101008', '建国门街道', 'jianguomenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110101009', '110101', '110101009', '东直门街道', 'dongzhimenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110101010', '110101', '110101010', '和平里街道', 'hepinglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110102', '1101', '110102', '西城区', 'xichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110102001', '110102', '110102001', '西长安街街道', 'xizhanganjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110102003', '110102', '110102003', '新街口街道', 'xinjiekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110102007', '110102', '110102007', '月坛街道', 'yuetanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110102009', '110102', '110102009', '展览路街道', 'zhanlanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110102010', '110102', '110102010', '德胜街道', 'deshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110102011', '110102', '110102011', '金融街街道', 'jinrongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110102012', '110102', '110102012', '什刹海街道', 'shenchahaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110103', '1101', '110103', '崇文区', 'chongwenqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110103001', '110103', '110103001', '前门街道', 'qianmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110103002', '110103', '110103002', '崇文门外街道', 'chongwenmenwaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110103003', '110103', '110103003', '东花市街道', 'donghuashijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110103004', '110103', '110103004', '龙潭街道', 'longtanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110103005', '110103', '110103005', '体育馆路街道', 'tiyuguanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110103006', '110103', '110103006', '天坛街道', 'tiantanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110103007', '110103', '110103007', '永定门外街道', 'yongdingmenwaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110104', '1101', '110104', '宣武区', 'xuanwuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110104001', '110104', '110104001', '大栅栏街道', 'dazhalanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110104002', '110104', '110104002', '天桥街道', 'tianqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110104003', '110104', '110104003', '椿树街道', 'chunshujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110104004', '110104', '110104004', '陶然亭街道', 'taorantingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110104005', '110104', '110104005', '广安门内街道', 'guanganmenneijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110104006', '110104', '110104006', '牛街街道', 'niujiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110104007', '110104', '110104007', '白纸坊街道', 'baizhifangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110104008', '110104', '110104008', '广安门外街道', 'guanganmenwaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105', '1101', '110105', '朝阳区', 'chaoyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105001', '110105', '110105001', '建外街道', 'jianwaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105002', '110105', '110105002', '朝外街道', 'chaowaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105003', '110105', '110105003', '呼家楼街道', 'hujialoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105004', '110105', '110105004', '三里屯街道', 'sanlitunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105005', '110105', '110105005', '左家庄街道', 'zuojiazhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105006', '110105', '110105006', '香河园街道', 'xiangheyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105007', '110105', '110105007', '和平街街道', 'hepingjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105008', '110105', '110105008', '安贞街道', 'anzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105009', '110105', '110105009', '亚运村街道', 'yayuncunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105010', '110105', '110105010', '小关街道', 'xiaoguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105011', '110105', '110105011', '酒仙桥街道', 'jiuxianqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105012', '110105', '110105012', '麦子店街道', 'maizidianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105013', '110105', '110105013', '团结湖街道', 'tuanjiehujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105014', '110105', '110105014', '六里屯街道', 'liulitunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105015', '110105', '110105015', '八里庄街道', 'balizhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105016', '110105', '110105016', '双井街道', 'shuangjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105017', '110105', '110105017', '劲松街道', 'jingsongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105018', '110105', '110105018', '潘家园街道', 'panjiayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105019', '110105', '110105019', '垡头街道', 'fatoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105021', '110105', '110105021', '南磨房地区', 'nanmofangdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105022', '110105', '110105022', '高碑店地区', 'gaobeidiandiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105023', '110105', '110105023', '将台地区', 'jiangtaidiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105024', '110105', '110105024', '太阳宫地区', 'taiyanggongdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105025', '110105', '110105025', '大屯街道', 'datunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105026', '110105', '110105026', '望京街道', 'wangjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105027', '110105', '110105027', '小红门地区', 'xiaohongmendiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105028', '110105', '110105028', '十八里店地区', 'shibalidiandiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105029', '110105', '110105029', '平房地区', 'pingfangdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105030', '110105', '110105030', '东风地区', 'dongfengdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105031', '110105', '110105031', '奥运村地区', 'aoyuncundiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105032', '110105', '110105032', '来广营地区', 'laiguangyingdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105033', '110105', '110105033', '常营回族地区', 'changyinghuizudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105034', '110105', '110105034', '三间房地区', 'sanjianfangdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105035', '110105', '110105035', '管庄地区', 'guanzhuangdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105036', '110105', '110105036', '金盏地区', 'jinzhandiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105037', '110105', '110105037', '孙河地区', 'sunhediqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105038', '110105', '110105038', '崔各庄地区', 'cuigezhuangdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105039', '110105', '110105039', '东坝地区', 'dongbadiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105040', '110105', '110105040', '黑庄户地区', 'heizhuanghudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105041', '110105', '110105041', '豆各庄地区', 'dougezhuangdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105042', '110105', '110105042', '王四营地区', 'wangsiyingdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105400', '110105', '110105400', '首都机场街道', 'shoudoujichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110105501', '110105', '110105501', '望京开发街道', 'wangjingkaifajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106', '1101', '110106', '丰台区', 'fengtaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106001', '110106', '110106001', '右安门街道', 'youanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106002', '110106', '110106002', '太平桥街道', 'taipingqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106003', '110106', '110106003', '西罗园街道', 'xiluoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106004', '110106', '110106004', '大红门街道', 'dahongmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106005', '110106', '110106005', '南苑街道', 'nanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106006', '110106', '110106006', '东高地街道', 'donggaodijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106007', '110106', '110106007', '东铁匠营街道', 'dongtiejiangyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106008', '110106', '110106008', '卢沟桥街道', 'lugouqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106009', '110106', '110106009', '丰台街道', 'fengtaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106010', '110106', '110106010', '新村街道', 'xincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106011', '110106', '110106011', '长辛店街道', 'zhangxindianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106012', '110106', '110106012', '云岗街道', 'yungangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106013', '110106', '110106013', '方庄地区', 'fangzhuangdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106014', '110106', '110106014', '宛平城地区', 'wanpingchengdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106015', '110106', '110106015', '马家堡街道', 'majiabaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106016', '110106', '110106016', '和义街道', 'heyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106100', '110106', '110106100', '长辛店镇', 'zhangxindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106101', '110106', '110106101', '王佐镇', 'wangzuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106201', '110106', '110106201', '卢沟桥乡', 'lugouqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106202', '110106', '110106202', '花乡', 'huaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110106203', '110106', '110106203', '南苑乡', 'nanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110107', '1101', '110107', '石景山区', 'shijingshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110107001', '110107', '110107001', '八宝山街道', 'babaoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110107002', '110107', '110107002', '老山街道', 'laoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110107003', '110107', '110107003', '八角街道', 'bajiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110107004', '110107', '110107004', '古城街道', 'guchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110107005', '110107', '110107005', '苹果园街道', 'pingguoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110107006', '110107', '110107006', '金顶街街道', 'jindingjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110107009', '110107', '110107009', '广宁街道', 'guangningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110107010', '110107', '110107010', '五里坨街道', 'wulituojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110107011', '110107', '110107011', '鲁谷社区行政事务管理中心', 'lugushequxingzhengshiwuguanlizhongxin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108', '1101', '110108', '海淀区', 'haidianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108001', '110108', '110108001', '万寿路街道', 'wanshoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108002', '110108', '110108002', '永定路街道', 'yongdinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108003', '110108', '110108003', '羊坊店街道', 'yangfangdianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108004', '110108', '110108004', '甘家口街道', 'ganjiakoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108005', '110108', '110108005', '八里庄街道', 'balizhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108006', '110108', '110108006', '紫竹院街道', 'zizhuyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108007', '110108', '110108007', '北下关街道', 'beixiaguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108008', '110108', '110108008', '北太平庄街道', 'beitaipingzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108010', '110108', '110108010', '学院路街道', 'xueyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108011', '110108', '110108011', '中关村街道', 'zhongguancunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108012', '110108', '110108012', '海淀街道', 'haidianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108013', '110108', '110108013', '青龙桥街道', 'qinglongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108014', '110108', '110108014', '清华园街道', 'qinghuayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108015', '110108', '110108015', '燕园街道', 'yanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108016', '110108', '110108016', '香山街道', 'xiangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108017', '110108', '110108017', '清河街道', 'qinghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108018', '110108', '110108018', '花园路街道', 'huayuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108019', '110108', '110108019', '西三旗街道', 'xisanqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108020', '110108', '110108020', '马连洼街道', 'malianwajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108021', '110108', '110108021', '田村路街道', 'tiancunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108022', '110108', '110108022', '上地街道', 'shangdijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108023', '110108', '110108023', '万柳地区', 'wanliudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108024', '110108', '110108024', '东升地区', 'dongshengdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108025', '110108', '110108025', '曙光街道', 'shuguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108101', '110108', '110108101', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108102', '110108', '110108102', '四季青镇', 'sijiqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108103', '110108', '110108103', '西北旺镇', 'xibeiwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108104', '110108', '110108104', '苏家坨镇', 'sujiatuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110108105', '110108', '110108105', '上庄镇', 'shangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109', '1101', '110109', '门头沟区', 'mentougouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109001', '110109', '110109001', '大峪街道', 'dayujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109002', '110109', '110109002', '城子街道', 'chengzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109003', '110109', '110109003', '东辛房街道', 'dongxinfangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109004', '110109', '110109004', '大台街道', 'dataijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109005', '110109', '110109005', '王平地区', 'wangpingdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109101', '110109', '110109101', '潭柘寺镇', 'tanzhesizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109102', '110109', '110109102', '永定镇', 'yongdingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109103', '110109', '110109103', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109104', '110109', '110109104', '军庄镇', 'junzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109105', '110109', '110109105', '雁翅镇', 'yanchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109106', '110109', '110109106', '斋堂镇', 'zhaitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109107', '110109', '110109107', '清水镇', 'qingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110109108', '110109', '110109108', '妙峰山镇', 'miaofengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111', '1101', '110111', '房山区', 'fangshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111001', '110111', '110111001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111002', '110111', '110111002', '新镇街道', 'xinzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111004', '110111', '110111004', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111005', '110111', '110111005', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111006', '110111', '110111006', '迎风街道', 'yingfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111007', '110111', '110111007', '星城街道', 'xingchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111008', '110111', '110111008', '良乡地区', 'liangxiangdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111009', '110111', '110111009', '周口店地区', 'zhoukoudiandiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111010', '110111', '110111010', '琉璃河地区', 'liulihediqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111011', '110111', '110111011', '拱辰街道', 'gongchenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111012', '110111', '110111012', '西潞街道', 'xilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111101', '110111', '110111101', '阎村镇', 'yancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111103', '110111', '110111103', '窦店镇', 'doudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111104', '110111', '110111104', '石楼镇', 'shilouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111105', '110111', '110111105', '长阳镇', 'zhangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111107', '110111', '110111107', '河北镇', 'hebeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111108', '110111', '110111108', '长沟镇', 'zhanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111109', '110111', '110111109', '大石窝镇', 'dashiwozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111110', '110111', '110111110', '张坊镇', 'zhangfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111111', '110111', '110111111', '十渡镇', 'shiduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111112', '110111', '110111112', '青龙湖镇', 'qinglonghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111115', '110111', '110111115', '韩村河镇', 'hancunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111208', '110111', '110111208', '霞云岭乡', 'xiayunlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111209', '110111', '110111209', '南窖乡', 'nanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111210', '110111', '110111210', '佛子庄乡', 'fozizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111211', '110111', '110111211', '大安山乡', 'daanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111212', '110111', '110111212', '史家营乡', 'shijiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110111213', '110111', '110111213', '蒲洼乡', 'puwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112', '1101', '110112', '通州区', 'tongzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112001', '110112', '110112001', '中仓街道', 'zhongcangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112002', '110112', '110112002', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112003', '110112', '110112003', '北苑街道', 'beiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112004', '110112', '110112004', '玉桥街道', 'yuqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112005', '110112', '110112005', '永顺地区', 'yongshundiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112006', '110112', '110112006', '梨园地区', 'liyuandiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112104', '110112', '110112104', '宋庄镇', 'songzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112105', '110112', '110112105', '张家湾镇', 'zhangjiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112106', '110112', '110112106', '漷县镇', 'kuoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112109', '110112', '110112109', '马驹桥镇', 'majuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112110', '110112', '110112110', '西集镇', 'xijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112114', '110112', '110112114', '台湖镇', 'taihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112117', '110112', '110112117', '永乐店镇', 'yongledianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112119', '110112', '110112119', '潞城镇', 'luchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110112209', '110112', '110112209', '于家务回族乡', 'yujiawuhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113', '1101', '110113', '顺义区', 'shunyiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113001', '110113', '110113001', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113002', '110113', '110113002', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113003', '110113', '110113003', '仁和地区', 'renhediqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113004', '110113', '110113004', '后沙峪地区', 'houshayudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113005', '110113', '110113005', '天竺地区', 'tianzhudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113006', '110113', '110113006', '杨镇地区', 'yangzhendiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113007', '110113', '110113007', '牛栏山地区', 'niulanshandiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113008', '110113', '110113008', '南法信地区', 'nanfaxindiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113009', '110113', '110113009', '马坡地区', 'mapodiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113010', '110113', '110113010', '石园街道', 'shiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113101', '110113', '110113101', '高丽营镇', 'gaoliyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113104', '110113', '110113104', '李桥镇', 'liqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113105', '110113', '110113105', '李遂镇', 'lisuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113106', '110113', '110113106', '南彩镇', 'nancaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113108', '110113', '110113108', '北务镇', 'beiwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113109', '110113', '110113109', '大孙各庄镇', 'dasungezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113110', '110113', '110113110', '张镇', 'zhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113111', '110113', '110113111', '龙湾屯镇', 'longwantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113112', '110113', '110113112', '木林镇', 'mulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113113', '110113', '110113113', '北小营镇', 'beixiaoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113115', '110113', '110113115', '北石槽镇', 'beishicaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110113116', '110113', '110113116', '赵全营镇', 'zhaoquanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114', '1101', '110114', '昌平区', 'changpingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114001', '110114', '110114001', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114002', '110114', '110114002', '南口地区', 'nankoudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114003', '110114', '110114003', '马池口地区', 'machikoudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114004', '110114', '110114004', '沙河地区', 'shahediqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114005', '110114', '110114005', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114006', '110114', '110114006', '回龙观地区', 'huilongguandiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114007', '110114', '110114007', '东小口地区', 'dongxiaokoudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114104', '110114', '110114104', '阳坊镇', 'yangfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114110', '110114', '110114110', '小汤山镇', 'xiaotangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114111', '110114', '110114111', '南邵镇', 'nanshaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114112', '110114', '110114112', '崔村镇', 'cuicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114113', '110114', '110114113', '百善镇', 'baishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114115', '110114', '110114115', '北七家镇', 'beiqijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114116', '110114', '110114116', '兴寿镇', 'xingshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114117', '110114', '110114117', '长陵镇', 'zhanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114118', '110114', '110114118', '流村镇', 'liucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110114119', '110114', '110114119', '十三陵镇', 'shisanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115', '1101', '110115', '大兴区', 'daxingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115001', '110115', '110115001', '兴丰街道', 'xingfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115002', '110115', '110115002', '林校路街道', 'linxiaolujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115003', '110115', '110115003', '清源街道', 'qingyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115004', '110115', '110115004', '亦庄地区', 'yizhuangdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115005', '110115', '110115005', '黄村地区', 'huangcundiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115006', '110115', '110115006', '旧宫地区', 'jiugongdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115007', '110115', '110115007', '西红门地区', 'xihongmendiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115103', '110115', '110115103', '青云店镇', 'qingyundianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115104', '110115', '110115104', '采育镇', 'caiyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115105', '110115', '110115105', '安定镇', 'andingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115106', '110115', '110115106', '礼贤镇', 'lixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115107', '110115', '110115107', '榆垡镇', 'yufazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115108', '110115', '110115108', '庞各庄镇', 'panggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115109', '110115', '110115109', '北臧村镇', 'beizangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115110', '110115', '110115110', '魏善庄镇', 'weishanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115111', '110115', '110115111', '长子营镇', 'zhangziyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115112', '110115', '110115112', '瀛海镇', 'yinghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110115403', '110115', '110115403', '亦庄开发区', 'yizhuangkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116', '1101', '110116', '怀柔区', 'huairouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116001', '110116', '110116001', '泉河街道', 'quanhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116002', '110116', '110116002', '龙山街道', 'longshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116003', '110116', '110116003', '怀柔地区', 'huairoudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116004', '110116', '110116004', '雁栖地区', 'yanqidiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116005', '110116', '110116005', '庙城地区', 'miaochengdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116102', '110116', '110116102', '北房镇', 'beifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116103', '110116', '110116103', '杨宋镇', 'yangsongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116105', '110116', '110116105', '桥梓镇', 'qiaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116106', '110116', '110116106', '怀北镇', 'huaibeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116107', '110116', '110116107', '汤河口镇', 'tanghekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116108', '110116', '110116108', '渤海镇', 'bohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116109', '110116', '110116109', '九渡河镇', 'jiuduhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116110', '110116', '110116110', '琉璃庙镇', 'liulimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116111', '110116', '110116111', '宝山镇', 'baoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116211', '110116', '110116211', '长哨营满族乡', 'zhangshaoyingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110116213', '110116', '110116213', '喇叭沟门满族乡', 'labagoumenmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117', '1101', '110117', '平谷区', 'pingguqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117001', '110117', '110117001', '滨河街道', 'binhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117002', '110117', '110117002', '兴谷街道', 'xinggujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117003', '110117', '110117003', '渔阳地区', 'yuyangdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117004', '110117', '110117004', '峪口地区', 'yukoudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117005', '110117', '110117005', '马坊地区', 'mafangdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117006', '110117', '110117006', '金海湖地区', 'jinhaihudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117101', '110117', '110117101', '东高村镇', 'donggaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117102', '110117', '110117102', '山东庄镇', 'shandongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117104', '110117', '110117104', '南独乐河镇', 'nandulehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117105', '110117', '110117105', '大华山镇', 'dahuashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117106', '110117', '110117106', '夏各庄镇', 'xiagezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117108', '110117', '110117108', '马昌营镇', 'machangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117110', '110117', '110117110', '王辛庄镇', 'wangxinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117111', '110117', '110117111', '大兴庄镇', 'daxingzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117112', '110117', '110117112', '刘家店镇', 'liujiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117114', '110117', '110117114', '镇罗营镇', 'zhenluoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117213', '110117', '110117213', '黄松峪乡', 'huangsongyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110117214', '110117', '110117214', '熊儿寨乡', 'xiongerzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1102', '11', '1102', '县', 'xian', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228', '1102', '110228', '密云县', 'miyunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228001', '110228', '110228001', '鼓楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228002', '110228', '110228002', '果园街道', 'guoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228003', '110228', '110228003', '檀营地区', 'tanyingdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228100', '110228', '110228100', '密云镇', 'miyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228101', '110228', '110228101', '溪翁庄镇', 'xiwengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228102', '110228', '110228102', '西田各庄镇', 'xitiangezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228103', '110228', '110228103', '十里堡镇', 'shilibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228104', '110228', '110228104', '河南寨镇', 'henanzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228105', '110228', '110228105', '巨各庄镇', 'jugezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228106', '110228', '110228106', '穆家峪镇', 'mujiayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228107', '110228', '110228107', '太师屯镇', 'taishitunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228108', '110228', '110228108', '高岭镇', 'gaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228109', '110228', '110228109', '不老屯镇', 'bulaotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228110', '110228', '110228110', '冯家峪镇', 'fengjiayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228111', '110228', '110228111', '古北口镇', 'gubeikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228112', '110228', '110228112', '大城子镇', 'dachengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228113', '110228', '110228113', '东邵渠镇', 'dongshaoquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228114', '110228', '110228114', '北庄镇', 'beizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228115', '110228', '110228115', '新城子镇', 'xinchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110228116', '110228', '110228116', '石城镇', 'shichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229', '1102', '110229', '延庆县', 'yanqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229100', '110229', '110229100', '延庆镇', 'yanqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229101', '110229', '110229101', '康庄镇', 'kangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229102', '110229', '110229102', '八达岭镇', 'badalingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229103', '110229', '110229103', '永宁镇', 'yongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229104', '110229', '110229104', '旧县镇', 'jiuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229105', '110229', '110229105', '张山营镇', 'zhangshanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229106', '110229', '110229106', '四海镇', 'sihaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229107', '110229', '110229107', '千家店镇', 'qianjiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229108', '110229', '110229108', '沈家营镇', 'shenjiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229109', '110229', '110229109', '大榆树镇', 'dayushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229110', '110229', '110229110', '井庄镇', 'jingzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229207', '110229', '110229207', '大庄科乡', 'dazhuangkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229209', '110229', '110229209', '刘斌堡乡', 'liubinbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229210', '110229', '110229210', '香营乡', 'xiangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('110229214', '110229', '110229214', '珍珠泉乡', 'zhenzhuquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('12', '-1', '12', '天津市', 'tianjinshi', '1', '', 0, 1, NULL, NULL, '2020-09-22 03:19:12', 'admin', NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1201', '12', '1201', '市辖区', 'shixiaqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120101', '1201', '120101', '和平区', 'hepingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120101001', '120101', '120101001', '劝业场街道', 'quanyechangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120101002', '120101', '120101002', '小白楼街道', 'xiaobailoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120101003', '120101', '120101003', '体育馆街道', 'tiyuguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120101004', '120101', '120101004', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120101005', '120101', '120101005', '南营门社区街道', 'nanyingmenshequjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120101006', '120101', '120101006', '南市街道', 'nanshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102', '1201', '120102', '河东区', 'hedongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102001', '120102', '120102001', '大王庄街道', 'dawangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102002', '120102', '120102002', '大直沽街道', 'dazhigujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102003', '120102', '120102003', '中山门街道', 'zhongshanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102004', '120102', '120102004', '富民路街道', 'fuminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102005', '120102', '120102005', '二号桥街道', 'erhaoqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102006', '120102', '120102006', '春华街道', 'chunhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102007', '120102', '120102007', '唐家口街道', 'tangjiakoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102008', '120102', '120102008', '向阳楼街道', 'xiangyangloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102009', '120102', '120102009', '常州道街道', 'changzhoudaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102010', '120102', '120102010', '上杭路街道', 'shanghanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102011', '120102', '120102011', '东新街道', 'dongxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102012', '120102', '120102012', '鲁山道街道', 'lushandaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120102013', '120102', '120102013', '天津铁厂街道', 'tianjintiechangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103', '1201', '120103', '河西区', 'hexiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103001', '120103', '120103001', '大营门街道', 'dayingmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103002', '120103', '120103002', '下瓦房街道', 'xiawafangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103003', '120103', '120103003', '桃园街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103004', '120103', '120103004', '挂甲寺街道', 'guajiasijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103005', '120103', '120103005', '马场街道', 'machangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103006', '120103', '120103006', '越秀路街道', 'yuexiulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103007', '120103', '120103007', '友谊路街道', 'youyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103008', '120103', '120103008', '天塔街道', 'tiantajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103009', '120103', '120103009', '尖山街道', 'jianshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103010', '120103', '120103010', '陈塘庄街道', 'chentangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103011', '120103', '120103011', '柳林街道', 'liulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103012', '120103', '120103012', '东海街道', 'donghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120103400', '120103', '120103400', '梅江虚拟街道', 'meijiangxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104', '1201', '120104', '南开区', 'nankaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104001', '120104', '120104001', '长虹街道', 'zhanghongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104002', '120104', '120104002', '鼓楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104003', '120104', '120104003', '兴南街道', 'xingnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104004', '120104', '120104004', '广开街道', 'guangkaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104005', '120104', '120104005', '万兴街道', 'wanxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104006', '120104', '120104006', '学府街道', 'xuefujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104007', '120104', '120104007', '向阳路街道', 'xiangyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104008', '120104', '120104008', '嘉陵道街道', 'jialingdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104009', '120104', '120104009', '王顶堤街道', 'wangdingdijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104010', '120104', '120104010', '水上公园街道', 'shuishanggongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104011', '120104', '120104011', '体育中心街道', 'tiyuzhongxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120104012', '120104', '120104012', '华苑街道', 'huayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120105', '1201', '120105', '河北区', 'hebeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120105001', '120105', '120105001', '光复道街道', 'guangfudaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120105002', '120105', '120105002', '望海楼街道', 'wanghailoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120105003', '120105', '120105003', '鸿顺里街道', 'hongshunlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120105004', '120105', '120105004', '新开河街道', 'xinkaihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120105005', '120105', '120105005', '铁东路街道', 'tiedonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120105006', '120105', '120105006', '建昌道街道', 'jianchangdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120105007', '120105', '120105007', '宁园街道', 'ningyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120105008', '120105', '120105008', '王串场街道', 'wangchuanchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120105009', '120105', '120105009', '江都路街道', 'jiangdoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120105010', '120105', '120105010', '月牙河街道', 'yueyahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120106', '1201', '120106', '红桥区', 'hongqiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120106001', '120106', '120106001', '西于庄街道', 'xiyuzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120106002', '120106', '120106002', '双环村街道', 'shuanghuancunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120106003', '120106', '120106003', '咸阳北路街道', 'xianyangbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120106004', '120106', '120106004', '丁字沽街道', 'dingzigujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120106005', '120106', '120106005', '西沽街道', 'xigujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120106006', '120106', '120106006', '三条石街道', 'santiaoshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120106008', '120106', '120106008', '邵公庄街道', 'shaogongzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120106009', '120106', '120106009', '芥园街道', 'jieyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120106010', '120106', '120106010', '铃铛阁街道', 'lingdanggejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120106011', '120106', '120106011', '大胡同街道', 'dahutongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107', '1201', '120107', '塘沽区', 'tangguqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107001', '120107', '120107001', '新村街道', 'xincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107002', '120107', '120107002', '解放路街道', 'jiefanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107003', '120107', '120107003', '三槐路街道', 'sanhuailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107004', '120107', '120107004', '新港街道', 'xingangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107005', '120107', '120107005', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107006', '120107', '120107006', '杭州道街道', 'hangzhoudaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107007', '120107', '120107007', '新河街道', 'xinhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107008', '120107', '120107008', '大沽街道', 'dagujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107009', '120107', '120107009', '北塘街道', 'beitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107010', '120107', '120107010', '渤海石油街道', 'bohaishiyoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107011', '120107', '120107011', '胡家园街道', 'hujiayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107100', '120107', '120107100', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107400', '120107', '120107400', '开发区虚拟街道', 'kaifaquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120107401', '120107', '120107401', '保税区虚拟街道', 'baoshuiquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120108', '1201', '120108', '汉沽区', 'hanguqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120108001', '120108', '120108001', '汉沽街道', 'hangujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120108002', '120108', '120108002', '寨上街道', 'zhaishangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120108003', '120108', '120108003', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120108005', '120108', '120108005', '盐场街道', 'yanchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120108100', '120108', '120108100', '大田镇', 'datianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120108101', '120108', '120108101', '杨家泊镇', 'yangjiabozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120108102', '120108', '120108102', '茶淀镇', 'chadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120108103', '120108', '120108103', '营城镇', 'yingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120108400', '120108', '120108400', '开发区汉沽化工小区虚拟街道', 'kaifaquhanguhuagongxiaoquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120109', '1201', '120109', '大港区', 'dagangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120109001', '120109', '120109001', '迎宾街道', 'yingbinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120109002', '120109', '120109002', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120109003', '120109', '120109003', '古林街道', 'gulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120109004', '120109', '120109004', '海滨街道', 'haibinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120109005', '120109', '120109005', '港西街道', 'gangxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120109100', '120109', '120109100', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120109101', '120109', '120109101', '小王庄镇', 'xiaowangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120109102', '120109', '120109102', '中塘镇', 'zhongtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120109450', '120109', '120109450', '北大港农场虚拟镇', 'beidagangnongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110', '1201', '120110', '东丽区', 'dongliqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110001', '120110', '120110001', '张贵庄街道', 'zhangguizhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110002', '120110', '120110002', '丰年村街道', 'fengniancunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110003', '120110', '120110003', '万新街道', 'wanxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110004', '120110', '120110004', '无瑕街道', 'wuxiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110005', '120110', '120110005', '新立街道', 'xinlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110006', '120110', '120110006', '华明街道', 'huamingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110102', '120110', '120110102', '军粮城镇', 'junliangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110105', '120110', '120110105', '大毕庄镇', 'dabizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110200', '120110', '120110200', '么六桥乡', 'meliuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110400', '120110', '120110400', '开发区西区虚拟街道', 'kaifaquxiquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110401', '120110', '120110401', '保税区空港国际物流区虚拟街道', 'baoshuiqukonggangguojiwuliuquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110402', '120110', '120110402', '保税区空港国际物流加工区虚拟街道', 'baoshuiqukonggangguojiwuliujiagongquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110403', '120110', '120110403', '东丽区开发区虚拟街道', 'dongliqukaifaquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120110404', '120110', '120110404', '东丽湖虚拟街道', 'donglihuxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111', '1201', '120111', '西青区', 'xiqingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111001', '120111', '120111001', '西营门街道', 'xiyingmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111002', '120111', '120111002', '李七庄街道', 'liqizhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111100', '120111', '120111100', '中北镇', 'zhongbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111101', '120111', '120111101', '杨柳青镇', 'yangliuqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111102', '120111', '120111102', '辛口镇', 'xinkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111103', '120111', '120111103', '张家窝镇', 'zhangjiawozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111104', '120111', '120111104', '南河镇', 'nanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111105', '120111', '120111105', '大寺镇', 'dasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111106', '120111', '120111106', '王稳庄镇', 'wangwenzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111400', '120111', '120111400', '开发区西青微电子小区虚拟街道', 'kaifaquxiqingweidianzixiaoquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111401', '120111', '120111401', '新技术产业园区虚拟街', 'xinjishuchanyeyuanquxunijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120111450', '120111', '120111450', '西青区开发区虚拟街道', 'xiqingqukaifaquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112', '1201', '120112', '津南区', 'jinnanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112100', '120112', '120112100', '咸水沽镇', 'xianshuiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112101', '120112', '120112101', '葛沽镇', 'geguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112102', '120112', '120112102', '小站镇', 'xiaozhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112103', '120112', '120112103', '双港镇', 'shuanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112104', '120112', '120112104', '辛庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112106', '120112', '120112106', '双桥河镇', 'shuangqiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112107', '120112', '120112107', '八里台镇', 'balitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112108', '120112', '120112108', '北闸口镇', 'beizhakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112400', '120112', '120112400', '双林农场虚拟街', 'shuanglinnongchangxunijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112401', '120112', '120112401', '铁路十八局虚拟街', 'tielushibajuxunijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112402', '120112', '120112402', '津南国家农业园区虚拟街', 'jinnanguojianongyeyuanquxunijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112403', '120112', '120112403', '长青办事处虚拟街', 'zhangqingbanshichuxunijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112404', '120112', '120112404', '津南开发区东区虚拟居街', 'jinnankaifaqudongquxunijujie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120112405', '120112', '120112405', '津南开发区西区虚拟居街', 'jinnankaifaquxiquxunijujie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113', '1201', '120113', '北辰区', 'beichenqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113001', '120113', '120113001', '果园新村街道', 'guoyuanxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113002', '120113', '120113002', '集贤里街道', 'jixianlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113003', '120113', '120113003', '普东街道', 'pudongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113004', '120113', '120113004', '佳荣里街道', 'jiaronglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113100', '120113', '120113100', '天穆镇', 'tianmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113101', '120113', '120113101', '北仓镇', 'beicangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113102', '120113', '120113102', '双街镇', 'shuangjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113103', '120113', '120113103', '双口镇', 'shuangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113104', '120113', '120113104', '青光镇', 'qingguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113106', '120113', '120113106', '宜兴埠镇', 'yixingbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113107', '120113', '120113107', '小淀镇', 'xiaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113108', '120113', '120113108', '大张庄镇', 'dazhangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113111', '120113', '120113111', '西堤头镇', 'xiditouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113451', '120113', '120113451', '红旗农场', 'hongqinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120113452', '120113', '120113452', '曙光农场', 'shuguangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114', '1201', '120114', '武清区', 'wuqingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114001', '120114', '120114001', '杨村街道', 'yangcunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114002', '120114', '120114002', '下朱庄街道', 'xiazhuzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114003', '120114', '120114003', '东蒲洼街道', 'dongpuwajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114004', '120114', '120114004', '黄庄街道', 'huangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114005', '120114', '120114005', '徐官屯街道', 'xuguantunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114006', '120114', '120114006', '运河西街道', 'yunhexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114101', '120114', '120114101', '梅厂镇', 'meichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114102', '120114', '120114102', '大碱厂镇', 'dajianchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114103', '120114', '120114103', '崔黄口镇', 'cuihuangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114104', '120114', '120114104', '大良镇', 'daliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114105', '120114', '120114105', '下伍旗镇', 'xiawuqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114106', '120114', '120114106', '南蔡村镇', 'nancaicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114107', '120114', '120114107', '大孟庄镇', 'damengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114108', '120114', '120114108', '泗村店镇', 'sicundianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114109', '120114', '120114109', '河西务镇', 'hexiwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114110', '120114', '120114110', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114111', '120114', '120114111', '东马圈镇', 'dongmaquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114112', '120114', '120114112', '黄花店镇', 'huanghuadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114113', '120114', '120114113', '石各庄镇', 'shigezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114114', '120114', '120114114', '王庆坨镇', 'wangqingtuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114115', '120114', '120114115', '汊沽港镇', 'chagugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114116', '120114', '120114116', '河北屯镇', 'hebeitunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114117', '120114', '120114117', '上马台镇', 'shangmataizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114118', '120114', '120114118', '大王古庄镇', 'dawangguzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114119', '120114', '120114119', '陈咀镇', 'chenjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114203', '120114', '120114203', '豆张庄乡', 'douzhangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114206', '120114', '120114206', '曹子里乡', 'caozilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114207', '120114', '120114207', '大黄堡乡', 'dahuangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114213', '120114', '120114213', '高村乡', 'gaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114214', '120114', '120114214', '白古屯乡', 'baigutunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114400', '120114', '120114400', '开发区武清逸仙园小区虚拟街道', 'kaifaquwuqingyixianyuanxiaoquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114401', '120114', '120114401', '武清区开发区虚拟街道', 'wuqingqukaifaquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120114450', '120114', '120114450', '武清农场虚拟镇', 'wuqingnongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115', '1201', '120115', '宝坻区', 'baochiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115001', '120115', '120115001', '海滨街道', 'haibinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115002', '120115', '120115002', '宝平街道', 'baopingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115003', '120115', '120115003', '钰华街道', 'yuhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115101', '120115', '120115101', '大口屯镇', 'dakoutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115102', '120115', '120115102', '大白庄镇', 'dabaizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115103', '120115', '120115103', '王卜庄镇', 'wangbuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115104', '120115', '120115104', '方家庄镇', 'fangjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115105', '120115', '120115105', '林亭口镇', 'lintingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115106', '120115', '120115106', '八门城镇', 'bamenchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115107', '120115', '120115107', '大钟庄镇', 'dazhongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115108', '120115', '120115108', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115110', '120115', '120115110', '马家店镇', 'majiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115111', '120115', '120115111', '霍各庄镇', 'huogezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115113', '120115', '120115113', '新开口镇', 'xinkaikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115115', '120115', '120115115', '大唐庄镇', 'datangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115117', '120115', '120115117', '高家庄镇', 'gaojiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115118', '120115', '120115118', '口东镇', 'koudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115119', '120115', '120115119', '牛道口镇', 'niudaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115120', '120115', '120115120', '史各庄镇', 'shigezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115121', '120115', '120115121', '郝各庄镇', 'haogezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115122', '120115', '120115122', '周良庄镇', 'zhouliangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115204', '120115', '120115204', '牛家牌乡', 'niujiapaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115207', '120115', '120115207', '尔王庄乡', 'erwangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115210', '120115', '120115210', '黄庄乡', 'huangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115450', '120115', '120115450', '里自沽农场虚拟镇', 'lizigunongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115451', '120115', '120115451', '黄庄农场虚拟镇', 'huangzhuangnongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115452', '120115', '120115452', '大钟农场虚拟镇', 'dazhongnongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115453', '120115', '120115453', '天宝工业园区虚拟街', 'tianbaogongyeyuanquxunijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115454', '120115', '120115454', '九园工业园区虚拟街', 'jiuyuangongyeyuanquxunijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120115455', '120115', '120115455', '京津新城虚拟街', 'jingjinxinchengxunijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1202', '12', '1202', '市辖县', 'shixiaxian', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221', '1202', '120221', '宁河县', 'ninghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221100', '120221', '120221100', '芦台镇', 'lutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221102', '120221', '120221102', '宁河镇', 'ninghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221103', '120221', '120221103', '苗庄镇', 'miaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221104', '120221', '120221104', '丰台镇', 'fengtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221105', '120221', '120221105', '岳龙镇', 'yuelongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221106', '120221', '120221106', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221107', '120221', '120221107', '潘庄镇', 'panzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221109', '120221', '120221109', '造甲城镇', 'zaojiachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221110', '120221', '120221110', '七里海镇', 'qilihaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221111', '120221', '120221111', '大北涧沽镇', 'dabeijianguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221112', '120221', '120221112', '东棘坨镇', 'dongjituozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221204', '120221', '120221204', '北淮淀乡', 'beihuaidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221205', '120221', '120221205', '俵口乡', 'biaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221206', '120221', '120221206', '廉庄子乡', 'lianzhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120221450', '120221', '120221450', '潘庄农场虚拟镇', 'panzhuangnongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223', '1202', '120223', '静海县', 'jinghaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223100', '120223', '120223100', '静海镇', 'jinghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223101', '120223', '120223101', '唐官屯镇', 'tangguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223102', '120223', '120223102', '独流镇', 'duliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223103', '120223', '120223103', '王口镇', 'wangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223104', '120223', '120223104', '台头镇', 'taitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223105', '120223', '120223105', '子牙镇', 'ziyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223106', '120223', '120223106', '陈官屯镇', 'chenguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223107', '120223', '120223107', '中旺镇', 'zhongwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223108', '120223', '120223108', '大邱庄镇', 'daqiuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223109', '120223', '120223109', '蔡公庄镇', 'caigongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223110', '120223', '120223110', '梁头镇', 'liangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223111', '120223', '120223111', '团泊镇', 'tuanbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223112', '120223', '120223112', '双塘镇', 'shuangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223113', '120223', '120223113', '大丰堆镇', 'dafengduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223114', '120223', '120223114', '沿庄镇', 'yanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223115', '120223', '120223115', '西翟庄镇', 'xizhaizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223200', '120223', '120223200', '良王庄乡', 'liangwangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223201', '120223', '120223201', '杨成庄乡', 'yangchengzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223400', '120223', '120223400', '天津静海经济开发区虚拟街', 'tianjinjinghaijingjikaifaquxunijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120223402', '120223', '120223402', '天津子牙工业园区虚拟街', 'tianjinziyagongyeyuanquxunijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225', '1202', '120225', '蓟县', 'jixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225001', '120225', '120225001', '文昌街道', 'wenchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225100', '120225', '120225100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225101', '120225', '120225101', '洇溜镇', 'yinliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225102', '120225', '120225102', '官庄镇', 'guanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225103', '120225', '120225103', '马伸桥镇', 'mashenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225104', '120225', '120225104', '下营镇', 'xiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225105', '120225', '120225105', '邦均镇', 'bangjunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225106', '120225', '120225106', '别山镇', 'bieshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225108', '120225', '120225108', '尤古庄镇', 'youguzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225109', '120225', '120225109', '上仓镇', 'shangcangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225111', '120225', '120225111', '下仓镇', 'xiacangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225112', '120225', '120225112', '罗庄子镇', 'luozhuangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225113', '120225', '120225113', '白涧镇', 'baijianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225114', '120225', '120225114', '五百户镇', 'wubaihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225115', '120225', '120225115', '侯家营镇', 'houjiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225116', '120225', '120225116', '桑梓镇', 'sangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225117', '120225', '120225117', '东施古镇', 'dongshiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225118', '120225', '120225118', '下窝头镇', 'xiawotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225119', '120225', '120225119', '杨津庄镇', 'yangjinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225120', '120225', '120225120', '出头岭镇', 'chutoulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225121', '120225', '120225121', '西龙虎峪镇', 'xilonghuyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225202', '120225', '120225202', '穿芳峪乡', 'chuanfangyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225203', '120225', '120225203', '孙各庄乡', 'sungezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225208', '120225', '120225208', '东二营乡', 'dongeryingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225210', '120225', '120225210', '许家台乡', 'xujiataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225212', '120225', '120225212', '礼明庄乡', 'limingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('120225219', '120225', '120225219', '东赵各庄乡', 'dongzhaogezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('13', '-1', '13', '河北省', 'hebeisheng', '1', NULL, 0, 1, NULL, NULL, '2020-09-22 03:19:24', 'admin', NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1301', '13', '1301', '石家庄市', 'shijiazhuangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130101', '1301', '130101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102', '1301', '130102', '长安区', 'zhanganqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102001', '130102', '130102001', '建北街道', 'jianbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102002', '130102', '130102002', '青园街道', 'qingyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102003', '130102', '130102003', '广安街道', 'guanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102004', '130102', '130102004', '育才街道', 'yucaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102005', '130102', '130102005', '跃进街道', 'yuejinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102007', '130102', '130102007', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102010', '130102', '130102010', '长丰街道', 'zhangfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102011', '130102', '130102011', '谈固街道', 'tangujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102100', '130102', '130102100', '西兆通镇', 'xizhaotongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102101', '130102', '130102101', '南村镇', 'nancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130102102', '130102', '130102102', '高营镇', 'gaoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130103', '1301', '130103', '桥东区', 'qiaodongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130103001', '130103', '130103001', '中山东路街道', 'zhongshandonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130103002', '130103', '130103002', '彭后街道', 'penghoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130103003', '130103', '130103003', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130103004', '130103', '130103004', '东华街道', 'donghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130103005', '130103', '130103005', '休门街道', 'xiumenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130103006', '130103', '130103006', '阜康街道', 'fukangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130103007', '130103', '130103007', '建安街道', 'jiananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130103008', '130103', '130103008', '胜利北街道', 'shenglibeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130103009', '130103', '130103009', '汇通街道', 'huitongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130103101', '130103', '130103101', '桃园镇', 'taoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104', '1301', '130104', '桥西区', 'qiaoxiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104001', '130104', '130104001', '东里街道', 'donglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104002', '130104', '130104002', '中山路街道', 'zhongshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104004', '130104', '130104004', '南长街道', 'nanzhangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104005', '130104', '130104005', '维明街道', 'weimingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104006', '130104', '130104006', '裕西街道', 'yuxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104007', '130104', '130104007', '友谊街道', 'youyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104008', '130104', '130104008', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104009', '130104', '130104009', '新石街道', 'xinshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104010', '130104', '130104010', '苑东街道', 'yuandongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104011', '130104', '130104011', '西里街道', 'xilijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104012', '130104', '130104012', '振头街道', 'zhentoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130104201', '130104', '130104201', '留营乡', 'liuyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105', '1301', '130105', '新华区', 'xinhuaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105001', '130105', '130105001', '革新街街道', 'gexinjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105003', '130105', '130105003', '新华路街道', 'xinhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105004', '130105', '130105004', '宁安路街道', 'ninganlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105005', '130105', '130105005', '东焦街道', 'dongjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105006', '130105', '130105006', '西苑街道', 'xiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105007', '130105', '130105007', '合作路街道', 'hezuolujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105008', '130105', '130105008', '联盟路街道', 'lianmenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105009', '130105', '130105009', '石岗大街街道', 'shigangdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105010', '130105', '130105010', '五七路街道', 'wuqilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105011', '130105', '130105011', '天苑街道', 'tianyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105012', '130105', '130105012', '北苑街道', 'beiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105100', '130105', '130105100', '大郭镇', 'daguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105101', '130105', '130105101', '赵陵铺镇', 'zhaolingpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105201', '130105', '130105201', '西三庄乡', 'xisanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130105202', '130105', '130105202', '杜北乡', 'dubeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130107', '1301', '130107', '井陉矿区', 'jingxingkuangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130107001', '130107', '130107001', '矿市街街道', 'kuangshijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130107002', '130107', '130107002', '四微街道', 'siweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130107100', '130107', '130107100', '贾庄镇', 'jiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130107101', '130107', '130107101', '凤山镇', 'fengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130107200', '130107', '130107200', '横涧乡', 'hengjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130108', '1301', '130108', '裕华区', 'yuhuaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130108001', '130108', '130108001', '裕兴街道', 'yuxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130108002', '130108', '130108002', '裕强街道', 'yuqiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130108003', '130108', '130108003', '东苑街道', 'dongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130108004', '130108', '130108004', '建通街道', 'jiantongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130108005', '130108', '130108005', '槐底街道', 'huaidijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130108006', '130108', '130108006', '裕华路街道', 'yuhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130108007', '130108', '130108007', '裕东街道', 'yudongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130108010', '130108', '130108010', '长江街道办事处(高新区)', 'zhangjiangjiedaobanshichu(gaoxinqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130108100', '130108', '130108100', '宋营镇', 'songyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130108101', '130108', '130108101', '方村镇', 'fangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121', '1301', '130121', '井陉县', 'jingxingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121100', '130121', '130121100', '微水镇', 'weishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121101', '130121', '130121101', '上安镇', 'shanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121102', '130121', '130121102', '天长镇', 'tianzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121103', '130121', '130121103', '秀林镇', 'xiulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121104', '130121', '130121104', '南峪镇', 'nanyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121105', '130121', '130121105', '威州镇', 'weizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121106', '130121', '130121106', '小作镇', 'xiaozuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121107', '130121', '130121107', '南障城镇', 'nanzhangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121108', '130121', '130121108', '苍岩山镇', 'cangyanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121109', '130121', '130121109', '测鱼镇', 'ceyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121200', '130121', '130121200', '吴家窑乡', 'wujiayaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121201', '130121', '130121201', '北正乡', 'beizhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121202', '130121', '130121202', '于家乡', 'yujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121203', '130121', '130121203', '孙庄乡', 'sunzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121204', '130121', '130121204', '南陉乡', 'nanxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121205', '130121', '130121205', '辛庄乡', 'xinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130121206', '130121', '130121206', '南王庄乡', 'nanwangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130123', '1301', '130123', '正定县', 'zhengdingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130123100', '130123', '130123100', '正定镇', 'zhengdingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130123101', '130123', '130123101', '诸福屯镇', 'zhufutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130123102', '130123', '130123102', '新城铺镇', 'xinchengpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130123103', '130123', '130123103', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130123200', '130123', '130123200', '南牛乡', 'nanniuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130123201', '130123', '130123201', '南楼乡', 'nanlouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130123202', '130123', '130123202', '西平乐乡', 'xipinglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130123203', '130123', '130123203', '北早现乡', 'beizaoxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130123204', '130123', '130123204', '曲阳桥乡', 'quyangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130124', '1301', '130124', '栾城县', 'luanchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130124100', '130124', '130124100', '栾城镇', 'luanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130124101', '130124', '130124101', '郄马镇', 'qiemazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130124103', '130124', '130124103', '冶河镇', 'yehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130124104', '130124', '130124104', '窦妪镇', 'douyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130124105', '130124', '130124105', '楼底镇', 'loudizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130124200', '130124', '130124200', '南高乡', 'nangaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130124201', '130124', '130124201', '柳林屯乡', 'liulintunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130124202', '130124', '130124202', '西营乡', 'xiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125', '1301', '130125', '行唐县', 'xingtangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125100', '130125', '130125100', '龙州镇', 'longzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125101', '130125', '130125101', '南桥镇', 'nanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125102', '130125', '130125102', '上碑镇', 'shangbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125103', '130125', '130125103', '口头镇', 'koutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125200', '130125', '130125200', '独羊岗乡', 'duyanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125201', '130125', '130125201', '安香乡', 'anxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125202', '130125', '130125202', '只里乡', 'zhilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125203', '130125', '130125203', '市同乡', 'shitongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125204', '130125', '130125204', '翟营乡', 'zhaiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125205', '130125', '130125205', '城寨乡', 'chengzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125206', '130125', '130125206', '上方乡', 'shangfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125207', '130125', '130125207', '玉亭乡', 'yutingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125208', '130125', '130125208', '北河乡', 'beihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125209', '130125', '130125209', '上闫庄乡', 'shangyanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130125210', '130125', '130125210', '九口子乡', 'jiukouzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126', '1301', '130126', '灵寿县', 'lingshouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126100', '130126', '130126100', '灵寿镇', 'lingshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126101', '130126', '130126101', '青同镇', 'qingtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126102', '130126', '130126102', '塔上镇', 'tashangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126103', '130126', '130126103', '陈庄镇', 'chenzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126104', '130126', '130126104', '慈峪镇', 'ciyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126105', '130126', '130126105', '岔头镇', 'chatouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126200', '130126', '130126200', '三圣院乡', 'sanshengyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126201', '130126', '130126201', '北洼乡', 'beiwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126202', '130126', '130126202', '牛城乡', 'niuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126203', '130126', '130126203', '狗台乡', 'goutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126204', '130126', '130126204', '南寨乡', 'nanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126205', '130126', '130126205', '南燕川乡', 'nanyanchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126206', '130126', '130126206', '北谭庄乡', 'beitanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126207', '130126', '130126207', '寨头乡', 'zhaitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130126208', '130126', '130126208', '南营乡', 'nanyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130127', '1301', '130127', '高邑县', 'gaoyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130127100', '130127', '130127100', '高邑镇', 'gaoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130127200', '130127', '130127200', '大营乡', 'dayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130127201', '130127', '130127201', '中韩乡', 'zhonghanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130127202', '130127', '130127202', '万城乡', 'wanchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130127203', '130127', '130127203', '西富村乡', 'xifucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130128', '1301', '130128', '深泽县', 'shenzexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130128100', '130128', '130128100', '深泽镇', 'shenzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130128101', '130128', '130128101', '铁杆镇', 'tieganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130128200', '130128', '130128200', '白庄乡', 'baizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130128201', '130128', '130128201', '留村乡', 'liucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130128202', '130128', '130128202', '赵八乡', 'zhaobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130128203', '130128', '130128203', '桥头乡', 'qiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129', '1301', '130129', '赞皇县', 'zanhuangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129100', '130129', '130129100', '赞皇镇', 'zanhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129101', '130129', '130129101', '院头镇', 'yuantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129200', '130129', '130129200', '西龙门乡', 'xilongmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129201', '130129', '130129201', '南邢郭乡', 'nanxingguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129202', '130129', '130129202', '南清河乡', 'nanqinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129203', '130129', '130129203', '西阳泽乡', 'xiyangzexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129204', '130129', '130129204', '土门乡', 'tumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129205', '130129', '130129205', '黄北坪乡', 'huangbeipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129206', '130129', '130129206', '嶂石岩乡', 'zhangshiyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129207', '130129', '130129207', '许亭乡', 'xutingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130129208', '130129', '130129208', '张楞乡', 'zhanglengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130', '1301', '130130', '无极县', 'wujixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130100', '130130', '130130100', '无极镇', 'wujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130101', '130130', '130130101', '七汲镇', 'qijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130102', '130130', '130130102', '张段固镇', 'zhangduanguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130103', '130130', '130130103', '北苏镇', 'beisuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130104', '130130', '130130104', '郭庄镇', 'guozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130105', '130130', '130130105', '大陈镇', 'dachenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130200', '130130', '130130200', '高头乡', 'gaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130201', '130130', '130130201', '郝庄乡', 'haozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130202', '130130', '130130202', '东侯坊乡', 'donghoufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130203', '130130', '130130203', '里城道乡', 'lichengdaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130130204', '130130', '130130204', '南流乡', 'nanliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131', '1301', '130131', '平山县', 'pingshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131100', '130131', '130131100', '平山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131101', '130131', '130131101', '东回舍镇', 'donghuishezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131102', '130131', '130131102', '温塘镇', 'wentangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131103', '130131', '130131103', '南甸镇', 'nandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131104', '130131', '130131104', '岗南镇', 'gangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131105', '130131', '130131105', '中古月镇', 'zhongguyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131106', '130131', '130131106', '下槐镇', 'xiahuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131107', '130131', '130131107', '孟家庄镇', 'mengjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131108', '130131', '130131108', '小觉镇', 'xiaojuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131109', '130131', '130131109', '蛟潭庄镇', 'jiaotanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131110', '130131', '130131110', '西柏坡镇', 'xibopozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131111', '130131', '130131111', '下口镇', 'xiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131200', '130131', '130131200', '西大吾乡', 'xidawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131201', '130131', '130131201', '上三汲乡', 'shangsanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131202', '130131', '130131202', '两河乡', 'lianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131203', '130131', '130131203', '东王坡乡', 'dongwangpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131204', '130131', '130131204', '苏家庄乡', 'sujiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131205', '130131', '130131205', '宅北乡', 'zhaibeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131207', '130131', '130131207', '北冶乡', 'beiyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131209', '130131', '130131209', '上观音堂乡', 'shangguanyintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131210', '130131', '130131210', '杨家桥乡', 'yangjiaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131211', '130131', '130131211', '营里乡', 'yinglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130131212', '130131', '130131212', '合河口乡', 'hehekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132', '1301', '130132', '元氏县', 'yuanshixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132100', '130132', '130132100', '槐阳镇', 'huaiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132101', '130132', '130132101', '因村镇', 'yincunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132102', '130132', '130132102', '南佐镇', 'nanzuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132103', '130132', '130132103', '宋曹镇', 'songcaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132104', '130132', '130132104', '南因镇', 'nanyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132105', '130132', '130132105', '姬村镇', 'jicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132200', '130132', '130132200', '马村乡', 'macunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132201', '130132', '130132201', '东张乡', 'dongzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132202', '130132', '130132202', '赵同乡', 'zhaotongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132203', '130132', '130132203', '北褚乡', 'beichuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132204', '130132', '130132204', '苏村乡', 'sucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132205', '130132', '130132205', '苏阳乡', 'suyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132206', '130132', '130132206', '北正乡', 'beizhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132207', '130132', '130132207', '前仙乡', 'qianxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130132208', '130132', '130132208', '黑水河乡', 'heishuihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133', '1301', '130133', '赵县', 'zhaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133100', '130133', '130133100', '赵州镇', 'zhaozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133101', '130133', '130133101', '范庄镇', 'fanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133102', '130133', '130133102', '北王里镇', 'beiwanglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133103', '130133', '130133103', '新寨店镇', 'xinzhaidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133104', '130133', '130133104', '韩村镇', 'hancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133105', '130133', '130133105', '南柏舍镇', 'nanboshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133106', '130133', '130133106', '沙河店镇', 'shahedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133200', '130133', '130133200', '前大章乡', 'qiandazhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133201', '130133', '130133201', '谢庄乡', 'xiezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133202', '130133', '130133202', '高村乡', 'gaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130133203', '130133', '130133203', '王西章乡', 'wangxizhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181', '1301', '130181', '辛集市', 'xinjishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181100', '130181', '130181100', '辛集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181101', '130181', '130181101', '旧城镇', 'jiuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181102', '130181', '130181102', '张古庄镇', 'zhangguzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181103', '130181', '130181103', '位伯镇', 'weibozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181104', '130181', '130181104', '新垒头镇', 'xinleitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181105', '130181', '130181105', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181106', '130181', '130181106', '南智丘镇', 'nanzhiqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181107', '130181', '130181107', '王口镇', 'wangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181200', '130181', '130181200', '天宫营乡', 'tiangongyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181201', '130181', '130181201', '前营乡', 'qianyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181202', '130181', '130181202', '马庄乡', 'mazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181203', '130181', '130181203', '和睦井乡', 'hemujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181204', '130181', '130181204', '田家庄乡', 'tianjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181205', '130181', '130181205', '中里厢乡', 'zhonglixiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130181206', '130181', '130181206', '小辛庄乡', 'xiaoxinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182', '1301', '130182', '藁城市', 'gaochengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182100', '130182', '130182100', '廉州镇', 'lianzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182101', '130182', '130182101', '兴安镇', 'xinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182102', '130182', '130182102', '贾市庄镇', 'jiashizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182103', '130182', '130182103', '南营镇', 'nanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182104', '130182', '130182104', '梅花镇', 'meihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182105', '130182', '130182105', '岗上镇', 'gangshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182106', '130182', '130182106', '邱头镇', 'qiutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182107', '130182', '130182107', '南董镇', 'nandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182108', '130182', '130182108', '张家庄镇', 'zhangjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182109', '130182', '130182109', '南孟镇', 'nanmengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182110', '130182', '130182110', '增村镇', 'zengcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182111', '130182', '130182111', '小常安镇', 'xiaochanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182112', '130182', '130182112', '前西关镇', 'qianxiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182200', '130182', '130182200', '九门回族乡', 'jiumenhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130182500', '130182', '130182500', '石家庄经济技术开发区虚拟乡', 'shijiazhuangjingjijishukaifaquxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130183', '1301', '130183', '晋州市', 'jinzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130183100', '130183', '130183100', '晋州镇', 'jinzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130183101', '130183', '130183101', '总十庄镇', 'zongshizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130183102', '130183', '130183102', '营里镇', 'yinglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130183103', '130183', '130183103', '桃园镇', 'taoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130183104', '130183', '130183104', '东卓宿镇', 'dongzhuosuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130183105', '130183', '130183105', '马于镇', 'mayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130183106', '130183', '130183106', '小樵镇', 'xiaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130183107', '130183', '130183107', '槐树镇', 'huaishuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130183200', '130183', '130183200', '东里庄乡', 'donglizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130183201', '130183', '130183201', '周家庄乡', 'zhoujiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184', '1301', '130184', '新乐市', 'xinleshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184001', '130184', '130184001', '长寿街道', 'zhangshoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184101', '130184', '130184101', '化皮镇', 'huapizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184102', '130184', '130184102', '承安镇', 'chenganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184103', '130184', '130184103', '正莫镇', 'zhengmozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184104', '130184', '130184104', '南大岳镇', 'nandayuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184105', '130184', '130184105', '杜固镇', 'duguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184106', '130184', '130184106', '邯邰镇', 'hantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184107', '130184', '130184107', '东王镇', 'dongwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184108', '130184', '130184108', '马头铺镇', 'matoupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184200', '130184', '130184200', '协神乡', 'xieshenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184201', '130184', '130184201', '木村乡', 'mucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130184202', '130184', '130184202', '彭家庄乡', 'pengjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185', '1301', '130185', '鹿泉市', 'luquanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185100', '130185', '130185100', '获鹿镇', 'huoluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185101', '130185', '130185101', '铜冶镇', 'tongyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185102', '130185', '130185102', '寺家庄镇', 'sijiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185103', '130185', '130185103', '上庄镇', 'shangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185104', '130185', '130185104', '李村镇', 'licunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185105', '130185', '130185105', '宜安镇', 'yianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185106', '130185', '130185106', '黄壁庄镇', 'huangbizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185107', '130185', '130185107', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185200', '130185', '130185200', '石井乡', 'shijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185201', '130185', '130185201', '白鹿泉乡', 'bailuquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185202', '130185', '130185202', '上寨乡', 'shangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185203', '130185', '130185203', '山尹村乡', 'shanyincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130185500', '130185', '130185500', '高新技术产业园区虚拟乡', 'gaoxinjishuchanyeyuanquxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1302', '13', '1302', '唐山市', 'tangshanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130201', '1302', '130201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202', '1302', '130202', '路南区', 'lunanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202001', '130202', '130202001', '学院南路', 'xueyuannanlu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202002', '130202', '130202002', '友谊', 'youyi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202003', '130202', '130202003', '广场', 'guangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202004', '130202', '130202004', '永红桥街道', 'yonghongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202005', '130202', '130202005', '小山街道', 'xiaoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202006', '130202', '130202006', '文北', 'wenbei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202007', '130202', '130202007', '钱营', 'qianying', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202100', '130202', '130202100', '芦台开发区海北镇', 'lutaikaifaquhaibeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202101', '130202', '130202101', '汉沽管理区汉丰镇', 'hanguguanliquhanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202200', '130202', '130202200', '女织寨乡', 'nu:zhizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202450', '130202', '130202450', '芦台开发区街道', 'lutaikaifaqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202451', '130202', '130202451', '汉沽管理区兴农', 'hanguguanliquxingnong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130202452', '130202', '130202452', '汉沽管理区振兴街道', 'hanguguanliquzhenxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203', '1302', '130203', '路北区', 'lubeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203001', '130203', '130203001', '乔屯街道', 'qiaotunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203002', '130203', '130203002', '文化路街道', 'wenhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203003', '130203', '130203003', '钓鱼台街道', 'diaoyutaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203004', '130203', '130203004', '东新村街道', 'dongxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203005', '130203', '130203005', '缸窑街道', 'gangyaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203006', '130203', '130203006', '机场路街道', 'jichanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203007', '130203', '130203007', '河北路街道', 'hebeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203008', '130203', '130203008', '龙东街道', 'longdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203009', '130203', '130203009', '大里街道', 'dalijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203010', '130203', '130203010', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203200', '130203', '130203200', '果园乡', 'guoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130203450', '130203', '130203450', '河北唐山高新技术产业园区', 'hebeitangshangaoxinjishuchanyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204', '1302', '130204', '古冶区', 'guyequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204001', '130204', '130204001', '林西街道', 'linxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204002', '130204', '130204002', '唐家庄街道', 'tangjiazhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204003', '130204', '130204003', '古冶街道', 'guyejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204004', '130204', '130204004', '赵各庄街道', 'zhaogezhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204005', '130204', '130204005', '吕家坨街道', 'lu:jiatuojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204006', '130204', '130204006', '南范各庄街道', 'nanfangezhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204200', '130204', '130204200', '卑家店乡', 'beijiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204201', '130204', '130204201', '王辇庄乡', 'wangnianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204202', '130204', '130204202', '习家套乡', 'xijiataoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204203', '130204', '130204203', '大庄坨乡', 'dazhuangtuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130204204', '130204', '130204204', '范各庄乡', 'fangezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205', '1302', '130205', '开平区', 'kaipingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205001', '130205', '130205001', '马家沟', 'majiagou', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205002', '130205', '130205002', '开平', 'kaiping', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205003', '130205', '130205003', '税务庄', 'shuiwuzhuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205005', '130205', '130205005', '陡电', 'doudian', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205006', '130205', '130205006', '荆各庄', 'jinggezhuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205100', '130205', '130205100', '开平镇', 'kaipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205101', '130205', '130205101', '栗园镇', 'liyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205200', '130205', '130205200', '越河乡', 'yuehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205201', '130205', '130205201', '双桥乡', 'shuangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205202', '130205', '130205202', '郑庄子乡', 'zhengzhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130205203', '130205', '130205203', '洼里乡', 'walixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207', '1302', '130207', '丰南区', 'fengnanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207102', '130207', '130207102', '稻地镇', 'daodizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207103', '130207', '130207103', '小集镇', 'xiaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207104', '130207', '130207104', '黄各庄镇', 'huanggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207105', '130207', '130207105', '西葛镇', 'xigezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207106', '130207', '130207106', '大新庄镇', 'daxinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207107', '130207', '130207107', '钱营镇', 'qianyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207108', '130207', '130207108', '唐坊镇', 'tangfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207109', '130207', '130207109', '王兰庄镇', 'wanglanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207110', '130207', '130207110', '柳树酄镇', 'liushuhuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207111', '130207', '130207111', '黑沿子镇', 'heiyanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207112', '130207', '130207112', '滨海镇', 'binhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207113', '130207', '130207113', '丰南镇', 'fengnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207114', '130207', '130207114', '大齐镇', 'daqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207201', '130207', '130207201', '南孙庄乡', 'nansunzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207202', '130207', '130207202', '东田庄乡', 'dongtianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207203', '130207', '130207203', '尖字沽乡', 'jianziguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130207450', '130207', '130207450', '河北唐山南堡经济开发区', 'hebeitangshannanbaojingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208', '1302', '130208', '丰润区', 'fengrunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208001', '130208', '130208001', '太平路', 'taipinglu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208002', '130208', '130208002', '燕山路', 'yanshanlu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208003', '130208', '130208003', '浭阳', 'gengyang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208100', '130208', '130208100', '丰润镇', 'fengrunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208101', '130208', '130208101', '老庄子镇', 'laozhuangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208102', '130208', '130208102', '任各庄镇', 'rengezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208103', '130208', '130208103', '左家坞镇', 'zuojiawuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208104', '130208', '130208104', '泉河头镇', 'quanhetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208105', '130208', '130208105', '王官营镇', 'wangguanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208106', '130208', '130208106', '火石营镇', 'huoshiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208107', '130208', '130208107', '韩城镇', 'hanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208108', '130208', '130208108', '岔河镇', 'chahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208109', '130208', '130208109', '新军屯镇', 'xinjuntunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208110', '130208', '130208110', '小张各庄镇', 'xiaozhanggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208111', '130208', '130208111', '丰登坞镇', 'fengdengwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208112', '130208', '130208112', '李钊庄镇', 'lizhaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208113', '130208', '130208113', '白官屯镇', 'baiguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208114', '130208', '130208114', '石各庄镇', 'shigezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208115', '130208', '130208115', '沙流河镇', 'shaliuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208116', '130208', '130208116', '七树庄镇', 'qishuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208117', '130208', '130208117', '杨官林镇', 'yangguanlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208202', '130208', '130208202', '姜家营乡', 'jiangjiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208205', '130208', '130208205', '欢喜庄乡', 'huanxizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208207', '130208', '130208207', '银城铺乡', 'yinchengpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208208', '130208', '130208208', '刘家营乡', 'liujiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130208209', '130208', '130208209', '常庄乡', 'changzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223', '1302', '130223', '滦县', 'luanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223001', '130223', '130223001', '城区街道', 'chengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223100', '130223', '130223100', '滦州镇', 'luanzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223101', '130223', '130223101', '响堂镇', 'xiangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223102', '130223', '130223102', '东安各庄镇', 'dongangezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223103', '130223', '130223103', '雷庄镇', 'leizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223104', '130223', '130223104', '茨榆坨镇', 'ciyutuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223105', '130223', '130223105', '榛子镇', 'zhenzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223106', '130223', '130223106', '杨柳庄镇', 'yangliuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223107', '130223', '130223107', '油榨镇', 'youzhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223108', '130223', '130223108', '古马镇', 'gumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223109', '130223', '130223109', '小马庄镇', 'xiaomazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223110', '130223', '130223110', '九百户镇', 'jiubaihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130223111', '130223', '130223111', '王店子镇', 'wangdianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224', '1302', '130224', '滦南县', 'luannanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224001', '130224', '130224001', '奔城街道', 'benchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224100', '130224', '130224100', '奔城镇', 'benchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224101', '130224', '130224101', '宋道口镇', 'songdaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224102', '130224', '130224102', '长凝镇', 'zhangningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224103', '130224', '130224103', '胡各庄镇', 'hugezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224104', '130224', '130224104', '坨里镇', 'tuolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224105', '130224', '130224105', '姚王庄镇', 'yaowangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224106', '130224', '130224106', '司各庄镇', 'sigezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224107', '130224', '130224107', '安各庄镇', 'angezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224108', '130224', '130224108', '扒齿港镇', 'bachigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224109', '130224', '130224109', '程庄镇', 'chengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224110', '130224', '130224110', '青坨营镇', 'qingtuoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224111', '130224', '130224111', '柏各庄镇', 'bogezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224113', '130224', '130224113', '柳赞镇', 'liuzanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224114', '130224', '130224114', '南堡镇', 'nanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224115', '130224', '130224115', '方各庄镇', 'fanggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224116', '130224', '130224116', '东黄坨镇', 'donghuangtuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130224117', '130224', '130224117', '马城镇', 'machengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225', '1302', '130225', '乐亭县', 'letingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225001', '130225', '130225001', '城区街道', 'chengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225100', '130225', '130225100', '乐亭镇', 'letingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225101', '130225', '130225101', '汤家河镇', 'tangjiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225102', '130225', '130225102', '胡家坨镇', 'hujiatuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225103', '130225', '130225103', '王滩镇', 'wangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225104', '130225', '130225104', '闫各庄镇', 'yangezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225105', '130225', '130225105', '马头营镇', 'matouyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225106', '130225', '130225106', '新寨镇', 'xinzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225107', '130225', '130225107', '汀流河镇', 'tingliuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225108', '130225', '130225108', '姜各庄镇', 'jianggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225200', '130225', '130225200', '毛庄乡', 'maozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225201', '130225', '130225201', '庞各庄乡', 'panggezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225202', '130225', '130225202', '大相各庄乡', 'daxianggezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225203', '130225', '130225203', '古河乡', 'guhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225204', '130225', '130225204', '中堡王庄乡', 'zhongbaowangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225450', '130225', '130225450', '长芦大清河盐场', 'zhangludaqingheyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130225451', '130225', '130225451', '海港区', 'haigangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227', '1302', '130227', '迁西县', 'qianxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227001', '130227', '130227001', '栗乡街道', 'lixiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227100', '130227', '130227100', '兴城镇', 'xingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227101', '130227', '130227101', '金厂峪镇', 'jinchangyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227102', '130227', '130227102', '洒河桥镇', 'saheqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227103', '130227', '130227103', '太平寨镇', 'taipingzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227104', '130227', '130227104', '罗家屯镇', 'luojiatunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227105', '130227', '130227105', '东荒峪镇', 'donghuangyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227106', '130227', '130227106', '新集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227107', '130227', '130227107', '三屯营镇', 'santunyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227108', '130227', '130227108', '滦阳镇', 'luanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227200', '130227', '130227200', '白庙子乡', 'baimiaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227201', '130227', '130227201', '上营乡', 'shangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227202', '130227', '130227202', '汉儿庄乡', 'hanerzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227203', '130227', '130227203', '渔户寨乡', 'yuhuzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227204', '130227', '130227204', '旧城乡', 'jiuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227205', '130227', '130227205', '尹庄乡', 'yinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227206', '130227', '130227206', '东莲花院乡', 'donglianhuayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130227207', '130227', '130227207', '新庄子乡', 'xinzhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229', '1302', '130229', '玉田县', 'yutianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229100', '130229', '130229100', '玉田镇', 'yutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229101', '130229', '130229101', '亮甲店镇', 'liangjiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229102', '130229', '130229102', '鸦鸿桥镇', 'yahongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229103', '130229', '130229103', '窝洛沽镇', 'woluoguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229104', '130229', '130229104', '石臼窝镇', 'shijiuwozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229105', '130229', '130229105', '虹桥镇', 'hongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229106', '130229', '130229106', '散水头镇', 'sanshuitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229107', '130229', '130229107', '林南仓镇', 'linnancangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229108', '130229', '130229108', '林西镇', 'linxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229109', '130229', '130229109', '杨家板桥镇', 'yangjiabanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229110', '130229', '130229110', '彩亭桥镇', 'caitingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229111', '130229', '130229111', '孤树镇', 'gushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229112', '130229', '130229112', '大安镇', 'daanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229113', '130229', '130229113', '唐自头镇', 'tangzitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229200', '130229', '130229200', '郭家屯乡', 'guojiatunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229201', '130229', '130229201', '林头屯乡', 'lintoutunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229202', '130229', '130229202', '杨家套乡', 'yangjiataoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229203', '130229', '130229203', '潮洛窝乡', 'chaoluowoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229204', '130229', '130229204', '陈家铺乡', 'chenjiapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130229205', '130229', '130229205', '郭家桥乡', 'guojiaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230', '1302', '130230', '唐海县', 'tanghaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230100', '130230', '130230100', '唐海镇', 'tanghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230401', '130230', '130230401', '一农场', 'yinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230403', '130230', '130230403', '三农场', 'sannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230404', '130230', '130230404', '四农场', 'sinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230405', '130230', '130230405', '五农场', 'wunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230406', '130230', '130230406', '六农场', 'liunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230407', '130230', '130230407', '七农场', 'qinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230408', '130230', '130230408', '八农场', 'banongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230409', '130230', '130230409', '九农场', 'jiunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230410', '130230', '130230410', '十农场', 'shinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230411', '130230', '130230411', '十一农场', 'shiyinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230412', '130230', '130230412', '八里滩养殖场', 'balitanyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230413', '130230', '130230413', '十里海养殖场', 'shilihaiyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130230451', '130230', '130230451', '曹妃甸工业区', 'caofeidiangongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281', '1302', '130281', '遵化市', 'zunhuashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281001', '130281', '130281001', '路南街道', 'lunanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281002', '130281', '130281002', '路北街道', 'lubeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281100', '130281', '130281100', '遵化镇', 'zunhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281101', '130281', '130281101', '堡子店镇', 'baozidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281102', '130281', '130281102', '马兰峪镇', 'malanyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281103', '130281', '130281103', '平安城镇', 'pinganchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281104', '130281', '130281104', '东新庄镇', 'dongxinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281105', '130281', '130281105', '新店子镇', 'xindianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281106', '130281', '130281106', '党峪镇', 'dangyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281107', '130281', '130281107', '地北头镇', 'dibeitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281108', '130281', '130281108', '东旧寨镇', 'dongjiuzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281109', '130281', '130281109', '铁厂镇', 'tiechangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281110', '130281', '130281110', '苏家洼镇', 'sujiawazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281111', '130281', '130281111', '建明镇', 'jianmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281112', '130281', '130281112', '石门镇', 'shimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281200', '130281', '130281200', '西留村乡', 'xiliucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281201', '130281', '130281201', '崔家庄乡', 'cuijiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281202', '130281', '130281202', '兴旺寨乡', 'xingwangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281203', '130281', '130281203', '西下营满族乡', 'xixiayingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281204', '130281', '130281204', '汤泉满族乡', 'tangquanmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281205', '130281', '130281205', '东陵满族乡', 'donglingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281206', '130281', '130281206', '刘备寨乡', 'liubeizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281207', '130281', '130281207', '团瓢庄乡', 'tuanpiaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281208', '130281', '130281208', '娘娘庄乡', 'niangniangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281209', '130281', '130281209', '西三里乡', 'xisanlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281210', '130281', '130281210', '候家寨乡', 'houjiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130281211', '130281', '130281211', '小厂乡', 'xiaochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283', '1302', '130283', '迁安市', 'qiananshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283100', '130283', '130283100', '迁安镇', 'qiananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283101', '130283', '130283101', '夏官营镇', 'xiaguanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283102', '130283', '130283102', '杨各庄镇', 'yanggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283103', '130283', '130283103', '建昌营镇', 'jianchangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283104', '130283', '130283104', '赵店子镇', 'zhaodianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283105', '130283', '130283105', '野鸡坨镇', 'yejituozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283106', '130283', '130283106', '大崔庄镇', 'dacuizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283107', '130283', '130283107', '杨店子镇', 'yangdianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283108', '130283', '130283108', '蔡园镇', 'caiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283109', '130283', '130283109', '马兰庄镇', 'malanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283110', '130283', '130283110', '沙河驿镇', 'shaheyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283111', '130283', '130283111', '木厂口镇', 'muchangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283200', '130283', '130283200', '扣庄乡', 'kouzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283201', '130283', '130283201', '彭店子乡', 'pengdianzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283202', '130283', '130283202', '上射雁庄乡', 'shangsheyanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283203', '130283', '130283203', '闫家店乡', 'yanjiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283204', '130283', '130283204', '五重安乡', 'wuzhonganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283205', '130283', '130283205', '大五里乡', 'dawulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130283206', '130283', '130283206', '太平庄乡', 'taipingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1303', '13', '1303', '秦皇岛市', 'qinhuangdaoshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130301', '1303', '130301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302', '1303', '130302', '海港区', 'haigangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302001', '130302', '130302001', '文化路街道', 'wenhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302002', '130302', '130302002', '海滨路街道', 'haibinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302003', '130302', '130302003', '北环路街道', 'beihuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302004', '130302', '130302004', '建设大街街道', 'jianshedajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302005', '130302', '130302005', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302006', '130302', '130302006', '西港路街道', 'xiganglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302007', '130302', '130302007', '燕山大街街道', 'yanshandajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302008', '130302', '130302008', '港城大街街道', 'gangchengdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302009', '130302', '130302009', '东环路街道', 'donghuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302010', '130302', '130302010', '白塔岭街道', 'baitalingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302011', '130302', '130302011', '秦皇岛经济技术开发区珠江道街道', 'qinhuangdaojingjijishukaifaquzhujiangdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302100', '130302', '130302100', '东港镇', 'donggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302101', '130302', '130302101', '海港镇', 'haigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302102', '130302', '130302102', '西港镇', 'xigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302103', '130302', '130302103', '海阳镇', 'haiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302104', '130302', '130302104', '北港镇', 'beigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130302450', '130302', '130302450', '秦皇岛经济技术开发区', 'qinhuangdaojingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130303', '1303', '130303', '山海关区', 'shanhaiguanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130303001', '130303', '130303001', '南关街道', 'nanguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130303002', '130303', '130303002', '东街街道', 'dongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130303003', '130303', '130303003', '西街街道', 'xijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130303004', '130303', '130303004', '路南街道', 'lunanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130303005', '130303', '130303005', '船厂路街道', 'chuanchanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130303100', '130303', '130303100', '第一关镇', 'diyiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130303101', '130303', '130303101', '石河镇', 'shihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130303102', '130303', '130303102', '孟姜镇', 'mengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130303200', '130303', '130303200', '渤海乡', 'bohaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130304', '1303', '130304', '北戴河区', 'beidaihequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130304001', '130304', '130304001', '西山街道', 'xishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130304002', '130304', '130304002', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130304100', '130304', '130304100', '海滨镇', 'haibinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130304101', '130304', '130304101', '戴河镇', 'daihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321', '1303', '130321', '青龙满族自治县', 'qinglongmanzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321100', '130321', '130321100', '青龙镇', 'qinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321101', '130321', '130321101', '祖山镇', 'zushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321102', '130321', '130321102', '木头凳镇', 'mutoudengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321103', '130321', '130321103', '双山子镇', 'shuangshanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321104', '130321', '130321104', '马圈子镇', 'maquanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321105', '130321', '130321105', '肖营子镇', 'xiaoyingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321200', '130321', '130321200', '凤凰山乡', 'fenghuangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321201', '130321', '130321201', '龙王庙乡', 'longwangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321202', '130321', '130321202', '三星口乡', 'sanxingkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321203', '130321', '130321203', '干沟乡', 'gangouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321204', '130321', '130321204', '大巫岚乡', 'dawulanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321205', '130321', '130321205', '土门子乡', 'tumenzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321206', '130321', '130321206', '大石岭乡', 'dashilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321207', '130321', '130321207', '隔河头乡', 'gehetouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321208', '130321', '130321208', '官场乡', 'guanchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321209', '130321', '130321209', '茨榆山乡', 'ciyushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321210', '130321', '130321210', '平方子乡', 'pingfangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321211', '130321', '130321211', '安子岭乡', 'anzilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321212', '130321', '130321212', '朱杖子乡', 'zhuzhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321213', '130321', '130321213', '草碾乡', 'caonianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321214', '130321', '130321214', '七道河乡', 'qidaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321215', '130321', '130321215', '八道河乡', 'badaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321216', '130321', '130321216', '娄杖子乡', 'louzhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321217', '130321', '130321217', '三拨子乡', 'sanbozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130321218', '130321', '130321218', '凉水河乡', 'liangshuihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322', '1303', '130322', '昌黎县', 'changlixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322100', '130322', '130322100', '昌黎镇', 'changlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322101', '130322', '130322101', '靖安镇', 'jinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322102', '130322', '130322102', '安山镇', 'anshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322103', '130322', '130322103', '龙家店镇', 'longjiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322104', '130322', '130322104', '泥井镇', 'nijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322105', '130322', '130322105', '大蒲河镇', 'dapuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322106', '130322', '130322106', '新集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322107', '130322', '130322107', '刘台庄镇', 'liutaizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322108', '130322', '130322108', '茹荷镇', 'ruhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322109', '130322', '130322109', '朱各庄镇', 'zhugezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322201', '130322', '130322201', '团林乡', 'tuanlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322202', '130322', '130322202', '葛条港乡', 'getiaogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322203', '130322', '130322203', '马坨店乡', 'matuodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322204', '130322', '130322204', '荒佃庄乡', 'huangdianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322206', '130322', '130322206', '两山乡', 'liangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130322207', '130322', '130322207', '十里铺乡', 'shilipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323', '1303', '130323', '抚宁县', 'funingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323100', '130323', '130323100', '抚宁镇', 'funingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323101', '130323', '130323101', '留守营镇', 'liushouyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323102', '130323', '130323102', '榆关镇', 'yuguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323103', '130323', '130323103', '牛头崖镇', 'niutouyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323104', '130323', '130323104', '石门寨镇', 'shimenzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323105', '130323', '130323105', '台营镇', 'taiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323106', '130323', '130323106', '大新寨镇', 'daxinzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323107', '130323', '130323107', '驻操营镇', 'zhucaoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323200', '130323', '130323200', '茶棚乡', 'chapengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323201', '130323', '130323201', '杜庄乡', 'duzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130323202', '130323', '130323202', '深河乡', 'shenhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324', '1303', '130324', '卢龙县', 'lulongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324100', '130324', '130324100', '卢龙镇', 'lulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324101', '130324', '130324101', '潘庄镇', 'panzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324102', '130324', '130324102', '燕河营镇', 'yanheyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324103', '130324', '130324103', '双望镇', 'shuangwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324104', '130324', '130324104', '刘田各庄镇', 'liutiangezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324105', '130324', '130324105', '石门镇', 'shimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324200', '130324', '130324200', '下寨乡', 'xiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324201', '130324', '130324201', '刘家营乡', 'liujiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324202', '130324', '130324202', '陈官屯乡', 'chenguantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324203', '130324', '130324203', '印庄乡', 'yinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324204', '130324', '130324204', '蛤泊乡', 'haboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130324205', '130324', '130324205', '木井乡', 'mujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1304', '13', '1304', '邯郸市', 'handanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130401', '1304', '130401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402', '1304', '130402', '邯山区', 'hanshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402001', '130402', '130402001', '火磨街道', 'huomojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402002', '130402', '130402002', '陵园路街道', 'lingyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402003', '130402', '130402003', '光明路街道', 'guangminglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402004', '130402', '130402004', '滏东街道', 'fudongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402005', '130402', '130402005', '罗城头街道', 'luochengtoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402006', '130402', '130402006', '渚河路街道', 'zhuhelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402007', '130402', '130402007', '浴新南街道', 'yuxinnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402008', '130402', '130402008', '农林路街道', 'nonglinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402009', '130402', '130402009', '贸东街道', 'maodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402010', '130402', '130402010', '贸西街道', 'maoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402100', '130402', '130402100', '马头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402101', '130402', '130402101', '北张庄镇', 'beizhangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130402200', '130402', '130402200', '马庄乡', 'mazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403', '1304', '130403', '丛台区', 'congtaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403001', '130403', '130403001', '丛台西街道', 'congtaixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403002', '130403', '130403002', '联纺西街道', 'lianfangxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403003', '130403', '130403003', '联纺东街道', 'lianfangdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403004', '130403', '130403004', '光明桥街道', 'guangmingqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403005', '130403', '130403005', '丛台东街道', 'congtaidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403006', '130403', '130403006', '四季青街道', 'sijiqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403007', '130403', '130403007', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403008', '130403', '130403008', '中华街道', 'zhonghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403009', '130403', '130403009', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403010', '130403', '130403010', '柳林桥街道', 'liulinqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130403200', '130403', '130403200', '苏曹乡', 'sucaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130404', '1304', '130404', '复兴区', 'fuxingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130404001', '130404', '130404001', '胜利桥街道', 'shengliqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130404002', '130404', '130404002', '百家村街道', 'baijiacunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130404003', '130404', '130404003', '铁路大院街道', 'tieludayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130404004', '130404', '130404004', '化林路街道', 'hualinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130404005', '130404', '130404005', '庞村街道', 'pangcunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130404006', '130404', '130404006', '二六七二街道', 'erliuqierjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130404007', '130404', '130404007', '石化街道', 'shihuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130404200', '130404', '130404200', '彭家寨乡', 'pengjiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130404400', '130404', '130404400', '华北冶金建设公司', 'huabeiyejinjianshegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130406', '1304', '130406', '峰峰矿区', 'fengfengkuangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130406100', '130406', '130406100', '临水镇', 'linshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130406101', '130406', '130406101', '峰峰镇', 'fengfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130406102', '130406', '130406102', '新坡镇', 'xinpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130406103', '130406', '130406103', '大社镇', 'dashezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130406104', '130406', '130406104', '和村镇', 'hecunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130406105', '130406', '130406105', '义井镇', 'yijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130406106', '130406', '130406106', '彭城镇', 'pengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130406107', '130406', '130406107', '界城镇', 'jiechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130406108', '130406', '130406108', '大峪镇', 'dayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130421', '1304', '130421', '邯郸县', 'handanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130421100', '130421', '130421100', '尚璧镇', 'shangbizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130421101', '130421', '130421101', '黄粱梦镇', 'huangliangmengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130421102', '130421', '130421102', '河沙镇镇', 'heshazhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130421104', '130421', '130421104', '户村镇', 'hucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130421200', '130421', '130421200', '南堡乡', 'nanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130421201', '130421', '130421201', '南吕固乡', 'nanlu:guxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130421202', '130421', '130421202', '兼庄乡', 'jianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130421203', '130421', '130421203', '代召乡', 'daizhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130421204', '130421', '130421204', '康庄乡', 'kangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130421205', '130421', '130421205', '三陵乡', 'sanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423', '1304', '130423', '临漳县', 'linzhangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423100', '130423', '130423100', '临漳镇', 'linzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423101', '130423', '130423101', '南东坊镇', 'nandongfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423102', '130423', '130423102', '孙陶集镇', 'suntaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423103', '130423', '130423103', '柳园镇', 'liuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423104', '130423', '130423104', '称勾集镇', 'chenggoujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423200', '130423', '130423200', '狄邱乡', 'diqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423201', '130423', '130423201', '张村集乡', 'zhangcunjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423202', '130423', '130423202', '西羊羔乡', 'xiyanggaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423203', '130423', '130423203', '香菜营乡', 'xiangcaiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423204', '130423', '130423204', '杜村集乡', 'ducunjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423205', '130423', '130423205', '章里集乡', 'zhanglijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423206', '130423', '130423206', '习文乡', 'xiwenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423207', '130423', '130423207', '砖寨营乡', 'zhuanzhaiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130423208', '130423', '130423208', '柏鹤集乡', 'bohejixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130424', '1304', '130424', '成安县', 'chenganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130424100', '130424', '130424100', '成安镇', 'chenganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130424101', '130424', '130424101', '商城镇', 'shangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130424102', '130424', '130424102', '漳河店镇', 'zhanghedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130424103', '130424', '130424103', '李家疃镇', 'lijiatuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130424200', '130424', '130424200', '辛义乡', 'xinyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130424201', '130424', '130424201', '柏寺营乡', 'bosiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130424202', '130424', '130424202', '道东堡乡', 'daodongbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130424203', '130424', '130424203', '北乡义乡', 'beixiangyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130424204', '130424', '130424204', '长巷乡', 'zhangxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425', '1304', '130425', '大名县', 'damingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425100', '130425', '130425100', '大名镇', 'damingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425101', '130425', '130425101', '杨桥镇', 'yangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425102', '130425', '130425102', '万堤镇', 'wandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425103', '130425', '130425103', '龙王庙镇', 'longwangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425104', '130425', '130425104', '束馆镇', 'shuguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425105', '130425', '130425105', '金滩镇', 'jintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425200', '130425', '130425200', '沙圪塔乡', 'shagetaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425201', '130425', '130425201', '王村乡', 'wangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425202', '130425', '130425202', '铺上乡', 'pushangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425203', '130425', '130425203', '黄金堤乡', 'huangjindixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425204', '130425', '130425204', '大街乡', 'dajiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425205', '130425', '130425205', '旧治乡', 'jiuzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425206', '130425', '130425206', '西未庄乡', 'xiweizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425207', '130425', '130425207', '孙甘店乡', 'sungandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425208', '130425', '130425208', '西付集乡', 'xifujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425209', '130425', '130425209', '埝头乡', 'niantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425210', '130425', '130425210', '北峰乡', 'beifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425211', '130425', '130425211', '张集乡', 'zhangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425212', '130425', '130425212', '红庙乡', 'hongmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130425213', '130425', '130425213', '营镇回族乡', 'yingzhenhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426', '1304', '130426', '涉县', 'shexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426100', '130426', '130426100', '涉城镇', 'shechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426101', '130426', '130426101', '河南店镇', 'henandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426102', '130426', '130426102', '索堡镇', 'suobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426103', '130426', '130426103', '西戌镇', 'xixuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426104', '130426', '130426104', '井店镇', 'jingdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426105', '130426', '130426105', '更乐镇', 'genglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426106', '130426', '130426106', '固新镇', 'guxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426107', '130426', '130426107', '西达镇', 'xidazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426108', '130426', '130426108', '偏城镇', 'pianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426200', '130426', '130426200', '神头乡', 'shentouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426201', '130426', '130426201', '辽城乡', 'liaochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426202', '130426', '130426202', '偏店乡', 'piandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426203', '130426', '130426203', '龙虎乡', 'longhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426204', '130426', '130426204', '木井乡', 'mujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426205', '130426', '130426205', '关防乡', 'guanfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426206', '130426', '130426206', '合漳乡', 'hezhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130426207', '130426', '130426207', '鹿头乡', 'lutouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427', '1304', '130427', '磁县', 'cixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427100', '130427', '130427100', '磁州镇', 'cizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427101', '130427', '130427101', '高臾镇', 'gaoyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427102', '130427', '130427102', '西光禄镇', 'xiguangluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427103', '130427', '130427103', '讲武城镇', 'jiangwuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427104', '130427', '130427104', '岳城镇', 'yuechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427105', '130427', '130427105', '观台镇', 'guantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427106', '130427', '130427106', '林坦镇', 'lintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427107', '130427', '130427107', '白土镇', 'baituzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427108', '130427', '130427108', '黄沙镇', 'huangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427200', '130427', '130427200', '路村营乡', 'lucunyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427201', '130427', '130427201', '西固义乡', 'xiguyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427202', '130427', '130427202', '辛庄营乡', 'xinzhuangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427203', '130427', '130427203', '花官营乡', 'huaguanyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427204', '130427', '130427204', '时村营乡', 'shicunyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427205', '130427', '130427205', '南城乡', 'nanchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427206', '130427', '130427206', '台城乡', 'taichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427207', '130427', '130427207', '陶泉乡', 'taoquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427208', '130427', '130427208', '都党乡', 'doudangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130427209', '130427', '130427209', '北贾壁乡', 'beijiabixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130428', '1304', '130428', '肥乡县', 'feixiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130428100', '130428', '130428100', '肥乡镇', 'feixiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130428101', '130428', '130428101', '天台山镇', 'tiantaishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130428200', '130428', '130428200', '大西韩乡', 'daxihanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130428201', '130428', '130428201', '辛安镇乡', 'xinanzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130428202', '130428', '130428202', '毛演堡乡', 'maoyanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130428203', '130428', '130428203', '元固乡', 'yuanguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130428204', '130428', '130428204', '屯庄营乡', 'tunzhuangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130428205', '130428', '130428205', '东漳堡乡', 'dongzhangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130428206', '130428', '130428206', '旧店乡', 'jiudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429', '1304', '130429', '永年县', 'yongnianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429100', '130429', '130429100', '临洺关镇', 'linmingguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429101', '130429', '130429101', '大北汪镇', 'dabeiwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429102', '130429', '130429102', '张西堡镇', 'zhangxibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429103', '130429', '130429103', '广府镇', 'guangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429104', '130429', '130429104', '南沿村镇', 'nanyancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429105', '130429', '130429105', '永合会镇', 'yonghehuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429200', '130429', '130429200', '西苏乡', 'xisuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429201', '130429', '130429201', '界河店乡', 'jiehedianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429202', '130429', '130429202', '刘营乡', 'liuyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429203', '130429', '130429203', '刘汉乡', 'liuhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429204', '130429', '130429204', '正西乡', 'zhengxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429205', '130429', '130429205', '讲武乡', 'jiangwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429206', '130429', '130429206', '曲陌乡', 'qumoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429207', '130429', '130429207', '辛庄堡乡', 'xinzhuangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429208', '130429', '130429208', '小龙马乡', 'xiaolongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429209', '130429', '130429209', '东杨庄乡', 'dongyangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429210', '130429', '130429210', '小西堡乡', 'xiaoxibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429211', '130429', '130429211', '西河庄乡', 'xihezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429212', '130429', '130429212', '姚寨乡', 'yaozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130429213', '130429', '130429213', '西阳城乡', 'xiyangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130430', '1304', '130430', '邱县', 'qiuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130430100', '130430', '130430100', '新马头镇', 'xinmatouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130430101', '130430', '130430101', '邱城镇', 'qiuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130430200', '130430', '130430200', '梁二庄乡', 'liangerzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130430201', '130430', '130430201', '南辛店乡', 'nanxindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130430202', '130430', '130430202', '香城固乡', 'xiangchengguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130430203', '130430', '130430203', '古城营乡', 'guchengyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130430204', '130430', '130430204', '陈村回族乡', 'chencunhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130431', '1304', '130431', '鸡泽县', 'jizexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130431100', '130431', '130431100', '鸡泽镇', 'jizezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130431101', '130431', '130431101', '小寨镇', 'xiaozhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130431102', '130431', '130431102', '双塔镇', 'shuangtazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130431200', '130431', '130431200', '浮图店乡', 'futudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130431201', '130431', '130431201', '吴官营乡', 'wuguanyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130431202', '130431', '130431202', '风正乡', 'fengzhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130431203', '130431', '130431203', '曹庄乡', 'caozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130432', '1304', '130432', '广平县', 'guangpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130432100', '130432', '130432100', '广平镇', 'guangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130432101', '130432', '130432101', '平固店镇', 'pinggudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130432200', '130432', '130432200', '双庙乡', 'shuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130432201', '130432', '130432201', '十里铺乡', 'shilipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130432202', '130432', '130432202', '南韩村乡', 'nanhancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130432203', '130432', '130432203', '南阳堡乡', 'nanyangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130432204', '130432', '130432204', '东张孟乡', 'dongzhangmengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130433', '1304', '130433', '馆陶县', 'guantaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130433100', '130433', '130433100', '馆陶镇', 'guantaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130433101', '130433', '130433101', '房寨镇', 'fangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130433102', '130433', '130433102', '柴堡镇', 'chaibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130433103', '130433', '130433103', '魏僧寨镇', 'weisengzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130433200', '130433', '130433200', '寿山寺乡', 'shoushansixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130433201', '130433', '130433201', '王桥乡', 'wangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130433202', '130433', '130433202', '南徐村乡', 'nanxucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130433203', '130433', '130433203', '路桥乡', 'luqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434', '1304', '130434', '魏县', 'weixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434100', '130434', '130434100', '魏城镇', 'weichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434101', '130434', '130434101', '德政镇', 'dezhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434102', '130434', '130434102', '北皋镇', 'beigaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434103', '130434', '130434103', '双井镇', 'shuangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434104', '130434', '130434104', '牙里镇', 'yalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434105', '130434', '130434105', '车往镇', 'chewangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434106', '130434', '130434106', '回隆镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434200', '130434', '130434200', '东代固乡', 'dongdaiguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434201', '130434', '130434201', '棘针寨乡', 'jizhenzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434202', '130434', '130434202', '沙口集乡', 'shakoujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434203', '130434', '130434203', '野胡拐乡', 'yehuguaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434204', '130434', '130434204', '仕望集乡', 'shiwangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434205', '130434', '130434205', '前大磨乡', 'qiandamoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434206', '130434', '130434206', '院堡乡', 'yuanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434207', '130434', '130434207', '南双庙乡', 'nanshuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434208', '130434', '130434208', '大辛庄乡', 'daxinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434209', '130434', '130434209', '大马村乡', 'damacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434210', '130434', '130434210', '边马乡', 'bianmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434211', '130434', '130434211', '张二庄乡', 'zhangerzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434212', '130434', '130434212', '北台头乡', 'beitaitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130434213', '130434', '130434213', '泊口乡', 'bokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130435', '1304', '130435', '曲周县', 'quzhouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130435100', '130435', '130435100', '曲周镇', 'quzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130435101', '130435', '130435101', '安寨镇', 'anzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130435102', '130435', '130435102', '侯村镇', 'houcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130435103', '130435', '130435103', '河南疃镇', 'henantuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130435200', '130435', '130435200', '槐桥乡', 'huaiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130435201', '130435', '130435201', '南里岳乡', 'nanliyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130435202', '130435', '130435202', '白寨乡', 'baizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130435203', '130435', '130435203', '大河道乡', 'dahedaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130435204', '130435', '130435204', '依庄乡', 'yizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130435205', '130435', '130435205', '第四疃乡', 'disituanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481', '1304', '130481', '武安市', 'wuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481100', '130481', '130481100', '武安镇', 'wuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481101', '130481', '130481101', '康二城镇', 'kangerchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481102', '130481', '130481102', '午汲镇', 'wujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481103', '130481', '130481103', '磁山镇', 'cishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481104', '130481', '130481104', '伯延镇', 'boyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481105', '130481', '130481105', '淑村镇', 'shucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481106', '130481', '130481106', '大同镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481107', '130481', '130481107', '邑城镇', 'yichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481108', '130481', '130481108', '矿山镇', 'kuangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481109', '130481', '130481109', '贺进镇', 'hejinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481110', '130481', '130481110', '阳邑镇', 'yangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481111', '130481', '130481111', '徘徊镇', 'paihuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481112', '130481', '130481112', '冶陶镇', 'yetaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481200', '130481', '130481200', '上团城乡', 'shangtuanchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481201', '130481', '130481201', '北安庄乡', 'beianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481202', '130481', '130481202', '北安乐乡', 'beianlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481203', '130481', '130481203', '西土山乡', 'xitushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481204', '130481', '130481204', '西寺庄乡', 'xisizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481205', '130481', '130481205', '活水乡', 'huoshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481206', '130481', '130481206', '石洞乡', 'shidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481207', '130481', '130481207', '管陶乡', 'guantaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130481208', '130481', '130481208', '马家庄乡', 'majiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1305', '13', '1305', '邢台市', 'xingtaishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130501', '1305', '130501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130502', '1305', '130502', '桥东区', 'qiaodongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130502001', '130502', '130502001', '南长街街道', 'nanzhangjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130502002', '130502', '130502002', '北大街街道', 'beidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130502003', '130502', '130502003', '西大街街道', 'xidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130502004', '130502', '130502004', '西门里街道', 'ximenlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130502200', '130502', '130502200', '大梁庄乡', 'daliangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130502201', '130502', '130502201', '东郭村乡', 'dongguocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130502400', '130502', '130502400', '市高新技术开发区', 'shigaoxinjishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130503', '1305', '130503', '桥西区', 'qiaoxiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130503001', '130503', '130503001', '钢铁路街道', 'gangtielujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130503002', '130503', '130503002', '中兴路街道', 'zhongxinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130503003', '130503', '130503003', '达活泉街道', 'dahuoquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130503004', '130503', '130503004', '张宽街道', 'zhangkuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130503005', '130503', '130503005', '章村街道', 'zhangcunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130503200', '130503', '130503200', '南大郭乡', 'nandaguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130503201', '130503', '130503201', '李村乡', 'licunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521', '1305', '130521', '邢台县', 'xingtaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521001', '130521', '130521001', '豫让桥街道', 'yurangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521100', '130521', '130521100', '东汪镇', 'dongwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521101', '130521', '130521101', '王快镇', 'wangkuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521102', '130521', '130521102', '祝村镇', 'zhucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521103', '130521', '130521103', '晏家屯镇', 'yanjiatunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521104', '130521', '130521104', '南石门镇', 'nanshimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521105', '130521', '130521105', '羊范镇', 'yangfanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521106', '130521', '130521106', '皇寺镇', 'huangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521107', '130521', '130521107', '会宁镇', 'huiningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521108', '130521', '130521108', '西黄村镇', 'xihuangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521109', '130521', '130521109', '路罗镇', 'luluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521110', '130521', '130521110', '将军墓镇', 'jiangjunmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521111', '130521', '130521111', '浆水镇', 'jiangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521112', '130521', '130521112', '宋家庄镇', 'songjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521200', '130521', '130521200', '太子井乡', 'taizijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521201', '130521', '130521201', '龙泉寺乡', 'longquansixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521202', '130521', '130521202', '北小庄乡', 'beixiaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521203', '130521', '130521203', '城计头乡', 'chengjitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521204', '130521', '130521204', '白岸乡', 'baianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130521206', '130521', '130521206', '冀家村乡', 'jijiacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130522', '1305', '130522', '临城县', 'linchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130522100', '130522', '130522100', '临城镇', 'linchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130522101', '130522', '130522101', '东镇镇', 'dongzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130522102', '130522', '130522102', '西竖镇', 'xishuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130522103', '130522', '130522103', '郝庄镇', 'haozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130522200', '130522', '130522200', '黑城乡', 'heichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130522201', '130522', '130522201', '鸭鸽营乡', 'yageyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130522203', '130522', '130522203', '石城乡', 'shichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130522205', '130522', '130522205', '赵庄乡', 'zhaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130523', '1305', '130523', '内邱县', 'neiqiuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130523100', '130523', '130523100', '内邱镇', 'neiqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130523101', '130523', '130523101', '大孟村镇', 'damengcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130523102', '130523', '130523102', '金店镇', 'jindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130523103', '130523', '130523103', '官庄镇', 'guanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130523104', '130523', '130523104', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130523200', '130523', '130523200', '五郭店乡', 'wuguodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130523203', '130523', '130523203', '南赛乡', 'nansaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130523204', '130523', '130523204', '獐么乡', 'zhangmexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130523205', '130523', '130523205', '侯家庄乡', 'houjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130524', '1305', '130524', '柏乡县', 'boxiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130524100', '130524', '130524100', '柏乡镇', 'boxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130524101', '130524', '130524101', '固城店镇', 'guchengdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130524200', '130524', '130524200', '王家庄乡', 'wangjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130524201', '130524', '130524201', '西汪乡', 'xiwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130524202', '130524', '130524202', '龙华乡', 'longhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130524203', '130524', '130524203', '内步乡', 'neibuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525', '1305', '130525', '隆尧县', 'longyaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525100', '130525', '130525100', '隆尧镇', 'longyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525101', '130525', '130525101', '魏家庄镇', 'weijiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525102', '130525', '130525102', '尹村镇', 'yincunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525103', '130525', '130525103', '山口镇', 'shankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525104', '130525', '130525104', '莲子镇', 'lianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525105', '130525', '130525105', '固城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525200', '130525', '130525200', '北楼乡', 'beilouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525201', '130525', '130525201', '东良乡', 'dongliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525202', '130525', '130525202', '双碑乡', 'shuangbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525203', '130525', '130525203', '牛家桥乡', 'niujiaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525204', '130525', '130525204', '千户营乡', 'qianhuyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525205', '130525', '130525205', '大张庄乡', 'dazhangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130525400', '130525', '130525400', '柳行农场', 'liuxingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130526', '1305', '130526', '任县', 'renxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130526100', '130526', '130526100', '任城镇', 'renchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130526101', '130526', '130526101', '邢家湾镇', 'xingjiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130526102', '130526', '130526102', '辛店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130526200', '130526', '130526200', '西固城乡', 'xiguchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130526201', '130526', '130526201', '永福庄乡', 'yongfuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130526202', '130526', '130526202', '大屯乡', 'datunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130526203', '130526', '130526203', '天口乡', 'tiankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130526204', '130526', '130526204', '骆庄乡', 'luozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130527', '1305', '130527', '南和县', 'nanhexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130527100', '130527', '130527100', '和阳镇', 'heyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130527101', '130527', '130527101', '贾宋镇', 'jiasongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130527102', '130527', '130527102', '郝桥镇', 'haoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130527200', '130527', '130527200', '东三召乡', 'dongsanzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130527201', '130527', '130527201', '阎里乡', 'yanlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130527202', '130527', '130527202', '河郭乡', 'heguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130527203', '130527', '130527203', '史召乡', 'shizhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130527204', '130527', '130527204', '三思乡', 'sansixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528', '1305', '130528', '宁晋县', 'ningjinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528100', '130528', '130528100', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528101', '130528', '130528101', '河渠镇', 'hequzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528102', '130528', '130528102', '北河庄镇', 'beihezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528103', '130528', '130528103', '耿庄桥镇', 'gengzhuangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528104', '130528', '130528104', '东汪镇', 'dongwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528105', '130528', '130528105', '贾家口镇', 'jiajiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528106', '130528', '130528106', '四芝兰镇', 'sizhilanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528107', '130528', '130528107', '大陆村镇', 'dalucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528108', '130528', '130528108', '苏家庄镇', 'sujiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528109', '130528', '130528109', '换马店镇', 'huanmadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528200', '130528', '130528200', '侯口乡', 'houkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528202', '130528', '130528202', '纪昌庄乡', 'jichangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528203', '130528', '130528203', '唐邱乡', 'tangqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528205', '130528', '130528205', '北鱼乡', 'beiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528206', '130528', '130528206', '徐家河乡', 'xujiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528207', '130528', '130528207', '大曹庄乡', 'dacaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130528400', '130528', '130528400', '大曹庄管理区', 'dacaozhuangguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130529', '1305', '130529', '巨鹿县', 'juluxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130529100', '130529', '130529100', '巨鹿镇', 'juluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130529101', '130529', '130529101', '王虎寨镇', 'wanghuzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130529102', '130529', '130529102', '西郭城镇', 'xiguochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130529103', '130529', '130529103', '官亭镇', 'guantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130529104', '130529', '130529104', '阎疃镇', 'yantuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130529105', '130529', '130529105', '小吕寨镇', 'xiaolu:zhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130529200', '130529', '130529200', '堤村乡', 'dicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130529201', '130529', '130529201', '张王疃乡', 'zhangwangtuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130529202', '130529', '130529202', '观寨乡', 'guanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130529203', '130529', '130529203', '苏家营乡', 'sujiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130530', '1305', '130530', '新河县', 'xinhexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130530100', '130530', '130530100', '新河镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130530101', '130530', '130530101', '寻寨镇', 'xunzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130530200', '130530', '130530200', '白神首乡', 'baishenshouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130530201', '130530', '130530201', '荆家庄乡', 'jingjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130530202', '130530', '130530202', '西流乡', 'xiliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130530203', '130530', '130530203', '仁让里乡', 'renranglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130531', '1305', '130531', '广宗县', 'guangzongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130531100', '130531', '130531100', '广宗镇', 'guangzongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130531200', '130531', '130531200', '葫芦乡', 'huluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130531201', '130531', '130531201', '大平台乡', 'dapingtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130531202', '130531', '130531202', '件只乡', 'jianzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130531203', '130531', '130531203', '核桃园乡', 'hetaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130531204', '130531', '130531204', '东召乡', 'dongzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130531205', '130531', '130531205', '北塘疃乡', 'beitangtuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130531206', '130531', '130531206', '冯家寨乡', 'fengjiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130532', '1305', '130532', '平乡县', 'pingxiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130532100', '130532', '130532100', '丰州镇', 'fengzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130532101', '130532', '130532101', '平乡镇', 'pingxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130532102', '130532', '130532102', '河古庙镇', 'hegumiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130532200', '130532', '130532200', '节固乡', 'jieguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130532201', '130532', '130532201', '油召乡', 'youzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130532202', '130532', '130532202', '田付村乡', 'tianfucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130532203', '130532', '130532203', '寻召乡', 'xunzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533', '1305', '130533', '威县', 'weixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533100', '130533', '130533100', '名州镇', 'mingzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533101', '130533', '130533101', '梨元屯镇', 'liyuantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533102', '130533', '130533102', '章台镇', 'zhangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533103', '130533', '130533103', '侯贯镇', 'houguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533104', '130533', '130533104', '七级镇', 'qijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533200', '130533', '130533200', '方家营乡', 'fangjiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533201', '130533', '130533201', '第什营乡', 'dishenyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533202', '130533', '130533202', '枣园乡', 'zaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533203', '130533', '130533203', '固献乡', 'guxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533204', '130533', '130533204', '贺钊乡', 'hezhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533205', '130533', '130533205', '贺营乡', 'heyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533206', '130533', '130533206', '张营乡', 'zhangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533207', '130533', '130533207', '常屯乡', 'changtunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533208', '130533', '130533208', '常庄乡', 'changzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533209', '130533', '130533209', '高公庄乡', 'gaogongzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130533210', '130533', '130533210', '赵村乡', 'zhaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130534', '1305', '130534', '清河县', 'qinghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130534100', '130534', '130534100', '葛仙庄镇', 'gexianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130534101', '130534', '130534101', '连庄镇', 'lianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130534102', '130534', '130534102', '油坊镇', 'youfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130534103', '130534', '130534103', '谢炉镇', 'xieluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130534104', '130534', '130534104', '王官庄镇', 'wangguanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130534105', '130534', '130534105', '坝营镇', 'bayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130535', '1305', '130535', '临西县', 'linxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130535100', '130535', '130535100', '临西镇', 'linxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130535101', '130535', '130535101', '河西镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130535102', '130535', '130535102', '下堡寺镇', 'xiabaosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130535103', '130535', '130535103', '尖冢镇', 'jianzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130535200', '130535', '130535200', '东枣园乡', 'dongzaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130535201', '130535', '130535201', '老官寨乡', 'laoguanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130535202', '130535', '130535202', '吕寨乡', 'lu:zhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130535203', '130535', '130535203', '摇鞍镇乡', 'yaoanzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130535204', '130535', '130535204', '大刘庄乡', 'daliuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581', '1305', '130581', '南宫市', 'nangongshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581001', '130581', '130581001', '凤岗街道', 'fenggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581002', '130581', '130581002', '南杜街道', 'nandujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581003', '130581', '130581003', '北胡街道', 'beihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581004', '130581', '130581004', '西丁街道', 'xidingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581100', '130581', '130581100', '苏村镇', 'sucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581101', '130581', '130581101', '大高村镇', 'dagaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581102', '130581', '130581102', '垂杨镇', 'chuiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581103', '130581', '130581103', '明化镇', 'minghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581104', '130581', '130581104', '段芦头镇', 'duanlutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581105', '130581', '130581105', '紫冢镇', 'zizhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581200', '130581', '130581200', '大村乡', 'dacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581201', '130581', '130581201', '南便村乡', 'nanbiancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581202', '130581', '130581202', '大屯乡', 'datunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581203', '130581', '130581203', '王道寨乡', 'wangdaozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130581204', '130581', '130581204', '薛吴村乡', 'xuewucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582', '1305', '130582', '沙河市', 'shaheshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582001', '130582', '130582001', '褡裢街道', 'dalianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582002', '130582', '130582002', '桥东街道', 'qiaodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582003', '130582', '130582003', '桥西街道', 'qiaoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582004', '130582', '130582004', '赞善街道', 'zanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582005', '130582', '130582005', '周庄街道', 'zhouzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582100', '130582', '130582100', '沙河城镇', 'shahechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582101', '130582', '130582101', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582102', '130582', '130582102', '白塔镇', 'baitazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582103', '130582', '130582103', '十里亭镇', 'shilitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582104', '130582', '130582104', '綦村镇', 'qicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582200', '130582', '130582200', '留村乡', 'liucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582201', '130582', '130582201', '册井乡', 'cejingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582202', '130582', '130582202', '刘石岗乡', 'liushigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582203', '130582', '130582203', '柴关乡', 'chaiguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582204', '130582', '130582204', '蝉房乡', 'chanfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582401', '130582', '130582401', '华北冶金矿山建设公司', 'huabeiyejinkuangshanjianshegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130582402', '130582', '130582402', '华北冶金设备制造厂', 'huabeiyejinshebeizhizaochang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1306', '13', '1306', '保定市', 'baodingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130601', '1306', '130601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602', '1306', '130602', '新市区', 'xinshiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602001', '130602', '130602001', '先锋街道', 'xianfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602002', '130602', '130602002', '新市场街道', 'xinshichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602003', '130602', '130602003', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602004', '130602', '130602004', '建南街道', 'jiannanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602005', '130602', '130602005', '韩村北路街道', 'hancunbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602200', '130602', '130602200', '颉庄乡', 'jiezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602201', '130602', '130602201', '富昌乡', 'fuchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602202', '130602', '130602202', '韩村乡', 'hancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602203', '130602', '130602203', '南奇乡', 'nanqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602204', '130602', '130602204', '江城乡', 'jiangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602205', '130602', '130602205', '大马坊乡', 'damafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130602400', '130602', '130602400', '保定国家高新区', 'baodingguojiagaoxinqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130603', '1306', '130603', '北市区', 'beishiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130603001', '130603', '130603001', '和平里街道', 'hepinglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130603002', '130603', '130603002', '五四路街道', 'wusilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130603003', '130603', '130603003', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130603004', '130603', '130603004', '中华路街道', 'zhonghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130603005', '130603', '130603005', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130603200', '130603', '130603200', '韩庄乡', 'hanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130603201', '130603', '130603201', '东金庄乡', 'dongjinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130603202', '130603', '130603202', '百楼乡', 'bailouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130604', '1306', '130604', '南市区', 'nanshiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130604001', '130604', '130604001', '联盟街道', 'lianmengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130604002', '130604', '130604002', '红星街道', 'hongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130604003', '130604', '130604003', '裕华街道', 'yuhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130604004', '130604', '130604004', '永华街道', 'yonghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130604005', '130604', '130604005', '南关街道', 'nanguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130604200', '130604', '130604200', '杨庄乡', 'yangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130604201', '130604', '130604201', '南大园乡', 'nandayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130604202', '130604', '130604202', '焦庄乡', 'jiaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130604203', '130604', '130604203', '五尧乡', 'wuyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621', '1306', '130621', '满城县', 'manchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621001', '130621', '130621001', '惠阳街道', 'huiyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621100', '130621', '130621100', '满城镇', 'manchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621101', '130621', '130621101', '大册营镇', 'daceyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621102', '130621', '130621102', '神星镇', 'shenxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621103', '130621', '130621103', '南韩村镇', 'nanhancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621200', '130621', '130621200', '方顺桥乡', 'fangshunqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621201', '130621', '130621201', '于家庄乡', 'yujiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621202', '130621', '130621202', '贤台乡', 'xiantaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621203', '130621', '130621203', '要庄乡', 'yaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621204', '130621', '130621204', '白龙乡', 'bailongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621205', '130621', '130621205', '石井乡', 'shijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621206', '130621', '130621206', '坨南乡', 'tuonanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130621207', '130621', '130621207', '刘家台乡', 'liujiataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622', '1306', '130622', '清苑县', 'qingyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622100', '130622', '130622100', '清苑镇', 'qingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622101', '130622', '130622101', '冉庄镇', 'ranzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622102', '130622', '130622102', '阳城镇', 'yangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622103', '130622', '130622103', '魏村镇', 'weicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622104', '130622', '130622104', '温仁镇', 'wenrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622105', '130622', '130622105', '张登镇', 'zhangdengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622106', '130622', '130622106', '大庄镇', 'dazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622107', '130622', '130622107', '臧村镇', 'zangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622200', '130622', '130622200', '白团乡', 'baituanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622201', '130622', '130622201', '北店乡', 'beidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622202', '130622', '130622202', '石桥乡', 'shiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622203', '130622', '130622203', '李庄乡', 'lizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622204', '130622', '130622204', '北王力乡', 'beiwanglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622205', '130622', '130622205', '东吕乡', 'donglu:xiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622206', '130622', '130622206', '何桥乡', 'heqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622207', '130622', '130622207', '孙村乡', 'suncunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622208', '130622', '130622208', '阎庄乡', 'yanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130622209', '130622', '130622209', '望亭乡', 'wangtingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623', '1306', '130623', '涞水县', 'laishuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623001', '130623', '130623001', '城区社区管理办公室街道', 'chengqushequguanlibangongshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623100', '130623', '130623100', '涞水镇', 'laishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623101', '130623', '130623101', '永阳镇', 'yongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623102', '130623', '130623102', '义安镇', 'yianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623103', '130623', '130623103', '石亭镇', 'shitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623104', '130623', '130623104', '赵各庄镇', 'zhaogezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623105', '130623', '130623105', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623106', '130623', '130623106', '三坡镇', 'sanpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623200', '130623', '130623200', '明义乡', 'mingyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623201', '130623', '130623201', '王村乡', 'wangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623202', '130623', '130623202', '东文山乡', 'dongwenshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623203', '130623', '130623203', '娄村满族乡', 'loucunmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623204', '130623', '130623204', '宋各庄乡', 'songgezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623205', '130623', '130623205', '其中口乡', 'qizhongkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623206', '130623', '130623206', '龙门乡', 'longmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130623207', '130623', '130623207', '胡家庄乡', 'hujiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624', '1306', '130624', '阜平县', 'fupingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624100', '130624', '130624100', '阜平镇', 'fupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624101', '130624', '130624101', '龙泉关镇', 'longquanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624102', '130624', '130624102', '平阳镇', 'pingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624103', '130624', '130624103', '城南庄镇', 'chengnanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624200', '130624', '130624200', '东下关乡', 'dongxiaguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624201', '130624', '130624201', '王林口乡', 'wanglinkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624202', '130624', '130624202', '台峪乡', 'taiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624203', '130624', '130624203', '大台乡', 'dataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624204', '130624', '130624204', '史家寨乡', 'shijiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624205', '130624', '130624205', '砂窝乡', 'shawoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624206', '130624', '130624206', '吴王口乡', 'wuwangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624207', '130624', '130624207', '下庄乡', 'xiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130624208', '130624', '130624208', '北果元乡', 'beiguoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625', '1306', '130625', '徐水县', 'xushuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625100', '130625', '130625100', '安肃镇', 'ansuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625101', '130625', '130625101', '崔庄镇', 'cuizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625102', '130625', '130625102', '大因镇', 'dayinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625103', '130625', '130625103', '遂城镇', 'suichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625104', '130625', '130625104', '高林村镇', 'gaolincunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625105', '130625', '130625105', '大王店镇', 'dawangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625106', '130625', '130625106', '漕河镇', 'caohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625200', '130625', '130625200', '东史端乡', 'dongshiduanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625201', '130625', '130625201', '留村乡', 'liucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625202', '130625', '130625202', '正村乡', 'zhengcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625203', '130625', '130625203', '户木乡', 'humuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625204', '130625', '130625204', '瀑河乡', 'puhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625205', '130625', '130625205', '东釜山乡', 'dongfushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130625206', '130625', '130625206', '义联庄乡', 'yilianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626', '1306', '130626', '定兴县', 'dingxingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626100', '130626', '130626100', '定兴镇', 'dingxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626101', '130626', '130626101', '固城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626102', '130626', '130626102', '贤寓镇', 'xianyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626103', '130626', '130626103', '北河镇', 'beihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626200', '130626', '130626200', '东落堡乡', 'dongluobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626201', '130626', '130626201', '高里乡', 'gaolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626202', '130626', '130626202', '张家庄乡', 'zhangjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626203', '130626', '130626203', '姚村乡', 'yaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626204', '130626', '130626204', '肖村乡', 'xiaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626205', '130626', '130626205', '柳卓乡', 'liuzhuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626206', '130626', '130626206', '杨村乡', 'yangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626207', '130626', '130626207', '北田乡', 'beitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626208', '130626', '130626208', '北南蔡乡', 'beinancaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626209', '130626', '130626209', '李郁庄乡', 'liyuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626210', '130626', '130626210', '天宫寺乡', 'tiangongsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130626211', '130626', '130626211', '小朱庄乡', 'xiaozhuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627', '1306', '130627', '唐县', 'tangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627100', '130627', '130627100', '仁厚镇', 'renhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627101', '130627', '130627101', '王京镇', 'wangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627102', '130627', '130627102', '高昌镇', 'gaochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627103', '130627', '130627103', '北罗镇', 'beiluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627104', '130627', '130627104', '白合镇', 'baihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627105', '130627', '130627105', '军城镇', 'junchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627106', '130627', '130627106', '川里镇', 'chuanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627200', '130627', '130627200', '长古城乡', 'zhangguchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627201', '130627', '130627201', '都亭乡', 'doutingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627202', '130627', '130627202', '南店头乡', 'nandiantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627203', '130627', '130627203', '北店头乡', 'beidiantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627204', '130627', '130627204', '罗庄乡', 'luozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627205', '130627', '130627205', '雹水乡', 'baoshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627206', '130627', '130627206', '大洋乡', 'dayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627207', '130627', '130627207', '迷城乡', 'michengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627208', '130627', '130627208', '齐家佐乡', 'qijiazuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627209', '130627', '130627209', '羊角乡', 'yangjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627210', '130627', '130627210', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627211', '130627', '130627211', '黄石口乡', 'huangshikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130627212', '130627', '130627212', '倒马关乡', 'daomaguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130628', '1306', '130628', '高阳县', 'gaoyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130628100', '130628', '130628100', '高阳镇', 'gaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130628101', '130628', '130628101', '庞口镇', 'pangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130628102', '130628', '130628102', '西演镇', 'xiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130628200', '130628', '130628200', '邢家南乡', 'xingjiananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130628201', '130628', '130628201', '晋庄乡', 'jinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130628202', '130628', '130628202', '蒲口乡', 'pukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130628203', '130628', '130628203', '小王果庄乡', 'xiaowangguozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130628204', '130628', '130628204', '龙化乡', 'longhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130628205', '130628', '130628205', '庞家佐乡', 'pangjiazuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130629', '1306', '130629', '容城县', 'rongchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130629100', '130629', '130629100', '容城镇', 'rongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130629101', '130629', '130629101', '小里镇', 'xiaolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130629102', '130629', '130629102', '南张镇', 'nanzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130629103', '130629', '130629103', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130629200', '130629', '130629200', '八于乡', 'bayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130629201', '130629', '130629201', '贾光乡', 'jiaguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130629202', '130629', '130629202', '晾马台乡', 'liangmataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130629203', '130629', '130629203', '平王乡', 'pingwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630', '1306', '130630', '涞源县', 'laiyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630100', '130630', '130630100', '涞源镇', 'laiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630101', '130630', '130630101', '银坊镇', 'yinfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630102', '130630', '130630102', '走马驿镇', 'zoumayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630103', '130630', '130630103', '水堡镇', 'shuibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630104', '130630', '130630104', '王安镇', 'wanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630105', '130630', '130630105', '杨家庄镇', 'yangjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630200', '130630', '130630200', '下北头乡', 'xiabeitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630201', '130630', '130630201', '南屯乡', 'nantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630202', '130630', '130630202', '马庄乡', 'mazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630203', '130630', '130630203', '北石佛乡', 'beishifoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630204', '130630', '130630204', '金家井乡', 'jinjiajingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630205', '130630', '130630205', '留家庄乡', 'liujiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630206', '130630', '130630206', '上庄乡', 'shangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630207', '130630', '130630207', '东团堡乡', 'dongtuanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630208', '130630', '130630208', '塔崖驿乡', 'tayayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630209', '130630', '130630209', '乌龙沟乡', 'wulonggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130630210', '130630', '130630210', '烟煤洞乡', 'yanmeidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130631', '1306', '130631', '望都县', 'wangdouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130631100', '130631', '130631100', '望都镇', 'wangdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130631101', '130631', '130631101', '固店镇', 'gudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130631200', '130631', '130631200', '寺庄乡', 'sizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130631201', '130631', '130631201', '赵庄乡', 'zhaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130631202', '130631', '130631202', '黑堡乡', 'heibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130631204', '130631', '130631204', '高岭乡', 'gaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130631205', '130631', '130631205', '中韩庄乡', 'zhonghanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130631206', '130631', '130631206', '贾村乡', 'jiacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632', '1306', '130632', '安新县', 'anxinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632100', '130632', '130632100', '安新镇', 'anxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632101', '130632', '130632101', '大王镇', 'dawangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632102', '130632', '130632102', '三台镇', 'santaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632103', '130632', '130632103', '端村镇', 'duancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632104', '130632', '130632104', '赵北口镇', 'zhaobeikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632105', '130632', '130632105', '同口镇', 'tongkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632106', '130632', '130632106', '刘李庄镇', 'liulizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632107', '130632', '130632107', '安州镇', 'anzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632108', '130632', '130632108', '老河头镇', 'laohetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632200', '130632', '130632200', '圈头乡', 'quantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632201', '130632', '130632201', '寨里乡', 'zhailixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130632202', '130632', '130632202', '芦庄乡', 'luzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633', '1306', '130633', '易县', 'yixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633100', '130633', '130633100', '易州镇', 'yizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633101', '130633', '130633101', '梁格庄镇', 'lianggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633102', '130633', '130633102', '西陵镇', 'xilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633103', '130633', '130633103', '裴山镇', 'peishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633104', '130633', '130633104', '塘湖镇', 'tanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633105', '130633', '130633105', '狼牙山镇', 'langyashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633106', '130633', '130633106', '良岗镇', 'lianggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633107', '130633', '130633107', '紫荆关镇', 'zijingguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633200', '130633', '130633200', '桥头乡', 'qiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633201', '130633', '130633201', '白马乡', 'baimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633202', '130633', '130633202', '流井乡', 'liujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633203', '130633', '130633203', '高村乡', 'gaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633204', '130633', '130633204', '高陌乡', 'gaomoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633205', '130633', '130633205', '大龙华乡', 'dalonghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633206', '130633', '130633206', '安格庄乡', 'angezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633207', '130633', '130633207', '凌云册乡', 'lingyuncexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633208', '130633', '130633208', '西山北乡', 'xishanbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633209', '130633', '130633209', '尉都乡', 'weidouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633210', '130633', '130633210', '独乐乡', 'dulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633211', '130633', '130633211', '七峪乡', 'qiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633212', '130633', '130633212', '富岗乡', 'fugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633213', '130633', '130633213', '坡仓乡', 'pocangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633214', '130633', '130633214', '牛岗乡', 'niugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633215', '130633', '130633215', '桥家河乡', 'qiaojiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633216', '130633', '130633216', '甘河净乡', 'ganhejingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633217', '130633', '130633217', '蔡家峪乡', 'caijiayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130633218', '130633', '130633218', '南城司乡', 'nanchengsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634', '1306', '130634', '曲阳县', 'quyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634100', '130634', '130634100', '恒州镇', 'hengzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634101', '130634', '130634101', '灵山镇', 'lingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634102', '130634', '130634102', '燕赵镇', 'yanzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634103', '130634', '130634103', '羊平镇', 'yangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634200', '130634', '130634200', '路庄子乡', 'luzhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634201', '130634', '130634201', '下河乡', 'xiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634202', '130634', '130634202', '庄窠乡', 'zhuangkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634203', '130634', '130634203', '孝墓乡', 'xiaomuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634204', '130634', '130634204', '文德乡', 'wendexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634205', '130634', '130634205', '东旺乡', 'dongwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634206', '130634', '130634206', '晓林乡', 'xiaolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634207', '130634', '130634207', '邸村乡', 'dicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634208', '130634', '130634208', '产德乡', 'chandexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634209', '130634', '130634209', '齐村乡', 'qicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634210', '130634', '130634210', '党城乡', 'dangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634211', '130634', '130634211', '郎家庄乡', 'langjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634212', '130634', '130634212', '范家庄乡', 'fanjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130634213', '130634', '130634213', '北台乡', 'beitaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635', '1306', '130635', '蠡县', 'lixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635100', '130635', '130635100', '蠡吾镇', 'liwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635101', '130635', '130635101', '留史镇', 'liushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635102', '130635', '130635102', '大百尺镇', 'dabaichizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635103', '130635', '130635103', '辛兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635104', '130635', '130635104', '北郭丹镇', 'beiguodanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635105', '130635', '130635105', '万安镇', 'wananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635106', '130635', '130635106', '桑园镇', 'sangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635107', '130635', '130635107', '南庄镇', 'nanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635200', '130635', '130635200', '小陈乡', 'xiaochenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635201', '130635', '130635201', '林堡乡', 'linbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635202', '130635', '130635202', '北埝头乡', 'beiniantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635203', '130635', '130635203', '鲍墟乡', 'baoxuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130635204', '130635', '130635204', '大曲堤乡', 'daqudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130636', '1306', '130636', '顺平县', 'shunpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130636100', '130636', '130636100', '蒲阳镇', 'puyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130636101', '130636', '130636101', '高于铺镇', 'gaoyupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130636102', '130636', '130636102', '腰山镇', 'yaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130636200', '130636', '130636200', '蒲上乡', 'pushangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130636201', '130636', '130636201', '白云乡', 'baiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130636202', '130636', '130636202', '河口乡', 'hekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130636203', '130636', '130636203', '安阳乡', 'anyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130636204', '130636', '130636204', '台鱼乡', 'taiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130636205', '130636', '130636205', '大悲乡', 'dabeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130636206', '130636', '130636206', '神南乡', 'shennanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130637', '1306', '130637', '博野县', 'boyexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130637100', '130637', '130637100', '博野镇', 'boyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130637101', '130637', '130637101', '小店镇', 'xiaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130637102', '130637', '130637102', '程委镇', 'chengweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130637200', '130637', '130637200', '东墟乡', 'dongxuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130637201', '130637', '130637201', '北杨村乡', 'beiyangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130637202', '130637', '130637202', '城东乡', 'chengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130637203', '130637', '130637203', '南小王乡', 'nanxiaowangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130638', '1306', '130638', '雄县', 'xiongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130638100', '130638', '130638100', '雄州镇', 'xiongzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130638101', '130638', '130638101', '昝岗镇', 'zangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130638102', '130638', '130638102', '大营镇', 'dayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130638103', '130638', '130638103', '龙湾镇', 'longwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130638200', '130638', '130638200', '北沙口乡', 'beishakouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130638201', '130638', '130638201', '朱各庄乡', 'zhugezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130638202', '130638', '130638202', '米家务乡', 'mijiawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130638203', '130638', '130638203', '双堂乡', 'shuangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130638204', '130638', '130638204', '张岗乡', 'zhanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681', '1306', '130681', '涿州市', 'zhuozhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681001', '130681', '130681001', '双塔街道', 'shuangtajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681002', '130681', '130681002', '桃园街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681003', '130681', '130681003', '清凉寺街道', 'qingliangsijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681100', '130681', '130681100', '松林店镇', 'songlindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681101', '130681', '130681101', '码头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681102', '130681', '130681102', '东城坊镇', 'dongchengfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681103', '130681', '130681103', '高官庄镇', 'gaoguanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681104', '130681', '130681104', '东仙坡镇', 'dongxianpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681200', '130681', '130681200', '百尺竿乡', 'baichiganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681202', '130681', '130681202', '义和庄乡', 'yihezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681203', '130681', '130681203', '林家屯乡', 'linjiatunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681204', '130681', '130681204', '孙庄乡', 'sunzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681205', '130681', '130681205', '豆庄乡', 'douzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681206', '130681', '130681206', '刁窝乡', 'diaowoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130681400', '130681', '130681400', '开发区管理委员会', 'kaifaquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682', '1306', '130682', '定州市', 'dingzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682001', '130682', '130682001', '南城区街道', 'nanchengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682002', '130682', '130682002', '北城区街道', 'beichengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682003', '130682', '130682003', '西城区街道', 'xichengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682100', '130682', '130682100', '留早镇', 'liuzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682101', '130682', '130682101', '清风店镇', 'qingfengdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682102', '130682', '130682102', '庞村镇', 'pangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682103', '130682', '130682103', '砖路镇', 'zhuanluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682104', '130682', '130682104', '明月店镇', 'mingyuedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682105', '130682', '130682105', '叮咛店镇', 'dingningdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682106', '130682', '130682106', '东亭镇', 'dongtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682107', '130682', '130682107', '大辛庄镇', 'daxinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682108', '130682', '130682108', '东旺镇', 'dongwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682109', '130682', '130682109', '高蓬镇', 'gaopengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682110', '130682', '130682110', '邢邑镇', 'xingyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682111', '130682', '130682111', '李亲顾镇', 'liqinguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682112', '130682', '130682112', '子位镇', 'ziweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682113', '130682', '130682113', '开元镇', 'kaiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682200', '130682', '130682200', '赵村乡', 'zhaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682202', '130682', '130682202', '周村乡', 'zhoucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682203', '130682', '130682203', '东留春乡', 'dongliuchunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682204', '130682', '130682204', '号头庄回族乡', 'haotouzhuanghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682205', '130682', '130682205', '杨家庄乡', 'yangjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682206', '130682', '130682206', '大鹿庄乡', 'daluzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682207', '130682', '130682207', '息冢乡', 'xizhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130682208', '130682', '130682208', '西城乡', 'xichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683', '1306', '130683', '安国市', 'anguoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683001', '130683', '130683001', '祁州药市街道', 'qizhouyaoshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683100', '130683', '130683100', '祁州镇', 'qizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683101', '130683', '130683101', '伍仁桥镇', 'wurenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683102', '130683', '130683102', '石佛镇', 'shifozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683103', '130683', '130683103', '郑章镇', 'zhengzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683104', '130683', '130683104', '大五女镇', 'dawunu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683200', '130683', '130683200', '明官店乡', 'mingguandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683201', '130683', '130683201', '南娄底乡', 'nanloudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683202', '130683', '130683202', '西安国城乡', 'xianguochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683203', '130683', '130683203', '西佛落乡', 'xifoluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130683204', '130683', '130683204', '北段村乡', 'beiduancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684', '1306', '130684', '高碑店市', 'gaobeidianshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684001', '130684', '130684001', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684002', '130684', '130684002', '军城街道', 'junchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684003', '130684', '130684003', '东盛街道', 'dongshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684004', '130684', '130684004', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684005', '130684', '130684005', '兴华路街道', 'xinghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684100', '130684', '130684100', '方官镇', 'fangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684101', '130684', '130684101', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684102', '130684', '130684102', '泗庄镇', 'sizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684103', '130684', '130684103', '白沟镇', 'baigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684104', '130684', '130684104', '辛立庄镇', 'xinlizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684200', '130684', '130684200', '肖官营乡', 'xiaoguanyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684201', '130684', '130684201', '梁家营乡', 'liangjiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684202', '130684', '130684202', '张六庄乡', 'zhangliuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684203', '130684', '130684203', '东马营乡', 'dongmayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130684204', '130684', '130684204', '辛桥乡', 'xinqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1307', '13', '1307', '张家口市', 'zhangjiakoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130701', '1307', '130701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130702', '1307', '130702', '桥东区', 'qiaodongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130702001', '130702', '130702001', '红旗楼街道', 'hongqiloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130702002', '130702', '130702002', '胜利北路街道', 'shenglibeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130702003', '130702', '130702003', '五一路街道', 'wuyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130702004', '130702', '130702004', '花园街街道', 'huayuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130702005', '130702', '130702005', '工业路街道', 'gongyelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130702006', '130702', '130702006', '南站街道', 'nanzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130702007', '130702', '130702007', '马路东街道', 'maludongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130702100', '130702', '130702100', '老鸦庄镇', 'laoyazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130702101', '130702', '130702101', '姚家庄镇', 'yaojiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130703', '1307', '130703', '桥西区', 'qiaoxiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130703001', '130703', '130703001', '新华街街道', 'xinhuajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130703002', '130703', '130703002', '大境门街道', 'dajingmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130703003', '130703', '130703003', '明德北街街道', 'mingdebeijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130703004', '130703', '130703004', '明德南街街道', 'mingdenanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130703005', '130703', '130703005', '堡子里街道', 'baozilijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130703006', '130703', '130703006', '南营坊街道', 'nanyingfangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130703007', '130703', '130703007', '工人新村街道', 'gongrenxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130703100', '130703', '130703100', '东窑子镇', 'dongyaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130703101', '130703', '130703101', '沈家屯镇', 'shenjiatunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705', '1307', '130705', '宣化区', 'xuanhuaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705001', '130705', '130705001', '天泰寺街道', 'tiantaisijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705002', '130705', '130705002', '皇城街道', 'huangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705003', '130705', '130705003', '南关街道', 'nanguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705004', '130705', '130705004', '南大街街道', 'nandajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705005', '130705', '130705005', '大北街街道', 'dabeijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705006', '130705', '130705006', '工业街街道', 'gongyejiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705007', '130705', '130705007', '建国街街道', 'jianguojiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705100', '130705', '130705100', '庞家堡镇', 'pangjiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705200', '130705', '130705200', '河子西乡', 'hezixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705201', '130705', '130705201', '春光乡', 'chunguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130705202', '130705', '130705202', '侯家庙乡', 'houjiamiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130706', '1307', '130706', '下花园区', 'xiahuayuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130706001', '130706', '130706001', '城镇街道', 'chengzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130706002', '130706', '130706002', '煤矿街道', 'meikuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130706200', '130706', '130706200', '花园乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130706201', '130706', '130706201', '辛庄子乡', 'xinzhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130706202', '130706', '130706202', '定方水乡', 'dingfangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130706203', '130706', '130706203', '段家堡乡', 'duanjiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721', '1307', '130721', '宣化县', 'xuanhuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721100', '130721', '130721100', '洋河南镇', 'yanghenanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721101', '130721', '130721101', '深井镇', 'shenjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721102', '130721', '130721102', '崞村镇', 'guocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721103', '130721', '130721103', '沙岭子镇', 'shalingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721104', '130721', '130721104', '姚家房镇', 'yaojiafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721105', '130721', '130721105', '大仓盖镇', 'dacanggaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721106', '130721', '130721106', '贾家营镇', 'jiajiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721107', '130721', '130721107', '顾家营镇', 'gujiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721108', '130721', '130721108', '赵川镇', 'zhaochuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721200', '130721', '130721200', '王家湾乡', 'wangjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721201', '130721', '130721201', '塔儿村乡', 'taercunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721202', '130721', '130721202', '江家屯乡', 'jiangjiatunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721203', '130721', '130721203', '东望山乡', 'dongwangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130721204', '130721', '130721204', '李家堡乡', 'lijiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722', '1307', '130722', '张北县', 'zhangbeixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722100', '130722', '130722100', '张北镇', 'zhangbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722101', '130722', '130722101', '公会镇', 'gonghuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722102', '130722', '130722102', '二台镇', 'ertaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722103', '130722', '130722103', '大囫囵镇', 'dahulunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722200', '130722', '130722200', '台路沟乡', 'tailugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722201', '130722', '130722201', '油篓沟乡', 'youlougouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722202', '130722', '130722202', '馒头营乡', 'mantouyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722203', '130722', '130722203', '二泉井乡', 'erquanjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722204', '130722', '130722204', '单晶河乡', 'danjinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722205', '130722', '130722205', '大河乡', 'dahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722206', '130722', '130722206', '海流图乡', 'hailiutuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722207', '130722', '130722207', '两面井乡', 'liangmianjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722208', '130722', '130722208', '大西湾乡', 'daxiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722209', '130722', '130722209', '郝家营乡', 'haojiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722210', '130722', '130722210', '白庙滩乡', 'baimiaotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722211', '130722', '130722211', '小二台乡', 'xiaoertaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722212', '130722', '130722212', '战海乡', 'zhanhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722213', '130722', '130722213', '三号乡', 'sanhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722214', '130722', '130722214', '沙沟乡', 'shagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722215', '130722', '130722215', '宇宙营乡', 'yuzhouyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130722500', '130722', '130722500', '察北虚拟乡', 'chabeixunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723', '1307', '130723', '康保县', 'kangbaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723100', '130723', '130723100', '康保镇', 'kangbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723101', '130723', '130723101', '张纪镇', 'zhangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723102', '130723', '130723102', '土城子镇', 'tuchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723103', '130723', '130723103', '邓油坊镇', 'dengyoufangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723104', '130723', '130723104', '李家地镇', 'lijiadizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723105', '130723', '130723105', '照阳河镇', 'zhaoyanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723106', '130723', '130723106', '屯垦镇', 'tunkenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723200', '130723', '130723200', '阎油房乡', 'yanyoufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723201', '130723', '130723201', '丹清河乡', 'danqinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723202', '130723', '130723202', '哈必嘎乡', 'habigaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723203', '130723', '130723203', '二号卜乡', 'erhaobuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723204', '130723', '130723204', '芦家营乡', 'lujiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723205', '130723', '130723205', '忠义乡', 'zhongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723206', '130723', '130723206', '处长地乡', 'chuzhangdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723207', '130723', '130723207', '满德堂乡', 'mandetangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130723500', '130723', '130723500', '康保牧场虚拟乡', 'kangbaomuchangxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724', '1307', '130724', '沽源县', 'guyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724100', '130724', '130724100', '平定堡镇', 'pingdingbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724101', '130724', '130724101', '小厂镇', 'xiaochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724102', '130724', '130724102', '黄盖淖镇', 'huanggainaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724103', '130724', '130724103', '九连城镇', 'jiulianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724200', '130724', '130724200', '高山堡乡', 'gaoshanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724201', '130724', '130724201', '小河子乡', 'xiaohezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724202', '130724', '130724202', '二道渠乡', 'erdaoquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724203', '130724', '130724203', '大二号回族乡', 'daerhaohuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724204', '130724', '130724204', '闪电河乡', 'shandianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724205', '130724', '130724205', '长梁乡', 'zhangliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724206', '130724', '130724206', '丰源店乡', 'fengyuandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724207', '130724', '130724207', '西辛营乡', 'xixinyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724208', '130724', '130724208', '莲花滩乡', 'lianhuatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724209', '130724', '130724209', '白土窑乡', 'baituyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724501', '130724', '130724501', '榆树沟虚拟乡', 'yushugouxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724502', '130724', '130724502', '沙埌子虚拟乡', 'shalangzixunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724503', '130724', '130724503', '小城子虚拟乡', 'xiaochengzixunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130724504', '130724', '130724504', '东大门虚拟乡', 'dongdamenxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725', '1307', '130725', '尚义县', 'shangyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725100', '130725', '130725100', '南壕堑镇', 'nanhaoqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725101', '130725', '130725101', '大青沟镇', 'daqinggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725102', '130725', '130725102', '八道沟镇', 'badaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725103', '130725', '130725103', '红土梁镇', 'hongtuliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725104', '130725', '130725104', '小蒜沟镇', 'xiaosuangouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725105', '130725', '130725105', '三工地镇', 'sangongdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725200', '130725', '130725200', '大营盘乡', 'dayingpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725201', '130725', '130725201', '大苏计乡', 'dasujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725202', '130725', '130725202', '石井乡', 'shijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725204', '130725', '130725204', '炕塄乡', 'kanglengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725205', '130725', '130725205', '七甲乡', 'qijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725206', '130725', '130725206', '套里庄乡', 'taolizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725207', '130725', '130725207', '甲石河乡', 'jiashihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130725208', '130725', '130725208', '下马圈乡', 'xiamaquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726', '1307', '130726', '蔚县', 'yuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726100', '130726', '130726100', '蔚州镇', 'yuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726101', '130726', '130726101', '代王城镇', 'daiwangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726102', '130726', '130726102', '西合营镇', 'xiheyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726103', '130726', '130726103', '吉家庄镇', 'jijiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726104', '130726', '130726104', '白乐镇', 'bailezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726105', '130726', '130726105', '暖泉镇', 'nuanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726106', '130726', '130726106', '南留庄镇', 'nanliuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726107', '130726', '130726107', '北水泉镇', 'beishuiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726108', '130726', '130726108', '桃花镇', 'taohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726109', '130726', '130726109', '阳眷镇', 'yangjuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726110', '130726', '130726110', '宋家庄镇', 'songjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726200', '130726', '130726200', '下宫村乡', 'xiagongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726202', '130726', '130726202', '南杨庄乡', 'nanyangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726203', '130726', '130726203', '柏树乡', 'boshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726204', '130726', '130726204', '常宁乡', 'changningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726205', '130726', '130726205', '涌泉庄乡', 'yongquanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726206', '130726', '130726206', '杨庄窠乡', 'yangzhuangkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726207', '130726', '130726207', '南岭庄乡', 'nanlingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726208', '130726', '130726208', '陈家洼乡', 'chenjiawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726209', '130726', '130726209', '黄梅乡', 'huangmeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726210', '130726', '130726210', '白草村乡', 'baicaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130726211', '130726', '130726211', '草沟堡乡', 'caogoubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727', '1307', '130727', '阳原县', 'yangyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727100', '130727', '130727100', '西城镇', 'xichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727101', '130727', '130727101', '东城镇', 'dongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727102', '130727', '130727102', '化稍营镇', 'huashaoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727103', '130727', '130727103', '揣骨疃镇', 'chuaigutuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727104', '130727', '130727104', '东井集镇', 'dongjingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727200', '130727', '130727200', '要家庄乡', 'yaojiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727201', '130727', '130727201', '东坊城堡乡', 'dongfangchengbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727202', '130727', '130727202', '井儿沟乡', 'jingergouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727203', '130727', '130727203', '三马坊乡', 'sanmafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727204', '130727', '130727204', '高墙乡', 'gaoqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727205', '130727', '130727205', '大田洼乡', 'datianwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727206', '130727', '130727206', '辛堡乡', 'xinbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727207', '130727', '130727207', '马圈堡乡', 'maquanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130727208', '130727', '130727208', '浮图讲乡', 'futujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728', '1307', '130728', '怀安县', 'huaianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728100', '130728', '130728100', '柴沟堡镇', 'chaigoubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728101', '130728', '130728101', '左卫镇', 'zuoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728102', '130728', '130728102', '头百户镇', 'toubaihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728103', '130728', '130728103', '怀安城镇', 'huaianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728200', '130728', '130728200', '渡口堡乡', 'dukoubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728201', '130728', '130728201', '第六屯乡', 'diliutunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728202', '130728', '130728202', '西湾堡乡', 'xiwanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728203', '130728', '130728203', '西沙城乡', 'xishachengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728204', '130728', '130728204', '太平庄乡', 'taipingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728205', '130728', '130728205', '王虎屯乡', 'wanghutunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130728206', '130728', '130728206', '第三堡乡', 'disanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729', '1307', '130729', '万全县', 'wanquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729100', '130729', '130729100', '孔家庄镇', 'kongjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729101', '130729', '130729101', '万全镇', 'wanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729102', '130729', '130729102', '洗马林镇', 'ximalinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729103', '130729', '130729103', '郭磊庄镇', 'guoleizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729200', '130729', '130729200', '膳房堡乡', 'shanfangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729201', '130729', '130729201', '北新屯乡', 'beixintunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729202', '130729', '130729202', '宣平堡乡', 'xuanpingbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729203', '130729', '130729203', '高庙堡乡', 'gaomiaobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729204', '130729', '130729204', '旧堡乡', 'jiubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729205', '130729', '130729205', '安家堡乡', 'anjiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130729206', '130729', '130729206', '北沙城乡', 'beishachengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730', '1307', '130730', '怀来县', 'huailaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730100', '130730', '130730100', '沙城镇', 'shachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730101', '130730', '130730101', '北辛堡镇', 'beixinbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730102', '130730', '130730102', '新保安镇', 'xinbaoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730103', '130730', '130730103', '东花园镇', 'donghuayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730104', '130730', '130730104', '官厅镇', 'guantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730105', '130730', '130730105', '桑园镇', 'sangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730106', '130730', '130730106', '存瑞镇', 'cunruizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730107', '130730', '130730107', '土木镇', 'tumuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730108', '130730', '130730108', '大黄庄镇', 'dahuangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730109', '130730', '130730109', '西八里镇', 'xibalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730110', '130730', '130730110', '小南辛堡镇', 'xiaonanxinbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730200', '130730', '130730200', '狼山乡', 'langshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730203', '130730', '130730203', '鸡鸣驿乡', 'jimingyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730205', '130730', '130730205', '东八里乡', 'dongbalixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730207', '130730', '130730207', '瑞云观乡', 'ruiyunguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730208', '130730', '130730208', '孙庄子乡', 'sunzhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130730210', '130730', '130730210', '王家楼回族乡', 'wangjialouhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731', '1307', '130731', '涿鹿县', 'zhuoluxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731100', '130731', '130731100', '涿鹿镇', 'zhuoluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731101', '130731', '130731101', '张家堡镇', 'zhangjiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731102', '130731', '130731102', '武家沟镇', 'wujiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731103', '130731', '130731103', '五堡镇', 'wubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731104', '130731', '130731104', '保岱镇', 'baodaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731105', '130731', '130731105', '矾山镇', 'fanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731106', '130731', '130731106', '大堡镇', 'dabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731107', '130731', '130731107', '河东镇', 'hedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731200', '130731', '130731200', '东小庄乡', 'dongxiaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731201', '130731', '130731201', '栾庄乡', 'luanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731202', '130731', '130731202', '温泉屯乡', 'wenquantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731203', '130731', '130731203', '辉耀乡', 'huiyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731204', '130731', '130731204', '黑山寺乡', 'heishansixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731205', '130731', '130731205', '卧佛寺乡', 'wofosixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731206', '130731', '130731206', '谢家堡乡', 'xiejiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731207', '130731', '130731207', '大河南乡', 'dahenanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130731208', '130731', '130731208', '蟒石口乡', 'mangshikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732', '1307', '130732', '赤城县', 'chichengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732100', '130732', '130732100', '赤城镇', 'chichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732101', '130732', '130732101', '田家窑镇', 'tianjiayaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732102', '130732', '130732102', '龙关镇', 'longguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732103', '130732', '130732103', '雕鄂镇', 'diaoezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732104', '130732', '130732104', '独石口镇', 'dushikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732105', '130732', '130732105', '白草镇', 'baicaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732106', '130732', '130732106', '龙门所镇', 'longmensuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732107', '130732', '130732107', '后城镇', 'houchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732108', '130732', '130732108', '东卯镇', 'dongmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732200', '130732', '130732200', '炮梁乡', 'paoliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732201', '130732', '130732201', '大海陀乡', 'dahaituoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732202', '130732', '130732202', '镇宁堡乡', 'zhenningbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732203', '130732', '130732203', '马营乡', 'mayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732204', '130732', '130732204', '云州乡', 'yunzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732205', '130732', '130732205', '三道川乡', 'sandaochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732206', '130732', '130732206', '东万口乡', 'dongwankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732207', '130732', '130732207', '茨营子乡', 'ciyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130732208', '130732', '130732208', '样田乡', 'yangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733', '1307', '130733', '崇礼县', 'chonglixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733001', '130733', '130733001', '西湾子街道办', 'xiwanzijiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733100', '130733', '130733100', '西湾子镇', 'xiwanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733101', '130733', '130733101', '高家营镇', 'gaojiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733200', '130733', '130733200', '四台嘴乡', 'sitaizuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733201', '130733', '130733201', '红旗营乡', 'hongqiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733202', '130733', '130733202', '石窑子乡', 'shiyaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733203', '130733', '130733203', '驿马图乡', 'yimatuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733204', '130733', '130733204', '石嘴子乡', 'shizuizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733205', '130733', '130733205', '狮子沟乡', 'shizigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733206', '130733', '130733206', '清三营乡', 'qingsanyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130733207', '130733', '130733207', '白旗乡', 'baiqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1308', '13', '1308', '承德市', 'chengdeshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130801', '1308', '130801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802', '1308', '130802', '双桥区', 'shuangqiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802001', '130802', '130802001', '西大街街道', 'xidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802002', '130802', '130802002', '头道牌楼街道', 'toudaopailoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802003', '130802', '130802003', '潘家沟街道', 'panjiagoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802004', '130802', '130802004', '中华路街道', 'zhonghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802005', '130802', '130802005', '新华路街道', 'xinhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802006', '130802', '130802006', '石洞子沟街道', 'shidongzigoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802007', '130802', '130802007', '桥东街道', 'qiaodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802100', '130802', '130802100', '水泉沟镇', 'shuiquangouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802101', '130802', '130802101', '狮子沟镇', 'shizigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802102', '130802', '130802102', '牛圈子沟镇', 'niuquanzigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802103', '130802', '130802103', '大石庙镇', 'dashimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130802104', '130802', '130802104', '冯营子镇', 'fengyingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130803', '1308', '130803', '双滦区', 'shuangluanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130803001', '130803', '130803001', '双塔山街道', 'shuangtashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130803002', '130803', '130803002', '滦河街道', 'luanhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130803100', '130803', '130803100', '双塔山镇', 'shuangtashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130803101', '130803', '130803101', '滦河镇', 'luanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130803102', '130803', '130803102', '大庙镇', 'damiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130803103', '130803', '130803103', '偏桥子镇', 'pianqiaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130804', '1308', '130804', '鹰手营子矿区', 'yingshouyingzikuangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130804100', '130804', '130804100', '鹰手营子镇', 'yingshouyingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130804101', '130804', '130804101', '北马圈子镇', 'beimaquanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130804102', '130804', '130804102', '寿王坟镇', 'shouwangfenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130804103', '130804', '130804103', '汪家庄镇', 'wangjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821', '1308', '130821', '承德县', 'chengdexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821100', '130821', '130821100', '下板城镇', 'xiabanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821101', '130821', '130821101', '上板城镇', 'shangbanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821102', '130821', '130821102', '甲山镇', 'jiashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821103', '130821', '130821103', '六沟镇', 'liugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821104', '130821', '130821104', '三沟镇', 'sangouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821105', '130821', '130821105', '头沟镇', 'tougouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821106', '130821', '130821106', '高寺台镇', 'gaositaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821107', '130821', '130821107', '双峰寺镇', 'shuangfengsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821200', '130821', '130821200', '东小白旗乡', 'dongxiaobaiqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821201', '130821', '130821201', '鞍匠乡', 'anjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821202', '130821', '130821202', '刘杖子乡', 'liuzhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821203', '130821', '130821203', '新杖子乡', 'xinzhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821204', '130821', '130821204', '孟家院乡', 'mengjiayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821205', '130821', '130821205', '大营子乡', 'dayingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821206', '130821', '130821206', '八家乡', 'bajiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821207', '130821', '130821207', '上谷乡', 'shangguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821208', '130821', '130821208', '满杖子乡', 'manzhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821209', '130821', '130821209', '石灰窑乡', 'shihuiyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821210', '130821', '130821210', '五道河乡', 'wudaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821211', '130821', '130821211', '岔沟乡', 'chagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821212', '130821', '130821212', '岗子满族乡', 'gangzimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821213', '130821', '130821213', '磴上乡', 'dengshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821214', '130821', '130821214', '两家满族乡', 'liangjiamanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821215', '130821', '130821215', '三家乡', 'sanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130821216', '130821', '130821216', '仓子乡', 'cangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822', '1308', '130822', '兴隆县', 'xinglongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822100', '130822', '130822100', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822101', '130822', '130822101', '半壁山镇', 'banbishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822102', '130822', '130822102', '挂兰峪镇', 'gualanyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822103', '130822', '130822103', '青松岭镇', 'qingsonglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822104', '130822', '130822104', '六道河镇', 'liudaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822105', '130822', '130822105', '平安堡镇', 'pinganbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822106', '130822', '130822106', '北营房镇', 'beiyingfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822200', '130822', '130822200', '南天门满族乡', 'nantianmenmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822201', '130822', '130822201', '孤山子乡', 'gushanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822202', '130822', '130822202', '八卦岭满族乡', 'bagualingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822203', '130822', '130822203', '陡子峪乡', 'douziyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822204', '130822', '130822204', '上石洞乡', 'shangshidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822205', '130822', '130822205', '北水泉乡', 'beishuiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822206', '130822', '130822206', '李家营乡', 'lijiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822207', '130822', '130822207', '大杖子乡', 'dazhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822208', '130822', '130822208', '蘑菇峪乡', 'moguyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822209', '130822', '130822209', '三道河乡', 'sandaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822210', '130822', '130822210', '蓝旗营乡', 'lanqiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822211', '130822', '130822211', '安子岭乡', 'anzilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130822212', '130822', '130822212', '大水泉乡', 'dashuiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823', '1308', '130823', '平泉县', 'pingquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823100', '130823', '130823100', '平泉镇', 'pingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823101', '130823', '130823101', '黄土梁子镇', 'huangtuliangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823102', '130823', '130823102', '榆树林子镇', 'yushulinzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823103', '130823', '130823103', '杨树岭镇', 'yangshulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823104', '130823', '130823104', '七沟镇', 'qigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823105', '130823', '130823105', '小寺沟镇', 'xiaosigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823106', '130823', '130823106', '党坝镇', 'dangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823107', '130823', '130823107', '卧龙镇', 'wolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823108', '130823', '130823108', '南五十家子镇', 'nanwushijiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823200', '130823', '130823200', '王土房乡', 'wangtufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823202', '130823', '130823202', '柳溪满族乡', 'liuximanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823203', '130823', '130823203', '七家岱满族乡', 'qijiadaimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823204', '130823', '130823204', '平房满族蒙古族乡', 'pingfangmanzumengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823205', '130823', '130823205', '蒙和乌苏蒙古族乡', 'menghewusumengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823206', '130823', '130823206', '茅兰沟满族蒙古族乡', 'maolangoumanzumengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823207', '130823', '130823207', '台头山乡', 'taitoushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823209', '130823', '130823209', '松树台乡', 'songshutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823210', '130823', '130823210', '道虎沟乡', 'daohugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130823212', '130823', '130823212', '郭杖子满族乡', 'guozhangzimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824', '1308', '130824', '滦平县', 'luanpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824100', '130824', '130824100', '滦平镇', 'luanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824101', '130824', '130824101', '长山峪镇', 'zhangshanyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824102', '130824', '130824102', '红旗镇', 'hongqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824103', '130824', '130824103', '金沟屯镇', 'jingoutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824104', '130824', '130824104', '虎什哈镇', 'hushenhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824105', '130824', '130824105', '巴克什营镇', 'bakeshenyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824106', '130824', '130824106', '张百湾镇', 'zhangbaiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824200', '130824', '130824200', '平坊满族乡', 'pingfangmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824201', '130824', '130824201', '安纯沟门满族乡', 'anchungoumenmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824202', '130824', '130824202', '西地满族乡', 'xidimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824203', '130824', '130824203', '陈栅子乡', 'chenzhazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824204', '130824', '130824204', '付营子乡', 'fuyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824205', '130824', '130824205', '小营满族乡', 'xiaoyingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824206', '130824', '130824206', '西沟满族乡', 'xigoumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824207', '130824', '130824207', '邓厂满族乡', 'dengchangmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824208', '130824', '130824208', '五道营子满族乡', 'wudaoyingzimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824209', '130824', '130824209', '马营子满族乡', 'mayingzimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824210', '130824', '130824210', '付家店满族乡', 'fujiadianmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824211', '130824', '130824211', '火斗山乡', 'huodoushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824212', '130824', '130824212', '两间房乡', 'liangjianfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824213', '130824', '130824213', '涝洼乡', 'laowaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130824214', '130824', '130824214', '大屯满族乡', 'datunmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825', '1308', '130825', '隆化县', 'longhuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825100', '130825', '130825100', '隆化镇', 'longhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825101', '130825', '130825101', '韩麻营镇', 'hanmayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825102', '130825', '130825102', '中关镇', 'zhongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825103', '130825', '130825103', '七家镇', 'qijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825104', '130825', '130825104', '汤头沟镇', 'tangtougouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825105', '130825', '130825105', '张三营镇', 'zhangsanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825106', '130825', '130825106', '唐三营镇', 'tangsanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825107', '130825', '130825107', '蓝旗镇', 'lanqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825108', '130825', '130825108', '步古沟镇', 'bugugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825109', '130825', '130825109', '郭家屯镇', 'guojiatunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825200', '130825', '130825200', '荒地乡', 'huangdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825201', '130825', '130825201', '章吉营乡', 'zhangjiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825202', '130825', '130825202', '茅荆坝乡', 'maojingbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825203', '130825', '130825203', '尹家营满族乡', 'yinjiayingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825204', '130825', '130825204', '庙子沟蒙古族满族乡', 'miaozigoumengguzumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825205', '130825', '130825205', '偏坡营满族乡', 'pianpoyingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825206', '130825', '130825206', '山湾乡', 'shanwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825207', '130825', '130825207', '八达营蒙古族乡', 'badayingmengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825208', '130825', '130825208', '太平庄满族乡', 'taipingzhuangmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825209', '130825', '130825209', '旧屯满族乡', 'jiutunmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825210', '130825', '130825210', '西阿超满族蒙古族乡', 'xiachaomanzumengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825211', '130825', '130825211', '白虎沟满族蒙古族乡', 'baihugoumanzumengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825212', '130825', '130825212', '碱房乡', 'jianfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825213', '130825', '130825213', '韩家店乡', 'hanjiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130825214', '130825', '130825214', '湾沟门乡', 'wangoumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826', '1308', '130826', '丰宁满族自治县', 'fengningmanzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826100', '130826', '130826100', '大阁镇', 'dagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826101', '130826', '130826101', '大滩镇', 'datanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826102', '130826', '130826102', '鱼儿山镇', 'yuershanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826103', '130826', '130826103', '土城镇', 'tuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826104', '130826', '130826104', '黄旗镇', 'huangqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826105', '130826', '130826105', '凤山镇', 'fengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826106', '130826', '130826106', '波罗诺镇', 'boluonuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826107', '130826', '130826107', '黑山咀镇', 'heishanjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826108', '130826', '130826108', '天桥镇', 'tianqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826200', '130826', '130826200', '万胜永乡', 'wanshengyongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826201', '130826', '130826201', '四岔口乡', 'sichakouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826202', '130826', '130826202', '苏家店乡', 'sujiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826203', '130826', '130826203', '外沟门乡', 'waigoumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826204', '130826', '130826204', '草原乡', 'caoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826205', '130826', '130826205', '窟窿山乡', 'kulongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826206', '130826', '130826206', '小坝子乡', 'xiaobazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826207', '130826', '130826207', '五道营乡', 'wudaoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826208', '130826', '130826208', '南关蒙古族乡', 'nanguanmengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826209', '130826', '130826209', '选将营乡', 'xuanjiangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826210', '130826', '130826210', '西官营乡', 'xiguanyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826211', '130826', '130826211', '王营乡', 'wangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826212', '130826', '130826212', '北头营乡', 'beitouyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826213', '130826', '130826213', '胡麻营乡', 'humayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826214', '130826', '130826214', '石人沟乡', 'shirengouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826215', '130826', '130826215', '汤河乡', 'tanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130826216', '130826', '130826216', '杨木栅子乡', 'yangmuzhazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827', '1308', '130827', '宽城满族自治县', 'kuanchengmanzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827100', '130827', '130827100', '宽城镇', 'kuanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827101', '130827', '130827101', '龙须门镇', 'longxumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827102', '130827', '130827102', '峪耳崖镇', 'yueryazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827103', '130827', '130827103', '板城镇', 'banchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827104', '130827', '130827104', '汤道河镇', 'tangdaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827200', '130827', '130827200', '化皮溜子乡', 'huapiliuzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827201', '130827', '130827201', '塌山乡', 'tashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827202', '130827', '130827202', '饽罗台乡', 'boluotaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827203', '130827', '130827203', '孟子岭乡', 'mengzilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827204', '130827', '130827204', '独石沟乡', 'dushigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827205', '130827', '130827205', '碾子峪乡', 'nianziyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827206', '130827', '130827206', '东大地乡', 'dongdadixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827207', '130827', '130827207', '铧尖乡', 'huajianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827208', '130827', '130827208', '东黄花川乡', 'donghuanghuachuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827209', '130827', '130827209', '亮甲台乡', 'liangjiataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827210', '130827', '130827210', '苇子沟乡', 'weizigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827211', '130827', '130827211', '大字沟门乡', 'dazigoumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130827212', '130827', '130827212', '大石柱子乡', 'dashizhuzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828', '1308', '130828', '围场满族蒙古族自治县', 'weichangmanzumengguzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828100', '130828', '130828100', '围场镇', 'weichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828101', '130828', '130828101', '四合永镇', 'siheyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828102', '130828', '130828102', '克勒沟镇', 'kelegouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828103', '130828', '130828103', '棋盘山镇', 'qipanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828104', '130828', '130828104', '半截塔镇', 'banjietazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828105', '130828', '130828105', '朝阳地镇', 'chaoyangdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828106', '130828', '130828106', '朝阳湾镇', 'chaoyangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828200', '130828', '130828200', '道坝子乡', 'daobazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828201', '130828', '130828201', '龙头山乡', 'longtoushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828202', '130828', '130828202', '腰站乡', 'yaozhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828203', '130828', '130828203', '黄土坎乡', 'huangtukanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828204', '130828', '130828204', '四道沟乡', 'sidaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828205', '130828', '130828205', '兰旗卡伦乡', 'lanqikalunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828206', '130828', '130828206', '银窝沟乡', 'yinwogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828207', '130828', '130828207', '新地乡', 'xindixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828208', '130828', '130828208', '广发永乡', 'guangfayongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828209', '130828', '130828209', '育太和乡', 'yutaihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828210', '130828', '130828210', '郭家湾乡', 'guojiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828211', '130828', '130828211', '杨家湾乡', 'yangjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828212', '130828', '130828212', '大唤起乡', 'dahuanqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828213', '130828', '130828213', '哈里哈乡', 'halihaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828214', '130828', '130828214', '新拨乡', 'xinboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828215', '130828', '130828215', '张家湾乡', 'zhangjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828216', '130828', '130828216', '宝元栈乡', 'baoyuanzhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828217', '130828', '130828217', '山湾子乡', 'shanwanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828218', '130828', '130828218', '三义永乡', 'sanyiyongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828219', '130828', '130828219', '姜家店乡', 'jiangjiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828220', '130828', '130828220', '下伙房乡', 'xiahuofangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828221', '130828', '130828221', '燕格柏乡', 'yangeboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828222', '130828', '130828222', '牌楼乡', 'pailouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828223', '130828', '130828223', '城子乡', 'chengzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828224', '130828', '130828224', '老窝铺乡', 'laowopuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828225', '130828', '130828225', '御道口乡', 'yudaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828226', '130828', '130828226', '石桌子乡', 'shizhuozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828227', '130828', '130828227', '大头山乡', 'datoushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828228', '130828', '130828228', '南山嘴乡', 'nanshanzuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828229', '130828', '130828229', '西龙头乡', 'xilongtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828450', '130828', '130828450', '塞罕坝机械林场虚拟镇', 'saihanbajixielinchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130828500', '130828', '130828500', '国营御道口牧场虚拟乡', 'guoyingyudaokoumuchangxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1309', '13', '1309', '沧州市', 'cangzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130901', '1309', '130901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130902', '1309', '130902', '新华区', 'xinhuaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130902001', '130902', '130902001', '建设北街街道', 'jianshebeijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130902002', '130902', '130902002', '车站街道', 'chezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130902003', '130902', '130902003', '南大街街道', 'nandajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130902004', '130902', '130902004', '东环街道', 'donghuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130902005', '130902', '130902005', '道东街道', 'daodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130902200', '130902', '130902200', '小赵庄乡', 'xiaozhaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130902400', '130902', '130902400', '沧州开发区', 'cangzhoukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130903', '1309', '130903', '运河区', 'yunhequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130903001', '130903', '130903001', '水月寺街道', 'shuiyuesijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130903002', '130903', '130903002', '南环中路街道', 'nanhuanzhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130903003', '130903', '130903003', '南湖街道', 'nanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130903004', '130903', '130903004', '市场街道', 'shichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130903005', '130903', '130903005', '西环中街街道', 'xihuanzhongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130903006', '130903', '130903006', '公园街道', 'gongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130903100', '130903', '130903100', '小王庄镇', 'xiaowangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130903200', '130903', '130903200', '南陈屯乡', 'nanchentunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921', '1309', '130921', '沧县', 'cangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921100', '130921', '130921100', '旧州镇', 'jiuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921101', '130921', '130921101', '兴济镇', 'xingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921102', '130921', '130921102', '杜生镇', 'dushengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921103', '130921', '130921103', '崔尔庄镇', 'cuierzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921200', '130921', '130921200', '薛官屯乡', 'xueguantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921201', '130921', '130921201', '捷地回族乡', 'jiedihuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921202', '130921', '130921202', '张官屯乡', 'zhangguantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921203', '130921', '130921203', '李天木回族乡', 'litianmuhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921204', '130921', '130921204', '风化店乡', 'fenghuadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921205', '130921', '130921205', '姚官屯乡', 'yaoguantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921206', '130921', '130921206', '杜林回族乡', 'dulinhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921207', '130921', '130921207', '汪家铺乡', 'wangjiapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921208', '130921', '130921208', '刘家庙乡', 'liujiamiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921209', '130921', '130921209', '仵龙堂乡', 'wulongtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921210', '130921', '130921210', '大官厅乡', 'daguantingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921211', '130921', '130921211', '高川乡', 'gaochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921212', '130921', '130921212', '黄递铺乡', 'huangdipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921213', '130921', '130921213', '大褚村回族乡', 'dachucunhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130921214', '130921', '130921214', '纸房头乡', 'zhifangtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922', '1309', '130922', '青县', 'qingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922100', '130922', '130922100', '清州镇', 'qingzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922101', '130922', '130922101', '金牛镇', 'jinniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922102', '130922', '130922102', '新兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922103', '130922', '130922103', '流河镇', 'liuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922104', '130922', '130922104', '木门店镇', 'mumendianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922105', '130922', '130922105', '马厂镇', 'machangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922200', '130922', '130922200', '上伍乡', 'shangwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922201', '130922', '130922201', '曹寺乡', 'caosixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922202', '130922', '130922202', '盘古乡', 'panguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922203', '130922', '130922203', '陈嘴乡', 'chenzuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130922400', '130922', '130922400', '农场虚拟乡', 'nongchangxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130923', '1309', '130923', '东光县', 'dongguangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130923100', '130923', '130923100', '东光镇', 'dongguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130923101', '130923', '130923101', '连镇镇', 'lianzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130923102', '130923', '130923102', '找王镇', 'zhaowangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130923103', '130923', '130923103', '秦村镇', 'qincunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130923104', '130923', '130923104', '灯明寺镇', 'dengmingsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130923105', '130923', '130923105', '南霞口镇', 'nanxiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130923106', '130923', '130923106', '大单镇', 'dadanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130923200', '130923', '130923200', '龙王李乡', 'longwanglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130923201', '130923', '130923201', '于桥乡', 'yuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130924', '1309', '130924', '海兴县', 'haixingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130924100', '130924', '130924100', '苏基镇', 'sujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130924101', '130924', '130924101', '辛集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130924102', '130924', '130924102', '高湾镇', 'gaowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130924200', '130924', '130924200', '赵毛陶乡', 'zhaomaotaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130924201', '130924', '130924201', '香坊乡', 'xiangfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130924202', '130924', '130924202', '小山乡', 'xiaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130924203', '130924', '130924203', '张会亭乡', 'zhanghuitingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130924400', '130924', '130924400', '海兴县农场', 'haixingxiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130924401', '130924', '130924401', '青先农场', 'qingxiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130924402', '130924', '130924402', '青锋农场', 'qingfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925', '1309', '130925', '盐山县', 'yanshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925100', '130925', '130925100', '盐山镇', 'yanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925101', '130925', '130925101', '望树镇', 'wangshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925102', '130925', '130925102', '庆云镇', 'qingyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925103', '130925', '130925103', '韩集镇', 'hanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925104', '130925', '130925104', '千童镇', 'qiantongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925105', '130925', '130925105', '圣佛镇', 'shengfozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925200', '130925', '130925200', '边务乡', 'bianwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925201', '130925', '130925201', '小营乡', 'xiaoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925202', '130925', '130925202', '杨集乡', 'yangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925203', '130925', '130925203', '孟店乡', 'mengdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925204', '130925', '130925204', '常庄乡', 'changzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130925205', '130925', '130925205', '小庄乡', 'xiaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130926', '1309', '130926', '肃宁县', 'suningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130926100', '130926', '130926100', '肃宁镇', 'suningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130926101', '130926', '130926101', '梁家村镇', 'liangjiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130926102', '130926', '130926102', '窝北镇', 'wobeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130926103', '130926', '130926103', '尚村镇', 'shangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130926104', '130926', '130926104', '万里镇', 'wanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130926201', '130926', '130926201', '师素乡', 'shisuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130926203', '130926', '130926203', '河北留善寺乡', 'hebeiliushansixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130926204', '130926', '130926204', '付家佐乡', 'fujiazuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130926205', '130926', '130926205', '邵庄乡', 'shaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130927', '1309', '130927', '南皮县', 'nanpixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130927100', '130927', '130927100', '南皮镇', 'nanpizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130927101', '130927', '130927101', '冯家口镇', 'fengjiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130927102', '130927', '130927102', '寨子镇', 'zhaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130927103', '130927', '130927103', '鲍官屯镇', 'baoguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130927104', '130927', '130927104', '王寺镇', 'wangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130927105', '130927', '130927105', '乌马营镇', 'wumayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130927200', '130927', '130927200', '大浪淀乡', 'dalangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130927201', '130927', '130927201', '刘八里乡', 'liubalixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130927202', '130927', '130927202', '潞灌乡', 'luguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130928', '1309', '130928', '吴桥县', 'wuqiaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130928100', '130928', '130928100', '桑园镇', 'sangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130928101', '130928', '130928101', '铁城镇', 'tiechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130928102', '130928', '130928102', '于集镇', 'yujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130928103', '130928', '130928103', '梁集镇', 'liangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130928104', '130928', '130928104', '安陵镇', 'anlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130928200', '130928', '130928200', '曹家洼乡', 'caojiawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130928201', '130928', '130928201', '宋门乡', 'songmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130928202', '130928', '130928202', '杨家寺乡', 'yangjiasixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130928203', '130928', '130928203', '沟店铺乡', 'goudianpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130928204', '130928', '130928204', '何庄乡', 'hezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929', '1309', '130929', '献县', 'xianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929100', '130929', '130929100', '乐寿镇', 'leshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929101', '130929', '130929101', '淮镇镇', 'huaizhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929102', '130929', '130929102', '郭庄镇', 'guozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929103', '130929', '130929103', '河城街镇', 'hechengjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929200', '130929', '130929200', '韩村乡', 'hancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929201', '130929', '130929201', '陌南乡', 'monanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929204', '130929', '130929204', '陈庄乡', 'chenzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929205', '130929', '130929205', '徐留高乡', 'xuliugaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929206', '130929', '130929206', '商林乡', 'shanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929207', '130929', '130929207', '段村乡', 'duancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929209', '130929', '130929209', '张村乡', 'zhangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929210', '130929', '130929210', '临河乡', 'linhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929211', '130929', '130929211', '小平王乡', 'xiaopingwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929212', '130929', '130929212', '十五级乡', 'shiwujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929213', '130929', '130929213', '垒头乡', 'leitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929214', '130929', '130929214', '南河头乡', 'nanhetouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929215', '130929', '130929215', '西城乡', 'xichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929216', '130929', '130929216', '本斋回族乡', 'benzhaihuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130929400', '130929', '130929400', '农场', 'nongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130930', '1309', '130930', '孟村回族自治县', 'mengcunhuizuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130930100', '130930', '130930100', '孟村镇', 'mengcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130930101', '130930', '130930101', '新县镇', 'xinxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130930102', '130930', '130930102', '辛店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130930103', '130930', '130930103', '高寨镇', 'gaozhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130930200', '130930', '130930200', '宋庄子乡', 'songzhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130930201', '130930', '130930201', '牛进庄乡', 'niujinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981', '1309', '130981', '泊头市', 'botoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981001', '130981', '130981001', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981002', '130981', '130981002', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981003', '130981', '130981003', '古楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981100', '130981', '130981100', '泊镇', 'bozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981101', '130981', '130981101', '交河镇', 'jiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981102', '130981', '130981102', '齐桥镇', 'qiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981103', '130981', '130981103', '寺门村镇', 'simencunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981104', '130981', '130981104', '郝村镇', 'haocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981105', '130981', '130981105', '富镇镇', 'fuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981106', '130981', '130981106', '文庙镇', 'wenmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981107', '130981', '130981107', '洼里王镇', 'waliwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981201', '130981', '130981201', '王武庄乡', 'wangwuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981202', '130981', '130981202', '营子乡', 'yingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981203', '130981', '130981203', '四营乡', 'siyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130981204', '130981', '130981204', '西辛店乡', 'xixindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982', '1309', '130982', '任邱市', 'renqiushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982001', '130982', '130982001', '新华路街道', 'xinhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982002', '130982', '130982002', '西环路街道', 'xihuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982003', '130982', '130982003', '永丰路街道', 'yongfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982100', '130982', '130982100', '出岸镇', 'chuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982101', '130982', '130982101', '石门桥镇', 'shimenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982102', '130982', '130982102', '吕公堡镇', 'lu:gongbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982103', '130982', '130982103', '长丰镇', 'zhangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982104', '130982', '130982104', '莫州镇', 'mozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982105', '130982', '130982105', '苟各庄镇', 'gougezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982106', '130982', '130982106', '梁召镇', 'liangzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982107', '130982', '130982107', '辛中驿镇', 'xinzhongyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982202', '130982', '130982202', '麻家坞乡', 'majiawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982203', '130982', '130982203', '议论堡乡', 'yilunbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982204', '130982', '130982204', '青塔乡', 'qingtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982205', '130982', '130982205', '北辛庄乡', 'beixinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982206', '130982', '130982206', '七间房乡', 'qijianfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982207', '130982', '130982207', '北汉乡', 'beihanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982208', '130982', '130982208', '于村乡', 'yucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982400', '130982', '130982400', '华北石油管理局虚拟街道', 'huabeishiyouguanlijuxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130982500', '130982', '130982500', '开发区管理委员会', 'kaifaquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983', '1309', '130983', '黄骅市', 'huanghuashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983001', '130983', '130983001', '骅东街道', 'huadongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983002', '130983', '130983002', '骅中街道', 'huazhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983003', '130983', '130983003', '骅西街道', 'huaxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983100', '130983', '130983100', '黄骅镇', 'huanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983101', '130983', '130983101', '南排河镇', 'nanpaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983102', '130983', '130983102', '吕桥镇', 'lu:qiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983103', '130983', '130983103', '旧城镇', 'jiuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983200', '130983', '130983200', '羊二庄回族乡', 'yangerzhuanghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983202', '130983', '130983202', '常郭乡', 'changguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983203', '130983', '130983203', '滕庄子乡', 'tengzhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983204', '130983', '130983204', '官庄乡', 'guanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983205', '130983', '130983205', '齐家务乡', 'qijiawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983206', '130983', '130983206', '港城开发区新村乡', 'gangchengkaifaquxincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983207', '130983', '130983207', '羊三木乡', 'yangsanmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983400', '130983', '130983400', '南大港管理区虚拟乡', 'nandagangguanliquxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983401', '130983', '130983401', '国营中捷农场虚拟乡', 'guoyingzhongjienongchangxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983402', '130983', '130983402', '黄骅港开发区虚拟乡', 'huanghuagangkaifaquxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130983403', '130983', '130983403', '临港化工园区', 'linganghuagongyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984', '1309', '130984', '河间市', 'hejianshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984100', '130984', '130984100', '瀛州镇', 'yingzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984101', '130984', '130984101', '米各庄镇', 'migezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984102', '130984', '130984102', '景和镇', 'jinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984103', '130984', '130984103', '卧佛堂镇', 'wofotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984104', '130984', '130984104', '束城镇', 'shuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984105', '130984', '130984105', '留古寺镇', 'liugusizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984106', '130984', '130984106', '沙河桥镇', 'shaheqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984200', '130984', '130984200', '故仙乡', 'guxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984201', '130984', '130984201', '黎民居乡', 'liminjuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984202', '130984', '130984202', '兴村乡', 'xingcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984203', '130984', '130984203', '沙洼乡', 'shawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984204', '130984', '130984204', '西九吉乡', 'xijiujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984205', '130984', '130984205', '北石槽乡', 'beishicaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984207', '130984', '130984207', '诗经村乡', 'shijingcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984208', '130984', '130984208', '郭家村乡', 'guojiacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984209', '130984', '130984209', '时村乡', 'shicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984210', '130984', '130984210', '行别营乡', 'xingbieyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984211', '130984', '130984211', '尊祖庄乡', 'zunzuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984212', '130984', '130984212', '龙华店乡', 'longhuadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('130984213', '130984', '130984213', '果子洼乡', 'guoziwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1310', '13', '1310', '廊坊市', 'langfangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131001', '1310', '131001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131002', '1310', '131002', '安次区', 'anciqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131002001', '131002', '131002001', '银河南路街道', 'yinhenanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131002002', '131002', '131002002', '光明西道街道', 'guangmingxidaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131002100', '131002', '131002100', '落垡镇', 'luofazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131002101', '131002', '131002101', '码头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131002102', '131002', '131002102', '葛渔城镇', 'geyuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131002103', '131002', '131002103', '东沽港镇', 'donggugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131002200', '131002', '131002200', '杨税务乡', 'yangshuiwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131002201', '131002', '131002201', '仇庄乡', 'chouzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131002202', '131002', '131002202', '调河头乡', 'diaohetouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131002203', '131002', '131002203', '北史家务乡', 'beishijiawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131003', '1310', '131003', '广阳区', 'guangyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131003001', '131003', '131003001', '银河北路街道', 'yinhebeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131003002', '131003', '131003002', '爱民东道街道', 'aimindongdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131003003', '131003', '131003003', '解放道街道', 'jiefangdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131003004', '131003', '131003004', '新开路街道', 'xinkailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131003100', '131003', '131003100', '南尖塔镇', 'nanjiantazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131003101', '131003', '131003101', '万庄镇', 'wanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131003102', '131003', '131003102', '九州镇', 'jiuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131003200', '131003', '131003200', '北旺乡', 'beiwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131003450', '131003', '131003450', '廊坊经济技术开发区', 'langfangjingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131003500', '131003', '131003500', '新世纪步行街管理委员会', 'xinshijibuxingjieguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131022', '1310', '131022', '固安县', 'guanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131022100', '131022', '131022100', '固安镇', 'guanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131022101', '131022', '131022101', '宫村镇', 'gongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131022102', '131022', '131022102', '柳泉镇', 'liuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131022103', '131022', '131022103', '牛驼镇', 'niutuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131022104', '131022', '131022104', '马庄镇', 'mazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131022200', '131022', '131022200', '东湾乡', 'dongwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131022201', '131022', '131022201', '彭村乡', 'pengcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131022202', '131022', '131022202', '渠沟乡', 'qugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131022203', '131022', '131022203', '礼让店乡', 'lirangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023', '1310', '131023', '永清县', 'yongqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023001', '131023', '131023001', '街道', 'jiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023100', '131023', '131023100', '永清镇', 'yongqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023101', '131023', '131023101', '韩村镇', 'hancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023102', '131023', '131023102', '后奕镇', 'houyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023103', '131023', '131023103', '别古庄镇', 'bieguzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023104', '131023', '131023104', '里澜城镇', 'lilanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023200', '131023', '131023200', '管家务回族乡', 'guanjiawuhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023201', '131023', '131023201', '曹家务乡', 'caojiawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023202', '131023', '131023202', '龙虎庄乡', 'longhuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023203', '131023', '131023203', '刘街乡', 'liujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131023204', '131023', '131023204', '三圣口乡', 'sanshengkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131024', '1310', '131024', '香河县', 'xianghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131024100', '131024', '131024100', '淑阳镇', 'shuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131024101', '131024', '131024101', '蒋辛屯镇', 'jiangxintunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131024102', '131024', '131024102', '渠口镇', 'qukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131024103', '131024', '131024103', '安头屯镇', 'antoutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131024104', '131024', '131024104', '安平镇', 'anpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131024105', '131024', '131024105', '刘宋镇', 'liusongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131024106', '131024', '131024106', '五百户镇', 'wubaihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131024200', '131024', '131024200', '钱旺乡', 'qianwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131024201', '131024', '131024201', '钳屯乡', 'qiantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131024500', '131024', '131024500', '香河开发区', 'xianghekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025', '1310', '131025', '大城县', 'dachengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025100', '131025', '131025100', '平舒镇', 'pingshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025101', '131025', '131025101', '旺村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025102', '131025', '131025102', '大尚屯镇', 'dashangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025103', '131025', '131025103', '南赵扶镇', 'nanzhaofuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025104', '131025', '131025104', '留各庄镇', 'liugezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025105', '131025', '131025105', '权村镇', 'quancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025106', '131025', '131025106', '里坦镇', 'litanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025200', '131025', '131025200', '北位乡', 'beiweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025201', '131025', '131025201', '大广安乡', 'daguanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025202', '131025', '131025202', '臧屯乡', 'zangtunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131025400', '131025', '131025400', '摩配园区管委会', 'mopeiyuanquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026', '1310', '131026', '文安县', 'wenanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026100', '131026', '131026100', '文安镇', 'wenanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026101', '131026', '131026101', '新镇镇', 'xinzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026102', '131026', '131026102', '苏桥镇', 'suqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026103', '131026', '131026103', '大柳河镇', 'daliuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026104', '131026', '131026104', '左各庄镇', 'zuogezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026105', '131026', '131026105', '滩里镇', 'tanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026106', '131026', '131026106', '史各庄镇', 'shigezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026107', '131026', '131026107', '赵各庄镇', 'zhaogezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026108', '131026', '131026108', '兴隆宫镇', 'xinglonggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026109', '131026', '131026109', '大留镇镇', 'daliuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026110', '131026', '131026110', '孙氏镇', 'sunshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026111', '131026', '131026111', '德归镇', 'deguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131026200', '131026', '131026200', '大围河回族满族乡', 'daweihehuizumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131028', '1310', '131028', '大厂回族自治县', 'dachanghuizuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131028100', '131028', '131028100', '大厂镇', 'dachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131028101', '131028', '131028101', '夏垫镇', 'xiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131028102', '131028', '131028102', '祁各庄镇', 'qigezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131028201', '131028', '131028201', '邵府乡', 'shaofuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131028202', '131028', '131028202', '陈府乡', 'chenfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131028400', '131028', '131028400', '工业园区', 'gongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081', '1310', '131081', '霸州市', 'bazhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081100', '131081', '131081100', '霸州镇', 'bazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081101', '131081', '131081101', '南孟镇', 'nanmengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081102', '131081', '131081102', '信安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081103', '131081', '131081103', '堂二里镇', 'tangerlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081104', '131081', '131081104', '煎茶铺镇', 'jianchapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081105', '131081', '131081105', '胜芳镇', 'shengfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081106', '131081', '131081106', '杨芬港镇', 'yangfengangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081200', '131081', '131081200', '岔河集乡', 'chahejixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081201', '131081', '131081201', '康仙庄乡', 'kangxianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081202', '131081', '131081202', '东杨庄乡', 'dongyangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081203', '131081', '131081203', '王庄子乡', 'wangzhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081204', '131081', '131081204', '东段乡', 'dongduanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131081450', '131081', '131081450', '霸州经济技术开发区', 'bazhoujingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082', '1310', '131082', '三河市', 'sanheshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082001', '131082', '131082001', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082002', '131082', '131082002', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082100', '131082', '131082100', '泃阳镇', 'juyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082101', '131082', '131082101', '李旗庄镇', 'liqizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082102', '131082', '131082102', '杨庄镇', 'yangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082103', '131082', '131082103', '皇庄镇', 'huangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082104', '131082', '131082104', '新集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082105', '131082', '131082105', '段甲岭镇', 'duanjialingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082106', '131082', '131082106', '黄土庄镇', 'huangtuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082107', '131082', '131082107', '高楼镇', 'gaolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082108', '131082', '131082108', '齐心庄镇', 'qixinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082109', '131082', '131082109', '燕郊镇', 'yanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082450', '131082', '131082450', '燕郊经济技术开发区', 'yanjiaojingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131082451', '131082', '131082451', '三河市农业高新技术园区', 'sanheshinongyegaoxinjishuyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1311', '13', '1311', '衡水市', 'hengshuishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131101', '1311', '131101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102', '1311', '131102', '桃城区', 'taochengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102001', '131102', '131102001', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102002', '131102', '131102002', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102003', '131102', '131102003', '路北街道', 'lubeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102004', '131102', '131102004', '中华街道', 'zhonghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102100', '131102', '131102100', '郑家河沿镇', 'zhengjiaheyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102101', '131102', '131102101', '赵家圈镇', 'zhaojiaquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102200', '131102', '131102200', '何家庄乡', 'hejiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102201', '131102', '131102201', '大麻森乡', 'damasenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102202', '131102', '131102202', '邓家庄乡', 'dengjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102203', '131102', '131102203', '彭杜村乡', 'pengducunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102400', '131102', '131102400', '衡水高新技术产业开发区', 'hengshuigaoxinjishuchanyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131102401', '131102', '131102401', '衡水湖自然保护区管理处', 'hengshuihuziranbaohuquguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121', '1311', '131121', '枣强县', 'zaoqiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121100', '131121', '131121100', '枣强镇', 'zaoqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121101', '131121', '131121101', '恩察镇', 'enchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121102', '131121', '131121102', '大营镇', 'dayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121103', '131121', '131121103', '嘉会镇', 'jiahuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121104', '131121', '131121104', '马屯镇', 'matunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121105', '131121', '131121105', '肖张镇', 'xiaozhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121200', '131121', '131121200', '张秀屯乡', 'zhangxiutunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121201', '131121', '131121201', '新屯乡', 'xintunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121202', '131121', '131121202', '王均乡', 'wangjunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121203', '131121', '131121203', '唐林乡', 'tanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131121204', '131121', '131121204', '王常乡', 'wangchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131122', '1311', '131122', '武邑县', 'wuyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131122100', '131122', '131122100', '武邑镇', 'wuyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131122101', '131122', '131122101', '清凉店镇', 'qingliangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131122102', '131122', '131122102', '审坡镇', 'shenpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131122103', '131122', '131122103', '赵桥镇', 'zhaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131122104', '131122', '131122104', '韩庄镇', 'hanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131122105', '131122', '131122105', '肖桥头镇', 'xiaoqiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131122200', '131122', '131122200', '龙店乡', 'longdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131122201', '131122', '131122201', '圈头乡', 'quantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131122203', '131122', '131122203', '大紫塔乡', 'dazitaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131123', '1311', '131123', '武强县', 'wuqiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131123100', '131123', '131123100', '武强镇', 'wuqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131123101', '131123', '131123101', '街关镇', 'jieguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131123200', '131123', '131123200', '豆村乡', 'doucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131123201', '131123', '131123201', '北代乡', 'beidaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131123202', '131123', '131123202', '孙庄乡', 'sunzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131123203', '131123', '131123203', '周家窝乡', 'zhoujiawoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131124', '1311', '131124', '饶阳县', 'raoyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131124100', '131124', '131124100', '饶阳镇', 'raoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131124101', '131124', '131124101', '大尹村镇', 'dayincunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131124102', '131124', '131124102', '五公镇', 'wugongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131124200', '131124', '131124200', '王同岳乡', 'wangtongyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131124201', '131124', '131124201', '大官亭乡', 'daguantingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131124202', '131124', '131124202', '留楚乡', 'liuchuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131124203', '131124', '131124203', '东里满乡', 'donglimanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131125', '1311', '131125', '安平县', 'anpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131125100', '131125', '131125100', '安平镇', 'anpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131125101', '131125', '131125101', '马店镇', 'madianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131125102', '131125', '131125102', '南王庄镇', 'nanwangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131125200', '131125', '131125200', '大何庄乡', 'dahezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131125201', '131125', '131125201', '程油子乡', 'chengyouzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131125202', '131125', '131125202', '西两洼乡', 'xiliangwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131125203', '131125', '131125203', '大子文乡', 'daziwenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131125204', '131125', '131125204', '东黄城乡', 'donghuangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126', '1311', '131126', '故城县', 'guchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126100', '131126', '131126100', '郑口镇', 'zhengkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126101', '131126', '131126101', '夏庄镇', 'xiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126102', '131126', '131126102', '青罕镇', 'qinghanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126103', '131126', '131126103', '故城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126104', '131126', '131126104', '武官寨镇', 'wuguanzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126105', '131126', '131126105', '饶阳店镇', 'raoyangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126106', '131126', '131126106', '军屯镇', 'juntunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126107', '131126', '131126107', '建国镇', 'jianguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126108', '131126', '131126108', '西半屯镇', 'xibantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126200', '131126', '131126200', '辛庄乡', 'xinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126201', '131126', '131126201', '里老乡', 'lilaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126202', '131126', '131126202', '房庄乡', 'fangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131126203', '131126', '131126203', '三朗乡', 'sanlangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127', '1311', '131127', '景县', 'jingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127100', '131127', '131127100', '景州镇', 'jingzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127101', '131127', '131127101', '龙华镇', 'longhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127102', '131127', '131127102', '广川镇', 'guangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127103', '131127', '131127103', '王瞳镇', 'wangtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127104', '131127', '131127104', '洚河流镇', 'jiangheliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127105', '131127', '131127105', '安陵镇', 'anlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127106', '131127', '131127106', '杜桥镇', 'duqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127107', '131127', '131127107', '王谦寺镇', 'wangqiansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127108', '131127', '131127108', '北留智镇', 'beiliuzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127109', '131127', '131127109', '留智庙镇', 'liuzhimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127200', '131127', '131127200', '刘集乡', 'liujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127201', '131127', '131127201', '连镇乡', 'lianzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127202', '131127', '131127202', '梁集乡', 'liangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127203', '131127', '131127203', '温城乡', 'wenchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127204', '131127', '131127204', '后留名府乡', 'houliumingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131127205', '131127', '131127205', '青兰乡', 'qinglanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131128', '1311', '131128', '阜城县', 'fuchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131128100', '131128', '131128100', '阜城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131128101', '131128', '131128101', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131128102', '131128', '131128102', '码头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131128103', '131128', '131128103', '霞口镇', 'xiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131128104', '131128', '131128104', '崔家庙镇', 'cuijiamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131128200', '131128', '131128200', '漫河乡', 'manhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131128201', '131128', '131128201', '建桥乡', 'jianqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131128202', '131128', '131128202', '蒋坊乡', 'jiangfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131128203', '131128', '131128203', '大白乡', 'dabaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131128204', '131128', '131128204', '王集乡', 'wangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181', '1311', '131181', '冀州市', 'jizhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181100', '131181', '131181100', '冀州镇', 'jizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181101', '131181', '131181101', '魏屯镇', 'weitunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181102', '131181', '131181102', '官道李镇', 'guandaolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181103', '131181', '131181103', '南午村镇', 'nanwucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181104', '131181', '131181104', '周村镇', 'zhoucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181105', '131181', '131181105', '码头李镇', 'matoulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181106', '131181', '131181106', '西王镇', 'xiwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181200', '131181', '131181200', '门庄乡', 'menzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181201', '131181', '131181201', '徐家庄乡', 'xujiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181202', '131181', '131181202', '北漳淮乡', 'beizhanghuaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131181203', '131181', '131181203', '小寨乡', 'xiaozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182', '1311', '131182', '深州市', 'shenzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182100', '131182', '131182100', '唐奉镇', 'tangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182101', '131182', '131182101', '深州镇', 'shenzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182102', '131182', '131182102', '辰时镇', 'chenshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182103', '131182', '131182103', '榆科镇', 'yukezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182104', '131182', '131182104', '魏桥镇', 'weiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182105', '131182', '131182105', '大堤镇', 'dadizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182106', '131182', '131182106', '前磨头镇', 'qianmotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182107', '131182', '131182107', '王家井镇', 'wangjiajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182108', '131182', '131182108', '护驾迟镇', 'hujiachizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182200', '131182', '131182200', '兵曹乡', 'bingcaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182201', '131182', '131182201', '穆村乡', 'mucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182202', '131182', '131182202', '东安庄乡', 'donganzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182203', '131182', '131182203', '北溪村乡', 'beixicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182204', '131182', '131182204', '大冯营乡', 'dafengyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182206', '131182', '131182206', '乔屯乡', 'qiaotunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182207', '131182', '131182207', '太古庄乡', 'taiguzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182208', '131182', '131182208', '大屯乡', 'datunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('131182400', '131182', '131182400', '河北省深州监狱', 'hebeishengshenzhoujianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('14', '-1', '14', '山西', 'shanxi', '1', NULL, 0, 1, NULL, NULL, '2020-11-04 10:07:44', '03d159a3-0f88-424c-a24f-02f63855fe4f', NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1401', '14', '1401', '太原市', 'taiyuanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140101', '1401', '140101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105', '1401', '140105', '小店区(人口含高新经济区)', 'xiaodianqu(renkouhangaoxinjingjiqu)', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105001', '140105', '140105001', '坞城街道', 'wuchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105002', '140105', '140105002', '营盘街道', 'yingpanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105003', '140105', '140105003', '北营街道', 'beiyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105004', '140105', '140105004', '平阳路街道', 'pingyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105005', '140105', '140105005', '黄陵街道', 'huanglingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105006', '140105', '140105006', '小店街道', 'xiaodianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105100', '140105', '140105100', '北格镇', 'beigezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105200', '140105', '140105200', '西温庄乡', 'xiwenzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105201', '140105', '140105201', '刘家堡乡', 'liujiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105401', '140105', '140105401', '太原高新技术产业开发区', 'taiyuangaoxinjishuchanyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140105501', '140105', '140105501', '太原经济技术开发区', 'taiyuanjingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140106', '1401', '140106', '迎泽区', 'yingzequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140106001', '140106', '140106001', '柳巷街道', 'liuxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140106002', '140106', '140106002', '文庙街道', 'wenmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140106003', '140106', '140106003', '庙前街道', 'miaoqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140106004', '140106', '140106004', '迎泽街道', 'yingzejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140106005', '140106', '140106005', '桥东街道', 'qiaodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140106006', '140106', '140106006', '老军营街道', 'laojunyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140106100', '140106', '140106100', '郝庄镇', 'haozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140106401', '140106', '140106401', '民营区', 'minyingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107', '1401', '140107', '杏花岭区', 'xinghualingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107001', '140107', '140107001', '巨轮街道', 'julunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107002', '140107', '140107002', '三桥街道', 'sanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107003', '140107', '140107003', '鼓楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107004', '140107', '140107004', '杏花岭街道', 'xinghualingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107005', '140107', '140107005', '坝陵桥街道', 'balingqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107006', '140107', '140107006', '大东关街道', 'dadongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107007', '140107', '140107007', '职工新街街道', 'zhigongxinjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107008', '140107', '140107008', '敦化坊街道', 'dunhuafangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107009', '140107', '140107009', '涧河街道', 'jianhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107010', '140107', '140107010', '杨家峪街道', 'yangjiayujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107200', '140107', '140107200', '中涧河乡', 'zhongjianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107201', '140107', '140107201', '小返乡', 'xiaofanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140107401', '140107', '140107401', '民营区', 'minyingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108', '1401', '140108', '尖草坪区', 'jiancaopingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108001', '140108', '140108001', '尖草坪街道', 'jiancaopingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108002', '140108', '140108002', '光社街道', 'guangshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108003', '140108', '140108003', '上兰街道', 'shanglanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108004', '140108', '140108004', '南寨街道', 'nanzhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108005', '140108', '140108005', '迎新街道', 'yingxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108006', '140108', '140108006', '古城街道', 'guchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108007', '140108', '140108007', '汇丰街道', 'huifengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108008', '140108', '140108008', '柴村街道', 'chaicunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108009', '140108', '140108009', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108100', '140108', '140108100', '向阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108101', '140108', '140108101', '阳曲镇', 'yangquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108200', '140108', '140108200', '马头水乡', 'matoushuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108201', '140108', '140108201', '柏板乡', 'bobanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140108202', '140108', '140108202', '西焉乡', 'xiyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109', '1401', '140109', '万柏林区', 'wanbolinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109001', '140109', '140109001', '千峰街道', 'qianfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109002', '140109', '140109002', '下元街道', 'xiayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109003', '140109', '140109003', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109004', '140109', '140109004', '兴华街道', 'xinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109005', '140109', '140109005', '万柏林街道', 'wanbolinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109006', '140109', '140109006', '杜儿坪街道', 'duerpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109007', '140109', '140109007', '白家庄街道', 'baijiazhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109008', '140109', '140109008', '南寒街道', 'nanhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109009', '140109', '140109009', '东社街道', 'dongshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109010', '140109', '140109010', '化客头街道', 'huaketoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109011', '140109', '140109011', '小井峪街道', 'xiaojingyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109012', '140109', '140109012', '西铭街道', 'ximingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109013', '140109', '140109013', '长风街道', 'zhangfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109014', '140109', '140109014', '神堂沟街道', 'shentanggoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140109200', '140109', '140109200', '王封乡', 'wangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140110', '1401', '140110', '晋源区', 'jinyuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140110001', '140110', '140110001', '义井街道', 'yijingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140110002', '140110', '140110002', '罗城街道', 'luochengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140110003', '140110', '140110003', '晋源街道', 'jinyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140110100', '140110', '140110100', '金胜镇', 'jinshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140110101', '140110', '140110101', '晋祠镇', 'jincizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140110102', '140110', '140110102', '姚村镇', 'yaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140121', '1401', '140121', '清徐县', 'qingxuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140121100', '140121', '140121100', '清源镇', 'qingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140121101', '140121', '140121101', '徐沟镇', 'xugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140121102', '140121', '140121102', '东于镇', 'dongyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140121103', '140121', '140121103', '孟封镇', 'mengfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140121200', '140121', '140121200', '马峪乡', 'mayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140121201', '140121', '140121201', '柳杜乡', 'liuduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140121202', '140121', '140121202', '西谷乡', 'xiguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140121203', '140121', '140121203', '王答乡', 'wangdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140121204', '140121', '140121204', '集义乡', 'jiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122', '1401', '140122', '阳曲县', 'yangquxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122100', '140122', '140122100', '黄寨镇', 'huangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122101', '140122', '140122101', '大盂镇', 'dayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122102', '140122', '140122102', '东黄水镇', 'donghuangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122103', '140122', '140122103', '泥屯镇', 'nitunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122104', '140122', '140122104', '阳曲县社区建设管理办公室', 'yangquxianshequjiansheguanlibangongshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122200', '140122', '140122200', '高村乡', 'gaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122201', '140122', '140122201', '侯村乡', 'houcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122202', '140122', '140122202', '凌井店乡', 'lingjingdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122203', '140122', '140122203', '西凌井乡', 'xilingjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122204', '140122', '140122204', '北小店乡', 'beixiaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140122205', '140122', '140122205', '杨兴乡', 'yangxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140123', '1401', '140123', '娄烦县', 'loufanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140123100', '140123', '140123100', '娄烦镇', 'loufanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140123101', '140123', '140123101', '静游镇', 'jingyouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140123102', '140123', '140123102', '杜交曲镇', 'dujiaoquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140123200', '140123', '140123200', '庙湾乡', 'miaowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140123201', '140123', '140123201', '马家庄乡', 'majiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140123202', '140123', '140123202', '盖家庄乡', 'gaijiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140123203', '140123', '140123203', '米峪镇乡', 'miyuzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140123204', '140123', '140123204', '天池店乡', 'tianchidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181', '1401', '140181', '古交市', 'gujiaoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181001', '140181', '140181001', '东曲街道', 'dongqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181002', '140181', '140181002', '西曲街道', 'xiqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181003', '140181', '140181003', '桃园街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181004', '140181', '140181004', '屯兰街道', 'tunlanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181100', '140181', '140181100', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181101', '140181', '140181101', '镇城底镇', 'zhenchengdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181102', '140181', '140181102', '马兰镇', 'malanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181200', '140181', '140181200', '阁上乡', 'geshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181201', '140181', '140181201', '加乐泉乡', 'jialequanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181202', '140181', '140181202', '梭峪乡', 'suoyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181203', '140181', '140181203', '岔口乡', 'chakouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181204', '140181', '140181204', '常安乡', 'changanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181205', '140181', '140181205', '原相乡', 'yuanxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140181206', '140181', '140181206', '邢家社乡', 'xingjiashexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1402', '14', '1402', '大同市', 'datongshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140201', '1402', '140201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202', '1402', '140202', '大同市城区', 'datongshichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202001', '140202', '140202001', '南关街道', 'nanguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202002', '140202', '140202002', '北关街道', 'beiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202003', '140202', '140202003', '东街街道', 'dongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202004', '140202', '140202004', '西街街道', 'xijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202005', '140202', '140202005', '南街街道', 'nanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202006', '140202', '140202006', '北街街道', 'beijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202007', '140202', '140202007', '新建南路街道', 'xinjiannanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202008', '140202', '140202008', '新建北路街道', 'xinjianbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202009', '140202', '140202009', '大庆路街道', 'daqinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202010', '140202', '140202010', '新华街街道', 'xinhuajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202011', '140202', '140202011', '西花园街道', 'xihuayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202012', '140202', '140202012', '老平旺街道', 'laopingwangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202013', '140202', '140202013', '向阳里街道', 'xiangyanglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140202014', '140202', '140202014', '振华街街道', 'zhenhuajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203', '1402', '140203', '矿区', 'kuangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203001', '140203', '140203001', '新胜街道', 'xinshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203002', '140203', '140203002', '新平旺街道', 'xinpingwangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203003', '140203', '140203003', '煤峪口街道', 'meiyukoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203004', '140203', '140203004', '永定庄街道', 'yongdingzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203005', '140203', '140203005', '同家梁街道', 'tongjialiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203006', '140203', '140203006', '四老沟街道', 'silaogoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203007', '140203', '140203007', '忻州窑街道', 'xinzhouyaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203008', '140203', '140203008', '白洞街道', 'baidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203009', '140203', '140203009', '雁崖街道', 'yanyajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203010', '140203', '140203010', '挖金湾街道', 'wajinwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203011', '140203', '140203011', '晋华宫街道', 'jinhuagongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203012', '140203', '140203012', '马脊梁街道', 'majiliangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203013', '140203', '140203013', '大斗沟街道', 'dadougoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203014', '140203', '140203014', '王村街道', 'wangcunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203015', '140203', '140203015', '姜家湾街道', 'jiangjiawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203016', '140203', '140203016', '新泉路街道', 'xinquanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203017', '140203', '140203017', '民胜街道', 'minshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203018', '140203', '140203018', '口泉街道', 'kouquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203019', '140203', '140203019', '马口街道', 'makoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203020', '140203', '140203020', '燕子山街道', 'yanzishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203021', '140203', '140203021', '杏儿沟街道', 'xingergoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203022', '140203', '140203022', '青磁窑街道', 'qingciyaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203023', '140203', '140203023', '平泉路街道', 'pingquanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140203024', '140203', '140203024', '四台沟街道', 'sitaigoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140211', '1402', '140211', '南郊区', 'nanjiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140211100', '140211', '140211100', '古店镇', 'gudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140211101', '140211', '140211101', '高山镇', 'gaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140211102', '140211', '140211102', '云冈镇', 'yungangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140211200', '140211', '140211200', '口泉乡', 'kouquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140211201', '140211', '140211201', '新旺乡', 'xinwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140211202', '140211', '140211202', '水泊寺乡', 'shuibosixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140211205', '140211', '140211205', '马军营乡', 'majunyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140211206', '140211', '140211206', '西韩岭乡', 'xihanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140211207', '140211', '140211207', '平旺乡', 'pingwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140211210', '140211', '140211210', '鸦儿崖乡', 'yaeryaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140212', '1402', '140212', '新荣区', 'xinrongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140212001', '140212', '140212001', '新荣区社区服务管理中心', 'xinrongqushequfuwuguanlizhongxin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140212100', '140212', '140212100', '新荣镇', 'xinrongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140212200', '140212', '140212200', '破鲁堡乡', 'polubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140212202', '140212', '140212202', '郭家窑乡', 'guojiayaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140212203', '140212', '140212203', '花元屯乡', 'huayuantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140212206', '140212', '140212206', '西村乡', 'xicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140212207', '140212', '140212207', '上深涧乡', 'shangshenjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140212209', '140212', '140212209', '堡子湾乡', 'baoziwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221', '1402', '140221', '阳高县', 'yanggaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221100', '140221', '140221100', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221101', '140221', '140221101', '罗文皂镇', 'luowenzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221102', '140221', '140221102', '大白登镇', 'dabaidengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221103', '140221', '140221103', '王官屯镇', 'wangguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221104', '140221', '140221104', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221105', '140221', '140221105', '东小村镇', 'dongxiaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221106', '140221', '140221106', '友宰镇', 'youzaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221201', '140221', '140221201', '长城乡', 'zhangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221202', '140221', '140221202', '北徐屯乡', 'beixutunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221204', '140221', '140221204', '狮子屯乡', 'shizitunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221209', '140221', '140221209', '下深井乡', 'xiashenjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221211', '140221', '140221211', '马家皂乡', 'majiazaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140221212', '140221', '140221212', '鳌石乡', 'aoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222', '1402', '140222', '天镇县', 'tianzhenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222100', '140222', '140222100', '玉泉镇', 'yuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222101', '140222', '140222101', '谷前堡镇', 'guqianbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222102', '140222', '140222102', '米薪关镇', 'mixinguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222103', '140222', '140222103', '逯家湾镇', 'lujiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222104', '140222', '140222104', '新平镇', 'xinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222200', '140222', '140222200', '卅里铺乡', 'salipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222202', '140222', '140222202', '南河堡乡', 'nanhebaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222204', '140222', '140222204', '贾家屯乡', 'jiajiatunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222206', '140222', '140222206', '赵家沟乡', 'zhaojiagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222208', '140222', '140222208', '南高崖乡', 'nangaoyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140222209', '140222', '140222209', '张西河乡', 'zhangxihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140223', '1402', '140223', '广灵县', 'guanglingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140223100', '140223', '140223100', '壶泉镇', 'huquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140223101', '140223', '140223101', '南村镇', 'nancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140223200', '140223', '140223200', '斗泉乡', 'douquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140223202', '140223', '140223202', '蕉山乡', 'jiaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140223203', '140223', '140223203', '加斗乡', 'jiadouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140223206', '140223', '140223206', '宜兴乡', 'yixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140223207', '140223', '140223207', '作疃乡', 'zuotuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140223209', '140223', '140223209', '梁庄乡', 'liangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140223211', '140223', '140223211', '望狐乡', 'wanghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224', '1402', '140224', '灵丘县', 'lingqiuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224100', '140224', '140224100', '武灵镇', 'wulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224101', '140224', '140224101', '东河南镇', 'donghenanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224102', '140224', '140224102', '上寨镇', 'shangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224200', '140224', '140224200', '落水河乡', 'luoshuihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224203', '140224', '140224203', '史庄乡', 'shizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224205', '140224', '140224205', '赵北乡', 'zhaobeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224206', '140224', '140224206', '石家田乡', 'shijiatianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224207', '140224', '140224207', '柳科乡', 'liukexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224208', '140224', '140224208', '白崖台乡', 'baiyataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224210', '140224', '140224210', '红石塄乡', 'hongshilengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224212', '140224', '140224212', '下关乡', 'xiaguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140224213', '140224', '140224213', '独峪乡', 'duyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225', '1402', '140225', '浑源县', 'hunyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225100', '140225', '140225100', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225101', '140225', '140225101', '西坊城镇', 'xifangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225102', '140225', '140225102', '蔡村镇', 'caicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225103', '140225', '140225103', '沙圪坨镇', 'shagetuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225104', '140225', '140225104', '王庄堡镇', 'wangzhuangbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225105', '140225', '140225105', '大磁窑镇', 'daciyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225201', '140225', '140225201', '东坊城乡', 'dongfangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225203', '140225', '140225203', '裴村乡', 'peicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225204', '140225', '140225204', '驼峰乡', 'tuofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225205', '140225', '140225205', '西留村乡', 'xiliucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225206', '140225', '140225206', '下韩村乡', 'xiahancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225208', '140225', '140225208', '南榆林乡', 'nanyulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225210', '140225', '140225210', '吴城乡', 'wuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225212', '140225', '140225212', '黄花滩乡', 'huanghuatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225213', '140225', '140225213', '大仁庄乡', 'darenzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225215', '140225', '140225215', '千佛岭乡', 'qianfolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225218', '140225', '140225218', '官儿乡', 'guanerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140225220', '140225', '140225220', '青磁窑乡', 'qingciyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140226', '1402', '140226', '左云县', 'zuoyunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140226100', '140226', '140226100', '云兴镇', 'yunxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140226101', '140226', '140226101', '鹊儿山镇', 'queershanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140226102', '140226', '140226102', '店湾镇', 'dianwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140226200', '140226', '140226200', '管家堡乡', 'guanjiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140226201', '140226', '140226201', '张家场乡', 'zhangjiachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140226205', '140226', '140226205', '三屯乡', 'santunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140226206', '140226', '140226206', '马道头乡', 'madaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140226207', '140226', '140226207', '小京庄乡', 'xiaojingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140226209', '140226', '140226209', '水窑乡', 'shuiyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227', '1402', '140227', '大同县', 'datongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227001', '140227', '140227001', '湖东街道', 'hudongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227002', '140227', '140227002', '东街街道', 'dongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227003', '140227', '140227003', '西街街道', 'xijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227100', '140227', '140227100', '西坪镇', 'xipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227101', '140227', '140227101', '倍加造镇', 'beijiazaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227102', '140227', '140227102', '周士庄镇', 'zhoushizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227201', '140227', '140227201', '吉家庄乡', 'jijiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227202', '140227', '140227202', '峰峪乡', 'fengyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227204', '140227', '140227204', '杜庄乡', 'duzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227205', '140227', '140227205', '党留庄乡', 'dangliuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227207', '140227', '140227207', '瓜园乡', 'guayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227209', '140227', '140227209', '巨乐乡', 'julexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227211', '140227', '140227211', '许堡乡', 'xubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140227400', '140227', '140227400', '经济技术开发区', 'jingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1403', '14', '1403', '阳泉市', 'yangquanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140301', '1403', '140301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140302', '1403', '140302', '城区', 'chengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140302001', '140302', '140302001', '上站街道', 'shangzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140302002', '140302', '140302002', '下站街道', 'xiazhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140302003', '140302', '140302003', '北大街街道', 'beidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140302004', '140302', '140302004', '南山路街道', 'nanshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140302005', '140302', '140302005', '义井街道', 'yijingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140302006', '140302', '140302006', '坡底街道', 'podijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140303', '1403', '140303', '矿区', 'kuangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140303001', '140303', '140303001', '平潭街街道', 'pingtanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140303002', '140303', '140303002', '桥头街道', 'qiaotoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140303003', '140303', '140303003', '蔡洼街道', 'caiwajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140303004', '140303', '140303004', '赛鱼街道', 'saiyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140303005', '140303', '140303005', '沙坪街道', 'shapingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140303006', '140303', '140303006', '贵石沟街道', 'guishigoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140311', '1403', '140311', '郊区', 'jiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140311100', '140311', '140311100', '荫营镇', 'yinyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140311101', '140311', '140311101', '河底镇', 'hedizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140311102', '140311', '140311102', '义井镇', 'yijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140311103', '140311', '140311103', '平坦镇', 'pingtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140311200', '140311', '140311200', '西南舁乡', 'xinanyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140311201', '140311', '140311201', '杨家庄乡', 'yangjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140311202', '140311', '140311202', '李家庄乡', 'lijiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140311203', '140311', '140311203', '旧街乡', 'jiujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140311450', '140311', '140311450', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140321', '1403', '140321', '平定县', 'pingdingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140321100', '140321', '140321100', '冠山镇', 'guanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140321101', '140321', '140321101', '冶西镇', 'yexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140321102', '140321', '140321102', '锁簧镇', 'suohuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140321103', '140321', '140321103', '张庄镇', 'zhangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140321104', '140321', '140321104', '东回镇', 'donghuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140321105', '140321', '140321105', '柏井镇', 'bojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140321106', '140321', '140321106', '娘子关镇', 'niangziguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140321107', '140321', '140321107', '巨城镇', 'juchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140321200', '140321', '140321200', '石门口乡', 'shimenkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140321201', '140321', '140321201', '岔口乡', 'chakouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322', '1403', '140322', '盂县', 'yuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322100', '140322', '140322100', '秀水镇', 'xiushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322101', '140322', '140322101', '孙家庄镇', 'sunjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322102', '140322', '140322102', '路家村镇', 'lujiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322103', '140322', '140322103', '南娄镇', 'nanlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322104', '140322', '140322104', '牛村镇', 'niucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322105', '140322', '140322105', '长池镇', 'zhangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322106', '140322', '140322106', '上社镇', 'shangshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322107', '140322', '140322107', '西烟镇', 'xiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322200', '140322', '140322200', '仙人乡', 'xianrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322201', '140322', '140322201', '北下庄乡', 'beixiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322202', '140322', '140322202', '下社乡', 'xiashexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322203', '140322', '140322203', '梁家寨乡', 'liangjiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322204', '140322', '140322204', '西潘乡', 'xipanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140322205', '140322', '140322205', '东梁乡', 'dongliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1404', '14', '1404', '长治市', 'zhangzhishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140401', '1404', '140401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402', '1404', '140402', '长治市城区', 'zhangzhishichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402001', '140402', '140402001', '东街街道', 'dongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402002', '140402', '140402002', '西街街道', 'xijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402003', '140402', '140402003', '英雄南路街道', 'yingxiongnanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402004', '140402', '140402004', '英雄中路街道', 'yingxiongzhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402005', '140402', '140402005', '紫金路街道', 'zijinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402006', '140402', '140402006', '太东街道', 'taidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402007', '140402', '140402007', '太西街道', 'taixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402008', '140402', '140402008', '延安南路街道', 'yanannanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402009', '140402', '140402009', '常青街道', 'changqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402010', '140402', '140402010', '五马街道', 'wumajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140402400', '140402', '140402400', '长治市高新技术开发区', 'zhangzhishigaoxinjishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140411', '1404', '140411', '长治市郊区', 'zhangzhishijiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140411001', '140411', '140411001', '长北街道', 'zhangbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140411002', '140411', '140411002', '故县街道', 'guxianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140411100', '140411', '140411100', '老顶山镇', 'laodingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140411101', '140411', '140411101', '堠北庄镇', 'houbeizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140411102', '140411', '140411102', '大辛庄镇', 'daxinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140411103', '140411', '140411103', '马厂镇', 'machangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140411104', '140411', '140411104', '黄碾镇', 'huangnianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140411200', '140411', '140411200', '西白兔乡', 'xibaituxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421', '1404', '140421', '长治县', 'zhangzhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421100', '140421', '140421100', '韩店镇', 'handianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421101', '140421', '140421101', '苏店镇', 'sudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421102', '140421', '140421102', '荫城镇', 'yinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421103', '140421', '140421103', '西火镇', 'xihuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421104', '140421', '140421104', '八义镇', 'bayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421105', '140421', '140421105', '贾掌镇', 'jiazhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421200', '140421', '140421200', '郝家庄乡', 'haojiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421201', '140421', '140421201', '西池乡', 'xichixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421202', '140421', '140421202', '北呈乡', 'beichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421203', '140421', '140421203', '东和乡', 'donghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140421204', '140421', '140421204', '南宋乡', 'nansongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423', '1404', '140423', '襄垣县', 'xiangyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423100', '140423', '140423100', '古韩镇', 'guhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423101', '140423', '140423101', '王桥镇', 'wangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423102', '140423', '140423102', '侯堡镇', 'houbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423103', '140423', '140423103', '夏店镇', 'xiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423104', '140423', '140423104', '虎(音si)亭镇', 'hu(yinsi)tingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423105', '140423', '140423105', '西营镇', 'xiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423106', '140423', '140423106', '王村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423107', '140423', '140423107', '下良镇', 'xialiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423200', '140423', '140423200', '善福乡', 'shanfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423201', '140423', '140423201', '北底乡', 'beidixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140423202', '140423', '140423202', '上马乡', 'shangmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424', '1404', '140424', '屯留县', 'tunliuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424100', '140424', '140424100', '麟绛镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424101', '140424', '140424101', '上村镇', 'shangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424102', '140424', '140424102', '渔泽镇', 'yuzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424103', '140424', '140424103', '余吾镇', 'yuwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424104', '140424', '140424104', '吾元镇', 'wuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424105', '140424', '140424105', '张店镇', 'zhangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424106', '140424', '140424106', '丰宜镇', 'fengyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424200', '140424', '140424200', '李高乡', 'ligaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424201', '140424', '140424201', '路村乡', 'lucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424202', '140424', '140424202', '河神庙乡', 'heshenmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424203', '140424', '140424203', '西贾乡', 'xijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424400', '140424', '140424400', '西流寨开发区', 'xiliuzhaikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424401', '140424', '140424401', '康庄工业园区', 'kangzhuanggongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140424402', '140424', '140424402', '上莲开发区', 'shangliankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425', '1404', '140425', '平顺县', 'pingshunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425100', '140425', '140425100', '青羊镇', 'qingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425101', '140425', '140425101', '龙溪镇', 'longxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425102', '140425', '140425102', '石城镇', 'shichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425103', '140425', '140425103', '苗庄镇', 'miaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425104', '140425', '140425104', '杏城镇', 'xingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425200', '140425', '140425200', '西沟乡', 'xigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425201', '140425', '140425201', '东寺头乡', 'dongsitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425202', '140425', '140425202', '虹梯关乡', 'hongtiguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425203', '140425', '140425203', '阳高乡', 'yanggaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425204', '140425', '140425204', '北耽车乡', 'beidanchexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425205', '140425', '140425205', '中五井乡', 'zhongwujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140425206', '140425', '140425206', '北社乡', 'beishexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140426', '1404', '140426', '黎城县', 'lichengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140426100', '140426', '140426100', '黎侯镇', 'lihouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140426101', '140426', '140426101', '东阳关镇', 'dongyangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140426102', '140426', '140426102', '上遥镇', 'shangyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140426103', '140426', '140426103', '西井镇', 'xijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140426104', '140426', '140426104', '黄崖洞镇', 'huangyadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140426200', '140426', '140426200', '西仵乡', 'xiwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140426201', '140426', '140426201', '停河铺乡', 'tinghepuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140426202', '140426', '140426202', '程家山乡', 'chengjiashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140426203', '140426', '140426203', '洪井乡', 'hongjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427', '1404', '140427', '壶关县', 'huguanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427100', '140427', '140427100', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427101', '140427', '140427101', '百尺镇', 'baichizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427102', '140427', '140427102', '店上镇', 'dianshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427103', '140427', '140427103', '晋庄镇', 'jinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427104', '140427', '140427104', '树掌镇', 'shuzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427200', '140427', '140427200', '集店乡', 'jidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427201', '140427', '140427201', '黄山乡', 'huangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427202', '140427', '140427202', '东井岭乡', 'dongjinglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427203', '140427', '140427203', '石坡乡', 'shipoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427204', '140427', '140427204', '五龙山乡', 'wulongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427205', '140427', '140427205', '鹅屋乡', 'ewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427206', '140427', '140427206', '桥上乡', 'qiaoshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140427400', '140427', '140427400', '常平经济开发区', 'changpingjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428', '1404', '140428', '长子县', 'zhangzixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428100', '140428', '140428100', '丹朱镇', 'danzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428101', '140428', '140428101', '鲍店镇', 'baodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428102', '140428', '140428102', '石哲镇', 'shizhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428103', '140428', '140428103', '大堡头镇', 'dabaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428104', '140428', '140428104', '慈林镇', 'cilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428105', '140428', '140428105', '色头镇', 'setouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428106', '140428', '140428106', '南漳镇', 'nanzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428200', '140428', '140428200', '岚水乡', 'lanshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428201', '140428', '140428201', '碾张乡', 'nianzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428202', '140428', '140428202', '常张乡', 'changzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428203', '140428', '140428203', '南陈乡', 'nanchenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140428204', '140428', '140428204', '宋村乡', 'songcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429', '1404', '140429', '武乡县', 'wuxiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429100', '140429', '140429100', '丰州镇', 'fengzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429101', '140429', '140429101', '洪水镇', 'hongshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429102', '140429', '140429102', '蟠龙镇', 'panlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429103', '140429', '140429103', '监漳镇', 'jianzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429104', '140429', '140429104', '故城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429200', '140429', '140429200', '墨镫乡', 'modengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429201', '140429', '140429201', '韩北乡', 'hanbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429202', '140429', '140429202', '大有乡', 'dayouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429203', '140429', '140429203', '贾豁乡', 'jiahuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429204', '140429', '140429204', '故县乡', 'guxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429205', '140429', '140429205', '上司乡', 'shangsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429206', '140429', '140429206', '石北乡', 'shibeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429207', '140429', '140429207', '涌泉乡', 'yongquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140429208', '140429', '140429208', '分水岭乡', 'fenshuilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430', '1404', '140430', '沁县', 'qinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430100', '140430', '140430100', '定昌镇', 'dingchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430101', '140430', '140430101', '郭村镇', 'guocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430102', '140430', '140430102', '故县镇', 'guxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430103', '140430', '140430103', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430104', '140430', '140430104', '漳源镇', 'zhangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430105', '140430', '140430105', '册村镇', 'cecunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430200', '140430', '140430200', '段柳乡', 'duanliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430201', '140430', '140430201', '松村乡', 'songcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430202', '140430', '140430202', '次村乡', 'cicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430203', '140430', '140430203', '牛寺乡', 'niusixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430204', '140430', '140430204', '南里乡', 'nanlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430205', '140430', '140430205', '南泉乡', 'nanquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140430206', '140430', '140430206', '杨安乡', 'yanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431', '1404', '140431', '沁源县', 'qinyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431100', '140431', '140431100', '沁河镇', 'qinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431101', '140431', '140431101', '郭道镇', 'guodaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431102', '140431', '140431102', '灵空山镇', 'lingkongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431103', '140431', '140431103', '王和镇', 'wanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431104', '140431', '140431104', '李元镇', 'liyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431200', '140431', '140431200', '中峪乡', 'zhongyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431201', '140431', '140431201', '法中乡', 'fazhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431202', '140431', '140431202', '交口乡', 'jiaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431203', '140431', '140431203', '聪子峪乡', 'congziyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431204', '140431', '140431204', '韩洪乡', 'hanhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431205', '140431', '140431205', '官滩乡', 'guantanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431206', '140431', '140431206', '景凤乡', 'jingfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431207', '140431', '140431207', '赤石桥乡', 'chishiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140431208', '140431', '140431208', '王陶乡', 'wangtaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140481', '1404', '140481', '潞城市', 'luchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140481001', '140481', '140481001', '潞华', 'luhua', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140481002', '140481', '140481002', '成家川', 'chengjiachuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140481100', '140481', '140481100', '店上镇', 'dianshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140481101', '140481', '140481101', '微子镇', 'weizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140481102', '140481', '140481102', '辛安泉镇', 'xinanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140481103', '140481', '140481103', '翟店镇', 'zhaidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140481200', '140481', '140481200', '合室乡', 'heshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140481201', '140481', '140481201', '黄牛蹄乡', 'huangniutixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140481202', '140481', '140481202', '史回乡', 'shihuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1405', '14', '1405', '晋城市', 'jinchengshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140501', '1405', '140501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140502', '1405', '140502', '晋城市城区', 'jinchengshichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140502001', '140502', '140502001', '东街街道', 'dongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140502002', '140502', '140502002', '西街街道', 'xijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140502003', '140502', '140502003', '南街街道', 'nanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140502004', '140502', '140502004', '北街街道', 'beijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140502005', '140502', '140502005', '矿区街道', 'kuangqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140502006', '140502', '140502006', '钟家庄街道', 'zhongjiazhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140502007', '140502', '140502007', '西上庄街道', 'xishangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140502100', '140502', '140502100', '北石店镇', 'beishidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521', '1405', '140521', '沁水县', 'qinshuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521100', '140521', '140521100', '龙港镇', 'longgangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521101', '140521', '140521101', '中村镇', 'zhongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521102', '140521', '140521102', '郑庄镇', 'zhengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521103', '140521', '140521103', '端氏镇', 'duanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521104', '140521', '140521104', '嘉峰镇', 'jiafengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521105', '140521', '140521105', '郑村镇', 'zhengcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521106', '140521', '140521106', '柿庄镇', 'shizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521200', '140521', '140521200', '樊村河乡', 'fancunhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521201', '140521', '140521201', '土沃乡', 'tuwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521202', '140521', '140521202', '张村乡', 'zhangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521203', '140521', '140521203', '苏庄乡', 'suzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521204', '140521', '140521204', '胡底乡', 'hudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521205', '140521', '140521205', '固县乡', 'guxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140521206', '140521', '140521206', '十里乡', 'shilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522', '1405', '140522', '阳城县', 'yangchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522001', '140522', '140522001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522100', '140522', '140522100', '凤城镇', 'fengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522101', '140522', '140522101', '北留镇', 'beiliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522102', '140522', '140522102', '润城镇', 'runchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522103', '140522', '140522103', '町店镇', 'dingdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522104', '140522', '140522104', '芹池镇', 'qinchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522105', '140522', '140522105', '次营镇', 'ciyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522106', '140522', '140522106', '横河镇', 'henghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522107', '140522', '140522107', '河北镇', 'hebeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522108', '140522', '140522108', '蟒河镇', 'manghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522109', '140522', '140522109', '东冶镇', 'dongyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522200', '140522', '140522200', '白桑乡', 'baisangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522201', '140522', '140522201', '寺头乡', 'sitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522202', '140522', '140522202', '西河乡', 'xihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522203', '140522', '140522203', '演礼乡', 'yanlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522204', '140522', '140522204', '固隆乡', 'gulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522205', '140522', '140522205', '董封乡', 'dongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140522206', '140522', '140522206', '驾岭乡', 'jialingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524', '1405', '140524', '陵川县', 'lingchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524100', '140524', '140524100', '崇文镇', 'chongwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524101', '140524', '140524101', '礼义镇', 'liyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524102', '140524', '140524102', '附城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524103', '140524', '140524103', '西河底镇', 'xihedizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524104', '140524', '140524104', '平城镇', 'pingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524105', '140524', '140524105', '杨村镇', 'yangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524106', '140524', '140524106', '潞城镇', 'luchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524204', '140524', '140524204', '夺火乡', 'duohuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524206', '140524', '140524206', '马圪当乡', 'magedangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524207', '140524', '140524207', '古郊乡', 'gujiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524209', '140524', '140524209', '六泉乡', 'liuquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140524212', '140524', '140524212', '秦家庄乡', 'qinjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525', '1405', '140525', '泽州县', 'zezhouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525100', '140525', '140525100', '南村镇', 'nancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525101', '140525', '140525101', '下村镇', 'xiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525102', '140525', '140525102', '大东沟镇', 'dadonggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525103', '140525', '140525103', '周村镇', 'zhoucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525104', '140525', '140525104', '犁川镇', 'lichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525105', '140525', '140525105', '晋庙铺镇', 'jinmiaopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525106', '140525', '140525106', '金村镇', 'jincunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525107', '140525', '140525107', '高都镇', 'gaodouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525108', '140525', '140525108', '巴公镇', 'bagongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525109', '140525', '140525109', '大阳镇', 'dayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525110', '140525', '140525110', '山河镇', 'shanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525111', '140525', '140525111', '大箕镇', 'dajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525112', '140525', '140525112', '柳树口镇', 'liushukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525113', '140525', '140525113', '北义城镇', 'beiyichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525200', '140525', '140525200', '川底乡', 'chuandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525201', '140525', '140525201', '李寨乡', 'lizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140525202', '140525', '140525202', '南岭乡', 'nanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581', '1405', '140581', '高平市', 'gaopingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581001', '140581', '140581001', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581002', '140581', '140581002', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581003', '140581', '140581003', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581101', '140581', '140581101', '米山镇', 'mishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581102', '140581', '140581102', '三甲镇', 'sanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581103', '140581', '140581103', '神农镇', 'shennongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581104', '140581', '140581104', '陈区镇', 'chenquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581105', '140581', '140581105', '北诗镇', 'beishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581106', '140581', '140581106', '河西镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581107', '140581', '140581107', '马村镇', 'macunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581108', '140581', '140581108', '野川镇', 'yechuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581109', '140581', '140581109', '寺庄镇', 'sizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581201', '140581', '140581201', '建宁乡', 'jianningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581202', '140581', '140581202', '石末乡', 'shimoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581203', '140581', '140581203', '原村乡', 'yuancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140581204', '140581', '140581204', '永录乡', 'yongluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1406', '14', '1406', '朔州市', 'shuozhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140601', '1406', '140601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602', '1406', '140602', '朔城区', 'shuochengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602001', '140602', '140602001', '朔城区北城街道', 'shuochengqubeichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602002', '140602', '140602002', '朔城区南城街道', 'shuochengqunanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602003', '140602', '140602003', '朔城区神头街道', 'shuochengqushentoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602004', '140602', '140602004', '朔城区北旺庄街道', 'shuochengqubeiwangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602100', '140602', '140602100', '朔城区神头镇', 'shuochengqushentouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602101', '140602', '140602101', '朔城区利民镇', 'shuochengquliminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602200', '140602', '140602200', '朔城区下团堡乡', 'shuochengquxiatuanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602201', '140602', '140602201', '朔城区小平易乡', 'shuochengquxiaopingyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602202', '140602', '140602202', '朔城区滋润乡', 'shuochengquzirunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602203', '140602', '140602203', '朔城区福善庄乡', 'shuochengqufushanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602204', '140602', '140602204', '朔城区南榆林乡', 'shuochengqunanyulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602205', '140602', '140602205', '朔城区贾庄乡', 'shuochengqujiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602206', '140602', '140602206', '朔城区沙塄河乡', 'shuochengqushalenghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602207', '140602', '140602207', '朔城区窑子头乡', 'shuochengquyaozitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602208', '140602', '140602208', '朔城区张蔡庄乡', 'shuochengquzhangcaizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140602400', '140602', '140602400', '朔州市开发区管委会', 'shuozhoushikaifaquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603', '1406', '140603', '平鲁区', 'pingluqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603100', '140603', '140603100', '平鲁区井坪镇', 'pingluqujingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603101', '140603', '140603101', '平鲁区凤凰城镇', 'pingluqufenghuangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603200', '140603', '140603200', '平鲁区白堂乡', 'pingluqubaitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603201', '140603', '140603201', '平鲁区陶村乡', 'pingluqutaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603202', '140603', '140603202', '平鲁区下水头乡', 'pingluquxiashuitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603203', '140603', '140603203', '平鲁区双碾乡', 'pingluqushuangnianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603204', '140603', '140603204', '平鲁区阻虎乡', 'pingluquzuhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603205', '140603', '140603205', '平鲁区高石庄乡', 'pingluqugaoshizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603206', '140603', '140603206', '平鲁区西水界乡', 'pingluquxishuijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603207', '140603', '140603207', '平鲁区下面高乡', 'pingluquxiamiangaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603208', '140603', '140603208', '平鲁区下木角乡', 'pingluquxiamujiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603209', '140603', '140603209', '平鲁区向阳堡乡', 'pingluquxiangyangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140603210', '140603', '140603210', '平鲁区榆岭乡', 'pingluquyulingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621', '1406', '140621', '山阴县', 'shanyinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621001', '140621', '140621001', '东城管委会', 'dongchengguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621002', '140621', '140621002', '西城管委会', 'xichengguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621100', '140621', '140621100', '玉井镇', 'yujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621101', '140621', '140621101', '北周庄镇', 'beizhouzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621102', '140621', '140621102', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621200', '140621', '140621200', '吴马营乡', 'wumayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621201', '140621', '140621201', '马营乡', 'mayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621202', '140621', '140621202', '下喇叭乡', 'xialabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621203', '140621', '140621203', '合盛堡乡', 'heshengbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621204', '140621', '140621204', '岱岳乡', 'daiyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621205', '140621', '140621205', '安荣乡', 'anrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621206', '140621', '140621206', '薛OO乡', 'xueOOxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621207', '140621', '140621207', '后所乡', 'housuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621208', '140621', '140621208', '张家庄乡', 'zhangjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140621209', '140621', '140621209', '马营庄乡', 'mayingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622', '1406', '140622', '应县', 'yingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622100', '140622', '140622100', '金城镇', 'jinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622101', '140622', '140622101', '南河种镇', 'nanhezhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622102', '140622', '140622102', '下社镇', 'xiashezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622200', '140622', '140622200', '镇子梁乡', 'zhenziliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622201', '140622', '140622201', '义井乡', 'yijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622202', '140622', '140622202', '藏寨乡', 'zangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622203', '140622', '140622203', '大黄巍乡', 'dahuangweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622204', '140622', '140622204', '杏寨乡', 'xingzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622205', '140622', '140622205', '下马峪乡', 'xiamayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622206', '140622', '140622206', '南泉乡', 'nanquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622207', '140622', '140622207', '大临河乡', 'dalinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140622208', '140622', '140622208', '白马石乡', 'baimashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140623', '1406', '140623', '右玉县', 'youyuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140623100', '140623', '140623100', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140623101', '140623', '140623101', '右卫镇', 'youweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140623102', '140623', '140623102', '威远镇', 'weiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140623103', '140623', '140623103', '元堡子镇', 'yuanbaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140623200', '140623', '140623200', '牛心堡乡', 'niuxinbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140623201', '140623', '140623201', '白头里乡', 'baitoulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140623202', '140623', '140623202', '高家堡乡', 'gaojiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140623203', '140623', '140623203', '丁家窑乡', 'dingjiayaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140623204', '140623', '140623204', '杨千河乡', 'yangqianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140623205', '140623', '140623205', '李达窑乡', 'lidayaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624', '1406', '140624', '怀仁县', 'huairenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624100', '140624', '140624100', '云中镇', 'yunzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624101', '140624', '140624101', '吴家窑镇', 'wujiayaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624102', '140624', '140624102', '金沙滩镇', 'jinshatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624103', '140624', '140624103', '毛家皂镇', 'maojiazaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624200', '140624', '140624200', '何家堡乡', 'hejiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624201', '140624', '140624201', '新家园乡', 'xinjiayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624202', '140624', '140624202', '亲和乡', 'qinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624203', '140624', '140624203', '海北头乡', 'haibeitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624204', '140624', '140624204', '马辛庄乡', 'maxinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624205', '140624', '140624205', '河头乡', 'hetouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624500', '140624', '140624500', '金沙滩农牧场', 'jinshatannongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140624501', '140624', '140624501', '金沙滩林场', 'jinshatanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1407', '14', '1407', '晋中市', 'jinzhongshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140701', '1407', '140701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702', '1407', '140702', '榆次区', 'yuciqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702001', '140702', '140702001', '北关街道', 'beiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702002', '140702', '140702002', '锦纶街道', 'jinlunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702003', '140702', '140702003', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702004', '140702', '140702004', '西南街道', 'xinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702005', '140702', '140702005', '路西街道', 'luxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702006', '140702', '140702006', '经纬街道', 'jingweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702007', '140702', '140702007', '安宁街道', 'anningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702008', '140702', '140702008', '新建街道', 'xinjianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702009', '140702', '140702009', '晋华街道', 'jinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702100', '140702', '140702100', '乌金山镇', 'wujinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702101', '140702', '140702101', '东阳镇', 'dongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702102', '140702', '140702102', '什贴镇', 'shentiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702103', '140702', '140702103', '长凝镇', 'zhangningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702104', '140702', '140702104', '北田镇', 'beitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702105', '140702', '140702105', '修文镇', 'xiuwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702200', '140702', '140702200', '郭家堡乡', 'guojiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702201', '140702', '140702201', '张庆乡', 'zhangqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702202', '140702', '140702202', '庄子乡', 'zhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702203', '140702', '140702203', '东赵乡', 'dongzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140702400', '140702', '140702400', '晋中经济开发区', 'jinzhongjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140721', '1407', '140721', '榆社县', 'yushexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140721001', '140721', '140721001', '城区街道管理委员会', 'chengqujiedaoguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140721100', '140721', '140721100', '箕城镇', 'jichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140721101', '140721', '140721101', '云竹镇', 'yunzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140721102', '140721', '140721102', '郝北镇', 'haobeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140721103', '140721', '140721103', '社城镇', 'shechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140721200', '140721', '140721200', '河峪乡', 'heyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140721201', '140721', '140721201', '北寨乡', 'beizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140721202', '140721', '140721202', '西马乡', 'ximaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140721203', '140721', '140721203', '岚峪乡', 'lanyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140721204', '140721', '140721204', '讲堂乡', 'jiangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722', '1407', '140722', '左权县', 'zuoquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722001', '140722', '140722001', '县城街道社区管理委员会', 'xianchengjiedaoshequguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722100', '140722', '140722100', '辽阳镇', 'liaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722101', '140722', '140722101', '桐峪镇', 'tongyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722102', '140722', '140722102', '麻田镇', 'matianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722103', '140722', '140722103', '芹泉镇', 'qinquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722104', '140722', '140722104', '拐儿镇', 'guaierzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722200', '140722', '140722200', '寒王乡', 'hanwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722201', '140722', '140722201', '石匣乡', 'shixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722202', '140722', '140722202', '龙泉乡', 'longquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722203', '140722', '140722203', '粟城乡', 'suchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140722204', '140722', '140722204', '羊角乡', 'yangjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140723', '1407', '140723', '和顺县', 'heshunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140723100', '140723', '140723100', '义兴镇', 'yixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140723101', '140723', '140723101', '李阳镇', 'liyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140723102', '140723', '140723102', '松烟镇', 'songyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140723103', '140723', '140723103', '青城镇', 'qingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140723104', '140723', '140723104', '横岭镇', 'henglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140723200', '140723', '140723200', '喂马乡', 'weimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140723201', '140723', '140723201', '平松乡', 'pingsongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140723202', '140723', '140723202', '牛川乡', 'niuchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140723203', '140723', '140723203', '马坊乡', 'mafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140723204', '140723', '140723204', '阳光占乡', 'yangguangzhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724', '1407', '140724', '昔阳县', 'xiyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724100', '140724', '140724100', '乐平镇', 'lepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724101', '140724', '140724101', '皋落镇', 'gaoluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724102', '140724', '140724102', '冶头镇', 'yetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724103', '140724', '140724103', '沾尚镇', 'zhanshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724104', '140724', '140724104', '大寨镇', 'dazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724200', '140724', '140724200', '李家庄乡', 'lijiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724201', '140724', '140724201', '界都乡', 'jiedouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724202', '140724', '140724202', '三都乡', 'sandouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724203', '140724', '140724203', '赵壁乡', 'zhaobixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724204', '140724', '140724204', '孔氏乡', 'kongshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724205', '140724', '140724205', '阎庄乡', 'yanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140724206', '140724', '140724206', '西寨乡', 'xizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725', '1407', '140725', '寿阳县', 'shouyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725100', '140725', '140725100', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725101', '140725', '140725101', '南燕竹镇', 'nanyanzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725102', '140725', '140725102', '宗艾镇', 'zongaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725103', '140725', '140725103', '平头镇', 'pingtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725104', '140725', '140725104', '松塔镇', 'songtazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725105', '140725', '140725105', '西洛镇', 'xiluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725106', '140725', '140725106', '尹灵芝镇', 'yinlingzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725200', '140725', '140725200', '平舒乡', 'pingshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725201', '140725', '140725201', '解愁乡', 'jiechouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725202', '140725', '140725202', '温家庄乡', 'wenjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725203', '140725', '140725203', '景尚乡', 'jingshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725204', '140725', '140725204', '上湖乡', 'shanghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725205', '140725', '140725205', '羊头崖乡', 'yangtouyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140725206', '140725', '140725206', '马首乡', 'mashouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140726', '1407', '140726', '太谷县', 'taiguxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140726100', '140726', '140726100', '明星镇', 'mingxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140726101', '140726', '140726101', '胡村镇', 'hucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140726102', '140726', '140726102', '范村镇', 'fancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140726200', '140726', '140726200', '侯城乡', 'houchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140726201', '140726', '140726201', '北汪乡', 'beiwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140726202', '140726', '140726202', '水秀乡', 'shuixiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140726203', '140726', '140726203', '阳邑乡', 'yangyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140726204', '140726', '140726204', '小白乡', 'xiaobaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140726205', '140726', '140726205', '任村乡', 'rencunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140727', '1407', '140727', '祁县', 'qixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140727100', '140727', '140727100', '昭馀镇', 'zhaoyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140727101', '140727', '140727101', '东观镇', 'dongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140727102', '140727', '140727102', '古县镇', 'guxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140727103', '140727', '140727103', '贾令镇', 'jialingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140727104', '140727', '140727104', '城赵镇', 'chengzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140727105', '140727', '140727105', '来远镇', 'laiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140727200', '140727', '140727200', '西六支乡', 'xiliuzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140727201', '140727', '140727201', '峪口乡', 'yukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728', '1407', '140728', '平遥县', 'pingyaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728100', '140728', '140728100', '古陶镇', 'gutaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728101', '140728', '140728101', '段村镇', 'duancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728102', '140728', '140728102', '东泉镇', 'dongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728103', '140728', '140728103', '洪善镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728104', '140728', '140728104', '宁固镇', 'ningguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728200', '140728', '140728200', '南政乡', 'nanzhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728201', '140728', '140728201', '中都乡', 'zhongdouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728202', '140728', '140728202', '岳壁乡', 'yuebixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728203', '140728', '140728203', '卜宜乡', 'buyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728204', '140728', '140728204', '孟山乡', 'mengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728205', '140728', '140728205', '朱坑乡', 'zhukengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728206', '140728', '140728206', '襄垣乡', 'xiangyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728207', '140728', '140728207', '杜家庄乡', 'dujiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140728208', '140728', '140728208', '香乐乡', 'xianglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729', '1407', '140729', '灵石县', 'lingshixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729100', '140729', '140729100', '翠峰镇', 'cuifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729101', '140729', '140729101', '静升镇', 'jingshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729102', '140729', '140729102', '两渡镇', 'liangduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729103', '140729', '140729103', '夏门镇', 'xiamenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729104', '140729', '140729104', '南关镇', 'nanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729105', '140729', '140729105', '段纯镇', 'duanchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729200', '140729', '140729200', '马和乡', 'mahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729201', '140729', '140729201', '英武乡', 'yingwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729202', '140729', '140729202', '王禹乡', 'wangyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729203', '140729', '140729203', '坛镇乡', 'tanzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729204', '140729', '140729204', '梁家焉乡', 'liangjiayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140729205', '140729', '140729205', '交口乡', 'jiaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781', '1407', '140781', '介休市', 'jiexiushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781001', '140781', '140781001', '北关街道', 'beiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781002', '140781', '140781002', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781003', '140781', '140781003', '东南街道', 'dongnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781004', '140781', '140781004', '西南街道', 'xinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781005', '140781', '140781005', '北坛街道', 'beitanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781100', '140781', '140781100', '义安镇', 'yianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781101', '140781', '140781101', '张兰镇', 'zhanglanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781102', '140781', '140781102', '连福镇', 'lianfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781103', '140781', '140781103', '洪山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781104', '140781', '140781104', '龙凤镇', 'longfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781105', '140781', '140781105', '绵山镇', 'mianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781106', '140781', '140781106', '义棠镇', 'yitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781200', '140781', '140781200', '城关乡', 'chengguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781201', '140781', '140781201', '宋古乡', 'songguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781202', '140781', '140781202', '三佳乡', 'sanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140781400', '140781', '140781400', '山西省种羊场', 'shanxishengzhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1408', '14', '1408', '运城市', 'yunchengshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140801', '1408', '140801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802', '1408', '140802', '盐湖区', 'yanhuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802001', '140802', '140802001', '中城街道', 'zhongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802002', '140802', '140802002', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802003', '140802', '140802003', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802004', '140802', '140802004', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802005', '140802', '140802005', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802006', '140802', '140802006', '安邑街道', 'anyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802007', '140802', '140802007', '大渠街道', 'daqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802008', '140802', '140802008', '姚孟街道', 'yaomengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802100', '140802', '140802100', '解州镇政府', 'jiezhouzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802101', '140802', '140802101', '龙居镇政府', 'longjuzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802102', '140802', '140802102', '北相镇政府', 'beixiangzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802103', '140802', '140802103', '泓芝驿镇政府', 'hongzhiyizhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802104', '140802', '140802104', '三路里镇政府', 'sanlulizhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802105', '140802', '140802105', '陶村镇政府', 'taocunzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802106', '140802', '140802106', '东郭镇政府', 'dongguozhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802200', '140802', '140802200', '席张乡政府', 'xizhangxiangzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802201', '140802', '140802201', '金井乡政府', 'jinjingxiangzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802202', '140802', '140802202', '王范乡政府', 'wangfanxiangzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802203', '140802', '140802203', '冯村乡政府', 'fengcunxiangzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802204', '140802', '140802204', '上郭乡政府', 'shangguoxiangzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802205', '140802', '140802205', '上王乡政府', 'shangwangxiangzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140802400', '140802', '140802400', '禹都经济技术开发区', 'yudoujingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821', '1408', '140821', '临猗县', 'linyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821100', '140821', '140821100', '猗氏镇', 'yishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821101', '140821', '140821101', '嵋阳镇', 'meiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821102', '140821', '140821102', '临晋镇', 'linjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821103', '140821', '140821103', '七级镇', 'qijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821104', '140821', '140821104', '东张镇', 'dongzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821105', '140821', '140821105', '孙吉镇', 'sunjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821106', '140821', '140821106', '三管镇', 'sanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821107', '140821', '140821107', '耽子镇', 'danzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821200', '140821', '140821200', '楚候乡', 'chuhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821201', '140821', '140821201', '庙上乡', 'miaoshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821202', '140821', '140821202', '角杯乡', 'jiaobeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821203', '140821', '140821203', '北辛乡', 'beixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821204', '140821', '140821204', '北景乡', 'beijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821400', '140821', '140821400', '牛杜工贸区', 'niudugongmaoqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821401', '140821', '140821401', '卓里工贸区', 'zhuoligongmaoqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140821402', '140821', '140821402', '闫家庄工贸区', 'yanjiazhuanggongmaoqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822', '1408', '140822', '万荣县', 'wanrongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822100', '140822', '140822100', '解店镇', 'jiedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822101', '140822', '140822101', '通化镇', 'tonghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822102', '140822', '140822102', '汉薛镇', 'hanxuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822103', '140822', '140822103', '荣河镇', 'ronghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822200', '140822', '140822200', '万泉乡', 'wanquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822201', '140822', '140822201', '里望乡', 'liwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822202', '140822', '140822202', '西村乡', 'xicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822203', '140822', '140822203', '南张乡', 'nanzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822204', '140822', '140822204', '高村乡', 'gaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822205', '140822', '140822205', '皇甫乡', 'huangfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822206', '140822', '140822206', '贾村乡', 'jiacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822207', '140822', '140822207', '王显乡', 'wangxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822208', '140822', '140822208', '光华乡', 'guanghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140822209', '140822', '140822209', '裴庄乡', 'peizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823', '1408', '140823', '闻喜县', 'wenxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823100', '140823', '140823100', '桐城镇', 'tongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823101', '140823', '140823101', '郭家庄镇', 'guojiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823102', '140823', '140823102', '凹底镇', 'aodizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823103', '140823', '140823103', '薛店镇', 'xuedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823104', '140823', '140823104', '东镇镇', 'dongzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823105', '140823', '140823105', '礼元镇', 'liyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823106', '140823', '140823106', '河底镇', 'hedizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823200', '140823', '140823200', '神柏乡', 'shenboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823201', '140823', '140823201', '阳隅乡', 'yangyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823202', '140823', '140823202', '侯村乡', 'houcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823203', '140823', '140823203', '裴社乡', 'peishexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823204', '140823', '140823204', '后宫乡', 'hougongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140823205', '140823', '140823205', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140824', '1408', '140824', '稷山县', 'jishanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140824100', '140824', '140824100', '稷峰镇', 'jifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140824101', '140824', '140824101', '西社镇', 'xishezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140824102', '140824', '140824102', '化峪镇', 'huayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140824103', '140824', '140824103', '翟店镇', 'zhaidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140824104', '140824', '140824104', '清河镇', 'qinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140824200', '140824', '140824200', '蔡村乡', 'caicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140824201', '140824', '140824201', '太阳乡', 'taiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140825', '1408', '140825', '新绛县', 'xinjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140825100', '140825', '140825100', '龙兴镇', 'longxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140825101', '140825', '140825101', '三泉镇', 'sanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140825102', '140825', '140825102', '泽掌镇', 'zezhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140825103', '140825', '140825103', '北张镇', 'beizhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140825104', '140825', '140825104', '横桥镇', 'hengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140825105', '140825', '140825105', '万安镇', 'wananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140825106', '140825', '140825106', '阳王镇', 'yangwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140825200', '140825', '140825200', '古交乡', 'gujiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140826', '1408', '140826', '绛县', 'jiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140826100', '140826', '140826100', '古绛镇', 'gujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140826101', '140826', '140826101', '横水镇', 'hengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140826102', '140826', '140826102', '陈村镇', 'chencunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140826103', '140826', '140826103', '卫庄镇', 'weizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140826104', '140826', '140826104', '么里镇', 'melizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140826105', '140826', '140826105', '南樊镇', 'nanfanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140826106', '140826', '140826106', '安峪镇', 'anyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140826107', '140826', '140826107', '大交镇', 'dajiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140826200', '140826', '140826200', '郝庄乡', 'haozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140826201', '140826', '140826201', '冷口乡', 'lengkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827', '1408', '140827', '垣曲县', 'yuanquxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827100', '140827', '140827100', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827101', '140827', '140827101', '历山镇', 'lishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827102', '140827', '140827102', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827103', '140827', '140827103', '王茅镇', 'wangmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827104', '140827', '140827104', '毛家镇', 'maojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827200', '140827', '140827200', '蒲掌乡', 'puzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827201', '140827', '140827201', '英言乡', 'yingyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827202', '140827', '140827202', '解峪乡', 'jieyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827203', '140827', '140827203', '华峰乡', 'huafengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827204', '140827', '140827204', '长直乡', 'zhangzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140827205', '140827', '140827205', '皋落乡', 'gaoluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828', '1408', '140828', '夏县', 'xiaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828100', '140828', '140828100', '瑶峰镇', 'yaofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828101', '140828', '140828101', '庙前镇', 'miaoqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828102', '140828', '140828102', '裴介镇', 'peijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828103', '140828', '140828103', '水头镇', 'shuitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828104', '140828', '140828104', '埝掌镇', 'nianzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828105', '140828', '140828105', '泗交镇', 'sijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828200', '140828', '140828200', '尉郭乡', 'weiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828201', '140828', '140828201', '禹王乡', 'yuwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828202', '140828', '140828202', '胡张乡', 'huzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828203', '140828', '140828203', '南大里乡', 'nandalixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140828204', '140828', '140828204', '祁家河乡', 'qijiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140829', '1408', '140829', '平陆县', 'pingluxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140829100', '140829', '140829100', '圣人涧镇', 'shengrenjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140829101', '140829', '140829101', '常乐镇', 'changlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140829102', '140829', '140829102', '张店镇', 'zhangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140829103', '140829', '140829103', '张村镇', 'zhangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140829104', '140829', '140829104', '曹川镇', 'caochuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140829105', '140829', '140829105', '三门镇', 'sanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140829200', '140829', '140829200', '洪池乡', 'hongchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140829201', '140829', '140829201', '杜马乡', 'dumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140829202', '140829', '140829202', '部官乡', 'buguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140829203', '140829', '140829203', '坡底乡', 'podixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140830', '1408', '140830', '芮城县', 'ruichengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140830100', '140830', '140830100', '古巍镇', 'guweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140830101', '140830', '140830101', '风陵渡镇', 'fenglingduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140830102', '140830', '140830102', '陌南镇', 'monanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140830103', '140830', '140830103', '西陌镇', 'ximozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140830104', '140830', '140830104', '永乐镇', 'yonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140830105', '140830', '140830105', '大王镇', 'dawangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140830106', '140830', '140830106', '阳城镇', 'yangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140830200', '140830', '140830200', '东垆乡', 'dongluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140830201', '140830', '140830201', '南卫乡', 'nanweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140830202', '140830', '140830202', '学张乡', 'xuezhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881', '1408', '140881', '永济市', 'yongjishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881001', '140881', '140881001', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881002', '140881', '140881002', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881003', '140881', '140881003', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881100', '140881', '140881100', '于乡镇', 'yuxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881101', '140881', '140881101', '卿头镇', 'qingtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881102', '140881', '140881102', '开张镇', 'kaizhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881103', '140881', '140881103', '栲栳镇', 'kaolaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881104', '140881', '140881104', '蒲州镇', 'puzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881105', '140881', '140881105', '韩阳镇', 'hanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881106', '140881', '140881106', '张营镇', 'zhangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140881400', '140881', '140881400', '农场虚拟区', 'nongchangxuniqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140882', '1408', '140882', '河津市', 'hejinshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140882001', '140882', '140882001', '城区街道', 'chengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140882002', '140882', '140882002', '清涧街道', 'qingjianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140882100', '140882', '140882100', '樊村镇', 'fancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140882101', '140882', '140882101', '僧楼镇', 'senglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140882200', '140882', '140882200', '小梁乡', 'xiaoliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140882201', '140882', '140882201', '柴家乡', 'chaijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140882202', '140882', '140882202', '赵家庄乡', 'zhaojiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140882203', '140882', '140882203', '下化乡', 'xiahuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140882204', '140882', '140882204', '阳村乡', 'yangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140882400', '140882', '140882400', '山西铝厂虚拟镇', 'shanxilu:changxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1409', '14', '1409', '忻州市', 'xinzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140901', '1409', '140901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902', '1409', '140902', '忻府区', 'xinfuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902001', '140902', '140902001', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902002', '140902', '140902002', '长征街街道', 'zhangzhengjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902003', '140902', '140902003', '新建路街道', 'xinjianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902100', '140902', '140902100', '播明镇', 'bomingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902101', '140902', '140902101', '奇村镇', 'qicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902102', '140902', '140902102', '三交镇', 'sanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902103', '140902', '140902103', '庄磨镇', 'zhuangmozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902104', '140902', '140902104', '豆罗镇', 'douluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902105', '140902', '140902105', '董村镇', 'dongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902200', '140902', '140902200', '曹张乡', 'caozhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902201', '140902', '140902201', '高城乡', 'gaochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902202', '140902', '140902202', '秦城乡', 'qinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902203', '140902', '140902203', '解原乡', 'jieyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902204', '140902', '140902204', '合索乡', 'hesuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902205', '140902', '140902205', '阳坡乡', 'yangpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902206', '140902', '140902206', '兰村乡', 'lancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902207', '140902', '140902207', '紫岩乡', 'ziyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902208', '140902', '140902208', '西张乡', 'xizhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902209', '140902', '140902209', '东楼乡', 'donglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140902210', '140902', '140902210', '北义井乡', 'beiyijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140921', '1409', '140921', '定襄县', 'dingxiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140921100', '140921', '140921100', '晋昌镇', 'jinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140921101', '140921', '140921101', '河边镇', 'hebianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140921102', '140921', '140921102', '宏道镇', 'hongdaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140921200', '140921', '140921200', '杨芳乡', 'yangfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140921201', '140921', '140921201', '南王乡', 'nanwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140921202', '140921', '140921202', '蒋村乡', 'jiangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140921203', '140921', '140921203', '神山乡', 'shenshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140921204', '140921', '140921204', '季庄乡', 'jizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140921205', '140921', '140921205', '受录乡', 'shouluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922', '1409', '140922', '五台县', 'wutaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922100', '140922', '140922100', '台城镇', 'taichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922101', '140922', '140922101', '台怀镇', 'taihuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922102', '140922', '140922102', '耿镇镇', 'gengzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922103', '140922', '140922103', '豆村镇', 'doucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922104', '140922', '140922104', '白家庄镇', 'baijiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922105', '140922', '140922105', '东冶镇', 'dongyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922200', '140922', '140922200', '沟南乡', 'gounanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922201', '140922', '140922201', '东雷乡', 'dongleixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922202', '140922', '140922202', '高洪口乡', 'gaohongkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922203', '140922', '140922203', '门限石乡', 'menxianshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922204', '140922', '140922204', '陈家庄乡', 'chenjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922205', '140922', '140922205', '建安乡', 'jiananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922206', '140922', '140922206', '神西乡', 'shenxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922207', '140922', '140922207', '蒋坊乡', 'jiangfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922208', '140922', '140922208', '灵境乡', 'lingjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922209', '140922', '140922209', '阳白乡', 'yangbaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922210', '140922', '140922210', '茹村乡', 'rucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922211', '140922', '140922211', '石咀乡', 'shijuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140922212', '140922', '140922212', '金岗库乡', 'jingangkuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923', '1409', '140923', '代县', 'daixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923100', '140923', '140923100', '上馆镇', 'shangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923101', '140923', '140923101', '阳明堡镇', 'yangmingbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923102', '140923', '140923102', '峨口镇', 'ekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923103', '140923', '140923103', '聂营镇', 'nieyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923104', '140923', '140923104', '枣林镇', 'zaolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923105', '140923', '140923105', '滩上镇', 'tanshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923200', '140923', '140923200', '新高乡', 'xingaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923201', '140923', '140923201', '峪口乡', 'yukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923202', '140923', '140923202', '磨坊乡', 'mofangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923203', '140923', '140923203', '胡峪乡', 'huyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140923204', '140923', '140923204', '雁门关乡', 'yanmenguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924', '1409', '140924', '繁峙县', 'fanzhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924100', '140924', '140924100', '繁城镇', 'fanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924101', '140924', '140924101', '砂河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924102', '140924', '140924102', '大营镇', 'dayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924200', '140924', '140924200', '下茹越乡', 'xiaruyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924201', '140924', '140924201', '杏园乡', 'xingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924202', '140924', '140924202', '光裕堡乡', 'guangyubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924203', '140924', '140924203', '集义庄乡', 'jiyizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924204', '140924', '140924204', '东山乡', 'dongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924205', '140924', '140924205', '金山铺乡', 'jinshanpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924206', '140924', '140924206', '柏家庄乡', 'bojiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924207', '140924', '140924207', '横涧乡', 'hengjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924208', '140924', '140924208', '神堂堡乡', 'shentangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140924209', '140924', '140924209', '岩头乡', 'yantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925', '1409', '140925', '宁武县', 'ningwuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925001', '140925', '140925001', '街道', 'jiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925100', '140925', '140925100', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925101', '140925', '140925101', '阳方口镇', 'yangfangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925102', '140925', '140925102', '东寨镇', 'dongzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925103', '140925', '140925103', '石家庄镇', 'shijiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925200', '140925', '140925200', '薛家洼乡', 'xuejiawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925201', '140925', '140925201', '余庄乡', 'yuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925202', '140925', '140925202', '涔山乡', 'censhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925203', '140925', '140925203', '化北屯乡', 'huabeitunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925204', '140925', '140925204', '西马坊乡', 'ximafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925205', '140925', '140925205', '新堡乡', 'xinbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925206', '140925', '140925206', '迭台寺乡', 'dietaisixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925207', '140925', '140925207', '圪廖乡', 'geliaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925208', '140925', '140925208', '怀道乡', 'huaidaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925209', '140925', '140925209', '东马坊乡', 'dongmafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140925400', '140925', '140925400', '阳方口煤矿生活区', 'yangfangkoumeikuangshenghuoqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926', '1409', '140926', '静乐县', 'jinglexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926100', '140926', '140926100', '鹅城镇', 'echengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926101', '140926', '140926101', '杜家村镇', 'dujiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926102', '140926', '140926102', '康家会镇', 'kangjiahuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926103', '140926', '140926103', '丰润镇', 'fengrunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926201', '140926', '140926201', '堂尔上乡', 'tangershangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926202', '140926', '140926202', '中庄乡', 'zhongzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926203', '140926', '140926203', '双路乡', 'shuangluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926204', '140926', '140926204', '段家寨乡', 'duanjiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926205', '140926', '140926205', '辛村乡', 'xincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926206', '140926', '140926206', '王村乡', 'wangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926207', '140926', '140926207', '神峪沟乡', 'shenyugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926208', '140926', '140926208', '娘子神乡', 'niangzishenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926209', '140926', '140926209', '娑婆乡', 'suopoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140926210', '140926', '140926210', '赤泥洼乡', 'chiniwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140927', '1409', '140927', '神池县', 'shenchixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140927100', '140927', '140927100', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140927101', '140927', '140927101', '义井镇', 'yijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140927102', '140927', '140927102', '八角镇', 'bajiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140927200', '140927', '140927200', '东湖乡', 'donghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140927201', '140927', '140927201', '太平庄乡', 'taipingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140927202', '140927', '140927202', '虎北乡', 'hubeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140927203', '140927', '140927203', '贺职乡', 'hezhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140927204', '140927', '140927204', '长畛乡', 'zhangzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140927205', '140927', '140927205', '烈堡乡', 'liebaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140927206', '140927', '140927206', '大严备乡', 'dayanbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928', '1409', '140928', '五寨县', 'wuzhaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928100', '140928', '140928100', '砚城镇', 'yanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928101', '140928', '140928101', '小河头镇', 'xiaohetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928102', '140928', '140928102', '三岔镇', 'sanchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928200', '140928', '140928200', '前所乡', 'qiansuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928201', '140928', '140928201', '李家坪乡', 'lijiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928202', '140928', '140928202', '孙家坪乡', 'sunjiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928203', '140928', '140928203', '梁家坪乡', 'liangjiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928204', '140928', '140928204', '胡会乡', 'huhuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928205', '140928', '140928205', '新寨乡', 'xinzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928206', '140928', '140928206', '韩家楼乡', 'hanjialouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928207', '140928', '140928207', '东秀庄乡', 'dongxiuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140928208', '140928', '140928208', '杏岭子乡', 'xinglingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929', '1409', '140929', '岢岚县', 'kelanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929100', '140929', '140929100', '岚漪镇', 'lanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929101', '140929', '140929101', '三井镇', 'sanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929200', '140929', '140929200', '神堂坪乡', 'shentangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929201', '140929', '140929201', '高家会乡', 'gaojiahuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929202', '140929', '140929202', '李家沟乡', 'lijiagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929203', '140929', '140929203', '水峪贯乡', 'shuiyuguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929204', '140929', '140929204', '西豹峪乡', 'xibaoyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929205', '140929', '140929205', '温泉乡', 'wenquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929206', '140929', '140929206', '阳坪乡', 'yangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929207', '140929', '140929207', '大涧乡', 'dajianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929208', '140929', '140929208', '宋家沟乡', 'songjiagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140929209', '140929', '140929209', '王家岔乡', 'wangjiachaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930', '1409', '140930', '河曲县', 'hequxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930100', '140930', '140930100', '文笔镇', 'wenbizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930101', '140930', '140930101', '楼子营镇', 'louziyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930102', '140930', '140930102', '刘家塔镇', 'liujiatazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930103', '140930', '140930103', '巡镇镇', 'xunzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930200', '140930', '140930200', '鹿固乡', 'luguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930201', '140930', '140930201', '前川乡', 'qianchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930202', '140930', '140930202', '单寨乡', 'danzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930203', '140930', '140930203', '土沟乡', 'tugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930204', '140930', '140930204', '旧县乡', 'jiuxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930205', '140930', '140930205', '沙坪乡', 'shapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930206', '140930', '140930206', '社梁乡', 'sheliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930207', '140930', '140930207', '沙泉乡', 'shaquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140930208', '140930', '140930208', '赵家沟乡', 'zhaojiagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931', '1409', '140931', '保德县', 'baodexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931100', '140931', '140931100', '东关镇', 'dongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931101', '140931', '140931101', '义门镇', 'yimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931102', '140931', '140931102', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931103', '140931', '140931103', '杨家湾镇', 'yangjiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931200', '140931', '140931200', '腰庄乡', 'yaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931201', '140931', '140931201', '韩家川乡', 'hanjiachuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931202', '140931', '140931202', '林遮峪乡', 'linzheyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931203', '140931', '140931203', '冯家川乡', 'fengjiachuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931204', '140931', '140931204', '土崖塔乡', 'tuyataxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931205', '140931', '140931205', '孙家沟乡', 'sunjiagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931206', '140931', '140931206', '窑洼乡', 'yaowaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931207', '140931', '140931207', '尧圪台乡', 'yaogetaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140931208', '140931', '140931208', '南河沟乡', 'nanhegouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140932', '1409', '140932', '偏关县', 'pianguanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140932100', '140932', '140932100', '新关镇', 'xinguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140932101', '140932', '140932101', '天峰坪镇', 'tianfengpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140932102', '140932', '140932102', '老营镇', 'laoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140932103', '140932', '140932103', '万家寨镇', 'wanjiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140932200', '140932', '140932200', '窑头乡', 'yaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140932201', '140932', '140932201', '楼沟乡', 'lougouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140932202', '140932', '140932202', '尚峪乡', 'shangyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140932203', '140932', '140932203', '南堡子乡', 'nanbaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140932204', '140932', '140932204', '水泉乡', 'shuiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140932205', '140932', '140932205', '陈家营乡', 'chenjiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981', '1409', '140981', '原平市', 'yuanpingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981001', '140981', '140981001', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981002', '140981', '140981002', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981100', '140981', '140981100', '东社镇', 'dongshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981101', '140981', '140981101', '苏龙口镇', 'sulongkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981102', '140981', '140981102', '崞阳镇', 'guoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981103', '140981', '140981103', '大牛店镇', 'daniudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981104', '140981', '140981104', '闫庄镇', 'yanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981105', '140981', '140981105', '长梁沟镇', 'zhanglianggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981106', '140981', '140981106', '轩岗镇', 'xuangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981200', '140981', '140981200', '新原乡', 'xinyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981201', '140981', '140981201', '南白乡', 'nanbaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981202', '140981', '140981202', '子干乡', 'ziganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981203', '140981', '140981203', '中阳乡', 'zhongyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981204', '140981', '140981204', '沿沟乡', 'yangouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981205', '140981', '140981205', '大林乡', 'dalinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981206', '140981', '140981206', '西镇乡', 'xizhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981207', '140981', '140981207', '解村乡', 'jiecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981208', '140981', '140981208', '王家庄乡', 'wangjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981209', '140981', '140981209', '楼板寨乡', 'loubanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981210', '140981', '140981210', '段家堡乡', 'duanjiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981400', '140981', '140981400', '山西鲁能晋北铝业工矿区', 'shanxilunengjinbeilu:yegongkuangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('140981401', '140981', '140981401', '原平市石豹沟煤矿工矿区', 'yuanpingshishibaogoumeikuanggongkuangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1410', '14', '1410', '临汾市', 'linfenshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141001', '1410', '141001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002', '1410', '141002', '尧都区', 'yaodouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002001', '141002', '141002001', '解放路街道', 'jiefanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002002', '141002', '141002002', '鼓楼西街街道', 'gulouxijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002003', '141002', '141002003', '水塔街街道', 'shuitajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002004', '141002', '141002004', '南街街道', 'nanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002005', '141002', '141002005', '乡贤街街道', 'xiangxianjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002006', '141002', '141002006', '辛寺街街道', 'xinsijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002007', '141002', '141002007', '铁路东街道', 'tieludongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002008', '141002', '141002008', '车站街街道', 'chezhanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002009', '141002', '141002009', '汾河街道', 'fenhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002100', '141002', '141002100', '屯里镇', 'tunlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002101', '141002', '141002101', '乔李镇', 'qiaolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002102', '141002', '141002102', '大阳镇', 'dayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002103', '141002', '141002103', '县底镇', 'xiandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002104', '141002', '141002104', '刘村镇', 'liucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002105', '141002', '141002105', '金殿镇', 'jindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002106', '141002', '141002106', '吴村镇', 'wucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002107', '141002', '141002107', '土门镇', 'tumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002108', '141002', '141002108', '魏村镇', 'weicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002109', '141002', '141002109', '尧庙镇', 'yaomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002200', '141002', '141002200', '段店乡', 'duandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002201', '141002', '141002201', '贾得乡', 'jiadexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002202', '141002', '141002202', '贺家庄乡', 'hejiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002203', '141002', '141002203', '一平垣乡', 'yipingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002204', '141002', '141002204', '枕头乡', 'zhentouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002205', '141002', '141002205', '河底乡', 'hedixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141002400', '141002', '141002400', '滨河办事处(临汾经济开发区)', 'binhebanshichu(linfenjingjikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141021', '1410', '141021', '曲沃县', 'quwoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141021100', '141021', '141021100', '乐昌镇', 'lechangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141021101', '141021', '141021101', '史村镇', 'shicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141021102', '141021', '141021102', '曲村镇', 'qucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141021103', '141021', '141021103', '高显镇', 'gaoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141021104', '141021', '141021104', '里村镇', 'licunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141021200', '141021', '141021200', '北董乡', 'beidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141021201', '141021', '141021201', '杨谈乡', 'yangtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141022', '1410', '141022', '翼城县', 'yichengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141022100', '141022', '141022100', '唐兴镇', 'tangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141022101', '141022', '141022101', '南梁镇', 'nanliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141022102', '141022', '141022102', '里寨镇', 'lizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141022103', '141022', '141022103', '隆化镇', 'longhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141022104', '141022', '141022104', '桥上镇', 'qiaoshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141022105', '141022', '141022105', '西闫镇', 'xiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141022200', '141022', '141022200', '中卫乡', 'zhongweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141022201', '141022', '141022201', '南唐乡', 'nantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141022202', '141022', '141022202', '王庄乡', 'wangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141022203', '141022', '141022203', '浇底乡', 'jiaodixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023', '1410', '141023', '襄汾县', 'xiangfenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023100', '141023', '141023100', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023101', '141023', '141023101', '赵康镇', 'zhaokangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023102', '141023', '141023102', '汾城镇', 'fenchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023103', '141023', '141023103', '南贾镇', 'nanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023104', '141023', '141023104', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023105', '141023', '141023105', '襄陵镇', 'xianglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023106', '141023', '141023106', '邓庄镇', 'dengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023200', '141023', '141023200', '陶寺乡', 'taosixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023201', '141023', '141023201', '永固乡', 'yongguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023202', '141023', '141023202', '景毛乡', 'jingmaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023203', '141023', '141023203', '西贾乡', 'xijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023204', '141023', '141023204', '南辛店乡', 'nanxindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141023205', '141023', '141023205', '大邓乡', 'dadengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024', '1410', '141024', '洪洞县', 'hongdongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024100', '141024', '141024100', '大槐树镇', 'dahuaishuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024101', '141024', '141024101', '甘亭镇', 'gantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024102', '141024', '141024102', '曲亭镇', 'qutingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024103', '141024', '141024103', '苏堡镇', 'subaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024104', '141024', '141024104', '广胜寺镇', 'guangshengsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024105', '141024', '141024105', '明姜镇', 'mingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024106', '141024', '141024106', '赵城镇', 'zhaochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024107', '141024', '141024107', '万安镇', 'wananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024108', '141024', '141024108', '刘家垣镇', 'liujiayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024200', '141024', '141024200', '淹底乡', 'yandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024201', '141024', '141024201', '兴唐寺乡', 'xingtangsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024202', '141024', '141024202', '堤村乡', 'dicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024203', '141024', '141024203', '辛村乡', 'xincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024204', '141024', '141024204', '龙马乡', 'longmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024205', '141024', '141024205', '山头乡', 'shantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141024206', '141024', '141024206', '左木乡', 'zuomuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141025', '1410', '141025', '古县', 'guxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141025100', '141025', '141025100', '岳阳镇', 'yueyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141025101', '141025', '141025101', '北平镇', 'beipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141025102', '141025', '141025102', '古阳镇', 'guyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141025103', '141025', '141025103', '旧县镇', 'jiuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141025200', '141025', '141025200', '石壁乡', 'shibixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141025201', '141025', '141025201', '永乐乡', 'yonglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141025202', '141025', '141025202', '南垣乡', 'nanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141026', '1410', '141026', '安泽县', 'anzexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141026100', '141026', '141026100', '府城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141026101', '141026', '141026101', '和川镇', 'hechuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141026102', '141026', '141026102', '唐城镇', 'tangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141026103', '141026', '141026103', '冀氏镇', 'jishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141026200', '141026', '141026200', '马必乡', 'mabixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141026201', '141026', '141026201', '杜村乡', 'ducunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141026202', '141026', '141026202', '良马乡', 'liangmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141027', '1410', '141027', '浮山县', 'fushanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141027100', '141027', '141027100', '天坛镇', 'tiantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141027101', '141027', '141027101', '响水河镇', 'xiangshuihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141027200', '141027', '141027200', '张庄乡', 'zhangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141027201', '141027', '141027201', '东张乡', 'dongzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141027202', '141027', '141027202', '槐埝乡', 'huainianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141027203', '141027', '141027203', '北王乡', 'beiwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141027204', '141027', '141027204', '北韩乡', 'beihanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141027205', '141027', '141027205', '米家垣乡', 'mijiayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141027206', '141027', '141027206', '寨圪塔乡', 'zhaigetaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141028', '1410', '141028', '吉县', 'jixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141028100', '141028', '141028100', '吉昌镇', 'jichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141028101', '141028', '141028101', '屯里镇', 'tunlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141028102', '141028', '141028102', '壶口镇', 'hukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141028200', '141028', '141028200', '车城乡', 'chechengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141028201', '141028', '141028201', '文城乡', 'wenchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141028202', '141028', '141028202', '东城乡', 'dongchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141028203', '141028', '141028203', '柏山寺乡', 'boshansixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141028204', '141028', '141028204', '中垛乡', 'zhongduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141029', '1410', '141029', '乡宁县', 'xiangningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141029100', '141029', '141029100', '昌宁镇', 'changningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141029101', '141029', '141029101', '光华镇', 'guanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141029102', '141029', '141029102', '台头镇', 'taitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141029103', '141029', '141029103', '管头镇', 'guantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141029104', '141029', '141029104', '西坡镇', 'xipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141029200', '141029', '141029200', '双鹤乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141029201', '141029', '141029201', '关王庙乡', 'guanwangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141029202', '141029', '141029202', '尉庄乡', 'weizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141029203', '141029', '141029203', '西交口乡', 'xijiaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141029204', '141029', '141029204', '枣岭乡', 'zaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141030', '1410', '141030', '大宁县', 'daningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141030100', '141030', '141030100', '昕水镇', 'xinshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141030101', '141030', '141030101', '曲峨镇', 'quezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141030200', '141030', '141030200', '三多乡', 'sanduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141030201', '141030', '141030201', '太德乡', 'taidexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141030202', '141030', '141030202', '徐家垛乡', 'xujiaduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141030203', '141030', '141030203', '太古乡', 'taiguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141031', '1410', '141031', '隰县', 'xixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141031100', '141031', '141031100', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141031101', '141031', '141031101', '午城镇', 'wuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141031102', '141031', '141031102', '黄土镇', 'huangtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141031200', '141031', '141031200', '阳头升乡', 'yangtoushengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141031201', '141031', '141031201', '寨子乡', 'zhaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141031202', '141031', '141031202', '陡坡乡', 'doupoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141031203', '141031', '141031203', '下李乡', 'xialixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141031204', '141031', '141031204', '城南乡', 'chengnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141032', '1410', '141032', '永和县', 'yonghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141032100', '141032', '141032100', '芝河镇', 'zhihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141032101', '141032', '141032101', '桑壁镇', 'sangbizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141032200', '141032', '141032200', '阁底乡', 'gedixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141032201', '141032', '141032201', '南庄乡', 'nanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141032202', '141032', '141032202', '打石腰乡', 'dashiyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141032203', '141032', '141032203', '坡头乡', 'potouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141032204', '141032', '141032204', '交口乡', 'jiaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141033', '1410', '141033', '蒲县', 'puxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141033100', '141033', '141033100', '蒲城镇', 'puchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141033101', '141033', '141033101', '薛关镇', 'xueguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141033102', '141033', '141033102', '黑龙关镇', 'heilongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141033103', '141033', '141033103', '克城镇', 'kechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141033200', '141033', '141033200', '山中乡', 'shanzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141033201', '141033', '141033201', '古县乡', 'guxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141033202', '141033', '141033202', '红道乡', 'hongdaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141033203', '141033', '141033203', '乔家湾乡', 'qiaojiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141033204', '141033', '141033204', '太林乡', 'tailinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141034', '1410', '141034', '汾西县', 'fenxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141034100', '141034', '141034100', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141034101', '141034', '141034101', '对竹镇', 'duizhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141034102', '141034', '141034102', '勍香镇', 'qingxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141034103', '141034', '141034103', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141034104', '141034', '141034104', '僧念镇', 'sengnianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141034200', '141034', '141034200', '佃坪乡', 'dianpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141034201', '141034', '141034201', '团柏乡', 'tuanboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141034202', '141034', '141034202', '邢家要乡', 'xingjiayaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141081', '1410', '141081', '侯马市', 'houmashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141081001', '141081', '141081001', '路东街道', 'ludongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141081002', '141081', '141081002', '路西街道', 'luxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141081003', '141081', '141081003', '浍滨街道', 'huibinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141081004', '141081', '141081004', '上马街道', 'shangmajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141081005', '141081', '141081005', '张村街道', 'zhangcunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141081200', '141081', '141081200', '新田乡', 'xintianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141081201', '141081', '141081201', '高村乡', 'gaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141081202', '141081', '141081202', '凤城乡', 'fengchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082', '1410', '141082', '霍州市', 'huozhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082001', '141082', '141082001', '鼓楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082002', '141082', '141082002', '北环路街道', 'beihuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082003', '141082', '141082003', '南环路街道', 'nanhuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082004', '141082', '141082004', '开元街道办事', 'kaiyuanjiedaobanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082005', '141082', '141082005', '退沙街道', 'tuishajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082100', '141082', '141082100', '白龙镇', 'bailongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082101', '141082', '141082101', '辛置镇', 'xinzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082102', '141082', '141082102', '大张镇', 'dazhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082103', '141082', '141082103', '李曹镇', 'licaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082200', '141082', '141082200', '陶唐峪乡', 'taotangyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082201', '141082', '141082201', '三教乡', 'sanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141082202', '141082', '141082202', '师庄乡', 'shizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1411', '14', '1411', '吕梁市', 'lu:liangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141101', '1411', '141101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102', '1411', '141102', '离石区', 'lishiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102001', '141102', '141102001', '滨河街道', 'binhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102002', '141102', '141102002', '凤山街道', 'fengshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102003', '141102', '141102003', '莲花池街道', 'lianhuachijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102004', '141102', '141102004', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102005', '141102', '141102005', '田家会街道', 'tianjiahuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102006', '141102', '141102006', '交口街道', 'jiaokoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102007', '141102', '141102007', '西属巴街道', 'xishubajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102100', '141102', '141102100', '吴城镇', 'wuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102101', '141102', '141102101', '信义镇', 'xinyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102200', '141102', '141102200', '红眼川乡', 'hongyanchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102201', '141102', '141102201', '枣林乡', 'zaolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141102202', '141102', '141102202', '坪头乡', 'pingtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121', '1411', '141121', '文水县', 'wenshuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121100', '141121', '141121100', '凤城镇', 'fengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121101', '141121', '141121101', '开栅镇', 'kaizhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121102', '141121', '141121102', '南庄镇', 'nanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121103', '141121', '141121103', '南安镇', 'nananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121104', '141121', '141121104', '刘胡兰镇', 'liuhulanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121105', '141121', '141121105', '下曲镇', 'xiaquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121106', '141121', '141121106', '孝义镇', 'xiaoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121200', '141121', '141121200', '南武乡', 'nanwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121201', '141121', '141121201', '西城乡', 'xichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121202', '141121', '141121202', '北张乡', 'beizhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121203', '141121', '141121203', '马西乡', 'maxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141121204', '141121', '141121204', '西槽头乡', 'xicaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141122', '1411', '141122', '交城县', 'jiaochengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141122100', '141122', '141122100', '天宁镇', 'tianningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141122101', '141122', '141122101', '夏家营镇', 'xiajiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141122102', '141122', '141122102', '西营镇', 'xiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141122103', '141122', '141122103', '水峪贯镇', 'shuiyuguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141122104', '141122', '141122104', '西社镇', 'xishezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141122105', '141122', '141122105', '庞泉沟镇', 'pangquangouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141122200', '141122', '141122200', '洪相乡', 'hongxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141122201', '141122', '141122201', '岭底乡', 'lingdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141122202', '141122', '141122202', '东坡底乡', 'dongpodixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141122203', '141122', '141122203', '会立乡', 'huilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123', '1411', '141123', '兴县', 'xingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123100', '141123', '141123100', '蔚汾镇', 'yufenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123101', '141123', '141123101', '魏家滩镇', 'weijiatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123102', '141123', '141123102', '瓦塘镇', 'watangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123103', '141123', '141123103', '康宁镇', 'kangningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123104', '141123', '141123104', '高家村镇', 'gaojiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123105', '141123', '141123105', '罗峪口镇', 'luoyukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123106', '141123', '141123106', '蔡家会镇', 'caijiahuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123200', '141123', '141123200', '交楼申乡', 'jiaoloushenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123201', '141123', '141123201', '恶虎滩乡', 'ehutanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123202', '141123', '141123202', '东会乡', 'donghuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123203', '141123', '141123203', '固贤乡', 'guxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123204', '141123', '141123204', '奥家湾乡', 'aojiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123205', '141123', '141123205', '蔡家崖乡', 'caijiayaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123206', '141123', '141123206', '贺家会乡', 'hejiahuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123207', '141123', '141123207', '孟家坪乡', 'mengjiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123208', '141123', '141123208', '赵家坪乡', 'zhaojiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141123209', '141123', '141123209', '圪垯上乡', 'gedashangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124', '1411', '141124', '临县', 'linxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124100', '141124', '141124100', '临泉镇', 'linquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124101', '141124', '141124101', '白文镇', 'baiwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124102', '141124', '141124102', '城庄镇', 'chengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124103', '141124', '141124103', '兔坂镇', 'tubanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124104', '141124', '141124104', '克虎镇', 'kehuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124105', '141124', '141124105', '三交镇', 'sanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124106', '141124', '141124106', '湍水头镇', 'tuanshuitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124107', '141124', '141124107', '林家坪镇', 'linjiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124108', '141124', '141124108', '招贤镇', 'zhaoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124109', '141124', '141124109', '碛口镇', 'qikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124110', '141124', '141124110', '刘家会镇', 'liujiahuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124111', '141124', '141124111', '丛罗峪镇', 'congluoyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124112', '141124', '141124112', '曲峪镇', 'quyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124200', '141124', '141124200', '木瓜坪乡', 'muguapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124201', '141124', '141124201', '安业乡', 'anyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124202', '141124', '141124202', '玉坪乡', 'yupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124203', '141124', '141124203', '青凉寺乡', 'qingliangsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124204', '141124', '141124204', '石白头乡', 'shibaitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124205', '141124', '141124205', '雷家碛乡', 'leijiaqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124206', '141124', '141124206', '第八堡乡', 'dibabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124207', '141124', '141124207', '大禹乡', 'dayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124208', '141124', '141124208', '车赶乡', 'cheganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141124209', '141124', '141124209', '安家庄乡', 'anjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125', '1411', '141125', '柳林县', 'liulinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125100', '141125', '141125100', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125101', '141125', '141125101', '穆村镇', 'mucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125102', '141125', '141125102', '薛村镇', 'xuecunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125103', '141125', '141125103', '庄上镇', 'zhuangshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125104', '141125', '141125104', '留誉镇', 'liuyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125105', '141125', '141125105', '三交镇', 'sanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125106', '141125', '141125106', '成家庄镇', 'chengjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125107', '141125', '141125107', '孟门镇', 'mengmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125200', '141125', '141125200', '李家湾乡', 'lijiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125201', '141125', '141125201', '贾家垣乡', 'jiajiayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125202', '141125', '141125202', '陈家湾乡', 'chenjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125203', '141125', '141125203', '金家庄乡', 'jinjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125204', '141125', '141125204', '高家沟乡', 'gaojiagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125205', '141125', '141125205', '石西乡', 'shixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141125206', '141125', '141125206', '王家沟乡', 'wangjiagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141126', '1411', '141126', '石楼县', 'shilouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141126100', '141126', '141126100', '灵泉镇', 'lingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141126101', '141126', '141126101', '罗村镇', 'luocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141126102', '141126', '141126102', '义牒镇', 'yidiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141126103', '141126', '141126103', '小蒜镇', 'xiaosuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141126200', '141126', '141126200', '龙交乡', 'longjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141126201', '141126', '141126201', '和合乡', 'hehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141126202', '141126', '141126202', '前山乡', 'qianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141126203', '141126', '141126203', '曹家垣乡', 'caojiayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141126204', '141126', '141126204', '裴沟乡', 'peigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127', '1411', '141127', '岚县', 'lanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127100', '141127', '141127100', '东村镇', 'dongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127101', '141127', '141127101', '岚城镇', 'lanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127102', '141127', '141127102', '普明镇', 'pumingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127103', '141127', '141127103', '界河口镇', 'jiehekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127200', '141127', '141127200', '土峪乡', 'tuyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127201', '141127', '141127201', '上明乡', 'shangmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127202', '141127', '141127202', '王狮乡', 'wangshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127203', '141127', '141127203', '梁家庄乡', 'liangjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127204', '141127', '141127204', '顺会乡', 'shunhuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127205', '141127', '141127205', '河口乡', 'hekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127206', '141127', '141127206', '社科乡', 'shekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141127207', '141127', '141127207', '大蛇头乡', 'dashetouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141128', '1411', '141128', '方山县', 'fangshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141128100', '141128', '141128100', '圪洞镇', 'gedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141128101', '141128', '141128101', '马坊镇', 'mafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141128102', '141128', '141128102', '峪口镇', 'yukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141128103', '141128', '141128103', '大武镇', 'dawuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141128104', '141128', '141128104', '北武当镇', 'beiwudangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141128200', '141128', '141128200', '积翠乡', 'jicuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141128201', '141128', '141128201', '麻地会乡', 'madihuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141129', '1411', '141129', '中阳县', 'zhongyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141129100', '141129', '141129100', '宁乡镇', 'ningxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141129101', '141129', '141129101', '金罗镇', 'jinluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141129102', '141129', '141129102', '枝柯镇', 'zhikezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141129103', '141129', '141129103', '武家庄镇', 'wujiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141129104', '141129', '141129104', '暖泉镇', 'nuanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141129200', '141129', '141129200', '张子山乡', 'zhangzishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141129201', '141129', '141129201', '下枣林乡', 'xiazaolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141130', '1411', '141130', '交口县', 'jiaokouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141130100', '141130', '141130100', '水头镇', 'shuitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141130101', '141130', '141130101', '康城镇', 'kangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141130102', '141130', '141130102', '双池镇', 'shuangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141130103', '141130', '141130103', '桃红坡镇', 'taohongpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141130200', '141130', '141130200', '石口乡', 'shikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141130201', '141130', '141130201', '回龙乡', 'huilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141130202', '141130', '141130202', '温泉乡', 'wenquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181', '1411', '141181', '孝义市', 'xiaoyishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181001', '141181', '141181001', '新义街道', 'xinyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181002', '141181', '141181002', '中阳楼街道', 'zhongyangloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181003', '141181', '141181003', '振兴街道', 'zhenxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181004', '141181', '141181004', '东许街道', 'dongxujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181100', '141181', '141181100', '兑镇镇', 'duizhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181101', '141181', '141181101', '阳泉曲镇', 'yangquanquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181102', '141181', '141181102', '下堡镇', 'xiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181103', '141181', '141181103', '西辛庄镇', 'xixinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181104', '141181', '141181104', '高阳镇', 'gaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181105', '141181', '141181105', '梧桐镇', 'wutongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181106', '141181', '141181106', '柱濮镇', 'zhupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181200', '141181', '141181200', '大孝堡乡', 'daxiaobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181201', '141181', '141181201', '下栅乡', 'xiazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181202', '141181', '141181202', '驿马乡', 'yimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181203', '141181', '141181203', '南阳乡', 'nanyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141181204', '141181', '141181204', '杜村乡', 'ducunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182', '1411', '141182', '汾阳市', 'fenyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182001', '141182', '141182001', '文峰街道', 'wenfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182002', '141182', '141182002', '太和桥街道', 'taiheqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182100', '141182', '141182100', '贾家庄镇', 'jiajiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182101', '141182', '141182101', '杏花村镇', 'xinghuacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182102', '141182', '141182102', '冀村镇', 'jicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182103', '141182', '141182103', '肖家庄镇', 'xiaojiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182104', '141182', '141182104', '演武镇', 'yanwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182105', '141182', '141182105', '三泉镇', 'sanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182106', '141182', '141182106', '石庄镇', 'shizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182107', '141182', '141182107', '杨家庄镇', 'yangjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182108', '141182', '141182108', '峪道河镇', 'yudaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182200', '141182', '141182200', '西河乡', 'xihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182201', '141182', '141182201', '阳城乡', 'yangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('141182202', '141182', '141182202', '栗家庄乡', 'lijiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('15', '-1', '15', '内蒙古自治区', 'neimengguzizhiqu', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1501', '15', '1501', '呼和浩特市', 'huhehaoteshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150101', '1501', '150101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150102', '1501', '150102', '新城区', 'xinchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150102001', '150102', '150102001', '海拉尔东路街道', 'hailaerdonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150102002', '150102', '150102002', '锡林路', 'xilinlu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150102003', '150102', '150102003', '中山东路街道', 'zhongshandonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150102004', '150102', '150102004', '东街街道', 'dongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150102005', '150102', '150102005', '西街街道', 'xijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150102006', '150102', '150102006', '东风路街道', 'dongfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150102007', '150102', '150102007', '迎新路街道', 'yingxinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150102100', '150102', '150102100', '毫沁营镇', 'haoqinyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150102101', '150102', '150102101', '保合少镇', 'baoheshaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150102400', '150102', '150102400', '新城区鸿盛高科技园区', 'xinchengquhongshenggaokejiyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150103', '1501', '150103', '回民区', 'huiminqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150103001', '150103', '150103001', '新华西路', 'xinhuaxilu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150103002', '150103', '150103002', '中山西路', 'zhongshanxilu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150103003', '150103', '150103003', '光明路', 'guangminglu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150103004', '150103', '150103004', '海拉尔西路', 'hailaerxilu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150103005', '150103', '150103005', '环河街', 'huanhejie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150103006', '150103', '150103006', '通道街', 'tongdaojie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150103007', '150103', '150103007', '钢铁路', 'gangtielu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150103100', '150103', '150103100', '攸攸板镇', 'youyoubanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150104', '1501', '150104', '玉泉区', 'yuquanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150104001', '150104', '150104001', '小召前街', 'xiaozhaoqianjie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150104002', '150104', '150104002', '兴隆巷', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150104003', '150104', '150104003', '长和廊', 'zhanghelang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150104004', '150104', '150104004', '石东路', 'shidonglu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150104005', '150104', '150104005', '大南街', 'dananjie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150104006', '150104', '150104006', '鄂尔多斯路', 'eerduosilu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150104007', '150104', '150104007', '西菜园', 'xicaiyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150104100', '150104', '150104100', '小黑河镇', 'xiaoheihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105', '1501', '150105', '赛罕区', 'saihanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105001', '150105', '150105001', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105002', '150105', '150105002', '大学西路街道', 'daxuexilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105003', '150105', '150105003', '乌兰察布路街道', 'wulanchabulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105004', '150105', '150105004', '大学东路街道', 'daxuedonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105005', '150105', '150105005', '中专路街道', 'zhongzhuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105100', '150105', '150105100', '巧报镇', 'qiaobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105101', '150105', '150105101', '榆林镇', 'yulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105102', '150105', '150105102', '巴彦镇', 'bayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105103', '150105', '150105103', '黄合少镇', 'huangheshaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105104', '150105', '150105104', '金河镇', 'jinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105201', '150105', '150105201', '西把栅乡', 'xibazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150105400', '150105', '150105400', '金桥经济技术开发区', 'jinqiaojingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121', '1501', '150121', '土左旗', 'tuzuoqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121100', '150121', '150121100', '察素齐镇', 'chasuqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121101', '150121', '150121101', '毕克齐镇', 'bikeqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121102', '150121', '150121102', '善岱镇', 'shandaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121103', '150121', '150121103', '台阁牧镇', 'taigemuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121104', '150121', '150121104', '白庙子镇', 'baimiaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121203', '150121', '150121203', '沙尔沁乡', 'shaerqinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121207', '150121', '150121207', '北什轴乡', 'beishenzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121208', '150121', '150121208', '塔布赛乡', 'tabusaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121212', '150121', '150121212', '只几梁乡', 'zhijiliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121400', '150121', '150121400', '呼和浩特经济技术开发区金川区', 'huhehaotejingjijishukaifaqujinchuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150121401', '150121', '150121401', '呼和浩特金山经济技术开发区', 'huhehaotejinshanjingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150122', '1501', '150122', '托克托县', 'tuoketuoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150122100', '150122', '150122100', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150122101', '150122', '150122101', '新营子镇', 'xinyingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150122102', '150122', '150122102', '五申镇', 'wushenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150122103', '150122', '150122103', '伍什家镇', 'wushenjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150122104', '150122', '150122104', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150123', '1501', '150123', '和林格尔县', 'helingeerxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150123100', '150123', '150123100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150123101', '150123', '150123101', '盛乐镇', 'shenglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150123102', '150123', '150123102', '新店子镇', 'xindianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150123203', '150123', '150123203', '舍必崖乡', 'shebiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150123205', '150123', '150123205', '大红城乡', 'dahongchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150123206', '150123', '150123206', '羊群沟乡', 'yangqungouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150123207', '150123', '150123207', '黑老夭乡', 'heilaoyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150123400', '150123', '150123400', '盛乐经济工业园区', 'shenglejingjigongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150124', '1501', '150124', '清水河县', 'qingshuihexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150124100', '150124', '150124100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150124101', '150124', '150124101', '宏河镇', 'honghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150124102', '150124', '150124102', '喇嘛湾镇', 'lamawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150124200', '150124', '150124200', '窑沟乡', 'yaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150124201', '150124', '150124201', '北堡乡', 'beibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150124202', '150124', '150124202', '韮菜庄乡', 'jiucaizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150125', '1501', '150125', '武川县', 'wuchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150125100', '150125', '150125100', '可镇', 'kezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150125101', '150125', '150125101', '哈乐镇', 'halezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150125102', '150125', '150125102', '西乌兰不浪镇', 'xiwulanbulangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150125200', '150125', '150125200', '大青山乡', 'daqingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150125205', '150125', '150125205', '上秃亥乡', 'shangtuhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150125207', '150125', '150125207', '德胜沟乡', 'deshenggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150125211', '150125', '150125211', '二份子乡', 'erfenzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150125213', '150125', '150125213', '哈拉合少乡', 'halaheshaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150125400', '150125', '150125400', '工业园区', 'gongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1502', '15', '1502', '包头市', 'baotoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150201', '1502', '150201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202', '1502', '150202', '东河区', 'donghequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202001', '150202', '150202001', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202002', '150202', '150202002', '财神庙街道', 'caishenmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202003', '150202', '150202003', '西脑包街道', 'xinaobaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202004', '150202', '150202004', '南门外街道', 'nanmenwaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202005', '150202', '150202005', '南圪洞街道', 'nangedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202006', '150202', '150202006', '东站街道', 'dongzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202007', '150202', '150202007', '回民街道', 'huiminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202008', '150202', '150202008', '二里半街道', 'erlibanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202009', '150202', '150202009', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202010', '150202', '150202010', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202011', '150202', '150202011', '东兴街道', 'dongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202012', '150202', '150202012', '杨圪楞街道', 'yanggelengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150202100', '150202', '150202100', '河东镇', 'hedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203', '1502', '150203', '昆都仑区', 'kundoulunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203001', '150203', '150203001', '少先路街道', 'shaoxianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203002', '150203', '150203002', '张家营子街道', 'zhangjiayingzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203003', '150203', '150203003', '沼潭街道', 'zhaotanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203004', '150203', '150203004', '林荫路街道', 'linyinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203005', '150203', '150203005', '友谊大街街道', 'youyidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203006', '150203', '150203006', '阿尔丁大街街道', 'aerdingdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203007', '150203', '150203007', '团结大街街道', 'tuanjiedajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203008', '150203', '150203008', '鞍山道街道', 'anshandaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203009', '150203', '150203009', '前进道街道', 'qianjindaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203010', '150203', '150203010', '市府东路街道', 'shifudonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203011', '150203', '150203011', '白云路街道', 'baiyunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203012', '150203', '150203012', '黄河西路街道', 'huanghexilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203013', '150203', '150203013', '昆工路街道', 'kungonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203100', '150203', '150203100', '昆河镇', 'kunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150203400', '150203', '150203400', '包钢厂区虚拟', 'baogangchangquxuni', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204', '1502', '150204', '青山区', 'qingshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204001', '150204', '150204001', '先锋道街道', 'xianfengdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204002', '150204', '150204002', '幸福路街道', 'xingfulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204003', '150204', '150204003', '万青路街道', 'wanqinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204004', '150204', '150204004', '富强路街道', 'fuqianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204005', '150204', '150204005', '科学路街道', 'kexuelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204006', '150204', '150204006', '青山路街道', 'qingshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204007', '150204', '150204007', '自由路街道', 'ziyoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204008', '150204', '150204008', '乌素图街道', 'wusutujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204100', '150204', '150204100', '青福镇', 'qingfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204103', '150204', '150204103', '万水泉镇', 'wanshuiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150204400', '150204', '150204400', '包头稀土高新区新建区虚拟', 'baotouxitugaoxinquxinjianquxuni', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150205', '1502', '150205', '石拐区', 'shiguaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150205001', '150205', '150205001', '石拐街道', 'shiguaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150205002', '150205', '150205002', '大发街道', 'dafajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150205003', '150205', '150205003', '大磁街道', 'dacijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150205004', '150205', '150205004', '五当沟街道', 'wudanggoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150205005', '150205', '150205005', '白狐沟街道', 'baihugoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150205101', '150205', '150205101', '五当召镇', 'wudangzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150206', '1502', '150206', '白云鄂博矿区', 'baiyunebokuangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150206001', '150206', '150206001', '矿山路街道', 'kuangshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150206002', '150206', '150206002', '通阳道街道', 'tongyangdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150207', '1502', '150207', '九原区', 'jiuyuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150207001', '150207', '150207001', '沙河街道', 'shahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150207103', '150207', '150207103', '麻池镇', 'machizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150207105', '150207', '150207105', '哈林格尔镇', 'halingeerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150207108', '150207', '150207108', '沙尔沁镇', 'shaerqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150207109', '150207', '150207109', '兴胜镇', 'xingshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150207110', '150207', '150207110', '哈业胡同镇', 'hayehutongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150207202', '150207', '150207202', '阿嘎如泰苏木乡', 'agarutaisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150207500', '150207', '150207500', '包头市国营青年农场', 'baotoushiguoyingqingniannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150207501', '150207', '150207501', '包头市奶业公司', 'baotoushinaiyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150221', '1502', '150221', '土默特右旗', 'tumoteyouqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150221104', '150221', '150221104', '萨拉齐镇', 'salaqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150221105', '150221', '150221105', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150221106', '150221', '150221106', '美岱召镇', 'meidaizhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150221107', '150221', '150221107', '沟门镇', 'goumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150221108', '150221', '150221108', '将军尧镇', 'jiangjunyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150221213', '150221', '150221213', '海子乡', 'haizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150221214', '150221', '150221214', '明沙淖乡', 'mingshanaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150221215', '150221', '150221215', '苏波盖乡', 'subogaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150221500', '150221', '150221500', '九峰山生态管理委员会', 'jiufengshanshengtaiguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150222', '1502', '150222', '固阳县', 'guyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150222102', '150222', '150222102', '金山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150222103', '150222', '150222103', '西斗铺镇', 'xidoupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150222104', '150222', '150222104', '下湿壕镇', 'xiashihaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150222105', '150222', '150222105', '银号镇', 'yinhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150222106', '150222', '150222106', '怀朔镇', 'huaishuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150222107', '150222', '150222107', '兴顺西镇', 'xingshunxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150223', '1502', '150223', '达茂联合旗', 'damaolianheqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150223102', '150223', '150223102', '满都拉镇', 'mandoulazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150223103', '150223', '150223103', '希拉穆仁镇', 'xilamurenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150223104', '150223', '150223104', '百灵庙镇', 'bailingmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150223105', '150223', '150223105', '石宝镇', 'shibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150223106', '150223', '150223106', '乌克忽洞镇', 'wukehudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150223107', '150223', '150223107', '明安镇', 'minganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150223108', '150223', '150223108', '巴音花镇', 'bayinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150223213', '150223', '150223213', '达尔罕苏木乡', 'daerhansumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1503', '15', '1503', '乌海市', 'wuhaishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150301', '1503', '150301', '乌海市辖区', 'wuhaishixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150302', '1503', '150302', '海勃湾区', 'haibowanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150302001', '150302', '150302001', '凤凰岭街道', 'fenghuanglingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150302002', '150302', '150302002', '海北街道', 'haibeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150302003', '150302', '150302003', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150302004', '150302', '150302004', '新华西街道', 'xinhuaxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150302005', '150302', '150302005', '卡布其街道', 'kabuqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150302007', '150302', '150302007', '滨河街道', 'binhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150302101', '150302', '150302101', '千里山镇', 'qianlishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150303', '1503', '150303', '海南区', 'hainanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150303001', '150303', '150303001', '拉僧仲街道', 'lasengzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150303002', '150303', '150303002', '西卓子山街道', 'xizhuozishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150303102', '150303', '150303102', '公乌素镇', 'gongwusuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150303103', '150303', '150303103', '拉僧庙镇', 'lasengmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150303104', '150303', '150303104', '巴音陶亥镇', 'bayintaohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150304', '1503', '150304', '乌达区', 'wudaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150304002', '150304', '150304002', '三道坎街道', 'sandaokanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150304003', '150304', '150304003', '五虎山街道', 'wuhushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150304008', '150304', '150304008', '新达街道', 'xindajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150304009', '150304', '150304009', '巴音赛街道', 'bayinsaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150304010', '150304', '150304010', '梁家沟街道', 'liangjiagoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150304011', '150304', '150304011', '苏海图街道', 'suhaitujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150304012', '150304', '150304012', '滨海街道', 'binhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150304101', '150304', '150304101', '乌兰淖尔镇', 'wulannaoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1504', '15', '1504', '赤峰市', 'chifengshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150401', '1504', '150401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402', '1504', '150402', '红山区', 'hongshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402001', '150402', '150402001', '西屯街道', 'xitunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402002', '150402', '150402002', '三中街街道', 'sanzhongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402003', '150402', '150402003', '永巨街道', 'yongjujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402004', '150402', '150402004', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402005', '150402', '150402005', '南新街街道', 'nanxinjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402006', '150402', '150402006', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402007', '150402', '150402007', '铁南街道', 'tienanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402008', '150402', '150402008', '长青街道', 'zhangqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402009', '150402', '150402009', '哈达街道', 'hadajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402100', '150402', '150402100', '红庙子镇', 'hongmiaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150402102', '150402', '150402102', '文钟镇', 'wenzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150403', '1504', '150403', '元宝山区', 'yuanbaoshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150403001', '150403', '150403001', '西露天街道', 'xilutianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150403002', '150403', '150403002', '平庄城区街道', 'pingzhuangchengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150403100', '150403', '150403100', '风水沟镇', 'fengshuigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150403101', '150403', '150403101', '元宝山镇', 'yuanbaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150403102', '150403', '150403102', '美丽河镇', 'meilihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150403103', '150403', '150403103', '平庄镇', 'pingzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150403104', '150403', '150403104', '五家镇', 'wujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404', '1504', '150404', '松山区', 'songshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404001', '150404', '150404001', '振兴街道', 'zhenxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404002', '150404', '150404002', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404003', '150404', '150404003', '松州街道', 'songzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404004', '150404', '150404004', '铁东街道', 'tiedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404005', '150404', '150404005', '玉龙街道', 'yulongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404006', '150404', '150404006', '富河街道', 'fuhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404007', '150404', '150404007', '兴安街道', 'xinganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404008', '150404', '150404008', '全宁街道', 'quanningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404100', '150404', '150404100', '穆家营子镇', 'mujiayingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404101', '150404', '150404101', '初头朗镇', 'chutoulangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404102', '150404', '150404102', '大庙镇', 'damiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404103', '150404', '150404103', '王府镇', 'wangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404104', '150404', '150404104', '老府镇', 'laofuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404105', '150404', '150404105', '哈拉道口镇', 'haladaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404106', '150404', '150404106', '上官地镇', 'shangguandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404107', '150404', '150404107', '安庆镇', 'anqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404108', '150404', '150404108', '太平地镇', 'taipingdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404200', '150404', '150404200', '当铺地满族乡', 'dangpudimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404201', '150404', '150404201', '夏家店乡', 'xiajiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404202', '150404', '150404202', '城子乡', 'chengzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404203', '150404', '150404203', '大夫营子乡', 'dafuyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150404204', '150404', '150404204', '岗子乡', 'gangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421', '1504', '150421', '阿鲁科尔沁旗', 'alukeerqinqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421001', '150421', '150421001', '天山', 'tianshan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421100', '150421', '150421100', '天山镇', 'tianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421101', '150421', '150421101', '天山口镇', 'tianshankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421102', '150421', '150421102', '双胜镇', 'shuangshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421103', '150421', '150421103', '坤都镇', 'kundouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421104', '150421', '150421104', '巴彦花镇', 'bayanhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421105', '150421', '150421105', '绍根镇', 'shaogenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421200', '150421', '150421200', '新民乡', 'xinminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421201', '150421', '150421201', '先锋乡', 'xianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421202', '150421', '150421202', '罕苏木苏木乡', 'hansumusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421203', '150421', '150421203', '赛汉塔拉苏木乡', 'saihantalasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150421204', '150421', '150421204', '巴拉奇如德苏木乡', 'balaqirudesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422', '1504', '150422', '巴林左旗', 'balinzuoqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422001', '150422', '150422001', '林东西城街道', 'lindongxichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422002', '150422', '150422002', '林东东城街道', 'lindongdongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422100', '150422', '150422100', '林东镇', 'lindongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422101', '150422', '150422101', '隆昌镇', 'longchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422102', '150422', '150422102', '十三敖包镇', 'shisanaobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422103', '150422', '150422103', '碧流台镇', 'biliutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422104', '150422', '150422104', '富河镇', 'fuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422105', '150422', '150422105', '白音诺尔镇', 'baiyinnuoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422106', '150422', '150422106', '哈拉哈达镇', 'halahadazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422200', '150422', '150422200', '查干哈达苏木乡', 'chaganhadasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150422201', '150422', '150422201', '乌兰达坝苏木乡', 'wulandabasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150423', '1504', '150423', '巴林右旗', 'balinyouqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150423100', '150423', '150423100', '大板镇', 'dabanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150423101', '150423', '150423101', '索博日嘎镇', 'suoborigazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150423102', '150423', '150423102', '宝日勿苏镇', 'baoriwusuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150423103', '150423', '150423103', '查干诺尔镇', 'chagannuoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150423104', '150423', '150423104', '查干沐沦镇', 'chaganmulunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150423200', '150423', '150423200', '西拉沐沦苏木乡', 'xilamulunsumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150423201', '150423', '150423201', '巴彦塔拉苏木乡', 'bayantalasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150423202', '150423', '150423202', '幸福之路苏木乡', 'xingfuzhilusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150424', '1504', '150424', '林西县', 'linxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150424001', '150424', '150424001', '林西街道', 'linxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150424100', '150424', '150424100', '林西镇', 'linxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150424101', '150424', '150424101', '新城子镇', 'xinchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150424102', '150424', '150424102', '新林镇', 'xinlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150424103', '150424', '150424103', '五十家子镇', 'wushijiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150424104', '150424', '150424104', '官地镇', 'guandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150424105', '150424', '150424105', '大井镇', 'dajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150424106', '150424', '150424106', '统部镇', 'tongbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150424200', '150424', '150424200', '大营子乡', 'dayingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425', '1504', '150425', '克什克腾旗', 'keshenketengqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425100', '150425', '150425100', '经棚镇', 'jingpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425101', '150425', '150425101', '宇宙地镇', 'yuzhoudizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425102', '150425', '150425102', '土城子镇', 'tuchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425103', '150425', '150425103', '同兴镇', 'tongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425104', '150425', '150425104', '万合永镇', 'wanheyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425105', '150425', '150425105', '芝瑞镇', 'zhiruizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425106', '150425', '150425106', '达来诺日镇', 'dalainuorizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425200', '150425', '150425200', '新开地乡', 'xinkaidixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425201', '150425', '150425201', '红山子乡', 'hongshanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425202', '150425', '150425202', '达日罕乌拉苏木乡', 'darihanwulasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150425203', '150425', '150425203', '巴彦查干苏木乡', 'bayanchagansumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426', '1504', '150426', '翁牛特旗', 'wengniuteqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426100', '150426', '150426100', '乌丹镇', 'wudanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426101', '150426', '150426101', '乌敦套海镇', 'wuduntaohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426102', '150426', '150426102', '五分地镇', 'wufendizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426103', '150426', '150426103', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426104', '150426', '150426104', '广德公镇', 'guangdegongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426105', '150426', '150426105', '梧桐花镇', 'wutonghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426106', '150426', '150426106', '海日苏镇', 'hairisuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426107', '150426', '150426107', '亿合公镇', 'yihegongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426200', '150426', '150426200', '解放营子乡', 'jiefangyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426201', '150426', '150426201', '阿什罕苏木乡', 'ashenhansumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426202', '150426', '150426202', '白音他拉苏木乡', 'baiyintalasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150426203', '150426', '150426203', '白音套海苏木乡', 'baiyintaohaisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150428', '1504', '150428', '喀喇沁旗', 'kalaqinqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150428100', '150428', '150428100', '锦山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150428101', '150428', '150428101', '美林镇', 'meilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150428102', '150428', '150428102', '王爷府镇', 'wangyefuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150428103', '150428', '150428103', '小牛群镇', 'xiaoniuqunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150428104', '150428', '150428104', '牛家营子镇', 'niujiayingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150428105', '150428', '150428105', '乃林镇', 'nailinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150428106', '150428', '150428106', '西桥镇', 'xiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150428200', '150428', '150428200', '十家满族乡', 'shijiamanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150428400', '150428', '150428400', '乃林果树农场', 'nailinguoshunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150428401', '150428', '150428401', '马鞍山羊场', 'maanshanyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429', '1504', '150429', '宁城县', 'ningchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429100', '150429', '150429100', '天义镇政府', 'tianyizhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429101', '150429', '150429101', '小城子镇政府', 'xiaochengzizhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429102', '150429', '150429102', '大城子镇政府', 'dachengzizhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429103', '150429', '150429103', '八里罕镇政府', 'balihanzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429104', '150429', '150429104', '黑里河镇政府', 'heilihezhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429105', '150429', '150429105', '甸子镇政府', 'dianzizhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429106', '150429', '150429106', '大双庙镇政府', 'dashuangmiaozhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429107', '150429', '150429107', '汐子镇政府', 'xizizhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429108', '150429', '150429108', '大明镇政府', 'damingzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429109', '150429', '150429109', '忙农镇政府', 'mangnongzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429200', '150429', '150429200', '三座店乡政府', 'sanzuodianxiangzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429201', '150429', '150429201', '必斯营子乡政府', 'bisiyingzixiangzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150429202', '150429', '150429202', '五化乡政府', 'wuhuaxiangzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430', '1504', '150430', '敖汉旗', 'aohanqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430100', '150430', '150430100', '新惠镇', 'xinhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430101', '150430', '150430101', '四家子镇', 'sijiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430102', '150430', '150430102', '长胜镇', 'zhangshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430103', '150430', '150430103', '贝子府镇', 'beizifuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430104', '150430', '150430104', '四道湾子镇', 'sidaowanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430105', '150430', '150430105', '下洼镇', 'xiawazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430106', '150430', '150430106', '金厂沟梁镇', 'jinchanggouliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430200', '150430', '150430200', '宝国吐乡', 'baoguotuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430201', '150430', '150430201', '牛古吐乡', 'niugutuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430202', '150430', '150430202', '木头营子乡', 'mutouyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430203', '150430', '150430203', '古鲁板蒿乡', 'gulubanhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430204', '150430', '150430204', '丰收乡', 'fengshouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430205', '150430', '150430205', '玛尼罕乡', 'manihanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430206', '150430', '150430206', '萨力巴乡', 'salibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150430207', '150430', '150430207', '敖润苏莫苏木乡', 'aorunsumosumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1505', '15', '1505', '通辽市', 'tongliaoshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150501', '1505', '150501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502', '1505', '150502', '科尔沁区', 'keerqinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502001', '150502', '150502001', '科尔沁街道', 'keerqinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502002', '150502', '150502002', '西门街道', 'ximenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502003', '150502', '150502003', '永清街道', 'yongqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502004', '150502', '150502004', '明仁街道', 'mingrenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502005', '150502', '150502005', '施介街道', 'shijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502006', '150502', '150502006', '清真街道', 'qingzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502007', '150502', '150502007', '东郊街道', 'dongjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502008', '150502', '150502008', '铁路街道', 'tielujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502009', '150502', '150502009', '红星街道', 'hongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502010', '150502', '150502010', '霍林街道', 'huolinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502011', '150502', '150502011', '建国街道', 'jianguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502020', '150502', '150502020', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502021', '150502', '150502021', '电厂街道', 'dianchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502100', '150502', '150502100', '大林镇', 'dalinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502101', '150502', '150502101', '钱家店镇', 'qianjiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502102', '150502', '150502102', '余粮堡镇', 'yuliangbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502103', '150502', '150502103', '木里图镇', 'mulituzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502104', '150502', '150502104', '丰田镇', 'fengtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502105', '150502', '150502105', '清河镇', 'qinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502106', '150502', '150502106', '育新镇', 'yuxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502107', '150502', '150502107', '庆和镇', 'qinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502108', '150502', '150502108', '敖力布皋镇', 'aolibugaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502130', '150502', '150502130', '辽河镇', 'liaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502200', '150502', '150502200', '莫力庙苏木乡', 'molimiaosumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502400', '150502', '150502400', '哲南农场', 'zhenannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502401', '150502', '150502401', '三义堂农场', 'sanyitangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502402', '150502', '150502402', '高林屯种畜场', 'gaolintunzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502403', '150502', '150502403', '胡力海原种繁殖场', 'hulihaiyuanzhongfanzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502404', '150502', '150502404', '莫力庙羊场', 'molimiaoyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150502405', '150502', '150502405', '半截店牧场', 'banjiedianmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521', '1505', '150521', '科尔沁左翼中旗', 'keerqinzuoyizhongqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521100', '150521', '150521100', '保康镇', 'baokangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521101', '150521', '150521101', '宝龙山镇', 'baolongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521102', '150521', '150521102', '舍伯吐镇', 'shebotuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521103', '150521', '150521103', '巴彦塔拉镇', 'bayantalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521104', '150521', '150521104', '门达镇', 'mendazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521105', '150521', '150521105', '架玛吐镇', 'jiamatuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521106', '150521', '150521106', '腰林毛都镇', 'yaolinmaodouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521107', '150521', '150521107', '希伯花镇', 'xibohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521108', '150521', '150521108', '花吐古拉镇', 'huatugulazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521109', '150521', '150521109', '代力吉镇', 'dailijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521110', '150521', '150521110', '努日木镇', 'nurimuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521200', '150521', '150521200', '花胡硕苏木乡', 'huahushuosumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521201', '150521', '150521201', '协代苏木乡', 'xiedaisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521202', '150521', '150521202', '白兴吐苏木乡', 'baixingtusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521203', '150521', '150521203', '图布信苏木乡', 'tubuxinsumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150521400', '150521', '150521400', '东苏林场', 'dongsulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522', '1505', '150522', '科左后旗', 'kezuohouqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522100', '150522', '150522100', '甘旗卡镇', 'ganqikazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522101', '150522', '150522101', '吉尔嘎朗镇', 'jiergalangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522102', '150522', '150522102', '金宝屯镇', 'jinbaotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522103', '150522', '150522103', '常胜镇', 'changshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522104', '150522', '150522104', '查日苏镇', 'charisuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522105', '150522', '150522105', '双胜镇', 'shuangshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522106', '150522', '150522106', '阿古拉镇', 'agulazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522107', '150522', '150522107', '朝鲁吐镇', 'chaolutuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522108', '150522', '150522108', '努古斯台镇', 'nugusitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522109', '150522', '150522109', '海鲁吐镇', 'hailutuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522200', '150522', '150522200', '阿都沁苏木乡', 'adouqinsumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522201', '150522', '150522201', '茂道吐苏木乡', 'maodaotusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522400', '150522', '150522400', '胜利农场', 'shenglinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522401', '150522', '150522401', '孟根达坝牧场', 'menggendabamuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522402', '150522', '150522402', '查金台牧场', 'chajintaimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522403', '150522', '150522403', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522404', '150522', '150522404', '大青沟管理局', 'daqinggouguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522405', '150522', '150522405', '哈日乌苏种畜场', 'hariwusuzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522406', '150522', '150522406', '乌兰敖道渔场', 'wulanaodaoyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522407', '150522', '150522407', '金宝屯林场', 'jinbaotunlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522408', '150522', '150522408', '朝鲁吐林场', 'chaolutulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522409', '150522', '150522409', '茂道吐林场', 'maodaotulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522410', '150522', '150522410', '伊胡塔林场', 'yihutalinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150522411', '150522', '150522411', '乌旦塔拉林场', 'wudantalalinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523', '1505', '150523', '开鲁县', 'kailuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523100', '150523', '150523100', '开鲁镇', 'kailuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523101', '150523', '150523101', '大榆树镇', 'dayushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523102', '150523', '150523102', '黑龙坝镇', 'heilongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523103', '150523', '150523103', '麦新镇', 'maixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523104', '150523', '150523104', '义和塔拉镇', 'yihetalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523105', '150523', '150523105', '建华镇', 'jianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523106', '150523', '150523106', '小街基镇', 'xiaojiejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523107', '150523', '150523107', '东风镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523108', '150523', '150523108', '吉日嘎郎吐镇', 'jirigalangtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523109', '150523', '150523109', '东来镇', 'donglaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523400', '150523', '150523400', '清河牧场', 'qinghemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523401', '150523', '150523401', '辽河农场', 'liaohenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150523402', '150523', '150523402', '保安农场', 'baoannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150524', '1505', '150524', '库伦旗', 'kulunqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150524100', '150524', '150524100', '库伦镇', 'kulunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150524101', '150524', '150524101', '扣河子镇', 'kouhezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150524102', '150524', '150524102', '白音花镇', 'baiyinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150524103', '150524', '150524103', '六家子镇', 'liujiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150524104', '150524', '150524104', '额勒顺镇', 'eleshunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150524200', '150524', '150524200', '茫汗苏木乡', 'manghansumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525', '1505', '150525', '奈曼旗', 'naimanqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525100', '150525', '150525100', '大沁他拉镇', 'daqintalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525101', '150525', '150525101', '八仙筒镇', 'baxiantongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525102', '150525', '150525102', '青龙山镇', 'qinglongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525103', '150525', '150525103', '新镇', 'xinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525104', '150525', '150525104', '治安镇', 'zhianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525105', '150525', '150525105', '东明镇', 'dongmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525106', '150525', '150525106', '土城子镇', 'tuchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525107', '150525', '150525107', '义隆永镇', 'yilongyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525200', '150525', '150525200', '固日班花苏木乡', 'guribanhuasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525201', '150525', '150525201', '苇莲苏苏木乡', 'weiliansusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525202', '150525', '150525202', '明仁苏木乡', 'mingrensumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525203', '150525', '150525203', '黄花塔拉苏木乡', 'huanghuatalasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150525400', '150525', '150525400', '国有六号农场', 'guoyouliuhaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526', '1505', '150526', '扎鲁特旗', 'zhaluteqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526100', '150526', '150526100', '鲁北镇', 'lubeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526101', '150526', '150526101', '黄花山镇', 'huanghuashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526102', '150526', '150526102', '嘎亥图镇', 'gahaituzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526103', '150526', '150526103', '巨日合镇', 'jurihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526104', '150526', '150526104', '巴雅尔图胡硕镇', 'bayaertuhushuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526105', '150526', '150526105', '香山镇', 'xiangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526106', '150526', '150526106', '阿日昆都冷镇', 'arikundoulengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526200', '150526', '150526200', '巴彦塔拉苏木乡', 'bayantalasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526201', '150526', '150526201', '乌力吉木仁苏木乡', 'wulijimurensumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526202', '150526', '150526202', '道老杜苏木乡', 'daolaodusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526203', '150526', '150526203', '格日朝鲁苏木乡', 'gerichaolusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526400', '150526', '150526400', '乌额格其牧场', 'wuegeqimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526401', '150526', '150526401', '香山农场', 'xiangshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526402', '150526', '150526402', '乌日根塔拉农场', 'wurigentalanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150526403', '150526', '150526403', '嘎达苏种畜场', 'gadasuzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150581', '1505', '150581', '霍林郭勒市', 'huolinguoleshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150581001', '150581', '150581001', '珠斯花街道', 'zhusihuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150581002', '150581', '150581002', '莫斯台街道', 'mositaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150581003', '150581', '150581003', '宝日呼吉尔街道', 'baorihujierjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150581004', '150581', '150581004', '沙尔呼热街道', 'shaerhurejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150581005', '150581', '150581005', '达来胡硕街道', 'dalaihushuojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150581400', '150581', '150581400', '东蒙农牧业有限责任公司', 'dongmengnongmuyeyouxianzerengongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1506', '15', '1506', '鄂尔多斯市', 'eerduosishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602', '1506', '150602', '东胜区', 'dongshengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602001', '150602', '150602001', '交通街道', 'jiaotongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602002', '150602', '150602002', '公园街道', 'gongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602003', '150602', '150602003', '林荫街道', 'linyinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602004', '150602', '150602004', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602005', '150602', '150602005', '富兴街道', 'fuxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602006', '150602', '150602006', '天骄街道', 'tianjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602007', '150602', '150602007', '哈巴格希街道', 'habagexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602008', '150602', '150602008', '诃额伦街道', 'heelunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602009', '150602', '150602009', '巴音孟克街道', 'bayinmengkejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602100', '150602', '150602100', '泊尔江海子镇', 'boerjianghaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602101', '150602', '150602101', '罕台镇', 'hantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150602102', '150602', '150602102', '塔拉壕镇', 'talahaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150621', '1506', '150621', '达拉特旗', 'dalateqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150621100', '150621', '150621100', '树林召镇', 'shulinzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150621101', '150621', '150621101', '吉格斯太镇', 'jigesitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150621102', '150621', '150621102', '白泥井镇', 'bainijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150621103', '150621', '150621103', '王爱召镇', 'wangaizhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150621104', '150621', '150621104', '昭君镇', 'zhaojunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150621105', '150621', '150621105', '恩格贝镇', 'engebeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150621106', '150621', '150621106', '中和西镇', 'zhonghexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150621200', '150621', '150621200', '展旦召苏木乡', 'zhandanzhaosumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150622', '1506', '150622', '准格尔旗', 'zhungeerqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150622100', '150622', '150622100', '薛家湾镇', 'xuejiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150622101', '150622', '150622101', '沙圪堵镇', 'shageduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150622102', '150622', '150622102', '大路镇', 'daluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150622103', '150622', '150622103', '纳日松镇', 'narisongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150622104', '150622', '150622104', '龙口镇', 'longkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150622105', '150622', '150622105', '准格尔召镇', 'zhungeerzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150622200', '150622', '150622200', '暖水乡', 'nuanshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150622201', '150622', '150622201', '十二连城乡', 'shierlianchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150622202', '150622', '150622202', '布尔陶亥苏木乡', 'buertaohaisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150623', '1506', '150623', '鄂托克前旗', 'etuokeqianqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150623100', '150623', '150623100', '敖勒召其镇', 'aolezhaoqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150623101', '150623', '150623101', '上海庙镇', 'shanghaimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150623102', '150623', '150623102', '城川镇', 'chengchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150623103', '150623', '150623103', '昂素镇', 'angsuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150623400', '150623', '150623400', '上海庙经济开发区', 'shanghaimiaojingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150624', '1506', '150624', '鄂托克旗', 'etuokeqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150624100', '150624', '150624100', '乌兰镇', 'wulanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150624101', '150624', '150624101', '棋盘井镇', 'qipanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150624102', '150624', '150624102', '蒙西镇', 'mengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150624103', '150624', '150624103', '木凯淖尔镇', 'mukainaoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150624200', '150624', '150624200', '苏米图苏木乡', 'sumitusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150624201', '150624', '150624201', '阿尔巴斯苏木乡', 'aerbasisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150624400', '150624', '150624400', '鄂托克旗赛乌素草籽场', 'etuokeqisaiwusucaozichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150624401', '150624', '150624401', '内蒙古白绒山羊种羊场', 'neimenggubairongshanyangzhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150625', '1506', '150625', '杭锦旗', 'hangjinqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150625100', '150625', '150625100', '锡尼镇', 'xinizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150625101', '150625', '150625101', '巴拉贡镇', 'balagongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150625102', '150625', '150625102', '吉日嘎朗图镇', 'jirigalangtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150625103', '150625', '150625103', '独贵塔拉镇', 'duguitalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150625104', '150625', '150625104', '呼和木都镇', 'huhemudouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150625200', '150625', '150625200', '杭锦淖尔乡', 'hangjinnaoerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150625201', '150625', '150625201', '伊和乌素苏木乡', 'yihewususumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150625400', '150625', '150625400', '哈拉淖农场', 'halanaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150626', '1506', '150626', '乌审旗', 'wushenqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150626100', '150626', '150626100', '嘎鲁图镇', 'galutuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150626101', '150626', '150626101', '乌审召镇', 'wushenzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150626102', '150626', '150626102', '图克镇', 'tukezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150626103', '150626', '150626103', '乌兰陶勒盖镇', 'wulantaolegaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150626104', '150626', '150626104', '无定河镇', 'wudinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150626200', '150626', '150626200', '苏力德苏木乡', 'sulidesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150626400', '150626', '150626400', '种羊场', 'zhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150626401', '150626', '150626401', '五个林场', 'wugelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150627', '1506', '150627', '伊金霍洛旗', 'yijinhuoluoqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150627100', '150627', '150627100', '阿勒腾席热镇', 'aletengxirezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150627101', '150627', '150627101', '札萨克镇', 'zhasakezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150627102', '150627', '150627102', '乌兰木伦镇', 'wulanmulunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150627103', '150627', '150627103', '纳林陶亥镇', 'nalintaohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150627104', '150627', '150627104', '苏布尔嘎镇', 'subuergazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150627105', '150627', '150627105', '红庆河镇', 'hongqinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150627106', '150627', '150627106', '伊金霍洛镇', 'yijinhuoluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1507', '15', '1507', '呼伦贝尔市', 'hulunbeiershi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150701', '1507', '150701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150702', '1507', '150702', '海拉尔区', 'hailaerqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150702001', '150702', '150702001', '正阳', 'zhengyang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150702002', '150702', '150702002', '健康街道', 'jiankangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150702003', '150702', '150702003', '靠山街道', 'kaoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150702004', '150702', '150702004', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150702005', '150702', '150702005', '呼伦街道', 'hulunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150702006', '150702', '150702006', '奋斗街道', 'fendoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150702007', '150702', '150702007', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150702100', '150702', '150702100', '哈克镇', 'hakezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150702400', '150702', '150702400', '谢尔塔拉种牛场', 'xieertalazhongniuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150702401', '150702', '150702401', '哈克牧业有限公司', 'hakemuyeyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721', '1507', '150721', '阿荣旗', 'arongqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721100', '150721', '150721100', '那吉镇', 'neijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721101', '150721', '150721101', '六合镇', 'liuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721102', '150721', '150721102', '亚东镇', 'yadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721103', '150721', '150721103', '霍尔奇镇', 'huoerqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721104', '150721', '150721104', '向阳峪镇', 'xiangyangyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721200', '150721', '150721200', '得力其鄂温克民族乡', 'deliqiewenkeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721201', '150721', '150721201', '查巴奇鄂温克民族乡', 'chabaqiewenkeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721202', '150721', '150721202', '音河达斡尔鄂温克民族乡', 'yinhedawoerewenkeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721203', '150721', '150721203', '新发朝鲜民族乡', 'xinfachaoxianminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721400', '150721', '150721400', '那吉屯农场', 'neijitunnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721401', '150721', '150721401', '格尼河农场', 'genihenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150721402', '150721', '150721402', '阿荣旗林业局', 'arongqilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722', '1507', '150722', '莫力达瓦达斡尔族自治旗', 'molidawadawoerzuzizhiqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722100', '150722', '150722100', '尼尔基镇', 'nierjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722101', '150722', '150722101', '红彦镇', 'hongyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722102', '150722', '150722102', '宝山镇', 'baoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722103', '150722', '150722103', '哈达阳镇', 'hadayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722104', '150722', '150722104', '阿尔拉镇', 'aerlazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722106', '150722', '150722106', '西瓦尔图镇', 'xiwaertuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722108', '150722', '150722108', '腾克镇', 'tengkezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722110', '150722', '150722110', '塔温敖宝镇', 'tawenaobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722200', '150722', '150722200', '巴彦鄂温克民族乡', 'bayanewenkeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722203', '150722', '150722203', '杜拉尔鄂温克民族乡', 'dulaerewenkeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722400', '150722', '150722400', '国营甘河农场', 'guoyingganhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722401', '150722', '150722401', '国营巴彦农场', 'guoyingbayannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722402', '150722', '150722402', '国营欧肯河农场', 'guoyingoukenhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150722403', '150722', '150722403', '国营东方红农场', 'guoyingdongfanghongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723', '1507', '150723', '鄂伦春自治旗', 'elunchunzizhiqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723100', '150723', '150723100', '阿里河镇', 'alihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723101', '150723', '150723101', '大杨树镇', 'dayangshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723102', '150723', '150723102', '甘河镇', 'ganhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723103', '150723', '150723103', '托扎敏镇', 'tuozhaminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723104', '150723', '150723104', '诺敏镇', 'nuominzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723105', '150723', '150723105', '乌鲁布铁镇', 'wulubutiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723200', '150723', '150723200', '古里乡', 'gulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723400', '150723', '150723400', '大兴安岭管理局诺敏河农场', 'daxinganlingguanlijunuominhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723401', '150723', '150723401', '大兴安岭农场宜里农场', 'daxinganlingnongchangyilinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723402', '150723', '150723402', '大兴安岭农场管理局扎赉河农场', 'daxinganlingnongchangguanlijuzhalaihenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723403', '150723', '150723403', '大兴安岭农场管理局古里农场', 'daxinganlingnongchangguanlijugulinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723404', '150723', '150723404', '加格达奇区', 'jiagedaqiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723405', '150723', '150723405', '松岭地区', 'songlingdiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723406', '150723', '150723406', '大杨树林业局', 'dayangshulinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723407', '150723', '150723407', '甘河林业局', 'ganhelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723408', '150723', '150723408', '克一河林业局', 'keyihelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723409', '150723', '150723409', '吉文林业局', 'jiwenlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723410', '150723', '150723410', '阿里河林业局', 'alihelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723411', '150723', '150723411', '大兴安岭农工商联合公司', 'daxinganlingnonggongshanglianhegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723412', '150723', '150723412', '大兴安岭农场管理局东方红农场', 'daxinganlingnongchangguanlijudongfanghongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723413', '150723', '150723413', '大兴安岭农场管理局欧肯河农场', 'daxinganlingnongchangguanlijuoukenhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723414', '150723', '150723414', '大兴安岭林管局毕拉河林业局', 'daxinganlinglinguanjubilahelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723415', '150723', '150723415', '大兴安岭林管局伊图里河林业局', 'daxinganlinglinguanjuyitulihelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723416', '150723', '150723416', '大兴安岭林管局库都尔林业局', 'daxinganlinglinguanjukudouerlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150723417', '150723', '150723417', '大兴安岭林管局乌尔其汗林业局', 'daxinganlinglinguanjuwuerqihanlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150724', '1507', '150724', '鄂温克族自治旗', 'ewenkezuzizhiqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150724100', '150724', '150724100', '巴彦托海镇', 'bayantuohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150724101', '150724', '150724101', '巴雁镇', 'bayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150724102', '150724', '150724102', '伊敏河镇', 'yiminhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150724103', '150724', '150724103', '锡尼河镇', 'xinihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150724200', '150724', '150724200', '巴彦塔拉达斡尔民族乡', 'bayantaladawoerminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150724201', '150724', '150724201', '伊敏苏木乡', 'yiminsumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150724202', '150724', '150724202', '辉苏木乡', 'huisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150724400', '150724', '150724400', '巴彦托海经济开发区', 'bayantuohaijingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150724401', '150724', '150724401', '伊敏河高载能工业园区', 'yiminhegaozainenggongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150724402', '150724', '150724402', '大雁马铃薯高新技术示范园区', 'dayanmalingshugaoxinjishushifanyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150725', '1507', '150725', '陈巴尔虎旗镇', 'chenbaerhuqizhen', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150725100', '150725', '150725100', '陈旗巴彦库仁镇', 'chenqibayankurenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150725101', '150725', '150725101', '陈旗宝日希勒镇', 'chenqibaorixilezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150725102', '150725', '150725102', '陈旗呼和诺尔镇', 'chenqihuhenuoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150725200', '150725', '150725200', '陈旗乌珠尔苏木乡', 'chenqiwuzhuersumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150725201', '150725', '150725201', '陈旗鄂温克民族苏木乡', 'chenqiewenkeminzusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150725400', '150725', '150725400', '陈旗国营哈达图农牧场', 'chenqiguoyinghadatunongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150725401', '150725', '150725401', '陈旗国营浩特陶海农牧场', 'chenqiguoyinghaotetaohainongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150725402', '150725', '150725402', '陈旗国营特泥河农牧场', 'chenqiguoyingtenihenongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150726', '1507', '150726', '新巴尔虎左旗', 'xinbaerhuzuoqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150726100', '150726', '150726100', '阿木古郎镇', 'amugulangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150726101', '150726', '150726101', '嵯岗镇', 'cuogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150726200', '150726', '150726200', '乌布尔宝力格苏木乡', 'wubuerbaoligesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150726201', '150726', '150726201', '吉布胡郎图苏木乡', 'jibuhulangtusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150726202', '150726', '150726202', '新宝力格苏木乡', 'xinbaoligesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150726400', '150726', '150726400', '嵯岗镇双娃牧场', 'cuogangzhenshuangwamuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150727', '1507', '150727', '新巴尔虎右旗', 'xinbaerhuyouqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150727100', '150727', '150727100', '阿拉坦额莫勒镇', 'alatanemolezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150727101', '150727', '150727101', '阿日哈沙特镇', 'arihashatezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150727102', '150727', '150727102', '新巴尔虎右旗呼伦镇', 'xinbaerhuyouqihulunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150727200', '150727', '150727200', '贝尔苏木乡', 'beiersumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150727201', '150727', '150727201', '克尔伦苏木乡', 'keerlunsumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150727400', '150727', '150727400', '敖尔金牧场', 'aoerjinmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781', '1507', '150781', '满洲里市', 'manzhoulishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781001', '150781', '150781001', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781002', '150781', '150781002', '道南街道', 'daonanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781003', '150781', '150781003', '道北街道', 'daobeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781004', '150781', '150781004', '兴华街道', 'xinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781005', '150781', '150781005', '满洲里市第一', 'manzhoulishidiyi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781006', '150781', '150781006', '满洲里市第二', 'manzhoulishidier', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781007', '150781', '150781007', '满洲里市第三', 'manzhoulishidisan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781008', '150781', '150781008', '满洲里市第四', 'manzhoulishidisi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781009', '150781', '150781009', '满洲里市第五', 'manzhoulishidiwu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781010', '150781', '150781010', '满洲里市灵泉街道', 'manzhoulishilingquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781011', '150781', '150781011', '新开河街道', 'xinkaihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781400', '150781', '150781400', '满洲里市互市贸易区', 'manzhoulishihushimaoyiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781401', '150781', '150781401', '满洲里市经济合作区', 'manzhoulishijingjihezuoqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781402', '150781', '150781402', '满洲里市东湖区', 'manzhoulishidonghuqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781403', '150781', '150781403', '满洲里市扎煤公司', 'manzhoulishizhameigongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150781404', '150781', '150781404', '扎赉诺尔矿区', 'zhalainuoerkuangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782', '1507', '150782', '牙克石市', 'yakeshishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782001', '150782', '150782001', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782002', '150782', '150782002', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782003', '150782', '150782003', '新工街道', 'xingongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782004', '150782', '150782004', '永兴街道', 'yongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782005', '150782', '150782005', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782006', '150782', '150782006', '暖泉街道', 'nuanquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782007', '150782', '150782007', '牧原街道', 'muyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782100', '150782', '150782100', '免渡河镇', 'mianduhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782101', '150782', '150782101', '博克图镇', 'boketuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782102', '150782', '150782102', '绰源镇', 'chuoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782103', '150782', '150782103', '乌尔其汉镇', 'wuerqihanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782104', '150782', '150782104', '库都尔镇', 'kudouerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782105', '150782', '150782105', '图里河镇', 'tulihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782400', '150782', '150782400', '莫拐农场', 'moguainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782401', '150782', '150782401', '牙克石农场', 'yakeshinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150782402', '150782', '150782402', '免渡河农场', 'mianduhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783', '1507', '150783', '扎兰屯市', 'zhalantunshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783001', '150783', '150783001', '兴华街道', 'xinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783002', '150783', '150783002', '正阳街道', 'zhengyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783003', '150783', '150783003', '繁荣街道', 'fanrongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783004', '150783', '150783004', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783005', '150783', '150783005', '高台子街道', 'gaotaizijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783006', '150783', '150783006', '铁东街道', 'tiedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783007', '150783', '150783007', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783100', '150783', '150783100', '磨菇气镇', 'moguqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783101', '150783', '150783101', '洼堤镇', 'wadizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783102', '150783', '150783102', '卧牛河镇', 'woniuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783103', '150783', '150783103', '成吉思汗镇', 'chengjisihanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783104', '150783', '150783104', '大河湾镇', 'dahewanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783105', '150783', '150783105', '浩饶山镇', 'haoraoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783200', '150783', '150783200', '达斡尔民族乡', 'dawoerminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783201', '150783', '150783201', '南木鄂伦春民族乡', 'nanmuelunchunminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783202', '150783', '150783202', '萨马街鄂温克民族乡', 'samajieewenkeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783400', '150783', '150783400', '大河湾农场', 'dahewannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783401', '150783', '150783401', '绰尔河农场', 'chuoerhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783402', '150783', '150783402', '扎兰屯马场', 'zhalantunmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783403', '150783', '150783403', '成吉思汗监狱农场', 'chengjisihanjianyunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783404', '150783', '150783404', '公安部后勤供应处农场', 'gonganbuhouqingongyingchunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783405', '150783', '150783405', '南木林业局', 'nanmulinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783406', '150783', '150783406', '柴河林业局', 'chaihelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783407', '150783', '150783407', '扎兰屯市林业局', 'zhalantunshilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150783408', '150783', '150783408', '市原种场', 'shiyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150784', '1507', '150784', '额尔古纳市', 'eergunashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150784001', '150784', '150784001', '拉布达林街道', 'labudalinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150784002', '150784', '150784002', '上库力街道', 'shangkulijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150784100', '150784', '150784100', '莫尔道嘎镇', 'moerdaogazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150784101', '150784', '150784101', '黑山头镇', 'heishantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150784200', '150784', '150784200', '三河回族乡', 'sanhehuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150784201', '150784', '150784201', '室韦俄罗斯族民族乡', 'shiweieluosizuminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150784401', '150784', '150784401', '三河金騋农牧有限责任公司', 'sanhejinlainongmuyouxianzerengongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150784405', '150784', '150784405', '室韦牧场', 'shiweimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150785', '1507', '150785', '根河市', 'genheshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150785001', '150785', '150785001', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150785002', '150785', '150785002', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150785003', '150785', '150785003', '森工路街道', 'sengonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150785101', '150785', '150785101', '金河镇', 'jinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150785102', '150785', '150785102', '阿龙山镇', 'alongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150785103', '150785', '150785103', '满归镇', 'manguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150785200', '150785', '150785200', '敖鲁古雅乡', 'aoluguyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1508', '15', '1508', '巴彦淖尔市', 'bayannaoershi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150801', '1508', '150801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802', '1508', '150802', '临河区', 'linhequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802001', '150802', '150802001', '团结', 'tuanjie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802002', '150802', '150802002', '车站', 'chezhan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802003', '150802', '150802003', '先锋', 'xianfeng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802004', '150802', '150802004', '解放', 'jiefang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802005', '150802', '150802005', '新华', 'xinhua', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802006', '150802', '150802006', '东环', 'donghuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802007', '150802', '150802007', '铁南', 'tienan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802008', '150802', '150802008', '西环路', 'xihuanlu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802009', '150802', '150802009', '北环', 'beihuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802010', '150802', '150802010', '曙光', 'shuguang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802100', '150802', '150802100', '狼山镇', 'langshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802101', '150802', '150802101', '新华镇', 'xinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802102', '150802', '150802102', '干召庙镇', 'ganzhaomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802103', '150802', '150802103', '乌兰图克镇', 'wulantukezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802104', '150802', '150802104', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802105', '150802', '150802105', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802106', '150802', '150802106', '白脑包镇', 'bainaobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802400', '150802', '150802400', '狼山农场', 'langshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150802401', '150802', '150802401', '临河农场', 'linhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150821', '1508', '150821', '五原县', 'wuyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150821100', '150821', '150821100', '隆兴昌镇', 'longxingchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150821101', '150821', '150821101', '塔尔湖镇', 'taerhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150821102', '150821', '150821102', '套海镇', 'taohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150821103', '150821', '150821103', '新公中镇', 'xingongzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150821104', '150821', '150821104', '天吉太镇', 'tianjitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150821105', '150821', '150821105', '胜丰镇', 'shengfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150821106', '150821', '150821106', '银定图镇', 'yindingtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150821400', '150821', '150821400', '巴盟国营建丰农场', 'bamengguoyingjianfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150821401', '150821', '150821401', '内蒙古东土城劳动教养管理所', 'neimenggudongtuchenglaodongjiaoyangguanlisuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150822', '1508', '150822', '磴口县', 'dengkouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150822100', '150822', '150822100', '巴彦高勒镇', 'bayangaolezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150822101', '150822', '150822101', '隆盛合镇', 'longshenghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150822102', '150822', '150822102', '渡口镇', 'dukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150822200', '150822', '150822200', '沙金套海苏木乡', 'shajintaohaisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150822400', '150822', '150822400', '乌兰布和农场', 'wulanbuhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150822401', '150822', '150822401', '巴彦套海农场', 'bayantaohainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150822402', '150822', '150822402', '哈腾套海农场', 'hatengtaohainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150822403', '150822', '150822403', '包尔盖农场', 'baoergainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150822404', '150822', '150822404', '纳林套海农场', 'nalintaohainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150822405', '150822', '150822405', '沙漠林业实验中心', 'shamolinyeshiyanzhongxin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823', '1508', '150823', '乌拉特前旗', 'wulateqianqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823100', '150823', '150823100', '乌拉山镇', 'wulashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823101', '150823', '150823101', '白彦花镇', 'baiyanhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823102', '150823', '150823102', '先锋镇', 'xianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823103', '150823', '150823103', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823104', '150823', '150823104', '西小召镇', 'xixiaozhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823105', '150823', '150823105', '大佘太镇', 'dashetaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823106', '150823', '150823106', '明安镇', 'minganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823107', '150823', '150823107', '小佘太镇', 'xiaoshetaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823200', '150823', '150823200', '额尔登布拉格苏木乡', 'eerdengbulagesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823400', '150823', '150823400', '巴彦淖尔市中滩农场', 'bayannaoershizhongtannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823401', '150823', '150823401', '巴彦淖尔市西山咀农场', 'bayannaoershixishanjunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823402', '150823', '150823402', '巴彦淖尔市新安农场', 'bayannaoershixinannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823403', '150823', '150823403', '巴彦淖尔市苏独仑农场', 'bayannaoershisudulunnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823404', '150823', '150823404', '巴彦淖尔市大佘太牧场', 'bayannaoershidashetaimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150823405', '150823', '150823405', '巴彦淖尔市乌梁素海渔场', 'bayannaoershiwuliangsuhaiyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824', '1508', '150824', '乌拉特中旗', 'wulatezhongqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824100', '150824', '150824100', '海流图镇', 'hailiutuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824101', '150824', '150824101', '乌加河镇', 'wujiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824102', '150824', '150824102', '德岭山镇', 'delingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824103', '150824', '150824103', '石哈河镇', 'shihahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824200', '150824', '150824200', '呼鲁斯太苏木乡', 'hulusitaisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824201', '150824', '150824201', '川井苏木乡', 'chuanjingsumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824202', '150824', '150824202', '巴音乌兰苏木乡', 'bayinwulansumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824203', '150824', '150824203', '新忽热苏木乡', 'xinhuresumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824400', '150824', '150824400', '牧羊海牧场', 'muyanghaimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824401', '150824', '150824401', '同和太种畜场', 'tonghetaizhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150824402', '150824', '150824402', '巴盟乌北林场', 'bamengwubeilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150825', '1508', '150825', '乌拉特后旗', 'wulatehouqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150825100', '150825', '150825100', '巴音宝力格镇', 'bayinbaoligezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150825101', '150825', '150825101', '呼和温都尔镇', 'huhewendouerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150825102', '150825', '150825102', '潮格温都尔镇', 'chaogewendouerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150825200', '150825', '150825200', '获各琦苏木乡', 'huogeqisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150825201', '150825', '150825201', '巴音前达门苏木乡', 'bayinqiandamensumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150826', '1508', '150826', '杭锦后旗', 'hangjinhouqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150826100', '150826', '150826100', '陕坝镇', 'shanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150826101', '150826', '150826101', '头道桥镇', 'toudaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150826102', '150826', '150826102', '二道桥镇', 'erdaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150826103', '150826', '150826103', '三道桥镇', 'sandaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150826104', '150826', '150826104', '蛮会镇', 'manhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150826105', '150826', '150826105', '团结镇', 'tuanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150826106', '150826', '150826106', '双庙镇', 'shuangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150826107', '150826', '150826107', '沙海镇', 'shahaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150826400', '150826', '150826400', '巴市太阳庙农场', 'bashitaiyangmiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1509', '15', '1509', '乌兰察布市', 'wulanchabushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150901', '1509', '150901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150902', '1509', '150902', '集宁区', 'jiningqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150902001', '150902', '150902001', '新体路街道', 'xintilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150902002', '150902', '150902002', '桥东街道', 'qiaodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150902003', '150902', '150902003', '前进路街道', 'qianjinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150902004', '150902', '150902004', '常青街道', 'changqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150902005', '150902', '150902005', '虎山街道', 'hushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150902006', '150902', '150902006', '桥西街道', 'qiaoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150902007', '150902', '150902007', '新华街街道', 'xinhuajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150902008', '150902', '150902008', '泉山街道', 'quanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150902105', '150902', '150902105', '白海子镇', 'baihaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150902205', '150902', '150902205', '马莲渠乡', 'malianquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150921', '1509', '150921', '卓资县', 'zhuozixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150921106', '150921', '150921106', '卓资山镇', 'zhuozishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150921107', '150921', '150921107', '旗下营镇', 'qixiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150921108', '150921', '150921108', '十八台镇', 'shibataizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150921109', '150921', '150921109', '巴音锡勒镇', 'bayinxilezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150921110', '150921', '150921110', '梨花镇', 'lihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150921210', '150921', '150921210', '大榆树乡', 'dayushuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150921211', '150921', '150921211', '红召乡', 'hongzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150922', '1509', '150922', '化德县', 'huadexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150922103', '150922', '150922103', '长顺镇', 'zhangshunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150922104', '150922', '150922104', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150922105', '150922', '150922105', '七号镇', 'qihaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150922300', '150922', '150922300', '德包图乡', 'debaotuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150922301', '150922', '150922301', '公腊胡洞乡', 'gonglahudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150923', '1509', '150923', '商都县', 'shangdouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150923101', '150923', '150923101', '七台镇', 'qitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150923102', '150923', '150923102', '十八顷镇', 'shibaqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150923103', '150923', '150923103', '大黑沙土镇', 'daheishatuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150923104', '150923', '150923104', '西井子镇', 'xijingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150923105', '150923', '150923105', '屯垦队镇', 'tunkenduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150923106', '150923', '150923106', '小海子镇', 'xiaohaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150923300', '150923', '150923300', '大库伦乡', 'dakulunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150923301', '150923', '150923301', '卯都乡', 'maodouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150923302', '150923', '150923302', '玻璃忽镜乡', 'bolihujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150924', '1509', '150924', '兴和县', 'xinghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150924106', '150924', '150924106', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150924107', '150924', '150924107', '张皋镇', 'zhanggaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150924108', '150924', '150924108', '赛乌素镇', 'saiwusuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150924109', '150924', '150924109', '鄂尔栋镇', 'eerdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150924110', '150924', '150924110', '店子镇', 'dianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150924209', '150924', '150924209', '大库联乡', 'dakulianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150924210', '150924', '150924210', '民族团结乡', 'minzutuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150924400', '150924', '150924400', '南部矿区管委会', 'nanbukuangquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150925', '1509', '150925', '凉城县', 'liangchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150925103', '150925', '150925103', '岱海镇', 'daihaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150925104', '150925', '150925104', '六苏木镇', 'liusumuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150925105', '150925', '150925105', '麦胡图镇', 'maihutuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150925106', '150925', '150925106', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150925107', '150925', '150925107', '蛮汉镇', 'manhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150925218', '150925', '150925218', '天成乡', 'tianchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150925219', '150925', '150925219', '曹碾满族乡', 'caonianmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150925400', '150925', '150925400', '岱海循环工业发展区', 'daihaixunhuangongyefazhanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150925401', '150925', '150925401', '蛮汉山林场', 'manhanshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150925402', '150925', '150925402', '岱海林场', 'daihailinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150926', '1509', '150926', '察哈尔右翼前旗', 'chahaeryouyiqianqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150926105', '150926', '150926105', '土贵乌拉镇', 'tuguiwulazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150926106', '150926', '150926106', '平地泉镇', 'pingdiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150926107', '150926', '150926107', '玫瑰营镇', 'meiguiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150926108', '150926', '150926108', '巴音塔拉镇', 'bayintalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150926209', '150926', '150926209', '乌拉哈乌拉乡', 'wulahawulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150926210', '150926', '150926210', '黄茂营乡', 'huangmaoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150926211', '150926', '150926211', '三岔口乡', 'sanchakouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150926500', '150926', '150926500', '移民区管委会', 'yiminquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150927', '1509', '150927', '察右中旗', 'chayouzhongqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150927103', '150927', '150927103', '科布尔镇', 'kebuerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150927104', '150927', '150927104', '铁沙盖镇', 'tieshagaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150927105', '150927', '150927105', '黄羊城镇', 'huangyangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150927106', '150927', '150927106', '广益隆镇', 'guangyilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150927107', '150927', '150927107', '乌素图镇', 'wusutuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150927216', '150927', '150927216', '大滩乡', 'datanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150927217', '150927', '150927217', '宏盘乡', 'hongpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150927218', '150927', '150927218', '巴音乡', 'bayinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150927219', '150927', '150927219', '库联苏木乡', 'kuliansumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150927220', '150927', '150927220', '乌兰哈页苏木乡', 'wulanhayesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150928', '1509', '150928', '察哈尔右翼后旗', 'chahaeryouyihouqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150928105', '150928', '150928105', '白音察干镇', 'baiyinchaganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150928106', '150928', '150928106', '察哈尔右翼后旗土牧尔台镇', 'chahaeryouyihouqitumuertaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150928107', '150928', '150928107', '察哈尔右翼后旗红格尔图镇', 'chahaeryouyihouqihonggeertuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150928108', '150928', '150928108', '察哈尔右翼后旗贲红镇', 'chahaeryouyihouqibihongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150928209', '150928', '150928209', '察哈尔右翼后旗当郎忽洞苏木乡', 'chahaeryouyihouqidanglanghudongsumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150928210', '150928', '150928210', '察哈尔右翼后旗乌兰哈达苏木乡', 'chahaeryouyihouqiwulanhadasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150928211', '150928', '150928211', '察哈尔右翼后旗锡勒乡', 'chahaeryouyihouqixilexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929', '1509', '150929', '四子王旗', 'siziwangqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929101', '150929', '150929101', '四子王旗乌兰花镇', 'siziwangqiwulanhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929102', '150929', '150929102', '四子王旗吉生太镇', 'siziwangqijishengtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929103', '150929', '150929103', '四子王旗库伦图镇', 'siziwangqikuluntuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929104', '150929', '150929104', '四子王旗供济堂镇', 'siziwangqigongjitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929105', '150929', '150929105', '四子王旗白音朝克图镇', 'siziwangqibaiyinchaoketuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929225', '150929', '150929225', '四子王旗红格尔苏木乡', 'siziwangqihonggeersumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929226', '150929', '150929226', '四子王旗江岸苏木乡', 'siziwangqijiangansumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929227', '150929', '150929227', '四子王旗查干补力格苏木乡', 'siziwangqichaganbuligesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929228', '150929', '150929228', '四子王旗脑木更苏木乡', 'siziwangqinaomugengsumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929229', '150929', '150929229', '四子王旗东八号乡', 'siziwangqidongbahaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929230', '150929', '150929230', '四子王旗忽鸡图乡', 'siziwangqihujituxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150929400', '150929', '150929400', '四子王旗乌兰牧场', 'siziwangqiwulanmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981', '1509', '150981', '丰镇市', 'fengzhenshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981005', '150981', '150981005', '新城区街道', 'xinchengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981006', '150981', '150981006', '旧城区街道', 'jiuchengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981007', '150981', '150981007', '北城区街道', 'beichengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981008', '150981', '150981008', '工业区街道', 'gongyequjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981009', '150981', '150981009', '南城区街道', 'nanchengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981107', '150981', '150981107', '隆盛庄镇', 'longshengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981108', '150981', '150981108', '黑土台镇', 'heitutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981109', '150981', '150981109', '红砂坝镇', 'hongshabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981110', '150981', '150981110', '巨宝庄镇', 'jubaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981111', '150981', '150981111', '三义泉镇', 'sanyiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981207', '150981', '150981207', '浑源窑乡', 'hunyuanyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('150981208', '150981', '150981208', '官屯堡乡', 'guantunbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1522', '15', '1522', '兴安盟', 'xinganmeng', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201', '1522', '152201', '乌兰浩特市', 'wulanhaoteshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201001', '152201', '152201001', '爱国街道', 'aiguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201002', '152201', '152201002', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201003', '152201', '152201003', '兴安街道', 'xinganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201004', '152201', '152201004', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201005', '152201', '152201005', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201006', '152201', '152201006', '都林街道', 'doulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201007', '152201', '152201007', '五一街道', 'wuyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201008', '152201', '152201008', '永联街道', 'yonglianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201100', '152201', '152201100', '乌兰哈达镇', 'wulanhadazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201101', '152201', '152201101', '居力很镇', 'julihenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152201400', '152201', '152201400', '乌兰哈达原种场', 'wulanhadayuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152202', '1522', '152202', '阿尔山市', 'aershanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152202001', '152202', '152202001', '林海街道', 'linhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152202002', '152202', '152202002', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152202003', '152202', '152202003', '温泉街道', 'wenquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152202100', '152202', '152202100', '天池镇', 'tianchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152202101', '152202', '152202101', '白狼镇', 'bailangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152202102', '152202', '152202102', '五岔沟镇', 'wuchagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221', '1522', '152221', '科右前旗', 'keyouqianqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221100', '152221', '152221100', '科尔沁镇', 'keerqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221101', '152221', '152221101', '索伦镇', 'suolunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221102', '152221', '152221102', '德佰斯镇', 'debaisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221103', '152221', '152221103', '大石寨镇', 'dashizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221104', '152221', '152221104', '归流河镇', 'guiliuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221105', '152221', '152221105', '葛根庙镇', 'gegenmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221106', '152221', '152221106', '察尔森镇', 'chaersenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221107', '152221', '152221107', '额尔格图镇', 'eergetuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221200', '152221', '152221200', '满族屯满族乡', 'manzutunmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221201', '152221', '152221201', '乌兰毛都苏木乡', 'wulanmaodousumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221202', '152221', '152221202', '阿力得尔苏木乡', 'alideersumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221400', '152221', '152221400', '跃进马场', 'yuejinmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221401', '152221', '152221401', '索伦牧场', 'suolunmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221402', '152221', '152221402', '呼和马场', 'huhemachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221403', '152221', '152221403', '阿力得尔牧场', 'alideermuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221404', '152221', '152221404', '公主陵牧场', 'gongzhulingmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221405', '152221', '152221405', '绿水种畜场', 'lu:shuizhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152221500', '152221', '152221500', '前旗驻乌兰浩特市虚拟区域', 'qianqizhuwulanhaoteshixuniquyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222', '1522', '152222', '科右中旗', 'keyouzhongqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222100', '152222', '152222100', '巴彦呼舒镇', 'bayanhushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222101', '152222', '152222101', '巴仁哲里木镇', 'barenzhelimuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222102', '152222', '152222102', '吐列毛都镇', 'tuliemaodouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222103', '152222', '152222103', '杜尔基镇', 'duerjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222104', '152222', '152222104', '高力板镇', 'gaolibanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222105', '152222', '152222105', '好腰苏木镇', 'haoyaosumuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222200', '152222', '152222200', '代钦塔拉苏木乡', 'daiqintalasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222201', '152222', '152222201', '新佳木苏木乡', 'xinjiamusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222400', '152222', '152222400', '布敦化牧场', 'budunhuamuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222401', '152222', '152222401', '吐列毛杜农场', 'tuliemaodunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222402', '152222', '152222402', '铅矿管理区', 'qiankuangguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222403', '152222', '152222403', '铜矿管理区', 'tongkuangguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222404', '152222', '152222404', '红星林场', 'hongxinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222405', '152222', '152222405', '杜尔基林场', 'duerjilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222406', '152222', '152222406', '义和塔拉林场', 'yihetalalinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222407', '152222', '152222407', '代钦塔拉林场', 'daiqintalalinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222408', '152222', '152222408', '好腰苏木林场', 'haoyaosumulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222409', '152222', '152222409', '哈日努拉防火站', 'harinulafanghuozhan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222410', '152222', '152222410', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222411', '152222', '152222411', '良种繁殖场', 'liangzhongfanzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152222412', '152222', '152222412', '草籽繁殖场', 'caozifanzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223', '1522', '152223', '扎赉特旗', 'zhalaiteqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223100', '152223', '152223100', '音德尔镇', 'yindeerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223101', '152223', '152223101', '新林镇', 'xinlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223102', '152223', '152223102', '巴彦高勒镇', 'bayangaolezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223103', '152223', '152223103', '胡尔勒镇', 'huerlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223104', '152223', '152223104', '阿尔本格勒镇', 'aerbengelezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223105', '152223', '152223105', '巴达尔胡镇', 'badaerhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223106', '152223', '152223106', '图牧吉镇', 'tumujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223200', '152223', '152223200', '好力保乡', 'haolibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223201', '152223', '152223201', '巴彦乌兰苏木乡', 'bayanwulansumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223400', '152223', '152223400', '图牧吉劳管所', 'tumujilaoguansuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223401', '152223', '152223401', '内蒙劳改局东部分局', 'neimenglaogaijudongbufenju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223402', '152223', '152223402', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223403', '152223', '152223403', '八一牧场', 'bayimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152223404', '152223', '152223404', '巴达尔胡农场', 'badaerhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152224', '1522', '152224', '突泉县', 'tuquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152224100', '152224', '152224100', '突泉镇', 'tuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152224101', '152224', '152224101', '六户镇', 'liuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152224102', '152224', '152224102', '东杜尔基镇', 'dongduerjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152224103', '152224', '152224103', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152224104', '152224', '152224104', '水泉镇', 'shuiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152224105', '152224', '152224105', '宝石镇', 'baoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152224400', '152224', '152224400', '东杜尔基国营农场', 'dongduerjiguoyingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152224401', '152224', '152224401', '东杜尔基良种场', 'dongduerjiliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152224402', '152224', '152224402', '莲花山铜矿', 'lianhuashantongkuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1525', '15', '1525', '锡林郭勒盟', 'xilinguolemeng', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152501', '1525', '152501', '二连浩特市', 'erlianhaoteshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152501001', '152501', '152501001', '乌兰街道', 'wulanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152501002', '152501', '152501002', '锡林街道', 'xilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152501003', '152501', '152501003', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152501200', '152501', '152501200', '格日勒敖都苏木乡', 'gerileaodousumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152501400', '152501', '152501400', '赛乌苏科技园区', 'saiwusukejiyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502', '1525', '152502', '锡林浩特市', 'xilinhaoteshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502001', '152502', '152502001', '希日塔拉街道', 'xiritalajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502002', '152502', '152502002', '宝力根街道', 'baoligenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502003', '152502', '152502003', '杭盖街道', 'hanggaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502004', '152502', '152502004', '楚古兰街道', 'chugulanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502005', '152502', '152502005', '额尔敦街道', 'eerdunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502006', '152502', '152502006', '南郊街道', 'nanjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502100', '152502', '152502100', '阿尔善宝拉格镇', 'aershanbaolagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502200', '152502', '152502200', '宝力根苏木乡乡', 'baoligensumuxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502201', '152502', '152502201', '朝克乌拉苏木乡乡', 'chaokewulasumuxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502400', '152502', '152502400', '巴彦锡勒', 'bayanxile', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502401', '152502', '152502401', '白音库伦牧场', 'baiyinkulunmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502402', '152502', '152502402', '贝力克牧场', 'beilikemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152502403', '152502', '152502403', '毛登牧场', 'maodengmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152522', '1525', '152522', '阿巴嘎旗', 'abagaqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152522100', '152522', '152522100', '别力古台镇', 'bieligutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152522101', '152522', '152522101', '洪格尔高勒镇', 'honggeergaolezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152522102', '152522', '152522102', '查干淖尔镇', 'chagannaoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152522200', '152522', '152522200', '那仁宝拉格苏木乡', 'neirenbaolagesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152522201', '152522', '152522201', '伊和高勒苏木乡乡', 'yihegaolesumuxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152522202', '152522', '152522202', '吉尔嘎郎图苏木乡', 'jiergalangtusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152522400', '152522', '152522400', '玛尼图煤矿', 'manitumeikuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152523', '1525', '152523', '苏尼特左旗', 'sunitezuoqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152523100', '152523', '152523100', '满都拉图镇', 'mandoulatuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152523101', '152523', '152523101', '查干敖包中心镇', 'chaganaobaozhongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152523102', '152523', '152523102', '巴彦淖尔镇', 'bayannaoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152523200', '152523', '152523200', '巴彦乌拉苏木乡', 'bayanwulasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152523201', '152523', '152523201', '赛罕高毕苏木乡', 'saihangaobisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152523400', '152523', '152523400', '恩格尔河灌区', 'engeerheguanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152524', '1525', '152524', '苏尼特右旗', 'suniteyouqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152524100', '152524', '152524100', '赛汉塔拉镇', 'saihantalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152524101', '152524', '152524101', '朱日和镇', 'zhurihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152524102', '152524', '152524102', '乌日根塔拉镇', 'wurigentalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152524200', '152524', '152524200', '桑宝力格苏木乡', 'sangbaoligesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152524201', '152524', '152524201', '额仁淖尔苏木乡', 'erennaoersumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152524202', '152524', '152524202', '赛罕乌力吉苏木乡', 'saihanwulijisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525', '1525', '152525', '东乌珠穆沁旗', 'dongwuzhumuqinqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525100', '152525', '152525100', '乌里雅斯太镇', 'wuliyasitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525101', '152525', '152525101', '道特淖尔镇', 'daotenaoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525102', '152525', '152525102', '嘎达布其镇', 'gadabuqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525103', '152525', '152525103', '满都胡宝拉格镇', 'mandouhubaolagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525104', '152525', '152525104', '额吉淖尔镇', 'ejinaoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525105', '152525', '152525105', '巴音胡硕镇', 'bayinhushuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525200', '152525', '152525200', '呼热图淖尔苏木乡', 'huretunaoersumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525201', '152525', '152525201', '萨麦苏木乡', 'samaisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525400', '152525', '152525400', '哈拉盖图农牧场', 'halagaitunongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525401', '152525', '152525401', '贺斯格乌拉农牧场', 'hesigewulanongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525402', '152525', '152525402', '乌拉盖牧场', 'wulagaimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152525403', '152525', '152525403', '水库农牧业经营公司场', 'shuikunongmuyejingyinggongsichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152526', '1525', '152526', '西乌珠穆沁旗', 'xiwuzhumuqinqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152526100', '152526', '152526100', '巴拉嘎尔高勒镇', 'balagaergaolezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152526101', '152526', '152526101', '巴彦花镇', 'bayanhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152526102', '152526', '152526102', '吉仁高勒镇', 'jirengaolezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152526103', '152526', '152526103', '浩勒图高勒镇', 'haoletugaolezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152526104', '152526', '152526104', '高日罕镇', 'gaorihanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152526200', '152526', '152526200', '巴彦胡舒苏木乡', 'bayanhushusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152526400', '152526', '152526400', '林业总场', 'linyezongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152527', '1525', '152527', '太仆寺旗', 'taipusiqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152527100', '152527', '152527100', '宝昌镇', 'baochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152527101', '152527', '152527101', '千斤沟镇', 'qianjingouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152527102', '152527', '152527102', '红旗镇', 'hongqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152527103', '152527', '152527103', '骆驼山镇', 'luotuoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152527200', '152527', '152527200', '幸福乡', 'xingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152527201', '152527', '152527201', '贡宝拉格苏木乡', 'gongbaolagesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152527400', '152527', '152527400', '万寿滩良种场', 'wanshoutanliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152528', '1525', '152528', '镶黄旗', 'xianghuangqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152528100', '152528', '152528100', '新宝拉格镇', 'xinbaolagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152528101', '152528', '152528101', '巴彦塔拉镇', 'bayantalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152528200', '152528', '152528200', '翁贡乌拉苏木乡', 'wenggongwulasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152529', '1525', '152529', '正镶白旗', 'zhengxiangbaiqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152529100', '152529', '152529100', '明安图镇', 'mingantuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152529101', '152529', '152529101', '星耀镇', 'xingyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152529200', '152529', '152529200', '伊和淖尔苏木乡', 'yihenaoersumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152529201', '152529', '152529201', '乌兰查布苏木乡', 'wulanchabusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152529400', '152529', '152529400', '额里图种畜场', 'elituzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152529401', '152529', '152529401', '哲日根图林场', 'zherigentulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152530', '1525', '152530', '正蓝旗', 'zhenglanqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152530100', '152530', '152530100', '上都镇', 'shangdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152530101', '152530', '152530101', '桑根达来镇', 'sanggendalaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152530102', '152530', '152530102', '哈毕日嘎镇', 'habirigazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152530200', '152530', '152530200', '宝绍岱苏木乡', 'baoshaodaisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152530201', '152530', '152530201', '那日图苏木乡', 'neiritusumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152530202', '152530', '152530202', '赛音胡都嘎苏木乡', 'saiyinhudougasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152530400', '152530', '152530400', '五一种畜场总场', 'wuyizhongchuchangzongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152530401', '152530', '152530401', '黑城子示范区', 'heichengzishifanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152531', '1525', '152531', '多伦县', 'duolunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152531100', '152531', '152531100', '大北沟镇', 'dabeigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152531101', '152531', '152531101', '多伦淖尔镇', 'duolunnaoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152531200', '152531', '152531200', '大河口乡', 'dahekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152531201', '152531', '152531201', '蔡木山乡', 'caimushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('1529', '15', '1529', '阿拉善盟', 'alashanmeng', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921', '1529', '152921', '阿拉善左旗', 'alashanzuoqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921102', '152921', '152921102', '温都尔勒图镇', 'wendouerletuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921104', '152921', '152921104', '乌斯太镇', 'wusitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921105', '152921', '152921105', '巴润别立镇', 'barunbielizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921110', '152921', '152921110', '巴彦浩特镇', 'bayanhaotezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921111', '152921', '152921111', '嘉尔嘎勒赛汉镇', 'jiaergalesaihanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921112', '152921', '152921112', '吉兰泰镇', 'jilantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921113', '152921', '152921113', '宗别立镇', 'zongbielizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921114', '152921', '152921114', '敖伦布拉格镇', 'aolunbulagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921203', '152921', '152921203', '巴彦木仁苏木乡', 'bayanmurensumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921211', '152921', '152921211', '腾格里苏木乡', 'tenggelisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921213', '152921', '152921213', '乌力吉苏木乡', 'wulijisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921214', '152921', '152921214', '巴彦诺尔公苏木乡', 'bayannuoergongsumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152921215', '152921', '152921215', '额尔克哈什哈苏木乡', 'eerkehashenhasumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152922', '1529', '152922', '阿拉善右旗', 'alashanyouqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152922103', '152922', '152922103', '额肯呼都格镇', 'ekenhudougezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152922104', '152922', '152922104', '雅布赖镇', 'yabulaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152922105', '152922', '152922105', '阿拉腾敖包镇', 'alatengaobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152922211', '152922', '152922211', '孟根布拉格苏木乡', 'menggenbulagesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152922212', '152922', '152922212', '阿拉腾朝克苏木乡', 'alatengchaokesumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152923', '1529', '152923', '额济纳旗', 'ejinaqi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152923100', '152923', '152923100', '达来呼布镇', 'dalaihubuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152923101', '152923', '152923101', '额济纳旗东风镇', 'ejinaqidongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152923200', '152923', '152923200', '额济纳旗赛汉陶来苏木乡', 'ejinaqisaihantaolaisumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152923201', '152923', '152923201', '额济纳旗马鬃山苏木乡', 'ejinaqimazongshansumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152923202', '152923', '152923202', '额济纳旗苏泊淖尔苏木乡', 'ejinaqisubonaoersumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('152923400', '152923', '152923400', '额济纳旗巴彦陶来农场', 'ejinaqibayantaolainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('21', '-1', '21', '辽宁省', 'liaoningsheng', '1', NULL, 0, 1, NULL, NULL, '2021-01-22 02:16:16', 'admin', NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2101', '21', '2101', '沈阳市', 'shenyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210101', '2101', '210101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102', '2101', '210102', '和平区', 'hepingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102001', '210102', '210102001', '砂山街道', 'shashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102002', '210102', '210102002', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102006', '210102', '210102006', '吴淞街道', 'wusongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102007', '210102', '210102007', '西塔街道', 'xitajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102009', '210102', '210102009', '北道口街道', 'beidaokoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102011', '210102', '210102011', '遂川街道', 'suichuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102013', '210102', '210102013', '八经街道', 'bajingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102016', '210102', '210102016', '马路湾街道', 'maluwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102017', '210102', '210102017', '集贤街道', 'jixianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102018', '210102', '210102018', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102019', '210102', '210102019', '南湖街道', 'nanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102021', '210102', '210102021', '长白街道', 'zhangbaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102022', '210102', '210102022', '太原街街道', 'taiyuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102023', '210102', '210102023', '北市场街道', 'beishichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102025', '210102', '210102025', '南市场街道', 'nanshichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102026', '210102', '210102026', '中山街道', 'zhongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210102027', '210102', '210102027', '沈水湾街道', 'shenshuiwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210103', '2101', '210103', '沈河区', 'shenhequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210103004', '210103', '210103004', '大西街道', 'daxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210103005', '210103', '210103005', '滨河街道', 'binhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210103006', '210103', '210103006', '万莲街道', 'wanlianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210103010', '210103', '210103010', '大南街道', 'dananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210103011', '210103', '210103011', '山东庙街道', 'shandongmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210103013', '210103', '210103013', '朱剪炉街道', 'zhujianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210103014', '210103', '210103014', '新北站街道', 'xinbeizhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210103015', '210103', '210103015', '风雨坛街道', 'fengyutanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210103017', '210103', '210103017', '皇城街道', 'huangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210103018', '210103', '210103018', '五里河街道', 'wulihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104', '2101', '210104', '大东区', 'dadongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104001', '210104', '210104001', '小北街道', 'xiaobeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104002', '210104', '210104002', '大北街道', 'dabeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104003', '210104', '210104003', '万泉街道', 'wanquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104004', '210104', '210104004', '洮昌街道', 'taochangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104006', '210104', '210104006', '文官街道', 'wenguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104007', '210104', '210104007', '二台子街道', 'ertaizijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104008', '210104', '210104008', '津桥街道', 'jinqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104009', '210104', '210104009', '东站街道', 'dongzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104010', '210104', '210104010', '辽沈街道', 'liaoshenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104011', '210104', '210104011', '珠林街道', 'zhulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104012', '210104', '210104012', '长安街道', 'zhanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104014', '210104', '210104014', '新东街道', 'xindongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210104015', '210104', '210104015', '东塔街道', 'dongtajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105', '2101', '210105', '皇姑区', 'huangguqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105001', '210105', '210105001', '三台子街道', 'santaizijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105002', '210105', '210105002', '陵北街道', 'lingbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105003', '210105', '210105003', '辽河街道', 'liaohejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105004', '210105', '210105004', '黑龙江街道', 'heilongjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105005', '210105', '210105005', '泰山街道', 'taishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105006', '210105', '210105006', '祟山街道', 'suishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105007', '210105', '210105007', '长江街道', 'zhangjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105008', '210105', '210105008', '黄河街道', 'huanghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105009', '210105', '210105009', '昆山街道', 'kunshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105010', '210105', '210105010', '亚明街道', 'yamingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105011', '210105', '210105011', '克俭街道', 'kejianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105012', '210105', '210105012', '三洞桥街道', 'sandongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105013', '210105', '210105013', '华山街道', 'huashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105014', '210105', '210105014', '寿泉街道', 'shouquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105015', '210105', '210105015', '塔湾街道', 'tawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105016', '210105', '210105016', '怒江街道', 'nujiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105017', '210105', '210105017', '明廉街道', 'minglianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105018', '210105', '210105018', '向工街道', 'xianggongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105019', '210105', '210105019', '新乐街道', 'xinlejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210105020', '210105', '210105020', '太平街道', 'taipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106', '2101', '210106', '铁西区', 'tiexiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106001', '210106', '210106001', '卫工街道', 'weigongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106003', '210106', '210106003', '工人村街道', 'gongrencunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106005', '210106', '210106005', '七路街道', 'qilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106007', '210106', '210106007', '启工街道', 'qigongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106013', '210106', '210106013', '笃工街道', 'dugongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106015', '210106', '210106015', '兴华街道', 'xinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106018', '210106', '210106018', '兴工街道', 'xinggongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106019', '210106', '210106019', '霁虹街道', 'jihongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106020', '210106', '210106020', '凌空街道', 'lingkongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106021', '210106', '210106021', '轻重工街道', 'qingzhonggongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106022', '210106', '210106022', '艳粉路官街道', 'yanfenluguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106023', '210106', '210106023', '兴齐保工街道', 'xingqibaogongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106024', '210106', '210106024', '齐贤兴顺街道', 'qixianxingshunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210106025', '210106', '210106025', '云峰贵和街道', 'yunfengguihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111', '2101', '210111', '苏家屯区', 'sujiatunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111001', '210111', '210111001', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111002', '210111', '210111002', '铁友街道', 'tieyoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111003', '210111', '210111003', '民主街道', 'minzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111004', '210111', '210111004', '临湖街道', 'linhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111005', '210111', '210111005', '中兴街道', 'zhongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111006', '210111', '210111006', '湖西街道', 'huxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111007', '210111', '210111007', '城郊街道', 'chengjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111101', '210111', '210111101', '八一镇', 'bayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111102', '210111', '210111102', '红菱堡镇', 'honglingbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111103', '210111', '210111103', '林盛堡镇', 'linshengbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111104', '210111', '210111104', '沙河铺镇', 'shahepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111105', '210111', '210111105', '十里河镇', 'shilihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111106', '210111', '210111106', '陈相屯镇', 'chenxiangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111107', '210111', '210111107', '姚千户屯镇', 'yaoqianhutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111203', '210111', '210111203', '王纲堡乡', 'wanggangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111204', '210111', '210111204', '永乐乡', 'yonglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111205', '210111', '210111205', '大沟乡', 'dagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111206', '210111', '210111206', '白清寨乡', 'baiqingzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111207', '210111', '210111207', '佟沟乡', 'tonggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111401', '210111', '210111401', '市浑河农场', 'shihunhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111402', '210111', '210111402', '沈阳塔山农业科技发展有限公司', 'shenyangtashannongyekejifazhanyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111404', '210111', '210111404', '区示范农场', 'qushifannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111405', '210111', '210111405', '省稻作研究所', 'shengdaozuoyanjiusuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210111406', '210111', '210111406', '区塔山林场', 'qutashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112', '2101', '210112', '东陵区', 'donglingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112001', '210112', '210112001', '南塔街道', 'nantajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112002', '210112', '210112002', '泉园街道', 'quanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112003', '210112', '210112003', '丰乐街道', 'fenglejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112004', '210112', '210112004', '马官桥街道', 'maguanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112006', '210112', '210112006', '东陵街道', 'donglingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112007', '210112', '210112007', '英达街道', 'yingdajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112008', '210112', '210112008', '前进街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112009', '210112', '210112009', '东湖街道(浑南新区)', 'donghujiedao(hunnanxinqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112010', '210112', '210112010', '五三街道(浑南新区)', 'wusanjiedao(hunnanxinqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112012', '210112', '210112012', '浑河站东街道', 'hunhezhandongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112013', '210112', '210112013', '浑河站西街道', 'hunhezhanxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112014', '210112', '210112014', '高坎街道(棋盘山开发区)', 'gaokanjiedao(qipanshankaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112015', '210112', '210112015', '满堂街道(棋盘山)', 'mantangjiedao(qipanshan)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112102', '210112', '210112102', '深井子镇', 'shenjingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112103', '210112', '210112103', '祝家屯镇', 'zhujiatunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112104', '210112', '210112104', '白塔堡镇', 'baitabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112106', '210112', '210112106', '桃仙镇', 'taoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112109', '210112', '210112109', '李相镇', 'lixiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210112206', '210112', '210112206', '王滨沟乡', 'wangbingouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113', '2101', '210113', '新城子区', 'xinchengziqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113001', '210113', '210113001', '新城子街道', 'xinchengzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113002', '210113', '210113002', '清水台街道', 'qingshuitaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113003', '210113', '210113003', '辉山街道(农业高新区)', 'huishanjiedao(nongyegaoxinqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113101', '210113', '210113101', '道义镇', 'daoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113102', '210113', '210113102', '兴隆台锡伯族镇', 'xinglongtaixibozuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113103', '210113', '210113103', '清水台镇', 'qingshuitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113104', '210113', '210113104', '蒲河镇', 'puhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113105', '210113', '210113105', '虎石台镇', 'hushitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113106', '210113', '210113106', '财落镇', 'cailuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113201', '210113', '210113201', '新城子乡', 'xinchengzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113202', '210113', '210113202', '黄家锡伯族乡', 'huangjiaxibozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113203', '210113', '210113203', '石佛寺朝鲜族锡伯族乡', 'shifosichaoxianzuxibozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113204', '210113', '210113204', '尹家乡', 'yinjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113206', '210113', '210113206', '马刚乡', 'magangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113401', '210113', '210113401', '青年农场', 'qingniannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113402', '210113', '210113402', '前进农场', 'qianjinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113403', '210113', '210113403', '育新农场', 'yuxinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113404', '210113', '210113404', '新城子区马刚林场', 'xinchengziqumaganglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113405', '210113', '210113405', '新城子区示范农场', 'xinchengziqushifannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210113406', '210113', '210113406', '新城子区种畜场', 'xinchengziquzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114', '2101', '210114', '于洪区', 'yuhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114001', '210114', '210114001', '迎宾路街道', 'yingbinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114002', '210114', '210114002', '北塔街道', 'beitajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114003', '210114', '210114003', '陵西街道', 'lingxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114005', '210114', '210114005', '于洪街道', 'yuhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114006', '210114', '210114006', '杨士街道', 'yangshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114007', '210114', '210114007', '北陵街道', 'beilingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114008', '210114', '210114008', '陵东街道', 'lingdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114009', '210114', '210114009', '沙岭街道', 'shalingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114101', '210114', '210114101', '平罗镇', 'pingluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114102', '210114', '210114102', '马三家子镇', 'masanjiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114104', '210114', '210114104', '大潘镇', 'dapanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114105', '210114', '210114105', '造化镇', 'zaohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114106', '210114', '210114106', '翟家镇', 'zhaijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114107', '210114', '210114107', '彰驿站镇', 'zhangyizhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114108', '210114', '210114108', '高花镇', 'gaohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114207', '210114', '210114207', '大兴朝鲜族乡', 'daxingchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114209', '210114', '210114209', '大青中朝友谊乡', 'daqingzhongchaoyouyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114213', '210114', '210114213', '光辉乡', 'guanghuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114401', '210114', '210114401', '马三家劳动教养院', 'masanjialaodongjiaoyangyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114402', '210114', '210114402', '光辉农场', 'guanghuinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114403', '210114', '210114403', '北陵农场', 'beilingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210114404', '210114', '210114404', '监狱城', 'jianyucheng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122', '2101', '210122', '辽中县', 'liaozhongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122100', '210122', '210122100', '辽中镇', 'liaozhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122101', '210122', '210122101', '于家房镇', 'yujiafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122102', '210122', '210122102', '朱家房镇', 'zhujiafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122103', '210122', '210122103', '冷子堡镇', 'lengzibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122104', '210122', '210122104', '刘二堡镇', 'liuerbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122105', '210122', '210122105', '茨榆坨镇', 'ciyutuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122106', '210122', '210122106', '新民屯镇', 'xinmintunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122107', '210122', '210122107', '满都户镇', 'mandouhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122108', '210122', '210122108', '杨士岗镇', 'yangshigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122109', '210122', '210122109', '肖寨门镇', 'xiaozhaimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122110', '210122', '210122110', '长滩镇', 'zhangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122111', '210122', '210122111', '四方台镇', 'sifangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122201', '210122', '210122201', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122202', '210122', '210122202', '六间房乡', 'liujianfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122204', '210122', '210122204', '养士堡乡', 'yangshibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122205', '210122', '210122205', '潘家堡乡', 'panjiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122206', '210122', '210122206', '老观坨乡', 'laoguantuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122208', '210122', '210122208', '老大房乡', 'laodafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122209', '210122', '210122209', '大黑岗子乡', 'daheigangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122210', '210122', '210122210', '牛心坨乡', 'niuxintuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210122401', '210122', '210122401', '四方台子农场', 'sifangtaizinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123', '2101', '210123', '康平县', 'kangpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123100', '210123', '210123100', '康平镇', 'kangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123101', '210123', '210123101', '小城子镇', 'xiaochengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123102', '210123', '210123102', '张强镇', 'zhangqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123103', '210123', '210123103', '方家屯镇', 'fangjiatunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123104', '210123', '210123104', '东关屯镇', 'dongguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123105', '210123', '210123105', '郝官屯镇', 'haoguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123106', '210123', '210123106', '二牛所口镇', 'erniusuokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123203', '210123', '210123203', '北四家子乡', 'beisijiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123204', '210123', '210123204', '两家子乡', 'liangjiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123205', '210123', '210123205', '山东屯乡', 'shandongtunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123206', '210123', '210123206', '海洲窝堡乡', 'haizhouwobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123208', '210123', '210123208', '沙金台蒙古族满族乡', 'shajintaimengguzumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123209', '210123', '210123209', '柳树屯蒙古族满族乡', 'liushutunmengguzumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123210', '210123', '210123210', '西关屯蒙古族满族乡', 'xiguantunmengguzumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123211', '210123', '210123211', '东升满族蒙古族乡', 'dongshengmanzumengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123403', '210123', '210123403', '辽宁省康平监狱', 'liaoningshengkangpingjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210123404', '210123', '210123404', '三台子畜牧场', 'santaizichumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124', '2101', '210124', '法库县', 'fakuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124100', '210124', '210124100', '法库镇', 'fakuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124101', '210124', '210124101', '大孤家子镇', 'dagujiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124102', '210124', '210124102', '三面船镇', 'sanmianchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124103', '210124', '210124103', '秀水河子镇', 'xiushuihezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124104', '210124', '210124104', '叶茂台镇', 'yemaotaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124105', '210124', '210124105', '登仕堡子镇', 'dengshibaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124106', '210124', '210124106', '柏家沟镇', 'bojiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124107', '210124', '210124107', '丁家房镇', 'dingjiafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124201', '210124', '210124201', '慈恩寺乡', 'ciensixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124202', '210124', '210124202', '孟家乡', 'mengjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124203', '210124', '210124203', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124204', '210124', '210124204', '十间房乡', 'shijianfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124205', '210124', '210124205', '冯贝堡乡', 'fengbeibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124206', '210124', '210124206', '依牛堡子乡', 'yiniubaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124207', '210124', '210124207', '五台子乡', 'wutaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124208', '210124', '210124208', '四家子蒙古族乡', 'sijiazimengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124209', '210124', '210124209', '双台子乡', 'shuangtaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124210', '210124', '210124210', '卧牛石乡', 'woniushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210124211', '210124', '210124211', '包家屯乡', 'baojiatunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181', '2101', '210181', '新民市', 'xinminshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181001', '210181', '210181001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181002', '210181', '210181002', '辽滨街道', 'liaobinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181003', '210181', '210181003', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181004', '210181', '210181004', '新柳街道', 'xinliujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181005', '210181', '210181005', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181101', '210181', '210181101', '大红旗镇', 'dahongqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181102', '210181', '210181102', '梁山镇', 'liangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181103', '210181', '210181103', '公主屯镇', 'gongzhutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181104', '210181', '210181104', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181105', '210181', '210181105', '前当堡镇', 'qiandangbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181106', '210181', '210181106', '大民屯镇', 'damintunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181107', '210181', '210181107', '大柳屯镇', 'daliutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181108', '210181', '210181108', '兴隆堡镇', 'xinglongbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181109', '210181', '210181109', '胡台镇', 'hutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181110', '210181', '210181110', '法哈牛镇', 'fahaniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181111', '210181', '210181111', '柳河沟镇', 'liuhegouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181202', '210181', '210181202', '高台子乡', 'gaotaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181204', '210181', '210181204', '金五台子乡', 'jinwutaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181205', '210181', '210181205', '红旗乡', 'hongqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181206', '210181', '210181206', '卢家屯乡', 'lujiatunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181207', '210181', '210181207', '姚堡乡', 'yaobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181208', '210181', '210181208', '周坨子乡', 'zhoutuozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181209', '210181', '210181209', '于家窝堡乡', 'yujiawobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181210', '210181', '210181210', '新农乡', 'xinnongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181211', '210181', '210181211', '东蛇山子乡', 'dongsheshanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181212', '210181', '210181212', '陶家屯乡', 'taojiatunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181213', '210181', '210181213', '罗家房乡', 'luojiafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181214', '210181', '210181214', '三道岗子乡', 'sandaogangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210181216', '210181', '210181216', '张家屯乡', 'zhangjiatunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2102', '21', '2102', '大连市', 'dalianshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210201', '2102', '210201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210202', '2102', '210202', '中山区', 'zhongshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210202001', '210202', '210202001', '海军广场街道', 'haijunguangchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210202003', '210202', '210202003', '桂林街道', 'guilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210202005', '210202', '210202005', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210202008', '210202', '210202008', '青泥洼桥街道', 'qingniwaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210202009', '210202', '210202009', '昆明街道', 'kunmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210202010', '210202', '210202010', '葵英街道', 'kuiyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210202011', '210202', '210202011', '桃源街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210202012', '210202', '210202012', '老虎滩街道', 'laohutanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210203', '2102', '210203', '西岗区', 'xigangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210203001', '210203', '210203001', '香炉礁街道', 'xianglujiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210203002', '210203', '210203002', '站北街道', 'zhanbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210203004', '210203', '210203004', '日新街道', 'rixinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210203005', '210203', '210203005', '北京街道', 'beijingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210203010', '210203', '210203010', '八一路街道', 'bayilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210203011', '210203', '210203011', '人民广场街道', 'renminguangchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210203013', '210203', '210203013', '白云街道', 'baiyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210204', '2102', '210204', '沙河口区', 'shahekouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210204002', '210204', '210204002', '中山公园街道', 'zhongshangongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210204004', '210204', '210204004', '白山路街道', 'baishanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210204005', '210204', '210204005', '兴工街道', 'xinggongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210204006', '210204', '210204006', '春柳街道', 'chunliujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210204008', '210204', '210204008', '马栏街道', 'malanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210204009', '210204', '210204009', '南沙河口街道', 'nanshahekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210204010', '210204', '210204010', '黑石礁街道', 'heishijiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210204011', '210204', '210204011', '李家街道', 'lijiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210204017', '210204', '210204017', '星海湾街道', 'xinghaiwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211', '2102', '210211', '甘井子区', 'ganjingziqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211001', '210211', '210211001', '周水子街道', 'zhoushuizijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211002', '210211', '210211002', '椒金山街道', 'jiaojinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211004', '210211', '210211004', '甘井子街道', 'ganjingzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211006', '210211', '210211006', '南关岭街道', 'nanguanlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211007', '210211', '210211007', '泡崖街道', 'paoyajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211008', '210211', '210211008', '中华路街道', 'zhonghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211009', '210211', '210211009', '兴华街道', 'xinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211010', '210211', '210211010', '机场街道', 'jichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211014', '210211', '210211014', '辛寨子街道', 'xinzhaizijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211015', '210211', '210211015', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211016', '210211', '210211016', '凌水街道', 'lingshuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211017', '210211', '210211017', '大连湾街道', 'dalianwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211018', '210211', '210211018', '泉水街道', 'quanshuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211101', '210211', '210211101', '革镇堡镇', 'gezhenbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211102', '210211', '210211102', '营城子镇', 'yingchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211400', '210211', '210211400', '大连华侨果树农场', 'dalianhuaqiaoguoshunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211401', '210211', '210211401', '大连华侨兴达实业公司', 'dalianhuaqiaoxingdashiyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211402', '210211', '210211402', '大连华侨鑫山企业公司', 'dalianhuaqiaoxinshanqiyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210211403', '210211', '210211403', '大连南关岭农场', 'daliannanguanlingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212', '2102', '210212', '旅顺口区', 'lu:shunkouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212001', '210212', '210212001', '登峰街道', 'dengfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212002', '210212', '210212002', '市场街道', 'shichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212003', '210212', '210212003', '得胜街道', 'deshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212004', '210212', '210212004', '光荣街道', 'guangrongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212005', '210212', '210212005', '水师营街道', 'shuishiyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212006', '210212', '210212006', '龙王塘街道', 'longwangtangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212007', '210212', '210212007', '铁山街道', 'tieshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212008', '210212', '210212008', '江西街道', 'jiangxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212009', '210212', '210212009', '双岛湾街道', 'shuangdaowanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212010', '210212', '210212010', '三涧堡街道', 'sanjianbaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212011', '210212', '210212011', '长城街道', 'zhangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212012', '210212', '210212012', '龙头街道', 'longtoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212013', '210212', '210212013', '北海街道', 'beihaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212400', '210212', '210212400', '旅顺开发区', 'lu:shunkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210212401', '210212', '210212401', '大连奶牛场', 'daliannainiuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213', '2102', '210213', '金州区', 'jinzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213001', '210213', '210213001', '拥政街道', 'yongzhengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213002', '210213', '210213002', '友谊街道', 'youyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213003', '210213', '210213003', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213004', '210213', '210213004', '马桥子街道', 'maqiaozijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213005', '210213', '210213005', '海青岛街道', 'haiqingdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213006', '210213', '210213006', '大孤山街道', 'dagushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213007', '210213', '210213007', '中长街道', 'zhongzhangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213008', '210213', '210213008', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213009', '210213', '210213009', '先进街道', 'xianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213011', '210213', '210213011', '董家沟街道', 'dongjiagoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213012', '210213', '210213012', '金满街道', 'jinmanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213013', '210213', '210213013', '湾里街道', 'wanlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213101', '210213', '210213101', '大李家镇', 'dalijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213102', '210213', '210213102', '得胜镇', 'deshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213103', '210213', '210213103', '华家屯镇', 'huajiatunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213105', '210213', '210213105', '二十里堡镇', 'ershilibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213106', '210213', '210213106', '三十里堡镇', 'sanshilibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213107', '210213', '210213107', '亮甲店镇', 'liangjiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213108', '210213', '210213108', '登沙河镇', 'dengshahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213109', '210213', '210213109', '杏树屯镇', 'xingshutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213110', '210213', '210213110', '石河满族镇', 'shihemanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213111', '210213', '210213111', '大魏家镇', 'daweijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213112', '210213', '210213112', '向应镇', 'xiangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210213202', '210213', '210213202', '七顶山满族乡', 'qidingshanmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210224', '2102', '210224', '长海县', 'zhanghaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210224100', '210224', '210224100', '大长山岛镇', 'dazhangshandaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210224101', '210224', '210224101', '獐子岛镇', 'zhangzidaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210224201', '210224', '210224201', '小长山乡', 'xiaozhangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210224202', '210224', '210224202', '广鹿乡', 'guangluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210224203', '210224', '210224203', '海洋乡', 'haiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281', '2102', '210281', '瓦房店市', 'wafangdianshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281001', '210281', '210281001', '新华', 'xinhua', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281002', '210281', '210281002', '文兰', 'wenlan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281003', '210281', '210281003', '岭东', 'lingdong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281004', '210281', '210281004', '共济', 'gongji', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281005', '210281', '210281005', '铁东', 'tiedong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281006', '210281', '210281006', '祝华', 'zhuhua', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281007', '210281', '210281007', '岗店', 'gangdian', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281008', '210281', '210281008', '太阳街道', 'taiyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281009', '210281', '210281009', '长兴岛', 'zhangxingdao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281101', '210281', '210281101', '复州城镇', 'fuzhouchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281102', '210281', '210281102', '复州湾镇', 'fuzhouwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281103', '210281', '210281103', '松树镇', 'songshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281105', '210281', '210281105', '得利寺镇', 'delisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281106', '210281', '210281106', '万家岭镇', 'wanjialingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281107', '210281', '210281107', '许屯镇', 'xutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281108', '210281', '210281108', '永宁镇', 'yongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281109', '210281', '210281109', '谢屯镇', 'xietunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281110', '210281', '210281110', '炮台镇', 'paotaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281111', '210281', '210281111', '李店镇', 'lidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281112', '210281', '210281112', '老虎屯镇', 'laohutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281113', '210281', '210281113', '东岗镇', 'donggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281115', '210281', '210281115', '李官镇', 'liguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281116', '210281', '210281116', '仙浴湾镇', 'xianyuwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281201', '210281', '210281201', '赵屯乡', 'zhaotunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281203', '210281', '210281203', '土城乡', 'tuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281204', '210281', '210281204', '阎店乡', 'yandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281205', '210281', '210281205', '西杨乡', 'xiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281206', '210281', '210281206', '驼山乡', 'tuoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281208', '210281', '210281208', '三台满族乡', 'santaimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281209', '210281', '210281209', '交流岛乡', 'jiaoliudaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281210', '210281', '210281210', '泡崖乡', 'paoyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210281212', '210281', '210281212', '杨家满族乡', 'yangjiamanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282', '2102', '210282', '普兰店市', 'pulandianshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282001', '210282', '210282001', '丰荣街道', 'fengrongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282002', '210282', '210282002', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282003', '210282', '210282003', '太平街道', 'taipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282004', '210282', '210282004', '南山街道', 'nanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282101', '210282', '210282101', '皮口镇', 'pikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282102', '210282', '210282102', '城子坦镇', 'chengzitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282104', '210282', '210282104', '大刘家镇', 'daliujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282105', '210282', '210282105', '杨树房镇', 'yangshufangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282106', '210282', '210282106', '双塔镇', 'shuangtazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282107', '210282', '210282107', '安波镇', 'anbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282108', '210282', '210282108', '四平镇', 'sipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282109', '210282', '210282109', '沙包镇', 'shabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282110', '210282', '210282110', '瓦窝镇', 'wawozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282111', '210282', '210282111', '元台镇', 'yuantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282113', '210282', '210282113', '大谭镇', 'datanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282114', '210282', '210282114', '夹河庙镇', 'jiahemiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282116', '210282', '210282116', '莲山镇', 'lianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282117', '210282', '210282117', '星台镇', 'xingtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282206', '210282', '210282206', '墨盘乡', 'mopanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282208', '210282', '210282208', '同益乡', 'tongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210282209', '210282', '210282209', '乐甲满族乡', 'lejiamanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283', '2102', '210283', '庄河市', 'zhuangheshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283001', '210283', '210283001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283002', '210283', '210283002', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283003', '210283', '210283003', '兴达街道', 'xingdajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283004', '210283', '210283004', '昌盛街道', 'changshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283101', '210283', '210283101', '青堆镇', 'qingduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283102', '210283', '210283102', '徐岭镇', 'xulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283104', '210283', '210283104', '黑岛镇', 'heidaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283105', '210283', '210283105', '栗子房镇', 'lizifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283107', '210283', '210283107', '大营镇', 'dayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283108', '210283', '210283108', '塔岭满族镇', 'talingmanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283109', '210283', '210283109', '仙人洞镇', 'xianrendongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283110', '210283', '210283110', '蓉花山镇', 'ronghuashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283111', '210283', '210283111', '长岭镇', 'zhanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283112', '210283', '210283112', '荷花山镇', 'hehuashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283113', '210283', '210283113', '城山镇', 'chengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283114', '210283', '210283114', '光明山镇', 'guangmingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283115', '210283', '210283115', '大郑镇', 'dazhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283117', '210283', '210283117', '明阳镇', 'mingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283118', '210283', '210283118', '吴炉镇', 'wuluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283120', '210283', '210283120', '王家镇', 'wangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283204', '210283', '210283204', '鞍子山乡', 'anzishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283208', '210283', '210283208', '太平岭满族乡', 'taipinglingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283209', '210283', '210283209', '步云山乡', 'buyunshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283211', '210283', '210283211', '桂云花满族乡', 'guiyunhuamanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283214', '210283', '210283214', '兰店乡', 'landianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210283216', '210283', '210283216', '石城乡', 'shichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2103', '21', '2103', '鞍山市', 'anshanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210301', '2103', '210301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302', '2103', '210302', '铁东区', 'tiedongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302001', '210302', '210302001', '长甸', 'zhangdian', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302002', '210302', '210302002', '解放', 'jiefang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302003', '210302', '210302003', '山南', 'shannan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302004', '210302', '210302004', '园林', 'yuanlin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302005', '210302', '210302005', '胜利', 'shengli', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302006', '210302', '210302006', '站前', 'zhanqian', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302007', '210302', '210302007', '钢城', 'gangcheng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302008', '210302', '210302008', '和平', 'heping', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302009', '210302', '210302009', '对炉', 'duilu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302010', '210302', '210302010', '东长甸', 'dongzhangdian', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302011', '210302', '210302011', '湖南', 'hunan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302012', '210302', '210302012', '常青', 'changqing', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210302013', '210302', '210302013', '新兴', 'xinxing', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210303', '2103', '210303', '铁西区', 'tiexiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210303001', '210303', '210303001', '启明街道', 'qimingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210303002', '210303', '210303002', '繁荣街道', 'fanrongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210303003', '210303', '210303003', '八家子街道', 'bajiazijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210303004', '210303', '210303004', '兴盛街道', 'xingshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210303005', '210303', '210303005', '共和街道', 'gonghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210303006', '210303', '210303006', '永乐街道', 'yonglejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210303007', '210303', '210303007', '北陶官街道', 'beitaoguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210303008', '210303', '210303008', '南华街道', 'nanhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210303009', '210303', '210303009', '大陆街道', 'dalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210303010', '210303', '210303010', '新陶官街道', 'xintaoguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210304', '2103', '210304', '立山区', 'lishanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210304001', '210304', '210304001', '友好', 'youhao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210304004', '210304', '210304004', '双山', 'shuangshan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210304006', '210304', '210304006', '立山', 'lishan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210304008', '210304', '210304008', '曙光', 'shuguang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210304009', '210304', '210304009', '灵山', 'lingshan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210304013', '210304', '210304013', '深南', 'shennan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210304014', '210304', '210304014', '深北', 'shenbei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210304015', '210304', '210304015', '沙河', 'shahe', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210304100', '210304', '210304100', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311', '2103', '210311', '千山区', 'qianshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311001', '210311', '210311001', '旧堡街道', 'jiubaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311002', '210311', '210311002', '大孤山街道', 'dagushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311101', '210311', '210311101', '东鞍山镇', 'donganshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311102', '210311', '210311102', '唐家房镇', 'tangjiafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311103', '210311', '210311103', '大孤山镇', 'dagushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311104', '210311', '210311104', '千山镇', 'qianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311105', '210311', '210311105', '齐大山镇', 'qidashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311106', '210311', '210311106', '达道湾镇', 'dadaowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311107', '210311', '210311107', '宁远镇', 'ningyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311108', '210311', '210311108', '汤岗子镇', 'tanggangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311401', '210311', '210311401', '鞍山高新区', 'anshangaoxinqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210311402', '210311', '210311402', '千山风景区管理委员会', 'qianshanfengjingquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321', '2103', '210321', '台安县', 'taianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321100', '210321', '210321100', '台安镇', 'taianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321101', '210321', '210321101', '西佛镇', 'xifozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321102', '210321', '210321102', '新开河镇', 'xinkaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321103', '210321', '210321103', '黄沙坨镇', 'huangshatuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321104', '210321', '210321104', '高力房镇', 'gaolifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321105', '210321', '210321105', '桑林镇', 'sanglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321106', '210321', '210321106', '富家镇', 'fujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321107', '210321', '210321107', '达牛镇', 'daniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321109', '210321', '210321109', '韭菜台镇', 'jiucaitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321110', '210321', '210321110', '新台镇', 'xintaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321111', '210321', '210321111', '桓洞镇', 'huandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321400', '210321', '210321400', '新华农场', 'xinhuanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321401', '210321', '210321401', '洪家农牧场', 'hongjianongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210321402', '210321', '210321402', '西平林场', 'xipinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323', '2103', '210323', '岫岩县', 'xiuyanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323100', '210323', '210323100', '岫岩镇', 'xiuyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323101', '210323', '210323101', '三家子镇', 'sanjiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323102', '210323', '210323102', '石庙子镇', 'shimiaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323103', '210323', '210323103', '黄花甸镇', 'huanghuadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323104', '210323', '210323104', '大营子镇', 'dayingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323105', '210323', '210323105', '苏子沟镇', 'suzigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323106', '210323', '210323106', '偏岭镇', 'pianlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323107', '210323', '210323107', '哈达碑镇', 'hadabeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323108', '210323', '210323108', '新甸镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323109', '210323', '210323109', '洋河镇', 'yanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323111', '210323', '210323111', '杨家堡镇', 'yangjiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323112', '210323', '210323112', '汤沟镇', 'tanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323113', '210323', '210323113', '石灰窑镇', 'shihuiyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323114', '210323', '210323114', '前营子镇', 'qianyingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323115', '210323', '210323115', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323201', '210323', '210323201', '牧牛乡', 'muniuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323202', '210323', '210323202', '韭菜沟乡', 'jiucaigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323204', '210323', '210323204', '大房身乡', 'dafangshenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323205', '210323', '210323205', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323206', '210323', '210323206', '红旗营子乡', 'hongqiyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323211', '210323', '210323211', '岭沟乡', 'linggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210323212', '210323', '210323212', '哨子河乡', 'shaozihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381', '2103', '210381', '海城市', 'haichengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381001', '210381', '210381001', '海州街道', 'haizhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381002', '210381', '210381002', '兴海街道', 'xinghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381003', '210381', '210381003', '响堂街道', 'xiangtangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381004', '210381', '210381004', '东四街道', 'dongsijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381101', '210381', '210381101', '孤山镇', 'gushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381102', '210381', '210381102', '岔沟镇', 'chagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381103', '210381', '210381103', '接文镇', 'jiewenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381104', '210381', '210381104', '析木镇', 'ximuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381105', '210381', '210381105', '马风镇', 'mafengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381107', '210381', '210381107', '牌楼镇', 'pailouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381108', '210381', '210381108', '八里镇', 'balizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381109', '210381', '210381109', '毛祁镇', 'maoqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381110', '210381', '210381110', '英落镇', 'yingluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381111', '210381', '210381111', '感王镇', 'ganwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381112', '210381', '210381112', '西柳镇', 'xiliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381113', '210381', '210381113', '中小镇', 'zhongxiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381114', '210381', '210381114', '王石镇', 'wangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381115', '210381', '210381115', '南台镇', 'nantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381116', '210381', '210381116', '甘泉镇', 'ganquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381117', '210381', '210381117', '大屯镇', 'datunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381118', '210381', '210381118', '腾鳌镇', 'tengaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381120', '210381', '210381120', '东四方台温泉管理区', 'dongsifangtaiwenquanguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381121', '210381', '210381121', '耿庄镇', 'gengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381123', '210381', '210381123', '牛庄镇', 'niuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381124', '210381', '210381124', '西四镇', 'xisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381125', '210381', '210381125', '望台镇', 'wangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381126', '210381', '210381126', '温香镇', 'wenxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381127', '210381', '210381127', '高坨镇', 'gaotuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210381400', '210381', '210381400', '海城经济开发区', 'haichengjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2104', '21', '2104', '抚顺市', 'fushunshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210401', '2104', '210401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210402', '2104', '210402', '新抚区', 'xinfuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210402001', '210402', '210402001', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210402003', '210402', '210402003', '东公园街道', 'donggongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210402005', '210402', '210402005', '福民街道', 'fuminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210402007', '210402', '210402007', '新抚街道', 'xinfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210402009', '210402', '210402009', '榆林街道', 'yulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210402011', '210402', '210402011', '永安台街道', 'yongantaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210402013', '210402', '210402013', '千金街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210402015', '210402', '210402015', '南阳街道', 'nanyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403', '2104', '210403', '东洲区', 'dongzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403002', '210403', '210403002', '东洲街道', 'dongzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403003', '210403', '210403003', '张甸街道', 'zhangdianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403004', '210403', '210403004', '搭连街道', 'dalianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403005', '210403', '210403005', '龙凤街道', 'longfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403006', '210403', '210403006', '新屯街道', 'xintunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403007', '210403', '210403007', '万新街道', 'wanxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403008', '210403', '210403008', '老虎台街道', 'laohutaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403009', '210403', '210403009', '平山街道', 'pingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403010', '210403', '210403010', '南花园街道', 'nanhuayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403011', '210403', '210403011', '刘山街道', 'liushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403012', '210403', '210403012', '章党街道', 'zhangdangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403201', '210403', '210403201', '千金乡', 'qianjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210403202', '210403', '210403202', '碾盘乡', 'nianpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404', '2104', '210404', '望花区', 'wanghuaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404001', '210404', '210404001', '田屯街道', 'tiantunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404002', '210404', '210404002', '工农街道', 'gongnongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404003', '210404', '210404003', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404004', '210404', '210404004', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404005', '210404', '210404005', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404006', '210404', '210404006', '朴屯街道', 'potunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404007', '210404', '210404007', '演武街道', 'yanwujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404008', '210404', '210404008', '五老屯街道', 'wulaotunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404009', '210404', '210404009', '古城子街道', 'guchengzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404010', '210404', '210404010', '新民街道', 'xinminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404011', '210404', '210404011', '李石街道', 'lishijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210404101', '210404', '210404101', '塔峪镇', 'tayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210411', '2104', '210411', '顺城区', 'shunchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210411001', '210411', '210411001', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210411002', '210411', '210411002', '长春街道', 'zhangchunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210411003', '210411', '210411003', '葛布街道', 'gebujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210411004', '210411', '210411004', '将军堡街道', 'jiangjunbaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210411005', '210411', '210411005', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210411007', '210411', '210411007', '抚顺城街道', 'fushunchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210411102', '210411', '210411102', '前甸镇', 'qiandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210411201', '210411', '210411201', '河北乡', 'hebeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210411205', '210411', '210411205', '会元乡', 'huiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421', '2104', '210421', '抚顺县', 'fushunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421101', '210421', '210421101', '石文镇', 'shiwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421102', '210421', '210421102', '后安镇', 'houanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421103', '210421', '210421103', '章党镇', 'zhangdangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421104', '210421', '210421104', '哈达镇', 'hadazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421204', '210421', '210421204', '马圈子乡', 'maquanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421205', '210421', '210421205', '上马乡', 'shangmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421207', '210421', '210421207', '救兵乡', 'jiubingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421209', '210421', '210421209', '峡河乡', 'xiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421211', '210421', '210421211', '海浪乡', 'hailangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421212', '210421', '210421212', '拉古满族乡', 'lagumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421215', '210421', '210421215', '兰山乡', 'lanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210421216', '210421', '210421216', '汤图满族乡', 'tangtumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422', '2104', '210422', '新宾满族自治县', 'xinbinmanzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422100', '210422', '210422100', '新宾镇', 'xinbinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422101', '210422', '210422101', '旺清门镇', 'wangqingmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422102', '210422', '210422102', '永陵镇', 'yonglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422103', '210422', '210422103', '平顶山镇', 'pingdingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422104', '210422', '210422104', '大四平镇', 'dasipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422105', '210422', '210422105', '苇子峪镇', 'weiziyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422106', '210422', '210422106', '木奇镇', 'muqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422108', '210422', '210422108', '上夹河镇', 'shangjiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422109', '210422', '210422109', '南杂木镇', 'nanzamuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422202', '210422', '210422202', '红升乡', 'hongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422203', '210422', '210422203', '响水河子乡', 'xiangshuihezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422204', '210422', '210422204', '红庙子乡', 'hongmiaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422205', '210422', '210422205', '北四平乡', 'beisipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422207', '210422', '210422207', '榆树乡', 'yushuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210422208', '210422', '210422208', '下夹河乡', 'xiajiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423', '2104', '210423', '清原满族自治县', 'qingyuanmanzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423100', '210423', '210423100', '清原镇', 'qingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423101', '210423', '210423101', '红透山镇', 'hongtoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423103', '210423', '210423103', '草市镇', 'caoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423104', '210423', '210423104', '英额门镇', 'yingemenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423105', '210423', '210423105', '南口前镇', 'nankouqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423106', '210423', '210423106', '南山城镇', 'nanshanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423107', '210423', '210423107', '湾甸子镇', 'wandianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423108', '210423', '210423108', '大孤家镇', 'dagujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423109', '210423', '210423109', '夏家堡镇', 'xiajiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423203', '210423', '210423203', '土口子乡', 'tukouzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423204', '210423', '210423204', '北三家乡', 'beisanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423206', '210423', '210423206', '敖家堡乡', 'aojiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423207', '210423', '210423207', '大苏河乡', 'dasuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210423208', '210423', '210423208', '枸乃甸乡', 'gounaidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2105', '21', '2105', '本溪市', 'benxishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210501', '2105', '210501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210502', '2105', '210502', '平山区', 'pingshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210502001', '210502', '210502001', '南地街道', 'nandijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210502002', '210502', '210502002', '工人街道', 'gongrenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210502003', '210502', '210502003', '平山街道', 'pingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210502004', '210502', '210502004', '东明街道', 'dongmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210502005', '210502', '210502005', '崔东街道', 'cuidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210502007', '210502', '210502007', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210502008', '210502', '210502008', '千金街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210502010', '210502', '210502010', '北台街道', 'beitaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210502101', '210502', '210502101', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210503', '2105', '210503', '溪湖区', 'xihuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210503001', '210503', '210503001', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210503003', '210503', '210503003', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210503005', '210503', '210503005', '彩屯街道', 'caitunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210503006', '210503', '210503006', '竖井街道', 'shujingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210503007', '210503', '210503007', '彩北街道', 'caibeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210503009', '210503', '210503009', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210503101', '210503', '210503101', '火连寨镇', 'huolianzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210503102', '210503', '210503102', '歪头山镇', 'waitoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210503104', '210503', '210503104', '石桥子镇', 'shiqiaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210503201', '210503', '210503201', '张其寨乡', 'zhangqizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210504', '2105', '210504', '明山区', 'mingshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210504001', '210504', '210504001', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210504002', '210504', '210504002', '北地街道', 'beidijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210504004', '210504', '210504004', '高峪街道', 'gaoyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210504005', '210504', '210504005', '明山街道', 'mingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210504007', '210504', '210504007', '东兴街道', 'dongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210504008', '210504', '210504008', '新明街道', 'xinmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210504009', '210504', '210504009', '牛心台街道', 'niuxintaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210504010', '210504', '210504010', '卧龙街道', 'wolongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210504101', '210504', '210504101', '高台子镇', 'gaotaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210505', '2105', '210505', '南芬区', 'nanfenqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210505001', '210505', '210505001', '南芬街道', 'nanfenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210505002', '210505', '210505002', '铁山街道', 'tieshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210505003', '210505', '210505003', '郭家街道', 'guojiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210505101', '210505', '210505101', '下马塘镇', 'xiamatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210505202', '210505', '210505202', '思山岭满族乡', 'sishanlingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521', '2105', '210521', '本溪满族自治县', 'benximanzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521001', '210521', '210521001', '观音阁街道', 'guanyingejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521100', '210521', '210521100', '小市镇', 'xiaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521101', '210521', '210521101', '草河掌镇', 'caohezhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521102', '210521', '210521102', '草河城镇', 'caohechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521103', '210521', '210521103', '草河口镇', 'caohekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521104', '210521', '210521104', '连山关镇', 'lianshanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521106', '210521', '210521106', '清河城镇', 'qinghechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521109', '210521', '210521109', '田师傅镇', 'tianshifuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521110', '210521', '210521110', '南甸镇', 'nandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521111', '210521', '210521111', '碱厂镇', 'jianchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521112', '210521', '210521112', '高官镇', 'gaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210521202', '210521', '210521202', '东营房乡', 'dongyingfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522', '2105', '210522', '桓仁满族自治县', 'huanrenmanzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522001', '210522', '210522001', '江城街道', 'jiangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522100', '210522', '210522100', '桓仁镇', 'huanrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522101', '210522', '210522101', '普乐堡镇', 'pulebaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522102', '210522', '210522102', '二棚甸子镇', 'erpengdianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522103', '210522', '210522103', '沙尖子镇', 'shajianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522104', '210522', '210522104', '五里甸子镇', 'wulidianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522108', '210522', '210522108', '八里甸子镇', 'balidianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522110', '210522', '210522110', '华来镇', 'hualaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522111', '210522', '210522111', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522201', '210522', '210522201', '雅河朝鲜族乡', 'yahechaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522202', '210522', '210522202', '向阳乡', 'xiangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522206', '210522', '210522206', '黑沟乡', 'heigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210522208', '210522', '210522208', '北甸子乡', 'beidianzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2106', '21', '2106', '丹东市', 'dandongshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210601', '2106', '210601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210602', '2106', '210602', '元宝区', 'yuanbaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210602001', '210602', '210602001', '六道口街道', 'liudaokoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210602002', '210602', '210602002', '七道街道', 'qidaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210602003', '210602', '210602003', '八道街道', 'badaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210602004', '210602', '210602004', '九道街道', 'jiudaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210602005', '210602', '210602005', '广济街道', 'guangjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210602006', '210602', '210602006', '兴东街道', 'xingdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210602101', '210602', '210602101', '金山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210603', '2106', '210603', '振兴区', 'zhenxingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210603001', '210603', '210603001', '头道桥街道', 'toudaoqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210603002', '210603', '210603002', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210603003', '210603', '210603003', '临江街道', 'linjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210603004', '210603', '210603004', '六道街道', 'liudaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210603005', '210603', '210603005', '帽盔山街道', 'maokuishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210603006', '210603', '210603006', '纤维街道', 'xianweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210603007', '210603', '210603007', '永昌街道', 'yongchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210603008', '210603', '210603008', '花园街道', 'huayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210603101', '210603', '210603101', '浪头镇', 'langtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210603102', '210603', '210603102', '安民镇', 'anminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210604', '2106', '210604', '振安区', 'zhenanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210604001', '210604', '210604001', '鸭绿江街道', 'yalu:jiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210604003', '210604', '210604003', '金矿街道', 'jinkuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210604004', '210604', '210604004', '珍珠街道', 'zhenzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210604005', '210604', '210604005', '太平湾街道', 'taipingwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210604102', '210604', '210604102', '同兴镇', 'tongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210604104', '210604', '210604104', '五龙背镇', 'wulongbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210604105', '210604', '210604105', '楼房镇', 'loufangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210604106', '210604', '210604106', '九连城镇', 'jiulianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210604107', '210604', '210604107', '汤山城镇', 'tangshanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624', '2106', '210624', '宽甸满族自治县', 'kuandianmanzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624100', '210624', '210624100', '宽甸镇', 'kuandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624101', '210624', '210624101', '灌水镇', 'guanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624102', '210624', '210624102', '硼海镇', 'penghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624103', '210624', '210624103', '红石镇', 'hongshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624104', '210624', '210624104', '毛甸子镇', 'maodianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624105', '210624', '210624105', '长甸镇', 'zhangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624106', '210624', '210624106', '永甸镇', 'yongdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624108', '210624', '210624108', '太平哨镇', 'taipingshaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624109', '210624', '210624109', '青山沟镇', 'qingshangouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624110', '210624', '210624110', '牛毛坞镇', 'niumaowuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624111', '210624', '210624111', '大川头镇', 'dachuantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624112', '210624', '210624112', '青椅山镇', 'qingyishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624113', '210624', '210624113', '杨木川镇', 'yangmuchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624114', '210624', '210624114', '虎山镇', 'hushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624115', '210624', '210624115', '振江镇', 'zhenjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624116', '210624', '210624116', '步达远镇', 'budayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624117', '210624', '210624117', '大西岔镇', 'daxichazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624118', '210624', '210624118', '八河川镇', 'bahechuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624119', '210624', '210624119', '双山子镇', 'shuangshanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624201', '210624', '210624201', '石湖沟乡', 'shihugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624206', '210624', '210624206', '古楼子乡', 'gulouzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210624212', '210624', '210624212', '下露河朝鲜族乡', 'xialuhechaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681', '2106', '210681', '东港市', 'donggangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681001', '210681', '210681001', '大东街道', 'dadongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681002', '210681', '210681002', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681003', '210681', '210681003', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681101', '210681', '210681101', '孤山镇', 'gushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681103', '210681', '210681103', '汤池镇', 'tangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681104', '210681', '210681104', '前阳镇', 'qianyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681105', '210681', '210681105', '长安镇', 'zhanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681106', '210681', '210681106', '十字街镇', 'shizijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681107', '210681', '210681107', '长山镇', 'zhangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681108', '210681', '210681108', '北井子镇', 'beijingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681109', '210681', '210681109', '椅圈镇', 'yiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681110', '210681', '210681110', '黄土坎镇', 'huangtukanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681113', '210681', '210681113', '马家店镇', 'majiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681114', '210681', '210681114', '龙王庙满族锡伯族镇', 'longwangmiaomanzuxibozuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681115', '210681', '210681115', '小甸子镇', 'xiaodianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681117', '210681', '210681117', '菩萨庙镇', 'pusamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681118', '210681', '210681118', '黑沟镇', 'heigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681119', '210681', '210681119', '新农镇', 'xinnongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681206', '210681', '210681206', '合隆乡', 'helongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681401', '210681', '210681401', '示范农场', 'shifannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681402', '210681', '210681402', '黄土坎农场', 'huangtukannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681403', '210681', '210681403', '海洋红农场', 'haiyanghongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681404', '210681', '210681404', '兴隆农场', 'xinglongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210681405', '210681', '210681405', '五四农场', 'wusinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682', '2106', '210682', '凤城市', 'fengchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682001', '210682', '210682001', '凤凰城街道', 'fenghuangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682002', '210682', '210682002', '凤山街道', 'fengshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682003', '210682', '210682003', '草河街道', 'caohejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682101', '210682', '210682101', '宝山镇', 'baoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682102', '210682', '210682102', '白旗镇', 'baiqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682103', '210682', '210682103', '沙里寨镇', 'shalizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682104', '210682', '210682104', '红旗镇', 'hongqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682105', '210682', '210682105', '蓝旗镇', 'lanqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682107', '210682', '210682107', '边门镇', 'bianmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682109', '210682', '210682109', '大堡蒙古族镇', 'dabaomengguzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682110', '210682', '210682110', '东汤镇', 'dongtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682111', '210682', '210682111', '石城镇', 'shichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682112', '210682', '210682112', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682113', '210682', '210682113', '爱阳镇', 'aiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682114', '210682', '210682114', '赛马镇', 'saimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682115', '210682', '210682115', '弟兄山镇', 'dixiongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682116', '210682', '210682116', '鸡冠山镇', 'jiguanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682117', '210682', '210682117', '刘家河镇', 'liujiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682118', '210682', '210682118', '通远堡镇', 'tongyuanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682119', '210682', '210682119', '四门子镇', 'simenzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210682120', '210682', '210682120', '青城子镇', 'qingchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2107', '21', '2107', '锦州市', 'jinzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210701', '2107', '210701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210702', '2107', '210702', '古塔区', 'gutaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210702001', '210702', '210702001', '天安街道', 'tiananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210702002', '210702', '210702002', '石油街道', 'shiyoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210702003', '210702', '210702003', '北街街道', 'beijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210702004', '210702', '210702004', '敬业街道', 'jingyejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210702005', '210702', '210702005', '保安街道', 'baoanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210702006', '210702', '210702006', '南街街道', 'nanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210702007', '210702', '210702007', '饶阳街道', 'raoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210702008', '210702', '210702008', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210702009', '210702', '210702009', '士英街道', 'shiyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703', '2107', '210703', '凌河区', 'linghequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703001', '210703', '210703001', '正大街道', 'zhengdajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703002', '210703', '210703002', '石桥子街道', 'shiqiaozijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703003', '210703', '210703003', '龙江街道', 'longjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703004', '210703', '210703004', '榴花街道', 'liuhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703005', '210703', '210703005', '铁新街道', 'tiexinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703006', '210703', '210703006', '凌安街道', 'linganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703007', '210703', '210703007', '菊园街道', 'juyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703008', '210703', '210703008', '康宁街道', 'kangningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703009', '210703', '210703009', '锦铁街道', 'jintiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703010', '210703', '210703010', '马家街道', 'majiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703011', '210703', '210703011', '百股街道', 'baigujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210703402', '210703', '210703402', '锦州北山农工商总公司', 'jinzhoubeishannonggongshangzonggongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711', '2107', '210711', '太和区', 'taihequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711001', '210711', '210711001', '太和街道', 'taihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711002', '210711', '210711002', '兴隆街道', 'xinglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711003', '210711', '210711003', '汤河子街道', 'tanghezijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711004', '210711', '210711004', '凌西街道', 'lingxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711006', '210711', '210711006', '凌南街道', 'lingnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711007', '210711', '210711007', '大薛街道', 'daxuejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711070', '210711', '210711070', '王家街道', 'wangjiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711071', '210711', '210711071', '天桥街道', 'tianqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711072', '210711', '210711072', '杏山街道', 'xingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711202', '210711', '210711202', '女儿河乡', 'nu:erhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711203', '210711', '210711203', '钟屯乡', 'zhongtunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711204', '210711', '210711204', '营盘乡', 'yingpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711205', '210711', '210711205', '新民乡', 'xinminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210711401', '210711', '210711401', '锦州市果树农场', 'jinzhoushiguoshunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726', '2107', '210726', '黑山县', 'heishanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726100', '210726', '210726100', '黑山镇', 'heishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726101', '210726', '210726101', '芳山镇', 'fangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726102', '210726', '210726102', '白厂门镇', 'baichangmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726103', '210726', '210726103', '常兴镇', 'changxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726104', '210726', '210726104', '姜屯镇', 'jiangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726105', '210726', '210726105', '励家镇', 'lijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726106', '210726', '210726106', '绕阳河镇', 'raoyanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726107', '210726', '210726107', '半拉门镇', 'banlamenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726108', '210726', '210726108', '无梁殿镇', 'wuliangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726109', '210726', '210726109', '胡家镇', 'hujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726110', '210726', '210726110', '新立屯镇', 'xinlitunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726111', '210726', '210726111', '八道壕镇', 'badaohaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726112', '210726', '210726112', '大虎山镇', 'dahushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726113', '210726', '210726113', '四家子镇', 'sijiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726114', '210726', '210726114', '新兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726116', '210726', '210726116', '太和镇', 'taihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726201', '210726', '210726201', '英城子乡', 'yingchengzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726208', '210726', '210726208', '镇安乡', 'zhenanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726209', '210726', '210726209', '段家乡', 'duanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726210', '210726', '210726210', '大兴乡', 'daxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726212', '210726', '210726212', '薛屯乡', 'xuetunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210726400', '210726', '210726400', '辽宁省锦州市小东种畜场', 'liaoningshengjinzhoushixiaodongzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727', '2107', '210727', '义县', 'yixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727100', '210727', '210727100', '义州镇', 'yizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727101', '210727', '210727101', '刘龙台镇', 'liulongtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727102', '210727', '210727102', '七里河镇', 'qilihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727103', '210727', '210727103', '大榆树堡镇', 'dayushubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727104', '210727', '210727104', '稍户营子镇', 'shaohuyingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727105', '210727', '210727105', '九道岭镇', 'jiudaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727106', '210727', '210727106', '高台子镇', 'gaotaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727108', '210727', '210727108', '瓦子峪镇', 'waziyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727201', '210727', '210727201', '城关满族乡', 'chengguanmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727202', '210727', '210727202', '头道河满族乡', 'toudaohemanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727203', '210727', '210727203', '地藏寺满族乡', 'dizangsimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727204', '210727', '210727204', '留龙沟满族乡', 'liulonggoumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727205', '210727', '210727205', '大定堡满族乡', 'dadingbaomanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727206', '210727', '210727206', '前杨乡', 'qianyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727207', '210727', '210727207', '白庙子乡', 'baimiaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727208', '210727', '210727208', '聚粮屯乡', 'juliangtunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727209', '210727', '210727209', '张家堡乡', 'zhangjiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210727215', '210727', '210727215', '头台满族乡', 'toutaimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781', '2107', '210781', '凌海市', 'linghaishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781001', '210781', '210781001', '大凌河街道', 'dalinghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781002', '210781', '210781002', '金城街道', 'jinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781101', '210781', '210781101', '石山镇', 'shishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781102', '210781', '210781102', '余积镇', 'yujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781103', '210781', '210781103', '双羊镇', 'shuangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781104', '210781', '210781104', '班吉塔镇', 'banjitazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781105', '210781', '210781105', '沈家台镇', 'shenjiataizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781106', '210781', '210781106', '三台子镇', 'santaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781107', '210781', '210781107', '右卫满族镇', 'youweimanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781108', '210781', '210781108', '阎家镇', 'yanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781109', '210781', '210781109', '新庄子镇', 'xinzhuangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781110', '210781', '210781110', '娘娘宫镇', 'niangnianggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781112', '210781', '210781112', '翠岩镇', 'cuiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781170', '210781', '210781170', '松山镇', 'songshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781202', '210781', '210781202', '大业乡', 'dayexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781204', '210781', '210781204', '西八千乡', 'xibaqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781205', '210781', '210781205', '建业乡', 'jianyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781210', '210781', '210781210', '温滴楼满族乡', 'wendiloumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781212', '210781', '210781212', '板石沟乡', 'banshigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781214', '210781', '210781214', '白台子乡', 'baitaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781217', '210781', '210781217', '谢屯乡', 'xietunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781219', '210781', '210781219', '安屯乡', 'antunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781401', '210781', '210781401', '辽宁省金城原种场', 'liaoningshengjinchengyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210781405', '210781', '210781405', '大有农场', 'dayounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782', '2107', '210782', '北镇市', 'beizhenshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782004', '210782', '210782004', '北镇街道', 'beizhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782005', '210782', '210782005', '观音阁街道', 'guanyingejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782101', '210782', '210782101', '大市镇', 'dashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782102', '210782', '210782102', '罗罗堡镇', 'luoluobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782103', '210782', '210782103', '常兴店镇', 'changxingdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782104', '210782', '210782104', '正安镇', 'zhenganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782105', '210782', '210782105', '闾阳镇', 'lu:yangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782106', '210782', '210782106', '中安镇', 'zhonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782107', '210782', '210782107', '廖屯镇', 'liaotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782109', '210782', '210782109', '赵屯镇', 'zhaotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782110', '210782', '210782110', '青堆子镇', 'qingduizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782111', '210782', '210782111', '高山子镇', 'gaoshanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782112', '210782', '210782112', '沟帮子镇', 'goubangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782201', '210782', '210782201', '富屯乡', 'futunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782203', '210782', '210782203', '鲍家乡', 'baojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782206', '210782', '210782206', '大屯乡', 'datunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782208', '210782', '210782208', '吴家乡', 'wujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782209', '210782', '210782209', '柳家乡', 'liujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782211', '210782', '210782211', '广宁乡', 'guangningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210782403', '210782', '210782403', '新立农场', 'xinlinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2108', '21', '2108', '营口市', 'yingkoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210801', '2108', '210801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210802', '2108', '210802', '站前区', 'zhanqianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210802001', '210802', '210802001', '八田地街道', 'batiandijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210802002', '210802', '210802002', '建丰街道', 'jianfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210802003', '210802', '210802003', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210802004', '210802', '210802004', '跃进街道', 'yuejinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210802005', '210802', '210802005', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210802006', '210802', '210802006', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210802007', '210802', '210802007', '新建街道', 'xinjianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210803', '2108', '210803', '西市区', 'xishiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210803001', '210803', '210803001', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210803002', '210803', '210803002', '清华街道', 'qinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210803003', '210803', '210803003', '滨海街道', 'binhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210803004', '210803', '210803004', '得胜街道', 'deshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210803005', '210803', '210803005', '五台子街道', 'wutaizijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210803006', '210803', '210803006', '渔市街道', 'yushijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210803007', '210803', '210803007', '河北街道', 'hebeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210804', '2108', '210804', '鲅鱼圈区', 'bayuquanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210804001', '210804', '210804001', '红海街道', 'honghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210804002', '210804', '210804002', '海星街道', 'haixingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210804003', '210804', '210804003', '望海街道', 'wanghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210804004', '210804', '210804004', '海东街道', 'haidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210804100', '210804', '210804100', '熊岳镇', 'xiongyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210804101', '210804', '210804101', '芦屯镇', 'lutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210804102', '210804', '210804102', '红旗满族镇', 'hongqimanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210811', '2108', '210811', '老边区', 'laobianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210811001', '210811', '210811001', '老边街道', 'laobianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210811002', '210811', '210811002', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210811101', '210811', '210811101', '路南镇', 'lunanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210811102', '210811', '210811102', '柳树镇', 'liushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210811103', '210811', '210811103', '边城镇', 'bianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210811104', '210811', '210811104', '二道镇', 'erdaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881', '2108', '210881', '盖州市', 'gaizhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881001', '210881', '210881001', '鼓楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881002', '210881', '210881002', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881003', '210881', '210881003', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881004', '210881', '210881004', '太阳升街道', 'taiyangshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881005', '210881', '210881005', '团山街道', 'tuanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881006', '210881', '210881006', '西海街道', 'xihaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881102', '210881', '210881102', '高屯镇', 'gaotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881105', '210881', '210881105', '沙岗镇', 'shagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881108', '210881', '210881108', '九垅地镇', 'jiulongdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881109', '210881', '210881109', '九寨镇', 'jiuzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881110', '210881', '210881110', '万福镇', 'wanfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881111', '210881', '210881111', '卧龙泉镇', 'wolongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881112', '210881', '210881112', '青石岭镇', 'qingshilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881113', '210881', '210881113', '暖泉镇', 'nuanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881115', '210881', '210881115', '归州满族镇', 'guizhoumanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881116', '210881', '210881116', '榜式堡镇', 'bangshibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881117', '210881', '210881117', '团甸镇', 'tuandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881118', '210881', '210881118', '双台镇', 'shuangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881119', '210881', '210881119', '杨运镇', 'yangyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881120', '210881', '210881120', '徐屯镇', 'xutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881121', '210881', '210881121', '什字街镇', 'shenzijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881122', '210881', '210881122', '矿洞沟镇', 'kuangdonggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881123', '210881', '210881123', '陈屯镇', 'chentunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881124', '210881', '210881124', '梁屯镇', 'liangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881216', '210881', '210881216', '小石棚乡', 'xiaoshipengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881217', '210881', '210881217', '果园乡', 'guoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210881218', '210881', '210881218', '二台乡', 'ertaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882', '2108', '210882', '大石桥市', 'dashiqiaoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882001', '210882', '210882001', '石桥街道', 'shiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882002', '210882', '210882002', '青花街道', 'qinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882003', '210882', '210882003', '金桥街道', 'jinqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882004', '210882', '210882004', '钢都街道', 'gangdoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882005', '210882', '210882005', '南楼街道', 'nanloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882101', '210882', '210882101', '水源镇', 'shuiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882102', '210882', '210882102', '沟沿镇', 'gouyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882103', '210882', '210882103', '石佛镇', 'shifozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882104', '210882', '210882104', '高坎镇', 'gaokanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882105', '210882', '210882105', '旗口镇', 'qikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882106', '210882', '210882106', '虎庄镇', 'huzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882107', '210882', '210882107', '官屯镇', 'guantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882112', '210882', '210882112', '博洛铺镇', 'boluopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882113', '210882', '210882113', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882114', '210882', '210882114', '汤池镇', 'tangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882115', '210882', '210882115', '建一镇', 'jianyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882116', '210882', '210882116', '黄土岭镇', 'huangtulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210882117', '210882', '210882117', '周家镇', 'zhoujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2109', '21', '2109', '阜新市', 'fuxinshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210901', '2109', '210901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902', '2109', '210902', '海州区', 'haizhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902002', '210902', '210902002', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902003', '210902', '210902003', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902004', '210902', '210902004', '西山街道', 'xishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902005', '210902', '210902005', '河北街道', 'hebeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902006', '210902', '210902006', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902007', '210902', '210902007', '西阜新街道', 'xifuxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902008', '210902', '210902008', '五龙街道', 'wulongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902009', '210902', '210902009', '平安西部街道', 'pinganxibujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902010', '210902', '210902010', '工人村街道', 'gongrencunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902011', '210902', '210902011', '东梁街道', 'dongliangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210902101', '210902', '210902101', '韩家店镇', 'hanjiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210903', '2109', '210903', '新邱区', 'xinqiuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210903001', '210903', '210903001', '街基街道', 'jiejijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210903002', '210903', '210903002', '中部街道', 'zhongbujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210903003', '210903', '210903003', '北部街道', 'beibujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210903004', '210903', '210903004', '南部街道', 'nanbujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210903101', '210903', '210903101', '长营子蒙古族镇', 'zhangyingzimengguzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210904', '2109', '210904', '太平区', 'taipingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210904001', '210904', '210904001', '红树街道', 'hongshujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210904002', '210904', '210904002', '煤海街道', 'meihaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210904003', '210904', '210904003', '高德街道', 'gaodejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210904004', '210904', '210904004', '孙家湾街道', 'sunjiawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210904005', '210904', '210904005', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210904101', '210904', '210904101', '水泉镇', 'shuiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210905', '2109', '210905', '清河门区', 'qinghemenqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210905001', '210905', '210905001', '清河街道', 'qinghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210905002', '210905', '210905002', '六台街道', 'liutaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210905003', '210905', '210905003', '艾友街道', 'aiyoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210905004', '210905', '210905004', '新北街道', 'xinbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210905101', '210905', '210905101', '河西镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210905102', '210905', '210905102', '乌龙坝镇', 'wulongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210911', '2109', '210911', '细河区', 'xihequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210911001', '210911', '210911001', '西苑街道', 'xiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210911002', '210911', '210911002', '北苑街道', 'beiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210911003', '210911', '210911003', '东苑街道', 'dongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210911004', '210911', '210911004', '学院街道', 'xueyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210911005', '210911', '210911005', '中苑街道', 'zhongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210911006', '210911', '210911006', '华东街道', 'huadongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210911102', '210911', '210911102', '四合镇', 'sihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921', '2109', '210921', '阜新蒙古族自治县', 'fuxinmengguzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921100', '210921', '210921100', '阜新镇', 'fuxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921102', '210921', '210921102', '东梁镇', 'dongliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921103', '210921', '210921103', '佛寺镇', 'fosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921104', '210921', '210921104', '伊吗图镇', 'yimatuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921105', '210921', '210921105', '旧庙镇', 'jiumiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921106', '210921', '210921106', '务欢池镇', 'wuhuanchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921107', '210921', '210921107', '建设镇', 'jianshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921108', '210921', '210921108', '大巴镇', 'dabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921109', '210921', '210921109', '泡子镇', 'paozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921110', '210921', '210921110', '十家子镇', 'shijiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921111', '210921', '210921111', '王府镇', 'wangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921112', '210921', '210921112', '于寺镇', 'yusizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921113', '210921', '210921113', '富荣镇', 'furongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921114', '210921', '210921114', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921115', '210921', '210921115', '福兴地镇', 'fuxingdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921116', '210921', '210921116', '平安地镇', 'pingandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921117', '210921', '210921117', '沙拉镇', 'shalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921118', '210921', '210921118', '大固本镇', 'dagubenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921119', '210921', '210921119', '大五家子镇', 'dawujiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921120', '210921', '210921120', '大板镇', 'dabanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921201', '210921', '210921201', '蜘蛛山乡', 'zhizhushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921203', '210921', '210921203', '卧凤沟乡', 'wofenggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921204', '210921', '210921204', '八家子乡', 'bajiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921205', '210921', '210921205', '哈达户稍乡', 'hadahushaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921207', '210921', '210921207', '塔营子乡', 'tayingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921208', '210921', '210921208', '扎兰营子乡', 'zhalanyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921210', '210921', '210921210', '招束沟乡', 'zhaoshugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921211', '210921', '210921211', '苍土乡', 'cangtuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921214', '210921', '210921214', '老河土乡', 'laohetuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921215', '210921', '210921215', '七家子乡', 'qijiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921217', '210921', '210921217', '红帽子乡', 'hongmaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921218', '210921', '210921218', '紫都台乡', 'zidoutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921219', '210921', '210921219', '化石戈乡', 'huashigexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921220', '210921', '210921220', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921222', '210921', '210921222', '国华乡', 'guohuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210921401', '210921', '210921401', '泡子', 'paozi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922', '2109', '210922', '彰武县', 'zhangwuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922100', '210922', '210922100', '彰武镇', 'zhangwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922101', '210922', '210922101', '哈尔套镇', 'haertaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922102', '210922', '210922102', '章古台镇', 'zhanggutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922103', '210922', '210922103', '五峰镇', 'wufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922104', '210922', '210922104', '冯家镇', 'fengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922105', '210922', '210922105', '后新秋镇', 'houxinqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922106', '210922', '210922106', '东六家子镇', 'dongliujiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922107', '210922', '210922107', '阿尔乡镇', 'aerxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922201', '210922', '210922201', '苇子沟蒙古族乡', 'weizigoumengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922202', '210922', '210922202', '二道河子蒙古族乡', 'erdaohezimengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922203', '210922', '210922203', '西六家子蒙古族满族乡', 'xiliujiazimengguzumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922204', '210922', '210922204', '两家子乡', 'liangjiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922205', '210922', '210922205', '双庙乡', 'shuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922206', '210922', '210922206', '平安乡', 'pinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922207', '210922', '210922207', '满堂红乡', 'mantanghongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922208', '210922', '210922208', '四堡子乡', 'sibaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922209', '210922', '210922209', '丰田乡', 'fengtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922210', '210922', '210922210', '大德乡', 'dadexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922211', '210922', '210922211', '大冷蒙古族乡', 'dalengmengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922212', '210922', '210922212', '前福兴地乡', 'qianfuxingdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922213', '210922', '210922213', '兴隆堡乡', 'xinglongbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922214', '210922', '210922214', '兴隆山乡', 'xinglongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922215', '210922', '210922215', '大四家子乡', 'dasijiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('210922216', '210922', '210922216', '四合城乡', 'sihechengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2110', '21', '2110', '辽阳市', 'liaoyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211001', '2110', '211001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211002', '2110', '211002', '白塔区', 'baitaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211002001', '211002', '211002001', '星火街道', 'xinghuojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211002002', '211002', '211002002', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211002003', '211002', '211002003', '跃进街道', 'yuejinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211002005', '211002', '211002005', '卫国路街道', 'weiguolujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211002006', '211002', '211002006', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211002009', '211002', '211002009', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211003', '2110', '211003', '文圣区', 'wenshengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211003001', '211003', '211003001', '武圣街道', 'wushengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211003002', '211003', '211003002', '文圣街道', 'wenshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211003003', '211003', '211003003', '襄平街道', 'xiangpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211003004', '211003', '211003004', '庆阳街道', 'qingyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211003005', '211003', '211003005', '南门街道', 'nanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211003007', '211003', '211003007', '东兴街道', 'dongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211004', '2110', '211004', '宏伟区', 'hongweiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211004001', '211004', '211004001', '工农街道', 'gongnongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211004002', '211004', '211004002', '光华街道', 'guanghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211004003', '211004', '211004003', '新村街道', 'xincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211004004', '211004', '211004004', '长征街道', 'zhangzhengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211004101', '211004', '211004101', '曙光镇', 'shuguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211005', '2110', '211005', '弓长岭区', 'gongzhanglingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211005001', '211005', '211005001', '苏家街道', 'sujiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211005002', '211005', '211005002', '团山街道', 'tuanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211005003', '211005', '211005003', '安平街道', 'anpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211005101', '211005', '211005101', '汤河镇', 'tanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211005201', '211005', '211005201', '安平乡', 'anpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211011', '2110', '211011', '太子河区', 'taizihequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211011001', '211011', '211011001', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211011002', '211011', '211011002', '望水台街道', 'wangshuitaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211011101', '211011', '211011101', '祁家镇', 'qijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211011202', '211011', '211011202', '东京陵乡', 'dongjinglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211011204', '211011', '211011204', '东宁卫乡', 'dongningweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021', '2110', '211021', '辽阳县', 'liaoyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021100', '211021', '211021100', '首山镇', 'shoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021101', '211021', '211021101', '刘二堡镇', 'liuerbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021102', '211021', '211021102', '小屯镇', 'xiaotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021103', '211021', '211021103', '小北河镇', 'xiaobeihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021104', '211021', '211021104', '黄泥洼镇', 'huangniwazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021105', '211021', '211021105', '沙岭镇', 'shalingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021106', '211021', '211021106', '唐马寨镇', 'tangmazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021107', '211021', '211021107', '穆家镇', 'mujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021108', '211021', '211021108', '柳壕镇', 'liuhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021109', '211021', '211021109', '兰家镇', 'lanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021110', '211021', '211021110', '河栏镇', 'helanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021111', '211021', '211021111', '隆昌镇', 'longchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021112', '211021', '211021112', '八会镇', 'bahuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021113', '211021', '211021113', '寒岭镇', 'hanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021201', '211021', '211021201', '下达河乡', 'xiadahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021202', '211021', '211021202', '吉洞峪满族乡', 'jidongyumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211021206', '211021', '211021206', '甜水满族乡', 'tianshuimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081', '2110', '211081', '灯塔市', 'dengtashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081001', '211081', '211081001', '烟台街道', 'yantaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081002', '211081', '211081002', '万宝桥街道', 'wanbaoqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081003', '211081', '211081003', '古城子街道', 'guchengzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081101', '211081', '211081101', '佟二堡镇', 'tongerbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081102', '211081', '211081102', '铧子镇', 'huazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081103', '211081', '211081103', '张台子镇', 'zhangtaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081104', '211081', '211081104', '西大窑镇', 'xidayaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081105', '211081', '211081105', '沈旦堡镇', 'shendanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081106', '211081', '211081106', '西马峰镇', 'ximafengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081107', '211081', '211081107', '柳条寨镇', 'liutiaozhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081108', '211081', '211081108', '柳河子镇', 'liuhezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081109', '211081', '211081109', '罗大台镇', 'luodataizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081110', '211081', '211081110', '王家镇', 'wangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081111', '211081', '211081111', '大河南镇', 'dahenanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081114', '211081', '211081114', '五星镇', 'wuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211081205', '211081', '211081205', '鸡冠山乡', 'jiguanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2111', '21', '2111', '盘锦市', 'panjinshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211101', '2111', '211101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211102', '2111', '211102', '双台子区', 'shuangtaiziqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211102001', '211102', '211102001', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211102002', '211102', '211102002', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211102003', '211102', '211102003', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211102004', '211102', '211102004', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211102005', '211102', '211102005', '辽河街道', 'liaohejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211102006', '211102', '211102006', '石油街道', 'shiyoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211102007', '211102', '211102007', '化工街道', 'huagongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211102008', '211102', '211102008', '铁东街道', 'tiedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211102009', '211102', '211102009', '双盛街道', 'shuangshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103', '2111', '211103', '兴隆台区', 'xinglongtaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103001', '211103', '211103001', '振兴街道', 'zhenxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103002', '211103', '211103002', '兴隆街道', 'xinglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103003', '211103', '211103003', '渤海街道', 'bohaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103004', '211103', '211103004', '新工街道', 'xingongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103005', '211103', '211103005', '于楼街道', 'yuloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103006', '211103', '211103006', '友谊街道', 'youyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103007', '211103', '211103007', '曙光街道', 'shuguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103008', '211103', '211103008', '欢喜街道', 'huanxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103009', '211103', '211103009', '平安街道', 'pinganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103010', '211103', '211103010', '新生街道', 'xinshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103011', '211103', '211103011', '红村街道', 'hongcunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103012', '211103', '211103012', '高升街道', 'gaoshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103013', '211103', '211103013', '沈采街道', 'shencaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103014', '211103', '211103014', '锦采街道', 'jincaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103015', '211103', '211103015', '茨采街道', 'cicaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103016', '211103', '211103016', '创新街道', 'chuangxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103017', '211103', '211103017', '兴盛街道', 'xingshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211103018', '211103', '211103018', '兴海街道', 'xinghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121', '2111', '211121', '大洼县', 'dawaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121100', '211121', '211121100', '大洼镇', 'dawazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121101', '211121', '211121101', '田庄台镇', 'tianzhuangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121102', '211121', '211121102', '二界沟镇', 'erjiegouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121103', '211121', '211121103', '东风镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121104', '211121', '211121104', '新开镇', 'xinkaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121105', '211121', '211121105', '田家镇', 'tianjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121106', '211121', '211121106', '清水镇', 'qingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121107', '211121', '211121107', '新兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121108', '211121', '211121108', '西安镇', 'xianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121109', '211121', '211121109', '新立镇', 'xinlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121201', '211121', '211121201', '王家乡', 'wangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121202', '211121', '211121202', '唐家乡', 'tangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121205', '211121', '211121205', '荣兴乡', 'rongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121207', '211121', '211121207', '平安乡', 'pinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121210', '211121', '211121210', '赵圈河乡', 'zhaoquanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211121400', '211121', '211121400', '辽滨开发区', 'liaobinkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122', '2111', '211122', '盘山县', 'panshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122101', '211122', '211122101', '沙岭镇', 'shalingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122102', '211122', '211122102', '高升镇', 'gaoshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122103', '211122', '211122103', '胡家镇', 'hujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122104', '211122', '211122104', '石新镇', 'shixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122105', '211122', '211122105', '东郭镇', 'dongguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122106', '211122', '211122106', '羊圈子镇', 'yangquanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122107', '211122', '211122107', '古城子镇', 'guchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122108', '211122', '211122108', '坝墙子镇', 'baqiangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122109', '211122', '211122109', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122203', '211122', '211122203', '陈家乡', 'chenjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122205', '211122', '211122205', '吴家乡', 'wujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122206', '211122', '211122206', '陆家乡', 'lujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122207', '211122', '211122207', '甜水乡', 'tianshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122208', '211122', '211122208', '大荒乡', 'dahuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211122400', '211122', '211122400', '盘山县林场', 'panshanxianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2112', '21', '2112', '铁岭市', 'tielingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211201', '2112', '211201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211202', '2112', '211202', '银州区', 'yinzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211202001', '211202', '211202001', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211202002', '211202', '211202002', '工人街道', 'gongrenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211202003', '211202', '211202003', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211202004', '211202', '211202004', '铜钟街道', 'tongzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211202005', '211202', '211202005', '柴河街道', 'chaihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211202006', '211202', '211202006', '岭东街道', 'lingdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211202201', '211202', '211202201', '龙山乡', 'longshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211202401', '211202', '211202401', '铁岭经济开发区', 'tielingjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211204', '2112', '211204', '清河区', 'qinghequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211204001', '211204', '211204001', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211204002', '211204', '211204002', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211204101', '211204', '211204101', '张相镇', 'zhangxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211204202', '211204', '211204202', '杨木林子乡', 'yangmulinzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211204203', '211204', '211204203', '聂家满族乡', 'niejiamanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221', '2112', '211221', '铁岭县', 'tielingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221101', '211221', '211221101', '新台子镇', 'xintaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221102', '211221', '211221102', '阿吉镇', 'ajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221103', '211221', '211221103', '平顶堡镇', 'pingdingbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221104', '211221', '211221104', '大甸子镇', 'dadianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221105', '211221', '211221105', '凡河镇', 'fanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221106', '211221', '211221106', '腰堡镇', 'yaobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221107', '211221', '211221107', '镇西堡镇', 'zhenxibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221201', '211221', '211221201', '蔡牛乡', 'cainiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221203', '211221', '211221203', '双井子乡', 'shuangjingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221204', '211221', '211221204', '熊官屯乡', 'xiongguantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221205', '211221', '211221205', '李千户乡', 'liqianhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221206', '211221', '211221206', '横道河子乡', 'hengdaohezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221208', '211221', '211221208', '鸡冠山乡', 'jiguanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221209', '211221', '211221209', '白旗寨满族乡', 'baiqizhaimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211221401', '211221', '211221401', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223', '2112', '211223', '西丰县', 'xifengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223100', '211223', '211223100', '西丰镇', 'xifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223101', '211223', '211223101', '平岗镇', 'pinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223102', '211223', '211223102', '郜家店镇', 'gaojiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223103', '211223', '211223103', '凉泉镇', 'liangquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223104', '211223', '211223104', '振兴镇', 'zhenxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223105', '211223', '211223105', '安民镇', 'anminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223106', '211223', '211223106', '天德镇', 'tiandezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223107', '211223', '211223107', '房木镇', 'fangmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223201', '211223', '211223201', '陶然乡', 'taoranxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223203', '211223', '211223203', '柏榆乡', 'boyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223204', '211223', '211223204', '德兴乡', 'dexingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223205', '211223', '211223205', '钓鱼乡', 'diaoyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223206', '211223', '211223206', '明德乡', 'mingdexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223209', '211223', '211223209', '成平满族乡', 'chengpingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223211', '211223', '211223211', '和隆满族乡', 'helongmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223212', '211223', '211223212', '营厂乡', 'yingchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223213', '211223', '211223213', '金星乡', 'jinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211223214', '211223', '211223214', '更刻乡', 'gengkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224', '2112', '211224', '昌图县', 'changtuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224100', '211224', '211224100', '昌图镇', 'changtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224101', '211224', '211224101', '老城镇', 'laochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224102', '211224', '211224102', '八面城镇', 'bamianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224103', '211224', '211224103', '三江口镇', 'sanjiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224104', '211224', '211224104', '金家镇', 'jinjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224105', '211224', '211224105', '宝力镇', 'baolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224106', '211224', '211224106', '泉头满族镇', 'quantoumanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224107', '211224', '211224107', '双庙子镇', 'shuangmiaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224108', '211224', '211224108', '亮中桥镇', 'liangzhongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224109', '211224', '211224109', '马仲河镇', 'mazhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224110', '211224', '211224110', '毛家店镇', 'maojiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224111', '211224', '211224111', '老四平镇', 'laosipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224112', '211224', '211224112', '大洼镇', 'dawazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224113', '211224', '211224113', '头道镇', 'toudaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224114', '211224', '211224114', '此路树镇', 'cilushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224115', '211224', '211224115', '付家镇', 'fujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224117', '211224', '211224117', '四合镇', 'sihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224118', '211224', '211224118', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224119', '211224', '211224119', '古榆树镇', 'guyushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224120', '211224', '211224120', '七家子镇', 'qijiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224121', '211224', '211224121', '东嘎镇', 'donggazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224122', '211224', '211224122', '四面城镇', 'simianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224123', '211224', '211224123', '前双井子镇', 'qianshuangjingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224204', '211224', '211224204', '大兴乡', 'daxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224205', '211224', '211224205', '十八家子乡', 'shibajiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224207', '211224', '211224207', '通江口乡', 'tongjiangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224208', '211224', '211224208', '大四家子乡', 'dasijiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224209', '211224', '211224209', '后窑乡', 'houyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224211', '211224', '211224211', '长发乡', 'zhangfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224212', '211224', '211224212', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224213', '211224', '211224213', '下二台乡', 'xiaertaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224216', '211224', '211224216', '平安堡乡', 'pinganbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224217', '211224', '211224217', '曲家店乡', 'qujiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224401', '211224', '211224401', '三江口农场', 'sanjiangkounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224402', '211224', '211224402', '宝力农场', 'baolinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224403', '211224', '211224403', '新乡农场', 'xinxiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224404', '211224', '211224404', '付家林场', 'fujialinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224405', '211224', '211224405', '忙牛马场', 'mangniumachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211224406', '211224', '211224406', '两家子农场', 'liangjiazinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211281', '2112', '211281', '调兵山市', 'diaobingshanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211281001', '211281', '211281001', '兀术街道', 'wushujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211281002', '211281', '211281002', '调兵山街道', 'diaobingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211281102', '211281', '211281102', '晓明镇', 'xiaomingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211281103', '211281', '211281103', '大明镇', 'damingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211281105', '211281', '211281105', '晓南镇', 'xiaonanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282', '2112', '211282', '开原市', 'kaiyuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282001', '211282', '211282001', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282002', '211282', '211282002', '老城街道', 'laochengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282003', '211282', '211282003', '兴开街道', 'xingkaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282102', '211282', '211282102', '威远堡镇', 'weiyuanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282103', '211282', '211282103', '庆云堡镇', 'qingyunbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282104', '211282', '211282104', '中固镇', 'zhongguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282105', '211282', '211282105', '八棵树镇', 'bakeshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282106', '211282', '211282106', '金沟子镇', 'jingouzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282107', '211282', '211282107', '八宝镇', 'babaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282108', '211282', '211282108', '业民镇', 'yeminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282109', '211282', '211282109', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282110', '211282', '211282110', '靠山镇', 'kaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282201', '211282', '211282201', '城东乡', 'chengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282206', '211282', '211282206', '三家子乡', 'sanjiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282207', '211282', '211282207', '马家寨乡', 'majiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282210', '211282', '211282210', '上肥地乡', 'shangfeidixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282211', '211282', '211282211', '下肥地乡', 'xiafeidixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282212', '211282', '211282212', '黄旗寨乡', 'huangqizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282213', '211282', '211282213', '松山堡乡', 'songshanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282216', '211282', '211282216', '李家台乡', 'lijiataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211282217', '211282', '211282217', '林丰乡', 'linfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2113', '21', '2113', '朝阳市', 'chaoyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211301', '2113', '211301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302', '2113', '211302', '双塔区', 'shuangtaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302001', '211302', '211302001', '南塔街道', 'nantajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302002', '211302', '211302002', '北塔街道', 'beitajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302003', '211302', '211302003', '前进街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302004', '211302', '211302004', '凌河街道', 'linghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302005', '211302', '211302005', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302006', '211302', '211302006', '凌凤街道', 'lingfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302007', '211302', '211302007', '龙山街道', 'longshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302008', '211302', '211302008', '站南街道', 'zhannanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302009', '211302', '211302009', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302010', '211302', '211302010', '燕北街道', 'yanbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302100', '211302', '211302100', '桃花吐镇', 'taohuatuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302101', '211302', '211302101', '他拉皋镇', 'talagaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302205', '211302', '211302205', '长宝营子乡', 'zhangbaoyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211302206', '211302', '211302206', '孙家湾乡', 'sunjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303', '2113', '211303', '龙城区', 'longchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303001', '211303', '211303001', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303002', '211303', '211303002', '半拉山街道', 'banlashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303003', '211303', '211303003', '马山街道', 'mashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303004', '211303', '211303004', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303005', '211303', '211303005', '海龙街道', 'hailongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303070', '211303', '211303070', '开发区龙泉街道', 'kaifaqulongquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303101', '211303', '211303101', '七道泉子镇', 'qidaoquanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303102', '211303', '211303102', '西大营子镇', 'xidayingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303103', '211303', '211303103', '召都巴镇', 'zhaodoubazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303105', '211303', '211303105', '大平房镇', 'dapingfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303201', '211303', '211303201', '边杖子乡', 'bianzhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211303203', '211303', '211303203', '联合乡', 'lianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321', '2113', '211321', '朝阳县', 'chaoyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321102', '211321', '211321102', '波罗赤镇', 'boluochizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321103', '211321', '211321103', '木头城子镇', 'mutouchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321104', '211321', '211321104', '二十家子镇', 'ershijiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321105', '211321', '211321105', '羊山镇', 'yangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321106', '211321', '211321106', '六家子镇', 'liujiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321107', '211321', '211321107', '瓦房子镇', 'wafangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321108', '211321', '211321108', '大庙镇', 'damiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321109', '211321', '211321109', '柳城镇', 'liuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321204', '211321', '211321204', '南双庙乡', 'nanshuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321206', '211321', '211321206', '古山子乡', 'gushanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321211', '211321', '211321211', '西五家子乡', 'xiwujiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321212', '211321', '211321212', '北沟门子乡', 'beigoumenzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321213', '211321', '211321213', '杨树湾乡', 'yangshuwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321214', '211321', '211321214', '东大道乡', 'dongdadaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321215', '211321', '211321215', '乌兰河硕蒙古族乡', 'wulanheshuomengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321216', '211321', '211321216', '台子乡', 'taizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321218', '211321', '211321218', '胜利乡', 'shenglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321220', '211321', '211321220', '东大屯乡', 'dongdatunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321221', '211321', '211321221', '松岭门乡', 'songlingmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321222', '211321', '211321222', '根德营子乡', 'gendeyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321224', '211321', '211321224', '西营子乡', 'xiyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321225', '211321', '211321225', '七道岭乡', 'qidaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321228', '211321', '211321228', '北四家子乡', 'beisijiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321230', '211321', '211321230', '王营子乡', 'wangyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321231', '211321', '211321231', '黑牛营子乡', 'heiniuyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321232', '211321', '211321232', '尚志乡', 'shangzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321233', '211321', '211321233', '长在营子乡', 'zhangzaiyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211321400', '211321', '211321400', '国营贾家店农场', 'guoyingjiajiadiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322', '2113', '211322', '建平县', 'jianpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322001', '211322', '211322001', '叶柏寿街道', 'yeboshoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322002', '211322', '211322002', '红山街道', 'hongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322003', '211322', '211322003', '铁南街道', 'tienanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322004', '211322', '211322004', '万寿街道', 'wanshoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322005', '211322', '211322005', '富山街道', 'fushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322101', '211322', '211322101', '朱碌科镇', 'zhuliukezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322102', '211322', '211322102', '建平镇', 'jianpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322103', '211322', '211322103', '黑水镇', 'heishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322104', '211322', '211322104', '喀喇沁镇', 'kalaqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322105', '211322', '211322105', '北二十家子镇', 'beiershijiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322106', '211322', '211322106', '沙海镇', 'shahaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322108', '211322', '211322108', '哈拉道口镇', 'haladaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322109', '211322', '211322109', '榆树林子镇', 'yushulinzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322110', '211322', '211322110', '老官地镇', 'laoguandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322111', '211322', '211322111', '深井镇', 'shenjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322112', '211322', '211322112', '奎德素镇', 'kuidesuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322113', '211322', '211322113', '小塘镇', 'xiaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322114', '211322', '211322114', '马场镇', 'machangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322115', '211322', '211322115', '昌隆镇', 'changlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322117', '211322', '211322117', '张家营子镇', 'zhangjiayingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322205', '211322', '211322205', '青松岭乡', 'qingsonglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322206', '211322', '211322206', '杨树岭乡', 'yangshulingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322209', '211322', '211322209', '罗福沟乡', 'luofugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322211', '211322', '211322211', '烧锅营子乡', 'shaoguoyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322213', '211322', '211322213', '太平庄乡', 'taipingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322214', '211322', '211322214', '白山乡', 'baishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322218', '211322', '211322218', '三家蒙古族乡', 'sanjiamengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322220', '211322', '211322220', '义成功乡', 'yichenggongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322221', '211322', '211322221', '青峰山乡', 'qingfengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322400', '211322', '211322400', '八家国营农场', 'bajiaguoyingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211322401', '211322', '211322401', '热水国营畜牧农场', 'reshuiguoyingchumunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324', '2113', '211324', '喀喇沁左翼蒙古族自治县', 'kalaqinzuoyimengguzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324100', '211324', '211324100', '大城子镇', 'dachengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324101', '211324', '211324101', '南公营子镇', 'nangongyingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324102', '211324', '211324102', '山嘴子镇', 'shanzuizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324103', '211324', '211324103', '南哨镇', 'nanshaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324104', '211324', '211324104', '公营子镇', 'gongyingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324105', '211324', '211324105', '白塔子镇', 'baitazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324106', '211324', '211324106', '中三家镇', 'zhongsanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324107', '211324', '211324107', '老爷庙镇', 'laoyemiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324108', '211324', '211324108', '六官营子镇', 'liuguanyingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324109', '211324', '211324109', '平房子镇', 'pingfangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324203', '211324', '211324203', '十二德堡乡', 'shierdebaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324204', '211324', '211324204', '尤杖子乡', 'youzhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324205', '211324', '211324205', '东哨乡', 'dongshaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324206', '211324', '211324206', '羊角沟乡', 'yangjiaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324207', '211324', '211324207', '草场乡', 'caochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324210', '211324', '211324210', '坤都营子乡', 'kundouyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324211', '211324', '211324211', '大营子乡', 'dayingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324212', '211324', '211324212', '兴隆庄乡', 'xinglongzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324213', '211324', '211324213', '甘招乡', 'ganzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324214', '211324', '211324214', '卧虎沟乡', 'wohugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324215', '211324', '211324215', '水泉乡', 'shuiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211324400', '211324', '211324400', '国营官大海农场', 'guoyingguandahainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381', '2113', '211381', '北票市', 'beipiaoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381001', '211381', '211381001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381002', '211381', '211381002', '南山街道', 'nanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381003', '211381', '211381003', '冠山街道', 'guanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381004', '211381', '211381004', '桥北街道', 'qiaobeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381005', '211381', '211381005', '三宝街道', 'sanbaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381006', '211381', '211381006', '台吉街道', 'taijijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381008', '211381', '211381008', '双河街道', 'shuanghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381101', '211381', '211381101', '西官营镇', 'xiguanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381102', '211381', '211381102', '大板镇', 'dabanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381103', '211381', '211381103', '上园镇', 'shangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381104', '211381', '211381104', '宝国老镇', 'baoguolaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381105', '211381', '211381105', '黑城子镇', 'heichengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381107', '211381', '211381107', '五间房镇', 'wujianfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381108', '211381', '211381108', '台吉镇', 'taijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381201', '211381', '211381201', '长皋乡', 'zhanggaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381202', '211381', '211381202', '常河营乡', 'changheyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381203', '211381', '211381203', '小塔子乡', 'xiaotazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381204', '211381', '211381204', '马友营蒙古族乡', 'mayouyingmengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381205', '211381', '211381205', '蒙古营乡', 'mengguyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381206', '211381', '211381206', '泉巨永乡', 'quanjuyongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381207', '211381', '211381207', '大三家乡', 'dasanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381208', '211381', '211381208', '东官营乡', 'dongguanyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381210', '211381', '211381210', '龙潭乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381212', '211381', '211381212', '哈尔脑乡', 'haernaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381213', '211381', '211381213', '南八家子乡', 'nanbajiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381214', '211381', '211381214', '章吉营乡', 'zhangjiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381215', '211381', '211381215', '三宝营乡', 'sanbaoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381216', '211381', '211381216', '巴图营乡', 'batuyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381218', '211381', '211381218', '台吉营乡', 'taijiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381219', '211381', '211381219', '北塔子乡', 'beitazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381220', '211381', '211381220', '娄家店乡', 'loujiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381221', '211381', '211381221', '北四家乡', 'beisijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381223', '211381', '211381223', '凉水河蒙古族乡', 'liangshuihemengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381228', '211381', '211381228', '三宝乡', 'sanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381270', '211381', '211381270', '下府经济开发区', 'xiafujingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381271', '211381', '211381271', '大黑山特别行政管理区', 'daheishantebiexingzhengguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211381400', '211381', '211381400', '兴顺德国营农场', 'xingshundeguoyingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382', '2113', '211382', '凌源市', 'lingyuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382001', '211382', '211382001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382002', '211382', '211382002', '北街街道', 'beijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382003', '211382', '211382003', '南街街道', 'nanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382004', '211382', '211382004', '红山街道', 'hongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382006', '211382', '211382006', '热水汤街道', 'reshuitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382007', '211382', '211382007', '工业园区街道', 'gongyeyuanqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382101', '211382', '211382101', '万元店镇', 'wanyuandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382102', '211382', '211382102', '宋杖子镇', 'songzhangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382103', '211382', '211382103', '三十家子镇', 'sanshijiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382104', '211382', '211382104', '杨杖子镇', 'yangzhangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382105', '211382', '211382105', '刀尔登镇', 'daoerdengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382106', '211382', '211382106', '松岭子镇', 'songlingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382107', '211382', '211382107', '四官营子镇', 'siguanyingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382108', '211382', '211382108', '沟门子镇', 'goumenzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382109', '211382', '211382109', '凌北镇', 'lingbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382110', '211382', '211382110', '小城子镇', 'xiaochengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382111', '211382', '211382111', '四合当镇', 'sihedangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382112', '211382', '211382112', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382113', '211382', '211382113', '乌兰白镇', 'wulanbaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382204', '211382', '211382204', '大王杖子乡', 'dawangzhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382205', '211382', '211382205', '刘杖子乡', 'liuzhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382206', '211382', '211382206', '前进乡', 'qianjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382207', '211382', '211382207', '大河北乡', 'dahebeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382208', '211382', '211382208', '三道河子乡', 'sandaohezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382209', '211382', '211382209', '牛营子乡', 'niuyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382210', '211382', '211382210', '北炉乡', 'beiluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382211', '211382', '211382211', '瓦房店乡', 'wafangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382217', '211382', '211382217', '三家子乡', 'sanjiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382219', '211382', '211382219', '佛爷洞乡', 'foyedongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211382220', '211382', '211382220', '河坎子乡', 'hekanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2114', '21', '2114', '葫芦岛市', 'huludaoshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211401', '2114', '211401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402', '2114', '211402', '连山区', 'lianshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402001', '211402', '211402001', '连山街道', 'lianshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402002', '211402', '211402002', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402003', '211402', '211402003', '渤海街道', 'bohaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402004', '211402', '211402004', '兴工街道', 'xinggongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402005', '211402', '211402005', '石油街道', 'shiyoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402006', '211402', '211402006', '化工街道', 'huagongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402007', '211402', '211402007', '化机街道', 'huajijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402008', '211402', '211402008', '水泥街道', 'shuinijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402010', '211402', '211402010', '杨家杖子街道', 'yangjiazhangzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402011', '211402', '211402011', '锦郊街道', 'jinjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402102', '211402', '211402102', '虹螺岘镇', 'hongluoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402103', '211402', '211402103', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402104', '211402', '211402104', '钢屯镇', 'gangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402105', '211402', '211402105', '寺儿堡镇', 'sierbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402106', '211402', '211402106', '新台门蒙古族镇', 'xintaimenmengguzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402107', '211402', '211402107', '金星镇', 'jinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402108', '211402', '211402108', '台集屯镇', 'taijitunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402201', '211402', '211402201', '沙河营乡', 'shaheyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402202', '211402', '211402202', '孤竹营子乡', 'guzhuyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402203', '211402', '211402203', '白马石乡', 'baimashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402205', '211402', '211402205', '山神庙子乡', 'shanshenmiaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402206', '211402', '211402206', '塔山乡', 'tashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402209', '211402', '211402209', '张相公屯乡', 'zhangxianggongtunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402210', '211402', '211402210', '杨郊乡', 'yangjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211402212', '211402', '211402212', '大兴乡', 'daxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403', '2114', '211403', '龙港区', 'longgangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403001', '211403', '211403001', '葫芦岛街道', 'huludaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403002', '211403', '211403002', '东街道', 'dongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403003', '211403', '211403003', '西街道', 'xijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403004', '211403', '211403004', '望海寺街道', 'wanghaisijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403005', '211403', '211403005', '龙湾街道', 'longwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403006', '211403', '211403006', '滨海街道', 'binhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403007', '211403', '211403007', '双龙街道', 'shuanglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403008', '211403', '211403008', '玉皇街道', 'yuhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403009', '211403', '211403009', '连湾街道', 'lianwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403010', '211403', '211403010', '北港街道', 'beigangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403103', '211403', '211403103', '双树镇', 'shuangshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403400', '211403', '211403400', '葫芦岛经济开发区', 'huludaojingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211403401', '211403', '211403401', '葫芦岛市专利技术园区', 'huludaoshizhuanlijishuyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404', '2114', '211404', '南票区', 'nanpiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404001', '211404', '211404001', '赵家屯街道', 'zhaojiatunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404002', '211404', '211404002', '沙锅屯街道', 'shaguotunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404003', '211404', '211404003', '邱皮沟街道', 'qiupigoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404005', '211404', '211404005', '苇子沟街道', 'weizigoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404006', '211404', '211404006', '三家子街道', 'sanjiazijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404007', '211404', '211404007', '小凌河街道', 'xiaolinghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404008', '211404', '211404008', '九龙街道', 'jiulongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404101', '211404', '211404101', '缸窑岭镇', 'gangyaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404102', '211404', '211404102', '暖池塘镇', 'nuanchitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404201', '211404', '211404201', '沙锅屯乡', 'shaguotunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404203', '211404', '211404203', '黄土坎乡', 'huangtukanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211404400', '211404', '211404400', '乌金塘水库', 'wujintangshuiku', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421', '2114', '211421', '绥中县', 'suizhongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421100', '211421', '211421100', '绥中镇', 'suizhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421101', '211421', '211421101', '西甸子镇', 'xidianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421102', '211421', '211421102', '宽帮满族镇', 'kuanbangmanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421103', '211421', '211421103', '大王庙满族镇', 'dawangmiaomanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421104', '211421', '211421104', '万家镇', 'wanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421105', '211421', '211421105', '前所镇', 'qiansuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421106', '211421', '211421106', '高岭镇', 'gaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421107', '211421', '211421107', '前卫镇', 'qianweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421108', '211421', '211421108', '荒地满族镇', 'huangdimanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421109', '211421', '211421109', '塔山屯镇', 'tashantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421113', '211421', '211421113', '高台镇', 'gaotaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421114', '211421', '211421114', '王宝镇', 'wangbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421115', '211421', '211421115', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421116', '211421', '211421116', '小庄子镇', 'xiaozhuangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421201', '211421', '211421201', '西平坡满族乡', 'xipingpomanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421202', '211421', '211421202', '葛家满族乡', 'gejiamanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421204', '211421', '211421204', '高甸子满族乡', 'gaodianzimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421206', '211421', '211421206', '范家满族乡', 'fanjiamanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421207', '211421', '211421207', '明水满族乡', 'mingshuimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421208', '211421', '211421208', '秋子沟乡', 'qiuzigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421210', '211421', '211421210', '加碑岩乡', 'jiabeiyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421211', '211421', '211421211', '永安堡乡', 'yonganbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421212', '211421', '211421212', '李家堡乡', 'lijiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421214', '211421', '211421214', '网户满族乡', 'wanghumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421217', '211421', '211421217', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421400', '211421', '211421400', '大台山果树农场', 'dataishanguoshunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211421401', '211421', '211421401', '前所果树农场', 'qiansuoguoshunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422', '2114', '211422', '建昌县', 'jianchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422100', '211422', '211422100', '建昌镇', 'jianchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422101', '211422', '211422101', '八家子镇', 'bajiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422102', '211422', '211422102', '喇嘛洞镇', 'lamadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422103', '211422', '211422103', '药王庙镇', 'yaowangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422104', '211422', '211422104', '汤神庙镇', 'tangshenmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422105', '211422', '211422105', '玲珑塔镇', 'linglongtazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422106', '211422', '211422106', '大屯镇', 'datunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422201', '211422', '211422201', '牛亡牛营子乡', 'niuwangniuyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422203', '211422', '211422203', '素珠营子乡', 'suzhuyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422204', '211422', '211422204', '石佛乡', 'shifoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422206', '211422', '211422206', '王宝营子乡', 'wangbaoyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422207', '211422', '211422207', '老达杖子乡', 'laodazhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422208', '211422', '211422208', '要路沟乡', 'yaolugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422209', '211422', '211422209', '魏家岭乡', 'weijialingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422210', '211422', '211422210', '西碱厂乡', 'xijianchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422211', '211422', '211422211', '头道营子乡', 'toudaoyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422212', '211422', '211422212', '新开岭乡', 'xinkailingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422213', '211422', '211422213', '贺杖子乡', 'hezhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422214', '211422', '211422214', '养马甸子乡', 'yangmadianzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422215', '211422', '211422215', '和尚房子乡', 'heshangfangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422218', '211422', '211422218', '杨树湾子乡', 'yangshuwanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422219', '211422', '211422219', '黑山科乡', 'heishankexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422220', '211422', '211422220', '雷家店乡', 'leijiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422222', '211422', '211422222', '小德营子乡', 'xiaodeyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422223', '211422', '211422223', '二道湾子蒙古族乡', 'erdaowanzimengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422224', '211422', '211422224', '巴什罕乡', 'bashenhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422225', '211422', '211422225', '娘娘庙乡', 'niangniangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211422226', '211422', '211422226', '谷杖子乡', 'guzhangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481', '2114', '211481', '兴城市', 'xingchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481001', '211481', '211481001', '古城街道', 'guchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481002', '211481', '211481002', '宁远街道', 'ningyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481003', '211481', '211481003', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481004', '211481', '211481004', '温泉街道', 'wenquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481005', '211481', '211481005', '钓鱼台街道', 'diaoyutaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481006', '211481', '211481006', '华山街道', 'huashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481007', '211481', '211481007', '四家屯街道', 'sijiatunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481101', '211481', '211481101', '曹庄镇', 'caozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481103', '211481', '211481103', '沙后所满族镇', 'shahousuomanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481104', '211481', '211481104', '东辛庄满族镇', 'dongxinzhuangmanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481105', '211481', '211481105', '郭家满族镇', 'guojiamanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481201', '211481', '211481201', '羊安满族乡', 'yanganmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481203', '211481', '211481203', '元台子满族乡', 'yuantaizimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481204', '211481', '211481204', '白塔满族乡', 'baitamanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481206', '211481', '211481206', '望海满族乡', 'wanghaimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481207', '211481', '211481207', '刘台子满族乡', 'liutaizimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481208', '211481', '211481208', '大寨满族乡', 'dazhaimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481209', '211481', '211481209', '南大山满族乡', 'nandashanmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481210', '211481', '211481210', '围屏满族乡', 'weipingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481211', '211481', '211481211', '高家岭满族乡', 'gaojialingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481212', '211481', '211481212', '碱厂满族乡', 'jianchangmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481213', '211481', '211481213', '三道沟满族乡', 'sandaogoumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481214', '211481', '211481214', '红崖子满族乡', 'hongyazimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481215', '211481', '211481215', '旧门满族乡', 'jiumenmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481216', '211481', '211481216', '药王满族乡', 'yaowangmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481218', '211481', '211481218', '海滨满族乡', 'haibinmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('211481219', '211481', '211481219', '菊花岛乡', 'juhuadaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('22', '-1', '22', '吉林省', 'jilinsheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2201', '22', '2201', '长春市', 'zhangchunshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220101', '2201', '220101', '长春市辖区', 'zhangchunshixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102', '2201', '220102', '南关区', 'nanguanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102001', '220102', '220102001', '南岭街道', 'nanlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102002', '220102', '220102002', '自强街道', 'ziqiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102003', '220102', '220102003', '民康街道', 'minkangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102004', '220102', '220102004', '新春街道', 'xinchunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102005', '220102', '220102005', '长通街道', 'zhangtongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102006', '220102', '220102006', '全安街道', 'quananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102007', '220102', '220102007', '曙光街道', 'shuguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102008', '220102', '220102008', '永吉街道', 'yongjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102009', '220102', '220102009', '桃源街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102010', '220102', '220102010', '鸿城街道', 'hongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102171', '220102', '220102171', '新湖镇(净月潭旅游经济开发区)(省级)', 'xinhuzhen(jingyuetanlu:youjingjikaifaqu)(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102172', '220102', '220102172', '玉潭镇(净月潭旅游经济开发区)(省级)', 'yutanzhen(jingyuetanlu:youjingjikaifaqu)(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220102200', '220102', '220102200', '幸福乡', 'xingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103', '2201', '220103', '宽城区', 'kuanchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103001', '220103', '220103001', '新发街道', 'xinfajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103002', '220103', '220103002', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103003', '220103', '220103003', '南广街道', 'nanguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103004', '220103', '220103004', '东广街道', 'dongguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103005', '220103', '220103005', '群英街道', 'qunyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103006', '220103', '220103006', '兴业街道', 'xingyejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103007', '220103', '220103007', '凯旋街道', 'kaixuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103008', '220103', '220103008', '团山街道', 'tuanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103009', '220103', '220103009', '柳影街道', 'liuyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103100', '220103', '220103100', '兰家镇', 'lanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103101', '220103', '220103101', '米沙子镇', 'mishazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103102', '220103', '220103102', '万宝镇', 'wanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103171', '220103', '220103171', '合隆镇(合隆经济开发区)(省级)', 'helongzhen(helongjingjikaifaqu)(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103200', '220103', '220103200', '奋进乡', 'fenjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220103400', '220103', '220103400', '兴业农场', 'xingyenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104', '2201', '220104', '朝阳区', 'chaoyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104001', '220104', '220104001', '南站街道', 'nanzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104002', '220104', '220104002', '桂林街道', 'guilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104003', '220104', '220104003', '南湖街道', 'nanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104004', '220104', '220104004', '永昌街道', 'yongchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104005', '220104', '220104005', '重庆街道', 'zhongqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104006', '220104', '220104006', '清和街道', 'qinghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104007', '220104', '220104007', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104008', '220104', '220104008', '湖西街道', 'huxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104009', '220104', '220104009', '富锋街道', 'fufengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104100', '220104', '220104100', '乐山镇', 'leshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220104101', '220104', '220104101', '永春镇', 'yongchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105', '2201', '220105', '二道区', 'erdaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105001', '220105', '220105001', '东盛街道', 'dongshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105002', '220105', '220105002', '吉林街道', 'jilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105003', '220105', '220105003', '荣光街道', 'rongguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105004', '220105', '220105004', '东站街道', 'dongzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105005', '220105', '220105005', '远达街道', 'yuandajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105006', '220105', '220105006', '八里堡街道', 'balibaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105100', '220105', '220105100', '英俊镇', 'yingjunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105101', '220105', '220105101', '劝农山镇', 'quannongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105102', '220105', '220105102', '泉眼镇', 'quanyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105170', '220105', '220105170', '龙嘉镇(东湖生态经济开发区)(省级)', 'longjiazhen(donghushengtaijingjikaifaqu)(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105171', '220105', '220105171', '卡伦湖镇(东湖生态经济开发区)(省级)', 'kalunhuzhen(donghushengtaijingjikaifaqu)(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105172', '220105', '220105172', '东湖镇(东湖生态经济开发区)(省级)', 'donghuzhen(donghushengtaijingjikaifaqu)(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220105200', '220105', '220105200', '四家乡', 'sijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220106', '2201', '220106', '绿园区', 'lu:yuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220106001', '220106', '220106001', '正阳街道', 'zhengyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220106002', '220106', '220106002', '普阳街道', 'puyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220106003', '220106', '220106003', '春城街道', 'chunchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220106004', '220106', '220106004', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220106005', '220106', '220106005', '青年街道', 'qingnianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220106100', '220106', '220106100', '合心镇', 'hexinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220106101', '220106', '220106101', '西新镇', 'xixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220106102', '220106', '220106102', '城西镇', 'chengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220106170', '220106', '220106170', '长春汽车产业开发区(省级)', 'zhangchunqichechanyekaifaqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220106171', '220106', '220106171', '绿园经济开发区(省级)', 'lu:yuanjingjikaifaqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220112', '2201', '220112', '双阳区', 'shuangyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220112001', '220112', '220112001', '云山街道', 'yunshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220112002', '220112', '220112002', '平湖街道', 'pinghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220112003', '220112', '220112003', '奢岭街道', 'shelingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220112004', '220112', '220112004', '山河街道', 'shanhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220112100', '220112', '220112100', '齐家镇', 'qijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220112101', '220112', '220112101', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220112102', '220112', '220112102', '鹿乡镇', 'luxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122', '2201', '220122', '农安县', 'nonganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122100', '220122', '220122100', '农安镇', 'nonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122101', '220122', '220122101', '伏龙泉镇', 'fulongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122102', '220122', '220122102', '哈拉海镇', 'halahaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122103', '220122', '220122103', '靠山镇', 'kaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122104', '220122', '220122104', '开安镇', 'kaianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122105', '220122', '220122105', '烧锅镇', 'shaoguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122106', '220122', '220122106', '高家店镇', 'gaojiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122107', '220122', '220122107', '华家镇', 'huajiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122108', '220122', '220122108', '三盛玉镇', 'sanshengyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122109', '220122', '220122109', '巴吉垒镇', 'bajileizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122200', '220122', '220122200', '前岗乡', 'qiangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122201', '220122', '220122201', '龙王乡', 'longwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122202', '220122', '220122202', '三岗乡', 'sangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122203', '220122', '220122203', '万顺乡', 'wanshunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122204', '220122', '220122204', '杨树林乡', 'yangshulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122205', '220122', '220122205', '永安乡', 'yonganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122206', '220122', '220122206', '青山口乡', 'qingshankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122207', '220122', '220122207', '黄鱼圈乡', 'huangyuquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122208', '220122', '220122208', '新农乡', 'xinnongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122209', '220122', '220122209', '万金塔乡', 'wanjintaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122210', '220122', '220122210', '小城子乡', 'xiaochengzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220122400', '220122', '220122400', '洼中高农场', 'wazhonggaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181', '2201', '220181', '九台市', 'jiutaishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181001', '220181', '220181001', '九台街道', 'jiutaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181002', '220181', '220181002', '营城街道', 'yingchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181003', '220181', '220181003', '九郊街道', 'jiujiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181100', '220181', '220181100', '沐石河镇', 'mushihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181101', '220181', '220181101', '城子街镇', 'chengzijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181102', '220181', '220181102', '其塔木镇', 'qitamuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181103', '220181', '220181103', '上河湾镇', 'shanghewanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181104', '220181', '220181104', '西营城镇', 'xiyingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181105', '220181', '220181105', '土们岭镇', 'tumenlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181106', '220181', '220181106', '苇子沟镇', 'weizigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181107', '220181', '220181107', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181108', '220181', '220181108', '纪家镇', 'jijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181109', '220181', '220181109', '波泥河镇', 'bonihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181200', '220181', '220181200', '胡家回族乡', 'hujiahuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220181201', '220181', '220181201', '莽卡满族乡', 'mangkamanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182', '2201', '220182', '榆树市', 'yushushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182001', '220182', '220182001', '华昌街道', 'huachangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182002', '220182', '220182002', '正阳街道', 'zhengyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182003', '220182', '220182003', '培英街道', 'peiyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182004', '220182', '220182004', '城郊街道', 'chengjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182100', '220182', '220182100', '五棵树镇', 'wukeshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182101', '220182', '220182101', '弓棚镇', 'gongpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182102', '220182', '220182102', '闵家镇', 'minjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182103', '220182', '220182103', '大坡镇', 'dapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182104', '220182', '220182104', '黑林镇', 'heilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182105', '220182', '220182105', '土桥镇', 'tuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182106', '220182', '220182106', '新立镇', 'xinlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182107', '220182', '220182107', '大岭镇', 'dalingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182108', '220182', '220182108', '向阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182109', '220182', '220182109', '泗河镇', 'sihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182110', '220182', '220182110', '八号镇', 'bahaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182111', '220182', '220182111', '刘家镇', 'liujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182112', '220182', '220182112', '秀水镇', 'xiushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182113', '220182', '220182113', '保寿镇', 'baoshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182114', '220182', '220182114', '新庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182200', '220182', '220182200', '育民乡', 'yuminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182201', '220182', '220182201', '红星乡', 'hongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182202', '220182', '220182202', '太安乡', 'taianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182203', '220182', '220182203', '先峰乡', 'xianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182204', '220182', '220182204', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182205', '220182', '220182205', '延和朝鲜族乡', 'yanhechaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182206', '220182', '220182206', '恩育乡', 'enyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182207', '220182', '220182207', '城发乡', 'chengfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220182208', '220182', '220182208', '环城乡', 'huanchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183', '2201', '220183', '德惠市', 'dehuishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183001', '220183', '220183001', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183002', '220183', '220183002', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183003', '220183', '220183003', '惠发街道', 'huifajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183004', '220183', '220183004', '夏家店街道', 'xiajiadianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183100', '220183', '220183100', '大青嘴镇', 'daqingzuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183101', '220183', '220183101', '郭家镇', 'guojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183102', '220183', '220183102', '松花江镇', 'songhuajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183103', '220183', '220183103', '达家沟镇', 'dajiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183104', '220183', '220183104', '大房身镇', 'dafangshenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183105', '220183', '220183105', '岔路口镇', 'chalukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183106', '220183', '220183106', '朱城子镇', 'zhuchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183107', '220183', '220183107', '布海镇', 'buhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183108', '220183', '220183108', '天台镇', 'tiantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183109', '220183', '220183109', '菜园子镇', 'caiyuanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183200', '220183', '220183200', '同太乡', 'tongtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183201', '220183', '220183201', '边岗乡', 'biangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183202', '220183', '220183202', '五台乡', 'wutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220183203', '220183', '220183203', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2202', '22', '2202', '吉林市', 'jilinshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220201', '2202', '220201', '吉林市辖区', 'jilinshixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202', '2202', '220202', '昌邑区', 'changyiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202001', '220202', '220202001', '兴华街道', 'xinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202002', '220202', '220202002', '文庙街道', 'wenmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202003', '220202', '220202003', '东局子街道', 'dongjuzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202004', '220202', '220202004', '新地号街道', 'xindihaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202005', '220202', '220202005', '延安街道', 'yananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202006', '220202', '220202006', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202007', '220202', '220202007', '民主街道', 'minzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202008', '220202', '220202008', '莲花街道', 'lianhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202009', '220202', '220202009', '通江街道', 'tongjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202010', '220202', '220202010', '哈达湾街道', 'hadawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202011', '220202', '220202011', '新建街道', 'xinjianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202012', '220202', '220202012', '延江街道', 'yanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202013', '220202', '220202013', '双吉街道', 'shuangjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202071', '220202', '220202071', '吉林东市商贸示范区(省级)', 'jilindongshishangmaoshifanqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202100', '220202', '220202100', '孤店子镇', 'gudianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202101', '220202', '220202101', '桦皮厂镇', 'huapichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202102', '220202', '220202102', '左家镇', 'zuojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202200', '220202', '220202200', '两家子满族乡', 'liangjiazimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202201', '220202', '220202201', '土城子满族朝鲜族乡', 'tuchengzimanzuchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202400', '220202', '220202400', '吉林哈达湾工业开发区', 'jilinhadawangongyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220202401', '220202', '220202401', '吉林市昌邑区幸福经济管理区', 'jilinshichangyiquxingfujingjiguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203', '2202', '220203', '龙潭区', 'longtanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203001', '220203', '220203001', '龙华街道', 'longhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203002', '220203', '220203002', '湘潭街道', 'xiangtanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203003', '220203', '220203003', '铁东街道', 'tiedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203004', '220203', '220203004', '泡子沿街道', 'paoziyanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203005', '220203', '220203005', '龙潭街道', 'longtanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203006', '220203', '220203006', '新吉林街道', 'xinjilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203007', '220203', '220203007', '山前街道', 'shanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203008', '220203', '220203008', '新安街道', 'xinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203009', '220203', '220203009', '遵义街道', 'zunyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203010', '220203', '220203010', '榆树街道', 'yushujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203011', '220203', '220203011', '靠山街道', 'kaoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203012', '220203', '220203012', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203013', '220203', '220203013', '承德街道', 'chengdejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203070', '220203', '220203070', '吉林龙潭经济开发区(省级)', 'jilinlongtanjingjikaifaqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203100', '220203', '220203100', '乌拉街镇', 'wulajiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203101', '220203', '220203101', '缸窑镇', 'gangyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203102', '220203', '220203102', '江密峰镇', 'jiangmifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203103', '220203', '220203103', '大口钦镇', 'dakouqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203200', '220203', '220203200', '江北乡', 'jiangbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220203201', '220203', '220203201', '金珠乡', 'jinzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204', '2202', '220204', '船营区', 'chuanyingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204001', '220204', '220204001', '德胜街道', 'deshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204002', '220204', '220204002', '南京街道', 'nanjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204003', '220204', '220204003', '大东街道', 'dadongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204004', '220204', '220204004', '青岛街道', 'qingdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204005', '220204', '220204005', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204006', '220204', '220204006', '北极街道', 'beijijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204007', '220204', '220204007', '致和街道', 'zhihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204008', '220204', '220204008', '长春路街道', 'zhangchunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204009', '220204', '220204009', '临江街道', 'linjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204010', '220204', '220204010', '北山街道', 'beishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204011', '220204', '220204011', '黄旗屯街道', 'huangqitunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204100', '220204', '220204100', '大绥河镇', 'dasuihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204101', '220204', '220204101', '搜登站镇', 'soudengzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204102', '220204', '220204102', '越北镇', 'yuebeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220204200', '220204', '220204200', '欢喜乡', 'huanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220211', '2202', '220211', '丰满区', 'fengmanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220211001', '220211', '220211001', '泰山街道', 'taishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220211002', '220211', '220211002', '江南街道', 'jiangnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220211003', '220211', '220211003', '石井街道', 'shijingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220211004', '220211', '220211004', '沿丰街道', 'yanfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220211005', '220211', '220211005', '丰满街道', 'fengmanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220211100', '220211', '220211100', '旺起镇', 'wangqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220211200', '220211', '220211200', '江南乡', 'jiangnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220211201', '220211', '220211201', '前二道乡', 'qianerdaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220211270', '220211', '220211270', '小白山乡(丰满经济开发区)(省级)', 'xiaobaishanxiang(fengmanjingjikaifaqu)(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220211400', '220211', '220211400', '朱雀山风景区', 'zhuqueshanfengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220221', '2202', '220221', '永吉县', 'yongjixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220221100', '220221', '220221100', '口前镇', 'kouqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220221101', '220221', '220221101', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220221102', '220221', '220221102', '西阳镇', 'xiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220221103', '220221', '220221103', '北大湖镇', 'beidahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220221104', '220221', '220221104', '一拉溪镇', 'yilaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220221172', '220221', '220221172', '永吉经济开发区(省级)', 'yongjijingjikaifaqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220221200', '220221', '220221200', '金家乡', 'jinjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220221201', '220221', '220221201', '黄榆乡', 'huangyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281', '2202', '220281', '蛟河市', 'jiaoheshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281001', '220281', '220281001', '民主街道', 'minzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281002', '220281', '220281002', '长安街道', 'zhanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281003', '220281', '220281003', '河南街道', 'henanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281004', '220281', '220281004', '奶子山街道', 'naizishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281005', '220281', '220281005', '拉法街道', 'lafajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281006', '220281', '220281006', '河北街道', 'hebeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281007', '220281', '220281007', '新农街道', 'xinnongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281100', '220281', '220281100', '新站镇', 'xinzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281101', '220281', '220281101', '天岗镇', 'tiangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281102', '220281', '220281102', '白石山镇', 'baishishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281103', '220281', '220281103', '漂河镇', 'piaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281104', '220281', '220281104', '黄松甸镇', 'huangsongdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281105', '220281', '220281105', '天北镇', 'tianbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281106', '220281', '220281106', '松江镇', 'songjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281107', '220281', '220281107', '庆岭镇', 'qinglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281200', '220281', '220281200', '乌林朝鲜族乡', 'wulinchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220281201', '220281', '220281201', '前进乡', 'qianjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282', '2202', '220282', '桦甸市', 'huadianshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282001', '220282', '220282001', '明桦街道', 'minghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282002', '220282', '220282002', '永吉街道', 'yongjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282003', '220282', '220282003', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282004', '220282', '220282004', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282005', '220282', '220282005', '启新街道', 'qixinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282070', '220282', '220282070', '桦甸经济开发区(省级)', 'huadianjingjikaifaqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282100', '220282', '220282100', '夹皮沟镇', 'jiapigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282101', '220282', '220282101', '二道甸子镇', 'erdaodianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282102', '220282', '220282102', '红石砬子镇', 'hongshilazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282103', '220282', '220282103', '八道河子镇', 'badaohezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282104', '220282', '220282104', '常山镇', 'changshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282200', '220282', '220282200', '桦郊乡', 'huajiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282201', '220282', '220282201', '横道河子乡', 'hengdaohezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282202', '220282', '220282202', '金沙乡', 'jinshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282203', '220282', '220282203', '桦树林子乡', 'huashulinzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282204', '220282', '220282204', '公吉乡', 'gongjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220282205', '220282', '220282205', '苏密沟乡', 'sumigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283', '2202', '220283', '舒兰市', 'shulanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283001', '220283', '220283001', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283002', '220283', '220283002', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283003', '220283', '220283003', '环城街道', 'huanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283004', '220283', '220283004', '吉舒街道', 'jishujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283005', '220283', '220283005', '铁东街道', 'tiedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283100', '220283', '220283100', '法特镇', 'fatezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283101', '220283', '220283101', '白旗镇', 'baiqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283102', '220283', '220283102', '溪河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283103', '220283', '220283103', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283104', '220283', '220283104', '小城镇', 'xiaochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283105', '220283', '220283105', '上营镇', 'shangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283106', '220283', '220283106', '水曲柳镇', 'shuiquliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283107', '220283', '220283107', '平安镇', 'pinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283108', '220283', '220283108', '金马镇', 'jinmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283109', '220283', '220283109', '开原镇', 'kaiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283200', '220283', '220283200', '莲花乡', 'lianhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283201', '220283', '220283201', '亮甲山乡', 'liangjiashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283202', '220283', '220283202', '新安乡', 'xinanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283203', '220283', '220283203', '七里乡', 'qilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220283204', '220283', '220283204', '天德乡', 'tiandexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284', '2202', '220284', '磐石市', 'panshishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284001', '220284', '220284001', '福安街道', 'fuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284002', '220284', '220284002', '东宁街道', 'dongningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284003', '220284', '220284003', '河南街道', 'henanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284070', '220284', '220284070', '磐石经济开发区(省级)', 'panshijingjikaifaqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284100', '220284', '220284100', '烟筒山镇', 'yantongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284101', '220284', '220284101', '红旗岭镇', 'hongqilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284102', '220284', '220284102', '明城镇', 'mingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284103', '220284', '220284103', '石嘴镇', 'shizuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284104', '220284', '220284104', '驿马镇', 'yimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284105', '220284', '220284105', '牛心镇', 'niuxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284106', '220284', '220284106', '呼兰镇', 'hulanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284107', '220284', '220284107', '吉昌镇', 'jichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284108', '220284', '220284108', '松山镇', 'songshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284109', '220284', '220284109', '黑石镇', 'heishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284110', '220284', '220284110', '朝阳山镇', 'chaoyangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284111', '220284', '220284111', '富太镇', 'futaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284112', '220284', '220284112', '取柴河镇', 'quchaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220284200', '220284', '220284200', '宝山乡', 'baoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2203', '22', '2203', '四平市', 'sipingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220301', '2203', '220301', '四平市辖区', 'sipingshixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220302', '2203', '220302', '铁西区', 'tiexiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220302001', '220302', '220302001', '仁兴街道', 'renxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220302002', '220302', '220302002', '英雄街道', 'yingxiongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220302003', '220302', '220302003', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220302004', '220302', '220302004', '北沟街道', 'beigoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220302005', '220302', '220302005', '地直街道', 'dizhijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220302070', '220302', '220302070', '红嘴高新技术开发区(省级)', 'hongzuigaoxinjishukaifaqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220302200', '220302', '220302200', '平西乡', 'pingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303', '2203', '220303', '铁东区', 'tiedongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303001', '220303', '220303001', '平东街道', 'pingdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303002', '220303', '220303002', '北市场街道', 'beishichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303003', '220303', '220303003', '七马路街道', 'qimalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303004', '220303', '220303004', '四马路街道', 'simalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303005', '220303', '220303005', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303006', '220303', '220303006', '北门街道', 'beimenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303007', '220303', '220303007', '黄土坑街道', 'huangtukengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303008', '220303', '220303008', '平南街道', 'pingnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303100', '220303', '220303100', '山门镇', 'shanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303101', '220303', '220303101', '石岭镇', 'shilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303102', '220303', '220303102', '叶赫满族镇', 'yehemanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303170', '220303', '220303170', '四平经济开发区(省级)', 'sipingjingjikaifaqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220303200', '220303', '220303200', '城东乡', 'chengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322', '2203', '220322', '梨树县', 'lishuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322100', '220322', '220322100', '梨树镇', 'lishuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322101', '220322', '220322101', '郭家店镇', 'guojiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322102', '220322', '220322102', '榆树台镇', 'yushutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322103', '220322', '220322103', '孤家子镇(四平辽河农垦管理区)', 'gujiazizhen(sipingliaohenongkenguanliqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322104', '220322', '220322104', '小城子镇', 'xiaochengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322105', '220322', '220322105', '喇嘛甸镇', 'lamadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322106', '220322', '220322106', '蔡家镇', 'caijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322107', '220322', '220322107', '刘家馆子镇', 'liujiaguanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322108', '220322', '220322108', '十家堡镇', 'shijiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322109', '220322', '220322109', '孟家岭镇', 'mengjialingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322110', '220322', '220322110', '万发镇', 'wanfazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322111', '220322', '220322111', '东河镇', 'donghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322112', '220322', '220322112', '沈洋镇', 'shenyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322113', '220322', '220322113', '林海镇', 'linhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322114', '220322', '220322114', '小宽镇', 'xiaokuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322200', '220322', '220322200', '白山乡', 'baishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322201', '220322', '220322201', '泉眼岭乡', 'quanyanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322202', '220322', '220322202', '胜利乡', 'shenglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322203', '220322', '220322203', '四棵树乡', 'sikeshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322204', '220322', '220322204', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322205', '220322', '220322205', '金山乡', 'jinshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322400', '220322', '220322400', '国营梨树农场(四平辽河农垦管理区)', 'guoyinglishunongchang(sipingliaohenongkenguanliqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220322401', '220322', '220322401', '梨树经济开发区', 'lishujingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323', '2203', '220323', '伊通满族自治县', 'yitongmanzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323100', '220323', '220323100', '伊通镇', 'yitongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323101', '220323', '220323101', '二道镇', 'erdaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323102', '220323', '220323102', '伊丹镇', 'yidanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323103', '220323', '220323103', '马鞍镇', 'maanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323104', '220323', '220323104', '景台镇', 'jingtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323105', '220323', '220323105', '靠山镇', 'kaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323106', '220323', '220323106', '大孤山镇', 'dagushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323107', '220323', '220323107', '小孤山镇', 'xiaogushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323108', '220323', '220323108', '营城子镇', 'yingchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323109', '220323', '220323109', '西苇镇', 'xiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323110', '220323', '220323110', '河源镇', 'heyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323111', '220323', '220323111', '黄岭子镇', 'huanglingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323200', '220323', '220323200', '新兴乡', 'xinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323201', '220323', '220323201', '莫里乡', 'molixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323202', '220323', '220323202', '三道乡', 'sandaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220323400', '220323', '220323400', '伊通经济开发区', 'yitongjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381', '2203', '220381', '公主岭市', 'gongzhulingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381001', '220381', '220381001', '河南街道', 'henanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381002', '220381', '220381002', '河北街道', 'hebeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381003', '220381', '220381003', '东三街道', 'dongsanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381004', '220381', '220381004', '岭东街道', 'lingdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381005', '220381', '220381005', '铁北街道', 'tiebeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381006', '220381', '220381006', '岭西街道', 'lingxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381007', '220381', '220381007', '刘房子街道', 'liufangzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381008', '220381', '220381008', '南崴子街道', 'nanweizijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381009', '220381', '220381009', '环岭街道', 'huanlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381010', '220381', '220381010', '苇子沟街道', 'weizigoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381100', '220381', '220381100', '二十家子镇', 'ershijiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381101', '220381', '220381101', '黑林子镇', 'heilinzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381102', '220381', '220381102', '陶家屯镇', 'taojiatunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381103', '220381', '220381103', '范家屯镇', 'fanjiatunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381104', '220381', '220381104', '响水镇', 'xiangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381105', '220381', '220381105', '大岭镇', 'dalingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381106', '220381', '220381106', '怀德镇', 'huaidezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381107', '220381', '220381107', '双城堡镇', 'shuangchengbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381108', '220381', '220381108', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381109', '220381', '220381109', '杨大城子镇', 'yangdachengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381110', '220381', '220381110', '毛城子镇', 'maochengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381111', '220381', '220381111', '玻璃城子镇', 'bolichengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381112', '220381', '220381112', '朝阳坡镇', 'chaoyangpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381113', '220381', '220381113', '大榆树镇', 'dayushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381114', '220381', '220381114', '秦家屯镇', 'qinjiatunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381115', '220381', '220381115', '八屋镇', 'bawuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381116', '220381', '220381116', '十屋镇', 'shiwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381117', '220381', '220381117', '桑树台镇', 'sangshutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381200', '220381', '220381200', '龙山乡', 'longshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220381201', '220381', '220381201', '永发乡', 'yongfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382', '2203', '220382', '双辽市', 'shuangliaoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382001', '220382', '220382001', '郑家屯街道', 'zhengjiatunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382002', '220382', '220382002', '辽西街道', 'liaoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382003', '220382', '220382003', '辽南街道', 'liaonanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382004', '220382', '220382004', '辽北街道', 'liaobeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382005', '220382', '220382005', '辽东街道', 'liaodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382006', '220382', '220382006', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382100', '220382', '220382100', '茂林镇', 'maolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382101', '220382', '220382101', '双山镇', 'shuangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382102', '220382', '220382102', '卧虎镇', 'wohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382103', '220382', '220382103', '服先镇', 'fuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382104', '220382', '220382104', '王奔镇', 'wangbenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382105', '220382', '220382105', '玻璃山镇', 'bolishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382106', '220382', '220382106', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382107', '220382', '220382107', '东明镇', 'dongmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382200', '220382', '220382200', '那木乡', 'neimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382201', '220382', '220382201', '柳条乡', 'liutiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382202', '220382', '220382202', '新立乡', 'xinlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382203', '220382', '220382203', '永加乡', 'yongjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382400', '220382', '220382400', '双辽农场(四平辽河农垦管理区)', 'shuangliaonongchang(sipingliaohenongkenguanliqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220382402', '220382', '220382402', '双辽经济开发区', 'shuangliaojingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2204', '22', '2204', '辽源市', 'liaoyuanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220401', '2204', '220401', '辽源市辖区', 'liaoyuanshixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402', '2204', '220402', '龙山区', 'longshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402001', '220402', '220402001', '南康街道', 'nankangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402002', '220402', '220402002', '北寿街道', 'beishoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402003', '220402', '220402003', '东吉街道', 'dongjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402004', '220402', '220402004', '西宁街道', 'xiningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402005', '220402', '220402005', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402006', '220402', '220402006', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402007', '220402', '220402007', '福镇街道', 'fuzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402008', '220402', '220402008', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402070', '220402', '220402070', '辽源民营经济开发区(省级)', 'liaoyuanminyingjingjikaifaqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402100', '220402', '220402100', '寿山镇', 'shoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220402200', '220402', '220402200', '工农乡', 'gongnongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220403', '2204', '220403', '西安区', 'xianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220403001', '220403', '220403001', '仙城街道', 'xianchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220403002', '220403', '220403002', '太安街道', 'taianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220403003', '220403', '220403003', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220403004', '220403', '220403004', '安家街道', 'anjiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220403005', '220403', '220403005', '先锋街道', 'xianfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220403006', '220403', '220403006', '富国街道', 'fuguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220403200', '220403', '220403200', '灯塔乡', 'dengtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421', '2204', '220421', '东丰县', 'dongfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421100', '220421', '220421100', '东丰镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421101', '220421', '220421101', '大阳镇', 'dayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421102', '220421', '220421102', '横道河镇', 'hengdaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421103', '220421', '220421103', '那丹伯镇', 'neidanbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421104', '220421', '220421104', '猴石镇', 'houshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421105', '220421', '220421105', '杨木林镇', 'yangmulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421106', '220421', '220421106', '小四平镇', 'xiaosipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421107', '220421', '220421107', '黄河镇', 'huanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421108', '220421', '220421108', '拉拉河镇', 'lalahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421109', '220421', '220421109', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421110', '220421', '220421110', '南屯基镇', 'nantunjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421111', '220421', '220421111', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421200', '220421', '220421200', '三合满族朝鲜族乡', 'sanhemanzuchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220421201', '220421', '220421201', '二龙山乡', 'erlongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422', '2204', '220422', '东辽县', 'dongliaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422100', '220422', '220422100', '白泉镇', 'baiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422101', '220422', '220422101', '渭津镇', 'weijinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422102', '220422', '220422102', '安石镇', 'anshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422103', '220422', '220422103', '辽河源镇', 'liaoheyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422104', '220422', '220422104', '泉太镇', 'quantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422105', '220422', '220422105', '建安镇', 'jiananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422106', '220422', '220422106', '安恕镇', 'anshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422107', '220422', '220422107', '平岗镇', 'pinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422108', '220422', '220422108', '云顶镇', 'yundingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422200', '220422', '220422200', '凌云乡', 'lingyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422201', '220422', '220422201', '甲山乡', 'jiashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422202', '220422', '220422202', '足民乡', 'zuminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220422203', '220422', '220422203', '金洲乡', 'jinzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2205', '22', '2205', '通化市', 'tonghuashi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220501', '2205', '220501', '通化市辖区', 'tonghuashixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502', '2205', '220502', '东昌区', 'dongchangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502001', '220502', '220502001', '东昌街道', 'dongchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502002', '220502', '220502002', '民主街道', 'minzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502003', '220502', '220502003', '老站街道', 'laozhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502004', '220502', '220502004', '团结街道', 'tuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502005', '220502', '220502005', '新站街道', 'xinzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502006', '220502', '220502006', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502007', '220502', '220502007', '龙泉街道', 'longquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502100', '220502', '220502100', '金厂镇', 'jinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502200', '220502', '220502200', '环通乡', 'huantongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502201', '220502', '220502201', '江东乡', 'jiangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220502400', '220502', '220502400', '通化市经济开发区管委会', 'tonghuashijingjikaifaquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220503', '2205', '220503', '二道江区', 'erdaojiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220503001', '220503', '220503001', '桃园街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220503002', '220503', '220503002', '东通化街道', 'dongtonghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220503100', '220503', '220503100', '鸭园镇', 'yayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220503101', '220503', '220503101', '铁厂镇', 'tiechangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220503102', '220503', '220503102', '五道江镇', 'wudaojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220503200', '220503', '220503200', '二道江乡', 'erdaojiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521', '2205', '220521', '通化县', 'tonghuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521100', '220521', '220521100', '快大茂镇', 'kuaidamaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521101', '220521', '220521101', '二密镇', 'ermizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521102', '220521', '220521102', '果松镇', 'guosongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521103', '220521', '220521103', '石湖镇', 'shihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521104', '220521', '220521104', '大安镇', 'daanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521105', '220521', '220521105', '光华镇', 'guanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521106', '220521', '220521106', '兴林镇', 'xinglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521107', '220521', '220521107', '英额布镇', 'yingebuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521108', '220521', '220521108', '三棵榆树镇', 'sankeyushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521109', '220521', '220521109', '江甸镇', 'jiangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521200', '220521', '220521200', '富江乡', 'fujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521201', '220521', '220521201', '四棚乡', 'sipengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521202', '220521', '220521202', '东来乡', 'donglaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521203', '220521', '220521203', '大泉源满族朝鲜族乡', 'daquanyuanmanzuchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521204', '220521', '220521204', '金斗朝鲜族满族乡', 'jindouchaoxianzumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521400', '220521', '220521400', '通化县工业集中区', 'tonghuaxiangongyejizhongqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220521401', '220521', '220521401', '东宝新村', 'dongbaoxincun', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523', '2205', '220523', '辉南县', 'huinanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523100', '220523', '220523100', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523101', '220523', '220523101', '辉南镇', 'huinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523102', '220523', '220523102', '样子哨镇', 'yangzishaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523103', '220523', '220523103', '杉松岗镇', 'shansonggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523104', '220523', '220523104', '石道河镇', 'shidaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523105', '220523', '220523105', '辉发城镇', 'huifachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523106', '220523', '220523106', '抚民镇', 'fuminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523107', '220523', '220523107', '金川镇', 'jinchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523108', '220523', '220523108', '团林镇', 'tuanlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523109', '220523', '220523109', '庆阳镇', 'qingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220523200', '220523', '220523200', '楼街朝鲜族乡', 'loujiechaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524', '2205', '220524', '柳河县', 'liuhexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524100', '220524', '220524100', '柳河镇', 'liuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524101', '220524', '220524101', '三源浦朝鲜族镇', 'sanyuanpuchaoxianzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524102', '220524', '220524102', '五道沟镇', 'wudaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524103', '220524', '220524103', '驼腰岭镇', 'tuoyaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524104', '220524', '220524104', '孤山子镇', 'gushanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524105', '220524', '220524105', '圣水河子镇', 'shengshuihezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524106', '220524', '220524106', '罗通山镇', 'luotongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524107', '220524', '220524107', '安口镇', 'ankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524108', '220524', '220524108', '向阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524109', '220524', '220524109', '红石镇', 'hongshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524110', '220524', '220524110', '凉水河子镇', 'liangshuihezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524111', '220524', '220524111', '亨通镇', 'hengtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524200', '220524', '220524200', '柳南乡', 'liunanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524201', '220524', '220524201', '时家店乡', 'shijiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220524202', '220524', '220524202', '姜家店朝鲜族乡', 'jiangjiadianchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581', '2205', '220581', '梅河口市', 'meihekoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581001', '220581', '220581001', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581002', '220581', '220581002', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581100', '220581', '220581100', '山城镇', 'shanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581101', '220581', '220581101', '红梅镇', 'hongmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581102', '220581', '220581102', '海龙镇', 'hailongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581103', '220581', '220581103', '新合镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581104', '220581', '220581104', '曙光镇', 'shuguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581105', '220581', '220581105', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581106', '220581', '220581106', '黑山头镇', 'heishantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581107', '220581', '220581107', '水道镇', 'shuidaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581108', '220581', '220581108', '进化镇', 'jinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581109', '220581', '220581109', '一座营镇', 'yizuoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581110', '220581', '220581110', '康大营镇', 'kangdayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581111', '220581', '220581111', '牛心顶镇', 'niuxindingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581200', '220581', '220581200', '杏岭乡', 'xinglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581201', '220581', '220581201', '李炉乡', 'liluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581202', '220581', '220581202', '湾龙乡', 'wanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581203', '220581', '220581203', '双兴乡', 'shuangxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581204', '220581', '220581204', '兴华乡', 'xinghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581205', '220581', '220581205', '小杨满族朝鲜族乡', 'xiaoyangmanzuchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220581206', '220581', '220581206', '吉乐乡', 'jilexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582', '2205', '220582', '集安市', 'jianshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582001', '220582', '220582001', '团结街道', 'tuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582002', '220582', '220582002', '黎明街道', 'limingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582003', '220582', '220582003', '通胜街道', 'tongshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582100', '220582', '220582100', '青石镇', 'qingshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582101', '220582', '220582101', '榆林镇', 'yulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582102', '220582', '220582102', '花甸镇', 'huadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582103', '220582', '220582103', '头道镇', 'toudaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582104', '220582', '220582104', '清河镇', 'qinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582105', '220582', '220582105', '台上镇', 'taishangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582106', '220582', '220582106', '财源镇', 'caiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582107', '220582', '220582107', '大路镇', 'daluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582108', '220582', '220582108', '太王镇', 'taiwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582200', '220582', '220582200', '麻线乡', 'maxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220582201', '220582', '220582201', '凉水朝鲜族乡', 'liangshuichaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2206', '22', '2206', '白山市', 'baishanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220601', '2206', '220601', '白山市辖区', 'baishanshixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602', '2206', '220602', '八道江区', 'badaojiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602001', '220602', '220602001', '新建街道', 'xinjianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602002', '220602', '220602002', '通沟街道', 'tonggoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602003', '220602', '220602003', '东兴街道', 'dongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602004', '220602', '220602004', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602005', '220602', '220602005', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602006', '220602', '220602006', '江北街道', 'jiangbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602007', '220602', '220602007', '河口街道', 'hekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602008', '220602', '220602008', '板石街道', 'banshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602100', '220602', '220602100', '七道江镇', 'qidaojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602101', '220602', '220602101', '六道江镇', 'liudaojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602102', '220602', '220602102', '红土崖镇', 'hongtuyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220602103', '220602', '220602103', '三道沟镇', 'sandaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220604', '2206', '220604', '江源区', 'jiangyuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220604100', '220604', '220604100', '孙家堡子镇', 'sunjiabaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220604101', '220604', '220604101', '三岔子镇', 'sanchazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220604102', '220604', '220604102', '湾沟镇', 'wangouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220604103', '220604', '220604103', '松树镇', 'songshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220604104', '220604', '220604104', '砟子镇', 'zhazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220604105', '220604', '220604105', '石人镇', 'shirenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220604106', '220604', '220604106', '大阳岔镇', 'dayangchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220604107', '220604', '220604107', '大石人镇', 'dashirenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621', '2206', '220621', '抚松县', 'fusongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621100', '220621', '220621100', '抚松镇', 'fusongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621101', '220621', '220621101', '松江河镇', 'songjianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621102', '220621', '220621102', '泉阳镇', 'quanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621103', '220621', '220621103', '露水河镇', 'lushuihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621104', '220621', '220621104', '仙人桥镇', 'xianrenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621105', '220621', '220621105', '万良镇', 'wanliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621106', '220621', '220621106', '新屯子镇', 'xintunzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621107', '220621', '220621107', '东岗镇', 'donggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621108', '220621', '220621108', '漫江镇', 'manjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621109', '220621', '220621109', '北岗镇', 'beigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621110', '220621', '220621110', '兴参镇', 'xingcanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621200', '220621', '220621200', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621201', '220621', '220621201', '抽水乡', 'choushuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220621202', '220621', '220621202', '沿江乡', 'yanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220622', '2206', '220622', '靖宇县', 'jingyuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220622100', '220622', '220622100', '靖宇镇', 'jingyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220622101', '220622', '220622101', '三道湖镇', 'sandaohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220622102', '220622', '220622102', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220622103', '220622', '220622103', '那尔轰镇', 'neierhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220622104', '220622', '220622104', '花园口镇', 'huayuankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220622105', '220622', '220622105', '景山镇', 'jingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220622200', '220622', '220622200', '赤松乡', 'chisongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220622201', '220622', '220622201', '蒙江乡', 'mengjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220623', '2206', '220623', '长白朝鲜族自治县', 'zhangbaichaoxianzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220623100', '220623', '220623100', '长白镇', 'zhangbaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220623101', '220623', '220623101', '八道沟镇', 'badaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220623102', '220623', '220623102', '十四道沟镇', 'shisidaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220623103', '220623', '220623103', '马鹿沟镇', 'malugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220623104', '220623', '220623104', '宝泉山镇', 'baoquanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220623105', '220623', '220623105', '新房子镇', 'xinfangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220623200', '220623', '220623200', '金华乡', 'jinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220623201', '220623', '220623201', '十二道沟乡', 'shierdaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681', '2206', '220681', '临江市', 'linjiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681001', '220681', '220681001', '建国街道', 'jianguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681002', '220681', '220681002', '新市街道', 'xinshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681003', '220681', '220681003', '兴隆街道', 'xinglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681004', '220681', '220681004', '大湖街道', 'dahujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681005', '220681', '220681005', '森工街道', 'sengongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681006', '220681', '220681006', '大栗子街道', 'dalizijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681100', '220681', '220681100', '桦树镇', 'huashuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681101', '220681', '220681101', '六道沟镇', 'liudaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681102', '220681', '220681102', '苇沙河镇', 'weishahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681103', '220681', '220681103', '花山镇', 'huashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681104', '220681', '220681104', '闹枝镇', 'naozhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681105', '220681', '220681105', '四道沟镇', 'sidaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220681200', '220681', '220681200', '蚂蚁河乡', 'mayihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2207', '22', '2207', '松原市', 'songyuanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220701', '2207', '220701', '松原市辖区', 'songyuanshixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702', '2207', '220702', '宁江区', 'ningjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702001', '220702', '220702001', '团结街道', 'tuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702002', '220702', '220702002', '文化街道', 'wenhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702003', '220702', '220702003', '民主街道', 'minzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702004', '220702', '220702004', '临江街道', 'linjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702005', '220702', '220702005', '新区街道', 'xinqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702006', '220702', '220702006', '前进街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702007', '220702', '220702007', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702008', '220702', '220702008', '工农街道', 'gongnongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702009', '220702', '220702009', '沿江街道', 'yanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702010', '220702', '220702010', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702011', '220702', '220702011', '繁荣街道', 'fanrongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702012', '220702', '220702012', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702013', '220702', '220702013', '石化街道', 'shihuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702100', '220702', '220702100', '大洼镇', 'dawazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702101', '220702', '220702101', '善友镇', 'shanyouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702102', '220702', '220702102', '毛都站镇', 'maodouzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702103', '220702', '220702103', '伯都纳镇', 'bodounazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702200', '220702', '220702200', '新城乡', 'xinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702201', '220702', '220702201', '兴原乡', 'xingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220702400', '220702', '220702400', '华侨农场', 'huaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721', '2207', '220721', '前郭尔罗斯蒙古族自治县', 'qianguoerluosimengguzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721100', '220721', '220721100', '前郭尔罗斯镇', 'qianguoerluosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721101', '220721', '220721101', '长山镇', 'zhangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721102', '220721', '220721102', '海渤日戈镇', 'haiborigezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721103', '220721', '220721103', '乌兰图嘎镇', 'wulantugazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721104', '220721', '220721104', '查干花镇', 'chaganhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721105', '220721', '220721105', '王府站镇', 'wangfuzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721106', '220721', '220721106', '八郎镇', 'balangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721107', '220721', '220721107', '哈拉毛都镇', 'halamaodouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721200', '220721', '220721200', '宝甸乡', 'baodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721201', '220721', '220721201', '平凤乡', 'pingfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721202', '220721', '220721202', '蒙古艾里乡', 'mengguailixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721203', '220721', '220721203', '达里巴乡', 'dalibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721204', '220721', '220721204', '吉拉吐乡', 'jilatuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721205', '220721', '220721205', '白依拉嘎乡', 'baiyilagaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721206', '220721', '220721206', '洪泉乡', 'hongquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721207', '220721', '220721207', '额如乡', 'eruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721208', '220721', '220721208', '套浩太乡', 'taohaotaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721209', '220721', '220721209', '长龙乡', 'zhanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721210', '220721', '220721210', '乌兰塔拉乡', 'wulantalaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721211', '220721', '220721211', '东三家子乡', 'dongsanjiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721212', '220721', '220721212', '浩特芒哈乡', 'haotemanghaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721213', '220721', '220721213', '乌兰敖都乡', 'wulanaodouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721400', '220721', '220721400', '红旗农场', 'hongqinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721401', '220721', '220721401', '红光农场', 'hongguangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721402', '220721', '220721402', '红星牧场', 'hongxingmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220721403', '220721', '220721403', '查干花种畜场', 'chaganhuazhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722', '2207', '220722', '长岭县', 'zhanglingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722100', '220722', '220722100', '长岭镇', 'zhanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722101', '220722', '220722101', '太平川镇', 'taipingchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722102', '220722', '220722102', '巨宝镇', 'jubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722103', '220722', '220722103', '太平山镇', 'taipingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722104', '220722', '220722104', '前七号镇', 'qianqihaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722105', '220722', '220722105', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722106', '220722', '220722106', '三青山镇', 'sanqingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722107', '220722', '220722107', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722108', '220722', '220722108', '北正镇', 'beizhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722109', '220722', '220722109', '流水镇', 'liushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722110', '220722', '220722110', '永久镇', 'yongjiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722111', '220722', '220722111', '利发盛镇', 'lifashengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722200', '220722', '220722200', '集体乡', 'jitixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722201', '220722', '220722201', '光明乡', 'guangmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722202', '220722', '220722202', '三县堡乡', 'sanxianbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722203', '220722', '220722203', '海青乡', 'haiqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722204', '220722', '220722204', '前进乡', 'qianjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722205', '220722', '220722205', '东岭乡', 'donglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722206', '220722', '220722206', '腰坨子乡', 'yaotuozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722207', '220722', '220722207', '八十八乡', 'bashibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722208', '220722', '220722208', '三团乡', 'santuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722209', '220722', '220722209', '三十号乡', 'sanshihaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722400', '220722', '220722400', '长岭种马场', 'zhanglingzhongmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722401', '220722', '220722401', '太平川(镇)农业园区', 'taipingchuan(zhen)nongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722402', '220722', '220722402', '北正(镇)牧业园区', 'beizheng(zhen)muyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722403', '220722', '220722403', '双龙工业园区', 'shuanglonggongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722404', '220722', '220722404', '长岭经济开发区', 'zhanglingjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722405', '220722', '220722405', '太平川机械林场', 'taipingchuanjixielinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722406', '220722', '220722406', '三团机械林场', 'santuanjixielinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722407', '220722', '220722407', '东岭机械林场', 'donglingjixielinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722408', '220722', '220722408', '十四号种畜场', 'shisihaozhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722409', '220722', '220722409', '良种繁育场', 'liangzhongfanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220722410', '220722', '220722410', '前七号机械林场', 'qianqihaojixielinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220723', '2207', '220723', '乾安县', 'qiananxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220723100', '220723', '220723100', '乾安镇', 'qiananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220723101', '220723', '220723101', '大布苏镇', 'dabusuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220723102', '220723', '220723102', '水字镇', 'shuizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220723103', '220723', '220723103', '让字镇', 'rangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220723104', '220723', '220723104', '所字镇', 'suozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220723105', '220723', '220723105', '安字镇', 'anzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220723200', '220723', '220723200', '余字乡', 'yuzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220723201', '220723', '220723201', '道字乡', 'daozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220723202', '220723', '220723202', '严字乡', 'yanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220723203', '220723', '220723203', '赞字乡', 'zanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724', '2207', '220724', '扶余县', 'fuyuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724100', '220724', '220724100', '三岔河镇', 'sanchahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724101', '220724', '220724101', '长春岭镇', 'zhangchunlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724102', '220724', '220724102', '五家站镇', 'wujiazhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724103', '220724', '220724103', '陶赖昭镇', 'taolaizhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724104', '220724', '220724104', '蔡家沟镇', 'caijiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724105', '220724', '220724105', '弓棚子镇', 'gongpengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724106', '220724', '220724106', '三井子镇', 'sanjingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724107', '220724', '220724107', '增盛镇', 'zengshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724108', '220724', '220724108', '新万发镇', 'xinwanfazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724109', '220724', '220724109', '大林子镇', 'dalinzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724110', '220724', '220724110', '新源镇', 'xinyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724200', '220724', '220724200', '三骏满族蒙古族锡伯族乡', 'sanjunmanzumengguzuxibozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724201', '220724', '220724201', '永平乡', 'yongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724202', '220724', '220724202', '社里乡', 'shelixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724203', '220724', '220724203', '新站乡', 'xinzhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724204', '220724', '220724204', '更新乡', 'gengxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724205', '220724', '220724205', '伊家店乡', 'yijiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724206', '220724', '220724206', '肖家乡', 'xiaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724400', '220724', '220724400', '伊家店农场', 'yijiadiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724401', '220724', '220724401', '拉林灌区管理局', 'lalinguanquguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220724402', '220724', '220724402', '下岱吉灌区管理局', 'xiadaijiguanquguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2208', '22', '2208', '白城市', 'baichengshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220801', '2208', '220801', '白城市辖区', 'baichengshixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802', '2208', '220802', '洮北区', 'taobeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802001', '220802', '220802001', '海明街道', 'haimingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802002', '220802', '220802002', '长庆街道', 'zhangqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802003', '220802', '220802003', '瑞光街道', 'ruiguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802004', '220802', '220802004', '明仁街道', 'mingrenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802005', '220802', '220802005', '铁东街道', 'tiedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802006', '220802', '220802006', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802007', '220802', '220802007', '新立街道', 'xinlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802008', '220802', '220802008', '幸福街道', 'xingfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802009', '220802', '220802009', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802010', '220802', '220802010', '保平街道', 'baopingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802070', '220802', '220802070', '白城经济开发区(省级)', 'baichengjingjikaifaqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802100', '220802', '220802100', '平安镇', 'pinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802101', '220802', '220802101', '青山镇', 'qingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802102', '220802', '220802102', '林海镇', 'linhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802103', '220802', '220802103', '洮河镇', 'taohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802104', '220802', '220802104', '平台镇', 'pingtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802105', '220802', '220802105', '到保镇', 'daobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802200', '220802', '220802200', '东风乡', 'dongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802201', '220802', '220802201', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802202', '220802', '220802202', '东胜乡', 'dongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802203', '220802', '220802203', '金祥乡', 'jinxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802204', '220802', '220802204', '德顺蒙古族乡', 'deshunmengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802400', '220802', '220802400', '民营经济发展区', 'minyingjingjifazhanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802401', '220802', '220802401', '白城市工业园区', 'baichengshigongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220802402', '220802', '220802402', '镇南种羊场', 'zhennanzhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821', '2208', '220821', '镇赉县', 'zhenlaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821100', '220821', '220821100', '镇赉镇', 'zhenlaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821101', '220821', '220821101', '坦途镇', 'tantuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821102', '220821', '220821102', '东屏镇', 'dongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821103', '220821', '220821103', '大屯镇', 'datunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821104', '220821', '220821104', '沿江镇', 'yanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821105', '220821', '220821105', '五棵树镇', 'wukeshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821106', '220821', '220821106', '黑鱼泡镇', 'heiyupaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821200', '220821', '220821200', '哈吐气蒙古族乡', 'hatuqimengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821201', '220821', '220821201', '莫莫格蒙古族乡', 'momogemengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821202', '220821', '220821202', '建平乡', 'jianpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821203', '220821', '220821203', '嘎什根乡', 'gashengenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220821400', '220821', '220821400', '镇赉监狱分局', 'zhenlaijianyufenju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822', '2208', '220822', '通榆县', 'tongyuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822100', '220822', '220822100', '开通镇', 'kaitongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822101', '220822', '220822101', '瞻榆镇', 'zhanyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822102', '220822', '220822102', '双岗镇', 'shuanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822103', '220822', '220822103', '兴隆山镇', 'xinglongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822104', '220822', '220822104', '边昭镇', 'bianzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822105', '220822', '220822105', '鸿兴镇', 'hongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822106', '220822', '220822106', '新华镇', 'xinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822107', '220822', '220822107', '乌兰花镇', 'wulanhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822200', '220822', '220822200', '新发乡', 'xinfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822201', '220822', '220822201', '新兴乡', 'xinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822202', '220822', '220822202', '向海蒙古族乡', 'xianghaimengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822203', '220822', '220822203', '包拉温都蒙古族乡', 'baolawendoumengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822204', '220822', '220822204', '团结乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822205', '220822', '220822205', '十花道乡', 'shihuadaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822206', '220822', '220822206', '八面乡', 'bamianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822207', '220822', '220822207', '苏公坨乡', 'sugongtuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220822400', '220822', '220822400', '通榆经济开发区', 'tongyujingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881', '2208', '220881', '洮南市', 'taonanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881001', '220881', '220881001', '团结街道', 'tuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881002', '220881', '220881002', '富文街道', 'fuwenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881003', '220881', '220881003', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881004', '220881', '220881004', '兴隆街道', 'xinglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881005', '220881', '220881005', '永康街道', 'yongkangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881006', '220881', '220881006', '通达街道', 'tongdajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881007', '220881', '220881007', '洮府街道', 'taofujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881008', '220881', '220881008', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881100', '220881', '220881100', '瓦房镇', 'wafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881101', '220881', '220881101', '万宝镇', 'wanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881102', '220881', '220881102', '黑水镇', 'heishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881103', '220881', '220881103', '那金镇', 'neijinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881104', '220881', '220881104', '安定镇', 'andingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881200', '220881', '220881200', '胡力吐蒙古族乡', 'hulitumengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881201', '220881', '220881201', '万宝乡', 'wanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881202', '220881', '220881202', '聚宝乡', 'jubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881203', '220881', '220881203', '东升乡', 'dongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881204', '220881', '220881204', '野马乡', 'yemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881205', '220881', '220881205', '永茂乡', 'yongmaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881206', '220881', '220881206', '蛟流河乡', 'jiaoliuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881207', '220881', '220881207', '大通乡', 'datongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881208', '220881', '220881208', '福顺乡', 'fushunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881209', '220881', '220881209', '二龙乡', 'erlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881210', '220881', '220881210', '呼和车力蒙古族乡', 'huhechelimengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881400', '220881', '220881400', '洮南市种雏场', 'taonanshizhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220881401', '220881', '220881401', '洮南市甜菜育种研究所', 'taonanshitiancaiyuzhongyanjiusuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882', '2208', '220882', '大安市', 'daanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882001', '220882', '220882001', '慧阳街道', 'huiyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882002', '220882', '220882002', '临江街道', 'linjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882003', '220882', '220882003', '长虹街道', 'zhanghongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882004', '220882', '220882004', '锦华街道', 'jinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882005', '220882', '220882005', '安北街道', 'anbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882070', '220882', '220882070', '大安经济开发区(省级)', 'daanjingjikaifaqu(shengji)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882100', '220882', '220882100', '月亮泡镇', 'yueliangpaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882101', '220882', '220882101', '安广镇', 'anguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882102', '220882', '220882102', '丰收镇', 'fengshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882103', '220882', '220882103', '新平安镇', 'xinpinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882104', '220882', '220882104', '两家子镇', 'liangjiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882105', '220882', '220882105', '舍力镇', 'shelizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882106', '220882', '220882106', '大岗子镇', 'dagangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882107', '220882', '220882107', '叉干镇', 'chaganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882108', '220882', '220882108', '龙沼镇', 'longzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882109', '220882', '220882109', '太山镇', 'taishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882110', '220882', '220882110', '烧锅镇', 'shaoguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882111', '220882', '220882111', '乐胜镇', 'leshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882200', '220882', '220882200', '四棵树乡', 'sikeshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882201', '220882', '220882201', '联合乡', 'lianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882202', '220882', '220882202', '大赉乡', 'dalaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882203', '220882', '220882203', '红岗子乡', 'honggangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882204', '220882', '220882204', '海坨乡', 'haituoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('220882205', '220882', '220882205', '新艾里蒙古族乡', 'xinailimengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2224', '22', '2224', '延边朝鲜族自治州', 'yanbianchaoxianzuzizhizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222401', '2224', '222401', '延吉市', 'yanjishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222401001', '222401', '222401001', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222401002', '222401', '222401002', '北山街道', 'beishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222401003', '222401', '222401003', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222401004', '222401', '222401004', '公园街道', 'gongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222401005', '222401', '222401005', '河南街道', 'henanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222401006', '222401', '222401006', '建工街道', 'jiangongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222401100', '222401', '222401100', '小营镇', 'xiaoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222401101', '222401', '222401101', '依兰镇', 'yilanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222401102', '222401', '222401102', '三道湾镇', 'sandaowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222402', '2224', '222402', '图们市', 'tumenshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222402001', '222402', '222402001', '向上街道', 'xiangshangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222402002', '222402', '222402002', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222402003', '222402', '222402003', '月宫街道', 'yuegongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222402100', '222402', '222402100', '月晴镇', 'yueqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222402101', '222402', '222402101', '石岘镇', 'shixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222402102', '222402', '222402102', '长安镇', 'zhanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222402103', '222402', '222402103', '凉水镇', 'liangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403', '2224', '222403', '敦化市', 'dunhuashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403001', '222403', '222403001', '渤海街道', 'bohaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403002', '222403', '222403002', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403003', '222403', '222403003', '民主街道', 'minzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403004', '222403', '222403004', '丹江街道', 'danjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403100', '222403', '222403100', '大石头镇', 'dashitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403101', '222403', '222403101', '黄泥河镇', 'huangnihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403102', '222403', '222403102', '官地镇', 'guandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403103', '222403', '222403103', '沙河沿镇', 'shaheyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403104', '222403', '222403104', '秋梨沟镇', 'qiuligouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403105', '222403', '222403105', '额穆镇', 'emuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403106', '222403', '222403106', '贤儒镇', 'xianruzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403107', '222403', '222403107', '大蒲柴河镇', 'dapuchaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403108', '222403', '222403108', '雁鸣湖镇', 'yanminghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403109', '222403', '222403109', '江源镇', 'jiangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403110', '222403', '222403110', '江南镇', 'jiangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403200', '222403', '222403200', '大桥乡', 'daqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403201', '222403', '222403201', '黑石乡', 'heishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403202', '222403', '222403202', '青沟子乡', 'qinggouzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403203', '222403', '222403203', '翰章乡', 'hanzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403204', '222403', '222403204', '红石乡', 'hongshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403400', '222403', '222403400', '丹峰林业有限公司', 'danfenglinyeyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403401', '222403', '222403401', '黄泥河林业局', 'huangnihelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403402', '222403', '222403402', '延边林业集团亚光有限公司', 'yanbianlinyejituanyaguangyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222403403', '222403', '222403403', '敦化市林业局', 'dunhuashilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404', '2224', '222404', '珲春市', 'hunchunshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404001', '222404', '222404001', '靖和街道', 'jinghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404002', '222404', '222404002', '新安街道', 'xinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404003', '222404', '222404003', '河南街道', 'henanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404100', '222404', '222404100', '春化镇', 'chunhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404101', '222404', '222404101', '敬信镇', 'jingxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404102', '222404', '222404102', '板石镇', 'banshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404103', '222404', '222404103', '英安镇', 'yinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404200', '222404', '222404200', '马川子乡', 'machuanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404201', '222404', '222404201', '杨泡满族乡', 'yangpaomanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404202', '222404', '222404202', '三家子满族乡', 'sanjiazimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404203', '222404', '222404203', '密江乡', 'mijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404204', '222404', '222404204', '哈达门乡', 'hadamenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222404400', '222404', '222404400', '珲春林业局', 'hunchunlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222405', '2224', '222405', '龙井市', 'longjingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222405001', '222405', '222405001', '安民街道', 'anminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222405002', '222405', '222405002', '龙门街道', 'longmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222405100', '222405', '222405100', '开山屯镇', 'kaishantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222405101', '222405', '222405101', '朝阳川镇', 'chaoyangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222405102', '222405', '222405102', '老头沟镇', 'laotougouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222405103', '222405', '222405103', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222405104', '222405', '222405104', '东盛涌镇', 'dongshengyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222405105', '222405', '222405105', '智新镇', 'zhixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222405200', '222405', '222405200', '德新乡', 'dexinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222405201', '222405', '222405201', '白金乡', 'baijinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406', '2224', '222406', '和龙市', 'helongshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406001', '222406', '222406001', '民慧街道', 'minhuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406002', '222406', '222406002', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406003', '222406', '222406003', '文化街道', 'wenhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406100', '222406', '222406100', '八家子镇', 'bajiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406101', '222406', '222406101', '福洞镇', 'fudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406102', '222406', '222406102', '头道镇', 'toudaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406103', '222406', '222406103', '西城镇', 'xichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406104', '222406', '222406104', '南坪镇', 'nanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406105', '222406', '222406105', '东城镇', 'dongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406106', '222406', '222406106', '崇善镇', 'chongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406107', '222406', '222406107', '龙城镇', 'longchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406400', '222406', '222406400', '和龙林业局', 'helonglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406401', '222406', '222406401', '八家子林业局', 'bajiazilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222406402', '222406', '222406402', '和龙市林业局', 'helongshilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424', '2224', '222424', '汪清县', 'wangqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424001', '222424', '222424001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424002', '222424', '222424002', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424100', '222424', '222424100', '汪清镇', 'wangqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424101', '222424', '222424101', '大兴沟镇', 'daxinggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424102', '222424', '222424102', '天桥岭镇', 'tianqiaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424103', '222424', '222424103', '罗子沟镇', 'luozigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424104', '222424', '222424104', '百草沟镇', 'baicaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424105', '222424', '222424105', '春阳镇', 'chunyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424106', '222424', '222424106', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424107', '222424', '222424107', '东光镇', 'dongguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424200', '222424', '222424200', '鸡冠乡', 'jiguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424400', '222424', '222424400', '汪清林业局', 'wangqinglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424401', '222424', '222424401', '天桥岭林业局', 'tianqiaolinglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222424402', '222424', '222424402', '大兴沟林业局', 'daxinggoulinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426', '2224', '222426', '安图县', 'antuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426100', '222426', '222426100', '明月镇', 'mingyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426101', '222426', '222426101', '松江镇', 'songjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426102', '222426', '222426102', '二道白河镇', 'erdaobaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426103', '222426', '222426103', '两江镇', 'liangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426104', '222426', '222426104', '石门镇', 'shimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426105', '222426', '222426105', '万宝镇', 'wanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426106', '222426', '222426106', '亮兵镇', 'liangbingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426200', '222426', '222426200', '新合乡', 'xinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426201', '222426', '222426201', '永庆乡', 'yongqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426400', '222426', '222426400', '白河林业局', 'baihelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426401', '222426', '222426401', '安图林业有限公司', 'antulinyeyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('222426402', '222426', '222426402', '安图县林业局', 'antuxianlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('23', '-1', '23', '黑龙江省', 'heilongjiangsheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2301', '23', '2301', '哈尔滨市', 'haerbinshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230101', '2301', '230101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102', '2301', '230102', '道里区', 'daoliqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102001', '230102', '230102001', '兆麟街道', 'zhaolinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102002', '230102', '230102002', '新阳路街道', 'xinyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102003', '230102', '230102003', '抚顺街道', 'fushunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102004', '230102', '230102004', '共乐街道', 'gonglejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102005', '230102', '230102005', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102006', '230102', '230102006', '城乡路街道', 'chengxianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102007', '230102', '230102007', '工农街道', 'gongnongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102008', '230102', '230102008', '尚志街道', 'shangzhijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102009', '230102', '230102009', '斯大林街道', 'sidalinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102010', '230102', '230102010', '通江街道', 'tongjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102011', '230102', '230102011', '经纬街道', 'jingweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102012', '230102', '230102012', '工程街道', 'gongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102013', '230102', '230102013', '安静街道', 'anjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102014', '230102', '230102014', '安和街道', 'anhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102015', '230102', '230102015', '正阳河街道', 'zhengyanghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102016', '230102', '230102016', '建国街道', 'jianguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102017', '230102', '230102017', '康安街道', 'kanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102101', '230102', '230102101', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102102', '230102', '230102102', '新发镇', 'xinfazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102103', '230102', '230102103', '新农镇', 'xinnongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102104', '230102', '230102104', '榆树镇', 'yushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102200', '230102', '230102200', '群力乡', 'qunlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230102500', '230102', '230102500', '阎家岗农场', 'yanjiagangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103', '2301', '230103', '南岗区', 'nangangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103001', '230103', '230103001', '花园街道', 'huayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103002', '230103', '230103002', '奋斗路街道', 'fendoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103003', '230103', '230103003', '革新街道', 'gexinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103004', '230103', '230103004', '文化街道', 'wenhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103005', '230103', '230103005', '大成街道', 'dachengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103006', '230103', '230103006', '芦家街道', 'lujiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103007', '230103', '230103007', '荣市街道', 'rongshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103009', '230103', '230103009', '燎原街道', 'liaoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103010', '230103', '230103010', '松花江街道', 'songhuajiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103011', '230103', '230103011', '曲线街道', 'quxianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103012', '230103', '230103012', '通达街道', 'tongdajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103013', '230103', '230103013', '七政街道', 'qizhengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103015', '230103', '230103015', '和兴路街道', 'hexinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103016', '230103', '230103016', '哈西街道', 'haxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103017', '230103', '230103017', '保健路街道', 'baojianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103018', '230103', '230103018', '先锋路街道', 'xianfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103019', '230103', '230103019', '新春街道', 'xinchunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103101', '230103', '230103101', '王岗镇', 'wanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103201', '230103', '230103201', '红旗满族乡', 'hongqimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230103202', '230103', '230103202', '跃进乡', 'yuejinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104', '2301', '230104', '道外区', 'daowaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104001', '230104', '230104001', '靖宇街道', 'jingyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104002', '230104', '230104002', '太古街道', 'taigujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104003', '230104', '230104003', '东莱街道', 'donglaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104004', '230104', '230104004', '滨江街道', 'binjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104005', '230104', '230104005', '仁里街道', 'renlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104007', '230104', '230104007', '崇俭街道', 'chongjianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104008', '230104', '230104008', '振江街道', 'zhenjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104009', '230104', '230104009', '东原街道', 'dongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104010', '230104', '230104010', '大兴街道', 'daxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104011', '230104', '230104011', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104012', '230104', '230104012', '南马街道', 'nanmajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104021', '230104', '230104021', '民强街道', 'minqiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104022', '230104', '230104022', '大有坊街道', 'dayoufangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104023', '230104', '230104023', '南直路街道', 'nanzhilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104024', '230104', '230104024', '化工街道', 'huagongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104025', '230104', '230104025', '火车头街道', 'huochetoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104026', '230104', '230104026', '新一街道', 'xinyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104027', '230104', '230104027', '三棵树大街街道', 'sankeshudajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104028', '230104', '230104028', '水泥路街道', 'shuinilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104029', '230104', '230104029', '太平大街街道', 'taipingdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104030', '230104', '230104030', '黎华街道', 'lihuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104031', '230104', '230104031', '新乐街道', 'xinlejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104102', '230104', '230104102', '永源镇', 'yongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104109', '230104', '230104109', '巨源镇', 'juyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104111', '230104', '230104111', '团结镇', 'tuanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230104200', '230104', '230104200', '民主乡', 'minzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230108', '2301', '230108', '平房区', 'pingfangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230108001', '230108', '230108001', '兴建街道', 'xingjianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230108002', '230108', '230108002', '保国街道', 'baoguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230108003', '230108', '230108003', '联盟街道', 'lianmengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230108004', '230108', '230108004', '友协街道', 'youxiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230108005', '230108', '230108005', '新疆街道', 'xinjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230108006', '230108', '230108006', '新伟街道', 'xinweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230108101', '230108', '230108101', '平房镇', 'pingfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230108102', '230108', '230108102', '平新镇', 'pingxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230109', '2301', '230109', '松北区', 'songbeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230109001', '230109', '230109001', '三电街道', 'sandianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230109002', '230109', '230109002', '太阳岛街道', 'taiyangdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230109003', '230109', '230109003', '松浦街道', 'songpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230109004', '230109', '230109004', '万宝街道', 'wanbaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230109005', '230109', '230109005', '松北街道', 'songbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230109101', '230109', '230109101', '对青山镇', 'duiqingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230109102', '230109', '230109102', '乐业镇', 'leyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110', '2301', '230110', '香坊区', 'xiangfangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110001', '230110', '230110001', '香坊大街街道', 'xiangfangdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110002', '230110', '230110002', '安埠街道', 'anbujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110003', '230110', '230110003', '通天街道', 'tongtianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110004', '230110', '230110004', '新香坊街道', 'xinxiangfangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110005', '230110', '230110005', '铁东街道', 'tiedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110006', '230110', '230110006', '新成街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110007', '230110', '230110007', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110008', '230110', '230110008', '六顺街道', 'liushunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110009', '230110', '230110009', '建筑街道', 'jianzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110010', '230110', '230110010', '哈平路街道', 'hapinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110011', '230110', '230110011', '安乐街道', 'anlejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110012', '230110', '230110012', '健康路街道', 'jiankanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110013', '230110', '230110013', '大庆路街道', 'daqinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110014', '230110', '230110014', '进乡街道', 'jinxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110015', '230110', '230110015', '通乡街道', 'tongxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110016', '230110', '230110016', '和平路街道', 'hepinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110017', '230110', '230110017', '民生路街道', 'minshenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110018', '230110', '230110018', '文政街道', 'wenzhengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110019', '230110', '230110019', '王兆街道', 'wangzhaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110020', '230110', '230110020', '黎明街道', 'limingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110101', '230110', '230110101', '成高子镇', 'chenggaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110102', '230110', '230110102', '幸福镇', 'xingfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110103', '230110', '230110103', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110201', '230110', '230110201', '向阳乡', 'xiangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230110500', '230110', '230110500', '香坊实验农场', 'xiangfangshiyannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111', '2301', '230111', '呼兰区', 'hulanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111001', '230111', '230111001', '呼兰街道', 'hulanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111002', '230111', '230111002', '兰河街道', 'lanhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111003', '230111', '230111003', '利民街道', 'liminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111004', '230111', '230111004', '腰卜街道', 'yaobujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111101', '230111', '230111101', '康金镇', 'kangjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111104', '230111', '230111104', '沈家镇', 'shenjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111105', '230111', '230111105', '二八镇', 'erbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111106', '230111', '230111106', '石人镇', 'shirenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111107', '230111', '230111107', '白奎镇', 'baikuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111109', '230111', '230111109', '方台镇', 'fangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111110', '230111', '230111110', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111111', '230111', '230111111', '大用镇', 'dayongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111112', '230111', '230111112', '双井镇', 'shuangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111113', '230111', '230111113', '长岭镇', 'zhanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111201', '230111', '230111201', '杨林乡', 'yanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111203', '230111', '230111203', '许卜乡', 'xubuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230111205', '230111', '230111205', '孟家乡', 'mengjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112', '2301', '230112', '阿城区', 'achengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112001', '230112', '230112001', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112002', '230112', '230112002', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112003', '230112', '230112003', '通城街道', 'tongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112004', '230112', '230112004', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112005', '230112', '230112005', '阿什河街道', 'ashenhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112101', '230112', '230112101', '玉泉镇', 'yuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112103', '230112', '230112103', '蜚克图镇', 'feiketuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112104', '230112', '230112104', '亚沟镇', 'yagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112105', '230112', '230112105', '交界镇', 'jiaojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112106', '230112', '230112106', '小岭镇', 'xiaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112107', '230112', '230112107', '平山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112108', '230112', '230112108', '松峰山镇', 'songfengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112110', '230112', '230112110', '新华镇', 'xinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112111', '230112', '230112111', '双丰镇', 'shuangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112202', '230112', '230112202', '杨树乡', 'yangshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112204', '230112', '230112204', '舍利乡', 'shelixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112205', '230112', '230112205', '料甸满族乡', 'liaodianmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112206', '230112', '230112206', '红星乡', 'hongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230112207', '230112', '230112207', '大岭乡', 'dalingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123', '2301', '230123', '依兰县', 'yilanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123100', '230123', '230123100', '依兰镇', 'yilanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123101', '230123', '230123101', '达连河镇', 'dalianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123102', '230123', '230123102', '江湾镇', 'jiangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123103', '230123', '230123103', '三道岗镇', 'sandaogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123104', '230123', '230123104', '道台桥镇', 'daotaiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123105', '230123', '230123105', '宏克利镇', 'hongkelizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123200', '230123', '230123200', '团山子乡', 'tuanshanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123201', '230123', '230123201', '愚公乡', 'yugongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123202', '230123', '230123202', '迎兰朝鲜族乡', 'yinglanchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123400', '230123', '230123400', '依兰县林业局', 'yilanxianlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123500', '230123', '230123500', '依兰农场', 'yilannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123501', '230123', '230123501', '松花江农场', 'songhuajiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123580', '230123', '230123580', '红旗良种厂', 'hongqiliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230123581', '230123', '230123581', '依兰县农委', 'yilanxiannongwei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230124', '2301', '230124', '方正县', 'fangzhengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230124100', '230124', '230124100', '方正镇', 'fangzhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230124101', '230124', '230124101', '会发镇', 'huifazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230124102', '230124', '230124102', '大罗密镇', 'daluomizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230124200', '230124', '230124200', '天门乡', 'tianmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230124201', '230124', '230124201', '松南乡', 'songnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230124202', '230124', '230124202', '德善乡', 'deshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230124204', '230124', '230124204', '宝兴乡', 'baoxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230124205', '230124', '230124205', '伊汉通乡', 'yihantongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230124400', '230124', '230124400', '方正林业局', 'fangzhenglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230124500', '230124', '230124500', '沙河农场', 'shahenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125', '2301', '230125', '宾县', 'binxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125100', '230125', '230125100', '宾州镇', 'binzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125101', '230125', '230125101', '居仁镇', 'jurenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125102', '230125', '230125102', '宾西镇', 'binxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125103', '230125', '230125103', '糖坊镇', 'tangfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125104', '230125', '230125104', '宾安镇', 'binanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125105', '230125', '230125105', '新甸镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125106', '230125', '230125106', '胜利镇', 'shenglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125107', '230125', '230125107', '宁远镇', 'ningyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125109', '230125', '230125109', '摆渡镇', 'baiduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125110', '230125', '230125110', '平坊镇', 'pingfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125111', '230125', '230125111', '满井镇', 'manjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125112', '230125', '230125112', '常安镇', 'changanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125201', '230125', '230125201', '永和乡', 'yonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125203', '230125', '230125203', '鸟河乡', 'niaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125204', '230125', '230125204', '民和乡', 'minhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125205', '230125', '230125205', '经建乡', 'jingjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230125210', '230125', '230125210', '三宝乡', 'sanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126', '2301', '230126', '巴彦县', 'bayanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126100', '230126', '230126100', '巴彦镇', 'bayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126101', '230126', '230126101', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126102', '230126', '230126102', '西集镇', 'xijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126103', '230126', '230126103', '洼兴镇', 'waxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126104', '230126', '230126104', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126105', '230126', '230126105', '巴彦港镇', 'bayangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126106', '230126', '230126106', '龙庙镇', 'longmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126107', '230126', '230126107', '万发镇', 'wanfazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126108', '230126', '230126108', '天增镇', 'tianzengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126110', '230126', '230126110', '黑山镇', 'heishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126200', '230126', '230126200', '松花江乡', 'songhuajiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126202', '230126', '230126202', '富江乡', 'fujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126204', '230126', '230126204', '华山乡', 'huashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126205', '230126', '230126205', '丰乐乡', 'fenglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126209', '230126', '230126209', '德祥乡', 'dexiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126210', '230126', '230126210', '红光乡', 'hongguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126212', '230126', '230126212', '山后乡', 'shanhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126214', '230126', '230126214', '镇东乡', 'zhendongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230126400', '230126', '230126400', '兴隆林业局', 'xinglonglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230127', '2301', '230127', '木兰县', 'mulanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230127100', '230127', '230127100', '木兰镇', 'mulanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230127101', '230127', '230127101', '东兴镇', 'dongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230127102', '230127', '230127102', '大贵镇', 'daguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230127103', '230127', '230127103', '利东镇', 'lidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230127104', '230127', '230127104', '柳河镇', 'liuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230127105', '230127', '230127105', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230127200', '230127', '230127200', '建国乡', 'jianguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230127203', '230127', '230127203', '吉兴乡', 'jixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230127400', '230127', '230127400', '兴隆林业局', 'xinglonglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128', '2301', '230128', '通河县', 'tonghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128100', '230128', '230128100', '通河镇', 'tonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128101', '230128', '230128101', '乌鸦泡镇', 'wuyapaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128102', '230128', '230128102', '清河镇', 'qinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128103', '230128', '230128103', '浓河镇', 'nonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128104', '230128', '230128104', '凤山镇', 'fengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128105', '230128', '230128105', '祥顺镇', 'xiangshunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128201', '230128', '230128201', '三站乡', 'sanzhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128202', '230128', '230128202', '富林乡', 'fulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128400', '230128', '230128400', '清河林业局', 'qinghelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128401', '230128', '230128401', '兴隆林业局', 'xinglonglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230128500', '230128', '230128500', '岔林河农场', 'chalinhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129', '2301', '230129', '延寿县', 'yanshouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129100', '230129', '230129100', '延寿镇', 'yanshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129101', '230129', '230129101', '六团镇', 'liutuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129102', '230129', '230129102', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129103', '230129', '230129103', '加信镇', 'jiaxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129104', '230129', '230129104', '延河镇', 'yanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129204', '230129', '230129204', '安山乡', 'anshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129205', '230129', '230129205', '寿山乡', 'shoushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129206', '230129', '230129206', '玉河乡', 'yuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129209', '230129', '230129209', '青川乡', 'qingchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129400', '230129', '230129400', '太平川', 'taipingchuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230129500', '230129', '230129500', '庆阳农场', 'qingyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182', '2301', '230182', '双城市', 'shuangchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182001', '230182', '230182001', '双城市街道社区管委会', 'shuangchengshijiedaoshequguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182100', '230182', '230182100', '双城镇', 'shuangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182101', '230182', '230182101', '兰棱镇', 'lanlengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182102', '230182', '230182102', '周家镇', 'zhoujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182103', '230182', '230182103', '五家镇', 'wujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182104', '230182', '230182104', '韩甸镇', 'handianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182105', '230182', '230182105', '单城镇', 'danchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182106', '230182', '230182106', '东官镇', 'dongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182107', '230182', '230182107', '农丰满族锡伯族镇', 'nongfengmanzuxibozuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182108', '230182', '230182108', '杏山镇', 'xingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182200', '230182', '230182200', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182201', '230182', '230182201', '金城乡', 'jinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182203', '230182', '230182203', '青岭满族乡', 'qinglingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182204', '230182', '230182204', '联兴满族乡', 'lianxingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182205', '230182', '230182205', '幸福满族乡', 'xingfumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182206', '230182', '230182206', '新兴满族乡', 'xinxingmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182207', '230182', '230182207', '公正满族乡', 'gongzhengmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182208', '230182', '230182208', '永胜乡', 'yongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182209', '230182', '230182209', '临江乡', 'linjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182210', '230182', '230182210', '水泉乡', 'shuiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182211', '230182', '230182211', '乐群满族乡', 'lequnmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182213', '230182', '230182213', '团结满族乡', 'tuanjiemanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182214', '230182', '230182214', '万隆乡', 'wanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182216', '230182', '230182216', '希勤满族乡', 'xiqinmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230182217', '230182', '230182217', '同心满族乡', 'tongxinmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183', '2301', '230183', '尚志市', 'shangzhishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183100', '230183', '230183100', '尚志镇', 'shangzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183101', '230183', '230183101', '一面坡镇', 'yimianpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183102', '230183', '230183102', '苇河镇', 'weihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183103', '230183', '230183103', '亚布力镇', 'yabulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183104', '230183', '230183104', '帽儿山镇', 'maoershanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183105', '230183', '230183105', '亮河镇', 'lianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183106', '230183', '230183106', '庆阳镇', 'qingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183107', '230183', '230183107', '石头河子镇', 'shitouhezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183108', '230183', '230183108', '元宝镇', 'yuanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183109', '230183', '230183109', '黑龙宫镇', 'heilonggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183202', '230183', '230183202', '长寿乡', 'zhangshouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183204', '230183', '230183204', '乌吉密乡', 'wujimixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183206', '230183', '230183206', '鱼池乡', 'yuchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183207', '230183', '230183207', '珍珠山乡', 'zhenzhushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183208', '230183', '230183208', '老街基乡', 'laojiejixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183209', '230183', '230183209', '马延乡', 'mayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183211', '230183', '230183211', '河东乡', 'hedongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183400', '230183', '230183400', '苇河林业局', 'weihelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230183401', '230183', '230183401', '亚布力林业局', 'yabulilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184', '2301', '230184', '五常市', 'wuchangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184100', '230184', '230184100', '五常镇', 'wuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184101', '230184', '230184101', '拉林满族镇', 'lalinmanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184102', '230184', '230184102', '山河镇', 'shanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184103', '230184', '230184103', '小山子镇', 'xiaoshanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184104', '230184', '230184104', '安家镇', 'anjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184105', '230184', '230184105', '牛家满族镇', 'niujiamanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184106', '230184', '230184106', '杜家镇', 'dujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184107', '230184', '230184107', '背荫河镇', 'beiyinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184108', '230184', '230184108', '冲河镇', 'chonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184109', '230184', '230184109', '沙河子镇', 'shahezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184110', '230184', '230184110', '向阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184200', '230184', '230184200', '兴盛乡', 'xingshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184201', '230184', '230184201', '志广乡', 'zhiguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184202', '230184', '230184202', '卫国乡', 'weiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184203', '230184', '230184203', '常堡乡', 'changbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184206', '230184', '230184206', '民意乡', 'minyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184207', '230184', '230184207', '龙凤山乡', 'longfengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184209', '230184', '230184209', '红旗满族乡', 'hongqimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184210', '230184', '230184210', '八家子乡', 'bajiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184211', '230184', '230184211', '民乐朝鲜族乡', 'minlechaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184212', '230184', '230184212', '营城子满族乡', 'yingchengzimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184214', '230184', '230184214', '长山乡', 'zhangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184215', '230184', '230184215', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184216', '230184', '230184216', '二河乡', 'erhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230184400', '230184', '230184400', '山河屯林业局', 'shanhetunlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2302', '23', '2302', '齐齐哈尔市', 'qiqihaershi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230201', '2302', '230201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230202', '2302', '230202', '龙沙区', 'longshaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230202001', '230202', '230202001', '五龙街道', 'wulongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230202002', '230202', '230202002', '湖滨街道', 'hubinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230202003', '230202', '230202003', '江安街道', 'jianganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230202004', '230202', '230202004', '正阳街道', 'zhengyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230202005', '230202', '230202005', '彩虹街道', 'caihongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230202006', '230202', '230202006', '南航街道', 'nanhangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230202198', '230202', '230202198', '龙沙区直辖地域', 'longshaquzhixiadiyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230203', '2302', '230203', '建华区', 'jianhuaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230203003', '230203', '230203003', '中华街道', 'zhonghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230203004', '230203', '230203004', '西大桥街道', 'xidaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230203005', '230203', '230203005', '卜奎街道', 'bukuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230203006', '230203', '230203006', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230203007', '230203', '230203007', '文化街道', 'wenhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230203198', '230203', '230203198', '建华区直辖地域', 'jianhuaquzhixiadiyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230204', '2302', '230204', '铁锋区', 'tiefengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230204001', '230204', '230204001', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230204002', '230204', '230204002', '南浦街道', 'nanpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230204003', '230204', '230204003', '通东街道', 'tongdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230204004', '230204', '230204004', '光荣街道', 'guangrongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230204005', '230204', '230204005', '龙华街道', 'longhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230204006', '230204', '230204006', '北局宅街道', 'beijuzhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230204008', '230204', '230204008', '东湖街道', 'donghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230204200', '230204', '230204200', '扎龙乡', 'zhalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230204580', '230204', '230204580', '齐齐哈尔种畜场', 'qiqihaerzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230205', '2302', '230205', '昂昂溪区', 'angangxiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230205001', '230205', '230205001', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230205002', '230205', '230205002', '新建街道', 'xinjianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230205005', '230205', '230205005', '林机街道', 'linjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230205006', '230205', '230205006', '道北街道', 'daobeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230205100', '230205', '230205100', '水师营满族镇', 'shuishiyingmanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230205102', '230205', '230205102', '三间房镇', 'sanjianfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230206', '2302', '230206', '富拉尔基区', 'fulaerjiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230206001', '230206', '230206001', '红岸街道', 'honganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230206003', '230206', '230206003', '沿江街道', 'yanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230206004', '230206', '230206004', '电力街道', 'dianlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230206005', '230206', '230206005', '幸福街道', 'xingfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230206006', '230206', '230206006', '红宝石街道', 'hongbaoshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230206007', '230206', '230206007', '北兴街道', 'beixingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230206008', '230206', '230206008', '铁北街道', 'tiebeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230206200', '230206', '230206200', '长青乡', 'zhangqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230206202', '230206', '230206202', '杜尔门沁达翰尔族乡', 'duermenqindahanerzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230207', '2302', '230207', '碾子山区', 'nianzishanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230207001', '230207', '230207001', '东安街道', 'donganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230207002', '230207', '230207002', '富强街道', 'fuqiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230207003', '230207', '230207003', '跃进街道', 'yuejinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230207004', '230207', '230207004', '繁荣街道', 'fanrongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230207198', '230207', '230207198', '碾子山区直辖地域', 'nianzishanquzhixiadiyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230208', '2302', '230208', '梅里斯达斡尔族区', 'meilisidawoerzuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230208001', '230208', '230208001', '梅里斯街道', 'meilisijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230208101', '230208', '230208101', '雅尔塞镇', 'yaersaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230208102', '230208', '230208102', '卧牛吐镇', 'woniutuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230208103', '230208', '230208103', '达呼店镇', 'dahudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230208104', '230208', '230208104', '共和镇', 'gonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230208200', '230208', '230208200', '莽格吐乡', 'manggetuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230208201', '230208', '230208201', '梅里斯乡', 'meilisixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230208501', '230208', '230208501', '哈拉海农场', 'halahainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221', '2302', '230221', '龙江县', 'longjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221100', '230221', '230221100', '龙江镇', 'longjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221101', '230221', '230221101', '景星镇', 'jingxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221102', '230221', '230221102', '龙兴镇', 'longxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221103', '230221', '230221103', '山泉镇', 'shanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221104', '230221', '230221104', '七棵树镇', 'qikeshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221200', '230221', '230221200', '白山乡', 'baishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221201', '230221', '230221201', '黑岗乡', 'heigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221202', '230221', '230221202', '广厚乡', 'guanghouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221203', '230221', '230221203', '华民乡', 'huaminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221204', '230221', '230221204', '哈拉海乡', 'halahaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221211', '230221', '230221211', '杏山乡', 'xingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221214', '230221', '230221214', '头站乡', 'touzhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221215', '230221', '230221215', '鲁河乡', 'luhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230221217', '230221', '230221217', '济沁河乡', 'jiqinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223', '2302', '230223', '依安县', 'yianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223100', '230223', '230223100', '依安镇', 'yianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223101', '230223', '230223101', '依龙镇', 'yilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223102', '230223', '230223102', '双阳镇', 'shuangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223103', '230223', '230223103', '三兴镇', 'sanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223104', '230223', '230223104', '中心镇', 'zhongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223200', '230223', '230223200', '富饶乡', 'furaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223201', '230223', '230223201', '解放乡', 'jiefangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223202', '230223', '230223202', '阳春乡', 'yangchunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223203', '230223', '230223203', '新发乡', 'xinfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223204', '230223', '230223204', '太东乡', 'taidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223205', '230223', '230223205', '上游乡', 'shangyouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223206', '230223', '230223206', '红星乡', 'hongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223207', '230223', '230223207', '先锋乡', 'xianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223208', '230223', '230223208', '新屯乡', 'xintunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223210', '230223', '230223210', '新兴乡', 'xinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223500', '230223', '230223500', '依安农场', 'yiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230223580', '230223', '230223580', '黑龙江红旗马场', 'heilongjianghongqimachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224', '2302', '230224', '泰来县', 'tailaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224100', '230224', '230224100', '泰来镇', 'tailaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224101', '230224', '230224101', '平洋镇', 'pingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224102', '230224', '230224102', '汤池镇', 'tangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224103', '230224', '230224103', '江桥蒙古族镇', 'jiangqiaomengguzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224104', '230224', '230224104', '塔子城镇', 'tazichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224105', '230224', '230224105', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224106', '230224', '230224106', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224107', '230224', '230224107', '克利镇', 'kelizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224200', '230224', '230224200', '胜利蒙古族乡', 'shenglimengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224209', '230224', '230224209', '宁姜蒙古族乡', 'ningjiangmengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224400', '230224', '230224400', '葡萄场', 'putaochang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224401', '230224', '230224401', '果树场', 'guoshuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224402', '230224', '230224402', '泰来县一苗圃', 'tailaixianyimiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224403', '230224', '230224403', '泰来县二苗圃', 'tailaixianermiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224404', '230224', '230224404', '东方红机械林场', 'dongfanghongjixielinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224500', '230224', '230224500', '泰来农场', 'tailainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224580', '230224', '230224580', '第一良种场', 'diyiliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224581', '230224', '230224581', '第二良种场', 'dierliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224582', '230224', '230224582', '宏胜种畜场', 'hongshengzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224583', '230224', '230224583', '二龙涛农场', 'erlongtaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230224584', '230224', '230224584', '六三监狱', 'liusanjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225', '2302', '230225', '甘南县', 'gannanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225100', '230225', '230225100', '甘南镇', 'gannanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225101', '230225', '230225101', '音河镇', 'yinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225102', '230225', '230225102', '平阳镇', 'pingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225103', '230225', '230225103', '东阳镇', 'dongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225104', '230225', '230225104', '巨宝镇', 'jubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225201', '230225', '230225201', '长山乡', 'zhangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225202', '230225', '230225202', '中兴乡', 'zhongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225203', '230225', '230225203', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225204', '230225', '230225204', '宝山乡', 'baoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225206', '230225', '230225206', '查哈阳乡', 'chahayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225500', '230225', '230225500', '查哈阳农场', 'chahayangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230225580', '230225', '230225580', '北京市双河农场', 'beijingshishuanghenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227', '2302', '230227', '富裕县', 'fuyuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227100', '230227', '230227100', '富裕镇', 'fuyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227101', '230227', '230227101', '富路镇', 'fuluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227102', '230227', '230227102', '富海镇', 'fuhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227103', '230227', '230227103', '二道湾镇', 'erdaowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227104', '230227', '230227104', '龙安桥镇', 'longanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227200', '230227', '230227200', '繁荣乡', 'fanrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227201', '230227', '230227201', '绍文乡', 'shaowenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227202', '230227', '230227202', '忠厚乡', 'zhonghouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227203', '230227', '230227203', '友谊乡', 'youyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227204', '230227', '230227204', '塔哈乡', 'tahaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227500', '230227', '230227500', '富裕牧场', 'fuyumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230227580', '230227', '230227580', '繁荣种畜场', 'fanrongzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229', '2302', '230229', '克山县', 'keshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229100', '230229', '230229100', '克山镇', 'keshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229101', '230229', '230229101', '北兴镇', 'beixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229102', '230229', '230229102', '西城镇', 'xichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229103', '230229', '230229103', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229104', '230229', '230229104', '北联镇', 'beilianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229105', '230229', '230229105', '西河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229200', '230229', '230229200', '河南乡', 'henanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229201', '230229', '230229201', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229203', '230229', '230229203', '河北乡', 'hebeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229204', '230229', '230229204', '古北乡', 'gubeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229205', '230229', '230229205', '西联乡', 'xilianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229206', '230229', '230229206', '发展乡', 'fazhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229207', '230229', '230229207', '西建乡', 'xijianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229208', '230229', '230229208', '向华乡', 'xianghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229210', '230229', '230229210', '曙光乡', 'shuguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229400', '230229', '230229400', '克山县河北林场', 'keshanxianhebeilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229401', '230229', '230229401', '克山县涌泉林场', 'keshanxianyongquanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229402', '230229', '230229402', '克山县北联林场', 'keshanxianbeilianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229500', '230229', '230229500', '克山农场', 'keshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229580', '230229', '230229580', '克山县第一良种场', 'keshanxiandiyiliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229581', '230229', '230229581', '克山县第二良种场', 'keshanxiandierliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229582', '230229', '230229582', '克山县种畜场', 'keshanxianzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230229583', '230229', '230229583', '克山县种猪场', 'keshanxianzhongzhuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230', '2302', '230230', '克东县', 'kedongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230100', '230230', '230230100', '克东镇', 'kedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230101', '230230', '230230101', '宝泉镇', 'baoquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230102', '230230', '230230102', '乾丰镇', 'qianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230103', '230230', '230230103', '玉岗镇', 'yugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230200', '230230', '230230200', '金城乡', 'jinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230202', '230230', '230230202', '润津乡', 'runjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230204', '230230', '230230204', '昌盛乡', 'changshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230400', '230230', '230230400', '第一苗圃', 'diyimiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230401', '230230', '230230401', '第二苗圃', 'diermiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230402', '230230', '230230402', '爱华林场', 'aihualinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230403', '230230', '230230403', '发展林场', 'fazhanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230404', '230230', '230230404', '东兴林场', 'dongxinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230580', '230230', '230230580', '红旗奶山羊场', 'hongqinaishanyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230581', '230230', '230230581', '第一良种场', 'diyiliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230582', '230230', '230230582', '第二良种繁殖场', 'dierliangzhongfanzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230583', '230230', '230230583', '果树繁殖场', 'guoshufanzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230584', '230230', '230230584', '种猪场', 'zhongzhuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230230585', '230230', '230230585', '建业农场', 'jianyenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231', '2302', '230231', '拜泉县', 'baiquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231100', '230231', '230231100', '拜泉镇', 'baiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231101', '230231', '230231101', '三道镇', 'sandaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231102', '230231', '230231102', '兴农镇', 'xingnongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231103', '230231', '230231103', '长春镇', 'zhangchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231104', '230231', '230231104', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231105', '230231', '230231105', '国富镇', 'guofuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231106', '230231', '230231106', '富强镇', 'fuqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231200', '230231', '230231200', '新生乡', 'xinshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231201', '230231', '230231201', '兴国乡', 'xingguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231203', '230231', '230231203', '上升乡', 'shangshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231204', '230231', '230231204', '兴华乡', 'xinghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231206', '230231', '230231206', '大众乡', 'dazhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231209', '230231', '230231209', '丰产乡', 'fengchanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231210', '230231', '230231210', '永勤乡', 'yongqinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231212', '230231', '230231212', '爱农乡', 'ainongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230231214', '230231', '230231214', '时中乡', 'shizhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281', '2302', '230281', '讷河市', 'neheshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281100', '230281', '230281100', '讷河镇', 'nehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281101', '230281', '230281101', '拉哈镇', 'lahazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281102', '230281', '230281102', '二克浅镇', 'erkeqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281103', '230281', '230281103', '学田镇', 'xuetianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281104', '230281', '230281104', '龙河镇', 'longhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281105', '230281', '230281105', '讷南镇', 'nenanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281106', '230281', '230281106', '六合镇', 'liuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281107', '230281', '230281107', '长发镇', 'zhangfazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281108', '230281', '230281108', '通南镇', 'tongnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281109', '230281', '230281109', '同义镇', 'tongyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281110', '230281', '230281110', '九井镇', 'jiujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281111', '230281', '230281111', '老莱镇', 'laolaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281201', '230281', '230281201', '孔国乡', 'kongguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281207', '230281', '230281207', '和盛乡', 'heshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281208', '230281', '230281208', '同心乡', 'tongxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281210', '230281', '230281210', '兴旺鄂温克族乡', 'xingwangewenkezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281400', '230281', '230281400', '龙河镇保安林场', 'longhezhenbaoanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281401', '230281', '230281401', '龙河镇茂山林场', 'longhezhenmaoshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281402', '230281', '230281402', '龙河镇国庆林场', 'longhezhenguoqinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281403', '230281', '230281403', '学田镇富源林场', 'xuetianzhenfuyuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281404', '230281', '230281404', '老莱镇宽余林场', 'laolaizhenkuanyulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281405', '230281', '230281405', '新江林场', 'xinjianglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281406', '230281', '230281406', '讷河镇一良苗圃', 'nehezhenyiliangmiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281580', '230281', '230281580', '黑龙江省老莱监狱', 'heilongjiangshenglaolaijianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281581', '230281', '230281581', '六合镇黎明奶牛场', 'liuhezhenlimingnainiuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281582', '230281', '230281582', '孔国乡进化种猪场', 'kongguoxiangjinhuazhongzhuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281583', '230281', '230281583', '二克浅镇二里种畜场', 'erkeqianzhenerlizhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281584', '230281', '230281584', '龙河镇青色草原种畜场', 'longhezhenqingsecaoyuanzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281585', '230281', '230281585', '第一良种场', 'diyiliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281586', '230281', '230281586', '第二良种场', 'dierliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281587', '230281', '230281587', '第三良种场', 'disanliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230281588', '230281', '230281588', '第四良种场', 'disiliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2303', '23', '2303', '鸡西市', 'jixishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230301', '2303', '230301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230302', '2303', '230302', '鸡冠区', 'jiguanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230302001', '230302', '230302001', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230302002', '230302', '230302002', '南山街道', 'nanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230302003', '230302', '230302003', '立新街道', 'lixinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230302004', '230302', '230302004', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230302005', '230302', '230302005', '红军路街道', 'hongjunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230302006', '230302', '230302006', '西鸡西街道', 'xijixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230302007', '230302', '230302007', '西山街道', 'xishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230302200', '230302', '230302200', '红星乡', 'hongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230302201', '230302', '230302201', '西郊乡', 'xijiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230303', '2303', '230303', '恒山区', 'hengshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230303001', '230303', '230303001', '桦木林街道', 'huamulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230303002', '230303', '230303002', '大恒山街道', 'dahengshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230303003', '230303', '230303003', '小恒山街道', 'xiaohengshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230303004', '230303', '230303004', '二道河子街道', 'erdaohezijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230303005', '230303', '230303005', '张新街道', 'zhangxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230303006', '230303', '230303006', '奋斗街道', 'fendoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230303007', '230303', '230303007', '柳毛街道', 'liumaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230303200', '230303', '230303200', '红旗乡', 'hongqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230303201', '230303', '230303201', '柳毛乡', 'liumaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230304', '2303', '230304', '滴道区', 'didaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230304001', '230304', '230304001', '东兴街道', 'dongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230304002', '230304', '230304002', '矿里街道', 'kuanglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230304003', '230304', '230304003', '洗煤街道', 'ximeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230304004', '230304', '230304004', '大通沟街道', 'datonggoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230304200', '230304', '230304200', '滴道河乡', 'didaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230304201', '230304', '230304201', '兰岭乡', 'lanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230305', '2303', '230305', '梨树区', 'lishuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230305001', '230305', '230305001', '街里街道', 'jielijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230305002', '230305', '230305002', '穆棱街道', 'mulengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230305003', '230305', '230305003', '平岗街道', 'pinggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230305004', '230305', '230305004', '碱场街道', 'jianchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230305005', '230305', '230305005', '石磷街道', 'shilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230305198', '230305', '230305198', '梨树区直辖地域', 'lishuquzhixiadiyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230306', '2303', '230306', '城子河区', 'chengzihequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230306001', '230306', '230306001', '城子河街道', 'chengzihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230306002', '230306', '230306002', '正阳街道', 'zhengyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230306003', '230306', '230306003', '东海街道', 'donghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230306004', '230306', '230306004', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230306005', '230306', '230306005', '杏花街道', 'xinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230306200', '230306', '230306200', '长青乡', 'zhangqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230306201', '230306', '230306201', '永丰乡', 'yongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230307', '2303', '230307', '麻山区', 'mashanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230307001', '230307', '230307001', '麻山街道', 'mashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230307198', '230307', '230307198', '麻山区直辖地域', 'mashanquzhixiadiyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321', '2303', '230321', '鸡东县', 'jidongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321100', '230321', '230321100', '鸡东镇', 'jidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321101', '230321', '230321101', '平阳镇', 'pingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321102', '230321', '230321102', '向阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321103', '230321', '230321103', '哈达镇', 'hadazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321104', '230321', '230321104', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321105', '230321', '230321105', '永和镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321106', '230321', '230321106', '东海镇', 'donghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321107', '230321', '230321107', '兴农镇', 'xingnongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321200', '230321', '230321200', '鸡林乡', 'jilinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321205', '230321', '230321205', '明德乡', 'mingdexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321206', '230321', '230321206', '下亮子乡', 'xialiangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321400', '230321', '230321400', '林业局', 'linyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230321500', '230321', '230321500', '八五一零农场', 'bawuyilingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381', '2303', '230381', '虎林市', 'hulinshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381100', '230381', '230381100', '虎林镇', 'hulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381101', '230381', '230381101', '东方红镇', 'dongfanghongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381102', '230381', '230381102', '迎春镇', 'yingchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381103', '230381', '230381103', '虎头镇', 'hutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381104', '230381', '230381104', '杨岗镇', 'yanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381105', '230381', '230381105', '东风镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381106', '230381', '230381106', '宝东镇', 'baodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381203', '230381', '230381203', '新乐乡', 'xinlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381204', '230381', '230381204', '伟光乡', 'weiguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381205', '230381', '230381205', '忠诚乡', 'zhongchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381206', '230381', '230381206', '珍宝岛乡', 'zhenbaodaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381207', '230381', '230381207', '阿北乡', 'abeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381400', '230381', '230381400', '东方红林业局', 'dongfanghonglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381401', '230381', '230381401', '迎春林业局', 'yingchunlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381500', '230381', '230381500', '八五零农场', 'bawulingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381501', '230381', '230381501', '八五四农场', 'bawusinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381502', '230381', '230381502', '八五六农场', 'bawuliunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381503', '230381', '230381503', '八五八农场', 'bawubanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381504', '230381', '230381504', '庆丰农场', 'qingfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230381505', '230381', '230381505', '云山农场', 'yunshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382', '2303', '230382', '密山市', 'mishanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382001', '230382', '230382001', '中心街道', 'zhongxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382100', '230382', '230382100', '密山镇', 'mishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382101', '230382', '230382101', '连珠山镇', 'lianzhushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382102', '230382', '230382102', '当壁镇', 'dangbizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382103', '230382', '230382103', '知一镇', 'zhiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382104', '230382', '230382104', '黑台镇', 'heitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382105', '230382', '230382105', '兴凯镇', 'xingkaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382106', '230382', '230382106', '裴德镇', 'peidezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382200', '230382', '230382200', '柳毛乡', 'liumaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382201', '230382', '230382201', '杨木乡', 'yangmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382202', '230382', '230382202', '兴凯湖乡', 'xingkaihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382203', '230382', '230382203', '承紫河乡', 'chengzihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382204', '230382', '230382204', '白泡子乡', 'baipaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382206', '230382', '230382206', '二人班乡', 'errenbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382208', '230382', '230382208', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382210', '230382', '230382210', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382212', '230382', '230382212', '富源乡', 'fuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382501', '230382', '230382501', '牡丹江分局局直', 'mudanjiangfenjujuzhi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382502', '230382', '230382502', '八五五农场', 'bawuwunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382503', '230382', '230382503', '八五七农场', 'bawuqinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382504', '230382', '230382504', '八五一一农场', 'bawuyiyinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230382505', '230382', '230382505', '兴凯湖农场', 'xingkaihunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2304', '23', '2304', '鹤岗市', 'hegangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230401', '2304', '230401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230402', '2304', '230402', '向阳区', 'xiangyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230402001', '230402', '230402001', '北山街道', 'beishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230402002', '230402', '230402002', '红军街道', 'hongjunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230402003', '230402', '230402003', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230402004', '230402', '230402004', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230402005', '230402', '230402005', '南翼街道', 'nanyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230403', '2304', '230403', '工农区', 'gongnongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230403001', '230403', '230403001', '育才街道', 'yucaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230403002', '230403', '230403002', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230403003', '230403', '230403003', '新南街道', 'xinnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230403004', '230403', '230403004', '湖滨街道', 'hubinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230403005', '230403', '230403005', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230403006', '230403', '230403006', '团结街道', 'tuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230404', '2304', '230404', '南山区', 'nanshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230404001', '230404', '230404001', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230404002', '230404', '230404002', '铁东街道', 'tiedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230404003', '230404', '230404003', '六号街道', 'liuhaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230404004', '230404', '230404004', '大陆街道', 'dalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230404005', '230404', '230404005', '富力街道', 'fulijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230404006', '230404', '230404006', '麓林山街道', 'lulinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230405', '2304', '230405', '兴安区', 'xinganqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230405001', '230405', '230405001', '兴安路街道', 'xinganlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230405002', '230405', '230405002', '兴建路街道', 'xingjianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230405003', '230405', '230405003', '兴长路街道', 'xingzhanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230405004', '230405', '230405004', '峻德路街道', 'jundelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230405005', '230405', '230405005', '河东路街道', 'hedonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230406', '2304', '230406', '东山区', 'dongshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230406001', '230406', '230406001', '工人村街道', 'gongrencunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230406002', '230406', '230406002', '新一街道', 'xinyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230406003', '230406', '230406003', '三街街道', 'sanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230406004', '230406', '230406004', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230406100', '230406', '230406100', '新华镇', 'xinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230406200', '230406', '230406200', '红旗乡', 'hongqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230406201', '230406', '230406201', '蔬园乡', 'shuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230406202', '230406', '230406202', '东方红乡', 'dongfanghongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230406400', '230406', '230406400', '鹤岗市林业局', 'hegangshilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230406500', '230406', '230406500', '新华农场', 'xinhuanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230407', '2304', '230407', '兴山区', 'xingshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230407001', '230407', '230407001', '岭北街道', 'lingbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230407002', '230407', '230407002', '岭南街道', 'lingnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230407003', '230407', '230407003', '沟北街道', 'goubeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230407004', '230407', '230407004', '沟南街道', 'gounanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421', '2304', '230421', '萝北县', 'luobeixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421100', '230421', '230421100', '凤翔镇', 'fengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421101', '230421', '230421101', '鹤北镇', 'hebeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421102', '230421', '230421102', '名山镇', 'mingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421103', '230421', '230421103', '团结镇', 'tuanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421104', '230421', '230421104', '肇兴镇', 'zhaoxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421200', '230421', '230421200', '东明朝鲜族乡', 'dongmingchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421203', '230421', '230421203', '太平沟乡', 'taipinggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421204', '230421', '230421204', '环山乡', 'huanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421401', '230421', '230421401', '鹤北林业局', 'hebeilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421500', '230421', '230421500', '宝泉岭分局局直', 'baoquanlingfenjujuzhi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421501', '230421', '230421501', '江滨农场', 'jiangbinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421502', '230421', '230421502', '军川农场', 'junchuannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421503', '230421', '230421503', '名山农场', 'mingshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421504', '230421', '230421504', '延军农场', 'yanjunnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421505', '230421', '230421505', '共青农场', 'gongqingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230421506', '230421', '230421506', '宝泉岭农场', 'baoquanlingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422', '2304', '230422', '绥滨县', 'suibinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422100', '230422', '230422100', '绥滨镇', 'suibinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422101', '230422', '230422101', '绥东镇', 'suidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422102', '230422', '230422102', '忠仁镇', 'zhongrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422200', '230422', '230422200', '连生乡', 'lianshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422201', '230422', '230422201', '北岗乡', 'beigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422202', '230422', '230422202', '富强乡', 'fuqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422203', '230422', '230422203', '北山乡', 'beishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422204', '230422', '230422204', '福兴乡', 'fuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422205', '230422', '230422205', '新富乡', 'xinfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422500', '230422', '230422500', '二九0农场', 'erjiu0nongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422501', '230422', '230422501', '绥滨农场', 'suibinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230422503', '230422', '230422503', '普阳农场', 'puyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2305', '23', '2305', '双鸭山市', 'shuangyashanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230501', '2305', '230501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230502', '2305', '230502', '尖山区', 'jianshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230502001', '230502', '230502001', '二马路街道', 'ermalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230502002', '230502', '230502002', '八马路街道', 'bamalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230502003', '230502', '230502003', '中心站街道', 'zhongxinzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230502004', '230502', '230502004', '富安街道', 'fuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230502005', '230502', '230502005', '窑地街道', 'yaodijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230502006', '230502', '230502006', '长安街道', 'zhanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230502007', '230502', '230502007', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230502200', '230502', '230502200', '安邦乡', 'anbangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230503', '2305', '230503', '岭东区', 'lingdongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230503001', '230503', '230503001', '中山街道', 'zhongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230503002', '230503', '230503002', '北山街道', 'beishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230503003', '230503', '230503003', '南山街道', 'nanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230503004', '230503', '230503004', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230503005', '230503', '230503005', '中心街道', 'zhongxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230503006', '230503', '230503006', '西山街道', 'xishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230503200', '230503', '230503200', '长胜乡', 'zhangshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230503400', '230503', '230503400', '岭东区青山旅游公司', 'lingdongquqingshanlu:yougongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230503401', '230503', '230503401', '岭东区岭东经营所', 'lingdongqulingdongjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230505', '2305', '230505', '四方台区', 'sifangtaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230505001', '230505', '230505001', '振兴中路街道', 'zhenxingzhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230505002', '230505', '230505002', '振兴东路街道', 'zhenxingdonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230505004', '230505', '230505004', '集贤街道', 'jixianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230505005', '230505', '230505005', '东荣街道', 'dongrongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230505101', '230505', '230505101', '太保镇', 'taibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506', '2305', '230506', '宝山区', 'baoshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506001', '230506', '230506001', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506002', '230506', '230506002', '跃进街道', 'yuejinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506003', '230506', '230506003', '东保卫街道', 'dongbaoweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506004', '230506', '230506004', '七星街道', 'qixingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506005', '230506', '230506005', '双阳街道', 'shuangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506006', '230506', '230506006', '新安街道', 'xinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506007', '230506', '230506007', '电厂街道', 'dianchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506101', '230506', '230506101', '七星镇', 'qixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506401', '230506', '230506401', '双鸭山林业局宝山经营所', 'shuangyashanlinyejubaoshanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506402', '230506', '230506402', '双鸭山林业局大叶沟林场', 'shuangyashanlinyejudayegoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230506500', '230506', '230506500', '双鸭山农场', 'shuangyashannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521', '2305', '230521', '集贤县', 'jixianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521100', '230521', '230521100', '福利镇', 'fulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521101', '230521', '230521101', '集贤镇', 'jixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521102', '230521', '230521102', '升昌镇', 'shengchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521103', '230521', '230521103', '丰乐镇', 'fenglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521104', '230521', '230521104', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521201', '230521', '230521201', '腰屯乡', 'yaotunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521202', '230521', '230521202', '兴安乡', 'xinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521204', '230521', '230521204', '永安乡', 'yonganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521401', '230521', '230521401', '太平林场', 'taipinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521402', '230521', '230521402', '丰乐林场', 'fenglelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521403', '230521', '230521403', '七星林场', 'qixinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521404', '230521', '230521404', '峻山林场', 'junshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521405', '230521', '230521405', '爱林林场', 'ailinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521406', '230521', '230521406', '腰屯林场', 'yaotunlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521407', '230521', '230521407', '升平煤矿', 'shengpingmeikuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521500', '230521', '230521500', '二九一农场', 'erjiuyinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521501', '230521', '230521501', '良种场', 'liangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521502', '230521', '230521502', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521503', '230521', '230521503', '果树示范场', 'guoshushifanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230521580', '230521', '230521580', '黑龙江省笔架山监狱', 'heilongjiangshengbijiashanjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522', '2305', '230522', '友谊县', 'youyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522100', '230522', '230522100', '友谊镇', 'youyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522101', '230522', '230522101', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522102', '230522', '230522102', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522103', '230522', '230522103', '凤岗镇', 'fenggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522200', '230522', '230522200', '兴盛乡', 'xingshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522201', '230522', '230522201', '东建乡', 'dongjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522202', '230522', '230522202', '庆丰乡', 'qingfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522203', '230522', '230522203', '建设乡', 'jianshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522204', '230522', '230522204', '友邻乡', 'youlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522205', '230522', '230522205', '新镇乡', 'xinzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522206', '230522', '230522206', '成富朝鲜族满族乡', 'chengfuchaoxianzumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522501', '230522', '230522501', '红兴隆分局局直', 'hongxinglongfenjujuzhi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230522502', '230522', '230522502', '友谊农场', 'youyinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523', '2305', '230523', '宝清县', 'baoqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523100', '230523', '230523100', '宝清镇', 'baoqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523101', '230523', '230523101', '七星泡镇', 'qixingpaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523102', '230523', '230523102', '青原镇', 'qingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523103', '230523', '230523103', '夹信子镇', 'jiaxinzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523104', '230523', '230523104', '龙头镇', 'longtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523105', '230523', '230523105', '小城子镇', 'xiaochengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523202', '230523', '230523202', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523203', '230523', '230523203', '万金山乡', 'wanjinshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523204', '230523', '230523204', '尖山子乡', 'jianshanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523209', '230523', '230523209', '七星河乡', 'qixinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523400', '230523', '230523400', '双鸭山林业局上游经营所', 'shuangyashanlinyejushangyoujingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523401', '230523', '230523401', '双鸭山林业局南瓮泉经营所', 'shuangyashanlinyejunanwengquanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523402', '230523', '230523402', '双鸭山林业局七一林场', 'shuangyashanlinyejuqiyilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523403', '230523', '230523403', '双鸭山林业局七星河林场', 'shuangyashanlinyejuqixinghelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523404', '230523', '230523404', '双鸭山林业局红旗林场', 'shuangyashanlinyejuhongqilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523405', '230523', '230523405', '双鸭山林业局三岔河林场', 'shuangyashanlinyejusanchahelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523406', '230523', '230523406', '双鸭山林业局青龙林场', 'shuangyashanlinyejuqinglonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523407', '230523', '230523407', '双鸭山林业局宝石经营所', 'shuangyashanlinyejubaoshijingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523408', '230523', '230523408', '双鸭山林业局七星河金矿', 'shuangyashanlinyejuqixinghejinkuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523500', '230523', '230523500', '五九七农场', 'wujiuqinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523501', '230523', '230523501', '八五二农场', 'bawuernongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230523502', '230523', '230523502', '八五三农场', 'bawusannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524', '2305', '230524', '饶河县', 'raohexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524100', '230524', '230524100', '饶河镇', 'raohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524101', '230524', '230524101', '小佳河镇', 'xiaojiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524102', '230524', '230524102', '西丰镇', 'xifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524103', '230524', '230524103', '五林洞镇', 'wulindongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524200', '230524', '230524200', '西林子乡', 'xilinzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524201', '230524', '230524201', '四排乡', 'sipaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524203', '230524', '230524203', '大佳河乡', 'dajiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524204', '230524', '230524204', '山里乡', 'shanlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524207', '230524', '230524207', '大通河乡', 'datonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524400', '230524', '230524400', '小佳河林场', 'xiaojiahelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524401', '230524', '230524401', '威山林场', 'weishanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524402', '230524', '230524402', '西丰林场', 'xifenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524403', '230524', '230524403', '大牙克林场', 'dayakelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524404', '230524', '230524404', '石场林场', 'shichanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524405', '230524', '230524405', '宝马山林场', 'baomashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524406', '230524', '230524406', '大岱林场', 'dadailinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524407', '230524', '230524407', '永幸林场', 'yongxinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524408', '230524', '230524408', '奇源林场', 'qiyuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524409', '230524', '230524409', '芦源林场', 'luyuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524410', '230524', '230524410', '五林洞林场', 'wulindonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524500', '230524', '230524500', '饶河农场', 'raohenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524501', '230524', '230524501', '红旗岭农场', 'hongqilingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524502', '230524', '230524502', '八五九农场', 'bawujiunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524503', '230524', '230524503', '胜利农场', 'shenglinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230524504', '230524', '230524504', '红卫农场', 'hongweinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2306', '23', '2306', '大庆市', 'daqingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230601', '2306', '230601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230602', '2306', '230602', '萨尔图区', 'saertuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230602001', '230602', '230602001', '萨尔图街道', 'saertujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230602005', '230602', '230602005', '铁人街道', 'tierenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230602006', '230602', '230602006', '友谊街道', 'youyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230602007', '230602', '230602007', '富强街道', 'fuqiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230602008', '230602', '230602008', '拥军街道', 'yongjunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230602009', '230602', '230602009', '会战街道', 'huizhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230602010', '230602', '230602010', '火炬街道', 'huojujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230602011', '230602', '230602011', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230602012', '230602', '230602012', '东安街道', 'donganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230603', '2306', '230603', '龙凤区', 'longfengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230603001', '230603', '230603001', '龙凤街道', 'longfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230603002', '230603', '230603002', '兴化街道', 'xinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230603007', '230603', '230603007', '卧里屯街道', 'wolitunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230603008', '230603', '230603008', '东光街道', 'dongguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230603009', '230603', '230603009', '三永街道', 'sanyongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230603010', '230603', '230603010', '开发区黎明街道', 'kaifaqulimingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230603100', '230603', '230603100', '龙凤镇', 'longfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230603580', '230603', '230603580', '高新区农场', 'gaoxinqunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230604', '2306', '230604', '让胡路区', 'ranghuluqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230604001', '230604', '230604001', '龙岗街道', 'longgangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230604002', '230604', '230604002', '银浪街道', 'yinlangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230604004', '230604', '230604004', '奋斗街道', 'fendoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230604005', '230604', '230604005', '庆新街道', 'qingxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230604007', '230604', '230604007', '西宾街道', 'xibinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230604009', '230604', '230604009', '乘风街道', 'chengfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230604101', '230604', '230604101', '喇嘛甸镇', 'lamadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230604580', '230604', '230604580', '红骥牧场', 'hongjimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230604581', '230604', '230604581', '星火牧场', 'xinghuomuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230604582', '230604', '230604582', '银浪牧场', 'yinlangmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230605', '2306', '230605', '红岗区', 'honggangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230605001', '230605', '230605001', '红岗街道', 'honggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230605004', '230605', '230605004', '八百垧街道', 'babaishangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230605005', '230605', '230605005', '杏南街道', 'xingnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230605006', '230605', '230605006', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230605007', '230605', '230605007', '创业街道', 'chuangyejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230605100', '230605', '230605100', '杏树岗镇', 'xingshugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606', '2306', '230606', '大同区', 'datongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606001', '230606', '230606001', '庆葡街道', 'qingpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606002', '230606', '230606002', '高台子镇街道', 'gaotaizizhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606004', '230606', '230606004', '林源镇街道', 'linyuanzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606005', '230606', '230606005', '立志街道', 'lizhijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606006', '230606', '230606006', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606007', '230606', '230606007', '大同镇街道', 'datongzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606100', '230606', '230606100', '大同镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606101', '230606', '230606101', '高台子镇', 'gaotaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606102', '230606', '230606102', '太阳升镇', 'taiyangshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606103', '230606', '230606103', '林源镇', 'linyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606200', '230606', '230606200', '祝三乡', 'zhusanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606203', '230606', '230606203', '老山头乡', 'laoshantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606205', '230606', '230606205', '八井子乡', 'bajingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606206', '230606', '230606206', '双榆树乡', 'shuangyushuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230606500', '230606', '230606500', '和平牧场', 'hepingmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621', '2306', '230621', '肇州县', 'zhaozhouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621100', '230621', '230621100', '肇州镇', 'zhaozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621101', '230621', '230621101', '永乐镇', 'yonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621102', '230621', '230621102', '丰乐镇', 'fenglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621103', '230621', '230621103', '朝阳沟镇', 'chaoyanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621104', '230621', '230621104', '兴城镇', 'xingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621105', '230621', '230621105', '二井镇', 'erjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621202', '230621', '230621202', '双发乡', 'shuangfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621203', '230621', '230621203', '托古乡', 'tuoguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621205', '230621', '230621205', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621206', '230621', '230621206', '永胜乡', 'yongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621208', '230621', '230621208', '榆树乡', 'yushuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621211', '230621', '230621211', '新福乡', 'xinfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621580', '230621', '230621580', '乐园良种场', 'leyuanliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230621581', '230621', '230621581', '卫星种畜场', 'weixingzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622', '2306', '230622', '肇源县', 'zhaoyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622100', '230622', '230622100', '肇源镇', 'zhaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622101', '230622', '230622101', '三站镇', 'sanzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622102', '230622', '230622102', '二站镇', 'erzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622103', '230622', '230622103', '茂兴镇', 'maoxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622104', '230622', '230622104', '古龙镇', 'gulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622105', '230622', '230622105', '新站镇', 'xinzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622106', '230622', '230622106', '头台镇', 'toutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622200', '230622', '230622200', '福兴乡', 'fuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622201', '230622', '230622201', '薄荷台乡', 'bohetaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622203', '230622', '230622203', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622206', '230622', '230622206', '古恰乡', 'guqiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622207', '230622', '230622207', '超等乡', 'chaodengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622208', '230622', '230622208', '民意乡', 'minyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622210', '230622', '230622210', '义顺乡', 'yishunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622211', '230622', '230622211', '浩德乡', 'haodexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622212', '230622', '230622212', '大兴乡', 'daxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622500', '230622', '230622500', '肇源农场', 'zhaoyuannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622581', '230622', '230622581', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622582', '230622', '230622582', '茂兴湖渔场', 'maoxinghuyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622583', '230622', '230622583', '新立良种繁育场', 'xinliliangzhongfanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622584', '230622', '230622584', '立陡山良种场', 'lidoushanliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622585', '230622', '230622585', '八家河渔场', 'bajiaheyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622586', '230622', '230622586', '果树示范场', 'guoshushifanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230622587', '230622', '230622587', '经济作物示范场', 'jingjizuowushifanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623', '2306', '230623', '林甸县', 'lindianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623100', '230623', '230623100', '林甸镇', 'lindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623101', '230623', '230623101', '红旗镇', 'hongqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623200', '230623', '230623200', '东兴乡', 'dongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623201', '230623', '230623201', '宏伟乡', 'hongweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623202', '230623', '230623202', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623203', '230623', '230623203', '花园乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623204', '230623', '230623204', '四合乡', 'sihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623205', '230623', '230623205', '黎明乡', 'limingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623400', '230623', '230623400', '林甸县长青林场', 'lindianxianzhangqinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623500', '230623', '230623500', '巨浪牧场', 'julangmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623581', '230623', '230623581', '黑龙江省林甸县国营苇场', 'heilongjiangshenglindianxianguoyingweichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230623582', '230623', '230623582', '林甸县新兴马场', 'lindianxianxinxingmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624', '2306', '230624', '杜尔伯特县', 'duerbotexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624100', '230624', '230624100', '泰康镇', 'taikangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624101', '230624', '230624101', '胡吉吐莫镇', 'hujitumozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624102', '230624', '230624102', '烟筒屯镇', 'yantongtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624103', '230624', '230624103', '他拉哈镇', 'talahazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624200', '230624', '230624200', '一心乡', 'yixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624201', '230624', '230624201', '克尔台乡', 'keertaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624202', '230624', '230624202', '白音诺勒乡', 'baiyinnuolexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624203', '230624', '230624203', '敖林西伯乡', 'aolinxiboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624204', '230624', '230624204', '巴彦查干乡', 'bayanchaganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624205', '230624', '230624205', '腰新乡', 'yaoxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624206', '230624', '230624206', '江湾乡', 'jiangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624500', '230624', '230624500', '绿色草原牧场', 'lu:secaoyuanmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624581', '230624', '230624581', '黑龙江省大山种羊场', 'heilongjiangshengdashanzhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624582', '230624', '230624582', '靠山种畜场', 'kaoshanzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624583', '230624', '230624583', '对山奶牛场', 'duishannainiuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624584', '230624', '230624584', '红旗种畜场', 'hongqizhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624585', '230624', '230624585', '连环湖渔业有限公司', 'lianhuanhuyuyeyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624586', '230624', '230624586', '石人沟渔业有限公司', 'shirengouyuyeyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624587', '230624', '230624587', '齐家泡渔业有限公司', 'qijiapaoyuyeyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624588', '230624', '230624588', '四家子林场', 'sijiazilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624589', '230624', '230624589', '新店林场', 'xindianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624590', '230624', '230624590', '野生饲养场', 'yeshengsiyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624591', '230624', '230624591', '第一良种场', 'diyiliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624592', '230624', '230624592', '一心苗圃', 'yixinmiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230624593', '230624', '230624593', '一心果树场', 'yixinguoshuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2307', '23', '2307', '伊春市', 'yichunshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230701', '2307', '230701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230702', '2307', '230702', '伊春区', 'yichunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230702001', '230702', '230702001', '旭日街道', 'xurijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230702004', '230702', '230702004', '红升街道', 'hongshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230702006', '230702', '230702006', '前进街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230702007', '230702', '230702007', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230702008', '230702', '230702008', '东升街道', 'dongshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703', '2307', '230703', '南岔区', 'nanchaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703002', '230703', '230703002', '西水街道', 'xishuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703004', '230703', '230703004', '联合街道', 'lianhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703005', '230703', '230703005', '东升街道', 'dongshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703101', '230703', '230703101', '晨明镇', 'chenmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703102', '230703', '230703102', '浩良河镇', 'haolianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703200', '230703', '230703200', '迎春乡', 'yingchunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703400', '230703', '230703400', '三岔河林场', 'sanchahelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703401', '230703', '230703401', '四合营林场', 'siheyinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703402', '230703', '230703402', '亮子河林场', 'liangzihelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703403', '230703', '230703403', '石头河林场', 'shitouhelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703405', '230703', '230703405', '岩石经营所', 'yanshijingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703406', '230703', '230703406', '奋斗经营所', 'fendoujingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703407', '230703', '230703407', '桦阳经营所', 'huayangjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703408', '230703', '230703408', '浩良河经营所', 'haolianghejingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703409', '230703', '230703409', '太平经营所', 'taipingjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703410', '230703', '230703410', '南岔经营所', 'nanchajingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703411', '230703', '230703411', '威岭经营所', 'weilingjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703413', '230703', '230703413', '松青经营所', 'songqingjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230703414', '230703', '230703414', '柳树经营所', 'liushujingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704', '2307', '230704', '友好区', 'youhaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704001', '230704', '230704001', '友好街道', 'youhaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704003', '230704', '230704003', '双子河街道', 'shuangzihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704004', '230704', '230704004', '铁林街道', 'tielinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704400', '230704', '230704400', '三合经营所', 'sanhejingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704401', '230704', '230704401', '松园林场', 'songyuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704402', '230704', '230704402', '中心经营所', 'zhongxinjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704403', '230704', '230704403', '永青经营所', 'yongqingjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704404', '230704', '230704404', '碧云经营所', 'biyunjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704405', '230704', '230704405', '友谊经营所', 'youyijingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704406', '230704', '230704406', '青杨经营所', 'qingyangjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704407', '230704', '230704407', '岭峰林场', 'lingfenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704408', '230704', '230704408', '奋斗林场', 'fendoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704409', '230704', '230704409', '东卡林场', 'dongkalinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704410', '230704', '230704410', '鸡爪河林场', 'jizhuahelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704411', '230704', '230704411', '绿源林场', 'lu:yuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704412', '230704', '230704412', '广川经营所', 'guangchuanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230704413', '230704', '230704413', '朝阳经营所', 'chaoyangjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230705', '2307', '230705', '西林区', 'xilinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230705001', '230705', '230705001', '西林街道', 'xilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230705003', '230705', '230705003', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230705005', '230705', '230705005', '苔青街道', 'taiqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230706', '2307', '230706', '翠峦区', 'cuiluanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230706001', '230706', '230706001', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230706002', '230706', '230706002', '曙光街道', 'shuguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230706400', '230706', '230706400', '解放经营所', 'jiefangjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230706401', '230706', '230706401', '昆仑气林场', 'kunlunqilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230706402', '230706', '230706402', '开源河林场', 'kaiyuanhelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230706403', '230706', '230706403', '么河经营所', 'mehejingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230706404', '230706', '230706404', '冲锋经营所', 'chongfengjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230706405', '230706', '230706405', '翠峦河经营所', 'cuiluanhejingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230706406', '230706', '230706406', '抚育河经营所', 'fuyuhejingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230706407', '230706', '230706407', '尖山河经营所', 'jianshanhejingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707', '2307', '230707', '新青区', 'xinqingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707001', '230707', '230707001', '新青街道', 'xinqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707003', '230707', '230707003', '兴安街道', 'xinganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707400', '230707', '230707400', '红林经营所', 'honglinjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707401', '230707', '230707401', '松林林场', 'songlinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707402', '230707', '230707402', '泉林林场', 'quanlinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707404', '230707', '230707404', '水源林场', 'shuiyuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707405', '230707', '230707405', '笑山林场', 'xiaoshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707406', '230707', '230707406', '汤林林场', 'tanglinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707407', '230707', '230707407', '桦林经营所', 'hualinjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707408', '230707', '230707408', '青林林场', 'qinglinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707409', '230707', '230707409', '结源林场', 'jieyuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707410', '230707', '230707410', '北沟林场', 'beigoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707411', '230707', '230707411', '南沟林场', 'nangoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707412', '230707', '230707412', '乌拉嘎经营所', 'wulagajingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707413', '230707', '230707413', '柳树河林场', 'liushuhelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230707414', '230707', '230707414', '北影林场', 'beiyinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708', '2307', '230708', '美溪区', 'meixiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708001', '230708', '230708001', '美溪街道', 'meixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708400', '230708', '230708400', '大西林林场', 'daxilinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708401', '230708', '230708401', '五道库经营所', 'wudaokujingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708402', '230708', '230708402', '缓岭经营所', 'huanlingjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708403', '230708', '230708403', '对青山经营所', 'duiqingshanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708404', '230708', '230708404', '群峦经营所', 'qunluanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708405', '230708', '230708405', '兰新经营所', 'lanxinjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708406', '230708', '230708406', '顺利河林场', 'shunlihelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708407', '230708', '230708407', '松岭经营所', 'songlingjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708408', '230708', '230708408', '青山口林场', 'qingshankoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708409', '230708', '230708409', '金沙河林场', 'jinshahelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708410', '230708', '230708410', '桦皮羌子林场', 'huapiqiangzilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708411', '230708', '230708411', '碧仓库林场', 'bicangkulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708412', '230708', '230708412', '三股流经营所', 'sanguliujingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230708413', '230708', '230708413', '卧龙河林场', 'wolonghelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709', '2307', '230709', '金山屯区', 'jinshantunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709002', '230709', '230709002', '奋斗街道', 'fendoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709003', '230709', '230709003', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709401', '230709', '230709401', '白山林场', 'baishanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709402', '230709', '230709402', '丰岭林场', 'fenglinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709403', '230709', '230709403', '丰林林场', 'fenglinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709404', '230709', '230709404', '丰沟经营所', 'fenggoujingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709405', '230709', '230709405', '丰茂林场', 'fengmaolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709406', '230709', '230709406', '横山经营所', 'hengshanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709407', '230709', '230709407', '丰丽林场', 'fenglilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709408', '230709', '230709408', '大昆仑经营所', 'dakunlunjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709409', '230709', '230709409', '小昆仑林场', 'xiaokunlunlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230709410', '230709', '230709410', '育林经营所', 'yulinjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230710', '2307', '230710', '五营区', 'wuyingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230710001', '230710', '230710001', '五营街道', 'wuyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230710011', '230710', '230710011', '五星街道', 'wuxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230710400', '230710', '230710400', '翠北林场', 'cuibeilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230710401', '230710', '230710401', '前丰林场', 'qianfenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230710402', '230710', '230710402', '永丰经营所', 'yongfengjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230710403', '230710', '230710403', '平原经营所', 'pingyuanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230710404', '230710', '230710404', '丽丰经营所', 'lifengjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230710405', '230710', '230710405', '杨树河经营所', 'yangshuhejingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230710406', '230710', '230710406', '平山经营所', 'pingshanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230710407', '230710', '230710407', '丽林经营所', 'lilinjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711', '2307', '230711', '乌马河区', 'wumahequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711001', '230711', '230711001', '乌马河街道', 'wumahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711400', '230711', '230711400', '伊敏林场', 'yiminlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711401', '230711', '230711401', '伊东经营所', 'yidongjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711402', '230711', '230711402', '东方红经营所', 'dongfanghongjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711403', '230711', '230711403', '翠岭经营所', 'cuilingjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711404', '230711', '230711404', '河北经营所', 'hebeijingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711405', '230711', '230711405', '青山林场', 'qingshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711406', '230711', '230711406', '育苗经营所', 'yumiaojingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711407', '230711', '230711407', '安全经营所', 'anquanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711408', '230711', '230711408', '伊青经营所', 'yiqingjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711409', '230711', '230711409', '前进经营所', 'qianjinjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711410', '230711', '230711410', '西岭林场', 'xilinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230711411', '230711', '230711411', '伊林经营所', 'yilinjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712', '2307', '230712', '汤旺河区', 'tangwanghequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712001', '230712', '230712001', '河南街道', 'henanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712002', '230712', '230712002', '河北街道', 'hebeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712400', '230712', '230712400', '日新林场', 'rixinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712401', '230712', '230712401', '石林林场', 'shilinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712402', '230712', '230712402', '东升林场', 'dongshenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712403', '230712', '230712403', '二龙山林场', 'erlongshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712404', '230712', '230712404', '高峰林场', 'gaofenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712405', '230712', '230712405', '二清河林场', 'erqinghelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712406', '230712', '230712406', '守虎山林场', 'shouhushanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712407', '230712', '230712407', '泉石林场', 'quanshilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712408', '230712', '230712408', '峻岭林场', 'junlinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712409', '230712', '230712409', '育林经营所', 'yulinjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712410', '230712', '230712410', '团结经营所', 'tuanjiejingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712411', '230712', '230712411', '磨石山经营所', 'moshishanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712412', '230712', '230712412', '中心苗卜', 'zhongxinmiaobu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230712413', '230712', '230712413', '克林经营所', 'kelinjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713', '2307', '230713', '带岭区', 'dailingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713001', '230713', '230713001', '带岭街道', 'dailingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713400', '230713', '230713400', '大青川林场', 'daqingchuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713401', '230713', '230713401', '东方红林场', 'dongfanghonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713402', '230713', '230713402', '秀水林场', 'xiushuilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713403', '230713', '230713403', '永翠林场', 'yongcuilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713404', '230713', '230713404', '明月林场', 'mingyuelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713405', '230713', '230713405', '红光林场', 'hongguanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713406', '230713', '230713406', '碧水林场', 'bishuilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713407', '230713', '230713407', '北列林场', 'beilielinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713408', '230713', '230713408', '南列林场', 'nanlielinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713409', '230713', '230713409', '寒月林场', 'hanyuelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230713410', '230713', '230713410', '环山林场', 'huanshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714', '2307', '230714', '乌伊岭区', 'wuyilingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714001', '230714', '230714001', '乌伊岭街道', 'wuyilingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714400', '230714', '230714400', '上游林场', 'shangyoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714401', '230714', '230714401', '美峰林场', 'meifenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714402', '230714', '230714402', '翠峰林场', 'cuifenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714403', '230714', '230714403', '建新林场', 'jianxinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714404', '230714', '230714404', '移山林场', 'yishanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714405', '230714', '230714405', '林海林场', 'linhailinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714406', '230714', '230714406', '桔源林场', 'jieyuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714407', '230714', '230714407', '东克林林场', 'dongkelinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714408', '230714', '230714408', '福民林场', 'fuminlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714409', '230714', '230714409', '阿廷河林场', 'atinghelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714410', '230714', '230714410', '永胜经营所', 'yongshengjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230714411', '230714', '230714411', '前卫林场', 'qianweilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715', '2307', '230715', '红星区', 'hongxingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715001', '230715', '230715001', '红星街道', 'hongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715400', '230715', '230715400', '清水河经营所', 'qingshuihejingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715401', '230715', '230715401', '五星河经营所', 'wuxinghejingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715402', '230715', '230715402', '汤洪岭林场', 'tanghonglinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715403', '230715', '230715403', '汤北林场', 'tangbeilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715404', '230715', '230715404', '霍吉河林场', 'huojihelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715405', '230715', '230715405', '二杨经营所', 'eryangjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715406', '230715', '230715406', '三杨林场', 'sanyanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715407', '230715', '230715407', '汤南林场', 'tangnanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715408', '230715', '230715408', '共青经营所', 'gongqingjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715409', '230715', '230715409', '库斯特林场', 'kusitelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230715410', '230715', '230715410', '二皮河经营所', 'erpihejingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716', '2307', '230716', '上甘岭区', 'shangganlingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716001', '230716', '230716001', '红山街道', 'hongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716400', '230716', '230716400', '山峰林场', 'shanfenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716401', '230716', '230716401', '阳光林场', 'yangguanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716402', '230716', '230716402', '新风林场', 'xinfenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716403', '230716', '230716403', '卫国林场', 'weiguolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716404', '230716', '230716404', '查山经营所', 'chashanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716405', '230716', '230716405', '长青经营所', 'zhangqingjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716406', '230716', '230716406', '青山农场', 'qingshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716407', '230716', '230716407', '溪水经营所', 'xishuijingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716408', '230716', '230716408', '蔚兰经营所', 'yulanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716409', '230716', '230716409', '永绪经营所', 'yongxujingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716410', '230716', '230716410', '美林经营所', 'meilinjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230716411', '230716', '230716411', '红山经营所', 'hongshanjingyingsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722', '2307', '230722', '嘉荫县', 'jiayinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722100', '230722', '230722100', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722101', '230722', '230722101', '乌云镇', 'wuyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722102', '230722', '230722102', '乌拉嘎镇', 'wulagazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722200', '230722', '230722200', '常胜乡', 'changshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722201', '230722', '230722201', '向阳乡', 'xiangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722202', '230722', '230722202', '沪嘉乡', 'hujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722203', '230722', '230722203', '红光乡', 'hongguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722204', '230722', '230722204', '保兴乡', 'baoxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722205', '230722', '230722205', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722400', '230722', '230722400', '太平林场', 'taipinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722401', '230722', '230722401', '红旗林场', 'hongqilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722402', '230722', '230722402', '清河林场', 'qinghelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722403', '230722', '230722403', '连江林场', 'lianjianglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722404', '230722', '230722404', '马连林场', 'malianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230722500', '230722', '230722500', '嘉荫农场', 'jiayinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781', '2307', '230781', '铁力市', 'tielishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781100', '230781', '230781100', '铁力镇', 'tielizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781101', '230781', '230781101', '双丰镇', 'shuangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781102', '230781', '230781102', '桃山镇', 'taoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781104', '230781', '230781104', '朗乡镇', 'langxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781200', '230781', '230781200', '年丰乡', 'nianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781201', '230781', '230781201', '工农乡', 'gongnongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781202', '230781', '230781202', '王杨乡', 'wangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781400', '230781', '230781400', '铁力林业局', 'tielilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781401', '230781', '230781401', '双丰林业局', 'shuangfenglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781402', '230781', '230781402', '桃山林业局', 'taoshanlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781403', '230781', '230781403', '朗乡林业局', 'langxianglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230781500', '230781', '230781500', '铁力农场', 'tielinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2308', '23', '2308', '佳木斯市', 'jiamusishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230801', '2308', '230801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230803', '2308', '230803', '向阳区', 'xiangyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230803001', '230803', '230803001', '西林街道', 'xilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230803002', '230803', '230803002', '保卫街道', 'baoweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230803003', '230803', '230803003', '桥南街道', 'qiaonanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230803004', '230803', '230803004', '西南岗街道', 'xinangangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230803005', '230803', '230803005', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230803006', '230803', '230803006', '长安街道', 'zhanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230803198', '230803', '230803198', '向阳区直辖地域', 'xiangyangquzhixiadiyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230804', '2308', '230804', '前进区', 'qianjinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230804001', '230804', '230804001', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230804002', '230804', '230804002', '永安街道', 'yonganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230804003', '230804', '230804003', '奋斗街道', 'fendoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230804004', '230804', '230804004', '南岗街道', 'nangangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230804005', '230804', '230804005', '亮子河街道', 'liangzihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230804006', '230804', '230804006', '田园街道', 'tianyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230805', '2308', '230805', '东风区', 'dongfengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230805001', '230805', '230805001', '晓云街道', 'xiaoyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230805002', '230805', '230805002', '佳东街道', 'jiadongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230805003', '230805', '230805003', '造纸街道', 'zaozhijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230805004', '230805', '230805004', '佳南街道', 'jiananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230805005', '230805', '230805005', '建国街道', 'jianguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230805200', '230805', '230805200', '松江乡', 'songjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230805201', '230805', '230805201', '建国乡', 'jianguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811', '2308', '230811', '郊区', 'jiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811001', '230811', '230811001', '佳西街道', 'jiaxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811002', '230811', '230811002', '友谊街道', 'youyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811101', '230811', '230811101', '大来镇', 'dalaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811102', '230811', '230811102', '敖其镇', 'aoqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811103', '230811', '230811103', '望江镇', 'wangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811104', '230811', '230811104', '长发镇', 'zhangfazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811105', '230811', '230811105', '莲江口镇', 'lianjiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811200', '230811', '230811200', '长青乡', 'zhangqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811201', '230811', '230811201', '沿江乡', 'yanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811202', '230811', '230811202', '西格木乡', 'xigemuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811208', '230811', '230811208', '平安乡', 'pinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811210', '230811', '230811210', '四丰乡', 'sifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811211', '230811', '230811211', '群胜乡', 'qunshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230811580', '230811', '230811580', '莲江口监狱', 'lianjiangkoujianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822', '2308', '230822', '桦南县', 'huananxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822103', '230822', '230822103', '驼腰子镇', 'tuoyaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822104', '230822', '230822104', '石头河子镇', 'shitouhezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822106', '230822', '230822106', '桦南镇', 'huananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822107', '230822', '230822107', '土龙山镇', 'tulongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822108', '230822', '230822108', '孟家岗镇', 'mengjiagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822109', '230822', '230822109', '闫家镇', 'yanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822205', '230822', '230822205', '金沙乡', 'jinshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822213', '230822', '230822213', '梨树乡', 'lishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822214', '230822', '230822214', '明义乡', 'mingyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822215', '230822', '230822215', '大八浪乡', 'dabalangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822400', '230822', '230822400', '桦南林业局', 'huananlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822500', '230822', '230822500', '曙光农场', 'shuguangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230822580', '230822', '230822580', '桦南种畜场', 'huananzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826', '2308', '230826', '桦川县', 'huachuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826101', '230826', '230826101', '横头山镇', 'hengtoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826103', '230826', '230826103', '苏家店镇', 'sujiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826104', '230826', '230826104', '悦来镇', 'yuelaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826105', '230826', '230826105', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826201', '230826', '230826201', '东河乡', 'donghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826202', '230826', '230826202', '梨丰乡', 'lifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826205', '230826', '230826205', '创业乡', 'chuangyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826207', '230826', '230826207', '星火乡', 'xinghuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826208', '230826', '230826208', '四马架乡', 'simajiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826500', '230826', '230826500', '江川农场', 'jiangchuannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230826501', '230826', '230826501', '宝山农场', 'baoshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828', '2308', '230828', '汤原县', 'tangyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828101', '230828', '230828101', '香兰镇', 'xianglanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828102', '230828', '230828102', '鹤立镇', 'helizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828103', '230828', '230828103', '竹帘镇', 'zhulianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828104', '230828', '230828104', '汤原镇', 'tangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828201', '230828', '230828201', '汤旺乡', 'tangwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828203', '230828', '230828203', '胜利乡', 'shenglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828208', '230828', '230828208', '吉祥乡', 'jixiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828209', '230828', '230828209', '振兴乡', 'zhenxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828210', '230828', '230828210', '太平川乡', 'taipingchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828211', '230828', '230828211', '永发乡', 'yongfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828400', '230828', '230828400', '鹤立林业局', 'helilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828401', '230828', '230828401', '香兰监狱', 'xianglanjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828500', '230828', '230828500', '汤原农场', 'tangyuannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230828501', '230828', '230828501', '梧桐河农场', 'wutonghenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833', '2308', '230833', '抚远县', 'fuyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833100', '230833', '230833100', '抚远镇', 'fuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833101', '230833', '230833101', '寒葱沟镇', 'hanconggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833102', '230833', '230833102', '浓桥镇', 'nongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833103', '230833', '230833103', '抓吉镇', 'zhuajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833200', '230833', '230833200', '通江乡', 'tongjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833201', '230833', '230833201', '浓江乡', 'nongjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833202', '230833', '230833202', '海青乡', 'haiqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833203', '230833', '230833203', '别拉洪乡', 'bielahongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833204', '230833', '230833204', '鸭南乡', 'yananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833500', '230833', '230833500', '前哨农场', 'qianshaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833501', '230833', '230833501', '前锋农场', 'qianfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230833502', '230833', '230833502', '二道河农场', 'erdaohenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881', '2308', '230881', '同江市', 'tongjiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881003', '230881', '230881003', '杏林街道', 'xinglinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881004', '230881', '230881004', '和兴街道', 'hexingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881005', '230881', '230881005', '安康街道', 'ankangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881006', '230881', '230881006', '幸福街道', 'xingfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881100', '230881', '230881100', '同江镇', 'tongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881101', '230881', '230881101', '乐业镇', 'leyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881102', '230881', '230881102', '三村镇', 'sancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881103', '230881', '230881103', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881201', '230881', '230881201', '向阳乡', 'xiangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881203', '230881', '230881203', '青河乡', 'qinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881204', '230881', '230881204', '街津口乡', 'jiejinkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881205', '230881', '230881205', '八岔乡', 'bachaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881206', '230881', '230881206', '金川乡', 'jinchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881207', '230881', '230881207', '银川乡', 'yinchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881400', '230881', '230881400', '街津口林场', 'jiejinkoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881401', '230881', '230881401', '鸭北林场', 'yabeilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881500', '230881', '230881500', '勤得利农场', 'qindelinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881501', '230881', '230881501', '青龙山农场', 'qinglongshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881502', '230881', '230881502', '前进农场', 'qianjinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881503', '230881', '230881503', '洪河农场', 'honghenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881504', '230881', '230881504', '鸭绿河农场', 'yalu:henongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881505', '230881', '230881505', '浓江农场', 'nongjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881580', '230881', '230881580', '良种场', 'liangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881581', '230881', '230881581', '果树场', 'guoshuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881582', '230881', '230881582', '马场', 'machang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881583', '230881', '230881583', '干校', 'ganxiao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230881584', '230881', '230881584', '知青农场', 'zhiqingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882', '2308', '230882', '富锦市', 'fujinshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882001', '230882', '230882001', '城市街道社区委员会', 'chengshijiedaoshequweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882002', '230882', '230882002', '城关街道社区建设委员会', 'chengguanjiedaoshequjiansheweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882103', '230882', '230882103', '长安镇', 'zhanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882106', '230882', '230882106', '砚山镇', 'yanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882107', '230882', '230882107', '头林镇', 'toulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882108', '230882', '230882108', '兴隆岗镇', 'xinglonggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882109', '230882', '230882109', '宏胜镇', 'hongshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882110', '230882', '230882110', '向阳川镇', 'xiangyangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882111', '230882', '230882111', '二龙山镇', 'erlongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882112', '230882', '230882112', '上街基镇', 'shangjiejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882113', '230882', '230882113', '锦山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882114', '230882', '230882114', '大榆树镇', 'dayushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882400', '230882', '230882400', '石砬山林场', 'shilashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882401', '230882', '230882401', '东风岗林场', 'dongfengganglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882402', '230882', '230882402', '太东林场', 'taidonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882403', '230882', '230882403', '工农林场', 'gongnonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882500', '230882', '230882500', '建三江分局局直', 'jiansanjiangfenjujuzhi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882501', '230882', '230882501', '七星农场', 'qixingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882502', '230882', '230882502', '大兴农场', 'daxingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882503', '230882', '230882503', '创业农场', 'chuangyenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882580', '230882', '230882580', '种猪场', 'zhongzhuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230882581', '230882', '230882581', '种蓄场', 'zhongxuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2309', '23', '2309', '七台河市', 'qitaiheshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230901', '2309', '230901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902', '2309', '230902', '新兴区', 'xinxingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902001', '230902', '230902001', '兴华街道', 'xinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902002', '230902', '230902002', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902003', '230902', '230902003', '新立街道', 'xinlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902004', '230902', '230902004', '新建街道', 'xinjianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902005', '230902', '230902005', '北山街道', 'beishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902006', '230902', '230902006', '河南街道', 'henanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902007', '230902', '230902007', '新合街道', 'xinhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902008', '230902', '230902008', '缸窑沟街道', 'gangyaogoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902009', '230902', '230902009', '新安街道', 'xinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902010', '230902', '230902010', '越秀街道', 'yuexiujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230902100', '230902', '230902100', '红旗镇', 'hongqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230903', '2309', '230903', '桃山区', 'taoshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230903001', '230903', '230903001', '桃南街道', 'taonanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230903002', '230903', '230903002', '桃北街道', 'taobeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230903003', '230903', '230903003', '桃西街道', 'taoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230903004', '230903', '230903004', '兴岗街道', 'xinggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230903005', '230903', '230903005', '桃东街道', 'taodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230903006', '230903', '230903006', '桃山街道', 'taoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230903100', '230903', '230903100', '万宝河镇', 'wanbaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230904', '2309', '230904', '茄子河区', 'qiezihequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230904001', '230904', '230904001', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230904002', '230904', '230904002', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230904003', '230904', '230904003', '富强街道', 'fuqiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230904004', '230904', '230904004', '新富街道', 'xinfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230904005', '230904', '230904005', '龙湖街道', 'longhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230904100', '230904', '230904100', '茄子河镇', 'qiezihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230904101', '230904', '230904101', '宏伟镇', 'hongweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230904200', '230904', '230904200', '铁山乡', 'tieshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230904201', '230904', '230904201', '中心河乡', 'zhongxinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921', '2309', '230921', '勃利县', 'bolixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921001', '230921', '230921001', '新起街道', 'xinqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921002', '230921', '230921002', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921003', '230921', '230921003', '元明街道', 'yuanmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921004', '230921', '230921004', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921005', '230921', '230921005', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921100', '230921', '230921100', '勃利镇', 'bolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921101', '230921', '230921101', '小五站镇', 'xiaowuzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921102', '230921', '230921102', '大四站镇', 'dasizhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921103', '230921', '230921103', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921104', '230921', '230921104', '倭肯镇', 'wokenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921200', '230921', '230921200', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921201', '230921', '230921201', '长兴乡', 'zhangxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921202', '230921', '230921202', '永恒乡', 'yonghengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921203', '230921', '230921203', '抢垦乡', 'qiangkenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921204', '230921', '230921204', '杏树朝鲜族乡', 'xingshuchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921205', '230921', '230921205', '吉兴朝鲜族满族乡', 'jixingchaoxianzumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921500', '230921', '230921500', '北兴农场', 'beixingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('230921580', '230921', '230921580', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2310', '23', '2310', '牡丹江市', 'mudanjiangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231001', '2310', '231001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231002', '2310', '231002', '东安区', 'donganqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231002001', '231002', '231002001', '新安街道', 'xinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231002002', '231002', '231002002', '长安街道', 'zhanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231002003', '231002', '231002003', '七星街道', 'qixingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231002004', '231002', '231002004', '五星街道', 'wuxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231002100', '231002', '231002100', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231003', '2310', '231003', '阳明区', 'yangmingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231003001', '231003', '231003001', '阳明街道', 'yangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231003002', '231003', '231003002', '前进街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231003003', '231003', '231003003', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231003004', '231003', '231003004', '桦林橡胶厂街道', 'hualinxiangjiaochangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231003100', '231003', '231003100', '铁岭镇', 'tielingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231003101', '231003', '231003101', '桦林镇', 'hualinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231004', '2310', '231004', '爱民区', 'aiminqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231004001', '231004', '231004001', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231004002', '231004', '231004002', '黄花街道', 'huanghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231004003', '231004', '231004003', '铁北街道', 'tiebeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231004004', '231004', '231004004', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231004005', '231004', '231004005', '大庆街道', 'daqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231004006', '231004', '231004006', '兴平街道', 'xingpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231004007', '231004', '231004007', '北山街道', 'beishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231004201', '231004', '231004201', '北安乡', 'beianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231005', '2310', '231005', '西安区', 'xianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231005001', '231005', '231005001', '先锋街道', 'xianfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231005002', '231005', '231005002', '火炬街道', 'huojujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231005003', '231005', '231005003', '立新街道', 'lixinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231005004', '231005', '231005004', '牡丹街道', 'mudanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231005005', '231005', '231005005', '江滨街道', 'jiangbinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231005006', '231005', '231005006', '沿江街道', 'yanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231005100', '231005', '231005100', '温春镇', 'wenchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231005200', '231005', '231005200', '沿江乡', 'yanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231024', '2310', '231024', '东宁县', 'dongningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231024100', '231024', '231024100', '东宁镇', 'dongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231024101', '231024', '231024101', '三岔口镇', 'sanchakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231024102', '231024', '231024102', '大肚川镇', 'daduchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231024103', '231024', '231024103', '老黑山镇', 'laoheishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231024104', '231024', '231024104', '道河镇', 'daohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231024105', '231024', '231024105', '绥阳镇', 'suiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231024400', '231024', '231024400', '绥阳林业局', 'suiyanglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025', '2310', '231025', '林口县', 'linkouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025100', '231025', '231025100', '林口镇', 'linkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025101', '231025', '231025101', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025102', '231025', '231025102', '刁翎镇', 'diaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025103', '231025', '231025103', '五林镇', 'wulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025104', '231025', '231025104', '朱家镇', 'zhujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025105', '231025', '231025105', '柳树镇', 'liushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025106', '231025', '231025106', '三道通镇', 'sandaotongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025107', '231025', '231025107', '龙爪镇', 'longzhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025108', '231025', '231025108', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025200', '231025', '231025200', '奎山乡', 'kuishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025201', '231025', '231025201', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025202', '231025', '231025202', '建堂乡', 'jiantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231025400', '231025', '231025400', '林口林业局', 'linkoulinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231081', '2310', '231081', '绥芬河市', 'suifenheshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231081100', '231081', '231081100', '绥芬河镇', 'suifenhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231081101', '231081', '231081101', '阜宁镇', 'funingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083', '2310', '231083', '海林市', 'hailinshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083100', '231083', '231083100', '海林镇', 'hailinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083101', '231083', '231083101', '长汀镇', 'zhangtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083102', '231083', '231083102', '横道镇', 'hengdaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083103', '231083', '231083103', '山市镇', 'shanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083104', '231083', '231083104', '柴河镇', 'chaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083105', '231083', '231083105', '二道镇', 'erdaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083106', '231083', '231083106', '新安朝鲜族镇', 'xinanchaoxianzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083107', '231083', '231083107', '三道镇', 'sandaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083201', '231083', '231083201', '海南朝鲜族乡', 'hainanchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083400', '231083', '231083400', '牡林工程公司街道', 'mulingongchenggongsijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083401', '231083', '231083401', '柴河林机厂街道', 'chaihelinjichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083402', '231083', '231083402', '大海林林业局', 'dahailinlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083403', '231083', '231083403', '海林林业局', 'hailinlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083404', '231083', '231083404', '柴河林业局', 'chaihelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083500', '231083', '231083500', '海林农场', 'hailinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231083580', '231083', '231083580', '山市种奶牛场', 'shanshizhongnainiuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084', '2310', '231084', '宁安市', 'ninganshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084001', '231084', '231084001', '城区街道', 'chengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084100', '231084', '231084100', '宁安镇', 'ninganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084101', '231084', '231084101', '东京城镇', 'dongjingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084102', '231084', '231084102', '渤海镇', 'bohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084103', '231084', '231084103', '石岩镇', 'shiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084104', '231084', '231084104', '沙兰镇', 'shalanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084105', '231084', '231084105', '海浪镇', 'hailangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084106', '231084', '231084106', '兰岗镇', 'langangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084202', '231084', '231084202', '江南朝鲜族满族乡', 'jiangnanchaoxianzumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084206', '231084', '231084206', '卧龙朝鲜族乡', 'wolongchaoxianzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084208', '231084', '231084208', '马河乡', 'mahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084210', '231084', '231084210', '镜泊乡', 'jingboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084211', '231084', '231084211', '三陵乡', 'sanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084400', '231084', '231084400', '东京城林业局', 'dongjingchenglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231084500', '231084', '231084500', '宁安农场', 'ningannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085', '2310', '231085', '穆棱市', 'mulengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085100', '231085', '231085100', '八面通镇', 'bamiantongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085101', '231085', '231085101', '穆棱镇', 'mulengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085102', '231085', '231085102', '下城子镇', 'xiachengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085103', '231085', '231085103', '马桥河镇', 'maqiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085104', '231085', '231085104', '兴源镇', 'xingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085105', '231085', '231085105', '磨刀石镇', 'modaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085200', '231085', '231085200', '福录乡', 'fuluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085201', '231085', '231085201', '河西乡', 'hexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085202', '231085', '231085202', '共和乡', 'gonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085400', '231085', '231085400', '八面通林业局', 'bamiantonglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231085401', '231085', '231085401', '穆棱林业局', 'mulenglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2311', '23', '2311', '黑河市', 'heiheshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231101', '2311', '231101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102', '2311', '231102', '爱辉区', 'aihuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102001', '231102', '231102001', '花园街道', 'huayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102002', '231102', '231102002', '兴安街道', 'xinganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102003', '231102', '231102003', '海兰街道', 'hailanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102004', '231102', '231102004', '西兴街道', 'xixingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102101', '231102', '231102101', '西岗子镇', 'xigangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102102', '231102', '231102102', '爱辉镇', 'aihuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102103', '231102', '231102103', '罕达汽镇', 'handaqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102200', '231102', '231102200', '幸福乡', 'xingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102201', '231102', '231102201', '四嘉子乡', 'sijiazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102202', '231102', '231102202', '坤河乡', 'kunhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102203', '231102', '231102203', '上马厂乡', 'shangmachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102204', '231102', '231102204', '张地营子乡', 'zhangdiyingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102205', '231102', '231102205', '西峰山乡', 'xifengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102206', '231102', '231102206', '新生乡', 'xinshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102207', '231102', '231102207', '二站乡', 'erzhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102400', '231102', '231102400', '宋集屯煤矿', 'songjitunmeikuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102401', '231102', '231102401', '西岗子煤矿', 'xigangzimeikuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102402', '231102', '231102402', '东方红煤矿', 'dongfanghongmeikuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102407', '231102', '231102407', '大平林场', 'dapinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102408', '231102', '231102408', '七二七林场', 'qierqilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102409', '231102', '231102409', '望峰林场', 'wangfenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102410', '231102', '231102410', '卡伦山林场', 'kalunshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102411', '231102', '231102411', '胜山林场', 'shengshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102412', '231102', '231102412', '二站林场', 'erzhanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102413', '231102', '231102413', '三站林场', 'sanzhanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102414', '231102', '231102414', '大岭林场', 'dalinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102415', '231102', '231102415', '桦皮窑林场', 'huapiyaolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102416', '231102', '231102416', '滨南林场', 'binnanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102417', '231102', '231102417', '江防林场', 'jiangfanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102421', '231102', '231102421', '西岗子试验林场', 'xigangzishiyanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102422', '231102', '231102422', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102423', '231102', '231102423', '第二良种场', 'dierliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102424', '231102', '231102424', '第一良种场', 'diyiliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102425', '231102', '231102425', '大新屯储木场', 'daxintunchumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231102500', '231102', '231102500', '锦河农场', 'jinhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121', '2311', '231121', '嫩江县', 'nenjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121100', '231121', '231121100', '嫩江镇', 'nenjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121101', '231121', '231121101', '伊拉哈镇', 'yilahazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121102', '231121', '231121102', '双山镇', 'shuangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121103', '231121', '231121103', '多宝山镇', 'duobaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121104', '231121', '231121104', '海江镇', 'haijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121105', '231121', '231121105', '前进镇', 'qianjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121106', '231121', '231121106', '长福镇', 'zhangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121107', '231121', '231121107', '科洛镇', 'keluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121202', '231121', '231121202', '临江乡', 'linjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121206', '231121', '231121206', '联兴乡', 'lianxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121207', '231121', '231121207', '白云乡', 'baiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121208', '231121', '231121208', '塔溪乡', 'taxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121210', '231121', '231121210', '霍龙门乡', 'huolongmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121400', '231121', '231121400', '多宝山铜矿', 'duobaoshantongkuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121500', '231121', '231121500', '九三分局局直', 'jiusanfenjujuzhi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121501', '231121', '231121501', '鹤山农场', 'heshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121502', '231121', '231121502', '大西江农场', 'daxijiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121503', '231121', '231121503', '尖山农场', 'jianshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121504', '231121', '231121504', '荣军农场', 'rongjunnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121505', '231121', '231121505', '红五月农场', 'hongwuyuenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121506', '231121', '231121506', '七星泡农场', 'qixingpaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121507', '231121', '231121507', '嫩江农场', 'nenjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121508', '231121', '231121508', '山河农场', 'shanhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121509', '231121', '231121509', '嫩北农场', 'nenbeinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121510', '231121', '231121510', '建边农场', 'jianbiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121580', '231121', '231121580', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231121581', '231121', '231121581', '马铃薯原种繁殖场', 'malingshuyuanzhongfanzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123', '2311', '231123', '逊克县', 'xunkexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123001', '231123', '231123001', '奇克街道', 'qikejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123100', '231123', '231123100', '边疆镇', 'bianjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123101', '231123', '231123101', '逊河镇', 'xunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123201', '231123', '231123201', '干岔子乡', 'ganchazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123202', '231123', '231123202', '松树沟乡', 'songshugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123203', '231123', '231123203', '车陆乡', 'cheluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123204', '231123', '231123204', '新鄂乡', 'xinexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123205', '231123', '231123205', '新兴乡', 'xinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123206', '231123', '231123206', '克林乡', 'kelinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123207', '231123', '231123207', '宝山乡', 'baoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123402', '231123', '231123402', '道干林场', 'daoganlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123403', '231123', '231123403', '干岔子林场', 'ganchazilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123404', '231123', '231123404', '新立林场', 'xinlilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123405', '231123', '231123405', '三间房林场', 'sanjianfanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123406', '231123', '231123406', '良种场', 'liangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123407', '231123', '231123407', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231123500', '231123', '231123500', '逊克农场', 'xunkenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124', '2311', '231124', '孙吴县', 'sunwuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124001', '231124', '231124001', '孙吴城区街道', 'sunwuchengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124100', '231124', '231124100', '孙吴镇', 'sunwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124101', '231124', '231124101', '辰清镇', 'chenqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124201', '231124', '231124201', '西兴乡', 'xixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124202', '231124', '231124202', '沿江满族乡', 'yanjiangmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124203', '231124', '231124203', '腰屯乡', 'yaotunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124204', '231124', '231124204', '卧牛河乡', 'woniuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124205', '231124', '231124205', '群山乡', 'qunshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124206', '231124', '231124206', '奋斗乡', 'fendouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124207', '231124', '231124207', '红旗乡', 'hongqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124208', '231124', '231124208', '正阳山乡', 'zhengyangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124210', '231124', '231124210', '清溪乡', 'qingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124402', '231124', '231124402', '前进林场', 'qianjinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124403', '231124', '231124403', '大河口林场', 'dahekoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124404', '231124', '231124404', '正阳林场', 'zhengyanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124405', '231124', '231124405', '平山林场', 'pingshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124406', '231124', '231124406', '沿江林场', 'yanjianglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124407', '231124', '231124407', '辰清林场', 'chenqinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124408', '231124', '231124408', '红旗林场', 'hongqilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124409', '231124', '231124409', '向阳林场', 'xiangyanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124410', '231124', '231124410', '良种场', 'liangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124411', '231124', '231124411', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231124500', '231124', '231124500', '红色边疆农场', 'hongsebianjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181', '2311', '231181', '北安市', 'beianshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181001', '231181', '231181001', '兆麟街道', 'zhaolinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181002', '231181', '231181002', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181003', '231181', '231181003', '北岗街道', 'beigangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181004', '231181', '231181004', '庆华街道', 'qinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181005', '231181', '231181005', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181006', '231181', '231181006', '铁南街道', 'tienanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181101', '231181', '231181101', '通北镇', 'tongbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181102', '231181', '231181102', '赵光镇', 'zhaoguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181103', '231181', '231181103', '海星镇', 'haixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181104', '231181', '231181104', '石泉镇', 'shiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181105', '231181', '231181105', '二井镇', 'erjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181200', '231181', '231181200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181201', '231181', '231181201', '东胜乡', 'dongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181203', '231181', '231181203', '杨家乡', 'yangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181207', '231181', '231181207', '主星乡', 'zhuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181400', '231181', '231181400', '通北林业局', 'tongbeilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181500', '231181', '231181500', '北安分局局直', 'beianfenjujuzhi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181501', '231181', '231181501', '长水河农场', 'zhangshuihenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181502', '231181', '231181502', '赵光农场', 'zhaoguangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181503', '231181', '231181503', '红星农场', 'hongxingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231181504', '231181', '231181504', '建设农场', 'jianshenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182', '2311', '231182', '五大连池市', 'wudalianchishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182001', '231182', '231182001', '青山街道', 'qingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182101', '231182', '231182101', '龙镇', 'longzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182102', '231182', '231182102', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182103', '231182', '231182103', '五大连池镇', 'wudalianchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182201', '231182', '231182201', '新发乡', 'xinfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182202', '231182', '231182202', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182203', '231182', '231182203', '建设乡', 'jianshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182205', '231182', '231182205', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182206', '231182', '231182206', '双泉乡', 'shuangquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182207', '231182', '231182207', '团结乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182208', '231182', '231182208', '兴安乡', 'xinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182210', '231182', '231182210', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182400', '231182', '231182400', '花园劳教所', 'huayuanlaojiaosuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182401', '231182', '231182401', '永丰监狱', 'yongfengjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182402', '231182', '231182402', '华山监狱', 'huashanjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182403', '231182', '231182403', '凤凰山监狱', 'fenghuangshanjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182406', '231182', '231182406', '元青山林场', 'yuanqingshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182407', '231182', '231182407', '三九六林场', 'sanjiuliulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182408', '231182', '231182408', '小兴安林场', 'xiaoxinganlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182409', '231182', '231182409', '二龙山林场', 'erlongshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182410', '231182', '231182410', '朝阳林场', 'chaoyanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182411', '231182', '231182411', '引龙河林场', 'yinlonghelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182412', '231182', '231182412', '焦得布林场', 'jiaodebulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182417', '231182', '231182417', '沾河林业局', 'zhanhelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182418', '231182', '231182418', '莲花管理委员会', 'lianhuaguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182427', '231182', '231182427', '二龙山蚕种场', 'erlongshancanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182428', '231182', '231182428', '五大连池原种场', 'wudalianchiyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182429', '231182', '231182429', '畜牧场', 'chumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182430', '231182', '231182430', '第二良种场', 'dierliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182501', '231182', '231182501', '龙门农场', 'longmennongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182502', '231182', '231182502', '襄河农场', 'xianghenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182503', '231182', '231182503', '龙镇农场', 'longzhennongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182504', '231182', '231182504', '二龙山农场', 'erlongshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182505', '231182', '231182505', '引龙河农场', 'yinlonghenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182506', '231182', '231182506', '尾山农场', 'weishannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182507', '231182', '231182507', '格球山农场', 'geqiushannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231182580', '231182', '231182580', '大庆农场', 'daqingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2312', '23', '2312', '绥化市', 'suihuashi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231201', '2312', '231201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202', '2312', '231202', '北林区', 'beilinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202001', '231202', '231202001', '紫来', 'zilai', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202002', '231202', '231202002', '爱路', 'ailu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202003', '231202', '231202003', '大有', 'dayou', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202004', '231202', '231202004', '吉泰', 'jitai', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202005', '231202', '231202005', '东兴', 'dongxing', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202006', '231202', '231202006', '北林办事处居民委员会', 'beilinbanshichujuminweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202101', '231202', '231202101', '宝山镇', 'baoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202102', '231202', '231202102', '绥胜镇', 'suishengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202103', '231202', '231202103', '西长发镇', 'xizhangfazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202104', '231202', '231202104', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202105', '231202', '231202105', '太平川镇', 'taipingchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202106', '231202', '231202106', '秦家镇', 'qinjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202107', '231202', '231202107', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202108', '231202', '231202108', '三河镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202109', '231202', '231202109', '四方台镇', 'sifangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202110', '231202', '231202110', '津河镇', 'jinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202111', '231202', '231202111', '张维镇', 'zhangweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202113', '231202', '231202113', '东津镇', 'dongjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202201', '231202', '231202201', '红旗乡', 'hongqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202202', '231202', '231202202', '连岗乡', 'liangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202203', '231202', '231202203', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202204', '231202', '231202204', '兴福乡', 'xingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202205', '231202', '231202205', '东富乡', 'dongfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202209', '231202', '231202209', '三井乡', 'sanjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202212', '231202', '231202212', '五营乡', 'wuyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231202213', '231202', '231202213', '兴和乡', 'xinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221', '2312', '231221', '望奎县', 'wangkuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221100', '231221', '231221100', '望奎镇', 'wangkuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221101', '231221', '231221101', '通江镇', 'tongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221102', '231221', '231221102', '卫星镇', 'weixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221103', '231221', '231221103', '海丰镇', 'haifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221104', '231221', '231221104', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221105', '231221', '231221105', '惠七满族镇', 'huiqimanzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221106', '231221', '231221106', '先锋镇', 'xianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221201', '231221', '231221201', '东郊乡', 'dongjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221202', '231221', '231221202', '灵山满族乡', 'lingshanmanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221203', '231221', '231221203', '后三乡', 'housanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221206', '231221', '231221206', '火箭乡', 'huojianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221207', '231221', '231221207', '灯塔乡', 'dengtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221209', '231221', '231221209', '东升乡', 'dongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221210', '231221', '231221210', '恭六乡', 'gongliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221211', '231221', '231221211', '厢白满族乡', 'xiangbaimanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221400', '231221', '231221400', '白四林场', 'baisilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221580', '231221', '231221580', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221581', '231221', '231221581', '第一良种场', 'diyiliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231221582', '231221', '231221582', '第二良种场', 'dierliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222', '2312', '231222', '兰西县', 'lanxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222101', '231222', '231222101', '兰西镇', 'lanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222102', '231222', '231222102', '榆林镇', 'yulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222103', '231222', '231222103', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222104', '231222', '231222104', '平山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222200', '231222', '231222200', '康荣乡', 'kangrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222201', '231222', '231222201', '燎原乡', 'liaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222202', '231222', '231222202', '北安乡', 'beianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222203', '231222', '231222203', '长江乡', 'zhangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222204', '231222', '231222204', '兰河乡', 'lanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222205', '231222', '231222205', '红星乡', 'hongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222206', '231222', '231222206', '红光乡', 'hongguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222207', '231222', '231222207', '长岗乡', 'zhanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222209', '231222', '231222209', '远大乡', 'yuandaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222210', '231222', '231222210', '星火乡', 'xinghuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222211', '231222', '231222211', '奋斗乡', 'fendouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222580', '231222', '231222580', '第一原种场', 'diyiyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222581', '231222', '231222581', '第二原种场', 'dieryuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231222582', '231222', '231222582', '肉用种羊场', 'rouyongzhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223', '2312', '231223', '青冈县', 'qinggangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223100', '231223', '231223100', '青冈镇', 'qinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223101', '231223', '231223101', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223102', '231223', '231223102', '祯祥镇', 'zhenxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223103', '231223', '231223103', '兴华镇', 'xinghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223104', '231223', '231223104', '永丰镇', 'yongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223105', '231223', '231223105', '芦河镇', 'luhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223201', '231223', '231223201', '劳动乡', 'laodongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223202', '231223', '231223202', '建设乡', 'jianshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223203', '231223', '231223203', '新村乡', 'xincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223206', '231223', '231223206', '昌盛乡', 'changshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223207', '231223', '231223207', '柞岗乡', 'zuogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223208', '231223', '231223208', '民政乡', 'minzhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223209', '231223', '231223209', '德胜乡', 'deshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223211', '231223', '231223211', '迎春乡', 'yingchunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223212', '231223', '231223212', '连丰乡', 'lianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223400', '231223', '231223400', '青冈县林场', 'qinggangxianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223401', '231223', '231223401', '青冈县互利营林站', 'qinggangxianhuliyinglinzhan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223402', '231223', '231223402', '青冈县果树场', 'qinggangxianguoshuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223580', '231223', '231223580', '青冈县种马场', 'qinggangxianzhongmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223581', '231223', '231223581', '青冈县种羊场', 'qinggangxianzhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231223582', '231223', '231223582', '青冈县原种场', 'qinggangxianyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224', '2312', '231224', '庆安县', 'qinganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224101', '231224', '231224101', '庆安镇', 'qinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224102', '231224', '231224102', '民乐镇', 'minlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224103', '231224', '231224103', '大罗镇', 'daluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224104', '231224', '231224104', '平安镇', 'pinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224105', '231224', '231224105', '勤劳镇', 'qinlaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224106', '231224', '231224106', '久胜镇', 'jiushengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224201', '231224', '231224201', '建民乡', 'jianminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224202', '231224', '231224202', '巨宝山乡', 'jubaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224204', '231224', '231224204', '新胜乡', 'xinshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224206', '231224', '231224206', '丰收乡', 'fengshouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224208', '231224', '231224208', '发展乡', 'fazhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224209', '231224', '231224209', '同乐乡', 'tonglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224210', '231224', '231224210', '致富乡', 'zhifuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224211', '231224', '231224211', '欢胜乡', 'huanshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224400', '231224', '231224400', '国有林场管理局', 'guoyoulinchangguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224401', '231224', '231224401', '柳河林校', 'liuhelinxiao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231224500', '231224', '231224500', '柳河农场', 'liuhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225', '2312', '231225', '明水县', 'mingshuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225100', '231225', '231225100', '明水镇', 'mingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225101', '231225', '231225101', '兴仁镇', 'xingrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225102', '231225', '231225102', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225103', '231225', '231225103', '崇德镇', 'chongdezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225104', '231225', '231225104', '通达镇', 'tongdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225201', '231225', '231225201', '双兴乡', 'shuangxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225203', '231225', '231225203', '永久乡', 'yongjiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225204', '231225', '231225204', '树人乡', 'shurenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225205', '231225', '231225205', '光荣乡', 'guangrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225206', '231225', '231225206', '繁荣乡', 'fanrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225207', '231225', '231225207', '通泉乡', 'tongquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225208', '231225', '231225208', '育林乡', 'yulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225400', '231225', '231225400', '国营林场', 'guoyinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225580', '231225', '231225580', '县联社马场', 'xianlianshemachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225581', '231225', '231225581', '明水种畜场', 'mingshuizhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225582', '231225', '231225582', '育林畜牧场', 'yulinchumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225583', '231225', '231225583', '国营第一良种', 'guoyingdiyiliangzhong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225584', '231225', '231225584', '国营第二良种', 'guoyingdierliangzhong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231225585', '231225', '231225585', '国营第三良种', 'guoyingdisanliangzhong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226', '2312', '231226', '绥棱县', 'suilengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226100', '231226', '231226100', '绥棱镇', 'suilengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226101', '231226', '231226101', '上集镇', 'shangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226102', '231226', '231226102', '四海店镇', 'sihaidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226103', '231226', '231226103', '双岔河镇', 'shuangchahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226200', '231226', '231226200', '靠山乡', 'kaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226201', '231226', '231226201', '后头乡', 'houtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226203', '231226', '231226203', '长山乡', 'zhangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226205', '231226', '231226205', '克音河乡', 'keyinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226206', '231226', '231226206', '绥中乡', 'suizhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226207', '231226', '231226207', '泥尔河乡', 'nierhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226210', '231226', '231226210', '阁山乡', 'geshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226400', '231226', '231226400', '阁山林场', 'geshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226401', '231226', '231226401', '四海店林场', 'sihaidianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226402', '231226', '231226402', '三吉台林场', 'sanjitailinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226403', '231226', '231226403', '半截河林场', 'banjiehelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226404', '231226', '231226404', '绥棱林业局', 'suilenglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226500', '231226', '231226500', '绥棱农场', 'suilengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226580', '231226', '231226580', '种马场', 'zhongmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226581', '231226', '231226581', '良种场', 'liangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231226582', '231226', '231226582', '奶山羊场', 'naishanyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281', '2312', '231281', '安达市', 'andashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281001', '231281', '231281001', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281002', '231281', '231281002', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281003', '231281', '231281003', '安虹街道', 'anhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281100', '231281', '231281100', '安达镇', 'andazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281101', '231281', '231281101', '任民镇', 'renminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281103', '231281', '231281103', '万宝山镇', 'wanbaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281104', '231281', '231281104', '昌德镇', 'changdezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281105', '231281', '231281105', '升平镇', 'shengpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281106', '231281', '231281106', '羊草镇', 'yangcaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281107', '231281', '231281107', '老虎岗镇', 'laohugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281108', '231281', '231281108', '中本镇', 'zhongbenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281109', '231281', '231281109', '太平庄镇', 'taipingzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281110', '231281', '231281110', '吉兴岗镇', 'jixinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281202', '231281', '231281202', '火石山乡', 'huoshishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281204', '231281', '231281204', '卧里屯乡', 'wolitunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281205', '231281', '231281205', '青肯泡乡', 'qingkenpaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281209', '231281', '231281209', '先源乡', 'xianyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281500', '231281', '231281500', '安达畜牧场', 'andachumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281580', '231281', '231281580', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281581', '231281', '231281581', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281582', '231281', '231281582', '种牛场', 'zhongniuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281583', '231281', '231281583', '红旗泡水库管理所', 'hongqipaoshuikuguanlisuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231281584', '231281', '231281584', '东湖水库管理站', 'donghushuikuguanlizhan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282', '2312', '231282', '肇东市', 'zhaodongshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282001', '231282', '231282001', '朝阳区', 'chaoyangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282002', '231282', '231282002', '东升区', 'dongshengqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282003', '231282', '231282003', '西园区', 'xiyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282004', '231282', '231282004', '正阳区', 'zhengyangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282100', '231282', '231282100', '肇东镇', 'zhaodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282101', '231282', '231282101', '昌五镇', 'changwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282102', '231282', '231282102', '宋站镇', 'songzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282103', '231282', '231282103', '五站镇', 'wuzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282104', '231282', '231282104', '尚家镇', 'shangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282105', '231282', '231282105', '姜家镇', 'jiangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282106', '231282', '231282106', '里木店镇', 'limudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282107', '231282', '231282107', '四站镇', 'sizhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282108', '231282', '231282108', '涝洲镇', 'laozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282109', '231282', '231282109', '五里明镇', 'wulimingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282110', '231282', '231282110', '黎明镇', 'limingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282201', '231282', '231282201', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282203', '231282', '231282203', '海城乡', 'haichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282204', '231282', '231282204', '向阳乡', 'xiangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282205', '231282', '231282205', '洪河乡', 'honghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282206', '231282', '231282206', '跃进乡', 'yuejinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282211', '231282', '231282211', '西八里乡', 'xibalixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282212', '231282', '231282212', '德昌乡', 'dechangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282213', '231282', '231282213', '宣化乡', 'xuanhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282214', '231282', '231282214', '安民乡', 'anminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282215', '231282', '231282215', '明久乡', 'mingjiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231282500', '231282', '231282500', '四方山农场', 'sifangshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283', '2312', '231283', '海伦市', 'hailunshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283100', '231283', '231283100', '海伦镇', 'hailunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283101', '231283', '231283101', '海北镇', 'haibeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283102', '231283', '231283102', '伦河镇', 'lunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283103', '231283', '231283103', '共合镇', 'gonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283104', '231283', '231283104', '海兴镇', 'haixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283105', '231283', '231283105', '祥富镇', 'xiangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283106', '231283', '231283106', '东风镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283202', '231283', '231283202', '前进乡', 'qianjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283203', '231283', '231283203', '向荣乡', 'xiangrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283204', '231283', '231283204', '长发乡', 'zhangfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283205', '231283', '231283205', '东林乡', 'donglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283208', '231283', '231283208', '海南乡', 'hainanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283209', '231283', '231283209', '共荣乡', 'gongrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283210', '231283', '231283210', '乐业乡', 'leyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283211', '231283', '231283211', '福民乡', 'fuminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283212', '231283', '231283212', '丰山乡', 'fengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283213', '231283', '231283213', '永富乡', 'yongfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283215', '231283', '231283215', '百祥乡', 'baixiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283216', '231283', '231283216', '联发乡', 'lianfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283217', '231283', '231283217', '永和乡', 'yonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283218', '231283', '231283218', '爱民乡', 'aiminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283220', '231283', '231283220', '扎音河乡', 'zhayinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283221', '231283', '231283221', '双录乡', 'shuangluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283400', '231283', '231283400', '林场公司', 'linchanggongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283401', '231283', '231283401', '东方红水库地区', 'dongfanghongshuikudiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283500', '231283', '231283500', '海伦农场', 'hailunnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283501', '231283', '231283501', '红光农场', 'hongguangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283580', '231283', '231283580', '海伦绥化种畜场', 'hailunsuihuazhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283581', '231283', '231283581', '海伦二粮种场', 'hailunerliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('231283582', '231283', '231283582', '海伦市种畜场', 'hailunshizhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('2327', '23', '2327', '大兴安岭地区', 'daxinganlingdiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232701', '2327', '232701', '加格达奇区', 'jiagedaqiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232701001', '232701', '232701001', '街道东山社区', 'jiedaodongshanshequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232701002', '232701', '232701002', '街道卫东社区', 'jiedaoweidongshequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232701003', '232701', '232701003', '街道红旗社区', 'jiedaohongqishequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232701004', '232701', '232701004', '街道长虹社区', 'jiedaozhanghongshequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232701005', '232701', '232701005', '街道曙光社区', 'jiedaoshuguangshequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232701006', '232701', '232701006', '街道光明社区', 'jiedaoguangmingshequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232701200', '232701', '232701200', '加北乡', 'jiabeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232701201', '232701', '232701201', '白桦乡', 'baihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232701400', '232701', '232701400', '加格达奇林业局', 'jiagedaqilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232701401', '232701', '232701401', '林田农业开发区', 'lintiannongyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232702', '2327', '232702', '松岭区', 'songlingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232702100', '232702', '232702100', '小扬气镇', 'xiaoyangqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232702101', '232702', '232702101', '劲松镇', 'jingsongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232702102', '232702', '232702102', '古源镇', 'guyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232702400', '232702', '232702400', '松岭林业局', 'songlinglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232703', '2327', '232703', '新林区', 'xinlinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232703100', '232703', '232703100', '新林镇', 'xinlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232703101', '232703', '232703101', '翠岗镇', 'cuigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232703102', '232703', '232703102', '塔源镇', 'tayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232703103', '232703', '232703103', '大乌苏镇', 'dawusuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232703104', '232703', '232703104', '塔尔根镇', 'taergenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232703105', '232703', '232703105', '碧洲镇', 'bizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232703106', '232703', '232703106', '宏图镇', 'hongtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232703400', '232703', '232703400', '新林林业局', 'xinlinlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232704', '2327', '232704', '呼中区', 'huzhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232704100', '232704', '232704100', '呼中镇', 'huzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232704101', '232704', '232704101', '碧水镇', 'bishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232704102', '232704', '232704102', '呼源镇', 'huyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232704103', '232704', '232704103', '宏伟镇', 'hongweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232704400', '232704', '232704400', '呼中林业局', 'huzhonglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232721', '2327', '232721', '呼玛县', 'humaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232721100', '232721', '232721100', '呼玛镇', 'humazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232721101', '232721', '232721101', '韩家园镇', 'hanjiayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232721200', '232721', '232721200', '三卡乡', 'sankaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232721201', '232721', '232721201', '金山乡', 'jinshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232721202', '232721', '232721202', '兴华乡', 'xinghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232721203', '232721', '232721203', '鸥浦乡', 'oupuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232721204', '232721', '232721204', '白银纳鄂伦春族民族乡', 'baiyinnaelunchunzuminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232721205', '232721', '232721205', '北疆乡', 'beijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232721400', '232721', '232721400', '韩家园林业局', 'hanjiayuanlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232722', '2327', '232722', '塔河县', 'tahexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232722100', '232722', '232722100', '塔河镇', 'tahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232722101', '232722', '232722101', '瓦拉干镇', 'walaganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232722102', '232722', '232722102', '盘古镇', 'panguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232722200', '232722', '232722200', '十八站鄂伦春族民族乡', 'shibazhanelunchunzuminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232722201', '232722', '232722201', '依西肯乡', 'yixikenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232722202', '232722', '232722202', '开库康乡', 'kaikukangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232722400', '232722', '232722400', '十八站林业局', 'shibazhanlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232722401', '232722', '232722401', '塔河林业局', 'tahelinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232723', '2327', '232723', '漠河县', 'mohexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232723100', '232723', '232723100', '西林吉镇', 'xilinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232723101', '232723', '232723101', '图强镇', 'tuqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232723102', '232723', '232723102', '劲涛镇', 'jingtaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232723103', '232723', '232723103', '兴安镇', 'xinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232723200', '232723', '232723200', '北极乡', 'beijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232723400', '232723', '232723400', '西林吉林业局', 'xilinjilinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232723401', '232723', '232723401', '图强林业局', 'tuqianglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('232723402', '232723', '232723402', '阿木尔林业局', 'amuerlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('31', '-1', '31', '上海市', 'shanghaishi', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('31007a918cdc4bdca155ccc47a48e454', '110228', '110228001', '鼓楼街道', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3101', '31', '3101', '市辖区', 'shixiaqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310101', '3101', '310101', '黄浦区', 'huangpuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310101002', '310101', '310101002', '南京东路街道', 'nanjingdonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310101006', '310101', '310101006', '金陵东路街道', 'jinlingdonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310101013', '310101', '310101013', '外滩街道', 'waitanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310101014', '310101', '310101014', '人民广场街道', 'renminguangchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310101015', '310101', '310101015', '半淞园路街道', 'bansongyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310101016', '310101', '310101016', '董家渡街道', 'dongjiadujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310101017', '310101', '310101017', '小东门街道', 'xiaodongmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310101018', '310101', '310101018', '豫园街道', 'yuyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310101019', '310101', '310101019', '老西门街道', 'laoximenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310103', '3101', '310103', '卢湾区', 'luwanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310103001', '310103', '310103001', '五里桥街道', 'wuliqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310103002', '310103', '310103002', '打浦桥街道', 'dapuqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310103008', '310103', '310103008', '淮海中路街道', 'huaihaizhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310103009', '310103', '310103009', '瑞金二路街道', 'ruijinerlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104', '3101', '310104', '徐汇区', 'xuhuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104003', '310104', '310104003', '天平路街道', 'tianpinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104004', '310104', '310104004', '湖南路街道', 'hunanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104007', '310104', '310104007', '斜土路街道', 'xietulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104008', '310104', '310104008', '枫林路街道', 'fenglinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104010', '310104', '310104010', '长桥街道', 'zhangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104011', '310104', '310104011', '田林街道', 'tianlinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104012', '310104', '310104012', '虹梅路街道', 'hongmeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104013', '310104', '310104013', '康健新村街道', 'kangjianxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104014', '310104', '310104014', '徐家汇街道', 'xujiahuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104015', '310104', '310104015', '凌云路街道', 'lingyunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104016', '310104', '310104016', '龙华街道', 'longhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104017', '310104', '310104017', '漕河泾街道', 'caohejingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104103', '310104', '310104103', '华泾镇', 'huajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310104501', '310104', '310104501', '漕河泾新兴技术开发区', 'caohejingxinxingjishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310105', '3101', '310105', '长宁区', 'zhangningqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310105001', '310105', '310105001', '华阳路街道', 'huayanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310105002', '310105', '310105002', '江苏路街道', 'jiangsulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310105004', '310105', '310105004', '新华路街道', 'xinhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310105005', '310105', '310105005', '周家桥街道', 'zhoujiaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310105006', '310105', '310105006', '天山路街道', 'tianshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310105008', '310105', '310105008', '仙霞新村街道', 'xianxiaxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310105009', '310105', '310105009', '虹桥街道', 'hongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310105010', '310105', '310105010', '程家桥街道', 'chengjiaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310105011', '310105', '310105011', '北新泾街道', 'beixinjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310105102', '310105', '310105102', '新泾镇', 'xinjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310106', '3101', '310106', '静安区', 'jinganqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310106006', '310106', '310106006', '江宁路街道', 'jiangninglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310106011', '310106', '310106011', '石门二路街道', 'shimenerlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310106012', '310106', '310106012', '南京西路街道', 'nanjingxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310106013', '310106', '310106013', '静安寺街道', 'jingansijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310106014', '310106', '310106014', '曹家渡街道', 'caojiadujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310107', '3101', '310107', '普陀区', 'putuoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310107005', '310107', '310107005', '曹杨新村街道', 'caoyangxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310107014', '310107', '310107014', '长风新村街道', 'zhangfengxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310107015', '310107', '310107015', '长寿路街道', 'zhangshoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310107016', '310107', '310107016', '甘泉路街道', 'ganquanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310107017', '310107', '310107017', '石泉路街道', 'shiquanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310107020', '310107', '310107020', '宜川路街道', 'yichuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310107101', '310107', '310107101', '真如镇', 'zhenruzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310107102', '310107', '310107102', '长征镇', 'zhangzhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310107103', '310107', '310107103', '桃浦镇', 'taopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310108', '3101', '310108', '闸北区', 'zhabeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310108001', '310108', '310108001', '天目西路街道', 'tianmuxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310108006', '310108', '310108006', '北站街道', 'beizhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310108007', '310108', '310108007', '宝山路街道', 'baoshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310108012', '310108', '310108012', '共和新路街道', 'gonghexinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310108013', '310108', '310108013', '大宁路街道', 'daninglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310108014', '310108', '310108014', '彭浦新村街道', 'pengpuxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310108015', '310108', '310108015', '临汾路街道', 'linfenlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310108016', '310108', '310108016', '芷江西路街道', 'zhijiangxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310108101', '310108', '310108101', '彭浦镇', 'pengpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310109', '3101', '310109', '虹口区', 'hongkouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310109002', '310109', '310109002', '乍浦路街道', 'zhapulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310109008', '310109', '310109008', '新港路街道', 'xinganglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310109009', '310109', '310109009', '欧阳路街道', 'ouyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310109010', '310109', '310109010', '曲阳路街道', 'quyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310109011', '310109', '310109011', '广中路街道', 'guangzhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310109014', '310109', '310109014', '嘉兴路街道', 'jiaxinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310109016', '310109', '310109016', '凉城新村街道', 'liangchengxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310109017', '310109', '310109017', '四川北路街道', 'sichuanbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310109018', '310109', '310109018', '提篮桥街道', 'tilanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310109101', '310109', '310109101', '江湾镇', 'jiangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110', '3101', '310110', '杨浦区', 'yangpuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110001', '310110', '310110001', '定海路街道', 'dinghailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110006', '310110', '310110006', '平凉路街道', 'pinglianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110008', '310110', '310110008', '江浦路街道', 'jiangpulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110009', '310110', '310110009', '四平路街道', 'sipinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110012', '310110', '310110012', '控江路街道', 'kongjianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110013', '310110', '310110013', '长白新村街道', 'zhangbaixincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110015', '310110', '310110015', '延吉新村街道', 'yanjixincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110016', '310110', '310110016', '殷行街道', 'yinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110018', '310110', '310110018', '大桥街道', 'daqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110019', '310110', '310110019', '五角场街道', 'wujiaochangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110020', '310110', '310110020', '新江湾城街道', 'xinjiangwanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310110101', '310110', '310110101', '五角场镇', 'wujiaochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112', '3101', '310112', '闵行区', 'minxingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112001', '310112', '310112001', '江川路街道', 'jiangchuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112005', '310112', '310112005', '龙柏街道', 'longbojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112006', '310112', '310112006', '古美街道', 'gumeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112101', '310112', '310112101', '莘庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112102', '310112', '310112102', '七宝镇', 'qibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112103', '310112', '310112103', '颛桥镇', 'zhuanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112106', '310112', '310112106', '华漕镇', 'huacaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112107', '310112', '310112107', '虹桥镇', 'hongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112108', '310112', '310112108', '梅陇镇', 'meilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112110', '310112', '310112110', '吴泾镇', 'wujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112112', '310112', '310112112', '马桥镇', 'maqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112114', '310112', '310112114', '浦江镇', 'pujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310112501', '310112', '310112501', '莘庄工业区', 'xinzhuanggongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113', '3101', '310113', '宝山区', 'baoshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113003', '310113', '310113003', '友谊路街道', 'youyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113007', '310113', '310113007', '吴淞街道', 'wusongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113008', '310113', '310113008', '张庙街道', 'zhangmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113101', '310113', '310113101', '罗店镇', 'luodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113102', '310113', '310113102', '大场镇', 'dachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113103', '310113', '310113103', '杨行镇', 'yangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113104', '310113', '310113104', '月浦镇', 'yuepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113106', '310113', '310113106', '罗泾镇', 'luojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113109', '310113', '310113109', '顾村镇', 'gucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113111', '310113', '310113111', '高境镇', 'gaojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113112', '310113', '310113112', '庙行镇', 'miaoxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113113', '310113', '310113113', '淞南镇', 'songnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310113501', '310113', '310113501', '宝山城市工业园区', 'baoshanchengshigongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114', '3101', '310114', '嘉定区', 'jiadingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114001', '310114', '310114001', '新成路街道', 'xinchenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114002', '310114', '310114002', '真新新村街道', 'zhenxinxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114003', '310114', '310114003', '菊园新区', 'juyuanxinqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114004', '310114', '310114004', '嘉定镇街道', 'jiadingzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114102', '310114', '310114102', '南翔镇', 'nanxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114103', '310114', '310114103', '安亭镇', 'antingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114106', '310114', '310114106', '马陆镇', 'maluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114109', '310114', '310114109', '徐行镇', 'xuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114111', '310114', '310114111', '华亭镇', 'huatingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114114', '310114', '310114114', '外冈镇', 'waigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114117', '310114', '310114117', '黄渡镇', 'huangduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114118', '310114', '310114118', '江桥镇', 'jiangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310114501', '310114', '310114501', '嘉定工业区', 'jiadinggongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115', '3101', '310115', '浦东新区', 'pudongxinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115004', '310115', '310115004', '潍坊新村街道', 'weifangxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115005', '310115', '310115005', '陆家嘴街道', 'lujiazuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115007', '310115', '310115007', '周家渡街道', 'zhoujiadujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115008', '310115', '310115008', '塘桥街道', 'tangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115009', '310115', '310115009', '上钢新村街道', 'shanggangxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115010', '310115', '310115010', '南码头路街道', 'nanmatoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115011', '310115', '310115011', '沪东新村街道', 'hudongxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115012', '310115', '310115012', '金杨新村街道', 'jinyangxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115013', '310115', '310115013', '洋泾街道', 'yangjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115014', '310115', '310115014', '浦兴路街道', 'puxinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115015', '310115', '310115015', '东明路街道', 'dongminglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115016', '310115', '310115016', '花木街道', 'huamujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115103', '310115', '310115103', '川沙新镇', 'chuanshaxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115104', '310115', '310115104', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115105', '310115', '310115105', '北蔡镇', 'beicaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115110', '310115', '310115110', '合庆镇', 'heqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115114', '310115', '310115114', '唐镇', 'tangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115117', '310115', '310115117', '曹路镇', 'caoluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115120', '310115', '310115120', '金桥镇', 'jinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115121', '310115', '310115121', '高行镇', 'gaoxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115123', '310115', '310115123', '高东镇', 'gaodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115125', '310115', '310115125', '张江镇', 'zhangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115130', '310115', '310115130', '三林镇', 'sanlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115501', '310115', '310115501', '外高桥保税区', 'waigaoqiaobaoshuiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310115502', '310115', '310115502', '金桥出口加工区', 'jinqiaochukoujiagongqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310116', '3101', '310116', '金山区', 'jinshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310116001', '310116', '310116001', '石化街道', 'shihuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310116101', '310116', '310116101', '朱泾镇', 'zhujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310116102', '310116', '310116102', '枫泾镇', 'fengjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310116103', '310116', '310116103', '张堰镇', 'zhangyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310116104', '310116', '310116104', '亭林镇', 'tinglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310116105', '310116', '310116105', '吕巷镇', 'lu:xiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310116107', '310116', '310116107', '廊下镇', 'langxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310116109', '310116', '310116109', '金山卫镇', 'jinshanweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310116112', '310116', '310116112', '漕泾镇', 'caojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310116113', '310116', '310116113', '山阳镇', 'shanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117', '3101', '310117', '松江区', 'songjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117001', '310117', '310117001', '岳阳街道', 'yueyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117002', '310117', '310117002', '永丰街道', 'yongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117003', '310117', '310117003', '方松街道', 'fangsongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117004', '310117', '310117004', '中山街道', 'zhongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117102', '310117', '310117102', '泗泾镇', 'sijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117103', '310117', '310117103', '佘山镇', 'sheshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117104', '310117', '310117104', '车墩镇', 'chedunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117105', '310117', '310117105', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117106', '310117', '310117106', '洞泾镇', 'dongjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117107', '310117', '310117107', '九亭镇', 'jiutingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117109', '310117', '310117109', '泖港镇', 'maogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117116', '310117', '310117116', '石湖荡镇', 'shihudangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117117', '310117', '310117117', '新浜镇', 'xinbangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117120', '310117', '310117120', '叶榭镇', 'yexiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117501', '310117', '310117501', '松江工业区', 'songjianggongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117504', '310117', '310117504', '佘山度假区', 'sheshandujiaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117505', '310117', '310117505', '五厍农业园区', 'wushenongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117506', '310117', '310117506', '上海松江科技园区', 'shanghaisongjiangkejiyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310117507', '310117', '310117507', '上海松江出口加工区', 'shanghaisongjiangchukoujiagongqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118', '3101', '310118', '青浦区', 'qingpuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118001', '310118', '310118001', '夏阳街道', 'xiayangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118002', '310118', '310118002', '盈浦街道', 'yingpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118003', '310118', '310118003', '香花桥街道', 'xianghuaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118102', '310118', '310118102', '朱家角镇', 'zhujiajiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118103', '310118', '310118103', '练塘镇', 'liantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118104', '310118', '310118104', '金泽镇', 'jinzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118105', '310118', '310118105', '赵巷镇', 'zhaoxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118106', '310118', '310118106', '徐泾镇', 'xujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118107', '310118', '310118107', '华新镇', 'huaxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118109', '310118', '310118109', '重固镇', 'zhongguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310118110', '310118', '310118110', '白鹤镇', 'baihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119', '3101', '310119', '南汇区', 'nanhuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119101', '310119', '310119101', '惠南镇', 'huinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119102', '310119', '310119102', '周浦镇', 'zhoupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119103', '310119', '310119103', '新场镇', 'xinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119104', '310119', '310119104', '大团镇', 'datuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119106', '310119', '310119106', '芦潮港镇', 'luchaogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119109', '310119', '310119109', '康桥镇', 'kangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119110', '310119', '310119110', '航头镇', 'hangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119111', '310119', '310119111', '六灶镇', 'liuzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119112', '310119', '310119112', '祝桥镇', 'zhuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119114', '310119', '310119114', '泥城镇', 'nichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119115', '310119', '310119115', '宣桥镇', 'xuanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119121', '310119', '310119121', '书院镇', 'shuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119122', '310119', '310119122', '万祥镇', 'wanxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119124', '310119', '310119124', '老港镇', 'laogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119401', '310119', '310119401', '芦潮港农场', 'luchaogangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119402', '310119', '310119402', '东海农场', 'donghainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310119403', '310119', '310119403', '朝阳农场', 'chaoyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120', '3101', '310120', '奉贤区', 'fengxianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120101', '310120', '310120101', '南桥镇', 'nanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120102', '310120', '310120102', '奉城镇', 'fengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120104', '310120', '310120104', '庄行镇', 'zhuangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120106', '310120', '310120106', '金汇镇', 'jinhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120109', '310120', '310120109', '四团镇', 'situanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120111', '310120', '310120111', '青村镇', 'qingcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120118', '310120', '310120118', '柘林镇', 'zhelinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120123', '310120', '310120123', '海湾镇', 'haiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120501', '310120', '310120501', '上海工业综合开发区', 'shanghaigongyezonghekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120502', '310120', '310120502', '上海化学工业区奉贤分区', 'shanghaihuaxuegongyequfengxianfenqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120503', '310120', '310120503', '海湾旅游区', 'haiwanlu:youqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120504', '310120', '310120504', '奉贤区现代农业园区', 'fengxianquxiandainongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310120505', '310120', '310120505', '上海海港综合经济开发区', 'shanghaihaigangzonghejingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3102', '31', '3102', '县', 'xian', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230', '3102', '310230', '崇明县', 'chongmingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230101', '310230', '310230101', '城桥镇', 'chengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230102', '310230', '310230102', '堡镇', 'baozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230103', '310230', '310230103', '新河镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230104', '310230', '310230104', '庙镇', 'miaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230106', '310230', '310230106', '竖新镇', 'shuxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230107', '310230', '310230107', '向化镇', 'xianghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230109', '310230', '310230109', '三星镇', 'sanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230113', '310230', '310230113', '港沿镇', 'gangyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230114', '310230', '310230114', '中兴镇', 'zhongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230115', '310230', '310230115', '陈家镇', 'chenjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230116', '310230', '310230116', '绿华镇', 'lu:huazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230118', '310230', '310230118', '港西镇', 'gangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230119', '310230', '310230119', '建设镇', 'jianshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230201', '310230', '310230201', '新村乡', 'xincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230202', '310230', '310230202', '长兴乡', 'zhangxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230203', '310230', '310230203', '横沙乡', 'hengshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230401', '310230', '310230401', '跃进农场', 'yuejinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230402', '310230', '310230402', '新海农场', 'xinhainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230403', '310230', '310230403', '红星农场', 'hongxingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230404', '310230', '310230404', '长征农场', 'zhangzhengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230405', '310230', '310230405', '东风农场', 'dongfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230406', '310230', '310230406', '长江农场', 'zhangjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230407', '310230', '310230407', '前进农场', 'qianjinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230408', '310230', '310230408', '前哨农场', 'qianshaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230409', '310230', '310230409', '前卫农场', 'qianweinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230410', '310230', '310230410', '东平林场', 'dongpinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('310230501', '310230', '310230501', '上实现代农业园区', 'shangshixiandainongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('32', '-1', '32', '江苏省', 'jiangsusheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3201', '32', '3201', '南京市', 'nanjingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320101', '3201', '320101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320102', '3201', '320102', '玄武区', 'xuanwuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320102002', '320102', '320102002', '梅园新村街道', 'meiyuanxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320102003', '320102', '320102003', '新街口街道', 'xinjiekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320102005', '320102', '320102005', '玄武门街道', 'xuanwumenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320102006', '320102', '320102006', '后宰门街道', 'houzaimenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320102007', '320102', '320102007', '锁金村街道', 'suojincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320102008', '320102', '320102008', '红山街道', 'hongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320102009', '320102', '320102009', '孝陵卫街道', 'xiaolingweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320102010', '320102', '320102010', '玄武湖街道', 'xuanwuhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320103', '3201', '320103', '白下区', 'baixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320103001', '320103', '320103001', '五老村街道', 'wulaocunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320103002', '320103', '320103002', '淮海路街道', 'huaihailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320103003', '320103', '320103003', '建康路街道', 'jiankanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320103004', '320103', '320103004', '洪武路街道', 'hongwulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320103005', '320103', '320103005', '大光路街道', 'daguanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320103006', '320103', '320103006', '瑞金路街道', 'ruijinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320103007', '320103', '320103007', '苜蓿园街道', 'muxuyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320103008', '320103', '320103008', '光华路街道', 'guanghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320103009', '320103', '320103009', '朝天宫街道', 'chaotiangongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320103010', '320103', '320103010', '止马营街道', 'zhimayingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320104', '3201', '320104', '秦淮区', 'qinhuaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320104001', '320104', '320104001', '秦虹街道', 'qinhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320104002', '320104', '320104002', '夫子庙街道', 'fuzimiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320104003', '320104', '320104003', '红花街道', 'honghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320104004', '320104', '320104004', '双塘街道', 'shuangtangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320104005', '320104', '320104005', '中华门街道', 'zhonghuamenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320105', '3201', '320105', '建邺区', 'jianyequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320105001', '320105', '320105001', '滨湖街道', 'binhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320105002', '320105', '320105002', '沙洲街道', 'shazhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320105003', '320105', '320105003', '双闸街道', 'shuangzhajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320105004', '320105', '320105004', '江心洲街道', 'jiangxinzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320105005', '320105', '320105005', '南湖街道', 'nanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320105006', '320105', '320105006', '兴隆街道', 'xinglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320105007', '320105', '320105007', '南苑街道', 'nanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320106', '3201', '320106', '鼓楼区', 'gulouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320106001', '320106', '320106001', '宁海路街道', 'ninghailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320106002', '320106', '320106002', '华侨路街道', 'huaqiaolujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320106003', '320106', '320106003', '湖南路街道', 'hunanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320106004', '320106', '320106004', '中央门街道', 'zhongyangmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320106005', '320106', '320106005', '挹江门街道', 'yijiangmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320106006', '320106', '320106006', '江东街道', 'jiangdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320106007', '320106', '320106007', '莫愁街道', 'mochoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320107', '3201', '320107', '下关区', 'xiaguanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320107001', '320107', '320107001', '阅江楼街道', 'yuejiangloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320107002', '320107', '320107002', '热河南路街道', 'rehenanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320107003', '320107', '320107003', '幕府山街道', 'mufushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320107004', '320107', '320107004', '建宁路街道', 'jianninglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320107005', '320107', '320107005', '宝塔桥街道', 'baotaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320107006', '320107', '320107006', '小市街道', 'xiaoshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111', '3201', '320111', '浦口区', 'pukouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111001', '320111', '320111001', '泰山街道', 'taishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111002', '320111', '320111002', '顶山街道', 'dingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111003', '320111', '320111003', '沿江街道', 'yanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111004', '320111', '320111004', '江浦街道', 'jiangpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111050', '320111', '320111050', '高新花苑虚拟街道', 'gaoxinhuayuanxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111101', '320111', '320111101', '桥林镇', 'qiaolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111102', '320111', '320111102', '永宁镇', 'yongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111103', '320111', '320111103', '汤泉镇', 'tangquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111104', '320111', '320111104', '星甸镇', 'xingdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111105', '320111', '320111105', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111106', '320111', '320111106', '乌江镇', 'wujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111107', '320111', '320111107', '盘城镇', 'panchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111400', '320111', '320111400', '老山林场', 'laoshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111401', '320111', '320111401', '汤泉农场', 'tangquannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320111402', '320111', '320111402', '珍珠泉管委会', 'zhenzhuquanguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113', '3201', '320113', '栖霞区', 'qixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113001', '320113', '320113001', '尧化街道', 'yaohuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113002', '320113', '320113002', '马群街道', 'maqunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113003', '320113', '320113003', '迈皋桥街道', 'maigaoqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113004', '320113', '320113004', '燕子矶街道', 'yanzijijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113005', '320113', '320113005', '栖霞街道', 'qixiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113006', '320113', '320113006', '龙潭街道', 'longtanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113007', '320113', '320113007', '仙林街道', 'xianlinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113008', '320113', '320113008', '靖安街道', 'jinganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113009', '320113', '320113009', '八卦洲街道', 'baguazhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113400', '320113', '320113400', '龙潭监狱', 'longtanjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113401', '320113', '320113401', '栖霞区技术经济开发区', 'qixiaqujishujingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113402', '320113', '320113402', '南京龙潭物流园', 'nanjinglongtanwuliuyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113403', '320113', '320113403', '南京市靖安三江口工业园', 'nanjingshijingansanjiangkougongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113404', '320113', '320113404', '南京迈皋桥创业园', 'nanjingmaigaoqiaochuangyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113405', '320113', '320113405', '南京市马群科技园', 'nanjingshimaqunkejiyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113406', '320113', '320113406', '南京仙林大学城', 'nanjingxianlindaxuecheng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320113450', '320113', '320113450', '南京经济技术开发区', 'nanjingjingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320114', '3201', '320114', '雨花台区', 'yuhuataiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320114001', '320114', '320114001', '宁南街道', 'ningnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320114002', '320114', '320114002', '赛虹桥街道', 'saihongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320114003', '320114', '320114003', '雨花新村街道', 'yuhuaxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320114004', '320114', '320114004', '西善桥街道', 'xishanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320114005', '320114', '320114005', '板桥街道', 'banqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320114006', '320114', '320114006', '铁心桥街道', 'tiexinqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320114007', '320114', '320114007', '梅山街道', 'meishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320114400', '320114', '320114400', '雨花经济技术开发区', 'yuhuajingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115', '3201', '320115', '江宁区', 'jiangningqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115001', '320115', '320115001', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115002', '320115', '320115002', '秣陵街道', 'molingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115003', '320115', '320115003', '汤山街道', 'tangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115004', '320115', '320115004', '淳化街道', 'chunhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115005', '320115', '320115005', '禄口街道', 'lukoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115006', '320115', '320115006', '江宁街道', 'jiangningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115007', '320115', '320115007', '谷里街道', 'gulijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115100', '320115', '320115100', '湖熟镇', 'hushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115101', '320115', '320115101', '横溪镇', 'hengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115400', '320115', '320115400', '江宁科学园', 'jiangningkexueyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115401', '320115', '320115401', '青龙山林场', 'qinglongshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320115450', '320115', '320115450', '江宁开发区', 'jiangningkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116', '3201', '320116', '六合区', 'liuhequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116001', '320116', '320116001', '卸甲甸街道', 'xiejiadianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116002', '320116', '320116002', '西厂门街道', 'xichangmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116003', '320116', '320116003', '山潘街道', 'shanpanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116004', '320116', '320116004', '葛塘街道', 'getangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116005', '320116', '320116005', '长芦街道', 'zhanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116100', '320116', '320116100', '雄州镇', 'xiongzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116101', '320116', '320116101', '冶山镇', 'yeshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116102', '320116', '320116102', '八百桥镇', 'babaiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116103', '320116', '320116103', '横梁镇', 'hengliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116104', '320116', '320116104', '东沟镇', 'donggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116105', '320116', '320116105', '龙袍镇', 'longpaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116106', '320116', '320116106', '玉带镇', 'yudaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116107', '320116', '320116107', '瓜埠镇', 'guabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116108', '320116', '320116108', '新集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116109', '320116', '320116109', '程桥镇', 'chengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116110', '320116', '320116110', '竹镇镇', 'zhuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116111', '320116', '320116111', '马集镇', 'majizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116112', '320116', '320116112', '马鞍镇', 'maanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116113', '320116', '320116113', '新篁镇', 'xinhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320116400', '320116', '320116400', '六合开发区', 'liuhekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320124', '3201', '320124', '溧水县', 'lishuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320124100', '320124', '320124100', '永阳镇', 'yongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320124101', '320124', '320124101', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320124102', '320124', '320124102', '东屏镇', 'dongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320124103', '320124', '320124103', '柘塘镇', 'zhetangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320124104', '320124', '320124104', '石湫镇', 'shiqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320124105', '320124', '320124105', '洪蓝镇', 'honglanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320124106', '320124', '320124106', '晶桥镇', 'jingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320124107', '320124', '320124107', '和凤镇', 'hefengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320124400', '320124', '320124400', '溧水县开发区', 'lishuixiankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125', '3201', '320125', '高淳县', 'gaochunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125100', '320125', '320125100', '淳溪镇', 'chunxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125101', '320125', '320125101', '阳江镇', 'yangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125102', '320125', '320125102', '砖墙镇', 'zhuanqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125103', '320125', '320125103', '古柏镇', 'gubozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125104', '320125', '320125104', '漆桥镇', 'qiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125105', '320125', '320125105', '固城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125106', '320125', '320125106', '东坝镇', 'dongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125108', '320125', '320125108', '桠溪镇', 'yaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125400', '320125', '320125400', '高淳县团结圩良种繁育场', 'gaochunxiantuanjieweiliangzhongfanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125401', '320125', '320125401', '高淳县茶叶实验场', 'gaochunxianchayeshiyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125402', '320125', '320125402', '高淳监狱', 'gaochunjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320125403', '320125', '320125403', '高淳县傅家坛林场', 'gaochunxianfujiatanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3202', '32', '3202', '无锡市', 'wuxishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320201', '3202', '320201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320202', '3202', '320202', '崇安区', 'chonganqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320202001', '320202', '320202001', '崇安寺街道', 'chongansijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320202002', '320202', '320202002', '通江街道', 'tongjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320202003', '320202', '320202003', '广瑞路街道', 'guangruilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320202004', '320202', '320202004', '上马墩街道', 'shangmadunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320202005', '320202', '320202005', '江海街道', 'jianghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320202006', '320202', '320202006', '广益街道', 'guangyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320203', '3202', '320203', '南长区', 'nanzhangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320203001', '320203', '320203001', '迎龙桥街道', 'yinglongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320203002', '320203', '320203002', '南禅寺街道', 'nanshansijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320203003', '320203', '320203003', '清名桥街道', 'qingmingqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320203004', '320203', '320203004', '金星街道', 'jinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320203005', '320203', '320203005', '金匮街道', 'jinkuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320203006', '320203', '320203006', '扬名街道', 'yangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320204', '3202', '320204', '北塘区', 'beitangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320204001', '320204', '320204001', '黄巷街道', 'huangxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320204002', '320204', '320204002', '山北街道', 'shanbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320204003', '320204', '320204003', '北大街街道', 'beidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320204004', '320204', '320204004', '惠山街道', 'huishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320205', '3202', '320205', '锡山区', 'xishanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320205001', '320205', '320205001', '东亭街道', 'dongtingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320205101', '320205', '320205101', '安镇镇', 'anzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320205102', '320205', '320205102', '羊尖镇', 'yangjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320205103', '320205', '320205103', '鹅湖镇', 'ehuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320205104', '320205', '320205104', '东北塘镇', 'dongbeitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320205105', '320205', '320205105', '锡北镇', 'xibeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320205106', '320205', '320205106', '东港镇', 'donggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320205400', '320205', '320205400', '无锡锡山开发区', 'wuxixishankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320206', '3202', '320206', '惠山区', 'huishanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320206001', '320206', '320206001', '堰桥街道', 'yanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320206002', '320206', '320206002', '长安街道', 'zhanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320206101', '320206', '320206101', '前洲镇', 'qianzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320206102', '320206', '320206102', '玉祁镇', 'yuqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320206103', '320206', '320206103', '洛社镇', 'luoshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320206104', '320206', '320206104', '钱桥镇', 'qianqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320206105', '320206', '320206105', '阳山镇', 'yangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320206400', '320206', '320206400', '无锡惠山经济开发区', 'wuxihuishanjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211', '3202', '320211', '滨湖区', 'binhuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211001', '320211', '320211001', '河埒街道', 'heliejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211002', '320211', '320211002', '荣巷街道', 'rongxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211003', '320211', '320211003', '蠡园街道', 'liyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211004', '320211', '320211004', '蠡湖街道', 'lihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211005', '320211', '320211005', '滨湖街道', 'binhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211006', '320211', '320211006', '华庄街道', 'huazhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211007', '320211', '320211007', '太湖街道', 'taihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211008', '320211', '320211008', '雪浪街道', 'xuelangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211050', '320211', '320211050', '旺庄街道', 'wangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211051', '320211', '320211051', '硕放街道', 'shuofangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211052', '320211', '320211052', '南站街道', 'nanzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211053', '320211', '320211053', '坊前街道', 'fangqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211103', '320211', '320211103', '马山镇', 'mashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211104', '320211', '320211104', '胡埭镇', 'hudaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211152', '320211', '320211152', '梅村镇', 'meicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211153', '320211', '320211153', '鸿山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211450', '320211', '320211450', '无锡新加坡工业园', 'wuxixinjiapogongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320211451', '320211', '320211451', '无锡高新技术产业开发区', 'wuxigaoxinjishuchanyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281', '3202', '320281', '江阴市', 'jiangyinshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281100', '320281', '320281100', '澄江镇', 'chengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281101', '320281', '320281101', '璜土镇', 'huangtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281102', '320281', '320281102', '利港镇', 'ligangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281103', '320281', '320281103', '申港镇', 'shengangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281104', '320281', '320281104', '夏港镇', 'xiagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281105', '320281', '320281105', '月城镇', 'yuechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281106', '320281', '320281106', '青阳镇', 'qingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281107', '320281', '320281107', '霞客镇', 'xiakezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281108', '320281', '320281108', '南闸镇', 'nanzhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281109', '320281', '320281109', '云亭镇', 'yuntingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281110', '320281', '320281110', '华士镇', 'huashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281111', '320281', '320281111', '周庄镇', 'zhouzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281112', '320281', '320281112', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281113', '320281', '320281113', '长泾镇', 'zhangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281114', '320281', '320281114', '顾山镇', 'gushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281115', '320281', '320281115', '祝塘镇', 'zhutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281400', '320281', '320281400', '江阴经济开发区新城东', 'jiangyinjingjikaifaquxinchengdong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281401', '320281', '320281401', '江阴经济开发区港口', 'jiangyinjingjikaifaqugangkou', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281402', '320281', '320281402', '江阴经济开发区石庄', 'jiangyinjingjikaifaqushizhuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320281403', '320281', '320281403', '江阴经济开发区靖江园区', 'jiangyinjingjikaifaqujingjiangyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282', '3202', '320282', '宜兴市', 'yixingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282001', '320282', '320282001', '宜城街道', 'yichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282002', '320282', '320282002', '屺亭街道', 'qitingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282101', '320282', '320282101', '张渚镇', 'zhangzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282102', '320282', '320282102', '西渚镇', 'xizhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282103', '320282', '320282103', '太华镇', 'taihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282104', '320282', '320282104', '徐舍镇', 'xushezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282105', '320282', '320282105', '鲸塘镇', 'jingtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282106', '320282', '320282106', '芳庄镇', 'fangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282107', '320282', '320282107', '官林镇', 'guanlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282108', '320282', '320282108', '杨巷镇', 'yangxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282109', '320282', '320282109', '新建镇', 'xinjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282110', '320282', '320282110', '和桥镇', 'heqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282111', '320282', '320282111', '高塍镇', 'gaochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282113', '320282', '320282113', '万石镇', 'wanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282114', '320282', '320282114', '周铁镇', 'zhoutiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282115', '320282', '320282115', '芳桥镇', 'fangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282116', '320282', '320282116', '新庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282117', '320282', '320282117', '丁蜀镇', 'dingshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282118', '320282', '320282118', '大浦镇', 'dapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282119', '320282', '320282119', '湖父镇', 'hufuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282120', '320282', '320282120', '新街镇', 'xinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282400', '320282', '320282400', '环科园', 'huankeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282401', '320282', '320282401', '宜兴经济开发区', 'yixingjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282402', '320282', '320282402', '芙蓉茶场', 'furongchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282403', '320282', '320282403', '宜兴市林场', 'yixingshilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282404', '320282', '320282404', '宜兴市大贤岭林场', 'yixingshidaxianlinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320282405', '320282', '320282405', '无锡市茶叶研究所', 'wuxishichayeyanjiusuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3203', '32', '3203', '徐州市', 'xuzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320301', '3203', '320301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302', '3203', '320302', '鼓楼区', 'gulouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302001', '320302', '320302001', '黄楼街道', 'huangloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302002', '320302', '320302002', '丰财街道', 'fengcaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302003', '320302', '320302003', '琵琶街道', 'pipajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302004', '320302', '320302004', '牌楼街道', 'pailoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302005', '320302', '320302005', '铜沛街道', 'tongpeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302006', '320302', '320302006', '环城街道', 'huanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302051', '320302', '320302051', '金山桥街道', 'jinshanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302052', '320302', '320302052', '东环街道', 'donghuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302053', '320302', '320302053', '大黄山街道', 'dahuangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302151', '320302', '320302151', '大庙镇', 'damiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320302152', '320302', '320302152', '大黄山镇', 'dahuangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320303', '3203', '320303', '云龙区', 'yunlongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320303001', '320303', '320303001', '彭城街道', 'pengchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320303005', '320303', '320303005', '子房街道', 'zifangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320303007', '320303', '320303007', '黄山街道', 'huangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320303008', '320303', '320303008', '骆驼山街道', 'luotuoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320303010', '320303', '320303010', '大郭庄街道', 'daguozhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320303011', '320303', '320303011', '翠屏山街道', 'cuipingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320303012', '320303', '320303012', '潘塘街道', 'pantangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304', '3203', '320304', '九里区', 'jiuliqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304001', '320304', '320304001', '庞庄街道', 'pangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304003', '320304', '320304003', '利国街道', 'liguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304004', '320304', '320304004', '桃园街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304005', '320304', '320304005', '三河尖街道', 'sanhejianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304006', '320304', '320304006', '垞城街道', 'chachengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304007', '320304', '320304007', '义安街道', 'yianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304008', '320304', '320304008', '张集街道', 'zhangjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304009', '320304', '320304009', '电厂街道', 'dianchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304010', '320304', '320304010', '张双楼街道', 'zhangshuangloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304011', '320304', '320304011', '九里街道', 'jiulijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304012', '320304', '320304012', '拾屯街道', 'shitunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304013', '320304', '320304013', '苏山街道', 'sushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320304014', '320304', '320304014', '火花街道', 'huohuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305', '3203', '320305', '贾汪区', 'jiawangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305001', '320305', '320305001', '老矿街道', 'laokuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305002', '320305', '320305002', '夏桥街道', 'xiaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305101', '320305', '320305101', '贾汪镇', 'jiawangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305102', '320305', '320305102', '青山泉镇', 'qingshanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305103', '320305', '320305103', '大吴镇', 'dawuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305104', '320305', '320305104', '紫庄镇', 'zizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305105', '320305', '320305105', '塔山镇', 'tashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305106', '320305', '320305106', '汴塘镇', 'biantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305107', '320305', '320305107', '江庄镇', 'jiangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305401', '320305', '320305401', '工业园区管委会', 'gongyeyuanquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320305402', '320305', '320305402', '鹿庄粮棉原种场', 'luzhuangliangmianyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320311', '3203', '320311', '泉山区', 'quanshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320311001', '320311', '320311001', '王陵街道', 'wanglingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320311003', '320311', '320311003', '永安街道', 'yonganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320311004', '320311', '320311004', '湖滨街道', 'hubinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320311005', '320311', '320311005', '段庄街道', 'duanzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320311006', '320311', '320311006', '翟山街道', 'zhaishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320311007', '320311', '320311007', '奎山街道', 'kuishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320311008', '320311', '320311008', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320311011', '320311', '320311011', '泰山街道', 'taishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320311012', '320311', '320311012', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320311014', '320311', '320311014', '七里沟街道', 'qiligoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321', '3203', '320321', '丰县', 'fengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321101', '320321', '320321101', '凤城镇', 'fengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321102', '320321', '320321102', '首羡镇', 'shouxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321103', '320321', '320321103', '顺河镇', 'shunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321104', '320321', '320321104', '常店镇', 'changdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321105', '320321', '320321105', '欢口镇', 'huankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321106', '320321', '320321106', '师寨镇', 'shizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321107', '320321', '320321107', '华山镇', 'huashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321108', '320321', '320321108', '梁寨镇', 'liangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321109', '320321', '320321109', '范楼镇', 'fanlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321110', '320321', '320321110', '孙楼镇', 'sunlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321111', '320321', '320321111', '宋楼镇', 'songlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321112', '320321', '320321112', '大沙河镇', 'dashahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321113', '320321', '320321113', '王沟镇', 'wanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321114', '320321', '320321114', '赵庄镇', 'zhaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320321401', '320321', '320321401', '大沙河林场', 'dashahelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322', '3203', '320322', '沛县', 'peixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322101', '320322', '320322101', '龙固镇', 'longguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322102', '320322', '320322102', '杨屯镇', 'yangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322103', '320322', '320322103', '大屯镇', 'datunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322104', '320322', '320322104', '沛城镇', 'peichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322105', '320322', '320322105', '胡寨镇', 'huzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322106', '320322', '320322106', '魏庙镇', 'weimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322107', '320322', '320322107', '五段镇', 'wuduanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322108', '320322', '320322108', '张庄镇', 'zhangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322109', '320322', '320322109', '张寨镇', 'zhangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322110', '320322', '320322110', '敬安镇', 'jinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322111', '320322', '320322111', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322112', '320322', '320322112', '栖山镇', 'qishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322113', '320322', '320322113', '鹿楼镇', 'lulouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322114', '320322', '320322114', '朱寨镇', 'zhuzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322115', '320322', '320322115', '安国镇', 'anguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322403', '320322', '320322403', '中煤集团大屯煤电(集团)公司', 'zhongmeijituandatunmeidian(jituan)gongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320322451', '320322', '320322451', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323', '3203', '320323', '铜山县', 'tongshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323101', '320323', '320323101', '铜山镇', 'tongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323102', '320323', '320323102', '何桥镇', 'heqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323103', '320323', '320323103', '黄集镇', 'huangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323104', '320323', '320323104', '马坡镇', 'mapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323105', '320323', '320323105', '郑集镇', 'zhengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323106', '320323', '320323106', '柳新镇', 'liuxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323107', '320323', '320323107', '刘集镇', 'liujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323108', '320323', '320323108', '大彭镇', 'dapengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323109', '320323', '320323109', '汉王镇', 'hanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323110', '320323', '320323110', '三堡镇', 'sanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323111', '320323', '320323111', '棠张镇', 'tangzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323112', '320323', '320323112', '张集镇', 'zhangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323113', '320323', '320323113', '房村镇', 'fangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323114', '320323', '320323114', '伊庄镇', 'yizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323115', '320323', '320323115', '单集镇', 'danjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323117', '320323', '320323117', '徐庄镇', 'xuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323118', '320323', '320323118', '大许镇', 'daxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323119', '320323', '320323119', '茅村镇', 'maocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323120', '320323', '320323120', '柳泉镇', 'liuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323121', '320323', '320323121', '利国镇', 'liguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320323401', '320323', '320323401', '国营沿湖农', 'guoyingyanhunong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324', '3203', '320324', '睢宁县', 'suiningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324101', '320324', '320324101', '睢城镇', 'suichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324102', '320324', '320324102', '王集镇', 'wangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324103', '320324', '320324103', '双沟镇', 'shuanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324104', '320324', '320324104', '岚山镇', 'lanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324105', '320324', '320324105', '李集镇', 'lijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324106', '320324', '320324106', '桃园镇', 'taoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324107', '320324', '320324107', '官山镇', 'guanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324108', '320324', '320324108', '高作镇', 'gaozuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324109', '320324', '320324109', '沙集镇', 'shajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324110', '320324', '320324110', '凌城镇', 'lingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324111', '320324', '320324111', '邱集镇', 'qiujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324112', '320324', '320324112', '古邳镇', 'gupizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324113', '320324', '320324113', '姚集镇', 'yaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324114', '320324', '320324114', '魏集镇', 'weijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324115', '320324', '320324115', '梁集镇', 'liangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324116', '320324', '320324116', '庆安镇', 'qinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320324451', '320324', '320324451', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381', '3203', '320381', '新沂市', 'xinyishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381101', '320381', '320381101', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381102', '320381', '320381102', '瓦窑镇', 'wayaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381103', '320381', '320381103', '港头镇', 'gangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381104', '320381', '320381104', '唐店镇', 'tangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381105', '320381', '320381105', '合沟镇', 'hegouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381106', '320381', '320381106', '草桥镇', 'caoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381107', '320381', '320381107', '窑湾镇', 'yaowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381108', '320381', '320381108', '棋盘镇', 'qipanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381110', '320381', '320381110', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381111', '320381', '320381111', '邵店镇', 'shaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381112', '320381', '320381112', '北沟镇', 'beigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381113', '320381', '320381113', '时集镇', 'shijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381114', '320381', '320381114', '高流镇', 'gaoliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381115', '320381', '320381115', '阿湖镇', 'ahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381116', '320381', '320381116', '双塘镇', 'shuangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381117', '320381', '320381117', '马岭山镇', 'malingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320381451', '320381', '320381451', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382', '3203', '320382', '邳州市', 'pizhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382101', '320382', '320382101', '运河镇', 'yunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382102', '320382', '320382102', '邳城镇', 'pichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382103', '320382', '320382103', '官湖镇', 'guanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382104', '320382', '320382104', '四户镇', 'sihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382105', '320382', '320382105', '宿羊山镇', 'suyangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382106', '320382', '320382106', '八义集镇', 'bayijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382107', '320382', '320382107', '土山镇', 'tushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382108', '320382', '320382108', '碾庄镇', 'nianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382109', '320382', '320382109', '港上镇', 'gangshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382110', '320382', '320382110', '邹庄镇', 'zouzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382111', '320382', '320382111', '占城镇', 'zhanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382112', '320382', '320382112', '新河镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382113', '320382', '320382113', '八路镇', 'baluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382114', '320382', '320382114', '炮车镇', 'paochezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382115', '320382', '320382115', '铁富镇', 'tiefuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382116', '320382', '320382116', '岔河镇', 'chahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382117', '320382', '320382117', '戴圩镇', 'daiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382118', '320382', '320382118', '陈楼镇', 'chenlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382119', '320382', '320382119', '邢楼镇', 'xinglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382120', '320382', '320382120', '戴庄镇', 'daizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382121', '320382', '320382121', '车辐山镇', 'chefushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382122', '320382', '320382122', '燕子埠镇', 'yanzibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382123', '320382', '320382123', '赵墩镇', 'zhaodunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382124', '320382', '320382124', '议堂镇', 'yitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382401', '320382', '320382401', '邳城农场', 'pichengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320382402', '320382', '320382402', '张楼农场', 'zhanglounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3204', '32', '3204', '常州市', 'changzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320401', '3204', '320401', '常州市区', 'changzhoushiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320402', '3204', '320402', '天宁区', 'tianningqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320402001', '320402', '320402001', '雕庄街道', 'diaozhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320402002', '320402', '320402002', '青龙街道', 'qinglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320402003', '320402', '320402003', '茶山街道', 'chashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320402004', '320402', '320402004', '红梅街道', 'hongmeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320402005', '320402', '320402005', '天宁街道', 'tianningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320402006', '320402', '320402006', '兰陵街道', 'lanlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320404', '3204', '320404', '钟楼区', 'zhonglouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320404001', '320404', '320404001', '五星街道', 'wuxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320404002', '320404', '320404002', '永红街道', 'yonghongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320404003', '320404', '320404003', '北港街道', 'beigangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320404004', '320404', '320404004', '西林街道', 'xilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320404005', '320404', '320404005', '南大街街道', 'nandajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320404006', '320404', '320404006', '荷花池街道', 'hehuachijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320404100', '320404', '320404100', '新闸镇', 'xinzhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320405', '3204', '320405', '戚墅堰区', 'qishuyanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320405001', '320405', '320405001', '戚墅堰街道', 'qishuyanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320405100', '320405', '320405100', '丁堰镇', 'dingyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320405101', '320405', '320405101', '潞城镇', 'luchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320411', '3204', '320411', '新北区', 'xinbeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320411001', '320411', '320411001', '河海街道', 'hehaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320411002', '320411', '320411002', '三井街道', 'sanjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320411003', '320411', '320411003', '龙虎塘街道', 'longhutangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320411100', '320411', '320411100', '春江镇', 'chunjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320411101', '320411', '320411101', '孟河镇', 'menghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320411102', '320411', '320411102', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320411103', '320411', '320411103', '薛家镇', 'xuejiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320411104', '320411', '320411104', '罗溪镇', 'luoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320411105', '320411', '320411105', '西夏墅镇', 'xixiashuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412', '3204', '320412', '武进区', 'wujinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412100', '320412', '320412100', '湖塘镇', 'hutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412102', '320412', '320412102', '牛塘镇', 'niutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412103', '320412', '320412103', '洛阳镇', 'luoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412104', '320412', '320412104', '遥观镇', 'yaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412105', '320412', '320412105', '横林镇', 'henglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412106', '320412', '320412106', '横山桥镇', 'hengshanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412107', '320412', '320412107', '芙蓉镇', 'furongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412108', '320412', '320412108', '焦溪镇', 'jiaoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412109', '320412', '320412109', '郑陆镇', 'zhengluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412110', '320412', '320412110', '雪堰镇', 'xueyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412111', '320412', '320412111', '潘家镇', 'panjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412112', '320412', '320412112', '漕桥镇', 'caoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412113', '320412', '320412113', '前黄镇', 'qianhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412114', '320412', '320412114', '礼嘉镇', 'lijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412115', '320412', '320412115', '寨桥镇', 'zhaiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412116', '320412', '320412116', '邹区镇', 'zouquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412117', '320412', '320412117', '卜弋镇', 'buyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412118', '320412', '320412118', '夏溪镇', 'xiaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412119', '320412', '320412119', '嘉泽镇', 'jiazezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412120', '320412', '320412120', '湟里镇', 'huanglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412121', '320412', '320412121', '东安镇', 'donganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412122', '320412', '320412122', '奔牛镇', 'benniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412400', '320412', '320412400', '武进经济开发区', 'wujinjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412401', '320412', '320412401', '运村农科良种场', 'yuncunnongkeliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412402', '320412', '320412402', '奔牛稻麦原种场', 'benniudaomaiyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412403', '320412', '320412403', '郑陆良种繁育场', 'zhengluliangzhongfanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412404', '320412', '320412404', '夏溪良种繁育场', 'xiaxiliangzhongfanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412405', '320412', '320412405', '蚕种场', 'canzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412406', '320412', '320412406', '前黄苗圃', 'qianhuangmiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412407', '320412', '320412407', '水产养殖场', 'shuichanyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412408', '320412', '320412408', '种兔场', 'zhongtuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412409', '320412', '320412409', '横山苗圃', 'hengshanmiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412410', '320412', '320412410', '公路苗圃', 'gonglumiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320412411', '320412', '320412411', '高新区', 'gaoxinqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481', '3204', '320481', '溧阳市', 'liyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481100', '320481', '320481100', '溧城镇', 'lichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481101', '320481', '320481101', '埭头镇', 'daitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481102', '320481', '320481102', '上黄镇', 'shanghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481103', '320481', '320481103', '戴埠镇', 'daibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481104', '320481', '320481104', '横涧镇', 'hengjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481106', '320481', '320481106', '天目湖镇', 'tianmuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481107', '320481', '320481107', '别桥镇', 'bieqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481108', '320481', '320481108', '绸缪镇', 'choumouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481109', '320481', '320481109', '上兴镇', 'shangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481110', '320481', '320481110', '上沛镇', 'shangpeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481111', '320481', '320481111', '竹箦镇', 'zhuzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481112', '320481', '320481112', '后周镇', 'houzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481113', '320481', '320481113', '前马镇', 'qianmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481114', '320481', '320481114', '南渡镇', 'nanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481115', '320481', '320481115', '新昌镇', 'xinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481116', '320481', '320481116', '社渚镇', 'shezhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481117', '320481', '320481117', '周城镇', 'zhouchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481400', '320481', '320481400', '常州监狱', 'changzhoujianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320481401', '320481', '320481401', '溧阳监狱', 'liyangjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482', '3204', '320482', '金坛市', 'jintanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482100', '320482', '320482100', '金城镇', 'jinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482101', '320482', '320482101', '白塔镇', 'baitazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482102', '320482', '320482102', '河头镇', 'hetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482103', '320482', '320482103', '水北镇', 'shuibeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482104', '320482', '320482104', '儒林镇', 'rulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482105', '320482', '320482105', '尧塘镇', 'yaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482106', '320482', '320482106', '直溪镇', 'zhixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482107', '320482', '320482107', '建昌镇', 'jianchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482108', '320482', '320482108', '朱林镇', 'zhulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482109', '320482', '320482109', '薛埠镇', 'xuebuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482110', '320482', '320482110', '茅麓镇', 'maoluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482111', '320482', '320482111', '社头镇', 'shetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482112', '320482', '320482112', '指前镇', 'zhiqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482113', '320482', '320482113', '洮西镇', 'taoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482114', '320482', '320482114', '西岗镇', 'xigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320482400', '320482', '320482400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3205', '32', '3205', '苏州市', 'suzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320501', '3205', '320501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320502', '3205', '320502', '沧浪区', 'canglangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320502001', '320502', '320502001', '双塔街道', 'shuangtajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320502002', '320502', '320502002', '南门街道', 'nanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320502003', '320502', '320502003', '胥江街道', 'xujiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320502004', '320502', '320502004', '吴门桥街道', 'wumenqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320502005', '320502', '320502005', '葑门街道', 'fengmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320502006', '320502', '320502006', '友新街道', 'youxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320503', '3205', '320503', '平江区', 'pingjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320503001', '320503', '320503001', '观前街道', 'guanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320503002', '320503', '320503002', '平江路街道', 'pingjianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320503003', '320503', '320503003', '苏锦街道', 'sujinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320503004', '320503', '320503004', '娄门街道', 'loumenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320503005', '320503', '320503005', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320503006', '320503', '320503006', '桃花坞街道', 'taohuawujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320503150', '320503', '320503150', '娄葑镇', 'loufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320503152', '320503', '320503152', '唯亭镇', 'weitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320503153', '320503', '320503153', '胜浦镇', 'shengpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320503199', '320503', '320503199', '虚拟镇', 'xunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320504', '3205', '320504', '金阊区', 'jinchangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320504001', '320504', '320504001', '石路街道', 'shilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320504002', '320504', '320504002', '彩香街道', 'caixiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320504003', '320504', '320504003', '留园街道', 'liuyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320504004', '320504', '320504004', '虎丘街道', 'huqiujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320504005', '320504', '320504005', '白洋湾街道', 'baiyangwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505', '3205', '320505', '苏州高新区虎丘区', 'suzhougaoxinquhuqiuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505001', '320505', '320505001', '横塘街道', 'hengtangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505002', '320505', '320505002', '狮山街道', 'shishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505003', '320505', '320505003', '枫桥街道', 'fengqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505004', '320505', '320505004', '镇湖街道', 'zhenhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505100', '320505', '320505100', '浒墅关镇', 'hushuguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505101', '320505', '320505101', '通安镇', 'tonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505102', '320505', '320505102', '东渚镇', 'dongzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505400', '320505', '320505400', '高新区浒墅关开发分区', 'gaoxinquhushuguankaifafenqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505403', '320505', '320505403', '苏州高新区出口加工区', 'suzhougaoxinquchukoujiagongqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505405', '320505', '320505405', '苏州高新技术创业服务中心', 'suzhougaoxinjishuchuangyefuwuzhongxin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505406', '320505', '320505406', '苏州高新物流中心', 'suzhougaoxinwuliuzhongxin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320505407', '320505', '320505407', '苏州科技城', 'suzhoukejicheng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506', '3205', '320506', '吴中区', 'wuzhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506001', '320506', '320506001', '长桥街道', 'zhangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506003', '320506', '320506003', '越溪街道', 'yuexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506004', '320506', '320506004', '郭巷街道', 'guoxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506005', '320506', '320506005', '横泾街道', 'hengjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506006', '320506', '320506006', '香山街道', 'xiangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506007', '320506', '320506007', '苏苑街道', 'suyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506008', '320506', '320506008', '龙西街道', 'longxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506009', '320506', '320506009', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506100', '320506', '320506100', '甪直镇', 'luzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506101', '320506', '320506101', '车坊镇', 'chefangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506102', '320506', '320506102', '藏书镇', 'zangshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506103', '320506', '320506103', '木渎镇', 'muduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506104', '320506', '320506104', '胥口镇', 'xukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506105', '320506', '320506105', '浦庄镇', 'puzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506106', '320506', '320506106', '渡村镇', 'ducunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506107', '320506', '320506107', '东山镇', 'dongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506108', '320506', '320506108', '光福镇', 'guangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506109', '320506', '320506109', '西山镇', 'xishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506400', '320506', '320506400', '江苏省太湖采石公司', 'jiangsushengtaihucaishigongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506401', '320506', '320506401', '吴中区林场', 'wuzhongqulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320506402', '320506', '320506402', '西山农业园区', 'xishannongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320507', '3205', '320507', '相城区', 'xiangchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320507001', '320507', '320507001', '元和街道', 'yuanhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320507002', '320507', '320507002', '太平街道', 'taipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320507003', '320507', '320507003', '黄桥街道', 'huangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320507100', '320507', '320507100', '望亭镇', 'wangtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320507102', '320507', '320507102', '黄埭镇', 'huangdaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320507105', '320507', '320507105', '渭塘镇', 'weitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320507106', '320507', '320507106', '北桥镇', 'beiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320507109', '320507', '320507109', '阳澄湖镇', 'yangchenghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320507400', '320507', '320507400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581', '3205', '320581', '常熟市', 'changshushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581100', '320581', '320581100', '虞山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581101', '320581', '320581101', '梅李镇', 'meilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581102', '320581', '320581102', '海虞镇', 'haiyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581103', '320581', '320581103', '新港镇', 'xingangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581104', '320581', '320581104', '古里镇', 'gulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581105', '320581', '320581105', '沙家浜镇', 'shajiabangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581106', '320581', '320581106', '支塘镇', 'zhitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581107', '320581', '320581107', '董浜镇', 'dongbangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581110', '320581', '320581110', '辛庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581111', '320581', '320581111', '尚湖镇', 'shanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581400', '320581', '320581400', '虞山林场', 'yushanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581401', '320581', '320581401', '常熟经济开发区', 'changshujingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320581402', '320581', '320581402', '常熟东南开发区', 'changshudongnankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582', '3205', '320582', '张家港市', 'zhangjiagangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582100', '320582', '320582100', '杨舍镇', 'yangshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582101', '320582', '320582101', '塘桥镇', 'tangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582102', '320582', '320582102', '金港镇', 'jingangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582103', '320582', '320582103', '锦丰镇', 'jinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582104', '320582', '320582104', '乐余镇', 'leyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582105', '320582', '320582105', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582106', '320582', '320582106', '南丰镇', 'nanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582107', '320582', '320582107', '大新镇', 'daxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582400', '320582', '320582400', '常阴沙管理区', 'changyinshaguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582401', '320582', '320582401', '江苏省张家港经济技术开发区', 'jiangsushengzhangjiagangjingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582402', '320582', '320582402', '张家港市沿江开发办', 'zhangjiagangshiyanjiangkaifaban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582403', '320582', '320582403', '张家港保税区', 'zhangjiagangbaoshuiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582404', '320582', '320582404', '张家港市稻麦良种场', 'zhangjiagangshidaomailiangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320582405', '320582', '320582405', '张家港市畜禽良种场', 'zhangjiagangshichuqinliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583', '3205', '320583', '昆山市', 'kunshanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583100', '320583', '320583100', '玉山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583101', '320583', '320583101', '巴城镇', 'bachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583102', '320583', '320583102', '周市镇', 'zhoushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583103', '320583', '320583103', '陆家镇', 'lujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583104', '320583', '320583104', '花桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583105', '320583', '320583105', '淀山湖镇', 'dianshanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583106', '320583', '320583106', '张浦镇', 'zhangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583107', '320583', '320583107', '周庄镇', 'zhouzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583108', '320583', '320583108', '千灯镇', 'qiandengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583109', '320583', '320583109', '锦溪镇', 'jinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320583400', '320583', '320583400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584', '3205', '320584', '吴江市', 'wujiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584100', '320584', '320584100', '松陵镇', 'songlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584101', '320584', '320584101', '同里镇', 'tonglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584104', '320584', '320584104', '平望镇', 'pingwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584105', '320584', '320584105', '盛泽镇', 'shengzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584106', '320584', '320584106', '横扇镇', 'hengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584107', '320584', '320584107', '七都镇', 'qidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584108', '320584', '320584108', '震泽镇', 'zhenzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584109', '320584', '320584109', '桃源镇', 'taoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584110', '320584', '320584110', '汾湖镇', 'fenhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584400', '320584', '320584400', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320584401', '320584', '320584401', '东方丝绸市场', 'dongfangsichoushichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320585', '3205', '320585', '太仓市', 'taicangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320585100', '320585', '320585100', '城厢镇', 'chengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320585101', '320585', '320585101', '沙溪镇', 'shaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320585102', '320585', '320585102', '浏河镇', 'liuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320585103', '320585', '320585103', '浮桥镇', 'fuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320585104', '320585', '320585104', '璜泾镇', 'huangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320585105', '320585', '320585105', '双凤镇', 'shuangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320585106', '320585', '320585106', '陆渡镇', 'luduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320585400', '320585', '320585400', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320585401', '320585', '320585401', '港区', 'gangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3206', '32', '3206', '南通市', 'nantongshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320601', '3206', '320601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602', '3206', '320602', '崇川区', 'chongchuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602001', '320602', '320602001', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602002', '320602', '320602002', '和平桥街道', 'hepingqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602003', '320602', '320602003', '任港街道', 'rengangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602004', '320602', '320602004', '新城桥街道', 'xinchengqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602005', '320602', '320602005', '虹桥街道', 'hongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602006', '320602', '320602006', '学田街道', 'xuetianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602007', '320602', '320602007', '钟秀街道', 'zhongxiujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602008', '320602', '320602008', '文峰街道', 'wenfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602050', '320602', '320602050', '中兴街道', 'zhongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602100', '320602', '320602100', '观音山镇', 'guanyinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602101', '320602', '320602101', '狼山镇', 'langshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602150', '320602', '320602150', '新开镇', 'xinkaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602151', '320602', '320602151', '竹行镇', 'zhuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602152', '320602', '320602152', '小海镇', 'xiaohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602450', '320602', '320602450', '江苏省国营南通农场', 'jiangsushengguoyingnantongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602451', '320602', '320602451', '南通市富民港良种场', 'nantongshifumingangliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320602452', '320602', '320602452', '南通市富民港种畜场', 'nantongshifumingangzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320611', '3206', '320611', '港闸区', 'gangzhaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320611001', '320611', '320611001', '永兴街道', 'yongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320611002', '320611', '320611002', '唐闸镇街道', 'tangzhazhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320611003', '320611', '320611003', '天生港镇街道', 'tianshenggangzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320611004', '320611', '320611004', '秦灶街道', 'qinzaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320611202', '320611', '320611202', '陈桥乡', 'chenqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320611203', '320611', '320611203', '幸福乡', 'xingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320611400', '320611', '320611400', '港闸开发区', 'gangzhakaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621', '3206', '320621', '海安县', 'haianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621100', '320621', '320621100', '海安镇', 'haianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621101', '320621', '320621101', '城东镇', 'chengdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621102', '320621', '320621102', '曲塘镇', 'qutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621103', '320621', '320621103', '李堡镇', 'libaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621104', '320621', '320621104', '老坝港镇', 'laobagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621105', '320621', '320621105', '角斜镇', 'jiaoxiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621106', '320621', '320621106', '西场镇', 'xichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621107', '320621', '320621107', '大公镇', 'dagongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621108', '320621', '320621108', '孙庄镇', 'sunzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621109', '320621', '320621109', '雅周镇', 'yazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621110', '320621', '320621110', '胡集镇', 'hujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621111', '320621', '320621111', '白甸镇', 'baidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621112', '320621', '320621112', '南莫镇', 'nanmozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621113', '320621', '320621113', '墩头镇', 'duntouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320621400', '320621', '320621400', '海安县农场', 'haianxiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623', '3206', '320623', '如东', 'rudong', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623100', '320623', '320623100', '栟茶镇', 'bingchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623101', '320623', '320623101', '洋口镇', 'yangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623102', '320623', '320623102', '苴镇', 'juzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623103', '320623', '320623103', '长沙镇', 'zhangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623104', '320623', '320623104', '大豫镇', 'dayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623105', '320623', '320623105', '掘港镇', 'juegangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623106', '320623', '320623106', '兵房镇', 'bingfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623107', '320623', '320623107', '马塘镇', 'matangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623108', '320623', '320623108', '丰利镇', 'fenglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623109', '320623', '320623109', '曹埠镇', 'caobuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623110', '320623', '320623110', '岔河镇', 'chahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623111', '320623', '320623111', '双甸镇', 'shuangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623112', '320623', '320623112', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623113', '320623', '320623113', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320623114', '320623', '320623114', '袁庄镇', 'yuanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681', '3206', '320681', '启东市', 'qidongshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681100', '320681', '320681100', '汇龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681101', '320681', '320681101', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681102', '320681', '320681102', '南阳镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681103', '320681', '320681103', '惠丰镇', 'huifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681104', '320681', '320681104', '民主镇', 'minzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681105', '320681', '320681105', '北新镇', 'beixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681106', '320681', '320681106', '久隆镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681107', '320681', '320681107', '王鲍镇', 'wangbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681108', '320681', '320681108', '合作镇', 'hezuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681109', '320681', '320681109', '志良镇', 'zhiliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681110', '320681', '320681110', '吕四港镇', 'lu:sigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681111', '320681', '320681111', '天汾镇', 'tianfenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681112', '320681', '320681112', '兆民镇', 'zhaominzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681113', '320681', '320681113', '海复镇', 'haifuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681114', '320681', '320681114', '少直镇', 'shaozhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681115', '320681', '320681115', '向阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681116', '320681', '320681116', '东元镇', 'dongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681117', '320681', '320681117', '近海镇', 'jinhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681118', '320681', '320681118', '寅阳镇', 'yinyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681119', '320681', '320681119', '和合镇', 'hehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681120', '320681', '320681120', '惠萍镇', 'huipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681121', '320681', '320681121', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681122', '320681', '320681122', '东海镇', 'donghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681200', '320681', '320681200', '启隆乡', 'qilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320681400', '320681', '320681400', '启东经济开发区', 'qidongjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682', '3206', '320682', '如皋市	', 'rugaoshi	', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682100', '320682', '320682100', '如城镇	', 'ruchengzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682101', '320682', '320682101', '柴湾镇	', 'chaiwanzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682102', '320682', '320682102', '雪岸镇	', 'xueanzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682103', '320682', '320682103', '东陈镇	', 'dongchenzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682104', '320682', '320682104', '丁堰镇	', 'dingyanzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682105', '320682', '320682105', '白蒲镇	', 'baipuzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682106', '320682', '320682106', '林梓镇	', 'linzizhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682107', '320682', '320682107', '下原镇	', 'xiayuanzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682108', '320682', '320682108', '九华镇	', 'jiuhuazhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682109', '320682', '320682109', '郭园镇	', 'guoyuanzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682110', '320682', '320682110', '石庄镇	', 'shizhuangzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682111', '320682', '320682111', '长江镇	', 'zhangjiangzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682112', '320682', '320682112', '吴窑镇	', 'wuyaozhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682113', '320682', '320682113', '江安镇	', 'jianganzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682114', '320682', '320682114', '高明镇	', 'gaomingzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682115', '320682', '320682115', '常青镇	', 'changqingzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682116', '320682', '320682116', '搬经镇	', 'banjingzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682117', '320682', '320682117', '磨头镇	', 'motouzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682118', '320682', '320682118', '桃园镇	', 'taoyuanzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682119', '320682', '320682119', '袁桥镇	', 'yuanqiaozhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682400', '320682', '320682400', '如皋市经济开发区', 'rugaoshijingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682401', '320682', '320682401', '如皋港开发区	', 'rugaogangkaifaqu	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682402', '320682', '320682402', '南通市粮棉原种场', 'nantongshiliangmianyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682403', '320682', '320682403', '如皋市蚕种场	', 'rugaoshicanzhongchang	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682404', '320682', '320682404', '如皋市良种场	', 'rugaoshiliangzhongchang	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682405', '320682', '320682405', '如皋市棉花原种场', 'rugaoshimianhuayuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682406', '320682', '320682406', '如皋市种猪场	', 'rugaoshizhongzhuchang	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682407', '320682', '320682407', '如皋市农科所	', 'rugaoshinongkesuo	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682408', '320682', '320682408', '如皋市江滨医院', 'rugaoshijiangbinyiyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682409', '320682', '320682409', '如皋市中心沙水产养殖场', 'rugaoshizhongxinshashuichanyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320682410', '320682', '320682410', '如皋市九华水产养殖场', 'rugaoshijiuhuashuichanyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683', '3206', '320683', '通州市', 'tongzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683100', '320683', '320683100', '金沙镇', 'jinshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683101', '320683', '320683101', '西亭镇', 'xitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683102', '320683', '320683102', '二甲镇', 'erjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683103', '320683', '320683103', '东社镇', 'dongshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683104', '320683', '320683104', '三余镇', 'sanyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683105', '320683', '320683105', '北兴桥镇', 'beixingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683106', '320683', '320683106', '海晏镇', 'haiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683107', '320683', '320683107', '十总镇', 'shizongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683108', '320683', '320683108', '骑岸镇', 'qianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683109', '320683', '320683109', '五甲镇', 'wujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683110', '320683', '320683110', '石港镇', 'shigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683111', '320683', '320683111', '四安镇', 'sianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683112', '320683', '320683112', '刘桥镇', 'liuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683113', '320683', '320683113', '新联镇', 'xinlianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683114', '320683', '320683114', '平潮镇', 'pingchaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683115', '320683', '320683115', '平东镇', 'pingdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683116', '320683', '320683116', '五接镇', 'wujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683117', '320683', '320683117', '兴仁镇', 'xingrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683118', '320683', '320683118', '兴东镇', 'xingdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683119', '320683', '320683119', '张芝山镇', 'zhangzhishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683120', '320683', '320683120', '川港镇', 'chuangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683121', '320683', '320683121', '先锋镇', 'xianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683122', '320683', '320683122', '姜灶镇', 'jiangzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683400', '320683', '320683400', '通州市开发区', 'tongzhoushikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683401', '320683', '320683401', '环本农场', 'huanbennongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320683403', '320683', '320683403', '通州港区管委会', 'tongzhougangquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684', '3206', '320684', '海门市', 'haimenshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684100', '320684', '320684100', '海门镇', 'haimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684101', '320684', '320684101', '三星镇', 'sanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684102', '320684', '320684102', '天补镇', 'tianbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684103', '320684', '320684103', '三和镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684104', '320684', '320684104', '德胜镇', 'deshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684105', '320684', '320684105', '三厂镇', 'sanchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684106', '320684', '320684106', '常乐镇', 'changlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684107', '320684', '320684107', '麒麟镇', 'qilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684108', '320684', '320684108', '悦来镇', 'yuelaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684109', '320684', '320684109', '万年镇', 'wannianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684110', '320684', '320684110', '三阳镇', 'sanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684111', '320684', '320684111', '四甲镇', 'sijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684112', '320684', '320684112', '货隆镇', 'huolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684113', '320684', '320684113', '余东镇', 'yudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684114', '320684', '320684114', '正余镇', 'zhengyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684115', '320684', '320684115', '包场镇', 'baochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684116', '320684', '320684116', '刘浩镇', 'liuhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684117', '320684', '320684117', '东灶港镇', 'dongzaogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684118', '320684', '320684118', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684119', '320684', '320684119', '王浩镇', 'wanghaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684120', '320684', '320684120', '树勋镇', 'shuxunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684200', '320684', '320684200', '海永乡', 'haiyongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684400', '320684', '320684400', '海门市经济技术开发区', 'haimenshijingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684401', '320684', '320684401', '海门市永隆沙农场', 'haimenshiyonglongshanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684403', '320684', '320684403', '海门市大东农场', 'haimenshidadongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684404', '320684', '320684404', '海门市畜禽良种场', 'haimenshichuqinliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684405', '320684', '320684405', '海门市种羊场', 'haimenshizhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684406', '320684', '320684406', '海门市包场渔场', 'haimenshibaochangyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684407', '320684', '320684407', '海门市长江芦荡养殖场', 'haimenshizhangjiangludangyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684408', '320684', '320684408', '海门市沿江渔场', 'haimenshiyanjiangyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684409', '320684', '320684409', '海门市三厂苗圃', 'haimenshisanchangmiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684410', '320684', '320684410', '海门市农科所', 'haimenshinongkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684411', '320684', '320684411', '海门市海门盐场', 'haimenshihaimenyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684412', '320684', '320684412', '海门市财政局芦荡管理所', 'haimenshicaizhengjuludangguanlisuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320684413', '320684', '320684413', '江苏省国营江心沙农场', 'jiangsushengguoyingjiangxinshanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3207', '32', '3207', '连云港市', 'lianyungangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320701', '3207', '320701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703', '3207', '320703', '连云区', 'lianyunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703001', '320703', '320703001', '墟沟街道', 'xugoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703003', '320703', '320703003', '连云街道', 'lianyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703004', '320703', '320703004', '云山街道', 'yunshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703005', '320703', '320703005', '板桥街道', 'banqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703006', '320703', '320703006', '连岛街道', 'liandaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703050', '320703', '320703050', '中云街道', 'zhongyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703051', '320703', '320703051', '猴嘴街道', 'houzuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703150', '320703', '320703150', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703201', '320703', '320703201', '宿城乡', 'suchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703202', '320703', '320703202', '高公岛乡', 'gaogongdaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703203', '320703', '320703203', '前三岛乡', 'qiansandaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320703400', '320703', '320703400', '连云港碱厂', 'lianyungangjianchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705', '3207', '320705', '新浦区', 'xinpuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705001', '320705', '320705001', '浦东街道', 'pudongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705002', '320705', '320705002', '浦西街道', 'puxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705003', '320705', '320705003', '新东街道', 'xindongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705004', '320705', '320705004', '新南街道', 'xinnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705005', '320705', '320705005', '路南街道', 'lunanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705006', '320705', '320705006', '新海街道', 'xinhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705100', '320705', '320705100', '南城镇', 'nanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705200', '320705', '320705200', '云台乡', 'yuntaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705201', '320705', '320705201', '花果山乡', 'huaguoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705202', '320705', '320705202', '宁海乡', 'ninghaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705400', '320705', '320705400', '云台农场', 'yuntainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705401', '320705', '320705401', '南云台林场', 'nanyuntailinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320705402', '320705', '320705402', '花果山风景区', 'huaguoshanfengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320706', '3207', '320706', '海州区', 'haizhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320706001', '320706', '320706001', '海州街道', 'haizhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320706002', '320706', '320706002', '幸福路街道', 'xingfulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320706003', '320706', '320706003', '朐阳街道', 'quyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320706004', '320706', '320706004', '洪门街道', 'hongmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320706100', '320706', '320706100', '新坝镇', 'xinbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320706101', '320706', '320706101', '锦屏镇', 'jinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721', '3207', '320721', '赣榆县', 'ganyuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721100', '320721', '320721100', '青口镇', 'qingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721101', '320721', '320721101', '柘汪镇', 'zhewangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721102', '320721', '320721102', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721103', '320721', '320721103', '金山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721104', '320721', '320721104', '黑林镇', 'heilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721105', '320721', '320721105', '厉庄镇', 'lizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721106', '320721', '320721106', '海头镇', 'haitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721107', '320721', '320721107', '塔山镇', 'tashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721108', '320721', '320721108', '赣马镇', 'ganmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721109', '320721', '320721109', '班庄镇', 'banzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721110', '320721', '320721110', '城头镇', 'chengtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721111', '320721', '320721111', '门河镇', 'menhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721112', '320721', '320721112', '城西镇', 'chengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721113', '320721', '320721113', '欢墩镇', 'huandunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721114', '320721', '320721114', '宋庄镇', 'songzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721115', '320721', '320721115', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721116', '320721', '320721116', '墩尚镇', 'dunshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721117', '320721', '320721117', '罗阳镇', 'luoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721400', '320721', '320721400', '沙河子园艺场', 'shaheziyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721401', '320721', '320721401', '青口盐场', 'qingkouyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721402', '320721', '320721402', '江苏省赣榆海洋经济开发区', 'jiangsushengganyuhaiyangjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320721403', '320721', '320721403', '江苏省赣榆经济开发区', 'jiangsushengganyujingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722', '3207', '320722', '东海县', 'donghaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722100', '320722', '320722100', '牛山镇', 'niushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722101', '320722', '320722101', '白塔埠镇', 'baitabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722102', '320722', '320722102', '浦南镇', 'punanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722103', '320722', '320722103', '黄川镇', 'huangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722104', '320722', '320722104', '石梁河镇', 'shilianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722105', '320722', '320722105', '青湖镇', 'qinghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722106', '320722', '320722106', '石榴镇', 'shiliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722107', '320722', '320722107', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722108', '320722', '320722108', '双店镇', 'shuangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722109', '320722', '320722109', '桃林镇', 'taolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722110', '320722', '320722110', '洪庄镇', 'hongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722111', '320722', '320722111', '安峰镇', 'anfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722112', '320722', '320722112', '房山镇', 'fangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722113', '320722', '320722113', '平明镇', 'pingmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722200', '320722', '320722200', '驼峰乡', 'tuofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722201', '320722', '320722201', '南辰乡', 'nanchenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722202', '320722', '320722202', '横沟乡', 'henggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722203', '320722', '320722203', '李埝乡', 'linianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722204', '320722', '320722204', '山左口乡', 'shanzuokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722205', '320722', '320722205', '石湖乡', 'shihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722206', '320722', '320722206', '曲阳乡', 'quyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722207', '320722', '320722207', '张湾乡', 'zhangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722400', '320722', '320722400', '岗埠农场', 'gangbunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320722401', '320722', '320722401', '江苏东海经济开发区', 'jiangsudonghaijingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723', '3207', '320723', '灌云县', 'guanyunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723100', '320723', '320723100', '伊山镇', 'yishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723101', '320723', '320723101', '板浦镇', 'banpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723102', '320723', '320723102', '杨集镇', 'yangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723103', '320723', '320723103', '燕尾港镇', 'yanweigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723104', '320723', '320723104', '同兴镇', 'tongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723105', '320723', '320723105', '四队镇', 'siduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723106', '320723', '320723106', '圩丰镇', 'weifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723107', '320723', '320723107', '龙苴镇', 'longjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723201', '320723', '320723201', '伊芦乡', 'yiluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723202', '320723', '320723202', '鲁河乡', 'luhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723203', '320723', '320723203', '图河乡', 'tuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723204', '320723', '320723204', '沂北乡', 'yibeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723205', '320723', '320723205', '下车乡', 'xiachexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723206', '320723', '320723206', '白蚬乡', 'baixianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723207', '320723', '320723207', '东王集乡', 'dongwangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723208', '320723', '320723208', '侍庄乡', 'shizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723209', '320723', '320723209', '小伊乡', 'xiaoyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723210', '320723', '320723210', '穆圩乡', 'muweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723211', '320723', '320723211', '陡沟乡', 'dougouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723212', '320723', '320723212', '南岗乡', 'nangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723400', '320723', '320723400', '东辛农场', 'dongxinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723401', '320723', '320723401', '五图河农场', 'wutuhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320723402', '320723', '320723402', '灌西盐场', 'guanxiyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724', '3207', '320724', '灌南县', 'guannanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724100', '320724', '320724100', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724101', '320724', '320724101', '堆沟港镇', 'duigougangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724102', '320724', '320724102', '长茂镇', 'zhangmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724103', '320724', '320724103', '北陈集镇', 'beichenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724104', '320724', '320724104', '张店镇', 'zhangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724105', '320724', '320724105', '三口镇', 'sankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724106', '320724', '320724106', '孟兴庄镇', 'mengxingzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724107', '320724', '320724107', '汤沟镇', 'tanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724108', '320724', '320724108', '百禄镇', 'bailuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724200', '320724', '320724200', '五队乡', 'wuduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724201', '320724', '320724201', '田楼乡', 'tianlouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724204', '320724', '320724204', '李集乡', 'lijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724206', '320724', '320724206', '新集乡', 'xinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320724207', '320724', '320724207', '花园乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3208', '32', '3208', '淮安市', 'huaianshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320801', '3208', '320801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802', '3208', '320802', '清河区', 'qinghequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802001', '320802', '320802001', '北京路街道', 'beijinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802002', '320802', '320802002', '长西街道', 'zhangxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802003', '320802', '320802003', '淮海街道', 'huaihaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802004', '320802', '320802004', '长东街道', 'zhangdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802005', '320802', '320802005', '西安路街道', 'xianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802006', '320802', '320802006', '水渡口街道', 'shuidukoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802050', '320802', '320802050', '东湖街道', 'donghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802051', '320802', '320802051', '新港街道', 'xingangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802052', '320802', '320802052', '广州路街道', 'guangzhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802350', '320802', '320802350', '钵池乡', 'bochixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802351', '320802', '320802351', '徐杨乡', 'xuyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320802400', '320802', '320802400', '京沪路', 'jinghulu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803', '3208', '320803', '楚州区', 'chuzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803100', '320803', '320803100', '淮城镇', 'huaichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803101', '320803', '320803101', '平桥镇', 'pingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803102', '320803', '320803102', '上河镇', 'shanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803103', '320803', '320803103', '马甸镇', 'madianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803104', '320803', '320803104', '朱桥镇', 'zhuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803105', '320803', '320803105', '溪河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803106', '320803', '320803106', '施河镇', 'shihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803107', '320803', '320803107', '车桥镇', 'cheqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803108', '320803', '320803108', '泾口镇', 'jingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803109', '320803', '320803109', '流均镇', 'liujunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803110', '320803', '320803110', '博里镇', 'bolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803111', '320803', '320803111', '仇桥镇', 'chouqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803112', '320803', '320803112', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803113', '320803', '320803113', '苏嘴镇', 'suzuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803114', '320803', '320803114', '钦工镇', 'qingongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803115', '320803', '320803115', '顺河镇', 'shunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803116', '320803', '320803116', '季桥镇', 'jiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803117', '320803', '320803117', '席桥镇', 'xiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803118', '320803', '320803118', '林集镇', 'linjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803119', '320803', '320803119', '南闸镇', 'nanzhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803120', '320803', '320803120', '范集镇', 'fanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803200', '320803', '320803200', '建淮乡', 'jianhuaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803201', '320803', '320803201', '茭陵乡', 'jiaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803202', '320803', '320803202', '宋集乡', 'songjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803203', '320803', '320803203', '城东乡', 'chengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803204', '320803', '320803204', '南马厂乡', 'nanmachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803205', '320803', '320803205', '三堡乡', 'sanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320803400', '320803', '320803400', '白马湖农场', 'baimahunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804', '3208', '320804', '淮阴区', 'huaiyinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804100', '320804', '320804100', '王营镇', 'wangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804101', '320804', '320804101', '赵集镇', 'zhaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804102', '320804', '320804102', '吴城镇', 'wuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804103', '320804', '320804103', '南陈集镇', 'nanchenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804104', '320804', '320804104', '码头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804105', '320804', '320804105', '王兴镇', 'wangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804106', '320804', '320804106', '棉花庄镇', 'mianhuazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804107', '320804', '320804107', '丁集镇', 'dingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804108', '320804', '320804108', '五里镇', 'wulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804109', '320804', '320804109', '徐溜镇', 'xuliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804110', '320804', '320804110', '渔沟镇', 'yugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804111', '320804', '320804111', '吴集镇', 'wujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804112', '320804', '320804112', '西宋集镇', 'xisongjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804113', '320804', '320804113', '三树镇', 'sanshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804200', '320804', '320804200', '韩桥乡', 'hanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804201', '320804', '320804201', '新渡乡', 'xinduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804202', '320804', '320804202', '老张集乡', 'laozhangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804203', '320804', '320804203', '凌桥乡', 'lingqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804204', '320804', '320804204', '袁集乡', 'yuanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804205', '320804', '320804205', '刘老庄乡', 'liulaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804206', '320804', '320804206', '古寨乡', 'guzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320804400', '320804', '320804400', '工业园管理委员会', 'gongyeyuanguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320811', '3208', '320811', '清浦区', 'qingpuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320811001', '320811', '320811001', '清江街道', 'qingjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320811002', '320811', '320811002', '浦楼街道', 'puloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320811003', '320811', '320811003', '闸口街道', 'zhakoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320811004', '320811', '320811004', '清安街道', 'qinganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320811100', '320811', '320811100', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320811101', '320811', '320811101', '武墩镇', 'wudunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320811102', '320811', '320811102', '盐河镇', 'yanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320811200', '320811', '320811200', '城南乡', 'chengnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320811201', '320811', '320811201', '黄码乡', 'huangmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826', '3208', '320826', '涟水县', 'lianshuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826100', '320826', '320826100', '涟城镇', 'lianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826101', '320826', '320826101', '高沟镇', 'gaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826102', '320826', '320826102', '唐集镇', 'tangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826103', '320826', '320826103', '保滩镇', 'baotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826104', '320826', '320826104', '大东镇', 'dadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826105', '320826', '320826105', '五港镇', 'wugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826106', '320826', '320826106', '梁岔镇', 'liangchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826107', '320826', '320826107', '石湖镇', 'shihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826108', '320826', '320826108', '朱码镇', 'zhumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826109', '320826', '320826109', '岔庙镇', 'chamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826110', '320826', '320826110', '东胡集镇', 'donghujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826111', '320826', '320826111', '南集镇', 'nanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826112', '320826', '320826112', '义兴镇', 'yixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826113', '320826', '320826113', '成集镇', 'chengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826114', '320826', '320826114', '红窑镇', 'hongyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826115', '320826', '320826115', '陈师镇', 'chenshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826116', '320826', '320826116', '前进镇', 'qianjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826200', '320826', '320826200', '徐集乡', 'xujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826201', '320826', '320826201', '黄营乡', 'huangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826400', '320826', '320826400', '杨口', 'yangkou', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826401', '320826', '320826401', '方渡', 'fangdu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826402', '320826', '320826402', '南禄', 'nanlu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826403', '320826', '320826403', '小李集', 'xiaoliji', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826404', '320826', '320826404', '河网', 'hewang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826405', '320826', '320826405', '时码', 'shima', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826406', '320826', '320826406', '北集', 'beiji', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826407', '320826', '320826407', '灰墩', 'huidun', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826408', '320826', '320826408', '余圩', 'yuwei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826409', '320826', '320826409', '浅集', 'qianji', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826410', '320826', '320826410', '蒋庵', 'jiangan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826411', '320826', '320826411', '经济开发新区', 'jingjikaifaxinqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320826412', '320826', '320826412', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829', '3208', '320829', '洪泽县', 'hongzexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829100', '320829', '320829100', '高良涧镇', 'gaoliangjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829101', '320829', '320829101', '蒋坝镇', 'jiangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829102', '320829', '320829102', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829103', '320829', '320829103', '岔河镇', 'chahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829104', '320829', '320829104', '西顺河镇', 'xishunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829105', '320829', '320829105', '老子山镇', 'laozishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829106', '320829', '320829106', '三河镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829107', '320829', '320829107', '朱坝镇', 'zhubazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829108', '320829', '320829108', '黄集镇', 'huangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829109', '320829', '320829109', '万集镇', 'wanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829110', '320829', '320829110', '东双沟镇', 'dongshuanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320829111', '320829', '320829111', '共和镇', 'gonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830', '3208', '320830', '盱眙县', 'xuyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830100', '320830', '320830100', '盱城镇', 'xuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830101', '320830', '320830101', '马坝镇', 'mabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830102', '320830', '320830102', '官滩镇', 'guantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830103', '320830', '320830103', '旧铺镇', 'jiupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830104', '320830', '320830104', '桂五镇', 'guiwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830105', '320830', '320830105', '管镇镇', 'guanzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830106', '320830', '320830106', '河桥镇', 'heqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830107', '320830', '320830107', '鲍集镇', 'baojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830108', '320830', '320830108', '黄花塘镇', 'huanghuatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830109', '320830', '320830109', '明祖陵镇', 'mingzulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830110', '320830', '320830110', '铁佛镇', 'tiefozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830111', '320830', '320830111', '淮河镇', 'huaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830112', '320830', '320830112', '仇集镇', 'choujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830113', '320830', '320830113', '观音寺镇', 'guanyinsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830200', '320830', '320830200', '维桥乡', 'weiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830201', '320830', '320830201', '穆店乡', 'mudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830202', '320830', '320830202', '王店乡', 'wangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830203', '320830', '320830203', '古桑乡', 'gusangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830204', '320830', '320830204', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830400', '320830', '320830400', '三河农场', 'sanhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320830401', '320830', '320830401', '淮化集团', 'huaihuajituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831', '3208', '320831', '金湖县', 'jinhuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831100', '320831', '320831100', '黎城镇', 'lichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831101', '320831', '320831101', '金南镇', 'jinnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831102', '320831', '320831102', '闵桥镇', 'minqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831103', '320831', '320831103', '塔集镇', 'tajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831104', '320831', '320831104', '银集镇', 'yinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831105', '320831', '320831105', '涂沟镇', 'tugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831106', '320831', '320831106', '前锋镇', 'qianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831107', '320831', '320831107', '吕良镇', 'lu:liangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831108', '320831', '320831108', '陈桥镇', 'chenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831109', '320831', '320831109', '金北镇', 'jinbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831110', '320831', '320831110', '戴楼镇', 'dailouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831400', '320831', '320831400', '宝应湖农场', 'baoyinghunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831401', '320831', '320831401', '复兴圩农场', 'fuxingweinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831402', '320831', '320831402', '粮棉原种场', 'liangmianyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320831403', '320831', '320831403', '江苏金湖经济开发区', 'jiangsujinhujingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3209', '32', '3209', '盐城市', 'yanchengshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320901', '3209', '320901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902', '3209', '320902', '亭湖区', 'tinghuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902001', '320902', '320902001', '五星街道', 'wuxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902002', '320902', '320902002', '文峰街道', 'wenfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902003', '320902', '320902003', '先锋街道', 'xianfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902004', '320902', '320902004', '毓龙街道', 'yulongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902005', '320902', '320902005', '张庄街道', 'zhangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902006', '320902', '320902006', '黄海街道', 'huanghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902007', '320902', '320902007', '新洋街道', 'xinyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902008', '320902', '320902008', '大洋街道', 'dayangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902100', '320902', '320902100', '南洋镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902101', '320902', '320902101', '亭湖区青墩镇', 'tinghuquqingdunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902102', '320902', '320902102', '新兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902103', '320902', '320902103', '永丰镇', 'yongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902104', '320902', '320902104', '便仓镇', 'biancangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902105', '320902', '320902105', '伍佑镇', 'wuyouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902106', '320902', '320902106', '步凤镇', 'bufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902400', '320902', '320902400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320902401', '320902', '320902401', '市开发区', 'shikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903', '3209', '320903', '盐都区', 'yandouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903100', '320903', '320903100', '大纵湖镇', 'dazonghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903101', '320903', '320903101', '北龙港镇', 'beilonggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903102', '320903', '320903102', '楼王镇', 'louwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903103', '320903', '320903103', '学富镇', 'xuefuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903104', '320903', '320903104', '义丰镇', 'yifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903105', '320903', '320903105', '尚庄镇', 'shangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903106', '320903', '320903106', '葛武镇', 'gewuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903107', '320903', '320903107', '北蒋镇', 'beijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903108', '320903', '320903108', '秦南镇', 'qinnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903109', '320903', '320903109', '龙冈镇', 'longgangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903110', '320903', '320903110', '潘黄镇', 'panhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903111', '320903', '320903111', '郭猛镇', 'guomengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903112', '320903', '320903112', '大冈镇', 'dagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320903550', '320903', '320903550', '新区街道', 'xinqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921', '3209', '320921', '响水县', 'xiangshuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921100', '320921', '320921100', '响水镇', 'xiangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921101', '320921', '320921101', '陈家港镇', 'chenjiagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921102', '320921', '320921102', '小尖镇', 'xiaojianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921103', '320921', '320921103', '黄圩镇', 'huangweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921104', '320921', '320921104', '大有镇', 'dayouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921105', '320921', '320921105', '双港镇', 'shuanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921106', '320921', '320921106', '南河镇', 'nanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921107', '320921', '320921107', '运河镇', 'yunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921200', '320921', '320921200', '张集乡', 'zhangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921201', '320921', '320921201', '六套乡', 'liutaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921202', '320921', '320921202', '七套乡', 'qitaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921203', '320921', '320921203', '老舍乡', 'laoshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921400', '320921', '320921400', '县开发区', 'xiankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921401', '320921', '320921401', '省属黄海农场', 'shengshuhuanghainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320921402', '320921', '320921402', '省属灌东盐场', 'shengshuguandongyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922', '3209', '320922', '滨海县', 'binhaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922100', '320922', '320922100', '东坎镇', 'dongkanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922101', '320922', '320922101', '五汛镇', 'wuxunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922102', '320922', '320922102', '蔡桥镇', 'caiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922103', '320922', '320922103', '正红镇', 'zhenghongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922104', '320922', '320922104', '通榆镇', 'tongyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922105', '320922', '320922105', '界牌镇', 'jiepaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922106', '320922', '320922106', '八巨镇', 'bajuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922107', '320922', '320922107', '八滩镇', 'batanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922108', '320922', '320922108', '滨海港镇', 'binhaigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922109', '320922', '320922109', '滨淮镇', 'binhuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922200', '320922', '320922200', '天场乡', 'tianchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922201', '320922', '320922201', '大套乡', 'dataoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922202', '320922', '320922202', '陈涛乡', 'chentaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922203', '320922', '320922203', '振东乡', 'zhendongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922204', '320922', '320922204', '樊集乡', 'fanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922400', '320922', '320922400', '滨淮农场', 'binhuainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922401', '320922', '320922401', '新滩盐场', 'xintanyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320922402', '320922', '320922402', '开发区工业园', 'kaifaqugongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923', '3209', '320923', '阜宁县', 'funingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923100', '320923', '320923100', '阜城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923101', '320923', '320923101', '沟墩镇', 'goudunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923102', '320923', '320923102', '吴滩镇', 'wutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923103', '320923', '320923103', '合利镇', 'helizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923104', '320923', '320923104', '陈良镇', 'chenliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923105', '320923', '320923105', '施庄镇', 'shizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923106', '320923', '320923106', '三灶镇', 'sanzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923107', '320923', '320923107', '郭墅镇', 'guoshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923108', '320923', '320923108', '新沟镇', 'xingouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923109', '320923', '320923109', '陈集镇', 'chenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923110', '320923', '320923110', '羊寨镇', 'yangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923111', '320923', '320923111', '芦蒲镇', 'lupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923112', '320923', '320923112', '硕集镇', 'shuojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923113', '320923', '320923113', '板湖镇', 'banhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923114', '320923', '320923114', '东沟镇', 'donggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923115', '320923', '320923115', '益林镇', 'yilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923116', '320923', '320923116', '公兴镇', 'gongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923117', '320923', '320923117', '杨集镇', 'yangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923118', '320923', '320923118', '古河镇', 'guhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923119', '320923', '320923119', '罗桥镇', 'luoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923400', '320923', '320923400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320923401', '320923', '320923401', '化工园区', 'huagongyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924', '3209', '320924', '射阳县', 'sheyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924100', '320924', '320924100', '合德镇', 'hedezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924101', '320924', '320924101', '临海镇', 'linhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924102', '320924', '320924102', '千秋镇', 'qianqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924103', '320924', '320924103', '通洋镇', 'tongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924104', '320924', '320924104', '四明镇', 'simingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924105', '320924', '320924105', '阜余镇', 'fuyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924106', '320924', '320924106', '海河镇', 'haihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924107', '320924', '320924107', '陈洋镇', 'chenyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924108', '320924', '320924108', '海通镇', 'haitongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924109', '320924', '320924109', '兴桥镇', 'xingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924110', '320924', '320924110', '新坍镇', 'xintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924111', '320924', '320924111', '长荡镇', 'zhangdangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924112', '320924', '320924112', '盘湾镇', 'panwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924113', '320924', '320924113', '特庸镇', 'teyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924114', '320924', '320924114', '洋马镇', 'yangmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924115', '320924', '320924115', '黄尖镇', 'huangjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924116', '320924', '320924116', '盐东镇', 'yandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924117', '320924', '320924117', '黄沙港镇', 'huangshagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924118', '320924', '320924118', '耦耕镇', 'ougengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924400', '320924', '320924400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924401', '320924', '320924401', '淮海农场', 'huaihainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924402', '320924', '320924402', '临海农场', 'linhainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924403', '320924', '320924403', '新洋农场', 'xinyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924404', '320924', '320924404', '射阳盐场', 'sheyangyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320924405', '320924', '320924405', '农业经济开发区', 'nongyejingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925', '3209', '320925', '建湖县', 'jianhuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925100', '320925', '320925100', '近湖镇', 'jinhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925101', '320925', '320925101', '建阳镇', 'jianyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925102', '320925', '320925102', '蒋营镇', 'jiangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925103', '320925', '320925103', '恒济镇', 'hengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925104', '320925', '320925104', '颜单镇', 'yandanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925105', '320925', '320925105', '沿河镇', 'yanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925106', '320925', '320925106', '芦沟镇', 'lugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925107', '320925', '320925107', '庆丰镇', 'qingfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925108', '320925', '320925108', '上冈镇', 'shanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925109', '320925', '320925109', '冈东镇', 'gangdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925110', '320925', '320925110', '草堰口镇', 'caoyankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925111', '320925', '320925111', '冈西镇', 'gangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925112', '320925', '320925112', '钟庄镇', 'zhongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925113', '320925', '320925113', '宝塔镇', 'baotazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925114', '320925', '320925114', '高作镇', 'gaozuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320925400', '320925', '320925400', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981', '3209', '320981', '东台市', 'dongtaishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981100', '320981', '320981100', '溱东镇', 'zhendongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981101', '320981', '320981101', '时堰镇', 'shiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981102', '320981', '320981102', '后港镇', 'hougangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981103', '320981', '320981103', '台南镇', 'tainanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981104', '320981', '320981104', '广山镇', 'guangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981105', '320981', '320981105', '廉贻镇', 'lianyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981106', '320981', '320981106', '五烈镇', 'wuliezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981107', '320981', '320981107', '梁垛镇', 'liangduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981108', '320981', '320981108', '安丰镇', 'anfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981109', '320981', '320981109', '南沈灶镇', 'nanshenzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981110', '320981', '320981110', '富安镇', 'fuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981111', '320981', '320981111', '富东镇', 'fudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981112', '320981', '320981112', '唐洋镇', 'tangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981113', '320981', '320981113', '新街镇', 'xinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981114', '320981', '320981114', '许河镇', 'xuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981115', '320981', '320981115', '三仓镇', 'sancangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981116', '320981', '320981116', '新曹镇', 'xincaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981117', '320981', '320981117', '曹丿镇', 'caopiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981118', '320981', '320981118', '头灶镇', 'touzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981119', '320981', '320981119', '四灶镇', 'sizaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981120', '320981', '320981120', '海丰镇', 'haifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981121', '320981', '320981121', '弶港镇', 'jianggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981122', '320981', '320981122', '东台镇', 'dongtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981400', '320981', '320981400', '国营新曹农场', 'guoyingxincaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981401', '320981', '320981401', '国营弶港农场', 'guoyingjianggangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981402', '320981', '320981402', '蚕种场', 'canzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981403', '320981', '320981403', '林场', 'linchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981404', '320981', '320981404', '黄海原种场', 'huanghaiyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981405', '320981', '320981405', '渔舍农场', 'yushenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981406', '320981', '320981406', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981407', '320981', '320981407', '金东台农场', 'jindongtainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981408', '320981', '320981408', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320981409', '320981', '320981409', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982', '3209', '320982', '大丰市', 'dafengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982100', '320982', '320982100', '大中镇', 'dazhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982101', '320982', '320982101', '草堰镇', 'caoyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982102', '320982', '320982102', '白驹镇', 'baijuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982103', '320982', '320982103', '刘庄镇', 'liuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982104', '320982', '320982104', '西团镇', 'xituanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982105', '320982', '320982105', '小海镇', 'xiaohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982106', '320982', '320982106', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982107', '320982', '320982107', '草庙镇', 'caomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982108', '320982', '320982108', '万盈镇', 'wanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982109', '320982', '320982109', '南阳镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982110', '320982', '320982110', '裕华镇', 'yuhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982111', '320982', '320982111', '新丰镇', 'xinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982112', '320982', '320982112', '三龙镇', 'sanlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982113', '320982', '320982113', '方强镇', 'fangqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982400', '320982', '320982400', '大中农场', 'dazhongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982401', '320982', '320982401', '方强农场', 'fangqiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('320982402', '320982', '320982402', '东坝头农场', 'dongbatounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3210', '32', '3210', '扬州市', 'yangzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321001', '3210', '321001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321002', '3210', '321002', '广陵区', 'guanglingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321002001', '321002', '321002001', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321002002', '321002', '321002002', '汶河街道', 'wenhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321002003', '321002', '321002003', '文峰街道', 'wenfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321002004', '321002', '321002004', '曲江街道', 'qujiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321002100', '321002', '321002100', '湾头镇', 'wantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321002200', '321002', '321002200', '汤汪乡', 'tangwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003', '3210', '321003', '邗江区', 'hanjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003001', '321003', '321003001', '邗上街道', 'hanshangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003002', '321003', '321003002', '蒋王街道', 'jiangwangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003003', '321003', '321003003', '汊河街道', 'chahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003100', '321003', '321003100', '公道镇', 'gongdaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003101', '321003', '321003101', '方巷镇', 'fangxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003102', '321003', '321003102', '槐泗镇', 'huaisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003103', '321003', '321003103', '瓜洲镇', 'guazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003104', '321003', '321003104', '杭集镇', 'hangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003105', '321003', '321003105', '李典镇', 'lidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003106', '321003', '321003106', '沙头镇', 'shatouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003107', '321003', '321003107', '头桥镇', 'touqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003108', '321003', '321003108', '甘泉镇', 'ganquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003109', '321003', '321003109', '泰安镇', 'taianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003110', '321003', '321003110', '杨庙镇', 'yangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321003450', '321003', '321003450', '邗江工业园', 'hanjianggongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011', '3210', '321011', '维扬区', 'weiyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011001', '321011', '321011001', '双桥街道', 'shuangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011002', '321011', '321011002', '梅岭街道', 'meilingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011003', '321011', '321011003', '瘦西湖街道', 'shouxihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011050', '321011', '321011050', '扬子津街道', 'yangzijinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011051', '321011', '321011051', '文汇街道', 'wenhuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011060', '321011', '321011060', '新盛街道', 'xinshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011100', '321011', '321011100', '西湖镇', 'xihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011150', '321011', '321011150', '施桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011151', '321011', '321011151', '八里镇', 'balizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011200', '321011', '321011200', '平山乡', 'pingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011201', '321011', '321011201', '双桥乡', 'shuangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011202', '321011', '321011202', '城北乡', 'chengbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011400', '321011', '321011400', '平山茶场', 'pingshanchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321011401', '321011', '321011401', '维扬经济开发区', 'weiyangjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023', '3210', '321023', '宝应县', 'baoyingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023100', '321023', '321023100', '安宜镇', 'anyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023101', '321023', '321023101', '范水镇', 'fanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023102', '321023', '321023102', '夏集镇', 'xiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023103', '321023', '321023103', '柳堡镇', 'liubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023104', '321023', '321023104', '射阳湖镇', 'sheyanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023105', '321023', '321023105', '广洋湖镇', 'guangyanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023106', '321023', '321023106', '鲁垛镇', 'luduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023107', '321023', '321023107', '小官庄镇', 'xiaoguanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023108', '321023', '321023108', '望直港镇', 'wangzhigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023109', '321023', '321023109', '曹甸镇', 'caodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023110', '321023', '321023110', '西安丰镇', 'xianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023111', '321023', '321023111', '山阳镇', 'shanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023112', '321023', '321023112', '黄塍镇', 'huangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023113', '321023', '321023113', '泾河镇', 'jinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321023400', '321023', '321023400', '开发区管委会', 'kaifaquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081', '3210', '321081', '仪征市', 'yizhengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081100', '321081', '321081100', '真州镇', 'zhenzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081101', '321081', '321081101', '青山镇', 'qingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081102', '321081', '321081102', '朴席镇', 'poxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081103', '321081', '321081103', '新集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081104', '321081', '321081104', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081105', '321081', '321081105', '马集镇', 'majizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081106', '321081', '321081106', '刘集镇', 'liujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081107', '321081', '321081107', '陈集镇', 'chenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081108', '321081', '321081108', '大仪镇', 'dayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081200', '321081', '321081200', '谢集乡', 'xiejixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081201', '321081', '321081201', '月塘乡', 'yuetangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081400', '321081', '321081400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081401', '321081', '321081401', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081402', '321081', '321081402', '蚕种场', 'canzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081403', '321081', '321081403', '园艺试验场', 'yuanyishiyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081404', '321081', '321081404', '水产试验场', 'shuichanshiyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081405', '321081', '321081405', '捺山茶场', 'nashanchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081406', '321081', '321081406', '蚕桑场', 'cansangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081450', '321081', '321081450', '滨江', 'binjiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321081451', '321081', '321081451', '十二圩', 'shierwei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084', '3210', '321084', '高邮市', 'gaoyoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084100', '321084', '321084100', '高邮镇', 'gaoyouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084101', '321084', '321084101', '龙虬镇', 'longqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084102', '321084', '321084102', '马棚镇', 'mapengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084103', '321084', '321084103', '车逻镇', 'cheluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084104', '321084', '321084104', '八桥镇', 'baqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084105', '321084', '321084105', '汉留镇', 'hanliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084106', '321084', '321084106', '汤庄镇', 'tangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084107', '321084', '321084107', '卸甲镇', 'xiejiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084108', '321084', '321084108', '三垛镇', 'sanduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084109', '321084', '321084109', '甘垛镇', 'ganduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084110', '321084', '321084110', '司徒镇', 'situzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084111', '321084', '321084111', '横泾镇', 'hengjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084112', '321084', '321084112', '界首镇', 'jieshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084113', '321084', '321084113', '周山镇', 'zhoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084114', '321084', '321084114', '周巷镇', 'zhouxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084115', '321084', '321084115', '临泽镇', 'linzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084116', '321084', '321084116', '送桥镇', 'songqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084117', '321084', '321084117', '郭集镇', 'guojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084118', '321084', '321084118', '天山镇', 'tianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084200', '321084', '321084200', '菱塘回族乡', 'lingtanghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084401', '321084', '321084401', '鸭业园区', 'yayeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321084406', '321084', '321084406', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088', '3210', '321088', '江都市', 'jiangdoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088100', '321088', '321088100', '仙女镇', 'xiannu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088101', '321088', '321088101', '小纪镇', 'xiaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088103', '321088', '321088103', '武坚镇', 'wujianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088106', '321088', '321088106', '樊川镇', 'fanchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088108', '321088', '321088108', '真武镇', 'zhenwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088109', '321088', '321088109', '宜陵镇', 'yilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088110', '321088', '321088110', '丁沟镇', 'dinggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088112', '321088', '321088112', '郭村镇', 'guocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088114', '321088', '321088114', '邵伯镇', 'shaobozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088116', '321088', '321088116', '丁伙镇', 'dinghuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088118', '321088', '321088118', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088119', '321088', '321088119', '吴桥镇', 'wuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321088120', '321088', '321088120', '浦头镇', 'putouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3211', '32', '3211', '镇江市', 'zhenjiangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321101', '3211', '321101', '市区', 'shiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102', '3211', '321102', '京口区', 'jingkouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102001', '321102', '321102001', '正东路街道', 'zhengdonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102002', '321102', '321102002', '健康路街道', 'jiankanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102003', '321102', '321102003', '大市口街道', 'dashikoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102004', '321102', '321102004', '四牌楼街道', 'sipailoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102050', '321102', '321102050', '丁卯街道', 'dingmaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102051', '321102', '321102051', '大港街道', 'dagangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102100', '321102', '321102100', '象山镇', 'xiangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102101', '321102', '321102101', '谏壁镇', 'jianbizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102150', '321102', '321102150', '姚桥镇', 'yaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102151', '321102', '321102151', '大路镇', 'daluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102152', '321102', '321102152', '丁岗镇', 'dinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102400', '321102', '321102400', '京口科技工业园', 'jingkoukejigongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321102401', '321102', '321102401', '江苏省共青团农场', 'jiangsushenggongqingtuannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321111', '3211', '321111', '润州区', 'runzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321111001', '321111', '321111001', '宝塔路街道', 'baotalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321111002', '321111', '321111002', '和平路街道', 'hepinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321111003', '321111', '321111003', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321111004', '321111', '321111004', '七里甸街道', 'qilidianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321111100', '321111', '321111100', '蒋乔镇', 'jiangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321111400', '321111', '321111400', '民营经济管理委员会', 'minyingjingjiguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321111401', '321111', '321111401', '润州工业园区', 'runzhougongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321112', '3211', '321112', '丹徒区', 'dantuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321112100', '321112', '321112100', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321112101', '321112', '321112101', '辛丰镇', 'xinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321112102', '321112', '321112102', '谷阳镇', 'guyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321112103', '321112', '321112103', '上党镇', 'shangdangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321112104', '321112', '321112104', '宝堰镇', 'baoyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321112105', '321112', '321112105', '高资镇', 'gaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321112106', '321112', '321112106', '世业镇', 'shiyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321112400', '321112', '321112400', '丹徒区长山林场', 'dantuquzhangshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181', '3211', '321181', '丹阳市', 'danyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181100', '321181', '321181100', '司徒镇', 'situzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181101', '321181', '321181101', '延陵镇', 'yanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181102', '321181', '321181102', '珥陵镇', 'erlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181103', '321181', '321181103', '导墅镇', 'daoshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181104', '321181', '321181104', '皇塘镇', 'huangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181105', '321181', '321181105', '吕城镇', 'lu:chengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181106', '321181', '321181106', '陵口镇', 'lingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181107', '321181', '321181107', '访仙镇', 'fangxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181108', '321181', '321181108', '界牌镇', 'jiepaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181109', '321181', '321181109', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181110', '321181', '321181110', '后巷镇', 'houxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181111', '321181', '321181111', '埤城镇', 'pichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181112', '321181', '321181112', '云阳镇', 'yunyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181400', '321181', '321181400', '丹阳经济技术开发区', 'danyangjingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181401', '321181', '321181401', '丹阳林场', 'danyanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181402', '321181', '321181402', '茶叶实验场', 'chayeshiyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321181403', '321181', '321181403', '江苏省练湖农场', 'jiangsushenglianhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182', '3211', '321182', '扬中市', 'yangzhongshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182100', '321182', '321182100', '三茅镇', 'sanmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182101', '321182', '321182101', '新坝镇', 'xinbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182103', '321182', '321182103', '油坊镇', 'youfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182104', '321182', '321182104', '八桥镇', 'baqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182105', '321182', '321182105', '西来桥镇', 'xilaiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182400', '321182', '321182400', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182401', '321182', '321182401', '扬中市良种繁育场', 'yangzhongshiliangzhongfanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182402', '321182', '321182402', '扬中市种猪场', 'yangzhongshizhongzhuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182403', '321182', '321182403', '扬中市渔业社', 'yangzhongshiyuyeshe', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182404', '321182', '321182404', '雷公岛水产养殖场', 'leigongdaoshuichanyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321182405', '321182', '321182405', '扬中市西沙芦柳管理所', 'yangzhongshixishaluliuguanlisuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183', '3211', '321183', '句容市', 'jurongshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183100', '321183', '321183100', '华阳镇', 'huayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183101', '321183', '321183101', '黄梅镇', 'huangmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183102', '321183', '321183102', '下蜀镇', 'xiashuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183103', '321183', '321183103', '白兔镇', 'baituzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183104', '321183', '321183104', '边城镇', 'bianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183105', '321183', '321183105', '茅山镇', 'maoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183106', '321183', '321183106', '后白镇', 'houbaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183107', '321183', '321183107', '郭庄镇', 'guozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183108', '321183', '321183108', '天王镇', 'tianwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183109', '321183', '321183109', '宝华镇', 'baohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183400', '321183', '321183400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183401', '321183', '321183401', '句容市东山良种场', 'jurongshidongshanliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183402', '321183', '321183402', '句容市棉花原种场', 'jurongshimianhuayuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183403', '321183', '321183403', '句容市下蜀茶场', 'jurongshixiashuchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183404', '321183', '321183404', '句容市林场', 'jurongshilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183405', '321183', '321183405', '句容市赵庄林苗场', 'jurongshizhaozhuanglinmiaochang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183406', '321183', '321183406', '句容市九华茶场', 'jurongshijiuhuachachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183407', '321183', '321183407', '句容市东进林场', 'jurongshidongjinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183408', '321183', '321183408', '句容市茅山茶场', 'jurongshimaoshanchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183409', '321183', '321183409', '句容市张庙茶场', 'jurongshizhangmiaochachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183410', '321183', '321183410', '句容市高庙茶场', 'jurongshigaomiaochachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183411', '321183', '321183411', '句容市浮山果园', 'jurongshifushanguoyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183412', '321183', '321183412', '句容市方山茶场', 'jurongshifangshanchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183413', '321183', '321183413', '句容市磨盘山林场', 'jurongshimopanshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183414', '321183', '321183414', '句容市后白良种场', 'jurongshihoubailiangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183415', '321183', '321183415', '句容市二圣种猪场', 'jurongshiershengzhongzhuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183416', '321183', '321183416', '句容监狱', 'jurongjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183417', '321183', '321183417', '江苏省第一少年管教所', 'jiangsushengdiyishaonianguanjiaosuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183418', '321183', '321183418', '江苏省第二少年管教所', 'jiangsushengdiershaonianguanjiaosuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321183428', '321183', '321183428', '句东农场', 'judongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3212', '32', '3212', '泰州市', 'taizhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321201', '3212', '321201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202', '3212', '321202', '海陵区', 'hailingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202001', '321202', '321202001', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202002', '321202', '321202002', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202003', '321202', '321202003', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202004', '321202', '321202004', '城中街道', 'chengzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202005', '321202', '321202005', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202006', '321202', '321202006', '泰山街道', 'taishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202007', '321202', '321202007', '京泰路街道', 'jingtailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202008', '321202', '321202008', '凤凰路街道', 'fenghuanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202050', '321202', '321202050', '农业开发区街道', 'nongyekaifaqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202100', '321202', '321202100', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202150', '321202', '321202150', '寺巷镇', 'sixiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202402', '321202', '321202402', '林场', 'linchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202403', '321202', '321202403', '水产养殖场', 'shuichanyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202404', '321202', '321202404', '畜牧养殖试验场', 'chumuyangzhishiyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202405', '321202', '321202405', '迎春果场', 'yingchunguochang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321202406', '321202', '321202406', '海陵工业园区', 'hailinggongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321203', '3212', '321203', '高港区', 'gaogangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321203001', '321203', '321203001', '口岸街道', 'kouanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321203002', '321203', '321203002', '刁铺街道', 'diaopujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321203003', '321203', '321203003', '许庄街道', 'xuzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321203100', '321203', '321203100', '永安洲镇', 'yonganzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321203101', '321203', '321203101', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321203102', '321203', '321203102', '野徐镇', 'yexuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321203450', '321203', '321203450', '滨江工业园', 'binjianggongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281', '3212', '321281', '兴化市', 'xinghuashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281100', '321281', '321281100', '戴窑镇', 'daiyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281101', '321281', '321281101', '合陈镇', 'hechenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281102', '321281', '321281102', '永丰镇', 'yongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281103', '321281', '321281103', '新垛镇', 'xinduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281104', '321281', '321281104', '安丰镇', 'anfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281105', '321281', '321281105', '海南镇', 'hainanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281106', '321281', '321281106', '钓鱼镇', 'diaoyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281107', '321281', '321281107', '大邹镇', 'dazouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281108', '321281', '321281108', '沙沟镇', 'shagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281109', '321281', '321281109', '中堡镇', 'zhongbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281110', '321281', '321281110', '李中镇', 'lizhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281111', '321281', '321281111', '西郊镇', 'xijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281112', '321281', '321281112', '临城镇', 'linchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281113', '321281', '321281113', '垛田镇', 'duotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281114', '321281', '321281114', '竹泓镇', 'zhuhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281115', '321281', '321281115', '沈沦镇', 'shenlunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281116', '321281', '321281116', '大垛镇', 'daduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281117', '321281', '321281117', '荻垛镇', 'diduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281118', '321281', '321281118', '陶庄镇', 'taozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281119', '321281', '321281119', '昌荣镇', 'changrongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281120', '321281', '321281120', '茅山镇', 'maoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281121', '321281', '321281121', '周庄镇', 'zhouzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281122', '321281', '321281122', '陈堡镇', 'chenbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281123', '321281', '321281123', '戴南镇', 'dainanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281124', '321281', '321281124', '张郭镇', 'zhangguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281125', '321281', '321281125', '昭阳镇', 'zhaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281126', '321281', '321281126', '大营镇', 'dayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281127', '321281', '321281127', '下圩镇', 'xiaweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281128', '321281', '321281128', '城东镇', 'chengdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281200', '321281', '321281200', '老圩乡', 'laoweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281201', '321281', '321281201', '周奋乡', 'zhoufenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281202', '321281', '321281202', '缸顾乡', 'gangguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281203', '321281', '321281203', '西鲍乡', 'xibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281204', '321281', '321281204', '林湖乡', 'linhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281450', '321281', '321281450', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321281451', '321281', '321281451', '良种场', 'liangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282', '3212', '321282', '靖江市', 'jingjiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282100', '321282', '321282100', '靖城镇', 'jingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282101', '321282', '321282101', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282102', '321282', '321282102', '东兴镇', 'dongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282103', '321282', '321282103', '斜桥镇', 'xieqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282104', '321282', '321282104', '西来镇', 'xilaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282105', '321282', '321282105', '季市镇', 'jishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282106', '321282', '321282106', '孤山镇', 'gushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282107', '321282', '321282107', '红光镇', 'hongguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282108', '321282', '321282108', '生祠镇', 'shengcizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282109', '321282', '321282109', '马桥镇', 'maqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282401', '321282', '321282401', '城南', 'chengnan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282402', '321282', '321282402', '新港园区', 'xingangyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282403', '321282', '321282403', '城北园区', 'chengbeiyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282404', '321282', '321282404', '江阴园区', 'jiangyinyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321282405', '321282', '321282405', '渔业公司', 'yuyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283', '3212', '321283', '泰兴市', 'taixingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283100', '321283', '321283100', '黄桥镇', 'huangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283101', '321283', '321283101', '分界镇', 'fenjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283102', '321283', '321283102', '古溪镇', 'guxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283103', '321283', '321283103', '横垛镇', 'hengduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283104', '321283', '321283104', '元竹镇', 'yuanzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283105', '321283', '321283105', '珊瑚镇', 'shanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283106', '321283', '321283106', '广陵镇', 'guanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283107', '321283', '321283107', '南沙镇', 'nanshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283108', '321283', '321283108', '曲霞镇', 'quxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283109', '321283', '321283109', '张桥镇', 'zhangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283110', '321283', '321283110', '溪桥镇', 'xiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283111', '321283', '321283111', '刘陈镇', 'liuchenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283112', '321283', '321283112', '河失镇', 'heshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283113', '321283', '321283113', '新街镇', 'xinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283114', '321283', '321283114', '姚王镇', 'yaowangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283115', '321283', '321283115', '宣堡镇', 'xuanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283116', '321283', '321283116', '胡庄镇', 'huzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283117', '321283', '321283117', '马甸镇', 'madianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283118', '321283', '321283118', '泰兴镇', 'taixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283119', '321283', '321283119', '七圩镇', 'qiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283120', '321283', '321283120', '蒋华镇', 'jianghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283121', '321283', '321283121', '大生镇', 'dashengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283122', '321283', '321283122', '过船镇', 'guochuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283200', '321283', '321283200', '根思乡', 'gensixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283400', '321283', '321283400', '开发区虚拟镇', 'kaifaquxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321283401', '321283', '321283401', '泰兴市农科所', 'taixingshinongkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284', '3212', '321284', '姜堰市', 'jiangyanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284100', '321284', '321284100', '姜堰镇', 'jiangyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284101', '321284', '321284101', '溱潼镇', 'zhentongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284102', '321284', '321284102', '蒋垛镇', 'jiangduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284103', '321284', '321284103', '顾高镇', 'gugaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284104', '321284', '321284104', '大伦镇', 'dalunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284105', '321284', '321284105', '张甸镇', 'zhangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284106', '321284', '321284106', '大泗镇', 'dasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284107', '321284', '321284107', '梁徐镇', 'liangxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284108', '321284', '321284108', '苏陈镇', 'suchenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284109', '321284', '321284109', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284110', '321284', '321284110', '淤溪镇', 'yuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284111', '321284', '321284111', '白米镇', 'baimizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284112', '321284', '321284112', '娄庄镇', 'louzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284113', '321284', '321284113', '沈高镇', 'shengaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284114', '321284', '321284114', '兴泰镇', 'xingtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284115', '321284', '321284115', '俞垛镇', 'yuduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284116', '321284', '321284116', '华港镇', 'huagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284117', '321284', '321284117', '罡杨镇', 'gangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284400', '321284', '321284400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284401', '321284', '321284401', '溱湖风景区', 'zhenhufengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284403', '321284', '321284403', '林场', 'linchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284404', '321284', '321284404', '种猪场', 'zhongzhuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284405', '321284', '321284405', '林业站', 'linyezhan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321284406', '321284', '321284406', '渔业社', 'yuyeshe', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3213', '32', '3213', '宿迁市', 'suqianshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321301', '3213', '321301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302', '3213', '321302', '宿城区', 'suchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302001', '321302', '321302001', '幸福街道', 'xingfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302002', '321302', '321302002', '项里街道', 'xianglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302003', '321302', '321302003', '河滨街道', 'hebinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302004', '321302', '321302004', '古城街道', 'guchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302100', '321302', '321302100', '双庄镇', 'shuangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302101', '321302', '321302101', '耿车镇', 'gengchezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302102', '321302', '321302102', '埠子镇', 'buzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302103', '321302', '321302103', '龙河镇', 'longhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302104', '321302', '321302104', '洋北镇', 'yangbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302105', '321302', '321302105', '仓集镇', 'cangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302106', '321302', '321302106', '洋河镇', 'yanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302107', '321302', '321302107', '中扬镇', 'zhongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302108', '321302', '321302108', '郑楼镇', 'zhenglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302109', '321302', '321302109', '陈集镇', 'chenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302201', '321302', '321302201', '罗圩乡', 'luoweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302202', '321302', '321302202', '南蔡乡', 'nancaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302203', '321302', '321302203', '屠园乡', 'tuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321302350', '321302', '321302350', '三棵树乡', 'sankeshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311', '3213', '321311', '宿豫区', 'suyuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311100', '321311', '321311100', '顺河镇', 'shunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311101', '321311', '321311101', '晓店镇', 'xiaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311102', '321311', '321311102', '蔡集镇', 'caijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311103', '321311', '321311103', '王官集镇', 'wangguanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311104', '321311', '321311104', '皂河镇', 'zaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311105', '321311', '321311105', '仰化镇', 'yanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311106', '321311', '321311106', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311107', '321311', '321311107', '丁嘴镇', 'dingzuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311108', '321311', '321311108', '来龙镇', 'lailongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311109', '321311', '321311109', '黄墩镇', 'huangdunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311110', '321311', '321311110', '陆集镇', 'lujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311111', '321311', '321311111', '关庙镇', 'guanmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311112', '321311', '321311112', '侍岭镇', 'shilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311113', '321311', '321311113', '新庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311200', '321311', '321311200', '井头乡', 'jingtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311201', '321311', '321311201', '曹集乡', 'caojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311202', '321311', '321311202', '保安乡', 'baoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321311500', '321311', '321311500', '嶂山林场', 'zhangshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322', '3213', '321322', '沭阳县', 'shuyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322100', '321322', '321322100', '沭城镇', 'shuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322101', '321322', '321322101', '陇集镇', 'longjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322102', '321322', '321322102', '胡集镇', 'hujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322103', '321322', '321322103', '钱集镇', 'qianjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322104', '321322', '321322104', '塘沟镇', 'tanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322105', '321322', '321322105', '马厂镇', 'machangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322106', '321322', '321322106', '沂涛镇', 'yitaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322107', '321322', '321322107', '庙头镇', 'miaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322108', '321322', '321322108', '韩山镇', 'hanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322109', '321322', '321322109', '华冲镇', 'huachongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322110', '321322', '321322110', '桑墟镇', 'sangxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322111', '321322', '321322111', '悦来镇', 'yuelaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322112', '321322', '321322112', '刘集镇', 'liujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322114', '321322', '321322114', '李恒镇', 'lihengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322115', '321322', '321322115', '扎下镇', 'zhaxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322116', '321322', '321322116', '颜集镇', 'yanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322117', '321322', '321322117', '潼阳镇', 'tongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322118', '321322', '321322118', '龙庙镇', 'longmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322119', '321322', '321322119', '高墟镇', 'gaoxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322120', '321322', '321322120', '耿圩镇', 'gengweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322122', '321322', '321322122', '汤涧镇', 'tangjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322124', '321322', '321322124', '新河镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322125', '321322', '321322125', '贤官镇', 'xianguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322126', '321322', '321322126', '吴集镇', 'wujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322127', '321322', '321322127', '湖东镇', 'hudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322128', '321322', '321322128', '青伊湖镇', 'qingyihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322200', '321322', '321322200', '北丁集乡', 'beidingjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322201', '321322', '321322201', '周集乡', 'zhoujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322202', '321322', '321322202', '东小店乡', 'dongxiaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322203', '321322', '321322203', '张圩乡', 'zhangweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322204', '321322', '321322204', '茆圩乡', 'maoweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322205', '321322', '321322205', '西圩乡', 'xiweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322206', '321322', '321322206', '万匹乡', 'wanpixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322207', '321322', '321322207', '官墩乡', 'guandunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321322400', '321322', '321322400', '青伊湖农场', 'qingyihunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323', '3213', '321323', '泗阳县', 'siyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323100', '321323', '321323100', '众兴镇', 'zhongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323101', '321323', '321323101', '爱园镇', 'aiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323102', '321323', '321323102', '王集镇', 'wangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323103', '321323', '321323103', '裴圩镇', 'peiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323104', '321323', '321323104', '新袁镇', 'xinyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323105', '321323', '321323105', '李口镇', 'likouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323106', '321323', '321323106', '临河镇', 'linhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323107', '321323', '321323107', '穿城镇', 'chuanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323108', '321323', '321323108', '张家圩镇', 'zhangjiaweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323109', '321323', '321323109', '高渡镇', 'gaoduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323110', '321323', '321323110', '卢集镇', 'lujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323200', '321323', '321323200', '庄圩乡', 'zhuangweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323201', '321323', '321323201', '里仁乡', 'lirenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323202', '321323', '321323202', '三庄乡', 'sanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323203', '321323', '321323203', '南刘集乡', 'nanliujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323204', '321323', '321323204', '八集乡', 'bajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323400', '321323', '321323400', '泗阳农场', 'siyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321323401', '321323', '321323401', '棉花原种场', 'mianhuayuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324', '3213', '321324', '泗洪县', 'sihongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324100', '321324', '321324100', '青阳镇', 'qingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324101', '321324', '321324101', '双沟镇', 'shuanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324102', '321324', '321324102', '上塘镇', 'shangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324103', '321324', '321324103', '魏营镇', 'weiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324104', '321324', '321324104', '临淮镇', 'linhuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324105', '321324', '321324105', '半城镇', 'banchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324106', '321324', '321324106', '孙园镇', 'sunyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324107', '321324', '321324107', '梅花镇', 'meihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324108', '321324', '321324108', '归仁镇', 'guirenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324109', '321324', '321324109', '金锁镇', 'jinsuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324110', '321324', '321324110', '朱湖镇', 'zhuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324111', '321324', '321324111', '界集镇', 'jiejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324112', '321324', '321324112', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324113', '321324', '321324113', '龙集镇', 'longjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324200', '321324', '321324200', '四河乡', 'sihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324201', '321324', '321324201', '峰山乡', 'fengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324202', '321324', '321324202', '天岗湖乡', 'tianganghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324203', '321324', '321324203', '车门乡', 'chemenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324204', '321324', '321324204', '瑶沟乡', 'yaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324205', '321324', '321324205', '石集乡', 'shijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324206', '321324', '321324206', '城头乡', 'chengtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324207', '321324', '321324207', '陈圩乡', 'chenweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324208', '321324', '321324208', '曹庙乡', 'caomiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324400', '321324', '321324400', '五里江农场', 'wulijiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('321324401', '321324', '321324401', '洪泽湖农场', 'hongzehunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('33', '-1', '33', '浙江省', 'zhejiangsheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3301', '33', '3301', '杭州市', 'hangzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330101', '3301', '330101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330102', '3301', '330102', '上城区', 'shangchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330102001', '330102', '330102001', '清波街道', 'qingbojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330102003', '330102', '330102003', '湖滨街道', 'hubinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330102004', '330102', '330102004', '小营街道', 'xiaoyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330102008', '330102', '330102008', '南星街道', 'nanxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330102009', '330102', '330102009', '紫阳街道', 'ziyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330102010', '330102', '330102010', '望江街道', 'wangjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330103', '3301', '330103', '下城区', 'xiachengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330103001', '330103', '330103001', '长庆街道', 'zhangqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330103002', '330103', '330103002', '武林街道', 'wulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330103003', '330103', '330103003', '天水街道', 'tianshuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330103005', '330103', '330103005', '潮鸣街道', 'chaomingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330103006', '330103', '330103006', '朝晖街道', 'chaohuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330103007', '330103', '330103007', '文晖街道', 'wenhuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330103008', '330103', '330103008', '东新街道', 'dongxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330103009', '330103', '330103009', '石桥街道', 'shiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330104', '3301', '330104', '江干区', 'jiangganqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330104005', '330104', '330104005', '凯旋街道', 'kaixuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330104006', '330104', '330104006', '采荷街道', 'caihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330104007', '330104', '330104007', '闸弄口街道', 'zhanongkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330104008', '330104', '330104008', '四季青街道', 'sijiqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330104009', '330104', '330104009', '白杨街道', 'baiyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330104010', '330104', '330104010', '下沙街道', 'xiashajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330104102', '330104', '330104102', '彭埠镇', 'pengbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330104103', '330104', '330104103', '笕桥镇', 'jianqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330104104', '330104', '330104104', '丁桥镇', 'dingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330104105', '330104', '330104105', '九堡镇', 'jiubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330105', '3301', '330105', '拱墅区', 'gongshuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330105001', '330105', '330105001', '米市巷街道', 'mishixiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330105002', '330105', '330105002', '湖墅街道', 'hushujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330105003', '330105', '330105003', '小河街道', 'xiaohejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330105004', '330105', '330105004', '和睦街道', 'hemujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330105005', '330105', '330105005', '拱宸桥街道', 'gongchenqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330105007', '330105', '330105007', '大关街道', 'daguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330105008', '330105', '330105008', '上塘街道', 'shangtangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330105102', '330105', '330105102', '康桥镇', 'kangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330105103', '330105', '330105103', '半山镇', 'banshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330105104', '330105', '330105104', '祥符镇', 'xiangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106', '3301', '330106', '西湖区', 'xihuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106002', '330106', '330106002', '北山街道', 'beishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106003', '330106', '330106003', '灵隐街道', 'lingyinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106004', '330106', '330106004', '西溪街道', 'xixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106005', '330106', '330106005', '翠苑街道', 'cuiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106006', '330106', '330106006', '文新街道', 'wenxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106007', '330106', '330106007', '古荡街道', 'gudangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106008', '330106', '330106008', '西湖街道', 'xihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106103', '330106', '330106103', '留下镇', 'liuxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106104', '330106', '330106104', '转塘镇', 'zhuantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106105', '330106', '330106105', '袁浦镇', 'yuanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106106', '330106', '330106106', '龙坞镇', 'longwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106109', '330106', '330106109', '三墩镇', 'sandunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106202', '330106', '330106202', '周浦乡', 'zhoupuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330106203', '330106', '330106203', '蒋村乡', 'jiangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330108', '3301', '330108', '滨江区', 'binjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330108001', '330108', '330108001', '西兴街道', 'xixingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330108002', '330108', '330108002', '长河街道', 'zhanghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330108003', '330108', '330108003', '浦沿街道', 'puyanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109', '3301', '330109', '萧山区', 'xiaoshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109001', '330109', '330109001', '城厢街道', 'chengxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109002', '330109', '330109002', '北干街道', 'beiganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109003', '330109', '330109003', '蜀山街道', 'shushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109004', '330109', '330109004', '新塘街道', 'xintangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109100', '330109', '330109100', '楼塔镇', 'loutazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109101', '330109', '330109101', '河上镇', 'heshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109102', '330109', '330109102', '戴村镇', 'daicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109103', '330109', '330109103', '浦阳镇', 'puyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109104', '330109', '330109104', '进化镇', 'jinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109105', '330109', '330109105', '临浦镇', 'linpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109106', '330109', '330109106', '义桥镇', 'yiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109107', '330109', '330109107', '所前镇', 'suoqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109108', '330109', '330109108', '衙前镇', 'yaqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109109', '330109', '330109109', '闻堰镇', 'wenyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109110', '330109', '330109110', '宁围镇', 'ningweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109111', '330109', '330109111', '新街镇', 'xinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109112', '330109', '330109112', '坎山镇', 'kanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109113', '330109', '330109113', '瓜沥镇', 'gualizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109114', '330109', '330109114', '党山镇', 'dangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109115', '330109', '330109115', '益农镇', 'yinongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109116', '330109', '330109116', '靖江镇', 'jingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109117', '330109', '330109117', '南阳镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109118', '330109', '330109118', '义蓬镇', 'yipengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109119', '330109', '330109119', '河庄镇', 'hezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109120', '330109', '330109120', '党湾镇', 'dangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109121', '330109', '330109121', '新湾镇', 'xinwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109401', '330109', '330109401', '萧山经济开发区', 'xiaoshanjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330109501', '330109', '330109501', '围垦区', 'weikenqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110', '3301', '330110', '余杭区', 'yuhangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110001', '330110', '330110001', '临平街道', 'linpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110002', '330110', '330110002', '南苑街道', 'nanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110003', '330110', '330110003', '东湖街道', 'donghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110004', '330110', '330110004', '星桥街道', 'xingqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110100', '330110', '330110100', '乔司镇', 'qiaosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110101', '330110', '330110101', '运河镇', 'yunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110102', '330110', '330110102', '塘栖镇', 'tangqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110103', '330110', '330110103', '崇贤镇', 'chongxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110104', '330110', '330110104', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110105', '330110', '330110105', '良渚镇', 'liangzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110106', '330110', '330110106', '闲林镇', 'xianlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110107', '330110', '330110107', '仓前镇', 'cangqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110108', '330110', '330110108', '余杭镇', 'yuhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110109', '330110', '330110109', '径山镇', 'jingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110110', '330110', '330110110', '瓶窑镇', 'pingyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110111', '330110', '330110111', '鸬鸟镇', 'luniaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110112', '330110', '330110112', '百丈镇', 'baizhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110113', '330110', '330110113', '黄湖镇', 'huanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330110200', '330110', '330110200', '中泰乡', 'zhongtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122', '3301', '330122', '桐庐县', 'tongluxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122001', '330122', '330122001', '桐君街道', 'tongjunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122002', '330122', '330122002', '旧县街道', 'jiuxianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122101', '330122', '330122101', '富春江镇', 'fuchunjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122102', '330122', '330122102', '横村镇', 'hengcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122107', '330122', '330122107', '凤川镇', 'fengchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122109', '330122', '330122109', '分水镇', 'fenshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122110', '330122', '330122110', '瑶琳镇', 'yaolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122112', '330122', '330122112', '百江镇', 'baijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122113', '330122', '330122113', '江南镇', 'jiangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122201', '330122', '330122201', '莪山畲族自治乡', 'eshanshezuzizhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122202', '330122', '330122202', '钟山乡', 'zhongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122204', '330122', '330122204', '新合乡', 'xinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330122210', '330122', '330122210', '合村乡', 'hecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127', '3301', '330127', '淳安县', 'chunanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127100', '330127', '330127100', '千岛湖镇', 'qiandaohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127101', '330127', '330127101', '文昌镇', 'wenchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127102', '330127', '330127102', '石林镇', 'shilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127103', '330127', '330127103', '临岐镇', 'linqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127104', '330127', '330127104', '威坪镇', 'weipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127106', '330127', '330127106', '姜家镇', 'jiangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127107', '330127', '330127107', '梓桐镇', 'zitongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127108', '330127', '330127108', '汾口镇', 'fenkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127109', '330127', '330127109', '中洲镇', 'zhongzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127110', '330127', '330127110', '大墅镇', 'dashuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127111', '330127', '330127111', '枫树岭镇', 'fengshulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127200', '330127', '330127200', '里商乡', 'lishangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127201', '330127', '330127201', '金峰乡', 'jinfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127202', '330127', '330127202', '富文乡', 'fuwenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127203', '330127', '330127203', '左口乡', 'zuokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127205', '330127', '330127205', '屏门乡', 'pingmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127206', '330127', '330127206', '瑶山乡', 'yaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127208', '330127', '330127208', '王阜乡', 'wangfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127210', '330127', '330127210', '宋村乡', 'songcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127211', '330127', '330127211', '鸠坑乡', 'jiukengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127212', '330127', '330127212', '浪川乡', 'langchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127214', '330127', '330127214', '界首乡', 'jieshouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330127216', '330127', '330127216', '安阳乡', 'anyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182', '3301', '330182', '建德市', 'jiandeshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182001', '330182', '330182001', '新安江街道', 'xinanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182002', '330182', '330182002', '洋溪街道', 'yangxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182003', '330182', '330182003', '更楼街道', 'gengloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182101', '330182', '330182101', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182102', '330182', '330182102', '乾潭镇', 'qiantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182104', '330182', '330182104', '梅城镇', 'meichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182105', '330182', '330182105', '杨村桥镇', 'yangcunqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182106', '330182', '330182106', '下涯镇', 'xiayazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182107', '330182', '330182107', '大洋镇', 'dayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182108', '330182', '330182108', '三都镇', 'sandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182109', '330182', '330182109', '寿昌镇', 'shouchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182110', '330182', '330182110', '航头镇', 'hangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182111', '330182', '330182111', '大慈岩镇', 'daciyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182112', '330182', '330182112', '大同镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182113', '330182', '330182113', '李家镇', 'lijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330182202', '330182', '330182202', '钦堂乡', 'qintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183', '3301', '330183', '富阳市', 'fuyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183001', '330183', '330183001', '富春街道', 'fuchunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183002', '330183', '330183002', '春江街道', 'chunjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183003', '330183', '330183003', '东洲街道', 'dongzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183004', '330183', '330183004', '鹿山街道', 'lushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183100', '330183', '330183100', '万市镇', 'wanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183101', '330183', '330183101', '洞桥镇', 'dongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183102', '330183', '330183102', '新登镇', 'xindengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183103', '330183', '330183103', '渌渚镇', 'luzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183104', '330183', '330183104', '胥口镇', 'xukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183105', '330183', '330183105', '永昌镇', 'yongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183106', '330183', '330183106', '大源镇', 'dayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183107', '330183', '330183107', '灵桥镇', 'lingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183108', '330183', '330183108', '里山镇', 'lishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183109', '330183', '330183109', '常绿镇', 'changlu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183110', '330183', '330183110', '场口镇', 'changkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183111', '330183', '330183111', '常安镇', 'changanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183112', '330183', '330183112', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183113', '330183', '330183113', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183114', '330183', '330183114', '受降镇', 'shoujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183200', '330183', '330183200', '新桐乡', 'xintongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183201', '330183', '330183201', '上官乡', 'shangguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183202', '330183', '330183202', '渔山乡', 'yushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183204', '330183', '330183204', '环山乡', 'huanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183205', '330183', '330183205', '湖源乡', 'huyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330183206', '330183', '330183206', '春建乡', 'chunjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185', '3301', '330185', '临安市', 'linanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185001', '330185', '330185001', '锦城街道', 'jinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185002', '330185', '330185002', '玲珑街道', 'linglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185003', '330185', '330185003', '青山湖街道', 'qingshanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185004', '330185', '330185004', '上甘街道', 'shangganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185100', '330185', '330185100', '三口镇', 'sankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185101', '330185', '330185101', '横畈镇', 'hengfanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185102', '330185', '330185102', '高虹镇', 'gaohongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185103', '330185', '330185103', '太湖源镇', 'taihuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185104', '330185', '330185104', '於潜镇', 'wuqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185105', '330185', '330185105', '藻溪镇', 'zaoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185106', '330185', '330185106', '太阳镇', 'taiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185107', '330185', '330185107', '潜川镇', 'qianchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185108', '330185', '330185108', '昌化镇', 'changhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185109', '330185', '330185109', '河桥镇', 'heqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185110', '330185', '330185110', '龙岗镇', 'longgangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185111', '330185', '330185111', '湍口镇', 'tuankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185112', '330185', '330185112', '清凉峰镇', 'qingliangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185113', '330185', '330185113', '岛石镇', 'daoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185114', '330185', '330185114', '大峡谷镇', 'daxiaguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185200', '330185', '330185200', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185201', '330185', '330185201', '西天目乡', 'xitianmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185202', '330185', '330185202', '千洪乡', 'qianhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185203', '330185', '330185203', '横路乡', 'hengluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185204', '330185', '330185204', '乐平乡', 'lepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185205', '330185', '330185205', '马啸乡', 'maxiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330185206', '330185', '330185206', '新桥乡', 'xinqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3302', '33', '3302', '宁波市', 'ningboshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330201', '3302', '330201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330203', '3302', '330203', '海曙区', 'haishuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330203001', '330203', '330203001', '南门街道', 'nanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330203002', '330203', '330203002', '江厦街道', 'jiangshajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330203003', '330203', '330203003', '西门街道', 'ximenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330203004', '330203', '330203004', '月湖街道', 'yuehujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330203005', '330203', '330203005', '鼓楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330203006', '330203', '330203006', '白云街道', 'baiyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330203007', '330203', '330203007', '段塘街道', 'duantangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330203008', '330203', '330203008', '望春街道', 'wangchunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330204', '3302', '330204', '江东区', 'jiangdongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330204001', '330204', '330204001', '百丈街道', 'baizhangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330204002', '330204', '330204002', '东胜街道', 'dongshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330204003', '330204', '330204003', '明楼街道', 'mingloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330204004', '330204', '330204004', '白鹤街道', 'baihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330204005', '330204', '330204005', '东柳街道', 'dongliujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330204006', '330204', '330204006', '东郊街道', 'dongjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330204007', '330204', '330204007', '福明街道', 'fumingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330205', '3302', '330205', '江北区', 'jiangbeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330205001', '330205', '330205001', '中马街道', 'zhongmajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330205002', '330205', '330205002', '白沙街道', 'baishajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330205003', '330205', '330205003', '孔浦街道', 'kongpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330205004', '330205', '330205004', '文教街道', 'wenjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330205005', '330205', '330205005', '甬江街道', 'yongjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330205006', '330205', '330205006', '庄桥街道', 'zhuangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330205007', '330205', '330205007', '洪塘街道', 'hongtangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330205103', '330205', '330205103', '慈城镇', 'cichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330206', '3302', '330206', '北仑区', 'beilunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330206001', '330206', '330206001', '大榭街道', 'daxiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330206002', '330206', '330206002', '新碶街道', 'xinqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330206003', '330206', '330206003', '小港街道', 'xiaogangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330206004', '330206', '330206004', '大碶街道', 'daqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330206005', '330206', '330206005', '霞浦街道', 'xiapujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330206006', '330206', '330206006', '柴桥街道', 'chaiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330206105', '330206', '330206105', '白峰镇', 'baifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330206107', '330206', '330206107', '春晓镇', 'chunxiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330206201', '330206', '330206201', '梅山乡', 'meishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330211', '3302', '330211', '镇海区', 'zhenhaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330211001', '330211', '330211001', '招宝山街道', 'zhaobaoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330211002', '330211', '330211002', '蛟川街道', 'jiaochuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330211003', '330211', '330211003', '骆驼街道', 'luotuojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330211004', '330211', '330211004', '庄市街道', 'zhuangshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330211100', '330211', '330211100', '澥浦镇', 'xiepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330211101', '330211', '330211101', '九龙湖镇', 'jiulonghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212', '3302', '330212', '鄞州区', 'yinzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212001', '330212', '330212001', '下应街道', 'xiayingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212002', '330212', '330212002', '钟公庙街道', 'zhonggongmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212003', '330212', '330212003', '石碶街道', 'shiqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212004', '330212', '330212004', '梅墟街道', 'meixujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212100', '330212', '330212100', '瞻岐镇', 'zhanqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212101', '330212', '330212101', '咸祥镇', 'xianxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212102', '330212', '330212102', '塘溪镇', 'tangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212103', '330212', '330212103', '东钱湖镇', 'dongqianhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212104', '330212', '330212104', '东吴镇', 'dongwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212105', '330212', '330212105', '五乡镇', 'wuxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212106', '330212', '330212106', '邱隘镇', 'qiuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212108', '330212', '330212108', '云龙镇', 'yunlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212109', '330212', '330212109', '横溪镇', 'hengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212110', '330212', '330212110', '姜山镇', 'jiangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212113', '330212', '330212113', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212114', '330212', '330212114', '横街镇', 'hengjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212115', '330212', '330212115', '集仕港镇', 'jishigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212116', '330212', '330212116', '古林镇', 'gulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212118', '330212', '330212118', '洞桥镇', 'dongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212119', '330212', '330212119', '鄞江镇', 'yinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212120', '330212', '330212120', '章水镇', 'zhangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330212200', '330212', '330212200', '龙观乡', 'longguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225', '3302', '330225', '象山县', 'xiangshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225001', '330225', '330225001', '丹东街道', 'dandongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225002', '330225', '330225002', '丹西街道', 'danxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225003', '330225', '330225003', '爵溪街道', 'juexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225101', '330225', '330225101', '石浦镇', 'shipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225102', '330225', '330225102', '西周镇', 'xizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225103', '330225', '330225103', '鹤浦镇', 'hepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225104', '330225', '330225104', '贤庠镇', 'xianxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225105', '330225', '330225105', '墙头镇', 'qiangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225106', '330225', '330225106', '泗洲头镇', 'sizhoutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225107', '330225', '330225107', '定塘镇', 'dingtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225108', '330225', '330225108', '涂茨镇', 'tucizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225109', '330225', '330225109', '大徐镇', 'daxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225110', '330225', '330225110', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225200', '330225', '330225200', '东陈乡', 'dongchenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225201', '330225', '330225201', '晓塘乡', 'xiaotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225202', '330225', '330225202', '黄避岙乡', 'huangbiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225203', '330225', '330225203', '茅洋乡', 'maoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330225204', '330225', '330225204', '高塘岛乡', 'gaotangdaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226', '3302', '330226', '宁海县', 'ninghaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226001', '330226', '330226001', '跃龙街道', 'yuelongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226002', '330226', '330226002', '桃源街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226003', '330226', '330226003', '梅林街道', 'meilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226004', '330226', '330226004', '桥头胡街道', 'qiaotouhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226101', '330226', '330226101', '长街镇', 'zhangjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226102', '330226', '330226102', '力洋镇', 'liyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226104', '330226', '330226104', '一市镇', 'yishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226105', '330226', '330226105', '岔路镇', 'chaluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226106', '330226', '330226106', '前童镇', 'qiantongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226107', '330226', '330226107', '桑洲镇', 'sangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226108', '330226', '330226108', '黄坛镇', 'huangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226109', '330226', '330226109', '大佳何镇', 'dajiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226110', '330226', '330226110', '强蛟镇', 'qiangjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226111', '330226', '330226111', '西店镇', 'xidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226112', '330226', '330226112', '深圳镇', 'shenzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226200', '330226', '330226200', '胡陈乡', 'huchenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226201', '330226', '330226201', '茶院乡', 'chayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330226202', '330226', '330226202', '越溪乡', 'yuexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281', '3302', '330281', '余姚市', 'yuyaoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281001', '330281', '330281001', '梨洲街道', 'lizhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281002', '330281', '330281002', '凤山街道', 'fengshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281003', '330281', '330281003', '兰江街道', 'lanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281004', '330281', '330281004', '阳明街道', 'yangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281005', '330281', '330281005', '低塘街道', 'ditangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281006', '330281', '330281006', '朗霞街道', 'langxiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281100', '330281', '330281100', '临山镇', 'linshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281101', '330281', '330281101', '黄家埠镇', 'huangjiabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281102', '330281', '330281102', '小曹娥镇', 'xiaocaoezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281103', '330281', '330281103', '泗门镇', 'simenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281106', '330281', '330281106', '马渚镇', 'mazhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281108', '330281', '330281108', '牟山镇', 'moushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281109', '330281', '330281109', '丈亭镇', 'zhangtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281110', '330281', '330281110', '三七市镇', 'sanqishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281111', '330281', '330281111', '河姆渡镇', 'hemuduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281112', '330281', '330281112', '大隐镇', 'dayinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281113', '330281', '330281113', '陆埠镇', 'lubuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281114', '330281', '330281114', '梁弄镇', 'liangnongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281115', '330281', '330281115', '大岚镇', 'dalanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281116', '330281', '330281116', '四明山镇', 'simingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330281201', '330281', '330281201', '鹿亭乡', 'lutingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282', '3302', '330282', '慈溪市', 'cixishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282001', '330282', '330282001', '浒山街道', 'hushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282002', '330282', '330282002', '宗汉街道', 'zonghanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282003', '330282', '330282003', '坎墩街道', 'kandunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282101', '330282', '330282101', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282102', '330282', '330282102', '三北镇', 'sanbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282103', '330282', '330282103', '范市镇', 'fanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282104', '330282', '330282104', '掌起镇', 'zhangqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282107', '330282', '330282107', '观海卫镇', 'guanhaiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282108', '330282', '330282108', '附海镇', 'fuhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282109', '330282', '330282109', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282110', '330282', '330282110', '匡堰镇', 'kuangyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282111', '330282', '330282111', '逍林镇', 'xiaolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282112', '330282', '330282112', '新浦镇', 'xinpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282113', '330282', '330282113', '胜山镇', 'shengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282114', '330282', '330282114', '横河镇', 'henghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282116', '330282', '330282116', '崇寿镇', 'chongshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282118', '330282', '330282118', '庵东镇', 'andongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282119', '330282', '330282119', '天元镇', 'tianyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282120', '330282', '330282120', '长河镇', 'zhanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330282121', '330282', '330282121', '周巷镇', 'zhouxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283', '3302', '330283', '奉化市', 'fenghuashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283001', '330283', '330283001', '锦屏街道', 'jinpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283002', '330283', '330283002', '岳林街道', 'yuelinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283003', '330283', '330283003', '江口街道', 'jiangkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283004', '330283', '330283004', '西坞街道', 'xiwujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283005', '330283', '330283005', '萧王庙街道', 'xiaowangmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283100', '330283', '330283100', '溪口镇', 'xikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283103', '330283', '330283103', '尚田镇', 'shangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283104', '330283', '330283104', '莼湖镇', 'chunhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283106', '330283', '330283106', '裘村镇', 'qiucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283107', '330283', '330283107', '大堰镇', 'dayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330283108', '330283', '330283108', '松岙镇', 'songaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3303', '33', '3303', '温州市', 'wenzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330301', '3303', '330301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302', '3303', '330302', '鹿城区', 'luchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302002', '330302', '330302002', '洪殿街道', 'hongdianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302006', '330302', '330302006', '五马街道', 'wumajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302007', '330302', '330302007', '蒲鞋市街道', 'puxieshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302013', '330302', '330302013', '莲池街道', 'lianchijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302014', '330302', '330302014', '广化街道', 'guanghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302015', '330302', '330302015', '水心街道', 'shuixinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302016', '330302', '330302016', '南浦街道', 'nanpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302018', '330302', '330302018', '南门街道', 'nanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302019', '330302', '330302019', '江滨街道', 'jiangbinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302020', '330302', '330302020', '黎明街道', 'limingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302021', '330302', '330302021', '绣山街道', 'xiushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302022', '330302', '330302022', '黄龙街道', 'huanglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302101', '330302', '330302101', '双屿镇', 'shuangyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302102', '330302', '330302102', '藤桥镇', 'tengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302103', '330302', '330302103', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302104', '330302', '330302104', '七都镇', 'qidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302202', '330302', '330302202', '南郊乡', 'nanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302203', '330302', '330302203', '仰义乡', 'yangyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302204', '330302', '330302204', '双潮乡', 'shuangchaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302205', '330302', '330302205', '上戍乡', 'shangshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330302206', '330302', '330302206', '岙底乡', 'aodixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330303', '3303', '330303', '龙湾区', 'longwanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330303001', '330303', '330303001', '永中街道', 'yongzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330303002', '330303', '330303002', '蒲州街道', 'puzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330303003', '330303', '330303003', '海滨街道', 'haibinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330303004', '330303', '330303004', '永兴街道', 'yongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330303005', '330303', '330303005', '海城街道', 'haichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330303101', '330303', '330303101', '状元镇', 'zhuangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330303102', '330303', '330303102', '瑶溪镇', 'yaoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330303103', '330303', '330303103', '沙城镇', 'shachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330303104', '330303', '330303104', '天河镇', 'tianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330303105', '330303', '330303105', '灵昆镇', 'lingkunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304', '3303', '330304', '瓯海区', 'ouhaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304001', '330304', '330304001', '景山街道', 'jingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304002', '330304', '330304002', '梧田街道', 'wutianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304003', '330304', '330304003', '南白象街道', 'nanbaixiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304004', '330304', '330304004', '茶山街道', 'chashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304005', '330304', '330304005', '娄桥街道', 'louqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304006', '330304', '330304006', '新桥街道', 'xinqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304007', '330304', '330304007', '三垟街道', 'sanyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304103', '330304', '330304103', '瞿溪镇', 'juxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304105', '330304', '330304105', '郭溪镇', 'guoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304106', '330304', '330304106', '潘桥镇', 'panqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304108', '330304', '330304108', '泽雅镇', 'zeyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304109', '330304', '330304109', '丽岙镇', 'liaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330304110', '330304', '330304110', '仙岩镇', 'xianyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330322', '3303', '330322', '洞头县', 'dongtouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330322100', '330322', '330322100', '北岙镇', 'beiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330322101', '330322', '330322101', '大门镇', 'damenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330322102', '330322', '330322102', '东屏镇', 'dongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330322200', '330322', '330322200', '元觉乡', 'yuanjuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330322201', '330322', '330322201', '霓屿乡', 'niyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330322202', '330322', '330322202', '鹿西乡', 'luxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324', '3303', '330324', '永嘉县', 'yongjiaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324100', '330324', '330324100', '上塘镇', 'shangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324101', '330324', '330324101', '瓯北镇', 'oubeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324102', '330324', '330324102', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324103', '330324', '330324103', '乌牛镇', 'wuniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324104', '330324', '330324104', '桥下镇', 'qiaoxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324105', '330324', '330324105', '大若岩镇', 'daruoyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324106', '330324', '330324106', '碧莲镇', 'bilianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324107', '330324', '330324107', '巽宅镇', 'xunzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324108', '330324', '330324108', '岩头镇', 'yantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324109', '330324', '330324109', '枫林镇', 'fenglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324110', '330324', '330324110', '岩坦镇', 'yantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324111', '330324', '330324111', '沙头镇', 'shatouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324200', '330324', '330324200', '西溪乡', 'xixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324201', '330324', '330324201', '徐岙乡', 'xuaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324202', '330324', '330324202', '昆阳乡', 'kunyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324203', '330324', '330324203', '茗岙乡', 'mingaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324204', '330324', '330324204', '山坑乡', 'shankengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324205', '330324', '330324205', '应坑乡', 'yingkengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324206', '330324', '330324206', '大岙乡', 'daaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324207', '330324', '330324207', '溪下乡', 'xixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324208', '330324', '330324208', '界坑乡', 'jiekengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324209', '330324', '330324209', '西岙乡', 'xiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324210', '330324', '330324210', '石染乡', 'shiranxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324211', '330324', '330324211', '五(氵束鸟)乡', 'wu(shuishuniao)xiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324212', '330324', '330324212', '表山乡', 'biaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324213', '330324', '330324213', '东皋乡', 'donggaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324214', '330324', '330324214', '鹤盛乡', 'heshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324215', '330324', '330324215', '西源乡', 'xiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324216', '330324', '330324216', '岭头乡', 'lingtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324217', '330324', '330324217', '溪口乡', 'xikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324218', '330324', '330324218', '鲤溪乡', 'lixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324219', '330324', '330324219', '张溪乡', 'zhangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324220', '330324', '330324220', '黄南乡', 'huangnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324221', '330324', '330324221', '潘坑乡', 'pankengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324222', '330324', '330324222', '陡门乡', 'doumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324223', '330324', '330324223', '花坦乡', 'huatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324224', '330324', '330324224', '渠口乡', 'qukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330324225', '330324', '330324225', '下寮乡', 'xialiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326', '3303', '330326', '平阳县', 'pingyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326100', '330326', '330326100', '昆阳镇', 'kunyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326101', '330326', '330326101', '鳌江镇', 'aojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326102', '330326', '330326102', '水头镇', 'shuitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326103', '330326', '330326103', '萧江镇', 'xiaojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326104', '330326', '330326104', '麻步镇', 'mabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326105', '330326', '330326105', '腾蛟镇', 'tengjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326106', '330326', '330326106', '钱仓镇', 'qiancangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326107', '330326', '330326107', '山门镇', 'shanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326108', '330326', '330326108', '顺溪镇', 'shunxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326109', '330326', '330326109', '南雁镇', 'nanyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326110', '330326', '330326110', '凤卧镇', 'fengwozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326111', '330326', '330326111', '鹤溪镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326112', '330326', '330326112', '宋桥镇', 'songqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326113', '330326', '330326113', '宋埠镇', 'songbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326114', '330326', '330326114', '榆垟镇', 'yuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326115', '330326', '330326115', '郑楼镇', 'zhenglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326116', '330326', '330326116', '南麂镇', 'nanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326202', '330326', '330326202', '西湾乡', 'xiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326204', '330326', '330326204', '梅溪乡', 'meixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326205', '330326', '330326205', '梅源乡', 'meiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326206', '330326', '330326206', '桃源乡', 'taoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326207', '330326', '330326207', '凤巢乡', 'fengchaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326208', '330326', '330326208', '龙尾乡', 'longweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326209', '330326', '330326209', '南湖乡', 'nanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326210', '330326', '330326210', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326211', '330326', '330326211', '闹村乡', 'naocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326212', '330326', '330326212', '晓坑乡', 'xiaokengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326213', '330326', '330326213', '怀溪乡', 'huaixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326214', '330326', '330326214', '青街畲族乡', 'qingjieshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326215', '330326', '330326215', '维新乡', 'weixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330326216', '330326', '330326216', '吴垟乡', 'wuyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327', '3303', '330327', '苍南县', 'cangnanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327100', '330327', '330327100', '灵溪镇', 'lingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327101', '330327', '330327101', '龙港镇', 'longgangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327103', '330327', '330327103', '宜山镇', 'yishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327104', '330327', '330327104', '钱库镇', 'qiankuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327105', '330327', '330327105', '芦浦镇', 'lupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327106', '330327', '330327106', '望里镇', 'wanglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327107', '330327', '330327107', '金乡镇', 'jinxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327108', '330327', '330327108', '舥艚镇', 'pacaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327109', '330327', '330327109', '炎亭镇', 'yantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327110', '330327', '330327110', '大渔镇', 'dayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327112', '330327', '330327112', '藻溪镇', 'zaoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327113', '330327', '330327113', '桥墩镇', 'qiaodunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327114', '330327', '330327114', '莒溪镇', 'juxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327115', '330327', '330327115', '观美镇', 'guanmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327116', '330327', '330327116', '矾山镇', 'fanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327117', '330327', '330327117', '赤溪镇', 'chixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327118', '330327', '330327118', '马站镇', 'mazhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327119', '330327', '330327119', '霞关镇', 'xiaguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327120', '330327', '330327120', '沿浦镇', 'yanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327121', '330327', '330327121', '南宋镇', 'nansongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327202', '330327', '330327202', '云岩乡', 'yunyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327203', '330327', '330327203', '仙居乡', 'xianjuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327204', '330327', '330327204', '新安乡', 'xinanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327205', '330327', '330327205', '括山乡', 'kuoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327206', '330327', '330327206', '石砰乡', 'shipengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327207', '330327', '330327207', '凤池乡', 'fengchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327209', '330327', '330327209', '浦亭乡', 'putingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327210', '330327', '330327210', '五凤乡', 'wufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327211', '330327', '330327211', '腾垟乡', 'tengyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327213', '330327', '330327213', '昌禅乡', 'changshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327214', '330327', '330327214', '中墩乡', 'zhongdunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327215', '330327', '330327215', '龙沙乡', 'longshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327216', '330327', '330327216', '凤阳畲族乡', 'fengyangshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327217', '330327', '330327217', '蒲城乡', 'puchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327218', '330327', '330327218', '岱岭畲族乡', 'dailingshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330327219', '330327', '330327219', '渔寮乡', 'yuliaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328', '3303', '330328', '文成县', 'wenchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328100', '330328', '330328100', '大峃镇', 'daxuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328101', '330328', '330328101', '百丈漈镇', 'baizhangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328102', '330328', '330328102', '南田镇', 'nantianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328103', '330328', '330328103', '西坑畲族镇', 'xikengshezuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328104', '330328', '330328104', '黄坦镇', 'huangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328105', '330328', '330328105', '珊溪镇', 'shanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328106', '330328', '330328106', '巨屿镇', 'juyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328107', '330328', '330328107', '玉壶镇', 'yuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328200', '330328', '330328200', '樟台乡', 'zhangtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328201', '330328', '330328201', '金炉乡', 'jinluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328202', '330328', '330328202', '龙川乡', 'longchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328203', '330328', '330328203', '里阳乡', 'liyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328204', '330328', '330328204', '二源乡', 'eryuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328205', '330328', '330328205', '黄寮乡', 'huangliaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328206', '330328', '330328206', '十源乡', 'shiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328207', '330328', '330328207', '石垟乡', 'shiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328208', '330328', '330328208', '下垟乡', 'xiayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328209', '330328', '330328209', '岭后乡', 'linghouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328210', '330328', '330328210', '富岙乡', 'fuaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328211', '330328', '330328211', '云湖乡', 'yunhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328212', '330328', '330328212', '仰山乡', 'yangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328213', '330328', '330328213', '桂山乡', 'guishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328214', '330328', '330328214', '峃口乡', 'xuekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328215', '330328', '330328215', '金垟乡', 'jinyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328216', '330328', '330328216', '双桂乡', 'shuangguixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328217', '330328', '330328217', '周山畲族乡', 'zhoushanshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328218', '330328', '330328218', '公阳乡', 'gongyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328219', '330328', '330328219', '平和乡', 'pinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328220', '330328', '330328220', '周壤乡', 'zhourangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328221', '330328', '330328221', '上林乡', 'shanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328222', '330328', '330328222', '东溪乡', 'dongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328223', '330328', '330328223', '金星乡', 'jinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330328224', '330328', '330328224', '朱雅乡', 'zhuyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329', '3303', '330329', '泰顺县', 'taishunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329100', '330329', '330329100', '罗阳镇', 'luoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329101', '330329', '330329101', '司前畲族镇', 'siqianshezuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329102', '330329', '330329102', '百丈镇', 'baizhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329103', '330329', '330329103', '筱村镇', 'xiaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329104', '330329', '330329104', '泗溪镇', 'sixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329105', '330329', '330329105', '彭溪镇', 'pengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329106', '330329', '330329106', '雅阳镇', 'yayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329107', '330329', '330329107', '仕阳镇', 'shiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329108', '330329', '330329108', '龟湖镇', 'guihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329109', '330329', '330329109', '三魁镇', 'sankuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329110', '330329', '330329110', '西旸镇', 'xiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329200', '330329', '330329200', '岭北乡', 'lingbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329201', '330329', '330329201', '仙稔乡', 'xianrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329202', '330329', '330329202', '南院乡', 'nanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329203', '330329', '330329203', '碑排乡', 'beipaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329204', '330329', '330329204', '竹里畲族乡', 'zhulishezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329205', '330329', '330329205', '黄桥乡', 'huangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329206', '330329', '330329206', '峰门乡', 'fengmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329207', '330329', '330329207', '包垟乡', 'baoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329208', '330329', '330329208', '新浦乡', 'xinpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329209', '330329', '330329209', '联云乡', 'lianyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329210', '330329', '330329210', '翁山乡', 'wengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329211', '330329', '330329211', '凤垟乡', 'fengyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329212', '330329', '330329212', '横坑乡', 'hengkengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329213', '330329', '330329213', '九峰乡', 'jiufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329214', '330329', '330329214', '峰文乡', 'fengwenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329215', '330329', '330329215', '月湖乡', 'yuehuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329216', '330329', '330329216', '松垟乡', 'songyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329217', '330329', '330329217', '柳峰乡', 'liufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329218', '330329', '330329218', '雪溪乡', 'xuexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329219', '330329', '330329219', '万排乡', 'wanpaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329220', '330329', '330329220', '东溪乡', 'dongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329221', '330329', '330329221', '大安乡', 'daanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329222', '330329', '330329222', '垟溪乡', 'yangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329223', '330329', '330329223', '洲岭乡', 'zhoulingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330329224', '330329', '330329224', '下洪乡', 'xiahongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381', '3303', '330381', '瑞安市', 'ruianshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381001', '330381', '330381001', '安阳街道', 'anyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381002', '330381', '330381002', '玉海街道', 'yuhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381003', '330381', '330381003', '锦湖街道', 'jinhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381004', '330381', '330381004', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381005', '330381', '330381005', '上望街道', 'shangwangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381006', '330381', '330381006', '潘岱街道', 'pandaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381101', '330381', '330381101', '塘下镇', 'tangxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381109', '330381', '330381109', '莘塍镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381111', '330381', '330381111', '汀田镇', 'tingtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381114', '330381', '330381114', '飞云镇', 'feiyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381115', '330381', '330381115', '仙降镇', 'xianjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381116', '330381', '330381116', '马屿镇', 'mayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381118', '330381', '330381118', '曹村镇', 'caocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381120', '330381', '330381120', '陶山镇', 'taoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381121', '330381', '330381121', '碧山镇', 'bishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381122', '330381', '330381122', '湖岭镇', 'hulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381123', '330381', '330381123', '龙湖镇', 'longhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381124', '330381', '330381124', '平阳坑镇', 'pingyangkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381201', '330381', '330381201', '荆谷乡', 'jingguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381202', '330381', '330381202', '梅屿乡', 'meiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381203', '330381', '330381203', '顺泰乡', 'shuntaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381204', '330381', '330381204', '大南乡', 'dananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381205', '330381', '330381205', '桐浦乡', 'tongpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381207', '330381', '330381207', '永安乡', 'yonganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381208', '330381', '330381208', '桂峰乡', 'guifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381209', '330381', '330381209', '芳庄乡', 'fangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381210', '330381', '330381210', '林溪乡', 'linxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381211', '330381', '330381211', '金川乡', 'jinchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381212', '330381', '330381212', '潮基乡', 'chaojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381213', '330381', '330381213', '鹿木乡', 'lumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381214', '330381', '330381214', '高楼乡', 'gaolouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381215', '330381', '330381215', '营前乡', 'yingqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381216', '330381', '330381216', '东岩乡', 'dongyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381217', '330381', '330381217', '宁益乡', 'ningyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381218', '330381', '330381218', '枫岭乡', 'fenglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381219', '330381', '330381219', '北麂乡', 'beijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381220', '330381', '330381220', '北龙乡', 'beilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330381400', '330381', '330381400', '飞云江农场', 'feiyunjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382', '3303', '330382', '乐清市', 'leqingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382100', '330382', '330382100', '乐成镇', 'lechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382101', '330382', '330382101', '大荆镇', 'dajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382102', '330382', '330382102', '仙溪镇', 'xianxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382103', '330382', '330382103', '湖雾镇', 'huwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382104', '330382', '330382104', '雁荡镇', 'yandangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382105', '330382', '330382105', '芙蓉镇', 'furongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382106', '330382', '330382106', '清江镇', 'qingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382107', '330382', '330382107', '南塘镇', 'nantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382108', '330382', '330382108', '虹桥镇', 'hongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382109', '330382', '330382109', '南岳镇', 'nanyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382110', '330382', '330382110', '蒲岐镇', 'puqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382111', '330382', '330382111', '淡溪镇', 'danxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382112', '330382', '330382112', '石帆镇', 'shifanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382113', '330382', '330382113', '白石镇', 'baishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382114', '330382', '330382114', '柳市镇', 'liushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382115', '330382', '330382115', '北白象镇', 'beibaixiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382116', '330382', '330382116', '象阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382117', '330382', '330382117', '翁垟镇', 'wengyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382118', '330382', '330382118', '磐石镇', 'panshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382119', '330382', '330382119', '七里港镇', 'qiligangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382120', '330382', '330382120', '黄华镇', 'huanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382200', '330382', '330382200', '智仁乡', 'zhirenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382201', '330382', '330382201', '镇安乡', 'zhenanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382202', '330382', '330382202', '福溪乡', 'fuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382203', '330382', '330382203', '双峰乡', 'shuangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382204', '330382', '330382204', '龙西乡', 'longxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382205', '330382', '330382205', '雁湖乡', 'yanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382206', '330382', '330382206', '岭底乡', 'lingdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382207', '330382', '330382207', '四都乡', 'sidouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382208', '330382', '330382208', '天成乡', 'tianchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330382209', '330382', '330382209', '城北乡', 'chengbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3304', '33', '3304', '嘉兴市', 'jiaxingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330401', '3304', '330401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402', '3304', '330402', '南湖区', 'nanhuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402007', '330402', '330402007', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402008', '330402', '330402008', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402009', '330402', '330402009', '新嘉街道', 'xinjiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402010', '330402', '330402010', '南湖街道', 'nanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402011', '330402', '330402011', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402012', '330402', '330402012', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402013', '330402', '330402013', '东栅街道', 'dongzhajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402100', '330402', '330402100', '凤桥镇', 'fengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402101', '330402', '330402101', '余新镇', 'yuxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402103', '330402', '330402103', '新丰镇', 'xinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402104', '330402', '330402104', '七星镇', 'qixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330402105', '330402', '330402105', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330411', '3304', '330411', '秀洲区', 'xiuzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330411002', '330411', '330411002', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330411003', '330411', '330411003', '嘉北街道', 'jiabeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330411004', '330411', '330411004', '塘汇街道', 'tanghuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330411101', '330411', '330411101', '王江泾镇', 'wangjiangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330411103', '330411', '330411103', '油车港镇', 'youchegangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330411104', '330411', '330411104', '新塍镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330411105', '330411', '330411105', '王店镇', 'wangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330411106', '330411', '330411106', '洪合镇', 'honghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421', '3304', '330421', '嘉善县', 'jiashanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421100', '330421', '330421100', '魏塘镇', 'weitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421101', '330421', '330421101', '惠民镇', 'huiminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421102', '330421', '330421102', '大云镇', 'dayunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421103', '330421', '330421103', '西塘镇', 'xitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421104', '330421', '330421104', '丁栅镇', 'dingzhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421105', '330421', '330421105', '干窑镇', 'ganyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421106', '330421', '330421106', '姚庄镇', 'yaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421107', '330421', '330421107', '陶庄镇', 'taozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421108', '330421', '330421108', '天凝镇', 'tianningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421109', '330421', '330421109', '洪溪镇', 'hongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330421110', '330421', '330421110', '杨庙镇', 'yangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330424', '3304', '330424', '海盐县', 'haiyanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330424100', '330424', '330424100', '武原镇', 'wuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330424101', '330424', '330424101', '沈荡镇', 'shendangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330424102', '330424', '330424102', '百步镇', 'baibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330424103', '330424', '330424103', '于城镇', 'yuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330424104', '330424', '330424104', '秦山镇', 'qinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330424105', '330424', '330424105', '澉浦镇', 'ganpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330424106', '330424', '330424106', '通元镇', 'tongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330424107', '330424', '330424107', '西塘桥镇', 'xitangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481', '3304', '330481', '海宁市', 'hainingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481001', '330481', '330481001', '硖石街道', 'xiashijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481002', '330481', '330481002', '海洲街道', 'haizhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481003', '330481', '330481003', '海昌街道', 'haichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481004', '330481', '330481004', '马桥街道', 'maqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481101', '330481', '330481101', '许村镇', 'xucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481103', '330481', '330481103', '长安镇', 'zhanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481105', '330481', '330481105', '周王庙镇', 'zhouwangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481106', '330481', '330481106', '丁桥镇', 'dingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481107', '330481', '330481107', '斜桥镇', 'xieqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481108', '330481', '330481108', '黄湾镇', 'huangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481110', '330481', '330481110', '盐官镇', 'yanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481112', '330481', '330481112', '袁花镇', 'yuanhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330481400', '330481', '330481400', '尖山新区', 'jianshanxinqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330482', '3304', '330482', '平湖市', 'pinghushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330482001', '330482', '330482001', '当湖街道', 'danghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330482002', '330482', '330482002', '钟埭街道', 'zhongdaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330482003', '330482', '330482003', '曹桥街道', 'caoqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330482101', '330482', '330482101', '乍浦镇', 'zhapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330482102', '330482', '330482102', '新埭镇', 'xindaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330482103', '330482', '330482103', '新仓镇', 'xincangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330482104', '330482', '330482104', '黄姑镇', 'huangguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330482105', '330482', '330482105', '全塘镇', 'quantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330482106', '330482', '330482106', '广陈镇', 'guangchenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330482107', '330482', '330482107', '林埭镇', 'lindaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483', '3304', '330483', '桐乡市', 'tongxiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483001', '330483', '330483001', '梧桐街道', 'wutongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483002', '330483', '330483002', '龙翔街道', 'longxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483003', '330483', '330483003', '凤鸣街道', 'fengmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483100', '330483', '330483100', '乌镇镇', 'wuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483101', '330483', '330483101', '濮院镇', 'puyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483102', '330483', '330483102', '屠甸镇', 'tudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483103', '330483', '330483103', '石门镇', 'shimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483104', '330483', '330483104', '河山镇', 'heshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483105', '330483', '330483105', '洲泉镇', 'zhouquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483106', '330483', '330483106', '大麻镇', 'damazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483107', '330483', '330483107', '崇福镇', 'chongfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483108', '330483', '330483108', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330483200', '330483', '330483200', '同福乡', 'tongfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3305', '33', '3305', '湖州市', 'huzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330501', '3305', '330501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502', '3305', '330502', '吴兴区', 'wuxingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502001', '330502', '330502001', '月河街道', 'yuehejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502002', '330502', '330502002', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502003', '330502', '330502003', '爱山街道', 'aishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502004', '330502', '330502004', '飞英街道', 'feiyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502005', '330502', '330502005', '龙泉街道', 'longquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502006', '330502', '330502006', '凤凰街道', 'fenghuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502100', '330502', '330502100', '织里镇', 'zhilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502101', '330502', '330502101', '八里店镇', 'balidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502102', '330502', '330502102', '妙西镇', 'miaoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502103', '330502', '330502103', '杨家埠镇', 'yangjiabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502104', '330502', '330502104', '埭溪镇', 'daixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502105', '330502', '330502105', '东林镇', 'donglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502200', '330502', '330502200', '道场乡', 'daochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502201', '330502', '330502201', '环渚乡', 'huanzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330502202', '330502', '330502202', '白雀乡', 'baiquexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330503', '3305', '330503', '南浔区', 'nanxunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330503100', '330503', '330503100', '南浔镇', 'nanxunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330503101', '330503', '330503101', '双林镇', 'shuanglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330503102', '330503', '330503102', '练市镇', 'lianshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330503103', '330503', '330503103', '善琏镇', 'shanlianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330503104', '330503', '330503104', '旧馆镇', 'jiuguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330503105', '330503', '330503105', '菱湖镇', 'linghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330503106', '330503', '330503106', '和孚镇', 'hefuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330503107', '330503', '330503107', '千金镇', 'qianjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330503108', '330503', '330503108', '石淙镇', 'shicongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521', '3305', '330521', '德清县', 'deqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521100', '330521', '330521100', '武康镇', 'wukangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521101', '330521', '330521101', '乾元镇', 'qianyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521102', '330521', '330521102', '新市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521103', '330521', '330521103', '洛舍镇', 'luoshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521104', '330521', '330521104', '钟管镇', 'zhongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521105', '330521', '330521105', '莫干山镇', 'moganshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521110', '330521', '330521110', '雷甸镇', 'leidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521113', '330521', '330521113', '禹越镇', 'yuyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521114', '330521', '330521114', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521201', '330521', '330521201', '筏头乡', 'fatouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330521202', '330521', '330521202', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522', '3305', '330522', '长兴县', 'zhangxingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522100', '330522', '330522100', '雉城镇', 'zhichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522101', '330522', '330522101', '洪桥镇', 'hongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522102', '330522', '330522102', '李家巷镇', 'lijiaxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522103', '330522', '330522103', '夹浦镇', 'jiapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522104', '330522', '330522104', '林城镇', 'linchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522105', '330522', '330522105', '泗安镇', 'sianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522106', '330522', '330522106', '虹星桥镇', 'hongxingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522107', '330522', '330522107', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522108', '330522', '330522108', '小浦镇', 'xiaopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522109', '330522', '330522109', '煤山镇', 'meishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522200', '330522', '330522200', '水口乡', 'shuikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522201', '330522', '330522201', '二界岭乡', 'erjielingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522202', '330522', '330522202', '吕山乡', 'lu:shanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522203', '330522', '330522203', '吴山乡', 'wushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522204', '330522', '330522204', '白岘乡', 'baixianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330522205', '330522', '330522205', '槐坎乡', 'huaikanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523', '3305', '330523', '安吉县', 'anjixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523100', '330523', '330523100', '递铺镇', 'dipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523101', '330523', '330523101', '梅溪镇', 'meixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523102', '330523', '330523102', '良朋镇', 'liangpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523103', '330523', '330523103', '鄣吴镇', 'zhangwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523104', '330523', '330523104', '杭垓镇', 'hanggaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523105', '330523', '330523105', '孝丰镇', 'xiaofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523106', '330523', '330523106', '报福镇', 'baofuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523107', '330523', '330523107', '章村镇', 'zhangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523108', '330523', '330523108', '天荒坪镇', 'tianhuangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523109', '330523', '330523109', '高禹镇', 'gaoyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523200', '330523', '330523200', '昆铜乡', 'kuntongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523201', '330523', '330523201', '溪龙乡', 'xilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523204', '330523', '330523204', '皈山乡', 'guishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523205', '330523', '330523205', '上墅乡', 'shangshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330523206', '330523', '330523206', '山川乡', 'shanchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3306', '33', '3306', '绍兴市', 'shaoxingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330601', '3306', '330601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602', '3306', '330602', '越城区', 'yuechengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602001', '330602', '330602001', '塔山街道', 'tashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602002', '330602', '330602002', '府山街道', 'fushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602003', '330602', '330602003', '蕺山街道', 'jishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602004', '330602', '330602004', '北海街道', 'beihaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602005', '330602', '330602005', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602006', '330602', '330602006', '稽山街道', 'jishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602100', '330602', '330602100', '东湖镇', 'donghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602101', '330602', '330602101', '灵芝镇', 'lingzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602102', '330602', '330602102', '东浦镇', 'dongpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602103', '330602', '330602103', '鉴湖镇', 'jianhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602104', '330602', '330602104', '皋埠镇', 'gaobuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602105', '330602', '330602105', '马山镇', 'mashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330602106', '330602', '330602106', '斗门镇', 'doumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621', '3306', '330621', '绍兴县', 'shaoxingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621001', '330621', '330621001', '柯桥街道', 'keqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621002', '330621', '330621002', '柯岩街道', 'keyanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621003', '330621', '330621003', '华舍街道', 'huashejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621004', '330621', '330621004', '湖塘街道', 'hutangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621100', '330621', '330621100', '齐贤镇', 'qixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621101', '330621', '330621101', '钱清镇', 'qianqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621102', '330621', '330621102', '孙端镇', 'sunduanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621103', '330621', '330621103', '福全镇', 'fuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621104', '330621', '330621104', '马鞍镇', 'maanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621105', '330621', '330621105', '平水镇', 'pingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621106', '330621', '330621106', '安昌镇', 'anchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621107', '330621', '330621107', '王坛镇', 'wangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621108', '330621', '330621108', '兰亭镇', 'lantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621109', '330621', '330621109', '稽东镇', 'jidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621110', '330621', '330621110', '杨汛桥镇', 'yangxunqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621111', '330621', '330621111', '漓渚镇', 'lizhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621112', '330621', '330621112', '富盛镇', 'fushengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621113', '330621', '330621113', '陶堰镇', 'taoyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330621114', '330621', '330621114', '夏履镇', 'xialu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624', '3306', '330624', '新昌县', 'xinchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624001', '330624', '330624001', '羽林街道', 'yulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624002', '330624', '330624002', '南明街道', 'nanmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624003', '330624', '330624003', '七星街道', 'qixingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624101', '330624', '330624101', '澄潭镇', 'chengtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624102', '330624', '330624102', '梅渚镇', 'meizhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624104', '330624', '330624104', '回山镇', 'huishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624106', '330624', '330624106', '大市聚镇', 'dashijuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624107', '330624', '330624107', '小将镇', 'xiaojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624108', '330624', '330624108', '沙溪镇', 'shaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624109', '330624', '330624109', '镜岭镇', 'jinglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624110', '330624', '330624110', '儒岙镇', 'ruaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624200', '330624', '330624200', '城南乡', 'chengnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624201', '330624', '330624201', '东茗乡', 'dongmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624203', '330624', '330624203', '双彩乡', 'shuangcaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624205', '330624', '330624205', '新林乡', 'xinlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330624206', '330624', '330624206', '巧英乡', 'qiaoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681', '3306', '330681', '诸暨市', 'zhujishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681001', '330681', '330681001', '暨阳街道', 'jiyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681002', '330681', '330681002', '浣东街道', 'huandongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681003', '330681', '330681003', '陶朱街道', 'taozhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681101', '330681', '330681101', '大唐镇', 'datangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681102', '330681', '330681102', '应店街镇', 'yingdianjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681103', '330681', '330681103', '次坞镇', 'ciwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681104', '330681', '330681104', '店口镇', 'diankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681105', '330681', '330681105', '阮市镇', 'ruanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681106', '330681', '330681106', '直埠镇', 'zhibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681107', '330681', '330681107', '江藻镇', 'jiangzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681108', '330681', '330681108', '山下湖镇', 'shanxiahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681109', '330681', '330681109', '枫桥镇', 'fengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681110', '330681', '330681110', '赵家镇', 'zhaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681111', '330681', '330681111', '马剑镇', 'majianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681112', '330681', '330681112', '五泄镇', 'wuxiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681113', '330681', '330681113', '草塔镇', 'caotazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681114', '330681', '330681114', '王家井镇', 'wangjiajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681115', '330681', '330681115', '牌头镇', 'paitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681116', '330681', '330681116', '同山镇', 'tongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681117', '330681', '330681117', '安华镇', 'anhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681118', '330681', '330681118', '街亭镇', 'jietingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681119', '330681', '330681119', '璜山镇', 'huangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681120', '330681', '330681120', '陈宅镇', 'chenzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681121', '330681', '330681121', '岭北镇', 'lingbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681122', '330681', '330681122', '浬浦镇', 'lipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681124', '330681', '330681124', '东白湖镇', 'dongbaihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330681201', '330681', '330681201', '东和乡', 'donghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682', '3306', '330682', '上虞市', 'shangyushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682001', '330682', '330682001', '百官街道', 'baiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682002', '330682', '330682002', '曹娥街道', 'caoejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682003', '330682', '330682003', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682100', '330682', '330682100', '道墟镇', 'daoxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682101', '330682', '330682101', '长塘镇', 'zhangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682102', '330682', '330682102', '上浦镇', 'shangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682103', '330682', '330682103', '汤浦镇', 'tangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682104', '330682', '330682104', '章镇镇', 'zhangzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682105', '330682', '330682105', '下管镇', 'xiaguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682106', '330682', '330682106', '丰惠镇', 'fenghuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682107', '330682', '330682107', '永和镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682108', '330682', '330682108', '梁湖镇', 'lianghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682109', '330682', '330682109', '驿亭镇', 'yitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682110', '330682', '330682110', '小越镇', 'xiaoyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682111', '330682', '330682111', '谢塘镇', 'xietangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682112', '330682', '330682112', '盖北镇', 'gaibeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682113', '330682', '330682113', '崧厦镇', 'songshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682114', '330682', '330682114', '沥海镇', 'lihaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682200', '330682', '330682200', '岭南乡', 'lingnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682201', '330682', '330682201', '陈溪乡', 'chenxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682202', '330682', '330682202', '丁宅乡', 'dingzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682500', '330682', '330682500', '围垦场', 'weikenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330682501', '330682', '330682501', '农发场', 'nongfachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683', '3306', '330683', '嵊州市', 'shengzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683001', '330683', '330683001', '剡湖街道', 'yanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683002', '330683', '330683002', '三江街道', 'sanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683003', '330683', '330683003', '鹿山街道', 'lushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683004', '330683', '330683004', '浦口街道', 'pukoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683100', '330683', '330683100', '甘霖镇', 'ganlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683101', '330683', '330683101', '长乐镇', 'zhanglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683102', '330683', '330683102', '崇仁镇', 'chongrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683103', '330683', '330683103', '黄泽镇', 'huangzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683104', '330683', '330683104', '三界镇', 'sanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683105', '330683', '330683105', '石璜镇', 'shihuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683106', '330683', '330683106', '谷来镇', 'gulaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683107', '330683', '330683107', '仙岩镇', 'xianyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683108', '330683', '330683108', '金庭镇', 'jintingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683109', '330683', '330683109', '北漳镇', 'beizhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683110', '330683', '330683110', '下王镇', 'xiawangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683200', '330683', '330683200', '贵门乡', 'guimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683201', '330683', '330683201', '里南乡', 'linanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683202', '330683', '330683202', '竹溪乡', 'zhuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683203', '330683', '330683203', '雅璜乡', 'yahuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683204', '330683', '330683204', '王院乡', 'wangyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330683205', '330683', '330683205', '通源乡', 'tongyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3307', '33', '3307', '金华市', 'jinhuashi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330701', '3307', '330701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702', '3307', '330702', '婺城区', 'wuchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702001', '330702', '330702001', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702002', '330702', '330702002', '城中街道', 'chengzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702003', '330702', '330702003', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702004', '330702', '330702004', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702005', '330702', '330702005', '江南街道', 'jiangnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702006', '330702', '330702006', '三江街道', 'sanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702007', '330702', '330702007', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702008', '330702', '330702008', '秋滨街道', 'qiubinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702009', '330702', '330702009', '新狮街道', 'xinshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702100', '330702', '330702100', '罗店镇', 'luodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702101', '330702', '330702101', '雅畈镇', 'yafanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702102', '330702', '330702102', '安地镇', 'andizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702103', '330702', '330702103', '白龙桥镇', 'bailongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702104', '330702', '330702104', '琅琊镇', 'langyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702105', '330702', '330702105', '蒋堂镇', 'jiangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702106', '330702', '330702106', '汤溪镇', 'tangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702107', '330702', '330702107', '罗埠镇', 'luobuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702108', '330702', '330702108', '洋埠镇', 'yangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702201', '330702', '330702201', '乾西乡', 'qianxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702202', '330702', '330702202', '竹马乡', 'zhumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702203', '330702', '330702203', '长山乡', 'zhangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702204', '330702', '330702204', '箬阳乡', 'ruoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702205', '330702', '330702205', '沙畈乡', 'shafanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702206', '330702', '330702206', '塔石乡', 'tashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702207', '330702', '330702207', '岭上乡', 'lingshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702208', '330702', '330702208', '莘畈乡', 'xinfanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330702209', '330702', '330702209', '苏孟乡', 'sumengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703', '3307', '330703', '金东区', 'jindongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703001', '330703', '330703001', '多湖街道', 'duohujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703002', '330703', '330703002', '东孝街道', 'dongxiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703101', '330703', '330703101', '孝顺镇', 'xiaoshunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703102', '330703', '330703102', '傅村镇', 'fucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703103', '330703', '330703103', '曹宅镇', 'caozhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703104', '330703', '330703104', '澧浦镇', 'lipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703105', '330703', '330703105', '岭下镇', 'lingxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703106', '330703', '330703106', '江东镇', 'jiangdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703107', '330703', '330703107', '塘雅镇', 'tangyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703108', '330703', '330703108', '赤松镇', 'chisongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330703200', '330703', '330703200', '源东乡', 'yuandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723', '3307', '330723', '武义县', 'wuyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723001', '330723', '330723001', '白洋街道', 'baiyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723002', '330723', '330723002', '壶山街道', 'hushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723003', '330723', '330723003', '熟溪街道', 'shuxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723100', '330723', '330723100', '柳城畲族镇', 'liuchengshezuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723101', '330723', '330723101', '履坦镇', 'lu:tanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723102', '330723', '330723102', '桐琴镇', 'tongqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723103', '330723', '330723103', '泉溪镇', 'quanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723104', '330723', '330723104', '新宅镇', 'xinzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723105', '330723', '330723105', '王宅镇', 'wangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723106', '330723', '330723106', '桃溪镇', 'taoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723107', '330723', '330723107', '茭道镇', 'jiaodaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723200', '330723', '330723200', '大田乡', 'datianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723201', '330723', '330723201', '白姆乡', 'baimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723202', '330723', '330723202', '俞源乡', 'yuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723203', '330723', '330723203', '坦洪乡', 'tanhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723204', '330723', '330723204', '西联乡', 'xilianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723205', '330723', '330723205', '三港乡', 'sangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330723206', '330723', '330723206', '大溪口乡', 'daxikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726', '3307', '330726', '浦江县', 'pujiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726001', '330726', '330726001', '浦南街道', 'punanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726002', '330726', '330726002', '仙华街道', 'xianhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726003', '330726', '330726003', '浦阳街道', 'puyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726101', '330726', '330726101', '黄宅镇', 'huangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726102', '330726', '330726102', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726103', '330726', '330726103', '郑家坞镇', 'zhengjiawuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726104', '330726', '330726104', '郑宅镇', 'zhengzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726105', '330726', '330726105', '岩头镇', 'yantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726106', '330726', '330726106', '檀溪镇', 'tanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726107', '330726', '330726107', '杭坪镇', 'hangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726200', '330726', '330726200', '大畈乡', 'dafanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726201', '330726', '330726201', '中余乡', 'zhongyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726202', '330726', '330726202', '前吴乡', 'qianwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726203', '330726', '330726203', '花桥乡', 'huaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330726204', '330726', '330726204', '虞宅乡', 'yuzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727', '3307', '330727', '磐安县', 'pananxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727100', '330727', '330727100', '安文镇', 'anwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727101', '330727', '330727101', '新渥镇', 'xinwozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727102', '330727', '330727102', '尖山镇', 'jianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727103', '330727', '330727103', '仁川镇', 'renchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727104', '330727', '330727104', '大盘镇', 'dapanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727105', '330727', '330727105', '方前镇', 'fangqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727106', '330727', '330727106', '玉山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727107', '330727', '330727107', '尚湖镇', 'shanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727108', '330727', '330727108', '冷水镇', 'lengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727200', '330727', '330727200', '深泽乡', 'shenzexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727201', '330727', '330727201', '双峰乡', 'shuangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727203', '330727', '330727203', '双溪乡', 'shuangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727204', '330727', '330727204', '墨林乡', 'molinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727205', '330727', '330727205', '窈川乡', 'yaochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727206', '330727', '330727206', '盘峰乡', 'panfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727207', '330727', '330727207', '高二乡', 'gaoerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727208', '330727', '330727208', '维新乡', 'weixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727209', '330727', '330727209', '胡宅乡', 'huzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727210', '330727', '330727210', '万苍乡', 'wancangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330727211', '330727', '330727211', '九和乡', 'jiuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781', '3307', '330781', '兰溪市', 'lanxishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781001', '330781', '330781001', '兰江街道', 'lanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781002', '330781', '330781002', '云山街道', 'yunshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781004', '330781', '330781004', '永昌街道', 'yongchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781005', '330781', '330781005', '赤溪街道', 'chixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781006', '330781', '330781006', '女埠街道', 'nu:bujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781007', '330781', '330781007', '上华街道', 'shanghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781102', '330781', '330781102', '游埠镇', 'youbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781104', '330781', '330781104', '诸葛镇', 'zhugezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781106', '330781', '330781106', '黄店镇', 'huangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781108', '330781', '330781108', '香溪镇', 'xiangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781109', '330781', '330781109', '马涧镇', 'majianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781111', '330781', '330781111', '梅江镇', 'meijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781200', '330781', '330781200', '灵洞乡', 'lingdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781203', '330781', '330781203', '水亭畲族乡', 'shuitingshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330781209', '330781', '330781209', '柏社乡', 'boshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782', '3307', '330782', '义乌市', 'yiwushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782001', '330782', '330782001', '稠城街道', 'chouchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782002', '330782', '330782002', '江东街道', 'jiangdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782003', '330782', '330782003', '稠江街道', 'choujiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782004', '330782', '330782004', '北苑街道', 'beiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782005', '330782', '330782005', '后宅街道', 'houzhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782006', '330782', '330782006', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782007', '330782', '330782007', '廿三里街道', 'niansanlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782100', '330782', '330782100', '佛堂镇', 'fotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782101', '330782', '330782101', '赤岸镇', 'chianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782102', '330782', '330782102', '义亭镇', 'yitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782104', '330782', '330782104', '上溪镇', 'shangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782105', '330782', '330782105', '苏溪镇', 'suxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330782106', '330782', '330782106', '大陈镇', 'dachenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783', '3307', '330783', '东阳市', 'dongyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783001', '330783', '330783001', '吴宁街道', 'wuningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783003', '330783', '330783003', '南市街道', 'nanshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783004', '330783', '330783004', '白云街道', 'baiyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783005', '330783', '330783005', '江北街道', 'jiangbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783006', '330783', '330783006', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783007', '330783', '330783007', '六石街道', 'liushijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783106', '330783', '330783106', '巍山镇', 'weishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783107', '330783', '330783107', '虎鹿镇', 'huluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783108', '330783', '330783108', '歌山镇', 'geshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783109', '330783', '330783109', '佐村镇', 'zuocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783110', '330783', '330783110', '东阳江镇', 'dongyangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783112', '330783', '330783112', '湖溪镇', 'huxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783114', '330783', '330783114', '马宅镇', 'mazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783116', '330783', '330783116', '千祥镇', 'qianxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783118', '330783', '330783118', '南马镇', 'nanmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783122', '330783', '330783122', '画水镇', 'huashuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783123', '330783', '330783123', '横店镇', 'hengdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330783201', '330783', '330783201', '三单乡', 'sandanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784', '3307', '330784', '永康市', 'yongkangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784001', '330784', '330784001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784002', '330784', '330784002', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784003', '330784', '330784003', '江南街道', 'jiangnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784004', '330784', '330784004', '芝英街道', 'zhiyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784105', '330784', '330784105', '石柱镇', 'shizhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784106', '330784', '330784106', '前仓镇', 'qiancangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784107', '330784', '330784107', '舟山镇', 'zhoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784108', '330784', '330784108', '古山镇', 'gushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784109', '330784', '330784109', '方岩镇', 'fangyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784110', '330784', '330784110', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784111', '330784', '330784111', '西溪镇', 'xixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784112', '330784', '330784112', '象珠镇', 'xiangzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784113', '330784', '330784113', '唐先镇', 'tangxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330784114', '330784', '330784114', '花街镇', 'huajiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3308', '33', '3308', '衢州市', 'quzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330801', '3308', '330801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802', '3308', '330802', '柯城区', 'kechengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802005', '330802', '330802005', '新新街道', 'xinxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802006', '330802', '330802006', '府山街道', 'fushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802007', '330802', '330802007', '荷花街道', 'hehuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802008', '330802', '330802008', '信安街道', 'xinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802009', '330802', '330802009', '白云街道', 'baiyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802010', '330802', '330802010', '双港街道', 'shuanggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802011', '330802', '330802011', '花园街道', 'huayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802100', '330802', '330802100', '石梁镇', 'shiliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802101', '330802', '330802101', '航埠镇', 'hangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802205', '330802', '330802205', '黄家乡', 'huangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802209', '330802', '330802209', '七里乡', 'qilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802210', '330802', '330802210', '九华乡', 'jiuhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802211', '330802', '330802211', '沟溪乡', 'gouxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802212', '330802', '330802212', '华墅乡', 'huashuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802213', '330802', '330802213', '姜家山乡', 'jiangjiashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802214', '330802', '330802214', '万田乡', 'wantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330802215', '330802', '330802215', '石室乡', 'shishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803', '3308', '330803', '衢江区', 'qujiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803001', '330803', '330803001', '樟潭街道', 'zhangtanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803002', '330803', '330803002', '浮石街道', 'fushijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803100', '330803', '330803100', '上方镇', 'shangfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803101', '330803', '330803101', '峡川镇', 'xiachuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803103', '330803', '330803103', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803109', '330803', '330803109', '全旺镇', 'quanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803110', '330803', '330803110', '大洲镇', 'dazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803111', '330803', '330803111', '后溪镇', 'houxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803112', '330803', '330803112', '廿里镇', 'nianlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803113', '330803', '330803113', '湖南镇', 'hunanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803114', '330803', '330803114', '高家镇', 'gaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803115', '330803', '330803115', '杜泽镇', 'duzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803200', '330803', '330803200', '灰坪乡', 'huipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803202', '330803', '330803202', '太真乡', 'taizhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803203', '330803', '330803203', '双桥乡', 'shuangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803206', '330803', '330803206', '周家乡', 'zhoujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803207', '330803', '330803207', '云溪乡', 'yunxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803209', '330803', '330803209', '横路乡', 'hengluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803213', '330803', '330803213', '举村乡', 'jucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803218', '330803', '330803218', '岭洋乡', 'lingyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330803219', '330803', '330803219', '黄坛口乡', 'huangtankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822', '3308', '330822', '常山县', 'changshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822101', '330822', '330822101', '辉埠镇', 'huibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822104', '330822', '330822104', '白石镇', 'baishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822107', '330822', '330822107', '天马镇', 'tianmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822108', '330822', '330822108', '招贤镇', 'zhaoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822109', '330822', '330822109', '青石镇', 'qingshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822110', '330822', '330822110', '芳村镇', 'fangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822111', '330822', '330822111', '球川镇', 'qiuchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822200', '330822', '330822200', '何家乡', 'hejiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822211', '330822', '330822211', '同弓乡', 'tonggongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822213', '330822', '330822213', '大桥头乡', 'daqiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822217', '330822', '330822217', '宋畈乡', 'songfanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822218', '330822', '330822218', '东案乡', 'donganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822219', '330822', '330822219', '新昌乡', 'xinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330822220', '330822', '330822220', '新桥乡', 'xinqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824', '3308', '330824', '开化县', 'kaihuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824106', '330824', '330824106', '桐村镇', 'tongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824107', '330824', '330824107', '杨林镇', 'yanglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824108', '330824', '330824108', '苏庄镇', 'suzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824109', '330824', '330824109', '齐溪镇', 'qixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824110', '330824', '330824110', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824111', '330824', '330824111', '华埠镇', 'huabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824112', '330824', '330824112', '马金镇', 'majinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824113', '330824', '330824113', '村头镇', 'cuntouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824114', '330824', '330824114', '池淮镇', 'chihuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824202', '330824', '330824202', '中村乡', 'zhongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824205', '330824', '330824205', '长虹乡', 'zhanghongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824206', '330824', '330824206', '张湾乡', 'zhangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824208', '330824', '330824208', '何田乡', 'hetianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824209', '330824', '330824209', '塘坞乡', 'tangwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824216', '330824', '330824216', '林山乡', 'linshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824217', '330824', '330824217', '音坑乡', 'yinkengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824218', '330824', '330824218', '大溪边乡', 'daxibianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330824219', '330824', '330824219', '金村乡', 'jincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825', '3308', '330825', '龙游县', 'longyouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825001', '330825', '330825001', '龙洲街道', 'longzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825002', '330825', '330825002', '东华街道', 'donghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825101', '330825', '330825101', '湖镇镇', 'huzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825102', '330825', '330825102', '小南海镇', 'xiaonanhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825106', '330825', '330825106', '詹家镇', 'zhanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825109', '330825', '330825109', '溪口镇', 'xikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825110', '330825', '330825110', '横山镇', 'hengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825111', '330825', '330825111', '塔石镇', 'tashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825201', '330825', '330825201', '罗家乡', 'luojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825203', '330825', '330825203', '庙下乡', 'miaoxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825207', '330825', '330825207', '石佛乡', 'shifoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825209', '330825', '330825209', '社阳乡', 'sheyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825211', '330825', '330825211', '大街乡', 'dajiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825212', '330825', '330825212', '沐尘畲族乡', 'muchenshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330825213', '330825', '330825213', '模环乡', 'mohuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881', '3308', '330881', '江山市', 'jiangshanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881001', '330881', '330881001', '双塔街道', 'shuangtajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881002', '330881', '330881002', '虎山街道', 'hushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881102', '330881', '330881102', '四都镇', 'sidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881104', '330881', '330881104', '清湖镇', 'qinghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881105', '330881', '330881105', '坛石镇', 'tanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881106', '330881', '330881106', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881108', '330881', '330881108', '淤头镇', 'yutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881109', '330881', '330881109', '新塘边镇', 'xintangbianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881112', '330881', '330881112', '廿八都镇', 'nianbadouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881113', '330881', '330881113', '长台镇', 'zhangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881116', '330881', '330881116', '上余镇', 'shangyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881117', '330881', '330881117', '贺村镇', 'hecunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881118', '330881', '330881118', '凤林镇', 'fenglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881119', '330881', '330881119', '峡口镇', 'xiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881120', '330881', '330881120', '石门镇', 'shimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881201', '330881', '330881201', '大陈乡', 'dachenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881203', '330881', '330881203', '碗窑乡', 'wanyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881207', '330881', '330881207', '保安乡', 'baoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881211', '330881', '330881211', '双溪口乡', 'shuangxikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881212', '330881', '330881212', '张村乡', 'zhangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330881213', '330881', '330881213', '塘源口乡', 'tangyuankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3309', '33', '3309', '舟山市', 'zhoushanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330901', '3309', '330901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902', '3309', '330902', '定海区', 'dinghaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902001', '330902', '330902001', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902002', '330902', '330902002', '昌国街道', 'changguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902003', '330902', '330902003', '环南街道', 'huannanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902004', '330902', '330902004', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902005', '330902', '330902005', '盐仓街道', 'yancangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902006', '330902', '330902006', '临城街道', 'linchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902100', '330902', '330902100', '金塘镇', 'jintangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902101', '330902', '330902101', '小沙镇', 'xiaoshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902102', '330902', '330902102', '岑港镇', 'cengangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902103', '330902', '330902103', '双桥镇', 'shuangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902104', '330902', '330902104', '白泉镇', 'baiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902105', '330902', '330902105', '干览镇', 'ganlanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902106', '330902', '330902106', '马岙镇', 'maaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902200', '330902', '330902200', '长白乡', 'zhangbaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902201', '330902', '330902201', '册子乡', 'cezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330902202', '330902', '330902202', '北蝉乡', 'beichanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903', '3309', '330903', '普陀区', 'putuoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903001', '330903', '330903001', '沈家门街道', 'shenjiamenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903002', '330903', '330903002', '勾山街道', 'goushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903003', '330903', '330903003', '东港街道', 'donggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903100', '330903', '330903100', '六横镇', 'liuhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903101', '330903', '330903101', '朱家尖镇', 'zhujiajianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903102', '330903', '330903102', '虾峙镇', 'xiazhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903103', '330903', '330903103', '展茅镇', 'zhanmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903104', '330903', '330903104', '桃花镇', 'taohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903105', '330903', '330903105', '东极镇', 'dongjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903106', '330903', '330903106', '普陀山镇', 'putuoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903200', '330903', '330903200', '蚂蚁岛乡', 'mayidaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903201', '330903', '330903201', '登步乡', 'dengbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903202', '330903', '330903202', '白沙乡', 'baishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330903203', '330903', '330903203', '佛渡乡', 'foduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330921', '3309', '330921', '岱山县', 'daishanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330921100', '330921', '330921100', '高亭镇', 'gaotingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330921101', '330921', '330921101', '东沙镇', 'dongshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330921102', '330921', '330921102', '岱东镇', 'daidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330921103', '330921', '330921103', '岱西镇', 'daixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330921105', '330921', '330921105', '长涂镇', 'zhangtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330921106', '330921', '330921106', '衢山镇', 'qushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330921200', '330921', '330921200', '秀山乡', 'xiushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330922', '3309', '330922', '嵊泗县', 'shengsixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330922100', '330922', '330922100', '菜园镇', 'caiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330922101', '330922', '330922101', '嵊山镇', 'shengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330922102', '330922', '330922102', '洋山镇', 'yangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330922200', '330922', '330922200', '五龙乡', 'wulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330922201', '330922', '330922201', '黄龙乡', 'huanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330922202', '330922', '330922202', '枸杞乡', 'gouqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('330922203', '330922', '330922203', '花鸟乡', 'huaniaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3310', '33', '3310', '台州市', 'taizhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331001', '3310', '331001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331002', '3310', '331002', '椒江区', 'jiaojiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331002001', '331002', '331002001', '海门街道', 'haimenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331002002', '331002', '331002002', '白云街道', 'baiyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331002003', '331002', '331002003', '葭沚街道', 'jiazhijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331002004', '331002', '331002004', '洪家街道', 'hongjiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331002005', '331002', '331002005', '三甲街道', 'sanjiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331002006', '331002', '331002006', '下陈街道', 'xiachenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331002007', '331002', '331002007', '前所街道', 'qiansuojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331002008', '331002', '331002008', '章安街道', 'zhanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331002101', '331002', '331002101', '大陈镇', 'dachenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331002400', '331002', '331002400', '椒江农场', 'jiaojiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003', '3310', '331003', '黄岩区', 'huangyanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003001', '331003', '331003001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003002', '331003', '331003002', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003003', '331003', '331003003', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003004', '331003', '331003004', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003005', '331003', '331003005', '新前街道', 'xinqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003006', '331003', '331003006', '澄江街道', 'chengjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003007', '331003', '331003007', '江口街道', 'jiangkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003008', '331003', '331003008', '高桥街道', 'gaoqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003101', '331003', '331003101', '宁溪镇', 'ningxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003102', '331003', '331003102', '北洋镇', 'beiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003103', '331003', '331003103', '头陀镇', 'toutuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003107', '331003', '331003107', '院桥镇', 'yuanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003108', '331003', '331003108', '沙埠镇', 'shabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003200', '331003', '331003200', '屿头乡', 'yutouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003201', '331003', '331003201', '上郑乡', 'shangzhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003202', '331003', '331003202', '富山乡', 'fushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003203', '331003', '331003203', '茅畲乡', 'maoshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003204', '331003', '331003204', '上垟乡', 'shangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331003205', '331003', '331003205', '平田乡', 'pingtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331004', '3310', '331004', '路桥区', 'luqiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331004001', '331004', '331004001', '路南街道', 'lunanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331004002', '331004', '331004002', '路桥街道', 'luqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331004003', '331004', '331004003', '路北街道', 'lubeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331004004', '331004', '331004004', '螺洋街道', 'luoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331004005', '331004', '331004005', '桐屿街道', 'tongyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331004006', '331004', '331004006', '峰江街道', 'fengjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331004103', '331004', '331004103', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331004104', '331004', '331004104', '横街镇', 'hengjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331004106', '331004', '331004106', '金清镇', 'jinqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331004107', '331004', '331004107', '蓬街镇', 'pengjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331021', '3310', '331021', '玉环县', 'yuhuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331021100', '331021', '331021100', '珠港镇', 'zhugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331021101', '331021', '331021101', '清港镇', 'qinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331021102', '331021', '331021102', '楚门镇', 'chumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331021103', '331021', '331021103', '干江镇', 'ganjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331021105', '331021', '331021105', '沙门镇', 'shamenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331021106', '331021', '331021106', '芦浦镇', 'lupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331021200', '331021', '331021200', '龙溪乡', 'longxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331021201', '331021', '331021201', '鸡山乡', 'jishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331021202', '331021', '331021202', '海山乡', 'haishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022', '3310', '331022', '三门县', 'sanmenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022100', '331022', '331022100', '海游镇', 'haiyouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022101', '331022', '331022101', '沙柳镇', 'shaliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022102', '331022', '331022102', '珠岙镇', 'zhuaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022103', '331022', '331022103', '亭旁镇', 'tingpangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022104', '331022', '331022104', '六敖镇', 'liuaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022105', '331022', '331022105', '健跳镇', 'jiantiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022106', '331022', '331022106', '横渡镇', 'hengduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022107', '331022', '331022107', '浬浦镇', 'lipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022108', '331022', '331022108', '花桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022109', '331022', '331022109', '小雄镇', 'xiaoxiongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022200', '331022', '331022200', '高枧乡', 'gaojianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022203', '331022', '331022203', '沿赤乡', 'yanchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022204', '331022', '331022204', '泗淋乡', 'silinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331022205', '331022', '331022205', '蛇蟠乡', 'shepanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023', '3310', '331023', '天台县', 'tiantaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023001', '331023', '331023001', '赤城街道', 'chichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023002', '331023', '331023002', '始丰街道', 'shifengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023003', '331023', '331023003', '福溪街道', 'fuxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023101', '331023', '331023101', '白鹤镇', 'baihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023102', '331023', '331023102', '石梁镇', 'shiliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023104', '331023', '331023104', '街头镇', 'jietouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023105', '331023', '331023105', '平桥镇', 'pingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023106', '331023', '331023106', '坦头镇', 'tantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023107', '331023', '331023107', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023108', '331023', '331023108', '洪畴镇', 'hongchouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023200', '331023', '331023200', '三州乡', 'sanzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023203', '331023', '331023203', '龙溪乡', 'longxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023204', '331023', '331023204', '雷峰乡', 'leifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023207', '331023', '331023207', '南屏乡', 'nanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331023209', '331023', '331023209', '泳溪乡', 'yongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024', '3310', '331024', '仙居县', 'xianjuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024001', '331024', '331024001', '安洲街道', 'anzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024002', '331024', '331024002', '南峰街道', 'nanfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024003', '331024', '331024003', '福应街道', 'fuyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024101', '331024', '331024101', '横溪镇', 'hengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024102', '331024', '331024102', '埠头镇', 'butouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024103', '331024', '331024103', '白塔镇', 'baitazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024104', '331024', '331024104', '田市镇', 'tianshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024105', '331024', '331024105', '官路镇', 'guanluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024106', '331024', '331024106', '下各镇', 'xiagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024107', '331024', '331024107', '朱溪镇', 'zhuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024200', '331024', '331024200', '安岭乡', 'anlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024201', '331024', '331024201', '溪港乡', 'xigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024202', '331024', '331024202', '湫山乡', 'qiushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024203', '331024', '331024203', '淡竹乡', 'danzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024204', '331024', '331024204', '皤滩乡', 'potanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024205', '331024', '331024205', '上张乡', 'shangzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024206', '331024', '331024206', '步路乡', 'buluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024207', '331024', '331024207', '广度乡', 'guangduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024209', '331024', '331024209', '大战乡', 'dazhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331024210', '331024', '331024210', '双庙乡', 'shuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081', '3310', '331081', '温岭市', 'wenlingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081001', '331081', '331081001', '太平街道', 'taipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081002', '331081', '331081002', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081003', '331081', '331081003', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081004', '331081', '331081004', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081005', '331081', '331081005', '横峰街道', 'hengfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081100', '331081', '331081100', '泽国镇', 'zeguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081101', '331081', '331081101', '大溪镇', 'daxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081102', '331081', '331081102', '松门镇', 'songmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081103', '331081', '331081103', '箬横镇', 'ruohengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081104', '331081', '331081104', '新河镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081105', '331081', '331081105', '石塘镇', 'shitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081106', '331081', '331081106', '滨海镇', 'binhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081107', '331081', '331081107', '温峤镇', 'wenjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081108', '331081', '331081108', '城南镇', 'chengnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081109', '331081', '331081109', '石桥头镇', 'shiqiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331081110', '331081', '331081110', '坞根镇', 'wugenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082', '3310', '331082', '临海市', 'linhaishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082001', '331082', '331082001', '古城街道', 'guchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082002', '331082', '331082002', '大洋街道', 'dayangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082003', '331082', '331082003', '江南街道', 'jiangnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082004', '331082', '331082004', '大田街道', 'datianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082005', '331082', '331082005', '邵家渡街道', 'shaojiadujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082100', '331082', '331082100', '汛桥镇', 'xunqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082101', '331082', '331082101', '东塍镇', 'dongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082103', '331082', '331082103', '汇溪镇', 'huixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082104', '331082', '331082104', '小芝镇', 'xiaozhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082105', '331082', '331082105', '河头镇', 'hetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082106', '331082', '331082106', '白水洋镇', 'baishuiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082107', '331082', '331082107', '括苍镇', 'kuocangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082108', '331082', '331082108', '永丰镇', 'yongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082109', '331082', '331082109', '尤溪镇', 'youxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082110', '331082', '331082110', '涌泉镇', 'yongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082111', '331082', '331082111', '沿江镇', 'yanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082112', '331082', '331082112', '杜桥镇', 'duqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082113', '331082', '331082113', '上盘镇', 'shangpanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331082114', '331082', '331082114', '桃渚镇', 'taozhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3311', '33', '3311', '丽水市', 'lishuishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331101', '3311', '331101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102', '3311', '331102', '莲都区', 'liandouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102001', '331102', '331102001', '紫金街道', 'zijinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102002', '331102', '331102002', '岩泉街道', 'yanquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102003', '331102', '331102003', '万象街道', 'wanxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102004', '331102', '331102004', '白云街道', 'baiyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102005', '331102', '331102005', '水阁街道', 'shuigejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102006', '331102', '331102006', '富岭街道', 'fulingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102100', '331102', '331102100', '碧湖镇', 'bihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102101', '331102', '331102101', '联城镇', 'lianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102102', '331102', '331102102', '大港头镇', 'dagangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102103', '331102', '331102103', '老竹畲族镇', 'laozhushezuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102104', '331102', '331102104', '雅溪镇', 'yaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102200', '331102', '331102200', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102201', '331102', '331102201', '仙渡乡', 'xianduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102202', '331102', '331102202', '峰源乡', 'fengyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102203', '331102', '331102203', '高溪乡', 'gaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102204', '331102', '331102204', '丽新畲族乡', 'lixinshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102205', '331102', '331102205', '双黄乡', 'shuanghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331102206', '331102', '331102206', '黄村乡', 'huangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121', '3311', '331121', '青田县', 'qingtianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121100', '331121', '331121100', '鹤城镇', 'hechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121101', '331121', '331121101', '温溪镇', 'wenxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121102', '331121', '331121102', '东源镇', 'dongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121103', '331121', '331121103', '高湖镇', 'gaohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121104', '331121', '331121104', '船寮镇', 'chuanliaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121105', '331121', '331121105', '海口镇', 'haikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121106', '331121', '331121106', '腊口镇', 'lakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121107', '331121', '331121107', '北山镇', 'beishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121108', '331121', '331121108', '山口镇', 'shankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121109', '331121', '331121109', '仁庄镇', 'renzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121200', '331121', '331121200', '万山乡', 'wanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121201', '331121', '331121201', '黄垟乡', 'huangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121202', '331121', '331121202', '季宅乡', 'jizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121203', '331121', '331121203', '高市乡', 'gaoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121204', '331121', '331121204', '海溪乡', 'haixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121205', '331121', '331121205', '章村乡', 'zhangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121206', '331121', '331121206', '祯旺乡', 'zhenwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121207', '331121', '331121207', '祯埠乡', 'zhenbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121208', '331121', '331121208', '舒桥乡', 'shuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121209', '331121', '331121209', '巨浦乡', 'jupuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121210', '331121', '331121210', '岭根乡', 'linggenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121211', '331121', '331121211', '万阜乡', 'wanfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121212', '331121', '331121212', '方山乡', 'fangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121213', '331121', '331121213', '汤垟乡', 'tangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121214', '331121', '331121214', '贵岙乡', 'guiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121215', '331121', '331121215', '小舟山乡', 'xiaozhoushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121216', '331121', '331121216', '吴坑乡', 'wukengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121217', '331121', '331121217', '仁宫乡', 'rengongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121218', '331121', '331121218', '章旦乡', 'zhangdanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121219', '331121', '331121219', '阜山乡', 'fushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331121220', '331121', '331121220', '石溪乡', 'shixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122', '3311', '331122', '缙云县', 'jinyunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122100', '331122', '331122100', '五云镇', 'wuyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122101', '331122', '331122101', '壶镇镇', 'huzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122102', '331122', '331122102', '新建镇', 'xinjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122103', '331122', '331122103', '舒洪镇', 'shuhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122104', '331122', '331122104', '新碧镇', 'xinbizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122105', '331122', '331122105', '大洋镇', 'dayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122106', '331122', '331122106', '东渡镇', 'dongduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122107', '331122', '331122107', '东方镇', 'dongfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122108', '331122', '331122108', '大源镇', 'dayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122200', '331122', '331122200', '新川乡', 'xinchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122201', '331122', '331122201', '双川乡', 'shuangchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122202', '331122', '331122202', '城北乡', 'chengbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122203', '331122', '331122203', '七里乡', 'qilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122204', '331122', '331122204', '白竹乡', 'baizhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122205', '331122', '331122205', '雁岭乡', 'yanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122206', '331122', '331122206', '前路乡', 'qianluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122207', '331122', '331122207', '三溪乡', 'sanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122208', '331122', '331122208', '溶江乡', 'rongjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122209', '331122', '331122209', '双溪口乡', 'shuangxikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122210', '331122', '331122210', '胡源乡', 'huyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122211', '331122', '331122211', '方溪乡', 'fangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122212', '331122', '331122212', '石笕乡', 'shijianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122213', '331122', '331122213', '南溪乡', 'nanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331122214', '331122', '331122214', '木栗乡', 'mulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123', '3311', '331123', '遂昌县', 'suichangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123100', '331123', '331123100', '妙高镇', 'miaogaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123101', '331123', '331123101', '云峰镇', 'yunfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123102', '331123', '331123102', '新路湾镇', 'xinluwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123103', '331123', '331123103', '北界镇', 'beijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123104', '331123', '331123104', '金竹镇', 'jinzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123105', '331123', '331123105', '大柘镇', 'dazhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123106', '331123', '331123106', '石练镇', 'shilianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123107', '331123', '331123107', '王村口镇', 'wangcunkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123108', '331123', '331123108', '黄沙腰镇', 'huangshayaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123200', '331123', '331123200', '三仁畲族乡', 'sanrenshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123201', '331123', '331123201', '濂竹乡', 'lianzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123202', '331123', '331123202', '应村乡', 'yingcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123203', '331123', '331123203', '高坪乡', 'gaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123204', '331123', '331123204', '湖山乡', 'hushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123205', '331123', '331123205', '蔡源乡', 'caiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123206', '331123', '331123206', '焦滩乡', 'jiaotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123207', '331123', '331123207', '龙洋乡', 'longyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123208', '331123', '331123208', '柘岱口乡', 'zhedaikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123209', '331123', '331123209', '西畈乡', 'xifanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331123210', '331123', '331123210', '垵口乡', 'ankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124', '3311', '331124', '松阳县', 'songyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124100', '331124', '331124100', '西屏镇', 'xipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124101', '331124', '331124101', '古市镇', 'gushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124102', '331124', '331124102', '玉岩镇', 'yuyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124103', '331124', '331124103', '象溪镇', 'xiangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124104', '331124', '331124104', '大东坝镇', 'dadongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124200', '331124', '331124200', '望松乡', 'wangsongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124201', '331124', '331124201', '叶村乡', 'yecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124202', '331124', '331124202', '斋坛乡', 'zhaitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124203', '331124', '331124203', '三都乡', 'sandouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124204', '331124', '331124204', '竹源乡', 'zhuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124205', '331124', '331124205', '四都乡', 'sidouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124206', '331124', '331124206', '赤寿乡', 'chishouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124207', '331124', '331124207', '新兴乡', 'xinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124208', '331124', '331124208', '樟溪乡', 'zhangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124209', '331124', '331124209', '谢村乡', 'xiecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124210', '331124', '331124210', '新处乡', 'xinchuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124211', '331124', '331124211', '枫坪乡', 'fengpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124212', '331124', '331124212', '板桥畲族乡', 'banqiaoshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124213', '331124', '331124213', '裕溪乡', 'yuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331124214', '331124', '331124214', '安民乡', 'anminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125', '3311', '331125', '云和县', 'yunhexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125100', '331125', '331125100', '云和镇', 'yunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125101', '331125', '331125101', '石塘镇', 'shitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125102', '331125', '331125102', '紧水滩镇', 'jinshuitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125103', '331125', '331125103', '崇头镇', 'chongtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125201', '331125', '331125201', '雾溪畲族乡', 'wuxishezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125202', '331125', '331125202', '安溪畲族乡', 'anxishezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125203', '331125', '331125203', '云坛乡', 'yuntanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125204', '331125', '331125204', '朱村乡', 'zhucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125205', '331125', '331125205', '大源乡', 'dayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125206', '331125', '331125206', '赤石乡', 'chishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125207', '331125', '331125207', '黄源乡', 'huangyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125208', '331125', '331125208', '大湾乡', 'dawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125209', '331125', '331125209', '沙铺乡', 'shapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331125210', '331125', '331125210', '云丰乡', 'yunfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126', '3311', '331126', '庆元县', 'qingyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126100', '331126', '331126100', '松源镇', 'songyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126101', '331126', '331126101', '黄田镇', 'huangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126102', '331126', '331126102', '竹口镇', 'zhukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126103', '331126', '331126103', '屏都镇', 'pingdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126104', '331126', '331126104', '荷地镇', 'hedizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126105', '331126', '331126105', '左溪镇', 'zuoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126106', '331126', '331126106', '贤良镇', 'xianliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126200', '331126', '331126200', '岭头乡', 'lingtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126201', '331126', '331126201', '五大堡乡', 'wudabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126202', '331126', '331126202', '淤上乡', 'yushangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126203', '331126', '331126203', '安南乡', 'annanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126204', '331126', '331126204', '张村乡', 'zhangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126205', '331126', '331126205', '隆宫乡', 'longgongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126206', '331126', '331126206', '举水乡', 'jushuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126207', '331126', '331126207', '江根乡', 'jianggenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126208', '331126', '331126208', '合湖乡', 'hehuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126209', '331126', '331126209', '龙溪乡', 'longxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126210', '331126', '331126210', '百山祖乡', 'baishanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126211', '331126', '331126211', '官塘乡', 'guantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331126212', '331126', '331126212', '四山乡', 'sishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127', '3311', '331127', '景宁畲族自治县', 'jingningshezuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127100', '331127', '331127100', '鹤溪镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127101', '331127', '331127101', '渤海镇', 'bohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127102', '331127', '331127102', '东坑镇', 'dongkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127103', '331127', '331127103', '英川镇', 'yingchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127104', '331127', '331127104', '沙湾镇', 'shawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127200', '331127', '331127200', '外舍乡', 'waishexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127201', '331127', '331127201', '大均乡', 'dajunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127202', '331127', '331127202', '澄照乡', 'chengzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127203', '331127', '331127203', '梅岐乡', 'meiqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127204', '331127', '331127204', '金钟乡', 'jinzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127205', '331127', '331127205', '郑坑乡', 'zhengkengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127206', '331127', '331127206', '大顺乡', 'dashunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127207', '331127', '331127207', '陈村乡', 'chencunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127208', '331127', '331127208', '大际乡', 'dajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127209', '331127', '331127209', '景南乡', 'jingnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127210', '331127', '331127210', '雁溪乡', 'yanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127211', '331127', '331127211', '葛山乡', 'geshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127212', '331127', '331127212', '鸬鹚乡', 'lucixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127213', '331127', '331127213', '梧桐乡', 'wutongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127214', '331127', '331127214', '标溪乡', 'biaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127215', '331127', '331127215', '毛洋乡', 'maoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127216', '331127', '331127216', '秋炉乡', 'qiuluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127217', '331127', '331127217', '大地乡', 'dadixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331127218', '331127', '331127218', '家地乡', 'jiadixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181', '3311', '331181', '龙泉市', 'longquanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181001', '331181', '331181001', '龙渊街道', 'longyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181002', '331181', '331181002', '西街街道', 'xijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181003', '331181', '331181003', '剑池街道', 'jianchijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181100', '331181', '331181100', '八都镇', 'badouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181101', '331181', '331181101', '上垟镇', 'shangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181102', '331181', '331181102', '小梅镇', 'xiaomeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181103', '331181', '331181103', '查田镇', 'chatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181104', '331181', '331181104', '安仁镇', 'anrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181105', '331181', '331181105', '锦溪镇', 'jinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181106', '331181', '331181106', '住龙镇', 'zhulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181107', '331181', '331181107', '屏南镇', 'pingnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181200', '331181', '331181200', '兰巨乡', 'lanjuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181201', '331181', '331181201', '跶石乡', 'dashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181202', '331181', '331181202', '宝溪乡', 'baoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181203', '331181', '331181203', '竹垟畲族乡', 'zhuyangshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181204', '331181', '331181204', '道太乡', 'daotaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181205', '331181', '331181205', '岩樟乡', 'yanzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181206', '331181', '331181206', '城北乡', 'chengbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('331181207', '331181', '331181207', '龙南乡', 'longnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('34', '-1', '34', '安徽省', 'anhuisheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3401', '34', '3401', '合肥市', 'hefeishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340101', '3401', '340101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102', '3401', '340102', '瑶海区', 'yaohaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102001', '340102', '340102001', '明光路街道', 'mingguanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102002', '340102', '340102002', '车站街道', 'chezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102003', '340102', '340102003', '胜利路街道', 'shenglilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102004', '340102', '340102004', '三里街街道', 'sanlijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102005', '340102', '340102005', '铜陵路街道', 'tonglinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102006', '340102', '340102006', '七里站街道', 'qilizhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102007', '340102', '340102007', '红光街道', 'hongguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102008', '340102', '340102008', '和平路街道', 'hepinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102009', '340102', '340102009', '大通路街道', 'datonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102010', '340102', '340102010', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102011', '340102', '340102011', '长淮街道', 'zhanghuaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102012', '340102', '340102012', '方庙街道', 'fangmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102013', '340102', '340102013', '七里塘街道', 'qilitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102100', '340102', '340102100', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102200', '340102', '340102200', '磨店乡', 'modianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340102400', '340102', '340102400', '瑶海区工业园', 'yaohaiqugongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103', '3401', '340103', '庐阳区', 'luyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103001', '340103', '340103001', '杏林街道', 'xinglinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103002', '340103', '340103002', '海棠街道', 'haitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103003', '340103', '340103003', '逍遥津街道', 'xiaoyaojinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103004', '340103', '340103004', '三牌楼街道', 'sanpailoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103005', '340103', '340103005', '县桥街道', 'xianqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103006', '340103', '340103006', '益民街道', 'yiminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103007', '340103', '340103007', '安庆路街道', 'anqinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103008', '340103', '340103008', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103009', '340103', '340103009', '亳州路街道', 'bozhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103010', '340103', '340103010', '双岗街道', 'shuanggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103011', '340103', '340103011', '杏花村街道', 'xinghuacunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103100', '340103', '340103100', '大杨镇', 'dayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103200', '340103', '340103200', '三十岗乡', 'sanshigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340103400', '340103', '340103400', '庐阳工业园区', 'luyanggongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104', '3401', '340104', '蜀山区', 'shushanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104001', '340104', '340104001', '稻香村街道', 'daoxiangcunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104002', '340104', '340104002', '南七里站街道', 'nanqilizhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104003', '340104', '340104003', '三里庵街道', 'sanlianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104004', '340104', '340104004', '琥珀山庄街道', 'huposhanzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104005', '340104', '340104005', '西园新村街道', 'xiyuanxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104006', '340104', '340104006', '五里墩街道', 'wulidunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104007', '340104', '340104007', '荷叶地街道', 'heyedijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104008', '340104', '340104008', '笔架山街道', 'bijiashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104100', '340104', '340104100', '井岗镇', 'jinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104101', '340104', '340104101', '南岗镇', 'nangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104400', '340104', '340104400', '蜀山新产业园区', 'shushanxinchanyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104401', '340104', '340104401', '高新技术产业开发区', 'gaoxinjishuchanyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104402', '340104', '340104402', '莲花社区管理委员会', 'lianhuashequguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104403', '340104', '340104403', '芙蓉社区管理委员会', 'furongshequguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104404', '340104', '340104404', '锦绣社区管理委员会', 'jinxiushequguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340104405', '340104', '340104405', '海恒社区管理委员会', 'haihengshequguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340111', '3401', '340111', '包河区', 'baohequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340111001', '340111', '340111001', '常青街道', 'changqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340111002', '340111', '340111002', '宁国路街道', 'ningguolujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340111003', '340111', '340111003', '芜湖路街道', 'wuhulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340111004', '340111', '340111004', '巢湖路街道', 'chaohulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340111005', '340111', '340111005', '骆岗街道', 'luogangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340111100', '340111', '340111100', '义兴镇', 'yixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340111101', '340111', '340111101', '义城镇', 'yichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340111200', '340111', '340111200', '大圩乡', 'daweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340111201', '340111', '340111201', '烟墩乡', 'yandunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340111400', '340111', '340111400', '包河工业区管委会', 'baohegongyequguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121', '3401', '340121', '长丰县', 'zhangfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121100', '340121', '340121100', '水湖镇', 'shuihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121101', '340121', '340121101', '庄墓镇', 'zhuangmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121102', '340121', '340121102', '杨庙镇', 'yangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121103', '340121', '340121103', '吴山镇', 'wushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121104', '340121', '340121104', '岗集镇', 'gangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121105', '340121', '340121105', '双墩镇', 'shuangdunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121106', '340121', '340121106', '下塘镇', 'xiatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121107', '340121', '340121107', '朱巷镇', 'zhuxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121200', '340121', '340121200', '罗塘乡', 'luotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121201', '340121', '340121201', '义井乡', 'yijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121202', '340121', '340121202', '三十头乡', 'sanshitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121203', '340121', '340121203', '陶楼乡', 'taolouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121204', '340121', '340121204', '造甲乡', 'zaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121205', '340121', '340121205', '左店乡', 'zuodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121206', '340121', '340121206', '杜集乡', 'dujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340121400', '340121', '340121400', '双凤工业区', 'shuangfenggongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122', '3401', '340122', '肥东县', 'feidongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122100', '340122', '340122100', '店埠镇', 'dianbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122101', '340122', '340122101', '撮镇镇', 'cuozhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122102', '340122', '340122102', '梁园镇', 'liangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122103', '340122', '340122103', '桥头集镇', 'qiaotoujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122104', '340122', '340122104', '长临河镇', 'zhanglinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122105', '340122', '340122105', '石塘镇', 'shitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122106', '340122', '340122106', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122107', '340122', '340122107', '八斗镇', 'badouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122108', '340122', '340122108', '元疃镇', 'yuantuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122109', '340122', '340122109', '白龙镇', 'bailongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122110', '340122', '340122110', '包公镇', 'baogongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122200', '340122', '340122200', '众兴乡', 'zhongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122201', '340122', '340122201', '张集乡', 'zhangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122202', '340122', '340122202', '马湖乡', 'mahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122203', '340122', '340122203', '陈集乡', 'chenjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122204', '340122', '340122204', '响导乡', 'xiangdaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122205', '340122', '340122205', '杨店乡', 'yangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122206', '340122', '340122206', '牌坊回族满族乡', 'paifanghuizumanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340122400', '340122', '340122400', '合肥龙岗综合经济开发区', 'hefeilonggangzonghejingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123', '3401', '340123', '肥西县', 'feixixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123100', '340123', '340123100', '上派镇', 'shangpaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123101', '340123', '340123101', '三河镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123102', '340123', '340123102', '高刘镇', 'gaoliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123103', '340123', '340123103', '官亭镇', 'guantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123104', '340123', '340123104', '小庙镇', 'xiaomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123105', '340123', '340123105', '山南镇', 'shannanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123106', '340123', '340123106', '花岗镇', 'huagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123107', '340123', '340123107', '紫蓬镇', 'zipengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123108', '340123', '340123108', '桃花镇', 'taohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123109', '340123', '340123109', '丰乐镇', 'fenglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123200', '340123', '340123200', '高店乡', 'gaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123201', '340123', '340123201', '铭传乡', 'mingchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123202', '340123', '340123202', '柿树岗乡', 'shishugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123203', '340123', '340123203', '严店乡', 'yandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123400', '340123', '340123400', '桃花工业园管委会', 'taohuagongyeyuanguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340123401', '340123', '340123401', '紫蓬山管委会', 'zipengshanguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3402', '34', '3402', '芜湖市', 'wuhushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340201', '3402', '340201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202', '3402', '340202', '镜湖区', 'jinghuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202001', '340202', '340202001', '北京路街道', 'beijinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202002', '340202', '340202002', '赭麓街道', 'zhelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202003', '340202', '340202003', '镜湖街道', 'jinghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202004', '340202', '340202004', '吉和街街道', 'jihejiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202005', '340202', '340202005', '赭山街道', 'zheshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202006', '340202', '340202006', '弋矶山街道', 'yijishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202007', '340202', '340202007', '汀棠街道', 'tingtangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202008', '340202', '340202008', '天门山街道', 'tianmenshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202009', '340202', '340202009', '北门街道', 'beimenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202010', '340202', '340202010', '东门街道', 'dongmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202011', '340202', '340202011', '荆山街道', 'jingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340202400', '340202', '340202400', '长江大桥综合经济开发区(虚拟)', 'zhangjiangdaqiaozonghejingjikaifaqu(xuni)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340203', '3402', '340203', '弋江区', 'yijiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340203001', '340203', '340203001', '弋江桥街道', 'yijiangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340203002', '340203', '340203002', '中山南路街道', 'zhongshannanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340203003', '340203', '340203003', '利民路街道', 'liminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340203100', '340203', '340203100', '马塘街道', 'matangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340203101', '340203', '340203101', '鲁港街道', 'lugangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340203102', '340203', '340203102', '火龙岗镇', 'huolonggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340203198', '340203', '340203198', '虚拟街道', 'xunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340207', '3402', '340207', '鸠江区', 'jiujiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340207001', '340207', '340207001', '四褐山街道', 'siheshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340207002', '340207', '340207002', '裕溪口街道', 'yuxikoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340207003', '340207', '340207003', '官陡街道', 'guandoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340207004', '340207', '340207004', '湾里街道', 'wanlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340207005', '340207', '340207005', '清水街道', 'qingshuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340207400', '340207', '340207400', '经济技术开发区', 'jingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340207401', '340207', '340207401', '鸠江开发区', 'jiujiangkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340208', '3402', '340208', '三山区', 'sanshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340208001', '340208', '340208001', '三山街道', 'sanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340208002', '340208', '340208002', '保定街道', 'baodingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340208003', '340208', '340208003', '龙湖街道', 'longhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340208100', '340208', '340208100', '峨桥镇', 'eqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340221', '3402', '340221', '芜湖县', 'wuhuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340221100', '340221', '340221100', '湾沚镇', 'wanzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340221101', '340221', '340221101', '六郎镇', 'liulangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340221102', '340221', '340221102', '陶辛镇', 'taoxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340221103', '340221', '340221103', '方村镇', 'fangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340221104', '340221', '340221104', '红杨镇', 'hongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340221105', '340221', '340221105', '花桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340222', '3402', '340222', '繁昌县', 'fanchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340222100', '340222', '340222100', '繁阳镇', 'fanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340222101', '340222', '340222101', '荻港镇', 'digangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340222102', '340222', '340222102', '孙村镇', 'suncunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340222103', '340222', '340222103', '平铺镇', 'pingpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340222104', '340222', '340222104', '新港', 'xingang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340222200', '340222', '340222200', '峨山乡', 'eshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340223', '3402', '340223', '南陵县', 'nanlingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340223100', '340223', '340223100', '籍山镇', 'jishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340223101', '340223', '340223101', '许镇镇', 'xuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340223102', '340223', '340223102', '弋江镇', 'yijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340223103', '340223', '340223103', '三里镇', 'sanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340223104', '340223', '340223104', '何湾镇', 'hewanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340223105', '340223', '340223105', '工山镇', 'gongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340223106', '340223', '340223106', '烟墩镇', 'yandunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340223107', '340223', '340223107', '家发镇', 'jiafazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3403', '34', '3403', '蚌埠市', 'bangbushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340301', '3403', '340301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340302', '3403', '340302', '龙子湖区', 'longzihuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340302001', '340302', '340302001', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340302002', '340302', '340302002', '延安街道', 'yananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340302003', '340302', '340302003', '治淮街道', 'zhihuaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340302004', '340302', '340302004', '东升街道', 'dongshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340302005', '340302', '340302005', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340302006', '340302', '340302006', '曹山街道', 'caoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340302100', '340302', '340302100', '长淮卫镇', 'zhanghuaiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340302200', '340302', '340302200', '李楼乡', 'lilouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340302400', '340302', '340302400', '新城综合开发区(龙子湖区)', 'xinchengzonghekaifaqu(longzihuqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303', '3403', '340303', '蚌山区', 'bangshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303001', '340303', '340303001', '天桥街道', 'tianqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303002', '340303', '340303002', '青年街道', 'qingnianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303003', '340303', '340303003', '纬二路街道', 'weierlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303004', '340303', '340303004', '黄庄街道', 'huangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303005', '340303', '340303005', '宏业村街道', 'hongyecunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303200', '340303', '340303200', '燕山乡', 'yanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303201', '340303', '340303201', '雪华乡', 'xuehuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303400', '340303', '340303400', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303401', '340303', '340303401', '龙湖街道', 'longhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303402', '340303', '340303402', '湖滨社区行政事务管理中心', 'hubinshequxingzhengshiwuguanlizhongxin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340303403', '340303', '340303403', '淮河社区行政事务管理中心', 'huaiheshequxingzhengshiwuguanlizhongxin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340304', '3403', '340304', '禹会区', 'yuhuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340304001', '340304', '340304001', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340304002', '340304', '340304002', '纬四街道', 'weisijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340304003', '340304', '340304003', '大庆街道', 'daqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340304004', '340304', '340304004', '张公山街道', 'zhanggongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340304005', '340304', '340304005', '钓鱼台街道', 'diaoyutaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340304100', '340304', '340304100', '秦集镇', 'qinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340304200', '340304', '340304200', '长青乡', 'zhangqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340304400', '340304', '340304400', '高新技术开发区', 'gaoxinjishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340311', '3403', '340311', '淮上区', 'huaishangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340311001', '340311', '340311001', '淮滨街道', 'huaibinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340311100', '340311', '340311100', '小蚌埠镇', 'xiaobangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340311101', '340311', '340311101', '吴小街镇', 'wuxiaojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340311102', '340311', '340311102', '曹老集镇', 'caolaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340311200', '340311', '340311200', '梅桥乡', 'meiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321', '3403', '340321', '怀远县', 'huaiyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321100', '340321', '340321100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321101', '340321', '340321101', '鲍集镇', 'baojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321102', '340321', '340321102', '龙亢镇', 'longkangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321103', '340321', '340321103', '河溜镇', 'heliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321104', '340321', '340321104', '常坟镇', 'changfenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321105', '340321', '340321105', '马城镇', 'machengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321106', '340321', '340321106', '双桥集镇', 'shuangqiaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321107', '340321', '340321107', '魏庄镇', 'weizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321108', '340321', '340321108', '万福镇', 'wanfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321109', '340321', '340321109', '唐集镇', 'tangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321200', '340321', '340321200', '淝南乡', 'feinanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321201', '340321', '340321201', '淝河乡', 'feihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321202', '340321', '340321202', '褚集乡', 'chujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321203', '340321', '340321203', '陈集乡', 'chenjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321204', '340321', '340321204', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321205', '340321', '340321205', '徐圩乡', 'xuweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321206', '340321', '340321206', '兰桥乡', 'lanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321207', '340321', '340321207', '荆芡乡', 'jingqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321208', '340321', '340321208', '找郢乡', 'zhaoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321400', '340321', '340321400', '龙亢农场', 'longkangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340321401', '340321', '340321401', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322', '3403', '340322', '五河县', 'wuhexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322100', '340322', '340322100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322101', '340322', '340322101', '新集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322102', '340322', '340322102', '沫河口镇', 'mohekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322103', '340322', '340322103', '小溪镇', 'xiaoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322104', '340322', '340322104', '双忠庙镇', 'shuangzhongmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322105', '340322', '340322105', '小圩镇', 'xiaoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322106', '340322', '340322106', '东刘集镇', 'dongliujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322107', '340322', '340322107', '头铺镇', 'toupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322108', '340322', '340322108', '大新镇', 'daxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322109', '340322', '340322109', '武桥镇', 'wuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322110', '340322', '340322110', '朱顶镇', 'zhudingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322111', '340322', '340322111', '浍南镇', 'huinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322112', '340322', '340322112', '申集镇', 'shenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322200', '340322', '340322200', '沱湖乡', 'tuohuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340322201', '340322', '340322201', '临北回族乡', 'linbeihuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323', '3403', '340323', '固镇县', 'guzhenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323100', '340323', '340323100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323101', '340323', '340323101', '王庄镇', 'wangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323102', '340323', '340323102', '新马桥镇', 'xinmaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323103', '340323', '340323103', '连城镇', 'lianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323104', '340323', '340323104', '刘集镇', 'liujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323105', '340323', '340323105', '任桥镇', 'renqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323106', '340323', '340323106', '湖沟镇', 'hugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323107', '340323', '340323107', '濠城镇', 'haochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323200', '340323', '340323200', '石湖乡', 'shihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323201', '340323', '340323201', '杨庙乡', 'yangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323202', '340323', '340323202', '仲兴乡', 'zhongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340323400', '340323', '340323400', '固镇开发区', 'guzhenkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3404', '34', '3404', '淮南市', 'huainanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340401', '3404', '340401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340402', '3404', '340402', '大通区', 'datongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340402001', '340402', '340402001', '大通街道', 'datongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340402100', '340402', '340402100', '上窑镇', 'shangyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340402101', '340402', '340402101', '洛河镇', 'luohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340402102', '340402', '340402102', '九龙岗镇', 'jiulonggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340402200', '340402', '340402200', '孔店乡', 'kongdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403', '3404', '340403', '田家庵区', 'tianjiaanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403001', '340403', '340403001', '田东街道', 'tiandongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403002', '340403', '340403002', '新淮街道', 'xinhuaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403003', '340403', '340403003', '国庆街道', 'guoqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403004', '340403', '340403004', '淮滨街道', 'huaibinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403005', '340403', '340403005', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403006', '340403', '340403006', '公园街道', 'gongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403007', '340403', '340403007', '洞山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403008', '340403', '340403008', '龙泉街道', 'longquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403009', '340403', '340403009', '泉山街道', 'quanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403100', '340403', '340403100', '舜耕镇', 'shungengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403101', '340403', '340403101', '安成镇', 'anchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403102', '340403', '340403102', '曹庵镇', 'caoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403200', '340403', '340403200', '三和乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340403201', '340403', '340403201', '史院乡', 'shiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404', '3404', '340404', '谢家集区', 'xiejiajiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404001', '340404', '340404001', '谢家集街道', 'xiejiajijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404002', '340404', '340404002', '蔡家岗街道', 'caijiagangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404003', '340404', '340404003', '立新街道', 'lixinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404004', '340404', '340404004', '谢三村街道', 'xiesancunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404005', '340404', '340404005', '平山街道', 'pingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404100', '340404', '340404100', '望峰岗镇', 'wangfenggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404101', '340404', '340404101', '李郢孜镇', 'liyingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404102', '340404', '340404102', '唐山镇', 'tangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404103', '340404', '340404103', '杨公镇', 'yanggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404200', '340404', '340404200', '孙庙乡', 'sunmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340404201', '340404', '340404201', '孤堆乡', 'guduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340405', '3404', '340405', '八公山区', 'bagongshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340405001', '340405', '340405001', '新庄孜街道', 'xinzhuangzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340405002', '340405', '340405002', '土坝孜街道', 'tubazijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340405003', '340405', '340405003', '毕家岗街道', 'bijiagangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340405100', '340405', '340405100', '八公山镇', 'bagongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340405101', '340405', '340405101', '山王镇', 'shanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340405400', '340405', '340405400', '妙山林场', 'miaoshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406', '3404', '340406', '潘集区', 'panjiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406001', '340406', '340406001', '田集街道', 'tianjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406100', '340406', '340406100', '高皇镇', 'gaohuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406101', '340406', '340406101', '平圩镇', 'pingweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406102', '340406', '340406102', '泥河镇', 'nihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406103', '340406', '340406103', '潘集镇', 'panjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406104', '340406', '340406104', '芦集镇', 'lujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406200', '340406', '340406200', '夹沟乡', 'jiagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406201', '340406', '340406201', '祁集乡', 'qijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406202', '340406', '340406202', '古沟回族乡', 'gugouhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406203', '340406', '340406203', '架河乡', 'jiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340406204', '340406', '340406204', '贺疃乡', 'hetuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421', '3404', '340421', '凤台县', 'fengtaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421100', '340421', '340421100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421101', '340421', '340421101', '大山镇', 'dashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421102', '340421', '340421102', '新集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421103', '340421', '340421103', '朱马店镇', 'zhumadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421104', '340421', '340421104', '岳张集镇', 'yuezhangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421105', '340421', '340421105', '顾桥镇', 'guqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421106', '340421', '340421106', '毛集区毛集镇', 'maojiqumaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421107', '340421', '340421107', '毛集区夏集镇', 'maojiquxiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421200', '340421', '340421200', '城北乡', 'chengbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421201', '340421', '340421201', '李冲回族乡', 'lichonghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421202', '340421', '340421202', '刘集乡', 'liujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421203', '340421', '340421203', '桂集乡', 'guijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421204', '340421', '340421204', '古店乡', 'gudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421205', '340421', '340421205', '钱庙乡', 'qianmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421206', '340421', '340421206', '杨村乡', 'yangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421207', '340421', '340421207', '尚塘乡', 'shangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421208', '340421', '340421208', '丁集乡', 'dingjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421209', '340421', '340421209', '关店乡', 'guandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421210', '340421', '340421210', '大兴集乡', 'daxingjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340421211', '340421', '340421211', '毛集区焦岗乡', 'maojiqujiaogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3405', '34', '3405', '马鞍山市', 'maanshanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340501', '3405', '340501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340502', '3405', '340502', '金家庄区', 'jinjiazhuangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340502001', '340502', '340502001', '金家庄街道', 'jinjiazhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340502002', '340502', '340502002', '江边街道', 'jiangbianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340502003', '340502', '340502003', '塘西街道', 'tangxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340502004', '340502', '340502004', '慈湖街道', 'cihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340502200', '340502', '340502200', '慈湖乡', 'cihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340503', '3405', '340503', '花山区', 'huashanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340503001', '340503', '340503001', '沙塘路街道', 'shatanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340503002', '340503', '340503002', '解放路街道', 'jiefanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340503003', '340503', '340503003', '湖东路街道', 'hudonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340503004', '340503', '340503004', '桃源路街道', 'taoyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340503100', '340503', '340503100', '霍里镇', 'huolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340504', '3405', '340504', '雨山区', 'yushanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340504001', '340504', '340504001', '平湖街道', 'pinghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340504002', '340504', '340504002', '雨山街道', 'yushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340504003', '340504', '340504003', '安民街道', 'anminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340504004', '340504', '340504004', '采石街道', 'caishijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340504100', '340504', '340504100', '向山镇', 'xiangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340504101', '340504', '340504101', '银塘镇', 'yintangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340504200', '340504', '340504200', '佳山乡', 'jiashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521', '3405', '340521', '当涂县', 'dangtuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521100', '340521', '340521100', '姑孰镇', 'gushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521101', '340521', '340521101', '黄池镇', 'huangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521102', '340521', '340521102', '乌溪镇', 'wuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521103', '340521', '340521103', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521104', '340521', '340521104', '塘南镇', 'tangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521105', '340521', '340521105', '护河镇', 'huhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521106', '340521', '340521106', '太白镇', 'taibaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521107', '340521', '340521107', '丹阳镇', 'danyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521108', '340521', '340521108', '博望镇', 'bowangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521109', '340521', '340521109', '新市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521200', '340521', '340521200', '大陇乡', 'dalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521201', '340521', '340521201', '年陡乡', 'niandouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521202', '340521', '340521202', '江心乡', 'jiangxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340521203', '340521', '340521203', '湖阳乡', 'huyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3406', '34', '3406', '淮北市', 'huaibeishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340601', '3406', '340601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340602', '3406', '340602', '杜集区', 'dujiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340602001', '340602', '340602001', '高岳街道', 'gaoyuejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340602002', '340602', '340602002', '矿山集街道', 'kuangshanjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340602100', '340602', '340602100', '朔里镇', 'shuolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340602101', '340602', '340602101', '石台镇', 'shitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340602102', '340602', '340602102', '段圆镇', 'duanyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603', '3406', '340603', '相山区', 'xiangshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603001', '340603', '340603001', '相南街道', 'xiangnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603002', '340603', '340603002', '东街道', 'dongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603003', '340603', '340603003', '西街道', 'xijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603004', '340603', '340603004', '三堤口街道', 'sandikoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603005', '340603', '340603005', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603006', '340603', '340603006', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603007', '340603', '340603007', '刘桥街道', 'liuqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603008', '340603', '340603008', '任圩街道', 'renweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603009', '340603', '340603009', '南黎街道办事处筹备组', 'nanlijiedaobanshichuchoubeizu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603010', '340603', '340603010', '曲阳街道办事处筹备组', 'quyangjiedaobanshichuchoubeizu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340603100', '340603', '340603100', '渠沟镇', 'qugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340604', '3406', '340604', '烈山区', 'lieshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340604001', '340604', '340604001', '临海童街道', 'linhaitongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340604002', '340604', '340604002', '前岭街道', 'qianlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340604003', '340604', '340604003', '百善街道', 'baishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340604004', '340604', '340604004', '任楼街道', 'renloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340604005', '340604', '340604005', '杨庄街道', 'yangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340604100', '340604', '340604100', '烈山镇', 'lieshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340604101', '340604', '340604101', '宋疃镇', 'songtuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340604102', '340604', '340604102', '古饶镇', 'guraozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621', '3406', '340621', '濉溪县', 'suixixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621100', '340621', '340621100', '濉溪镇', 'suixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621101', '340621', '340621101', '韩村镇', 'hancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621102', '340621', '340621102', '刘桥镇', 'liuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621103', '340621', '340621103', '五沟镇', 'wugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621104', '340621', '340621104', '临涣镇', 'linhuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621105', '340621', '340621105', '双堆集镇', 'shuangduijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621106', '340621', '340621106', '铁佛镇', 'tiefozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621107', '340621', '340621107', '南坪镇', 'nanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621108', '340621', '340621108', '百善镇', 'baishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621109', '340621', '340621109', '孙町镇', 'sundingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340621200', '340621', '340621200', '四铺乡', 'sipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3407', '34', '3407', '铜陵市', 'tonglingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340701', '3407', '340701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340702', '3407', '340702', '铜官山区', 'tongguanshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340702001', '340702', '340702001', '长江路街道', 'zhangjianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340702002', '340702', '340702002', '铜官山街道', 'tongguanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340702003', '340702', '340702003', '杨家山街道', 'yangjiashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340702004', '340702', '340702004', '石城路街道', 'shichenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340702005', '340702', '340702005', '扫把沟街道', 'saobagoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340702006', '340702', '340702006', '横港街道', 'henggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340702400', '340702', '340702400', '普济圩农场', 'pujiweinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340703', '3407', '340703', '狮子山区', 'shizishanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340703001', '340703', '340703001', '狮子山街道', 'shizishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340703002', '340703', '340703002', '新庙街道', 'xinmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340703003', '340703', '340703003', '矶山街道', 'jishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340703004', '340703', '340703004', '凤凰山街道', 'fenghuangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340703005', '340703', '340703005', '东郊街道', 'dongjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340703100', '340703', '340703100', '西湖镇', 'xihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340703400', '340703', '340703400', '铜陵经济技术开发区', 'tonglingjingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340711', '3407', '340711', '铜陵市郊区', 'tonglingshijiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340711001', '340711', '340711001', '桥南', 'qiaonan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340711100', '340711', '340711100', '铜山镇', 'tongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340711101', '340711', '340711101', '安矿', 'ankuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340711102', '340711', '340711102', '大通镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340711200', '340711', '340711200', '灰河乡', 'huihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340711400', '340711', '340711400', '\\\"两矿一公司\\\"专管办', '\\\"liangkuangyigongsi\\\"zhuanguanban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340721', '3407', '340721', '铜陵县', 'tonglingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340721100', '340721', '340721100', '五松镇', 'wusongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340721101', '340721', '340721101', '顺安镇', 'shunanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340721102', '340721', '340721102', '钟鸣镇', 'zhongmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340721103', '340721', '340721103', '天门镇', 'tianmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340721200', '340721', '340721200', '老洲乡', 'laozhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340721201', '340721', '340721201', '东联乡', 'donglianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340721202', '340721', '340721202', '西联乡', 'xilianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340721203', '340721', '340721203', '胥坝乡', 'xubaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3408', '34', '3408', '安庆市', 'anqingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340801', '3408', '340801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340802', '3408', '340802', '迎江区', 'yingjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340802001', '340802', '340802001', '宜城路街道', 'yichenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340802002', '340802', '340802002', '新河路街道', 'xinhelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340802003', '340802', '340802003', '华中路街道', 'huazhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340802004', '340802', '340802004', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340802005', '340802', '340802005', '孝肃路街道', 'xiaosulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340802006', '340802', '340802006', '建设路街道', 'jianshelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340802100', '340802', '340802100', '老峰镇', 'laofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340802200', '340802', '340802200', '龙狮桥乡', 'longshiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340802201', '340802', '340802201', '长风乡', 'zhangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340802202', '340802', '340802202', '新洲乡', 'xinzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803', '3408', '340803', '大观区', 'daguanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803001', '340803', '340803001', '德宽路街道', 'dekuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803002', '340803', '340803002', '玉琳路街道', 'yulinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803003', '340803', '340803003', '龙山路街道', 'longshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803004', '340803', '340803004', '菱湖街道', 'linghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803005', '340803', '340803005', '集贤路街道', 'jixianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803006', '340803', '340803006', '石化路街道', 'shihualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803007', '340803', '340803007', '花亭路街道', 'huatinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803100', '340803', '340803100', '海口镇', 'haikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803200', '340803', '340803200', '十里乡', 'shilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803201', '340803', '340803201', '山口乡', 'shankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340803400', '340803', '340803400', '皖河农场', 'wanhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340811', '3408', '340811', '宜秀区', 'yixiuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340811001', '340811', '340811001', '大桥街道', 'daqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340811002', '340811', '340811002', '菱北街道', 'lingbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340811100', '340811', '340811100', '大龙山镇', 'dalongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340811101', '340811', '340811101', '杨桥镇', 'yangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340811102', '340811', '340811102', '罗岭镇', 'luolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340811200', '340811', '340811200', '白泽湖乡', 'baizehuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340811201', '340811', '340811201', '五横乡', 'wuhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822', '3408', '340822', '怀宁县', 'huainingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822100', '340822', '340822100', '高河镇', 'gaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822101', '340822', '340822101', '石牌镇', 'shipaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822102', '340822', '340822102', '月山镇', 'yueshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822103', '340822', '340822103', '马庙镇', 'mamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822104', '340822', '340822104', '金拱镇', 'jingongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822105', '340822', '340822105', '茶岭镇', 'chalingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822106', '340822', '340822106', '公岭镇', 'gonglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822107', '340822', '340822107', '黄墩镇', 'huangdunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822108', '340822', '340822108', '三桥镇', 'sanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822109', '340822', '340822109', '小市镇', 'xiaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822110', '340822', '340822110', '黄龙镇', 'huanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822111', '340822', '340822111', '平山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822112', '340822', '340822112', '腊树镇', 'lashuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822113', '340822', '340822113', '洪铺镇', 'hongpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822114', '340822', '340822114', '江镇镇', 'jiangzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822200', '340822', '340822200', '凉亭乡', 'liangtingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822201', '340822', '340822201', '石镜乡', 'shijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822202', '340822', '340822202', '秀山乡', 'xiushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822203', '340822', '340822203', '清河乡', 'qinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340822204', '340822', '340822204', '雷埠乡', 'leibuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823', '3408', '340823', '枞阳县', 'zongyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823100', '340823', '340823100', '枞阳镇', 'zongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823101', '340823', '340823101', 'Ou山镇', 'Oushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823102', '340823', '340823102', '汤沟镇', 'tanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823103', '340823', '340823103', '老洲镇', 'laozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823104', '340823', '340823104', '陈瑶湖镇', 'chenyaohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823105', '340823', '340823105', '周潭镇', 'zhoutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823106', '340823', '340823106', '横埠镇', 'hengbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823107', '340823', '340823107', '项铺镇', 'xiangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823108', '340823', '340823108', '钱桥镇', 'qianqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823109', '340823', '340823109', '麒麟镇', 'qilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823110', '340823', '340823110', '义津镇', 'yijinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823111', '340823', '340823111', '浮山镇', 'fushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823112', '340823', '340823112', '官埠桥镇', 'guanbuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823200', '340823', '340823200', '铁铜乡', 'tietongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823201', '340823', '340823201', '凤仪乡', 'fengyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823202', '340823', '340823202', '长沙乡', 'zhangshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823203', '340823', '340823203', '钱铺乡', 'qianpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823204', '340823', '340823204', '金社乡', 'jinshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823205', '340823', '340823205', '白梅乡', 'baimeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823206', '340823', '340823206', '白湖乡', 'baihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823207', '340823', '340823207', '会宫乡', 'huigongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340823208', '340823', '340823208', '雨坛乡', 'yutanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824', '3408', '340824', '潜山县', 'qianshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824100', '340824', '340824100', '梅城镇', 'meichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824101', '340824', '340824101', '源潭镇', 'yuantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824102', '340824', '340824102', '余井镇', 'yujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824103', '340824', '340824103', '王河镇', 'wanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824104', '340824', '340824104', '黄铺镇', 'huangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824105', '340824', '340824105', '槎水镇', 'chashuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824106', '340824', '340824106', '水吼镇', 'shuihouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824107', '340824', '340824107', '官庄镇', 'guanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824108', '340824', '340824108', '黄泥镇', 'huangnizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824109', '340824', '340824109', '黄柏镇', 'huangbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824110', '340824', '340824110', '天柱山镇', 'tianzhushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824200', '340824', '340824200', '塔畈乡', 'tafanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824201', '340824', '340824201', '油坝乡', 'youbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824202', '340824', '340824202', '龙潭乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824203', '340824', '340824203', '痘姆乡', 'doumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824204', '340824', '340824204', '五庙乡', 'wumiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340824400', '340824', '340824400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825', '3408', '340825', '太湖县', 'taihuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825100', '340825', '340825100', '晋熙镇', 'jinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825101', '340825', '340825101', '徐桥镇', 'xuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825102', '340825', '340825102', '新仓镇', 'xincangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825103', '340825', '340825103', '小池镇', 'xiaochizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825104', '340825', '340825104', '寺前镇', 'siqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825105', '340825', '340825105', '天华镇', 'tianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825106', '340825', '340825106', '牛镇镇', 'niuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825107', '340825', '340825107', '弥陀镇', 'mituozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825108', '340825', '340825108', '北中镇', 'beizhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825109', '340825', '340825109', '百里镇', 'bailizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825200', '340825', '340825200', '大石乡', 'dashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825201', '340825', '340825201', '城西乡', 'chengxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825202', '340825', '340825202', '江塘乡', 'jiangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825203', '340825', '340825203', '汤泉乡', 'tangquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340825204', '340825', '340825204', '刘畈乡', 'liufanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826', '3408', '340826', '宿松县', 'susongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826100', '340826', '340826100', '孚玉镇', 'fuyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826101', '340826', '340826101', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826102', '340826', '340826102', '汇口镇', 'huikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826103', '340826', '340826103', '许岭镇', 'xulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826104', '340826', '340826104', '下仓镇', 'xiacangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826105', '340826', '340826105', '二郎镇', 'erlangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826106', '340826', '340826106', '破凉镇', 'poliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826107', '340826', '340826107', '凉亭镇', 'liangtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826108', '340826', '340826108', '长铺镇', 'zhangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826200', '340826', '340826200', '高岭乡', 'gaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826201', '340826', '340826201', '程岭乡', 'chenglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826202', '340826', '340826202', '九姑乡', 'jiuguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826203', '340826', '340826203', '千岭乡', 'qianlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826204', '340826', '340826204', '洲头乡', 'zhoutouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826205', '340826', '340826205', '佐坝乡', 'zuobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826206', '340826', '340826206', '北浴乡', 'beiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826207', '340826', '340826207', '陈汉乡', 'chenhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826208', '340826', '340826208', '隘口乡', 'aikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826209', '340826', '340826209', '柳坪乡', 'liupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826210', '340826', '340826210', '趾凤乡', 'zhifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826211', '340826', '340826211', '河塌乡', 'hetaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826212', '340826', '340826212', '五里乡', 'wulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826400', '340826', '340826400', '九成监狱管理分局', 'jiuchengjianyuguanlifenju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340826401', '340826', '340826401', '华阳河农场总场', 'huayanghenongchangzongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340827', '3408', '340827', '望江县', 'wangjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340827100', '340827', '340827100', '华阳镇', 'huayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340827101', '340827', '340827101', '杨湾镇', 'yangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340827102', '340827', '340827102', '漳湖镇', 'zhanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340827103', '340827', '340827103', '赛口镇', 'saikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340827104', '340827', '340827104', '高士镇', 'gaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340827105', '340827', '340827105', '鸦滩镇', 'yatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340827106', '340827', '340827106', '长岭镇', 'zhanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340827107', '340827', '340827107', '太慈镇', 'taicizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340827200', '340827', '340827200', '凉泉乡', 'liangquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340827201', '340827', '340827201', '雷池乡', 'leichixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828', '3408', '340828', '岳西县', 'yuexixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828100', '340828', '340828100', '天堂镇', 'tiantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828101', '340828', '340828101', '店前镇', 'dianqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828102', '340828', '340828102', '来榜镇', 'laibangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828103', '340828', '340828103', '菖蒲镇', 'changpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828104', '340828', '340828104', '头陀镇', 'toutuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828105', '340828', '340828105', '白帽镇', 'baimaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828106', '340828', '340828106', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828107', '340828', '340828107', '响肠镇', 'xiangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828108', '340828', '340828108', '河图镇', 'hetuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828109', '340828', '340828109', '五河镇', 'wuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828110', '340828', '340828110', '主簿镇', 'zhubuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828111', '340828', '340828111', '冶溪镇', 'yexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828112', '340828', '340828112', '黄尾镇', 'huangweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828200', '340828', '340828200', '毛尖山乡', 'maojianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828201', '340828', '340828201', '莲云乡', 'lianyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828202', '340828', '340828202', '青天乡', 'qingtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828203', '340828', '340828203', '包家乡', 'baojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828204', '340828', '340828204', '古坊乡', 'gufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828205', '340828', '340828205', '田头乡', 'tiantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828206', '340828', '340828206', '中关乡', 'zhongguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828207', '340828', '340828207', '石关乡', 'shiguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828208', '340828', '340828208', '姚河乡', 'yaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828209', '340828', '340828209', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340828210', '340828', '340828210', '巍岭乡', 'weilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881', '3408', '340881', '桐城市', 'tongchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881001', '340881', '340881001', '碧峰街道', 'bifengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881002', '340881', '340881002', '南演街道', 'nanyanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881003', '340881', '340881003', '文昌街道', 'wenchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881004', '340881', '340881004', '太平街道', 'taipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881100', '340881', '340881100', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881101', '340881', '340881101', '吕亭镇', 'lu:tingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881102', '340881', '340881102', '范岗镇', 'fangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881103', '340881', '340881103', '孔城镇', 'kongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881104', '340881', '340881104', '新渡镇', 'xinduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881105', '340881', '340881105', '双港镇', 'shuanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881106', '340881', '340881106', '卅铺镇', 'sapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881107', '340881', '340881107', '大关镇', 'daguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881108', '340881', '340881108', '陶冲镇', 'taochongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881109', '340881', '340881109', '金神镇', 'jinshenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881110', '340881', '340881110', '兴店镇', 'xingdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881111', '340881', '340881111', '香铺镇', 'xiangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881112', '340881', '340881112', '青草镇', 'qingcaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881113', '340881', '340881113', '挂车河镇', 'guachehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881114', '340881', '340881114', '嬉子湖镇', 'xizihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881115', '340881', '340881115', '老梅镇', 'laomeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881116', '340881', '340881116', '唐湾镇', 'tangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881117', '340881', '340881117', '鲟鱼镇', 'xunyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881200', '340881', '340881200', '黄铺乡', 'huangpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881201', '340881', '340881201', '大塘乡', 'datangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881202', '340881', '340881202', '龙眠乡', 'longmianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881203', '340881', '340881203', '中义乡', 'zhongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('340881400', '340881', '340881400', '民营经济开发区', 'minyingjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3410', '34', '3410', '黄山市', 'huangshanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341001', '3410', '341001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341002', '3410', '341002', '屯溪区', 'tunxiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341002001', '341002', '341002001', '昱东街道', 'yudongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341002002', '341002', '341002002', '昱中街道', 'yuzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341002003', '341002', '341002003', '昱西街道', 'yuxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341002004', '341002', '341002004', '老街街道', 'laojiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341002100', '341002', '341002100', '屯光镇', 'tunguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341002101', '341002', '341002101', '阳湖镇', 'yanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341002102', '341002', '341002102', '黎阳镇', 'liyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341002103', '341002', '341002103', '新潭镇', 'xintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341002104', '341002', '341002104', '奕棋镇', 'yiqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341002500', '341002', '341002500', '茶林场', 'chalinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003', '3410', '341003', '黄山区', 'huangshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003001', '341003', '341003001', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003100', '341003', '341003100', '甘棠镇', 'gantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003101', '341003', '341003101', '仙源镇', 'xianyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003102', '341003', '341003102', '汤口镇', 'tangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003103', '341003', '341003103', '谭家桥镇', 'tanjiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003104', '341003', '341003104', '太平湖镇', 'taipinghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003105', '341003', '341003105', '焦村镇', 'jiaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003106', '341003', '341003106', '耿城镇', 'gengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003107', '341003', '341003107', '三口镇', 'sankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003200', '341003', '341003200', '新明乡', 'xinmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003201', '341003', '341003201', '龙门乡', 'longmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003202', '341003', '341003202', '乌石乡', 'wushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003203', '341003', '341003203', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003204', '341003', '341003204', '新丰乡', 'xinfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003205', '341003', '341003205', '永丰乡', 'yongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341003450', '341003', '341003450', '黄山风景区', 'huangshanfengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341004', '3410', '341004', '徽州区', 'huizhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341004001', '341004', '341004001', '徽州区街道工委会', 'huizhouqujiedaogongweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341004100', '341004', '341004100', '岩寺镇', 'yansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341004101', '341004', '341004101', '西溪南镇', 'xixinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341004102', '341004', '341004102', '潜口镇', 'qiankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341004103', '341004', '341004103', '呈坎镇', 'chengkanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341004200', '341004', '341004200', '洽舍乡', 'qiashexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341004201', '341004', '341004201', '杨村乡', 'yangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341004202', '341004', '341004202', '富溪乡', 'fuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021', '3410', '341021', '歙县', 'shexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021100', '341021', '341021100', '徽城镇', 'huichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021101', '341021', '341021101', '深渡镇', 'shenduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021102', '341021', '341021102', '北岸镇', 'beianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021103', '341021', '341021103', '富堨镇', 'fuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021104', '341021', '341021104', '郑村镇', 'zhengcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021105', '341021', '341021105', '桂林镇', 'guilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021106', '341021', '341021106', '许村镇', 'xucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021107', '341021', '341021107', '溪头镇', 'xitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021108', '341021', '341021108', '杞梓里镇', 'qizilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021109', '341021', '341021109', '霞坑镇', 'xiakengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021110', '341021', '341021110', '岔口镇', 'chakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021111', '341021', '341021111', '街口镇', 'jiekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021112', '341021', '341021112', '王村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021200', '341021', '341021200', '坑口乡', 'kengkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021201', '341021', '341021201', '雄村乡', 'xiongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021202', '341021', '341021202', '上丰乡', 'shangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021203', '341021', '341021203', '昌溪乡', 'changxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021204', '341021', '341021204', '武阳乡', 'wuyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021205', '341021', '341021205', '三阳乡', 'sanyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021206', '341021', '341021206', '金川乡', 'jinchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021207', '341021', '341021207', '小川乡', 'xiaochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021208', '341021', '341021208', '新溪口乡', 'xinxikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021209', '341021', '341021209', '璜田乡', 'huangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021210', '341021', '341021210', '长陔乡', 'zhanggaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021211', '341021', '341021211', '森村乡', 'sencunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021212', '341021', '341021212', '绍濂乡', 'shaolianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021213', '341021', '341021213', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341021214', '341021', '341021214', '狮石乡', 'shishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022', '3410', '341022', '休宁县', 'xiuningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022100', '341022', '341022100', '海阳镇', 'haiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022101', '341022', '341022101', '齐云山镇', 'qiyunshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022102', '341022', '341022102', '万安镇', 'wananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022103', '341022', '341022103', '五城镇', 'wuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022104', '341022', '341022104', '东临溪镇', 'donglinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022105', '341022', '341022105', '兰田镇', 'lantianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022106', '341022', '341022106', '溪口镇', 'xikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022107', '341022', '341022107', '流口镇', 'liukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022108', '341022', '341022108', '汪村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022200', '341022', '341022200', '商山乡', 'shangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022201', '341022', '341022201', '山斗乡', 'shandouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022202', '341022', '341022202', '岭南乡', 'lingnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022203', '341022', '341022203', '渭桥乡', 'weiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022204', '341022', '341022204', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022205', '341022', '341022205', '陈霞乡', 'chenxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022206', '341022', '341022206', '鹤城乡', 'hechengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022207', '341022', '341022207', '源芳乡', 'yuanfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022208', '341022', '341022208', '榆村乡', 'yucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022209', '341022', '341022209', '龙田乡', 'longtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022210', '341022', '341022210', '璜尖乡', 'huangjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341022211', '341022', '341022211', '白际乡', 'baijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341023', '3410', '341023', '黟县', 'yixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341023100', '341023', '341023100', '碧阳镇', 'biyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341023101', '341023', '341023101', '宏村镇', 'hongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341023102', '341023', '341023102', '渔亭镇', 'yutingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341023103', '341023', '341023103', '西递镇', 'xidizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341023200', '341023', '341023200', '柯村乡', 'kecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341023201', '341023', '341023201', '美溪乡', 'meixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341023202', '341023', '341023202', '宏潭乡', 'hongtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341023203', '341023', '341023203', '洪星乡', 'hongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024', '3410', '341024', '祁门县', 'qimenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024100', '341024', '341024100', '祁山镇', 'qishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024101', '341024', '341024101', '小路口镇', 'xiaolukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024102', '341024', '341024102', '金字牌镇', 'jinzipaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024103', '341024', '341024103', '平里镇', 'pinglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024104', '341024', '341024104', '历口镇', 'likouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024105', '341024', '341024105', '闪里镇', 'shanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024106', '341024', '341024106', '安凌镇', 'anlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024200', '341024', '341024200', '大坦乡', 'datanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024201', '341024', '341024201', '凫峰乡', 'fufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024202', '341024', '341024202', '柏溪乡', 'boxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024203', '341024', '341024203', '塔坊乡', 'tafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024204', '341024', '341024204', '祁红乡', 'qihongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024205', '341024', '341024205', '溶口乡', 'rongkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024206', '341024', '341024206', '芦溪乡', 'luxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024207', '341024', '341024207', '渚口乡', 'zhukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024208', '341024', '341024208', '古溪乡', 'guxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024209', '341024', '341024209', '新安乡', 'xinanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341024210', '341024', '341024210', '箬坑乡', 'ruokengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3411', '34', '3411', '滁州市', 'chuzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341101', '3411', '341101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341102', '3411', '341102', '琅琊区', 'langyaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341102001', '341102', '341102001', '琅琊街道', 'langyajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341102002', '341102', '341102002', '东门街道', 'dongmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341102003', '341102', '341102003', '西门街道', 'ximenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341102004', '341102', '341102004', '南门街道', 'nanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341102005', '341102', '341102005', '北门街道', 'beimenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341102006', '341102', '341102006', '清流街道', 'qingliujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341102007', '341102', '341102007', '扬子街道', 'yangzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341102008', '341102', '341102008', '凤凰街道办事处(滁州市开发区)', 'fenghuangjiedaobanshichu(chuzhoushikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103', '3411', '341103', '南谯区', 'nanqiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103001', '341103', '341103001', '南谯街道', 'nanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103100', '341103', '341103100', '乌衣镇', 'wuyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103101', '341103', '341103101', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103102', '341103', '341103102', '章广镇', 'zhangguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103103', '341103', '341103103', '黄泥岗镇', 'huangnigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103104', '341103', '341103104', '珠龙镇', 'zhulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103105', '341103', '341103105', '大柳镇', 'daliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103106', '341103', '341103106', '腰铺镇', 'yaopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103107', '341103', '341103107', '大王镇', 'dawangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103200', '341103', '341103200', '黄圩乡', 'huangweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103201', '341103', '341103201', '汪郢乡', 'wangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103202', '341103', '341103202', '花山乡', 'huashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103203', '341103', '341103203', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103204', '341103', '341103204', '施集乡', 'shijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103205', '341103', '341103205', '三官集乡', 'sanguanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103206', '341103', '341103206', '常山乡', 'changshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341103207', '341103', '341103207', '皇甫乡', 'huangfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122', '3411', '341122', '来安县', 'laianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122100', '341122', '341122100', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122101', '341122', '341122101', '半塔镇', 'bantazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122102', '341122', '341122102', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122103', '341122', '341122103', '相官镇', 'xiangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122104', '341122', '341122104', '汊河镇', 'chahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122105', '341122', '341122105', '大英镇', 'dayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122106', '341122', '341122106', '雷官镇', 'leiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122107', '341122', '341122107', '施官镇', 'shiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122200', '341122', '341122200', '三城乡', 'sanchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122201', '341122', '341122201', '武集乡', 'wujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122202', '341122', '341122202', '独山乡', 'dushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122203', '341122', '341122203', '双塘乡', 'shuangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122204', '341122', '341122204', '龙山乡', 'longshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122205', '341122', '341122205', '邵集乡', 'shaojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122206', '341122', '341122206', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122207', '341122', '341122207', '杨郢乡', 'yangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122208', '341122', '341122208', '张山乡', 'zhangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341122209', '341122', '341122209', '舜山乡', 'shunshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124', '3411', '341124', '全椒县', 'quanjiaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124100', '341124', '341124100', '襄河镇', 'xianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124101', '341124', '341124101', '古河镇', 'guhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124102', '341124', '341124102', '大墅镇', 'dashuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124103', '341124', '341124103', '二郎口镇', 'erlangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124104', '341124', '341124104', '武岗镇', 'wugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124105', '341124', '341124105', '马厂镇', 'machangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124106', '341124', '341124106', '石沛镇', 'shipeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124107', '341124', '341124107', '章辉镇', 'zhanghuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124108', '341124', '341124108', '西王镇', 'xiwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124109', '341124', '341124109', '六镇镇', 'liuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124200', '341124', '341124200', '程家市乡', 'chengjiashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124201', '341124', '341124201', '草庵乡', 'caoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124202', '341124', '341124202', '管坝乡', 'guanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124203', '341124', '341124203', '周岗乡', 'zhougangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124204', '341124', '341124204', '复兴乡', 'fuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124205', '341124', '341124205', '十字乡', 'shizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341124206', '341124', '341124206', '陈浅乡', 'chenqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125', '3411', '341125', '定远县', 'dingyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125100', '341125', '341125100', '定城镇', 'dingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125101', '341125', '341125101', '炉桥镇', 'luqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125102', '341125', '341125102', '永康镇', 'yongkangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125103', '341125', '341125103', '吴圩镇', 'wuweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125104', '341125', '341125104', '朱湾镇', 'zhuwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125105', '341125', '341125105', '张桥镇', 'zhangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125106', '341125', '341125106', '藕塘镇', 'outangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125107', '341125', '341125107', '池河镇', 'chihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125108', '341125', '341125108', '连江镇', 'lianjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125109', '341125', '341125109', '界牌集镇', 'jiepaijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125110', '341125', '341125110', '仓镇', 'cangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125111', '341125', '341125111', '三和集镇', 'sanhejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125112', '341125', '341125112', '西卅店镇', 'xisadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125113', '341125', '341125113', '岱山镇', 'daishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125114', '341125', '341125114', '桑涧镇', 'sangjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125115', '341125', '341125115', '年家岗镇', 'nianjiagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125200', '341125', '341125200', '程桥乡', 'chengqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125201', '341125', '341125201', '东兴乡', 'dongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125202', '341125', '341125202', '斋朗乡', 'zhailangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125203', '341125', '341125203', '严桥乡', 'yanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125204', '341125', '341125204', '拂晓乡', 'fuxiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125205', '341125', '341125205', '天河乡', 'tianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125206', '341125', '341125206', '练铺乡', 'lianpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125207', '341125', '341125207', '站岗乡', 'zhangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125208', '341125', '341125208', '蒋集乡', 'jiangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125209', '341125', '341125209', '九梓乡', 'jiuzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125210', '341125', '341125210', '能仁乡', 'nengrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125211', '341125', '341125211', '靠山乡', 'kaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125212', '341125', '341125212', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125213', '341125', '341125213', '青洛乡', 'qingluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125214', '341125', '341125214', '七里塘乡', 'qilitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125215', '341125', '341125215', '二龙回族乡', 'erlonghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125216', '341125', '341125216', '仁和乡', 'renhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125217', '341125', '341125217', '朱马乡', 'zhumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125218', '341125', '341125218', '大桥乡', 'daqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125219', '341125', '341125219', '范岗乡', 'fangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341125220', '341125', '341125220', '高塘乡', 'gaotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126', '3411', '341126', '凤阳县', 'fengyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126100', '341126', '341126100', '府城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126101', '341126', '341126101', '临淮镇', 'linhuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126102', '341126', '341126102', '门台子镇', 'mentaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126103', '341126', '341126103', '武店镇', 'wudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126104', '341126', '341126104', '西泉镇', 'xiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126105', '341126', '341126105', '刘府镇', 'liufuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126106', '341126', '341126106', '大庙镇', 'damiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126107', '341126', '341126107', '殷涧镇', 'yinjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126108', '341126', '341126108', '黄泥铺镇', 'huangnipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126109', '341126', '341126109', '总铺镇', 'zongpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126110', '341126', '341126110', '红心镇', 'hongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126111', '341126', '341126111', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126112', '341126', '341126112', '大溪河镇', 'daxihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126113', '341126', '341126113', '石门山镇', 'shimenshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126114', '341126', '341126114', '小溪河镇', 'xiaoxihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126200', '341126', '341126200', '曹店乡', 'caodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126201', '341126', '341126201', '亮岗乡', 'lianggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126202', '341126', '341126202', '周圩乡', 'zhouweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126203', '341126', '341126203', '城西乡', 'chengxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126204', '341126', '341126204', '官塘乡', 'guantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126205', '341126', '341126205', '官沟乡', 'guangouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126206', '341126', '341126206', '二铺乡', 'erpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126207', '341126', '341126207', '黄湾乡', 'huangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126208', '341126', '341126208', '枣巷渔业乡', 'zaoxiangyuyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126209', '341126', '341126209', '燃灯乡', 'randengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341126210', '341126', '341126210', '梅市乡', 'meishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181', '3411', '341181', '天长市', 'tianzhangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181001', '341181', '341181001', '天长街道', 'tianzhangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181002', '341181', '341181002', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181003', '341181', '341181003', '永丰街道', 'yongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181004', '341181', '341181004', '桥湾街道', 'qiaowanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181100', '341181', '341181100', '铜城镇', 'tongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181101', '341181', '341181101', '汊涧镇', 'chajianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181102', '341181', '341181102', '秦栏镇', 'qinlanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181103', '341181', '341181103', '大通镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181104', '341181', '341181104', '杨村镇', 'yangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181105', '341181', '341181105', '石梁镇', 'shiliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181106', '341181', '341181106', '金集镇', 'jinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181107', '341181', '341181107', '安乐镇', 'anlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181108', '341181', '341181108', '仁和集镇', 'renhejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181109', '341181', '341181109', '冶山镇', 'yeshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181110', '341181', '341181110', '郑集镇', 'zhengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181111', '341181', '341181111', '张铺镇', 'zhangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181112', '341181', '341181112', '界牌镇', 'jiepaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181113', '341181', '341181113', '平安镇', 'pinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181114', '341181', '341181114', '釜山镇', 'fushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181115', '341181', '341181115', '高庙集镇', 'gaomiaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181200', '341181', '341181200', '新街乡', 'xinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181201', '341181', '341181201', '龙集乡', 'longjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181202', '341181', '341181202', '谕兴乡', 'yuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181203', '341181', '341181203', '十八集乡', 'shibajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181204', '341181', '341181204', '芦龙乡', 'lulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181205', '341181', '341181205', '万寿乡', 'wanshouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181206', '341181', '341181206', '便益乡', 'bianyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181207', '341181', '341181207', '关塘集乡', 'guantangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341181400', '341181', '341181400', '城东新区', 'chengdongxinqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182', '3411', '341182', '明光市', 'mingguangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182001', '341182', '341182001', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182100', '341182', '341182100', '招信镇', 'zhaoxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182101', '341182', '341182101', '张八岭镇', 'zhangbalingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182102', '341182', '341182102', '三界镇', 'sanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182103', '341182', '341182103', '管店镇', 'guandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182104', '341182', '341182104', '自来桥镇', 'zilaiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182105', '341182', '341182105', '涧溪镇', 'jianxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182106', '341182', '341182106', '石坝镇', 'shibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182107', '341182', '341182107', '津里镇', 'jinlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182108', '341182', '341182108', '苏巷镇', 'suxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182109', '341182', '341182109', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182110', '341182', '341182110', '女山湖镇', 'nu:shanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182111', '341182', '341182111', '古沛镇', 'gupeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182112', '341182', '341182112', '潘村镇', 'pancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182200', '341182', '341182200', '嘉山集乡', 'jiashanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182201', '341182', '341182201', '涝口乡', 'laokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182202', '341182', '341182202', '鲁山乡', 'lushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182203', '341182', '341182203', '横山乡', 'hengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182204', '341182', '341182204', '三关乡', 'sanguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182205', '341182', '341182205', '马岗乡', 'magangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182206', '341182', '341182206', '明东乡', 'mingdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182207', '341182', '341182207', '司巷乡', 'sixiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182208', '341182', '341182208', '邵岗乡', 'shaogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182209', '341182', '341182209', '紫阳乡', 'ziyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182210', '341182', '341182210', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182211', '341182', '341182211', '柳巷乡', 'liuxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341182212', '341182', '341182212', '泊岗乡', 'bogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3412', '34', '3412', '阜阳市', 'fuyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341201', '3412', '341201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202', '3412', '341202', '颍州区', 'yingzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202001', '341202', '341202001', '鼓楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202002', '341202', '341202002', '文峰街道', 'wenfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202003', '341202', '341202003', '清河街道', 'qinghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202004', '341202', '341202004', '颍西街道', 'yingxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202005', '341202', '341202005', '西湖景区街道', 'xihujingqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202006', '341202', '341202006', '阜阳开发区京九', 'fuyangkaifaqujingjiu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202100', '341202', '341202100', '王店镇', 'wangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202101', '341202', '341202101', '程集镇', 'chengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202102', '341202', '341202102', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202103', '341202', '341202103', '西湖镇', 'xihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202104', '341202', '341202104', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202105', '341202', '341202105', '三十里铺镇', 'sanshilipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202106', '341202', '341202106', '袁集镇', 'yuanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341202200', '341202', '341202200', '马寨乡', 'mazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203', '3412', '341203', '颍东区', 'yingdongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203001', '341203', '341203001', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203002', '341203', '341203002', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203003', '341203', '341203003', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203100', '341203', '341203100', '口孜镇', 'kouzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203101', '341203', '341203101', '插花镇', 'chahuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203102', '341203', '341203102', '袁寨镇', 'yuanzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203103', '341203', '341203103', '枣庄镇', 'zaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203104', '341203', '341203104', '老庙镇', 'laomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203105', '341203', '341203105', '正午镇', 'zhengwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203106', '341203', '341203106', '杨楼孜镇', 'yanglouzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203107', '341203', '341203107', '新乌江镇', 'xinwujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341203200', '341203', '341203200', '冉庙乡', 'ranmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341204', '3412', '341204', '颍泉区', 'yingquanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341204001', '341204', '341204001', '中市街道', 'zhongshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341204002', '341204', '341204002', '周棚街道', 'zhoupengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341204100', '341204', '341204100', '伍明镇', 'wumingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341204101', '341204', '341204101', '宁老庄镇', 'ninglaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341204102', '341204', '341204102', '闻集镇', 'wenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341204103', '341204', '341204103', '行流镇', 'xingliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221', '3412', '341221', '临泉县', 'linquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221100', '341221', '341221100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221101', '341221', '341221101', '杨桥镇', 'yangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221102', '341221', '341221102', '同城镇', 'tongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221103', '341221', '341221103', '谭棚镇', 'tanpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221104', '341221', '341221104', '老集镇', 'laojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221105', '341221', '341221105', '滑集镇', 'huajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221106', '341221', '341221106', '吕寨镇', 'lu:zhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221107', '341221', '341221107', '单桥镇', 'danqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221108', '341221', '341221108', '长官镇', 'zhangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221109', '341221', '341221109', '宋集镇', 'songjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221110', '341221', '341221110', '张新镇', 'zhangxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221111', '341221', '341221111', '艾亭镇', 'aitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221112', '341221', '341221112', '陈集镇', 'chenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221113', '341221', '341221113', '韦寨镇', 'weizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221114', '341221', '341221114', '迎仙镇', 'yingxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221115', '341221', '341221115', '瓦店镇', 'wadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221116', '341221', '341221116', '姜寨镇', 'jiangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221117', '341221', '341221117', '庙岔镇', 'miaochazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221118', '341221', '341221118', '黄岭镇', 'huanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221119', '341221', '341221119', '白庙镇', 'baimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221120', '341221', '341221120', '关庙镇', 'guanmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221121', '341221', '341221121', '临泉工业园区', 'linquangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221200', '341221', '341221200', '牛庄乡', 'niuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221201', '341221', '341221201', '高塘乡', 'gaotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221202', '341221', '341221202', '范兴集乡', 'fanxingjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221203', '341221', '341221203', '土陂乡', 'tupoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221204', '341221', '341221204', '谢集乡', 'xiejixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221205', '341221', '341221205', '杨小街乡', 'yangxiaojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221206', '341221', '341221206', '陶老乡', 'taolaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221207', '341221', '341221207', '田桥乡', 'tianqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221208', '341221', '341221208', '张营乡', 'zhangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341221209', '341221', '341221209', '庞营乡', 'pangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222', '3412', '341222', '太和县', 'taihexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222100', '341222', '341222100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222101', '341222', '341222101', '旧县镇', 'jiuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222102', '341222', '341222102', '税镇镇', 'shuizhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222103', '341222', '341222103', '皮条孙镇', 'pitiaosunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222104', '341222', '341222104', '原墙镇', 'yuanqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222105', '341222', '341222105', '倪邱镇', 'niqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222106', '341222', '341222106', '李兴镇', 'lixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222107', '341222', '341222107', '大新镇', 'daxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222108', '341222', '341222108', '肖口镇', 'xiaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222109', '341222', '341222109', '关集镇', 'guanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222110', '341222', '341222110', '三塔镇', 'santazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222111', '341222', '341222111', '双浮镇', 'shuangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222112', '341222', '341222112', '蔡庙镇', 'caimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222113', '341222', '341222113', '三堂镇', 'santangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222114', '341222', '341222114', '苗老集镇', 'miaolaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222115', '341222', '341222115', '赵庙镇', 'zhaomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222116', '341222', '341222116', '宫集镇', 'gongjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222117', '341222', '341222117', '坟台镇', 'fentaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222118', '341222', '341222118', '洪山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222119', '341222', '341222119', '清浅镇', 'qingqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222120', '341222', '341222120', '五星镇', 'wuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222121', '341222', '341222121', '高庙镇', 'gaomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222122', '341222', '341222122', '桑郢镇', 'sangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222123', '341222', '341222123', '大庙集镇', 'damiaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222124', '341222', '341222124', '阮桥镇', 'ruanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222125', '341222', '341222125', '双庙镇', 'shuangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222200', '341222', '341222200', '胡总乡', 'huzongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222201', '341222', '341222201', '赵集乡', 'zhaojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222202', '341222', '341222202', '郭庙乡', 'guomiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222203', '341222', '341222203', '马集乡', 'majixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341222204', '341222', '341222204', '二郎乡', 'erlangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225', '3412', '341225', '阜南县', 'funanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225100', '341225', '341225100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225101', '341225', '341225101', '方集镇', 'fangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225102', '341225', '341225102', '中岗镇', 'zhonggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225103', '341225', '341225103', '柴集镇', 'chaijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225104', '341225', '341225104', '新村镇', 'xincunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225105', '341225', '341225105', '三塔镇', 'santazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225106', '341225', '341225106', '朱寨镇', 'zhuzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225107', '341225', '341225107', '柳沟镇', 'liugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225108', '341225', '341225108', '赵集镇', 'zhaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225109', '341225', '341225109', '田集镇', 'tianjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225110', '341225', '341225110', '苗集镇', 'miaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225111', '341225', '341225111', '黄岗镇', 'huanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225112', '341225', '341225112', '焦陂镇', 'jiaopozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225113', '341225', '341225113', '张寨镇', 'zhangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225114', '341225', '341225114', '王堰镇', 'wangyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225115', '341225', '341225115', '地城镇', 'dichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225116', '341225', '341225116', '洪河桥镇', 'hongheqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225117', '341225', '341225117', '王家坝镇', 'wangjiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225118', '341225', '341225118', '王化镇', 'wanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225119', '341225', '341225119', '曹集镇', 'caojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225200', '341225', '341225200', '王店孜乡', 'wangdianzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225201', '341225', '341225201', '许堂乡', 'xutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225202', '341225', '341225202', '会龙乡', 'huilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225203', '341225', '341225203', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225204', '341225', '341225204', '段郢乡', 'duanyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225205', '341225', '341225205', '公桥乡', 'gongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225206', '341225', '341225206', '龙王乡', 'longwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225207', '341225', '341225207', '于集乡', 'yujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225208', '341225', '341225208', '老观乡', 'laoguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225209', '341225', '341225209', '郜台乡', 'gaotaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341225450', '341225', '341225450', '阜蒙农场', 'fumengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226', '3412', '341226', '颍上县', 'yingshangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226100', '341226', '341226100', '慎城镇', 'shenchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226101', '341226', '341226101', '谢桥镇', 'xieqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226102', '341226', '341226102', '南照镇', 'nanzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226103', '341226', '341226103', '杨湖镇', 'yanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226104', '341226', '341226104', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226105', '341226', '341226105', '润河镇', 'runhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226106', '341226', '341226106', '新集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226107', '341226', '341226107', '六十铺镇', 'liushipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226108', '341226', '341226108', '耿棚镇', 'gengpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226109', '341226', '341226109', '半岗镇', 'bangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226110', '341226', '341226110', '王岗镇', 'wanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226111', '341226', '341226111', '夏桥镇', 'xiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226112', '341226', '341226112', '江店孜镇', 'jiangdianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226113', '341226', '341226113', '陈桥镇', 'chenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226114', '341226', '341226114', '黄桥镇', 'huangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226115', '341226', '341226115', '八里河镇', 'balihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226116', '341226', '341226116', '汤店镇', 'tangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226117', '341226', '341226117', '西三十铺镇', 'xisanshipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226118', '341226', '341226118', '红星镇', 'hongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226119', '341226', '341226119', '十八里铺镇', 'shibalipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226120', '341226', '341226120', '鲁口镇', 'lukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226200', '341226', '341226200', '建颍乡', 'jianyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226201', '341226', '341226201', '五十铺乡', 'wushipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226202', '341226', '341226202', '盛堂乡', 'shengtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226203', '341226', '341226203', '关屯乡', 'guantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226204', '341226', '341226204', '垂岗乡', 'chuigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226205', '341226', '341226205', '赛涧回族乡', 'saijianhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226206', '341226', '341226206', '刘集乡', 'liujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226207', '341226', '341226207', '黄坝乡', 'huangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341226208', '341226', '341226208', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282', '3412', '341282', '界首市', 'jieshoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282001', '341282', '341282001', '东城', 'dongcheng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282002', '341282', '341282002', '西城', 'xicheng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282003', '341282', '341282003', '颖南', 'yingnan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282100', '341282', '341282100', '光武镇', 'guangwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282101', '341282', '341282101', '泉阳镇', 'quanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282102', '341282', '341282102', '芦村镇', 'lucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282103', '341282', '341282103', '新马集镇', 'xinmajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282104', '341282', '341282104', '大黄镇', 'dahuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282105', '341282', '341282105', '田营镇', 'tianyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282106', '341282', '341282106', '陶庙镇', 'taomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282107', '341282', '341282107', '王集镇', 'wangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282108', '341282', '341282108', '砖集镇', 'zhuanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282109', '341282', '341282109', '顾集镇', 'gujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282110', '341282', '341282110', '代桥镇', 'daiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282111', '341282', '341282111', '舒庄镇', 'shuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282200', '341282', '341282200', '邴集乡', 'bingjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282201', '341282', '341282201', '靳寨乡', 'jinzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341282202', '341282', '341282202', '任寨乡', 'renzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3413', '34', '3413', '宿州市', 'suzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341301', '3413', '341301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302', '3413', '341302', '墉桥区', 'yongqiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302001', '341302', '341302001', '埇桥街道', 'yongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302002', '341302', '341302002', '沱河街道', 'tuohejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302003', '341302', '341302003', '道东街道', 'daodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302004', '341302', '341302004', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302005', '341302', '341302005', '三里湾街道', 'sanliwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302006', '341302', '341302006', '南关街道', 'nanguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302007', '341302', '341302007', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302008', '341302', '341302008', '北关街道', 'beiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302009', '341302', '341302009', '汴河街道', 'bianhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302010', '341302', '341302010', '三八街道', 'sanbajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302011', '341302', '341302011', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302100', '341302', '341302100', '符离镇', 'fulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302101', '341302', '341302101', '芦岭镇', 'lulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302102', '341302', '341302102', '朱仙庄镇', 'zhuxianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302103', '341302', '341302103', '褚兰镇', 'chulanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302104', '341302', '341302104', '曹村镇', 'caocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302105', '341302', '341302105', '夹沟镇', 'jiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302106', '341302', '341302106', '栏杆镇', 'langanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302107', '341302', '341302107', '时村镇', 'shicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302108', '341302', '341302108', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302109', '341302', '341302109', '灰古镇', 'huiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302110', '341302', '341302110', '大店镇', 'dadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302111', '341302', '341302111', '西寺坡镇', 'xisipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302112', '341302', '341302112', '桃园镇', 'taoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302113', '341302', '341302113', '蕲县镇', 'qixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302114', '341302', '341302114', '大营镇', 'dayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302200', '341302', '341302200', '杨庄乡', 'yangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302201', '341302', '341302201', '支河乡', 'zhihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302202', '341302', '341302202', '解集乡', 'jiejixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302203', '341302', '341302203', '桃沟乡', 'taogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302204', '341302', '341302204', '顺河乡', 'shunhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302205', '341302', '341302205', '蒿沟乡', 'haogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302206', '341302', '341302206', '苗安乡', 'miaoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302207', '341302', '341302207', '永镇乡', 'yongzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302208', '341302', '341302208', '西二铺乡', 'xierpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341302450', '341302', '341302450', '宿州经济技术开发区', 'suzhoujingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321', '3413', '341321', '砀山县', 'dangshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321100', '341321', '341321100', '砀城镇', 'dangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321101', '341321', '341321101', '西南门镇', 'xinanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321102', '341321', '341321102', '李庄镇', 'lizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321103', '341321', '341321103', '唐寨镇', 'tangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321104', '341321', '341321104', '葛集镇', 'gejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321105', '341321', '341321105', '周寨镇', 'zhouzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321106', '341321', '341321106', '玄庙镇', 'xuanmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321107', '341321', '341321107', '官庄坝镇', 'guanzhuangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321108', '341321', '341321108', '曹庄镇', 'caozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321109', '341321', '341321109', '关帝庙镇', 'guandimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321110', '341321', '341321110', '朱楼镇', 'zhulouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321111', '341321', '341321111', '文庄镇', 'wenzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321112', '341321', '341321112', '程庄镇', 'chengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321113', '341321', '341321113', '良梨镇', 'lianglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321200', '341321', '341321200', '黄楼乡', 'huanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321201', '341321', '341321201', '权集乡', 'quanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321202', '341321', '341321202', '刘暗楼乡', 'liuanlouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321203', '341321', '341321203', '赵屯乡', 'zhaotunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341321400', '341321', '341321400', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322', '3413', '341322', '萧县', 'xiaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322100', '341322', '341322100', '龙城镇', 'longchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322101', '341322', '341322101', '黄口镇', 'huangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322102', '341322', '341322102', '杨楼镇', 'yanglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322103', '341322', '341322103', '闫集镇', 'yanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322104', '341322', '341322104', '新庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322105', '341322', '341322105', '刘套镇', 'liutaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322106', '341322', '341322106', '马井镇', 'majingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322107', '341322', '341322107', '大屯镇', 'datunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322108', '341322', '341322108', '赵庄镇', 'zhaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322109', '341322', '341322109', '杜楼镇', 'dulouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322110', '341322', '341322110', '丁里镇', 'dinglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322111', '341322', '341322111', '王寨镇', 'wangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322112', '341322', '341322112', '祖楼镇', 'zulouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322113', '341322', '341322113', '青龙镇', 'qinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322114', '341322', '341322114', '张庄寨镇', 'zhangzhuangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322115', '341322', '341322115', '永堌镇', 'yongguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322116', '341322', '341322116', '白土镇', 'baituzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322117', '341322', '341322117', '官桥镇', 'guanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322200', '341322', '341322200', '圣泉乡', 'shengquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322201', '341322', '341322201', '酒店乡', 'jiudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322202', '341322', '341322202', '孙圩孜乡', 'sunweizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322203', '341322', '341322203', '庄里乡', 'zhuanglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341322204', '341322', '341322204', '石林乡', 'shilinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323', '3413', '341323', '灵璧县', 'lingbixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323100', '341323', '341323100', '灵城镇', 'lingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323101', '341323', '341323101', '韦集镇', 'weijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323102', '341323', '341323102', '黄湾镇', 'huangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323103', '341323', '341323103', '娄庄镇', 'louzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323104', '341323', '341323104', '杨疃镇', 'yangtuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323105', '341323', '341323105', '尹集镇', 'yinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323106', '341323', '341323106', '浍沟镇', 'huigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323107', '341323', '341323107', '尤集镇', 'youjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323108', '341323', '341323108', '夏楼镇', 'xialouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323109', '341323', '341323109', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323110', '341323', '341323110', '渔沟镇', 'yugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323111', '341323', '341323111', '高楼镇', 'gaolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323112', '341323', '341323112', '冯庙镇', 'fengmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323200', '341323', '341323200', '向阳乡', 'xiangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323201', '341323', '341323201', '朱集乡', 'zhujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323202', '341323', '341323202', '大路乡', 'daluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323203', '341323', '341323203', '大庙乡', 'damiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323204', '341323', '341323204', '禅堂乡', 'shantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323205', '341323', '341323205', '虞姬乡', 'yujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341323400', '341323', '341323400', '工业园区', 'gongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324', '3413', '341324', '泗县', 'sixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324100', '341324', '341324100', '泗城镇', 'sichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324101', '341324', '341324101', '墩集镇', 'dunjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324102', '341324', '341324102', '丁湖镇', 'dinghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324103', '341324', '341324103', '草沟镇', 'caogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324104', '341324', '341324104', '长沟镇', 'zhanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324105', '341324', '341324105', '黄圩镇', 'huangweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324106', '341324', '341324106', '大庄镇', 'dazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324107', '341324', '341324107', '山头镇', 'shantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324108', '341324', '341324108', '刘圩镇', 'liuweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324109', '341324', '341324109', '黑塔镇', 'heitazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324110', '341324', '341324110', '草庙镇', 'caomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324111', '341324', '341324111', '屏山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324200', '341324', '341324200', '大路口乡', 'dalukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324201', '341324', '341324201', '大杨乡', 'dayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324202', '341324', '341324202', '瓦坊乡', 'wafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341324400', '341324', '341324400', '泗县开发区管委会', 'sixiankaifaquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3414', '34', '3414', '巢湖市', 'chaohushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341401', '3414', '341401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402', '3414', '341402', '居巢区', 'juchaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402001', '341402', '341402001', '中庙街道', 'zhongmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402002', '341402', '341402002', '亚父街道', 'yafujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402003', '341402', '341402003', '卧牛山街道', 'woniushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402004', '341402', '341402004', '凤凰山街道', 'fenghuangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402005', '341402', '341402005', '天河街道', 'tianhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402006', '341402', '341402006', '半汤街道办事处市开发区', 'bantangjiedaobanshichushikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402100', '341402', '341402100', '栏杆集镇', 'langanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402101', '341402', '341402101', '苏湾镇', 'suwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402102', '341402', '341402102', '柘皋镇', 'zhegaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402103', '341402', '341402103', '银屏镇', 'yinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402104', '341402', '341402104', '夏阁镇', 'xiagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402105', '341402', '341402105', '中垾镇', 'zhonghanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402106', '341402', '341402106', '散兵镇', 'sanbingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402107', '341402', '341402107', '烔炀镇', 'tongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402108', '341402', '341402108', '黄麓镇', 'huangluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402109', '341402', '341402109', '槐林镇', 'huailinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402110', '341402', '341402110', '坝镇镇', 'bazhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341402200', '341402', '341402200', '庙岗乡', 'miaogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421', '3414', '341421', '庐江县', 'lujiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421100', '341421', '341421100', '庐城镇', 'luchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421101', '341421', '341421101', '冶父山镇', 'yefushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421102', '341421', '341421102', '万山镇', 'wanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421103', '341421', '341421103', '汤池镇', 'tangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421104', '341421', '341421104', '郭河镇', 'guohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421105', '341421', '341421105', '金牛镇', 'jinniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421106', '341421', '341421106', '石头镇', 'shitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421107', '341421', '341421107', '同大镇', 'tongdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421108', '341421', '341421108', '白山镇', 'baishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421109', '341421', '341421109', '盛桥镇', 'shengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421110', '341421', '341421110', '白湖镇', 'baihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421111', '341421', '341421111', '龙桥镇', 'longqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421112', '341421', '341421112', '矾山镇', 'fanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421113', '341421', '341421113', '罗河镇', 'luohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421114', '341421', '341421114', '泥河镇', 'nihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421115', '341421', '341421115', '乐桥镇', 'leqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421116', '341421', '341421116', '柯坦镇', 'ketanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421400', '341421', '341421400', '安徽庐江经济开发区', 'anhuilujiangjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421401', '341421', '341421401', '安徽省白湖监狱管理分局', 'anhuishengbaihujianyuguanlifenju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421402', '341421', '341421402', '安徽省白湖阀门厂有限公司', 'anhuishengbaihufamenchangyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341421403', '341421', '341421403', '安徽省罪犯技术培训中心', 'anhuishengzuifanjishupeixunzhongxin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422', '3414', '341422', '无为县', 'wuweixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422100', '341422', '341422100', '无城镇', 'wuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422101', '341422', '341422101', '襄安镇', 'xianganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422102', '341422', '341422102', '二坝镇', 'erbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422103', '341422', '341422103', '汤沟镇', 'tanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422104', '341422', '341422104', '陡沟镇', 'dougouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422105', '341422', '341422105', '石涧镇', 'shijianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422106', '341422', '341422106', '严桥镇', 'yanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422107', '341422', '341422107', '开城镇', 'kaichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422108', '341422', '341422108', '蜀山镇', 'shushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422109', '341422', '341422109', '牛埠镇', 'niubuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422110', '341422', '341422110', '刘渡镇', 'liuduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422111', '341422', '341422111', '姚沟镇', 'yaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422112', '341422', '341422112', '泥汊镇', 'nichazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422113', '341422', '341422113', '白茆镇', 'baimaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422114', '341422', '341422114', '福渡镇', 'fuduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422115', '341422', '341422115', '泉塘镇', 'quantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422116', '341422', '341422116', '赫店镇', 'hedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422117', '341422', '341422117', '红庙镇', 'hongmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422118', '341422', '341422118', '高沟镇', 'gaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422200', '341422', '341422200', '鹤毛乡', 'hemaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422201', '341422', '341422201', '十里墩乡', 'shilidunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422202', '341422', '341422202', '昆山乡', 'kunshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341422203', '341422', '341422203', '洪巷乡', 'hongxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341423', '3414', '341423', '含山县', 'hanshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341423100', '341423', '341423100', '环峰镇', 'huanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341423101', '341423', '341423101', '运漕镇', 'yuncaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341423102', '341423', '341423102', '铜闸镇', 'tongzhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341423103', '341423', '341423103', '陶厂镇', 'taochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341423104', '341423', '341423104', '林头镇', 'lintouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341423105', '341423', '341423105', '清溪镇', 'qingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341423106', '341423', '341423106', '仙踪镇', 'xianzongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341423107', '341423', '341423107', '昭关镇', 'zhaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341424', '3414', '341424', '和县', 'hexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341424100', '341424', '341424100', '历阳镇', 'liyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341424101', '341424', '341424101', '沈巷镇', 'shenxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341424102', '341424', '341424102', '白桥镇', 'baiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341424103', '341424', '341424103', '姥桥镇', 'laoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341424104', '341424', '341424104', '功桥镇', 'gongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341424105', '341424', '341424105', '西埠镇', 'xibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341424106', '341424', '341424106', '香泉镇', 'xiangquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341424107', '341424', '341424107', '乌江镇', 'wujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341424108', '341424', '341424108', '善厚镇', 'shanhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341424109', '341424', '341424109', '石杨镇', 'shiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3415', '34', '3415', '六安市', 'liuanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341501', '3415', '341501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502', '3415', '341502', '金安区', 'jinanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502001', '341502', '341502001', '中市街道', 'zhongshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502002', '341502', '341502002', '东市街道', 'dongshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502003', '341502', '341502003', '三里桥街道', 'sanliqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502004', '341502', '341502004', '望城街道', 'wangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502005', '341502', '341502005', '清水河街道', 'qingshuihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502100', '341502', '341502100', '木厂镇', 'muchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502101', '341502', '341502101', '马头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502102', '341502', '341502102', '东桥镇', 'dongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502103', '341502', '341502103', '张店镇', 'zhangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502104', '341502', '341502104', '毛坦厂镇', 'maotanchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502105', '341502', '341502105', '东河口镇', 'donghekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502106', '341502', '341502106', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502107', '341502', '341502107', '施桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502108', '341502', '341502108', '孙岗镇', 'sungangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502109', '341502', '341502109', '三十铺镇', 'sanshipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502110', '341502', '341502110', '椿树镇', 'chunshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502200', '341502', '341502200', '城北乡', 'chengbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502201', '341502', '341502201', '翁墩乡', 'wengdunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502202', '341502', '341502202', '淠东乡', 'pidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502203', '341502', '341502203', '中店乡', 'zhongdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502204', '341502', '341502204', '横塘岗乡', 'hengtanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502205', '341502', '341502205', '先生店乡', 'xianshengdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341502400', '341502', '341502400', '六安经济开发区', 'liuanjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503', '3415', '341503', '裕安区', 'yuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503001', '341503', '341503001', '鼓楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503002', '341503', '341503002', '西市街道', 'xishijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503003', '341503', '341503003', '小华山街道', 'xiaohuashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503100', '341503', '341503100', '苏埠镇', 'subuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503101', '341503', '341503101', '韩摆渡镇', 'hanbaiduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503102', '341503', '341503102', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503103', '341503', '341503103', '顺河镇', 'shunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503104', '341503', '341503104', '独山镇', 'dushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503105', '341503', '341503105', '石婆店镇', 'shipodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503106', '341503', '341503106', '城南镇', 'chengnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503107', '341503', '341503107', '丁集镇', 'dingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503108', '341503', '341503108', '固镇镇', 'guzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503109', '341503', '341503109', '徐集镇', 'xujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503110', '341503', '341503110', '分路口镇', 'fenlukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503111', '341503', '341503111', '江家店镇', 'jiangjiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503200', '341503', '341503200', '单王乡', 'danwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503201', '341503', '341503201', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503202', '341503', '341503202', '石板冲乡', 'shibanchongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503203', '341503', '341503203', '西河口乡', 'xihekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503204', '341503', '341503204', '平桥乡', 'pingqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503205', '341503', '341503205', '罗集乡', 'luojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341503206', '341503', '341503206', '狮子岗乡', 'shizigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521', '3415', '341521', '寿县', 'shouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521100', '341521', '341521100', '寿春镇', 'shouchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521101', '341521', '341521101', '双桥镇', 'shuangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521102', '341521', '341521102', '涧沟镇', 'jiangouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521103', '341521', '341521103', '丰庄镇', 'fengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521104', '341521', '341521104', '正阳关镇', 'zhengyangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521105', '341521', '341521105', '迎河镇', 'yinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521106', '341521', '341521106', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521107', '341521', '341521107', '安丰塘镇', 'anfengtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521108', '341521', '341521108', '堰口镇', 'yankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521109', '341521', '341521109', '保义镇', 'baoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521110', '341521', '341521110', '隐贤镇', 'yinxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521111', '341521', '341521111', '安丰镇', 'anfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521112', '341521', '341521112', '众兴镇', 'zhongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521113', '341521', '341521113', '茶庵镇', 'chaanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521114', '341521', '341521114', '三觉镇', 'sanjuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521115', '341521', '341521115', '炎刘镇', 'yanliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521116', '341521', '341521116', '刘岗镇', 'liugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521117', '341521', '341521117', '双庙集镇', 'shuangmiaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521118', '341521', '341521118', '小甸镇', 'xiaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521119', '341521', '341521119', '瓦埠镇', 'wabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521120', '341521', '341521120', '大顺镇', 'dashunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521200', '341521', '341521200', '八公山乡', 'bagongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521201', '341521', '341521201', '张李乡', 'zhanglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521202', '341521', '341521202', '窑口乡', 'yaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521203', '341521', '341521203', '陶店回族乡', 'taodianhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341521400', '341521', '341521400', '寿西湖农场', 'shouxihunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522', '3415', '341522', '霍邱县', 'huoqiuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522100', '341522', '341522100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522101', '341522', '341522101', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522102', '341522', '341522102', '周集镇', 'zhoujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522103', '341522', '341522103', '临水镇', 'linshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522104', '341522', '341522104', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522105', '341522', '341522105', '石店镇', 'shidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522106', '341522', '341522106', '马店镇', 'madianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522107', '341522', '341522107', '孟集镇', 'mengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522108', '341522', '341522108', '花园镇', 'huayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522109', '341522', '341522109', '扈胡镇', 'huhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522110', '341522', '341522110', '长集镇', 'zhangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522111', '341522', '341522111', '洪集镇', 'hongjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522112', '341522', '341522112', '姚李镇', 'yaolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522113', '341522', '341522113', '乌龙镇', 'wulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522114', '341522', '341522114', '高塘镇', 'gaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522115', '341522', '341522115', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522116', '341522', '341522116', '岔路镇', 'chaluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522117', '341522', '341522117', '冯井镇', 'fengjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522118', '341522', '341522118', '众兴集镇', 'zhongxingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522119', '341522', '341522119', '夏店镇', 'xiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522120', '341522', '341522120', '曹庙镇', 'caomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522121', '341522', '341522121', '叶集区叶集镇', 'yejiquyejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522200', '341522', '341522200', '彭塔乡', 'pengtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522201', '341522', '341522201', '王截流乡', 'wangjieliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522202', '341522', '341522202', '范桥乡', 'fanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522203', '341522', '341522203', '临淮岗乡', 'linhuaigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522204', '341522', '341522204', '城西湖乡', 'chengxihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522205', '341522', '341522205', '宋店乡', 'songdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522206', '341522', '341522206', '三流乡', 'sanliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522207', '341522', '341522207', '邵岗乡', 'shaogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522208', '341522', '341522208', '白莲乡', 'bailianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522209', '341522', '341522209', '潘集乡', 'panjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522210', '341522', '341522210', '冯瓴乡', 'fenglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522211', '341522', '341522211', '叶集区孙岗乡', 'yejiqusungangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341522212', '341522', '341522212', '叶集区三元乡', 'yejiqusanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523', '3415', '341523', '舒城县', 'shuchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523100', '341523', '341523100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523101', '341523', '341523101', '晓天镇', 'xiaotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523102', '341523', '341523102', '桃溪镇', 'taoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523103', '341523', '341523103', '万佛湖镇', 'wanfohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523104', '341523', '341523104', '千人桥镇', 'qianrenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523105', '341523', '341523105', '百神庙镇', 'baishenmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523106', '341523', '341523106', '杭埠镇', 'hangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523107', '341523', '341523107', '舒茶镇', 'shuchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523108', '341523', '341523108', '南港镇', 'nangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523109', '341523', '341523109', '干汊河镇', 'ganchahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523110', '341523', '341523110', '张母桥镇', 'zhangmuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523111', '341523', '341523111', '五显镇', 'wuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523112', '341523', '341523112', '山七镇', 'shanqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523113', '341523', '341523113', '河棚镇', 'hepengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523114', '341523', '341523114', '汤池镇', 'tangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523200', '341523', '341523200', '春秋乡', 'chunqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523201', '341523', '341523201', '柏林乡', 'bolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523202', '341523', '341523202', '棠树乡', 'tangshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523203', '341523', '341523203', '阙店乡', 'quedianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523204', '341523', '341523204', '高峰乡', 'gaofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341523205', '341523', '341523205', '庐镇乡', 'luzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524', '3415', '341524', '金寨县', 'jinzhaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524100', '341524', '341524100', '梅山镇', 'meishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524101', '341524', '341524101', '响洪甸镇(含响齐办事处)', 'xianghongdianzhen(hanxiangqibanshichu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524102', '341524', '341524102', '青山镇', 'qingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524103', '341524', '341524103', '燕子河镇', 'yanzihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524104', '341524', '341524104', '天堂寨镇', 'tiantangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524105', '341524', '341524105', '古碑镇', 'gubeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524106', '341524', '341524106', '吴家店镇', 'wujiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524107', '341524', '341524107', '斑竹园镇', 'banzhuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524108', '341524', '341524108', '汤家汇镇', 'tangjiahuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524109', '341524', '341524109', '南溪镇', 'nanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524110', '341524', '341524110', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524200', '341524', '341524200', '白塔畈乡', 'baitafanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524201', '341524', '341524201', '张冲乡', 'zhangchongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524202', '341524', '341524202', '油坊店乡', 'youfangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524203', '341524', '341524203', '长岭乡', 'zhanglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524204', '341524', '341524204', '槐树湾乡', 'huaishuwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524205', '341524', '341524205', '花石乡', 'huashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524206', '341524', '341524206', '沙河乡', 'shahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524207', '341524', '341524207', '桃岭乡', 'taolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524208', '341524', '341524208', '果子园乡', 'guoziyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524209', '341524', '341524209', '关庙乡', 'guanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524210', '341524', '341524210', '银山畈乡', 'yinshanfanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524211', '341524', '341524211', '全军乡', 'quanjunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524212', '341524', '341524212', '张畈乡', 'zhangfanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524213', '341524', '341524213', '水竹坪乡', 'shuizhupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341524214', '341524', '341524214', '铁冲乡', 'tiechongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525', '3415', '341525', '霍山县', 'huoshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525100', '341525', '341525100', '衡山镇', 'hengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525101', '341525', '341525101', '佛子岭镇', 'fozilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525102', '341525', '341525102', '下符桥镇', 'xiafuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525103', '341525', '341525103', '但家庙镇', 'danjiamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525104', '341525', '341525104', '与儿街镇', 'yuerjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525105', '341525', '341525105', '黑石渡镇', 'heishiduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525106', '341525', '341525106', '诸佛庵镇', 'zhufoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525107', '341525', '341525107', '落儿岭镇', 'luoerlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525108', '341525', '341525108', '磨子潭镇', 'mozitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525109', '341525', '341525109', '大化坪镇', 'dahuapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525110', '341525', '341525110', '漫水河镇', 'manshuihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525111', '341525', '341525111', '上士市镇', 'shangshishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525200', '341525', '341525200', '单龙寺乡', 'danlongsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525201', '341525', '341525201', '东西溪乡', 'dongxixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525202', '341525', '341525202', '太平畈乡', 'taipingfanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341525203', '341525', '341525203', '太阳乡', 'taiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3416', '34', '3416', '亳州市', 'bozhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341601', '3416', '341601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602', '3416', '341602', '谯城区', 'qiaochengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602001', '341602', '341602001', '花戏楼', 'huaxilou', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602002', '341602', '341602002', '薛阁', 'xuege', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602003', '341602', '341602003', '汤陵', 'tangling', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602100', '341602', '341602100', '古井镇', 'gujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602101', '341602', '341602101', '芦庙镇', 'lumiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602102', '341602', '341602102', '华佗镇', 'huatuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602103', '341602', '341602103', '魏岗镇', 'weigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602104', '341602', '341602104', '牛集镇', 'niujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602105', '341602', '341602105', '颜集镇', 'yanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602106', '341602', '341602106', '五马镇', 'wumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602107', '341602', '341602107', '十八里镇', 'shibalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602108', '341602', '341602108', '谯东镇', 'qiaodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602109', '341602', '341602109', '十九里镇', 'shijiulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602110', '341602', '341602110', '沙土镇', 'shatuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602111', '341602', '341602111', '观堂镇', 'guantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602112', '341602', '341602112', '大杨镇', 'dayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602113', '341602', '341602113', '城父镇', 'chengfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602114', '341602', '341602114', '十河镇', 'shihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602115', '341602', '341602115', '双沟镇', 'shuanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602116', '341602', '341602116', '淝河镇', 'feihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602117', '341602', '341602117', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602118', '341602', '341602118', '龙扬镇', 'longyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602119', '341602', '341602119', '立德镇', 'lidezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602200', '341602', '341602200', '张店乡', 'zhangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602201', '341602', '341602201', '赵桥乡', 'zhaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602400', '341602', '341602400', '亳州市经济技术开发区', 'bozhoushijingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602500', '341602', '341602500', '王大庄良种试验示范场', 'wangdazhuangliangzhongshiyanshifanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341602501', '341602', '341602501', '羊种改良站', 'yangzhonggailiangzhan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621', '3416', '341621', '涡阳县', 'woyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621100', '341621', '341621100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621101', '341621', '341621101', '城西镇', 'chengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621102', '341621', '341621102', '城东镇', 'chengdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621103', '341621', '341621103', '西阳镇', 'xiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621104', '341621', '341621104', '双庙镇', 'shuangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621105', '341621', '341621105', '楚店镇', 'chudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621106', '341621', '341621106', '高公镇', 'gaogongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621107', '341621', '341621107', '闸北镇', 'zhabeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621108', '341621', '341621108', '高炉镇', 'gaoluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621109', '341621', '341621109', '曹市镇', 'caoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621110', '341621', '341621110', '青町镇', 'qingdingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621111', '341621', '341621111', '石弓镇', 'shigongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621112', '341621', '341621112', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621113', '341621', '341621113', '义门镇', 'yimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621114', '341621', '341621114', '新兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621115', '341621', '341621115', '临湖镇', 'linhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621116', '341621', '341621116', '丹城镇', 'danchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621117', '341621', '341621117', '马店集镇', 'madianjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621118', '341621', '341621118', '花沟镇', 'huagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621119', '341621', '341621119', '店集镇', 'dianjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621120', '341621', '341621120', '陈大镇', 'chendazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621121', '341621', '341621121', '牌坊镇', 'paifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621122', '341621', '341621122', '公吉寺镇', 'gongjisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621123', '341621', '341621123', '标里镇', 'biaolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621200', '341621', '341621200', '张老家乡', 'zhanglaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621201', '341621', '341621201', '耿皇乡', 'genghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341621500', '341621', '341621500', '单集林场', 'danjilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622', '3416', '341622', '蒙城县', 'mengchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622100', '341622', '341622100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622101', '341622', '341622101', '双涧镇', 'shuangjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622102', '341622', '341622102', '小涧镇', 'xiaojianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622103', '341622', '341622103', '漆园', 'qiyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622104', '341622', '341622104', '坛城镇', 'tanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622105', '341622', '341622105', '范集工业园区', 'fanjigongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622106', '341622', '341622106', '许町镇', 'xudingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622107', '341622', '341622107', '板桥集镇', 'banqiaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622108', '341622', '341622108', '马集镇', 'majizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622109', '341622', '341622109', '岳坊镇', 'yuefangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622110', '341622', '341622110', '立仓镇', 'licangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622111', '341622', '341622111', '楚村镇', 'chucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622112', '341622', '341622112', '乐土镇', 'letuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622113', '341622', '341622113', '三义镇', 'sanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622114', '341622', '341622114', '篱笆镇', 'libazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622200', '341622', '341622200', '庄周', 'zhuangzhou', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622201', '341622', '341622201', '王集乡', 'wangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622202', '341622', '341622202', '小辛集乡', 'xiaoxinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341622500', '341622', '341622500', '白杨林场', 'baiyanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623', '3416', '341623', '利辛县', 'lixinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623100', '341623', '341623100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623101', '341623', '341623101', '阚疃镇', 'kantuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623102', '341623', '341623102', '张村镇', 'zhangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623103', '341623', '341623103', '江集镇', 'jiangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623104', '341623', '341623104', '旧城镇', 'jiuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623105', '341623', '341623105', '西潘楼镇', 'xipanlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623106', '341623', '341623106', '孙集镇', 'sunjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623107', '341623', '341623107', '汝集镇', 'rujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623108', '341623', '341623108', '巩店镇', 'gongdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623109', '341623', '341623109', '王人镇', 'wangrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623110', '341623', '341623110', '王市镇', 'wangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623111', '341623', '341623111', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623112', '341623', '341623112', '马店镇', 'madianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623113', '341623', '341623113', '大李集镇', 'dalijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623114', '341623', '341623114', '胡集镇', 'hujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623115', '341623', '341623115', '展沟镇', 'zhangouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623116', '341623', '341623116', '程家集镇', 'chengjiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623117', '341623', '341623117', '中疃镇', 'zhongtuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623118', '341623', '341623118', '望疃镇', 'wangtuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623200', '341623', '341623200', '双桥乡', 'shuangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623201', '341623', '341623201', '春店乡', 'chundianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623202', '341623', '341623202', '刘家集乡', 'liujiajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623203', '341623', '341623203', '纪王场乡', 'jiwangchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623204', '341623', '341623204', '孙庙乡', 'sunmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623205', '341623', '341623205', '新张集乡', 'xinzhangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623206', '341623', '341623206', '丹凤乡', 'danfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341623500', '341623', '341623500', '安徽省阜阳市柴湖良种繁殖场', 'anhuishengfuyangshichaihuliangzhongfanzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3417', '34', '3417', '池州市', 'chizhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341701', '3417', '341701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702', '3417', '341702', '贵池区', 'guichiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702001', '341702', '341702001', '池阳街道', 'chiyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702002', '341702', '341702002', '秋浦街道', 'qiupujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702003', '341702', '341702003', '里山街道', 'lishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702004', '341702', '341702004', '江口街道', 'jiangkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702100', '341702', '341702100', '殷汇镇', 'yinhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702101', '341702', '341702101', '牛头山镇', 'niutoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702102', '341702', '341702102', '涓桥镇', 'juanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702103', '341702', '341702103', '马衙镇', 'mayazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702104', '341702', '341702104', '墩上镇', 'dunshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702105', '341702', '341702105', '梅龙镇', 'meilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702106', '341702', '341702106', '梅街镇', 'meijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702107', '341702', '341702107', '观前镇', 'guanqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702108', '341702', '341702108', '梅村镇', 'meicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702109', '341702', '341702109', '唐田镇', 'tangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702110', '341702', '341702110', '牌楼镇', 'pailouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702111', '341702', '341702111', '乌沙镇', 'wushazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702112', '341702', '341702112', '晏塘镇', 'yantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702200', '341702', '341702200', '阮桥乡', 'ruanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702201', '341702', '341702201', '高脊岭乡', 'gaojilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702202', '341702', '341702202', '木闸乡', 'muzhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702203', '341702', '341702203', '高坦乡', 'gaotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702204', '341702', '341702204', '棠溪乡', 'tangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702205', '341702', '341702205', '刘街乡', 'liujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702206', '341702', '341702206', '解放乡', 'jiefangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702207', '341702', '341702207', '茅坦乡', 'maotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341702400', '341702', '341702400', '池州市开发区', 'chizhoushikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721', '3417', '341721', '东至县', 'dongzhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721100', '341721', '341721100', '尧渡镇', 'yaoduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721101', '341721', '341721101', '东流镇', 'dongliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721102', '341721', '341721102', '大渡口镇', 'dadukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721103', '341721', '341721103', '胜利镇', 'shenglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721104', '341721', '341721104', '张溪镇', 'zhangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721105', '341721', '341721105', '洋湖镇', 'yanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721106', '341721', '341721106', '葛公镇', 'gegongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721107', '341721', '341721107', '香隅镇', 'xiangyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721108', '341721', '341721108', '官港镇', 'guangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721109', '341721', '341721109', '昭潭镇', 'zhaotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721110', '341721', '341721110', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721200', '341721', '341721200', '瓦垄乡', 'walongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721201', '341721', '341721201', '白笏乡', 'baihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721202', '341721', '341721202', '坦埠乡', 'tanbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721203', '341721', '341721203', '汪坡乡', 'wangpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721204', '341721', '341721204', '高山乡', 'gaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721205', '341721', '341721205', '洪方乡', 'hongfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721206', '341721', '341721206', '查桥乡', 'chaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721207', '341721', '341721207', '七里湖乡', 'qilihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721208', '341721', '341721208', '建新乡', 'jianxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721209', '341721', '341721209', '花园里乡', 'huayuanlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721210', '341721', '341721210', '马坑乡', 'makengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721211', '341721', '341721211', '利安乡', 'lianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721212', '341721', '341721212', '木塔乡', 'mutaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721213', '341721', '341721213', '石城乡', 'shichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721214', '341721', '341721214', '泥溪乡', 'nixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721215', '341721', '341721215', '西湾乡', 'xiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721216', '341721', '341721216', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341721217', '341721', '341721217', '铁炉乡', 'tieluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722', '3417', '341722', '石台县', 'shitaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722100', '341722', '341722100', '七里镇', 'qilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722101', '341722', '341722101', '七都镇', 'qidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722102', '341722', '341722102', '占大镇', 'zhandazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722103', '341722', '341722103', '丁香镇', 'dingxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722104', '341722', '341722104', '小河镇', 'xiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722105', '341722', '341722105', '横渡镇', 'hengduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722200', '341722', '341722200', '六都乡', 'liudouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722201', '341722', '341722201', '七井乡', 'qijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722202', '341722', '341722202', '珂田乡', 'ketianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722203', '341722', '341722203', '大演乡', 'dayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722204', '341722', '341722204', '贡溪乡', 'gongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722205', '341722', '341722205', '矶滩乡', 'jitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341722206', '341722', '341722206', '莘田乡', 'xintianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723', '3417', '341723', '青阳县', 'qingyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723100', '341723', '341723100', '蓉城镇', 'rongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723101', '341723', '341723101', '木镇镇', 'muzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723102', '341723', '341723102', '庙前镇', 'miaoqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723103', '341723', '341723103', '陵阳镇', 'lingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723104', '341723', '341723104', '新河镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723105', '341723', '341723105', '丁桥镇', 'dingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723106', '341723', '341723106', '朱备镇', 'zhubeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723107', '341723', '341723107', '杨田镇', 'yangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723108', '341723', '341723108', '九华镇', 'jiuhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723200', '341723', '341723200', '乔木乡', 'qiaomuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723201', '341723', '341723201', '酉华乡', 'youhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723202', '341723', '341723202', '杜村乡', 'ducunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341723203', '341723', '341723203', '九华乡', 'jiuhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3418', '34', '3418', '宣城市', 'xuanchengshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341801', '3418', '341801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802', '3418', '341802', '宣州区', 'xuanzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802001', '341802', '341802001', '西林街道', 'xilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802002', '341802', '341802002', '澄江街道', 'chengjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802003', '341802', '341802003', '鳌峰街道', 'aofengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802004', '341802', '341802004', '济川街道', 'jichuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802005', '341802', '341802005', '敬亭山街道', 'jingtingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802006', '341802', '341802006', '飞彩街道', 'feicaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802007', '341802', '341802007', '双桥街道', 'shuangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802100', '341802', '341802100', '水阳镇', 'shuiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802101', '341802', '341802101', '狸桥镇', 'liqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802102', '341802', '341802102', '沈村镇', 'shencunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802103', '341802', '341802103', '古泉镇', 'guquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802104', '341802', '341802104', '洪林镇', 'honglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802105', '341802', '341802105', '寒亭镇', 'hantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802106', '341802', '341802106', '文昌镇', 'wenchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802107', '341802', '341802107', '孙埠镇', 'sunbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802108', '341802', '341802108', '向阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802109', '341802', '341802109', '杨柳镇', 'yangliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802110', '341802', '341802110', '水东镇', 'shuidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802111', '341802', '341802111', '新田镇', 'xintianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802112', '341802', '341802112', '周王镇', 'zhouwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802113', '341802', '341802113', '溪口镇', 'xikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802200', '341802', '341802200', '朱桥乡', 'zhuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802201', '341802', '341802201', '养贤乡', 'yangxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802202', '341802', '341802202', '五星乡', 'wuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802203', '341802', '341802203', '金坝乡', 'jinbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341802204', '341802', '341802204', '黄渡乡', 'huangduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821', '3418', '341821', '郎溪县', 'langxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821100', '341821', '341821100', '建平镇', 'jianpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821101', '341821', '341821101', '十字镇', 'shizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821102', '341821', '341821102', '新发镇', 'xinfazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821103', '341821', '341821103', '涛城镇', 'taochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821104', '341821', '341821104', '南丰镇', 'nanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821105', '341821', '341821105', '梅渚镇', 'meizhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821106', '341821', '341821106', '东夏镇', 'dongxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821107', '341821', '341821107', '毕桥镇', 'biqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821200', '341821', '341821200', '凌笪乡', 'lingdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821201', '341821', '341821201', '飞里乡', 'feilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821202', '341821', '341821202', '姚村乡', 'yaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821203', '341821', '341821203', '幸福乡', 'xingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341821500', '341821', '341821500', '十字茶业总公司', 'shizichayezonggongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822', '3418', '341822', '广德县', 'guangdexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822100', '341822', '341822100', '桃州镇', 'taozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822101', '341822', '341822101', '柏垫镇', 'bodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822102', '341822', '341822102', '誓节镇', 'shijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822103', '341822', '341822103', '邱村镇', 'qiucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822104', '341822', '341822104', '新杭镇', 'xinhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822200', '341822', '341822200', '卢村乡', 'lucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822201', '341822', '341822201', '东亭乡', 'dongtingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822202', '341822', '341822202', '杨滩乡', 'yangtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822203', '341822', '341822203', '四合乡', 'sihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822400', '341822', '341822400', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341822500', '341822', '341822500', '祠山岗茶场', 'cishangangchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823', '3418', '341823', '泾县', 'jingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823100', '341823', '341823100', '泾川镇', 'jingchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823101', '341823', '341823101', '茂林镇', 'maolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823102', '341823', '341823102', '榔桥镇', 'langqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823103', '341823', '341823103', '桃花潭镇', 'taohuatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823104', '341823', '341823104', '琴溪镇', 'qinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823105', '341823', '341823105', '蔡村镇', 'caicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823106', '341823', '341823106', '云岭镇', 'yunlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823107', '341823', '341823107', '黄村镇', 'huangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823108', '341823', '341823108', '丁家桥镇', 'dingjiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823200', '341823', '341823200', '汀溪乡', 'tingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341823201', '341823', '341823201', '昌桥乡', 'changqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824', '3418', '341824', '绩溪县', 'jixixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824100', '341824', '341824100', '华阳镇', 'huayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824101', '341824', '341824101', '临溪镇', 'linxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824102', '341824', '341824102', '长安镇', 'zhanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824103', '341824', '341824103', '上庄镇', 'shangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824104', '341824', '341824104', '扬溪镇', 'yangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824105', '341824', '341824105', '伏岭镇', 'fulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824106', '341824', '341824106', '金沙镇', 'jinshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824200', '341824', '341824200', '瀛洲乡', 'yingzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824201', '341824', '341824201', '板桥头乡', 'banqiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824202', '341824', '341824202', '家朋乡', 'jiapengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341824203', '341824', '341824203', '荆州乡', 'jingzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341825', '3418', '341825', '旌德县', 'jingdexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341825100', '341825', '341825100', '旌阳镇', 'jingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341825101', '341825', '341825101', '蔡家桥镇', 'caijiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341825102', '341825', '341825102', '三溪镇', 'sanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341825103', '341825', '341825103', '庙首镇', 'miaoshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341825104', '341825', '341825104', '白地镇', 'baidizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341825200', '341825', '341825200', '版书乡', 'banshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341825201', '341825', '341825201', '俞村乡', 'yucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341825202', '341825', '341825202', '云乐乡', 'yunlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341825203', '341825', '341825203', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341825204', '341825', '341825204', '孙村乡', 'suncunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881', '3418', '341881', '宁国市', 'ningguoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881001', '341881', '341881001', '西津街道', 'xijinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881002', '341881', '341881002', '南山街道', 'nanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881003', '341881', '341881003', '河沥街道', 'helijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881004', '341881', '341881004', '汪溪街道', 'wangxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881005', '341881', '341881005', '竹峰街道', 'zhufengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881006', '341881', '341881006', '天湖街道', 'tianhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881100', '341881', '341881100', '港口镇', 'gangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881101', '341881', '341881101', '梅林镇', 'meilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881102', '341881', '341881102', '中溪镇', 'zhongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881103', '341881', '341881103', '宁墩镇', 'ningdunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881104', '341881', '341881104', '仙霞镇', 'xianxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881105', '341881', '341881105', '甲路镇', 'jialuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881106', '341881', '341881106', '胡乐镇', 'hulezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881107', '341881', '341881107', '霞西镇', 'xiaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881200', '341881', '341881200', '云梯畲族乡', 'yuntishezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881201', '341881', '341881201', '南极乡', 'nanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881202', '341881', '341881202', '万家乡', 'wanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881203', '341881', '341881203', '青龙乡', 'qinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('341881204', '341881', '341881204', '方塘乡', 'fangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('35', '-1', '35', '福建省', 'fujiansheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3501', '35', '3501', '福州市', 'fuzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350101', '3501', '350101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350102', '3501', '350102', '鼓楼区', 'gulouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350102001', '350102', '350102001', '鼓东街道', 'gudongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350102002', '350102', '350102002', '鼓西街道', 'guxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350102003', '350102', '350102003', '温泉街道', 'wenquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350102004', '350102', '350102004', '东街街道', 'dongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350102005', '350102', '350102005', '南街街道', 'nanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350102006', '350102', '350102006', '安泰街道', 'antaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350102007', '350102', '350102007', '华大街道', 'huadajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350102008', '350102', '350102008', '水部街道', 'shuibujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350102009', '350102', '350102009', '五凤街道', 'wufengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350102100', '350102', '350102100', '洪山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350103', '3501', '350103', '台江区', 'taijiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350103001', '350103', '350103001', '瀛洲街道', 'yingzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350103002', '350103', '350103002', '后洲街道', 'houzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350103003', '350103', '350103003', '义洲街道', 'yizhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350103004', '350103', '350103004', '新港街道', 'xingangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350103005', '350103', '350103005', '上海街道', 'shanghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350103007', '350103', '350103007', '苍霞街道', 'cangxiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350103009', '350103', '350103009', '茶亭街道', 'chatingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350103010', '350103', '350103010', '洋中街道', 'yangzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350103011', '350103', '350103011', '鳌峰街道', 'aofengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350103012', '350103', '350103012', '宁化街道', 'ninghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104', '3501', '350104', '仓山区', 'cangshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104001', '350104', '350104001', '仓前街道', 'cangqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104002', '350104', '350104002', '东升街道', 'dongshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104003', '350104', '350104003', '对湖街道', 'duihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104004', '350104', '350104004', '临江街道', 'linjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104005', '350104', '350104005', '三叉街街道', 'sanchajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104006', '350104', '350104006', '上渡街道', 'shangdujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104007', '350104', '350104007', '下渡街道', 'xiadujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104008', '350104', '350104008', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104100', '350104', '350104100', '仓山镇', 'cangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104101', '350104', '350104101', '城门镇', 'chengmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104102', '350104', '350104102', '盖山镇', 'gaishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104103', '350104', '350104103', '建新镇', 'jianxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104104', '350104', '350104104', '螺洲镇', 'luozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350104400', '350104', '350104400', '红星农场', 'hongxingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350105', '3501', '350105', '马尾区', 'maweiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350105001', '350105', '350105001', '罗星街道', 'luoxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350105100', '350105', '350105100', '马尾镇', 'maweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350105101', '350105', '350105101', '亭江镇', 'tingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350105102', '350105', '350105102', '琅岐镇', 'langqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350111', '3501', '350111', '晋安区', 'jinanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350111001', '350111', '350111001', '茶园街道', 'chayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350111002', '350111', '350111002', '王庄街道', 'wangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350111003', '350111', '350111003', '象园街道', 'xiangyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350111100', '350111', '350111100', '鼓山镇', 'gushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350111101', '350111', '350111101', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350111102', '350111', '350111102', '岳峰镇', 'yuefengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350111103', '350111', '350111103', '宦溪镇', 'huanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350111201', '350111', '350111201', '寿山乡', 'shoushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350111202', '350111', '350111202', '日溪乡', 'rixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121', '3501', '350121', '闽侯县', 'minhouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121001', '350121', '350121001', '甘蔗街道', 'ganzhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121101', '350121', '350121101', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121102', '350121', '350121102', '南屿镇', 'nanyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121103', '350121', '350121103', '尚干镇', 'shangganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121104', '350121', '350121104', '祥谦镇', 'xiangqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121105', '350121', '350121105', '青口镇', 'qingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121106', '350121', '350121106', '南通镇', 'nantongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121107', '350121', '350121107', '上街镇', 'shangjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121108', '350121', '350121108', '荆溪镇', 'jingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121200', '350121', '350121200', '竹岐乡', 'zhuqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121201', '350121', '350121201', '鸿尾乡', 'hongweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121202', '350121', '350121202', '洋里乡', 'yanglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121203', '350121', '350121203', '大湖乡', 'dahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121204', '350121', '350121204', '廷坪乡', 'tingpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121206', '350121', '350121206', '小箬乡', 'xiaoruoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350121400', '350121', '350121400', '江洋农场', 'jiangyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122', '3501', '350122', '连江县', 'lianjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122100', '350122', '350122100', '凤城镇', 'fengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122101', '350122', '350122101', '敖江镇', 'aojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122102', '350122', '350122102', '东岱镇', 'dongdaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122103', '350122', '350122103', '琯头镇', 'guantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122104', '350122', '350122104', '晓澳镇', 'xiaoaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122105', '350122', '350122105', '东湖镇', 'donghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122106', '350122', '350122106', '丹阳镇', 'danyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122107', '350122', '350122107', '长龙镇', 'zhanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122108', '350122', '350122108', '透堡镇', 'toubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122109', '350122', '350122109', '马鼻镇', 'mabizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122110', '350122', '350122110', '官坂镇', 'guanbanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122111', '350122', '350122111', '筱埕镇', 'xiaochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122112', '350122', '350122112', '黄岐镇', 'huangqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122113', '350122', '350122113', '苔菉镇', 'tailuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122114', '350122', '350122114', '浦口镇', 'pukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122115', '350122', '350122115', '坑园镇', 'kengyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122200', '350122', '350122200', '潘渡乡', 'panduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122201', '350122', '350122201', '江南乡', 'jiangnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122202', '350122', '350122202', '蓼沿乡', 'liaoyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122203', '350122', '350122203', '安凯乡', 'ankaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122204', '350122', '350122204', '下宫乡', 'xiagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122205', '350122', '350122205', '小沧畲族乡', 'xiaocangshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350122206', '350122', '350122206', '马祖乡', 'mazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123', '3501', '350123', '罗源县', 'luoyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123100', '350123', '350123100', '凤山镇', 'fengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123101', '350123', '350123101', '松山镇', 'songshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123102', '350123', '350123102', '起步镇', 'qibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123103', '350123', '350123103', '中房镇', 'zhongfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123104', '350123', '350123104', '飞竹镇', 'feizhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123105', '350123', '350123105', '鉴江镇', 'jianjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123200', '350123', '350123200', '白塔乡', 'baitaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123201', '350123', '350123201', '洪洋乡', 'hongyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123202', '350123', '350123202', '西兰乡', 'xilanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123203', '350123', '350123203', '霍口畲族乡', 'huokoushezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123204', '350123', '350123204', '碧里乡', 'bilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350123500', '350123', '350123500', '罗源湾', 'luoyuanwan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124', '3501', '350124', '闽清县', 'minqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124100', '350124', '350124100', '梅城镇', 'meichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124101', '350124', '350124101', '梅溪镇', 'meixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124102', '350124', '350124102', '白樟镇', 'baizhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124103', '350124', '350124103', '金沙镇', 'jinshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124104', '350124', '350124104', '白中镇', 'baizhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124105', '350124', '350124105', '池园镇', 'chiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124106', '350124', '350124106', '坂东镇', 'bandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124107', '350124', '350124107', '塔庄镇', 'tazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124108', '350124', '350124108', '省璜镇', 'shenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124109', '350124', '350124109', '雄江镇', 'xiongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124110', '350124', '350124110', '东桥镇', 'dongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124200', '350124', '350124200', '云龙乡', 'yunlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124201', '350124', '350124201', '上莲乡', 'shanglianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124204', '350124', '350124204', '三溪乡', 'sanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124205', '350124', '350124205', '桔林乡', 'jielinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350124206', '350124', '350124206', '下祝乡', 'xiazhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125', '3501', '350125', '永泰县', 'yongtaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125100', '350125', '350125100', '樟城镇', 'zhangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125101', '350125', '350125101', '嵩口镇', 'songkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125102', '350125', '350125102', '梧桐镇', 'wutongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125103', '350125', '350125103', '葛岭镇', 'gelingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125104', '350125', '350125104', '城峰镇', 'chengfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125105', '350125', '350125105', '清凉镇', 'qingliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125106', '350125', '350125106', '长庆镇', 'zhangqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125107', '350125', '350125107', '同安镇', 'tonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125108', '350125', '350125108', '大洋镇', 'dayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125200', '350125', '350125200', '塘前乡', 'tangqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125201', '350125', '350125201', '富泉乡', 'fuquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125202', '350125', '350125202', '岭路乡', 'lingluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125203', '350125', '350125203', '赤锡乡', 'chixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125204', '350125', '350125204', '洑口乡', 'fukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125205', '350125', '350125205', '盖洋乡', 'gaiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125206', '350125', '350125206', '东洋乡', 'dongyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125207', '350125', '350125207', '霞拔乡', 'xiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125208', '350125', '350125208', '盘谷乡', 'panguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125209', '350125', '350125209', '红星乡', 'hongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125210', '350125', '350125210', '白云乡', 'baiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350125211', '350125', '350125211', '丹云乡', 'danyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128', '3501', '350128', '平潭县', 'pingtanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128100', '350128', '350128100', '潭城镇', 'tanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128101', '350128', '350128101', '苏澳镇', 'suaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128102', '350128', '350128102', '流水镇', 'liushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128103', '350128', '350128103', '澳前镇', 'aoqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128104', '350128', '350128104', '北厝镇', 'beicuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128105', '350128', '350128105', '平原镇', 'pingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128106', '350128', '350128106', '敖东镇', 'aodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128200', '350128', '350128200', '白青乡', 'baiqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128201', '350128', '350128201', '屿头乡', 'yutouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128202', '350128', '350128202', '大练乡', 'dalianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128203', '350128', '350128203', '芦洋乡', 'luyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128204', '350128', '350128204', '中楼乡', 'zhonglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128205', '350128', '350128205', '东庠乡', 'dongxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128206', '350128', '350128206', '岚城乡', 'lanchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350128207', '350128', '350128207', '南海乡', 'nanhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181', '3501', '350181', '福清市', 'fuqingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181002', '350181', '350181002', '玉屏街道', 'yupingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181003', '350181', '350181003', '龙山街道', 'longshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181004', '350181', '350181004', '龙江街道', 'longjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181005', '350181', '350181005', '宏路街道', 'honglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181006', '350181', '350181006', '石竹街道', 'shizhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181007', '350181', '350181007', '音西街道', 'yinxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181008', '350181', '350181008', '阳下街道', 'yangxiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181103', '350181', '350181103', '海口镇', 'haikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181104', '350181', '350181104', '城头镇', 'chengtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181105', '350181', '350181105', '南岭镇', 'nanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181106', '350181', '350181106', '龙田镇', 'longtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181107', '350181', '350181107', '江镜镇', 'jiangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181108', '350181', '350181108', '港头镇', 'gangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181109', '350181', '350181109', '高山镇', 'gaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181110', '350181', '350181110', '沙埔镇', 'shapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181111', '350181', '350181111', '三山镇', 'sanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181112', '350181', '350181112', '东瀚镇', 'donghanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181113', '350181', '350181113', '渔溪镇', 'yuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181114', '350181', '350181114', '上迳镇', 'shangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181115', '350181', '350181115', '新厝镇', 'xincuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181116', '350181', '350181116', '江阴镇', 'jiangyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181117', '350181', '350181117', '东张镇', 'dongzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181118', '350181', '350181118', '镜洋镇', 'jingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181119', '350181', '350181119', '一都镇', 'yidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181400', '350181', '350181400', '*江镜华侨', '*jiangjinghuaqiao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350181401', '350181', '350181401', '*东阁华侨', '*donggehuaqiao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182', '3501', '350182', '长乐市', 'zhangleshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182001', '350182', '350182001', '吴航街道', 'wuhangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182002', '350182', '350182002', '航城街道', 'hangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182003', '350182', '350182003', '营前街道', 'yingqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182004', '350182', '350182004', '漳港街道', 'zhanggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182102', '350182', '350182102', '首占镇', 'shouzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182103', '350182', '350182103', '玉田镇', 'yutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182104', '350182', '350182104', '松下镇', 'songxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182105', '350182', '350182105', '江田镇', 'jiangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182106', '350182', '350182106', '古槐镇', 'guhuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182107', '350182', '350182107', '文武砂镇', 'wenwushazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182108', '350182', '350182108', '鹤上镇', 'heshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182110', '350182', '350182110', '湖南镇', 'hunanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182111', '350182', '350182111', '金峰镇', 'jinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182112', '350182', '350182112', '文岭镇', 'wenlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182113', '350182', '350182113', '梅花镇', 'meihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182114', '350182', '350182114', '潭头镇', 'tantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182200', '350182', '350182200', '罗联乡', 'luolianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350182201', '350182', '350182201', '猴屿乡', 'houyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3502', '35', '3502', '厦门市', 'shamenshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350201', '3502', '350201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203', '3502', '350203', '思明区', 'simingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203001', '350203', '350203001', '厦港街道', 'shagangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203003', '350203', '350203003', '中华街道', 'zhonghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203005', '350203', '350203005', '滨海街道', 'binhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203006', '350203', '350203006', '鹭江街道', 'lujiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203007', '350203', '350203007', '开元街道', 'kaiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203008', '350203', '350203008', '梧村街道', 'wucunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203009', '350203', '350203009', '筼筜街道', 'yundangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203010', '350203', '350203010', '莲前街道', 'lianqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203011', '350203', '350203011', '嘉莲街道', 'jialianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203012', '350203', '350203012', '鼓浪屿街道', 'gulangyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203401', '350203', '350203401', '*云顶岩', '*yundingyan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203402', '350203', '350203402', '*农科所', '*nongkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350203403', '350203', '350203403', '*万石植物园', '*wanshizhiwuyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350205', '3502', '350205', '海沧区', 'haicangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350205001', '350205', '350205001', '海沧街道', 'haicangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350205002', '350205', '350205002', '新阳街道', 'xinyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350205103', '350205', '350205103', '东孚镇', 'dongfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350205401', '350205', '350205401', '第一农场', 'diyinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350205402', '350205', '350205402', '海沧农场', 'haicangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350205403', '350205', '350205403', '天竺山林场', 'tianzhushanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350205405', '350205', '350205405', '*新阳工业区', '*xinyanggongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350205406', '350205', '350205406', '出口加工区', 'chukoujiagongqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206', '3502', '350206', '湖里区', 'huliqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206001', '350206', '350206001', '湖里街道', 'hulijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206002', '350206', '350206002', '殿前街道', 'dianqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206003', '350206', '350206003', '禾山街道', 'heshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206004', '350206', '350206004', '江头街道', 'jiangtoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206005', '350206', '350206005', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206401', '350206', '350206401', '忠仑苗圃', 'zhonglunmiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206402', '350206', '350206402', '湖边水库', 'hubianshuiku', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206403', '350206', '350206403', '高崎国际机场', 'gaoqiguojijichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206404', '350206', '350206404', '前哨盐场', 'qianshaoyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206405', '350206', '350206405', '火炬高技术开发区', 'huojugaojishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350206406', '350206', '350206406', '象屿保税区', 'xiangyubaoshuiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350211', '3502', '350211', '集美区', 'jimeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350211001', '350211', '350211001', '集美街道', 'jimeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350211002', '350211', '350211002', '侨英街道', 'qiaoyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350211003', '350211', '350211003', '杏林街道', 'xinglinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350211004', '350211', '350211004', '杏滨街道', 'xingbinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350211102', '350211', '350211102', '灌口镇', 'guankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350211103', '350211', '350211103', '后溪镇', 'houxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350211401', '350211', '350211401', '第二农场', 'diernongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350211402', '350211', '350211402', '省天马种猪场', 'shengtianmazhongzhuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350211403', '350211', '350211403', '天马华侨农场', 'tianmahuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350211404', '350211', '350211404', '坂头防护林场', 'bantoufanghulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212', '3502', '350212', '同安区', 'tonganqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212001', '350212', '350212001', '大同街道', 'datongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212002', '350212', '350212002', '祥平街道', 'xiangpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212105', '350212', '350212105', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212106', '350212', '350212106', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212107', '350212', '350212107', '洪塘镇', 'hongtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212108', '350212', '350212108', '西柯镇', 'xikezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212109', '350212', '350212109', '汀溪镇', 'tingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212110', '350212', '350212110', '五显镇', 'wuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212401', '350212', '350212401', '*凤南农场', '*fengnannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212402', '350212', '350212402', '*白沙仑农场', '*baishalunnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212403', '350212', '350212403', '*竹坝华侨农场', '*zhubahuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212404', '350212', '350212404', '*汀溪水库', '*tingxishuiku', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212405', '350212', '350212405', '*祥溪林场', '*xiangxilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350212406', '350212', '350212406', '*汀溪防护林场', '*tingxifanghulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350213', '3502', '350213', '翔安区', 'xianganqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350213001', '350213', '350213001', '大嶝街道', 'dadengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350213102', '350213', '350213102', '马巷镇', 'maxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350213103', '350213', '350213103', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350213104', '350213', '350213104', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350213111', '350213', '350213111', '内厝镇', 'neicuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350213404', '350213', '350213404', '*大帽山农场', '*damaoshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3503', '35', '3503', '莆田市', 'putianshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350301', '3503', '350301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350302', '3503', '350302', '城厢区', 'chengxiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350302001', '350302', '350302001', '龙桥街道', 'longqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350302002', '350302', '350302002', '凤凰山街道', 'fenghuangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350302003', '350302', '350302003', '霞林街道', 'xialinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350302100', '350302', '350302100', '常太镇', 'changtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350302101', '350302', '350302101', '华亭镇', 'huatingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350302102', '350302', '350302102', '灵川镇', 'lingchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350302103', '350302', '350302103', '东海镇', 'donghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303', '3503', '350303', '涵江区', 'hanjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303001', '350303', '350303001', '涵东街道', 'handongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303002', '350303', '350303002', '涵西街道', 'hanxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303100', '350303', '350303100', '三江口镇', 'sanjiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303101', '350303', '350303101', '白塘镇', 'baitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303102', '350303', '350303102', '国欢镇', 'guohuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303103', '350303', '350303103', '梧塘镇', 'wutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303104', '350303', '350303104', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303105', '350303', '350303105', '萩芦镇', 'qiuluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303106', '350303', '350303106', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303107', '350303', '350303107', '庄边镇', 'zhuangbianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303108', '350303', '350303108', '新县镇', 'xinxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303200', '350303', '350303200', '大洋乡', 'dayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350303500', '350303', '350303500', '赤港开发区', 'chigangkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350304', '3503', '350304', '荔城区', 'lichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350304001', '350304', '350304001', '镇海街道', 'zhenhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350304002', '350304', '350304002', '拱辰街道', 'gongchenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350304100', '350304', '350304100', '西天尾镇', 'xitianweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350304101', '350304', '350304101', '黄石镇', 'huangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350304102', '350304', '350304102', '新度镇', 'xinduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350304103', '350304', '350304103', '北高镇', 'beigaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305', '3503', '350305', '秀屿区', 'xiuyuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305100', '350305', '350305100', '笏石镇', 'hushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305101', '350305', '350305101', '东庄镇', 'dongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305102', '350305', '350305102', '忠门镇', 'zhongmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305103', '350305', '350305103', '东埔镇', 'dongpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305104', '350305', '350305104', '东峤镇', 'dongjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305105', '350305', '350305105', '埭头镇', 'daitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305106', '350305', '350305106', '平海镇', 'pinghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305107', '350305', '350305107', '南日镇', 'nanrizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305108', '350305', '350305108', '湄洲镇', 'meizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305200', '350305', '350305200', '月塘乡', 'yuetangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305201', '350305', '350305201', '山亭乡', 'shantingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305400', '350305', '350305400', '前沁农场', 'qianqinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350305401', '350305', '350305401', '莆田市后海管理局', 'putianshihouhaiguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322', '3503', '350322', '仙游县', 'xianyouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322001', '350322', '350322001', '鲤城街道', 'lichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322100', '350322', '350322100', '枫亭镇', 'fengtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322101', '350322', '350322101', '榜头镇', 'bangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322102', '350322', '350322102', '郊尾镇', 'jiaoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322103', '350322', '350322103', '度尾镇', 'duweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322104', '350322', '350322104', '鲤南镇', 'linanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322105', '350322', '350322105', '赖店镇', 'laidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322106', '350322', '350322106', '盖尾镇', 'gaiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322107', '350322', '350322107', '园庄镇', 'yuanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322108', '350322', '350322108', '大济镇', 'dajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322109', '350322', '350322109', '龙华镇', 'longhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322110', '350322', '350322110', '钟山镇', 'zhongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322111', '350322', '350322111', '游洋镇', 'youyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322200', '350322', '350322200', '西苑乡', 'xiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322201', '350322', '350322201', '石苍乡', 'shicangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322202', '350322', '350322202', '社硎乡', 'shexingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322203', '350322', '350322203', '书峰乡', 'shufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350322204', '350322', '350322204', '象溪乡', 'xiangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3504', '35', '3504', '三明市', 'sanmingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350401', '3504', '350401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350402', '3504', '350402', '梅列区', 'meiliequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350402001', '350402', '350402001', '列东街道', 'liedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350402002', '350402', '350402002', '列西街道', 'liexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350402003', '350402', '350402003', '徐碧街道', 'xubijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350402100', '350402', '350402100', '陈大镇', 'chendazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350402200', '350402', '350402200', '洋溪乡', 'yangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350402500', '350402', '350402500', '福建梅列经济开发区', 'fujianmeiliejingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350403', '3504', '350403', '三元区', 'sanyuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350403001', '350403', '350403001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350403002', '350403', '350403002', '白沙街道', 'baishajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350403003', '350403', '350403003', '富兴堡街道', 'fuxingbaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350403004', '350403', '350403004', '荆西街道', 'jingxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350403100', '350403', '350403100', '莘口镇', 'xinkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350403101', '350403', '350403101', '岩前镇', 'yanqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350403200', '350403', '350403200', '城东乡', 'chengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350403201', '350403', '350403201', '中村乡', 'zhongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350421', '3504', '350421', '明溪县', 'mingxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350421100', '350421', '350421100', '雪峰镇', 'xuefengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350421101', '350421', '350421101', '盖洋镇', 'gaiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350421102', '350421', '350421102', '胡坊镇', 'hufangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350421103', '350421', '350421103', '瀚仙镇', 'hanxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350421200', '350421', '350421200', '城关乡', 'chengguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350421201', '350421', '350421201', '沙溪乡', 'shaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350421202', '350421', '350421202', '夏阳乡', 'xiayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350421203', '350421', '350421203', '枫溪乡', 'fengxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350421204', '350421', '350421204', '夏坊乡', 'xiafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423', '3504', '350423', '清流县', 'qingliuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423100', '350423', '350423100', '龙津镇', 'longjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423101', '350423', '350423101', '嵩溪镇', 'songxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423102', '350423', '350423102', '嵩口镇', 'songkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423103', '350423', '350423103', '灵地镇', 'lingdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423104', '350423', '350423104', '长校镇', 'zhangxiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423201', '350423', '350423201', '温郊乡', 'wenjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423202', '350423', '350423202', '林畲乡', 'linshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423203', '350423', '350423203', '田源乡', 'tianyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423204', '350423', '350423204', '沙芜乡', 'shawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423205', '350423', '350423205', '赖坊乡', 'laifangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423206', '350423', '350423206', '余朋乡', 'yupengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423207', '350423', '350423207', '邓家乡', 'dengjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423208', '350423', '350423208', '李家乡', 'lijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350423209', '350423', '350423209', '里田乡', 'litianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424', '3504', '350424', '宁化县', 'ninghuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424100', '350424', '350424100', '翠江镇', 'cuijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424101', '350424', '350424101', '泉上镇', 'quanshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424102', '350424', '350424102', '湖村镇', 'hucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424103', '350424', '350424103', '石壁镇', 'shibizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424200', '350424', '350424200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424201', '350424', '350424201', '城南乡', 'chengnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424202', '350424', '350424202', '济村乡', 'jicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424203', '350424', '350424203', '淮土乡', 'huaituxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424204', '350424', '350424204', '方田乡', 'fangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424205', '350424', '350424205', '安乐乡', 'anlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424206', '350424', '350424206', '曹坊乡', 'caofangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424207', '350424', '350424207', '治平乡', 'zhipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424208', '350424', '350424208', '中沙乡', 'zhongshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424209', '350424', '350424209', '河龙乡', 'helongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424210', '350424', '350424210', '水茜乡', 'shuiqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350424211', '350424', '350424211', '安远乡', 'anyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425', '3504', '350425', '大田县', 'datianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425100', '350425', '350425100', '均溪镇', 'junxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425101', '350425', '350425101', '石牌镇', 'shipaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425102', '350425', '350425102', '上京镇', 'shangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425103', '350425', '350425103', '广平镇', 'guangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425104', '350425', '350425104', '桃源镇', 'taoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425105', '350425', '350425105', '太华镇', 'taihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425106', '350425', '350425106', '建设镇', 'jianshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425107', '350425', '350425107', '奇韬镇', 'qitaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425200', '350425', '350425200', '华兴乡', 'huaxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425201', '350425', '350425201', '屏山乡', 'pingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425202', '350425', '350425202', '吴山乡', 'wushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425203', '350425', '350425203', '济阳乡', 'jiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425204', '350425', '350425204', '武陵乡', 'wulingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425205', '350425', '350425205', '谢洋乡', 'xieyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425206', '350425', '350425206', '文江乡', 'wenjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425207', '350425', '350425207', '梅山乡', 'meishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425208', '350425', '350425208', '湖美乡', 'humeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425209', '350425', '350425209', '前坪乡', 'qianpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350425400', '350425', '350425400', '东风农场', 'dongfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426', '3504', '350426', '尤溪县', 'youxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426100', '350426', '350426100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426101', '350426', '350426101', '梅仙镇', 'meixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426102', '350426', '350426102', '西滨镇', 'xibinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426103', '350426', '350426103', '洋中镇', 'yangzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426104', '350426', '350426104', '新阳镇', 'xinyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426105', '350426', '350426105', '管前镇', 'guanqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426106', '350426', '350426106', '西城镇', 'xichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426107', '350426', '350426107', '尤溪口镇', 'youxikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426200', '350426', '350426200', '联合乡', 'lianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426201', '350426', '350426201', '汤川乡', 'tangchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426202', '350426', '350426202', '溪尾乡', 'xiweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426203', '350426', '350426203', '中仙乡', 'zhongxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426204', '350426', '350426204', '台溪乡', 'taixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426205', '350426', '350426205', '坂面乡', 'banmianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350426206', '350426', '350426206', '八字桥乡', 'baziqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427', '3504', '350427', '沙县', 'shaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427001', '350427', '350427001', '凤岗街道', 'fenggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427002', '350427', '350427002', '虬江街道', 'qiujiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427101', '350427', '350427101', '青州镇', 'qingzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427102', '350427', '350427102', '夏茂镇', 'xiamaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427104', '350427', '350427104', '高砂镇', 'gaoshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427105', '350427', '350427105', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427106', '350427', '350427106', '富口镇', 'fukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427107', '350427', '350427107', '大洛镇', 'daluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427201', '350427', '350427201', '南霞乡', 'nanxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427203', '350427', '350427203', '南阳乡', 'nanyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427204', '350427', '350427204', '郑湖乡', 'zhenghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350427205', '350427', '350427205', '湖源乡', 'huyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428', '3504', '350428', '将乐县', 'jianglexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428100', '350428', '350428100', '古镛镇', 'guyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428101', '350428', '350428101', '万安镇', 'wananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428102', '350428', '350428102', '高唐镇', 'gaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428103', '350428', '350428103', '白莲镇', 'bailianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428104', '350428', '350428104', '黄潭镇', 'huangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428105', '350428', '350428105', '水南镇', 'shuinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428200', '350428', '350428200', '光明乡', 'guangmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428201', '350428', '350428201', '漠源乡', 'moyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428202', '350428', '350428202', '南口乡', 'nankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428203', '350428', '350428203', '万全乡', 'wanquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428204', '350428', '350428204', '安仁乡', 'anrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428205', '350428', '350428205', '大源乡', 'dayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350428206', '350428', '350428206', '余坊乡', 'yufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350429', '3504', '350429', '泰宁县', 'tainingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350429100', '350429', '350429100', '杉城镇', 'shanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350429101', '350429', '350429101', '朱口镇', 'zhukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350429200', '350429', '350429200', '新桥乡', 'xinqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350429201', '350429', '350429201', '上青乡', 'shangqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350429202', '350429', '350429202', '大田乡', 'datianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350429203', '350429', '350429203', '梅口乡', 'meikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350429204', '350429', '350429204', '下渠乡', 'xiaquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350429205', '350429', '350429205', '开善乡', 'kaishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350429208', '350429', '350429208', '大龙乡', 'dalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350430', '3504', '350430', '建宁县', 'jianningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350430100', '350430', '350430100', '濉城镇', 'suichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350430101', '350430', '350430101', '里心镇', 'lixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350430102', '350430', '350430102', '溪口镇', 'xikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350430103', '350430', '350430103', '均口镇', 'junkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350430200', '350430', '350430200', '金溪乡', 'jinxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350430201', '350430', '350430201', '伊家乡', 'yijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350430202', '350430', '350430202', '黄坊乡', 'huangfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350430203', '350430', '350430203', '溪源乡', 'xiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350430204', '350430', '350430204', '客坊乡', 'kefangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350430205', '350430', '350430205', '黄埠乡', 'huangbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481', '3504', '350481', '永安市', 'yonganshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481001', '350481', '350481001', '燕东街道', 'yandongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481002', '350481', '350481002', '燕西街道', 'yanxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481003', '350481', '350481003', '燕南街道', 'yannanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481004', '350481', '350481004', '燕北街道', 'yanbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481100', '350481', '350481100', '西洋镇', 'xiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481101', '350481', '350481101', '贡川镇', 'gongchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481102', '350481', '350481102', '安砂镇', 'anshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481103', '350481', '350481103', '小陶镇', 'xiaotaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481104', '350481', '350481104', '大湖镇', 'dahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481105', '350481', '350481105', '曹远镇', 'caoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481106', '350481', '350481106', '洪田镇', 'hongtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481201', '350481', '350481201', '槐南乡', 'huainanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481202', '350481', '350481202', '上坪乡', 'shangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481203', '350481', '350481203', '罗坊乡', 'luofangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350481204', '350481', '350481204', '青水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3505', '35', '3505', '泉州市', 'quanzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350501', '3505', '350501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350502', '3505', '350502', '鲤城区', 'lichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350502001', '350502', '350502001', '海滨街道', 'haibinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350502002', '350502', '350502002', '临江街道', 'linjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350502003', '350502', '350502003', '鲤中街道', 'lizhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350502004', '350502', '350502004', '开元街道', 'kaiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350502005', '350502', '350502005', '浮桥街道', 'fuqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350502006', '350502', '350502006', '江南街道', 'jiangnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350502007', '350502', '350502007', '金龙街道', 'jinlongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350502008', '350502', '350502008', '常泰街道', 'changtaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350502500', '350502', '350502500', '清濛经济开发区', 'qingmengjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350503', '3505', '350503', '丰泽区', 'fengzequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350503001', '350503', '350503001', '东湖街道', 'donghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350503002', '350503', '350503002', '丰泽街道', 'fengzejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350503003', '350503', '350503003', '泉秀街道', 'quanxiujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350503004', '350503', '350503004', '清源街道', 'qingyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350503005', '350503', '350503005', '华大街道', 'huadajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350503006', '350503', '350503006', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350503007', '350503', '350503007', '东海街道', 'donghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350503008', '350503', '350503008', '北峰街道', 'beifengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350504', '3505', '350504', '洛江区', 'luojiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350504001', '350504', '350504001', '万安街道', 'wananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350504002', '350504', '350504002', '双阳街道', 'shuangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350504100', '350504', '350504100', '罗溪镇', 'luoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350504101', '350504', '350504101', '马甲镇', 'majiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350504102', '350504', '350504102', '河市镇', 'heshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350504200', '350504', '350504200', '虹山乡', 'hongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350505', '3505', '350505', '泉港区', 'quangangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350505001', '350505', '350505001', '山腰街道', 'shanyaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350505100', '350505', '350505100', '南埔镇', 'nanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350505101', '350505', '350505101', '界山镇', 'jieshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350505102', '350505', '350505102', '后龙镇', 'houlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350505103', '350505', '350505103', '峰尾镇', 'fengweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350505105', '350505', '350505105', '前黄镇', 'qianhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350505106', '350505', '350505106', '涂岭镇', 'tulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521', '3505', '350521', '惠安县', 'huianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521100', '350521', '350521100', '螺城镇', 'luochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521101', '350521', '350521101', '螺阳镇', 'luoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521102', '350521', '350521102', '黄塘镇', 'huangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521103', '350521', '350521103', '紫山镇', 'zishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521104', '350521', '350521104', '洛阳镇', 'luoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521105', '350521', '350521105', '东园镇', 'dongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521106', '350521', '350521106', '张坂镇', 'zhangbanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521107', '350521', '350521107', '崇武镇', 'chongwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521108', '350521', '350521108', '山霞镇', 'shanxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521109', '350521', '350521109', '涂寨镇', 'tuzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521110', '350521', '350521110', '东岭镇', 'donglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521111', '350521', '350521111', '东桥镇', 'dongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521112', '350521', '350521112', '净峰镇', 'jingfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521113', '350521', '350521113', '小岞镇', 'xiaozuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521114', '350521', '350521114', '辋川镇', 'wangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350521200', '350521', '350521200', '百崎回族乡', 'baiqihuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524', '3505', '350524', '安溪县', 'anxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524100', '350524', '350524100', '凤城镇', 'fengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524101', '350524', '350524101', '蓬莱镇', 'penglaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524102', '350524', '350524102', '湖头镇', 'hutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524103', '350524', '350524103', '官桥镇', 'guanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524104', '350524', '350524104', '剑斗镇', 'jiandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524105', '350524', '350524105', '城厢镇', 'chengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524106', '350524', '350524106', '金谷镇', 'jinguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524107', '350524', '350524107', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524108', '350524', '350524108', '虎邱镇', 'huqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524109', '350524', '350524109', '芦田镇', 'lutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524110', '350524', '350524110', '感德镇', 'gandezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524111', '350524', '350524111', '魁斗镇', 'kuidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524112', '350524', '350524112', '西坪镇', 'xipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524200', '350524', '350524200', '参内乡', 'canneixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524201', '350524', '350524201', '白濑乡', 'bailaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524202', '350524', '350524202', '湖上乡', 'hushangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524203', '350524', '350524203', '尚卿乡', 'shangqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524204', '350524', '350524204', '大坪乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524205', '350524', '350524205', '龙涓乡', 'longjuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524206', '350524', '350524206', '长坑乡', 'zhangkengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524207', '350524', '350524207', '蓝田乡', 'lantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524208', '350524', '350524208', '祥华乡', 'xianghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524209', '350524', '350524209', '桃舟乡', 'taozhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350524210', '350524', '350524210', '福田乡', 'futianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525', '3505', '350525', '永春县', 'yongchunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525100', '350525', '350525100', '桃城镇', 'taochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525101', '350525', '350525101', '五里街镇', 'wulijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525102', '350525', '350525102', '一都镇', 'yidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525103', '350525', '350525103', '下洋镇', 'xiayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525104', '350525', '350525104', '蓬壶镇', 'penghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525105', '350525', '350525105', '达埔镇', 'dapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525106', '350525', '350525106', '吾峰镇', 'wufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525107', '350525', '350525107', '石鼓镇', 'shiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525108', '350525', '350525108', '岵山镇', 'hushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525109', '350525', '350525109', '东平镇', 'dongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525110', '350525', '350525110', '湖洋镇', 'huyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525111', '350525', '350525111', '坑仔口镇', 'kengzikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525112', '350525', '350525112', '玉斗镇', 'yudouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525113', '350525', '350525113', '锦斗镇', 'jindouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525114', '350525', '350525114', '东关镇', 'dongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525115', '350525', '350525115', '桂洋镇', 'guiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525116', '350525', '350525116', '苏坑镇', 'sukengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525117', '350525', '350525117', '仙夹镇', 'xianjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525200', '350525', '350525200', '横口乡', 'hengkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525201', '350525', '350525201', '呈祥乡', 'chengxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525202', '350525', '350525202', '介福乡', 'jiefuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350525204', '350525', '350525204', '外山乡', 'waishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526', '3505', '350526', '德化县', 'dehuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526100', '350526', '350526100', '浔中镇', 'xunzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526101', '350526', '350526101', '龙浔镇', 'longxunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526102', '350526', '350526102', '三班镇', 'sanbanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526103', '350526', '350526103', '龙门滩镇', 'longmentanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526104', '350526', '350526104', '雷峰镇', 'leifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526105', '350526', '350526105', '南埕镇', 'nanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526106', '350526', '350526106', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526107', '350526', '350526107', '赤水镇', 'chishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526108', '350526', '350526108', '上涌镇', 'shangyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526109', '350526', '350526109', '葛坑镇', 'gekengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526200', '350526', '350526200', '杨梅乡', 'yangmeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526202', '350526', '350526202', '汤头乡', 'tangtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526204', '350526', '350526204', '桂阳乡', 'guiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526205', '350526', '350526205', '盖德乡', 'gaidexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526206', '350526', '350526206', '国宝乡', 'guobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526207', '350526', '350526207', '美湖乡', 'meihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526208', '350526', '350526208', '大铭乡', 'damingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350526209', '350526', '350526209', '春美乡', 'chunmeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350527', '3505', '350527', '金门县', 'jinmenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350581', '3505', '350581', '石狮市', 'shishishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350581001', '350581', '350581001', '湖滨街道', 'hubinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350581002', '350581', '350581002', '凤里街道', 'fenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350581100', '350581', '350581100', '灵秀镇', 'lingxiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350581101', '350581', '350581101', '宝盖镇', 'baogaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350581102', '350581', '350581102', '蚶江镇', 'hanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350581103', '350581', '350581103', '祥芝镇', 'xiangzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350581104', '350581', '350581104', '鸿山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350581105', '350581', '350581105', '锦尚镇', 'jinshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350581106', '350581', '350581106', '永宁镇', 'yongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582', '3505', '350582', '晋江市', 'jinjiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582001', '350582', '350582001', '青阳街道', 'qingyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582002', '350582', '350582002', '梅岭街道', 'meilingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582003', '350582', '350582003', '西园街道', 'xiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582004', '350582', '350582004', '罗山街道', 'luoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582005', '350582', '350582005', '新塘街道', 'xintangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582006', '350582', '350582006', '灵源街道', 'lingyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582101', '350582', '350582101', '安海镇', 'anhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582102', '350582', '350582102', '磁灶镇', 'cizaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582103', '350582', '350582103', '陈埭镇', 'chendaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582104', '350582', '350582104', '东石镇', 'dongshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582105', '350582', '350582105', '深沪镇', 'shenhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582106', '350582', '350582106', '金井镇', 'jinjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582107', '350582', '350582107', '池店镇', 'chidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582109', '350582', '350582109', '内坑镇', 'neikengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582110', '350582', '350582110', '龙湖镇', 'longhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582111', '350582', '350582111', '永和镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582112', '350582', '350582112', '英林镇', 'yinglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582113', '350582', '350582113', '紫帽镇', 'zimaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582114', '350582', '350582114', '西滨镇', 'xibinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582498', '350582', '350582498', '*晋江市国营良种繁殖场', '*jinjiangshiguoyingliangzhongfanzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582500', '350582', '350582500', '*安平开发区', '*anpingkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350582501', '350582', '350582501', '*五里工业区', '*wuligongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583', '3505', '350583', '南安市', 'nananshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583001', '350583', '350583001', '溪美街道', 'ximeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583002', '350583', '350583002', '柳城街道', 'liuchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583003', '350583', '350583003', '美林街道', 'meilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583100', '350583', '350583100', '省新镇', 'shengxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583101', '350583', '350583101', '仑苍镇', 'luncangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583102', '350583', '350583102', '东田镇', 'dongtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583103', '350583', '350583103', '英都镇', 'yingdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583104', '350583', '350583104', '翔云镇', 'xiangyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583105', '350583', '350583105', '金淘镇', 'jintaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583106', '350583', '350583106', '诗山镇', 'shishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583107', '350583', '350583107', '蓬华镇', 'penghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583108', '350583', '350583108', '码头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583109', '350583', '350583109', '九都镇', 'jiudouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583110', '350583', '350583110', '乐峰镇', 'lefengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583111', '350583', '350583111', '罗东镇', 'luodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583112', '350583', '350583112', '梅山镇', 'meishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583113', '350583', '350583113', '洪濑镇', 'honglaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583114', '350583', '350583114', '洪梅镇', 'hongmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583115', '350583', '350583115', '康美镇', 'kangmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583116', '350583', '350583116', '丰州镇', 'fengzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583117', '350583', '350583117', '霞美镇', 'xiameizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583118', '350583', '350583118', '官桥镇', 'guanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583119', '350583', '350583119', '水头镇', 'shuitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583120', '350583', '350583120', '石井镇', 'shijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583200', '350583', '350583200', '眉山乡', 'meishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583201', '350583', '350583201', '向阳乡', 'xiangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350583500', '350583', '350583500', '雪峰管委会', 'xuefengguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3506', '35', '3506', '漳州市', 'zhangzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350601', '3506', '350601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602', '3506', '350602', '芗城区', 'xiangchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602001', '350602', '350602001', '东铺头街道', 'dongputoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602002', '350602', '350602002', '西桥街道', 'xiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602003', '350602', '350602003', '新桥街道', 'xinqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602004', '350602', '350602004', '巷口街道', 'xiangkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602005', '350602', '350602005', '南坑街道', 'nankengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602006', '350602', '350602006', '通北街道', 'tongbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602100', '350602', '350602100', '浦南镇', 'punanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602101', '350602', '350602101', '天宝镇', 'tianbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602102', '350602', '350602102', '芝山镇', 'zhishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602103', '350602', '350602103', '石亭镇', 'shitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602400', '350602', '350602400', '*芗城区奶牛场', '*xiangchengqunainiuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602401', '350602', '350602401', '*后房农场', '*houfangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602402', '350602', '350602402', '*天宝林场', '*tianbaolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602403', '350602', '350602403', '*大房农场', '*dafangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350602404', '350602', '350602404', '*五峰农场', '*wufengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350603', '3506', '350603', '龙文区', 'longwenqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350603100', '350603', '350603100', '蓝田镇', 'lantianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350603101', '350603', '350603101', '步文镇', 'buwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350603102', '350603', '350603102', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350603103', '350603', '350603103', '郭坑镇', 'guokengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350603500', '350603', '350603500', '蓝田开发区管委会', 'lantiankaifaquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622', '3506', '350622', '云霄县', 'yunxiaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622100', '350622', '350622100', '云陵镇', 'yunlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622101', '350622', '350622101', '陈岱镇', 'chendaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622102', '350622', '350622102', '东厦镇', 'dongshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622103', '350622', '350622103', '莆美镇', 'pumeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622104', '350622', '350622104', '列屿镇', 'lieyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622105', '350622', '350622105', '火田镇', 'huotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622200', '350622', '350622200', '下河乡', 'xiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622201', '350622', '350622201', '马铺乡', 'mapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622202', '350622', '350622202', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622400', '350622', '350622400', '*和平农场', '*hepingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350622500', '350622', '350622500', '*常山华侨经济开发区', '*changshanhuaqiaojingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623', '3506', '350623', '漳浦县', 'zhangpuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623100', '350623', '350623100', '绥安镇', 'suianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623101', '350623', '350623101', '旧镇镇', 'jiuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623102', '350623', '350623102', '佛昙镇', 'fotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623103', '350623', '350623103', '赤湖镇', 'chihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623104', '350623', '350623104', '杜浔镇', 'duxunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623105', '350623', '350623105', '霞美镇', 'xiameizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623106', '350623', '350623106', '官浔镇', 'guanxunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623107', '350623', '350623107', '石榴镇', 'shiliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623108', '350623', '350623108', '盘陀镇', 'pantuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623109', '350623', '350623109', '长桥镇', 'zhangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623110', '350623', '350623110', '前亭镇', 'qiantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623111', '350623', '350623111', '马坪镇', 'mapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623112', '350623', '350623112', '深土镇', 'shentuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623113', '350623', '350623113', '六鳌镇', 'liuaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623114', '350623', '350623114', '沙西镇', 'shaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623115', '350623', '350623115', '古雷镇', 'guleizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623116', '350623', '350623116', '大南坂镇', 'dananbanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623200', '350623', '350623200', '南浦乡', 'nanpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623201', '350623', '350623201', '赤岭畲族乡', 'chilingshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623202', '350623', '350623202', '湖西畲族乡', 'huxishezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623203', '350623', '350623203', '赤土乡', 'chituxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623400', '350623', '350623400', '*漳浦盐场', '*zhangpuyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623401', '350623', '350623401', '*万安农场', '*wanannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623402', '350623', '350623402', '石古农场', 'shigunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623403', '350623', '350623403', '长桥农场', 'zhangqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623404', '350623', '350623404', '白竹湖农场', 'baizhuhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623405', '350623', '350623405', '南山华侨茶果场', 'nanshanhuaqiaochaguochang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623406', '350623', '350623406', '中西林场', 'zhongxilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623407', '350623', '350623407', '玳瑁山茶场', 'daimaoshanchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350623408', '350623', '350623408', '下蔡林场', 'xiacailinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624', '3506', '350624', '诏安县', 'zhaoanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624100', '350624', '350624100', '南诏镇', 'nanzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624101', '350624', '350624101', '四都镇', 'sidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624102', '350624', '350624102', '梅岭镇', 'meilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624103', '350624', '350624103', '桥东镇', 'qiaodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624104', '350624', '350624104', '深桥镇', 'shenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624105', '350624', '350624105', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624106', '350624', '350624106', '霞葛镇', 'xiagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624107', '350624', '350624107', '官陂镇', 'guanpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624108', '350624', '350624108', '秀篆镇', 'xiuzhuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624200', '350624', '350624200', '金星乡', 'jinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624201', '350624', '350624201', '西潭乡', 'xitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624202', '350624', '350624202', '白洋乡', 'baiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624203', '350624', '350624203', '建设乡', 'jianshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624204', '350624', '350624204', '红星乡', 'hongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624205', '350624', '350624205', '梅洲乡', 'meizhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624401', '350624', '350624401', '国营西山农场', 'guoyingxishannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624402', '350624', '350624402', '国营湖内林场', 'guoyinghuneilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624403', '350624', '350624403', '岭下溪国有防护林场', 'lingxiaxiguoyoufanghulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624500', '350624', '350624500', '*边贸旅游区管委会', '*bianmaolu:youquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350624501', '350624', '350624501', '*闽粤边界开发区管委会', '*minyuebianjiekaifaquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350625', '3506', '350625', '长泰县', 'zhangtaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350625100', '350625', '350625100', '武安镇', 'wuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350625101', '350625', '350625101', '岩溪镇', 'yanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350625102', '350625', '350625102', '陈巷镇', 'chenxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350625103', '350625', '350625103', '枋洋镇', 'fangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350625200', '350625', '350625200', '坂里乡', 'banlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350625400', '350625', '350625400', '*古农农场', '*gunongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350625500', '350625', '350625500', '*长泰经济开发区', '*zhangtaijingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350625501', '350625', '350625501', '*马洋溪旅游区', '*mayangxilu:youqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350625502', '350625', '350625502', '*林墩民营经济区', '*lindunminyingjingjiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350626', '3506', '350626', '东山县', 'dongshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350626100', '350626', '350626100', '西埔镇', 'xipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350626101', '350626', '350626101', '樟塘镇', 'zhangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350626102', '350626', '350626102', '康美镇', 'kangmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350626103', '350626', '350626103', '杏陈镇', 'xingchenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350626104', '350626', '350626104', '陈城镇', 'chenchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350626105', '350626', '350626105', '前楼镇', 'qianlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350626450', '350626', '350626450', '铜陵镇', 'tonglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627', '3506', '350627', '南靖县', 'nanjingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627100', '350627', '350627100', '山城镇', 'shanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627101', '350627', '350627101', '丰田镇', 'fengtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627102', '350627', '350627102', '靖城镇', 'jingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627103', '350627', '350627103', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627104', '350627', '350627104', '金山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627105', '350627', '350627105', '和溪镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627106', '350627', '350627106', '奎洋镇', 'kuiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627107', '350627', '350627107', '梅林镇', 'meilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627108', '350627', '350627108', '书洋镇', 'shuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627109', '350627', '350627109', '船场镇', 'chuanchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350627110', '350627', '350627110', '南坑镇', 'nankengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628', '3506', '350628', '平和县', 'pinghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628100', '350628', '350628100', '小溪镇', 'xiaoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628101', '350628', '350628101', '山格镇', 'shangezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628102', '350628', '350628102', '文峰镇', 'wenfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628103', '350628', '350628103', '南胜镇', 'nanshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628104', '350628', '350628104', '坂仔镇', 'banzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628105', '350628', '350628105', '安厚镇', 'anhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628106', '350628', '350628106', '大溪镇', 'daxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628107', '350628', '350628107', '霞寨镇', 'xiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628108', '350628', '350628108', '九峰镇', 'jiufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628109', '350628', '350628109', '芦溪镇', 'luxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628200', '350628', '350628200', '五寨乡', 'wuzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628201', '350628', '350628201', '国强乡', 'guoqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628202', '350628', '350628202', '崎岭乡', 'qilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628203', '350628', '350628203', '长乐乡', 'zhanglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628204', '350628', '350628204', '秀峰乡', 'xiufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350628400', '350628', '350628400', '安厚农场', 'anhounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350629', '3506', '350629', '华安县', 'huaanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350629100', '350629', '350629100', '华丰镇', 'huafengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350629101', '350629', '350629101', '丰山镇', 'fengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350629102', '350629', '350629102', '沙建镇', 'shajianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350629103', '350629', '350629103', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350629104', '350629', '350629104', '高安镇', 'gaoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350629105', '350629', '350629105', '仙都镇', 'xiandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350629200', '350629', '350629200', '高车乡', 'gaochexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350629201', '350629', '350629201', '马坑乡', 'makengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350629203', '350629', '350629203', '湖林乡', 'hulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681', '3506', '350681', '龙海市', 'longhaishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681100', '350681', '350681100', '石码镇', 'shimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681101', '350681', '350681101', '海澄镇', 'haichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681102', '350681', '350681102', '角美镇', 'jiaomeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681103', '350681', '350681103', '白水镇', 'baishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681104', '350681', '350681104', '浮宫镇', 'fugongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681105', '350681', '350681105', '程溪镇', 'chengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681106', '350681', '350681106', '港尾镇', 'gangweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681107', '350681', '350681107', '九湖镇', 'jiuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681108', '350681', '350681108', '颜厝镇', 'yancuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681109', '350681', '350681109', '榜山镇', 'bangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681110', '350681', '350681110', '紫泥镇', 'zinizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681111', '350681', '350681111', '东园镇', 'dongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681200', '350681', '350681200', '东泗乡', 'dongsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681201', '350681', '350681201', '隆教畲族乡', 'longjiaoshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681400', '350681', '350681400', '*双第华侨农场', '*shuangdihuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681401', '350681', '350681401', '*九龙岭林场', '*jiulonglinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681402', '350681', '350681402', '*程溪农场', '*chengxinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681403', '350681', '350681403', '*良种场', '*liangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681404', '350681', '350681404', '*苍坂农场', '*cangbannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681405', '350681', '350681405', '*林下林场', '*linxialinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681500', '350681', '350681500', '*角美工业开发区', '*jiaomeigongyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681501', '350681', '350681501', '*招商局漳州开发区', '*zhaoshangjuzhangzhoukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681502', '350681', '350681502', '*东园开发区', '*dongyuankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350681503', '350681', '350681503', '*龙池开发区', '*longchikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3507', '35', '3507', '南平市', 'nanpingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350701', '3507', '350701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702', '3507', '350702', '延平区', 'yanpingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702001', '350702', '350702001', '梅山街道', 'meishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702002', '350702', '350702002', '黄墩街道', 'huangdunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702003', '350702', '350702003', '紫云街道', 'ziyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702004', '350702', '350702004', '四鹤街道', 'sihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702005', '350702', '350702005', '水南街道', 'shuinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702006', '350702', '350702006', '水东街道', 'shuidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702100', '350702', '350702100', '来舟镇', 'laizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702101', '350702', '350702101', '樟湖镇', 'zhanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702102', '350702', '350702102', '夏道镇', 'xiadaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702103', '350702', '350702103', '西芹镇', 'xiqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702104', '350702', '350702104', '峡阳镇', 'xiayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702105', '350702', '350702105', '南山镇', 'nanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702106', '350702', '350702106', '大横镇', 'dahengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702107', '350702', '350702107', '王台镇', 'wangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702108', '350702', '350702108', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702109', '350702', '350702109', '塔前镇', 'taqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702110', '350702', '350702110', '茫荡镇', 'mangdangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702111', '350702', '350702111', '洋后镇', 'yanghouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702112', '350702', '350702112', '炉下镇', 'luxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702200', '350702', '350702200', '巨口乡', 'jukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350702202', '350702', '350702202', '赤门乡', 'chimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721', '3507', '350721', '顺昌县', 'shunchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721001', '350721', '350721001', '双溪街道', 'shuangxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721100', '350721', '350721100', '建西镇', 'jianxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721101', '350721', '350721101', '洋口镇', 'yangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721102', '350721', '350721102', '元坑镇', 'yuankengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721103', '350721', '350721103', '埔上镇', 'pushangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721104', '350721', '350721104', '大历镇', 'dalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721105', '350721', '350721105', '大干镇', 'daganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721106', '350721', '350721106', '仁寿镇', 'renshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721200', '350721', '350721200', '洋墩乡', 'yangdunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721201', '350721', '350721201', '郑坊乡', 'zhengfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721202', '350721', '350721202', '岚下乡', 'lanxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350721203', '350721', '350721203', '高阳乡', 'gaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722', '3507', '350722', '浦城县', 'puchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722001', '350722', '350722001', '南浦街道', 'nanpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722002', '350722', '350722002', '河滨街道', 'hebinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722101', '350722', '350722101', '富岭镇', 'fulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722102', '350722', '350722102', '石陂镇', 'shipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722103', '350722', '350722103', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722104', '350722', '350722104', '仙阳镇', 'xianyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722105', '350722', '350722105', '水北街镇', 'shuibeijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722106', '350722', '350722106', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722107', '350722', '350722107', '忠信镇', 'zhongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722108', '350722', '350722108', '莲塘镇', 'liantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722109', '350722', '350722109', '九牧镇', 'jiumuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722200', '350722', '350722200', '万安乡', 'wananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722201', '350722', '350722201', '古楼乡', 'gulouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722202', '350722', '350722202', '山下乡', 'shanxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722203', '350722', '350722203', '枫溪乡', 'fengxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722204', '350722', '350722204', '濠村乡', 'haocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722205', '350722', '350722205', '管厝乡', 'guancuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722206', '350722', '350722206', '盘亭乡', 'pantingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722207', '350722', '350722207', '官路乡', 'guanluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350722400', '350722', '350722400', '水南农场', 'shuinannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350723', '3507', '350723', '光泽县', 'guangzexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350723100', '350723', '350723100', '杭川镇', 'hangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350723101', '350723', '350723101', '寨里镇', 'zhailizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350723102', '350723', '350723102', '止马镇', 'zhimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350723200', '350723', '350723200', '鸾风乡', 'luanfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350723201', '350723', '350723201', '崇仁乡', 'chongrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350723202', '350723', '350723202', '李坊乡', 'lifangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350723203', '350723', '350723203', '华桥乡', 'huaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350723204', '350723', '350723204', '司前乡', 'siqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350724', '3507', '350724', '松溪县', 'songxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350724100', '350724', '350724100', '松源镇', 'songyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350724101', '350724', '350724101', '郑墩镇', 'zhengdunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350724102', '350724', '350724102', '渭田镇', 'weitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350724200', '350724', '350724200', '河东乡', 'hedongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350724201', '350724', '350724201', '茶平乡', 'chapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350724202', '350724', '350724202', '旧县乡', 'jiuxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350724203', '350724', '350724203', '溪东乡', 'xidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350724204', '350724', '350724204', '花桥乡', 'huaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350724205', '350724', '350724205', '祖墩乡', 'zudunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350725', '3507', '350725', '政和县', 'zhenghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350725100', '350725', '350725100', '熊山镇', 'xiongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350725101', '350725', '350725101', '东平镇', 'dongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350725102', '350725', '350725102', '石屯镇', 'shitunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350725103', '350725', '350725103', '铁山镇', 'tieshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350725104', '350725', '350725104', '镇前镇	', 'zhenqianzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350725200', '350725', '350725200', '星溪乡', 'xingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350725201', '350725', '350725201', '外屯乡', 'waitunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350725202', '350725', '350725202', '杨源乡	', 'yangyuanxiang	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350725203', '350725', '350725203', '澄源乡	', 'chengyuanxiang	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350725204', '350725', '350725204', '岭腰乡	', 'lingyaoxiang	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781', '3507', '350781', '邵武市', 'shaowushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781001', '350781', '350781001', '昭阳街道', 'zhaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781002', '350781', '350781002', '通泰街道', 'tongtaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781003', '350781', '350781003', '水北街道', 'shuibeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781004', '350781', '350781004', '晒口街道', 'shaikoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781100', '350781', '350781100', '城郊镇', 'chengjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781101', '350781', '350781101', '水北镇', 'shuibeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781102', '350781', '350781102', '下沙镇', 'xiashazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781103', '350781', '350781103', '卫闽镇', 'weiminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781104', '350781', '350781104', '沿山镇', 'yanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781105', '350781', '350781105', '拿口镇', 'nakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781106', '350781', '350781106', '洪墩镇', 'hongdunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781107', '350781', '350781107', '大埠岗镇', 'dabugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781108', '350781', '350781108', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781109', '350781', '350781109', '肖家坊镇', 'xiaojiafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781110', '350781', '350781110', '大竹镇', 'dazhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781111', '350781', '350781111', '吴家塘镇', 'wujiatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781200', '350781', '350781200', '桂林乡', 'guilinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781201', '350781', '350781201', '张厝乡', 'zhangcuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781202', '350781', '350781202', '金坑乡', 'jinkengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350781400', '350781', '350781400', '综合农场', 'zonghenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350782', '3507', '350782', '武夷山市', 'wuyishanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350782001', '350782', '350782001', '崇安街道', 'chonganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350782002', '350782', '350782002', '新丰街道', 'xinfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350782003', '350782', '350782003', '武夷街道', 'wuyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350782100', '350782', '350782100', '星村镇', 'xingcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350782101', '350782', '350782101', '兴田镇', 'xingtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350782102', '350782', '350782102', '五夫镇', 'wufuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350782200', '350782', '350782200', '上梅乡', 'shangmeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350782201', '350782', '350782201', '吴屯乡', 'wutunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350782202', '350782', '350782202', '岚谷乡', 'languxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350782203', '350782', '350782203', '洋庄乡', 'yangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783', '3507', '350783', '建瓯市', 'jianoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783001', '350783', '350783001', '建安街道', 'jiananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783002', '350783', '350783002', '通济街道', 'tongjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783003', '350783', '350783003', '瓯宁街道', 'ouningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783004', '350783', '350783004', '芝山街道', 'zhishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783100', '350783', '350783100', '徐墩镇', 'xudunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783101', '350783', '350783101', '吉阳镇', 'jiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783102', '350783', '350783102', '房道镇', 'fangdaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783103', '350783', '350783103', '南雅镇', 'nanyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783104', '350783', '350783104', '迪口镇', 'dikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783105', '350783', '350783105', '小桥镇', 'xiaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783106', '350783', '350783106', '玉山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783107', '350783', '350783107', '东游镇', 'dongyouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783108', '350783', '350783108', '东峰镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783109', '350783', '350783109', '小松镇', 'xiaosongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783200', '350783', '350783200', '顺阳乡', 'shunyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783201', '350783', '350783201', '水源乡', 'shuiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783202', '350783', '350783202', '川石乡', 'chuanshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350783203', '350783', '350783203', '龙村乡', 'longcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784', '3507', '350784', '建阳市', 'jianyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784001', '350784', '350784001', '潭城街道', 'tanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784002', '350784', '350784002', '童游街道', 'tongyoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784102', '350784', '350784102', '将口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784103', '350784', '350784103', '徐市镇', 'xushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784104', '350784', '350784104', '莒口镇', 'jukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784105', '350784', '350784105', '麻沙镇', 'mashazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784106', '350784', '350784106', '黄坑镇', 'huangkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784107', '350784', '350784107', '水吉镇', 'shuijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784108', '350784', '350784108', '漳墩镇', 'zhangdunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784109', '350784', '350784109', '小湖镇', 'xiaohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784200', '350784', '350784200', '崇雒乡', 'chongluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784201', '350784', '350784201', '书坊乡', 'shufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350784202', '350784', '350784202', '回龙乡', 'huilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3508', '35', '3508', '龙岩市', 'longyanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350801', '3508', '350801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802', '3508', '350802', '新罗区', 'xinluoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802001', '350802', '350802001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802002', '350802', '350802002', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802003', '350802', '350802003', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802004', '350802', '350802004', '中城街道', 'zhongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802005', '350802', '350802005', '西陂街道', 'xipojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802006', '350802', '350802006', '曹溪街道', 'caoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802007', '350802', '350802007', '东肖街道', 'dongxiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802008', '350802', '350802008', '龙门街道', 'longmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802009', '350802', '350802009', '铁山街道', 'tieshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802100', '350802', '350802100', '红坊镇', 'hongfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802101', '350802', '350802101', '适中镇', 'shizhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802102', '350802', '350802102', '雁石镇', 'yanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802103', '350802', '350802103', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802104', '350802', '350802104', '万安镇', 'wananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802105', '350802', '350802105', '大池镇', 'dachizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802106', '350802', '350802106', '小池镇', 'xiaochizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802200', '350802', '350802200', '江山乡', 'jiangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802201', '350802', '350802201', '岩山乡', 'yanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350802202', '350802', '350802202', '苏坂乡', 'subanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821', '3508', '350821', '长汀县', 'zhangtingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821100', '350821', '350821100', '汀州镇', 'tingzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821101', '350821', '350821101', '大同镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821102', '350821', '350821102', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821103', '350821', '350821103', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821104', '350821', '350821104', '馆前镇', 'guanqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821105', '350821', '350821105', '童坊镇', 'tongfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821106', '350821', '350821106', '河田镇', 'hetianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821107', '350821', '350821107', '南山镇', 'nanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821108', '350821', '350821108', '濯田镇', 'zhuotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821109', '350821', '350821109', '四都镇', 'sidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821110', '350821', '350821110', '涂坊镇', 'tufangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821200', '350821', '350821200', '策武乡', 'cewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821201', '350821', '350821201', '铁长乡', 'tiezhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821202', '350821', '350821202', '庵杰乡', 'anjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821203', '350821', '350821203', '三洲乡', 'sanzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821204', '350821', '350821204', '宣成乡', 'xuanchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821205', '350821', '350821205', '红山乡', 'hongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350821206', '350821', '350821206', '羊牯乡', 'yangguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822', '3508', '350822', '永定县', 'yongdingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822100', '350822', '350822100', '凤城镇', 'fengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822101', '350822', '350822101', '坎市镇', 'kanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822102', '350822', '350822102', '下洋镇', 'xiayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822103', '350822', '350822103', '湖雷镇', 'huleizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822104', '350822', '350822104', '高陂镇', 'gaopozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822105', '350822', '350822105', '抚市镇', 'fushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822106', '350822', '350822106', '湖坑镇', 'hukengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822107', '350822', '350822107', '培丰镇', 'peifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822108', '350822', '350822108', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822109', '350822', '350822109', '峰市镇', 'fengshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822200', '350822', '350822200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822201', '350822', '350822201', '西溪乡', 'xixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822202', '350822', '350822202', '金砂乡', 'jinshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822203', '350822', '350822203', '仙师乡', 'xianshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822204', '350822', '350822204', '洪山乡', 'hongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822205', '350822', '350822205', '湖山乡', 'hushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822206', '350822', '350822206', '岐岭乡', 'qilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822207', '350822', '350822207', '古竹乡', 'guzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822208', '350822', '350822208', '堂堡乡', 'tangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822209', '350822', '350822209', '合溪乡', 'hexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822210', '350822', '350822210', '虎岗乡', 'hugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822211', '350822', '350822211', '大溪乡', 'daxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822212', '350822', '350822212', '陈东乡', 'chendongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350822213', '350822', '350822213', '高头乡', 'gaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823', '3508', '350823', '上杭县', 'shanghangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823100', '350823', '350823100', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823101', '350823', '350823101', '临城镇', 'linchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823102', '350823', '350823102', '中都镇', 'zhongdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823103', '350823', '350823103', '蓝溪镇', 'lanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823104', '350823', '350823104', '稔田镇', 'rentianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823105', '350823', '350823105', '白砂镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823106', '350823', '350823106', '古田镇', 'gutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823107', '350823', '350823107', '才溪镇', 'caixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823108', '350823', '350823108', '南阳镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823200', '350823', '350823200', '湖洋乡', 'huyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823201', '350823', '350823201', '下都乡', 'xiadouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823202', '350823', '350823202', '庐丰畲族乡', 'lufengshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823203', '350823', '350823203', '太拔乡', 'taibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823204', '350823', '350823204', '溪口乡', 'xikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823205', '350823', '350823205', '茶地乡', 'chadixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823206', '350823', '350823206', '泮境乡', 'panjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823207', '350823', '350823207', '蛟洋乡', 'jiaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823208', '350823', '350823208', '步云乡', 'buyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823209', '350823', '350823209', '旧县乡', 'jiuxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823210', '350823', '350823210', '通贤乡', 'tongxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823211', '350823', '350823211', '官庄畲族乡', 'guanzhuangshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350823212', '350823', '350823212', '珊瑚乡', 'shanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824', '3508', '350824', '武平县', 'wupingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824100', '350824', '350824100', '平川镇', 'pingchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824101', '350824', '350824101', '中山镇', 'zhongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824102', '350824', '350824102', '岩前镇', 'yanqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824103', '350824', '350824103', '十方镇', 'shifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824104', '350824', '350824104', '中堡镇', 'zhongbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824105', '350824', '350824105', '桃溪镇', 'taoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824200', '350824', '350824200', '城厢乡', 'chengxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824201', '350824', '350824201', '万安乡', 'wananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824202', '350824', '350824202', '东留乡', 'dongliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824203', '350824', '350824203', '民主乡', 'minzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824204', '350824', '350824204', '下坝乡', 'xiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824205', '350824', '350824205', '中赤乡', 'zhongchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824206', '350824', '350824206', '象洞乡', 'xiangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824207', '350824', '350824207', '武东乡', 'wudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824208', '350824', '350824208', '永平乡', 'yongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824209', '350824', '350824209', '湘店乡', 'xiangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350824210', '350824', '350824210', '大禾乡', 'dahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825', '3508', '350825', '连城县', 'lianchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825100', '350825', '350825100', '莲峰镇', 'lianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825101', '350825', '350825101', '北团镇', 'beituanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825102', '350825', '350825102', '姑田镇', 'gutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825103', '350825', '350825103', '朋口镇', 'pengkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825104', '350825', '350825104', '莒溪镇', 'juxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825105', '350825', '350825105', '新泉镇', 'xinquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825106', '350825', '350825106', '庙前镇', 'miaoqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825200', '350825', '350825200', '揭乐乡', 'jielexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825201', '350825', '350825201', '塘前乡', 'tangqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825202', '350825', '350825202', '隔川乡', 'gechuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825203', '350825', '350825203', '四堡乡', 'sibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825204', '350825', '350825204', '罗坊乡', 'luofangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825205', '350825', '350825205', '林坊乡', 'linfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825206', '350825', '350825206', '文亨乡', 'wenhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825208', '350825', '350825208', '曲溪乡', 'quxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825209', '350825', '350825209', '赖源乡', 'laiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350825210', '350825', '350825210', '宣和乡', 'xuanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881', '3508', '350881', '漳平市', 'zhangpingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881001', '350881', '350881001', '菁城街道', 'jingchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881002', '350881', '350881002', '桂林街道', 'guilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881100', '350881', '350881100', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881101', '350881', '350881101', '双洋镇', 'shuangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881102', '350881', '350881102', '永福镇', 'yongfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881103', '350881', '350881103', '溪南镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881104', '350881', '350881104', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881105', '350881', '350881105', '拱桥镇', 'gongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881106', '350881', '350881106', '象湖镇', 'xianghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881107', '350881', '350881107', '赤水镇', 'chishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881200', '350881', '350881200', '芦芝乡', 'luzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881201', '350881', '350881201', '西园乡', 'xiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881202', '350881', '350881202', '南洋乡', 'nanyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881203', '350881', '350881203', '官田乡', 'guantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881204', '350881', '350881204', '吾祠乡', 'wucixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350881205', '350881', '350881205', '灵地乡', 'lingdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3509', '35', '3509', '宁德市', 'ningdeshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350901', '3509', '350901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902', '3509', '350902', '蕉城区', 'jiaochengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902001', '350902', '350902001', '蕉南街道', 'jiaonanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902002', '350902', '350902002', '蕉北街道', 'jiaobeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902100', '350902', '350902100', '城南镇', 'chengnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902101', '350902', '350902101', '漳湾镇', 'zhangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902102', '350902', '350902102', '七都镇', 'qidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902103', '350902', '350902103', '八都镇', 'badouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902104', '350902', '350902104', '九都镇', 'jiudouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902105', '350902', '350902105', '霍童镇', 'huotongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902106', '350902', '350902106', '赤溪镇', 'chixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902107', '350902', '350902107', '洋中镇', 'yangzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902108', '350902', '350902108', '飞鸾镇', 'feiluanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902109', '350902', '350902109', '三都镇', 'sandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902200', '350902', '350902200', '金涵畲族乡', 'jinhanshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902201', '350902', '350902201', '洪口乡', 'hongkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902202', '350902', '350902202', '石后乡', 'shihouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902203', '350902', '350902203', '虎贝乡', 'hubeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350902500', '350902', '350902500', '*东侨开发区', '*dongqiaokaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921', '3509', '350921', '霞浦县', 'xiapuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921001', '350921', '350921001', '松城街道', 'songchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921002', '350921', '350921002', '松港街道', 'songgangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921101', '350921', '350921101', '长春镇', 'zhangchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921102', '350921', '350921102', '牙城镇', 'yachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921103', '350921', '350921103', '溪南镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921104', '350921', '350921104', '沙江镇', 'shajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921105', '350921', '350921105', '下浒镇', 'xiahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921106', '350921', '350921106', '三沙镇', 'sanshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921200', '350921', '350921200', '盐田畲族乡', 'yantianshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921201', '350921', '350921201', '水门畲族乡', 'shuimenshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921202', '350921', '350921202', '崇儒畲族乡', 'chongrushezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921203', '350921', '350921203', '柏洋乡', 'boyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921204', '350921', '350921204', '北壁乡', 'beibixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350921205', '350921', '350921205', '海岛乡', 'haidaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922', '3509', '350922', '古田县', 'gutianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922001', '350922', '350922001', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922002', '350922', '350922002', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922101', '350922', '350922101', '平湖镇', 'pinghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922102', '350922', '350922102', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922103', '350922', '350922103', '黄田镇', 'huangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922104', '350922', '350922104', '鹤塘镇', 'hetangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922105', '350922', '350922105', '杉洋镇', 'shanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922106', '350922', '350922106', '凤都镇', 'fengdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922107', '350922', '350922107', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922201', '350922', '350922201', '吉巷乡', 'jixiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922203', '350922', '350922203', '泮洋乡', 'panyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922204', '350922', '350922204', '凤埔乡', 'fengpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922205', '350922', '350922205', '卓洋乡', 'zhuoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350922206', '350922', '350922206', '大甲乡', 'dajiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923', '3509', '350923', '屏南县', 'pingnanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923100', '350923', '350923100', '古峰镇', 'gufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923101', '350923', '350923101', '双溪镇', 'shuangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923102', '350923', '350923102', '黛溪镇', 'daixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923103', '350923', '350923103', '长桥镇', 'zhangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923200', '350923', '350923200', '屏城乡', 'pingchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923201', '350923', '350923201', '棠口乡', 'tangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923202', '350923', '350923202', '甘棠乡', 'gantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923203', '350923', '350923203', '熙岭乡', 'xilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923204', '350923', '350923204', '路下乡', 'luxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923205', '350923', '350923205', '寿山乡', 'shoushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350923206', '350923', '350923206', '岭下乡', 'lingxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924', '3509', '350924', '寿宁县', 'shouningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924100', '350924', '350924100', '鳌阳镇', 'aoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924101', '350924', '350924101', '斜滩镇', 'xietanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924102', '350924', '350924102', '南阳镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924103', '350924', '350924103', '武曲镇', 'wuquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924200', '350924', '350924200', '大安乡', 'daanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924201', '350924', '350924201', '坑底乡', 'kengdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924202', '350924', '350924202', '清源乡', 'qingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924203', '350924', '350924203', '竹管垅乡', 'zhuguanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924204', '350924', '350924204', '犀溪乡', 'xixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924205', '350924', '350924205', '芹洋乡', 'qinyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924206', '350924', '350924206', '托溪乡', 'tuoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924207', '350924', '350924207', '平溪乡', 'pingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924208', '350924', '350924208', '凤阳乡', 'fengyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350924209', '350924', '350924209', '下党乡', 'xiadangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350925', '3509', '350925', '周宁县', 'zhouningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350925100', '350925', '350925100', '狮城镇', 'shichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350925101', '350925', '350925101', '咸村镇', 'xiancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350925102', '350925', '350925102', '浦源镇', 'puyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350925103', '350925', '350925103', '七步镇', 'qibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350925104', '350925', '350925104', '李墩镇', 'lidunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350925105', '350925', '350925105', '纯池镇', 'chunchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350925200', '350925', '350925200', '泗桥乡', 'siqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350925201', '350925', '350925201', '礼门乡', 'limenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350925202', '350925', '350925202', '玛坑乡', 'makengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350926', '3509', '350926', '柘荣县', 'zherongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350926100', '350926', '350926100', '双城镇', 'shuangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350926101', '350926', '350926101', '富溪镇', 'fuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350926200', '350926', '350926200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350926201', '350926', '350926201', '乍洋乡', 'zhayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350926202', '350926', '350926202', '东源乡', 'dongyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350926203', '350926', '350926203', '黄柏乡', 'huangboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350926204', '350926', '350926204', '宅中乡', 'zhaizhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350926205', '350926', '350926205', '楮坪乡', 'chupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350926206', '350926', '350926206', '英山乡', 'yingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981', '3509', '350981', '福安市', 'fuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981001', '350981', '350981001', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981002', '350981', '350981002', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981003', '350981', '350981003', '阳头街道', 'yangtoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981100', '350981', '350981100', '赛岐镇', 'saiqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981101', '350981', '350981101', '穆阳镇', 'muyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981102', '350981', '350981102', '上白石镇', 'shangbaishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981103', '350981', '350981103', '潭头镇', 'tantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981104', '350981', '350981104', '社口镇', 'shekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981105', '350981', '350981105', '晓阳镇', 'xiaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981106', '350981', '350981106', '溪潭镇', 'xitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981107', '350981', '350981107', '甘棠镇', 'gantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981108', '350981', '350981108', '下白石镇', 'xiabaishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981109', '350981', '350981109', '溪尾镇', 'xiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981110', '350981', '350981110', '溪柄镇', 'xibingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981200', '350981', '350981200', '城阳乡', 'chengyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981201', '350981', '350981201', '坂中畲族乡', 'banzhongshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981202', '350981', '350981202', '范坑乡', 'fankengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981203', '350981', '350981203', '穆云畲族乡', 'muyunshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981204', '350981', '350981204', '康厝畲族乡', 'kangcuoshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981205', '350981', '350981205', '湾坞乡', 'wanwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981206', '350981', '350981206', '松罗乡', 'songluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981500', '350981', '350981500', '*赛岐开发区', '*saiqikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981501', '350981', '350981501', '*福安畲族开发区', '*fuanshezukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350981502', '350981', '350981502', '*湾坞工业集中区', '*wanwugongyejizhongqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982', '3509', '350982', '福鼎市', 'fudingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982001', '350982', '350982001', '桐山街道', 'tongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982002', '350982', '350982002', '桐城街道', 'tongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982003', '350982', '350982003', '山前街道', 'shanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982100', '350982', '350982100', '贯岭镇', 'guanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982101', '350982', '350982101', '前岐镇', 'qianqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982102', '350982', '350982102', '沙埕镇', 'shachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982103', '350982', '350982103', '店下镇', 'dianxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982104', '350982', '350982104', '秦屿镇', 'qinyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982105', '350982', '350982105', '磻溪镇', 'panxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982106', '350982', '350982106', '白琳镇', 'bailinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982107', '350982', '350982107', '点头镇', 'diantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982108', '350982', '350982108', '管阳镇', 'guanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982109', '350982', '350982109', '嵛山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982200', '350982', '350982200', '硖门畲族乡', 'xiamenshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982201', '350982', '350982201', '叠石乡', 'dieshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982202', '350982', '350982202', '佳阳乡', 'jiayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('350982500', '350982', '350982500', '*龙安开发区', '*longankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('36', '-1', '36', '江西省', 'jiangxisheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3601', '36', '3601', '南昌市', 'nanchangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360101', '3601', '360101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102', '3601', '360102', '东湖区', 'donghuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102001', '360102', '360102001', '公园街道', 'gongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102002', '360102', '360102002', '滕王阁街道', 'tengwanggejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102003', '360102', '360102003', '八一桥街道', 'bayiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102004', '360102', '360102004', '百花洲街道', 'baihuazhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102005', '360102', '360102005', '墩子塘街道', 'dunzitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102006', '360102', '360102006', '大院街道', 'dayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102007', '360102', '360102007', '豫章街道', 'yuzhangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102008', '360102', '360102008', '董家窑街道', 'dongjiayaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102009', '360102', '360102009', '彭家桥街道', 'pengjiaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102050', '360102', '360102050', '沙井街道居委会(红谷滩新区)', 'shajingjiedaojuweihui(honggutanxinqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360102400', '360102', '360102400', '贤士湖管委会', 'xianshihuguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103', '3601', '360103', '西湖区', 'xihuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103001', '360103', '360103001', '南浦街道', 'nanpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103002', '360103', '360103002', '朝阳洲街道', 'chaoyangzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103004', '360103', '360103004', '广润门街道', 'guangrunmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103005', '360103', '360103005', '西湖街道', 'xihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103006', '360103', '360103006', '系马桩街道', 'ximazhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103007', '360103', '360103007', '绳金塔街道', 'shengjintajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103009', '360103', '360103009', '丁公路街道', 'dinggonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103010', '360103', '360103010', '南站街道', 'nanzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103011', '360103', '360103011', '桃源街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103012', '360103', '360103012', '十字街街道', 'shizijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103101', '360103', '360103101', '桃花镇', 'taohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360103400', '360103', '360103400', '南昌市朝阳农场', 'nanchangshichaoyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360104', '3601', '360104', '青云谱区', 'qingyunpuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360104002', '360104', '360104002', '洪都街道', 'hongdoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360104006', '360104', '360104006', '京山街道', 'jingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360104007', '360104', '360104007', '三家店街道', 'sanjiadianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360104008', '360104', '360104008', '岱山街道', 'daishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360104009', '360104', '360104009', '徐家坊街道', 'xujiafangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360104100', '360104', '360104100', '青云谱镇', 'qingyunpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360104500', '360104', '360104500', '南昌昌南工业园', 'nanchangchangnangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360105', '3601', '360105', '湾里区', 'wanliqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360105001', '360105', '360105001', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360105002', '360105', '360105002', '幸福街道', 'xingfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360105100', '360105', '360105100', '招贤镇', 'zhaoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360105101', '360105', '360105101', '梅岭镇', 'meilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360105102', '360105', '360105102', '罗亭镇', 'luotingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360105200', '360105', '360105200', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111', '3601', '360111', '青山湖区', 'qingshanhuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111001', '360111', '360111001', '青山路街道', 'qingshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111003', '360111', '360111003', '上海路街道', 'shanghailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111100', '360111', '360111100', '京东镇', 'jingdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111103', '360111', '360111103', '罗家镇', 'luojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111104', '360111', '360111104', '湖坊镇', 'hufangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111105', '360111', '360111105', '塘山镇	', 'tangshanzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111180', '360111', '360111180', '蛟桥镇(南昌经济技术开发区)', 'jiaoqiaozhen(nanchangjingjijishukaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111200', '360111', '360111200', '扬子洲乡', 'yangzizhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111400', '360111', '360111400', '扬子洲农场', 'yangzizhounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111401', '360111', '360111401', '罗家地区省市单位', 'luojiadiqushengshidanwei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111481', '360111', '360111481', '白水湖管理处(南昌经济技术开发区)', 'baishuihuguanlichu(nanchangjingjijishukaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111490', '360111', '360111490', '艾溪湖管理处(南昌高新开发区)', 'aixihuguanlichu(nanchanggaoxinkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111500', '360111', '360111500', '南昌京东旅游经济开发区', 'nanchangjingdonglu:youjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111501', '360111', '360111501', '南昌昌东工业区', 'nanchangchangdonggongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111502', '360111', '360111502', '南昌民营科技园', 'nanchangminyingkejiyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111570', '360111', '360111570', '江西金牛集团(英雄开发区)', 'jiangxijinniujituan(yingxiongkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360111593', '360111', '360111593', '湖西新建区(南昌高新开发区)', 'huxixinjianqu(nanchanggaoxinkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121', '3601', '360121', '南昌县', 'nanchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121100', '360121', '360121100', '莲塘镇', 'liantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121101', '360121', '360121101', '向塘镇', 'xiangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121102', '360121', '360121102', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121103', '360121', '360121103', '塘南镇', 'tangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121104', '360121', '360121104', '幽兰镇', 'youlanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121105', '360121', '360121105', '蒋巷镇', 'jiangxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121106', '360121', '360121106', '武阳镇', 'wuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121107', '360121', '360121107', '冈上镇', 'gangshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121108', '360121', '360121108', '广福镇', 'guangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121191', '360121', '360121191', '昌东镇(南昌高新开发区)', 'changdongzhen(nanchanggaoxinkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121192', '360121', '360121192', '麻丘镇(南昌高新开发区)', 'maqiuzhen(nanchanggaoxinkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121200', '360121', '360121200', '泾口乡', 'jingkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121201', '360121', '360121201', '南新乡', 'nanxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121202', '360121', '360121202', '塔城乡', 'tachengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121203', '360121', '360121203', '黄马乡', 'huangmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121204', '360121', '360121204', '富山乡', 'fushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121205', '360121', '360121205', '东新乡', 'dongxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121206', '360121', '360121206', '八一乡', 'bayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121402', '360121', '360121402', '南昌市五星垦殖场', 'nanchangshiwuxingkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360121500', '360121', '360121500', '小蓝经济开发区', 'xiaolanjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122', '3601', '360122', '新建县', 'xinjianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122100', '360122', '360122100', '长堎镇', 'zhanglengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122101', '360122', '360122101', '望城镇', 'wangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122102', '360122', '360122102', '生米镇', 'shengmizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122103', '360122', '360122103', '西山镇', 'xishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122104', '360122', '360122104', '石岗镇', 'shigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122105', '360122', '360122105', '松湖镇', 'songhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122106', '360122', '360122106', '樵舍镇', 'qiaoshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122107', '360122', '360122107', '乐化镇', 'lehuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122108', '360122', '360122108', '溪霞镇', 'xixiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122109', '360122', '360122109', '象山镇', 'xiangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122200', '360122', '360122200', '石埠乡', 'shibuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122201', '360122', '360122201', '流湖乡', 'liuhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122202', '360122', '360122202', '厚田乡', 'houtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122203', '360122', '360122203', '联圩乡', 'lianweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122204', '360122', '360122204', '金桥乡', 'jinqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122205', '360122', '360122205', '铁河乡', 'tiehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122206', '360122', '360122206', '大塘坪乡', 'datangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122207', '360122', '360122207', '昌邑乡', 'changyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122208', '360122', '360122208', '南矶乡', 'nanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122400', '360122', '360122400', '恒湖垦殖场', 'henghukenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122401', '360122', '360122401', '新丰垦殖场', 'xinfengkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122402', '360122', '360122402', '成新实业有限公司', 'chengxinshiyeyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122403', '360122', '360122403', '朱港实业有限公司', 'zhugangshiyeyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122450', '360122', '360122450', '红角洲管理处(红谷滩新区)', 'hongjiaozhouguanlichu(honggutanxinqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360122500', '360122', '360122500', '江西长堎外商投资工业区', 'jiangxizhanglengwaishangtouzigongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123', '3601', '360123', '安义县', 'anyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123100', '360123', '360123100', '龙津镇', 'longjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123101', '360123', '360123101', '万埠镇', 'wanbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123102', '360123', '360123102', '石鼻镇', 'shibizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123103', '360123', '360123103', '鼎湖镇', 'dinghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123104', '360123', '360123104', '长埠镇', 'zhangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123105', '360123', '360123105', '东阳镇	', 'dongyangzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123106', '360123', '360123106', '黄洲镇', 'huangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123200', '360123', '360123200', '乔乐乡', 'qiaolexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123201', '360123', '360123201', '长均乡', 'zhangjunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123202', '360123', '360123202', '新民乡', 'xinminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123400', '360123', '360123400', '国营万埠垦殖场', 'guoyingwanbukenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123401', '360123', '360123401', '国营峤岭垦殖场', 'guoyingjiaolingkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360123500', '360123', '360123500', '江西安义工业园区', 'jiangxianyigongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124', '3601', '360124', '进贤县', 'jinxianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124100', '360124', '360124100', '民和镇', 'minhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124101', '360124', '360124101', '李渡镇', 'liduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124102', '360124', '360124102', '温圳镇', 'wenzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124103', '360124', '360124103', '文港镇', 'wengangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124104', '360124', '360124104', '梅庄镇', 'meizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124105', '360124', '360124105', '张公镇', 'zhanggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124106', '360124', '360124106', '罗溪镇', 'luoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124107', '360124', '360124107', '架桥镇', 'jiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124108', '360124', '360124108', '前坊镇', 'qianfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124200', '360124', '360124200', '三里乡', 'sanlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124201', '360124', '360124201', '二塘乡', 'ertangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124202', '360124', '360124202', '钟陵乡', 'zhonglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124203', '360124', '360124203', '池溪乡', 'chixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124204', '360124', '360124204', '南台乡', 'nantaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124205', '360124', '360124205', '三阳集乡', 'sanyangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124206', '360124', '360124206', '七里乡', 'qilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124207', '360124', '360124207', '下埠集乡', 'xiabujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124208', '360124', '360124208', '衙前乡', 'yaqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124209', '360124', '360124209', '白圩乡', 'baiweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124210', '360124', '360124210', '长山晏乡', 'zhangshanyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124211', '360124', '360124211', '泉岭乡', 'quanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360124400', '360124', '360124400', '五里垦殖场', 'wulikenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3602', '36', '3602', '景德镇市', 'jingdezhenshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360201', '3602', '360201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202', '3602', '360202', '昌江区', 'changjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202001', '360202', '360202001', '西郊街道', 'xijiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202100', '360202', '360202100', '竟成镇', 'jingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202101', '360202', '360202101', '鲇鱼山镇', 'nianyushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202201', '360202', '360202201', '丽阳乡', 'liyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202202', '360202', '360202202', '荷塘乡', 'hetangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202290', '360202', '360202290', '吕蒙乡(景德镇高新区管委会)', 'lu:mengxiang(jingdezhengaoxinquguanweihui)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202400', '360202', '360202400', '西郊垦殖场', 'xijiaokenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202450', '360202', '360202450', '枫树山总场', 'fengshushanzongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202451', '360202', '360202451', '浮东分场', 'fudongfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202452', '360202', '360202452', '柏树下分场', 'boshuxiafenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202453', '360202', '360202453', '浮南分场', 'funanfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202454', '360202', '360202454', '浮西分场', 'fuxifenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202455', '360202', '360202455', '南山分场', 'nanshanfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202456', '360202', '360202456', '三宝分场', 'sanbaofenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202457', '360202', '360202457', '黄岭分场', 'huanglingfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202458', '360202', '360202458', '塘坞分场', 'tangwufenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202459', '360202', '360202459', '樟树坑分场', 'zhangshukengfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202460', '360202', '360202460', '磨刀港分场', 'modaogangfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202461', '360202', '360202461', '双桥分场', 'shuangqiaofenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202462', '360202', '360202462', '昌江化工园区', 'changjianghuagongyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202463', '360202', '360202463', '六0二所高科技园', 'liu0ersuogaokejiyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202464', '360202', '360202464', '森林公园', 'senlingongyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360202500', '360202', '360202500', '昌江开发区', 'changjiangkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360203', '3602', '360203', '珠山区', 'zhushanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360203001', '360203', '360203001', '石狮埠街道', 'shishibujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360203002', '360203', '360203002', '新厂街道', 'xinchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360203003', '360203', '360203003', '里村街道', 'licunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360203004', '360203', '360203004', '周路口街道', 'zhoulukoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360203005', '360203', '360203005', '昌江街道', 'changjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360203006', '360203', '360203006', '新村街道', 'xincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360203007', '360203', '360203007', '珠山街道', 'zhushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360203008', '360203', '360203008', '太白园街道', 'taibaiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360203009', '360203', '360203009', '昌河街道', 'changhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360203500', '360203', '360203500', '高新技术开发区', 'gaoxinjishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222', '3602', '360222', '浮梁县', 'fuliangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222100', '360222', '360222100', '浮梁镇', 'fuliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222101', '360222', '360222101', '鹅湖镇', 'ehuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222102', '360222', '360222102', '经公桥镇', 'jinggongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222103', '360222', '360222103', '蛟潭镇', 'jiaotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222104', '360222', '360222104', '湘湖镇', 'xianghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222105', '360222', '360222105', '瑶里镇', 'yaolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222106', '360222', '360222106', '洪源镇', 'hongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222107', '360222', '360222107', '寿安镇', 'shouanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222200', '360222', '360222200', '王港乡', 'wanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222201', '360222', '360222201', '庄湾乡', 'zhuangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222202', '360222', '360222202', '三龙乡', 'sanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222203', '360222', '360222203', '黄坛乡', 'huangtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222204', '360222', '360222204', '兴田乡', 'xingtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222205', '360222', '360222205', '江村乡', 'jiangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222206', '360222', '360222206', '峙滩乡', 'zhitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222207', '360222', '360222207', '勒功乡', 'legongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222208', '360222', '360222208', '西湖乡', 'xihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222400', '360222', '360222400', '罗家垦殖场', 'luojiakenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222401', '360222', '360222401', '庄湾垦殖场', 'zhuangwankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222402', '360222', '360222402', '九龙山垦殖场', 'jiulongshankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222403', '360222', '360222403', '万寿山垦殖场', 'wanshoushankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360222500', '360222', '360222500', '浮梁工业园区', 'fulianggongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281', '3602', '360281', '乐平市', 'lepingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281001', '360281', '360281001', '洎阳街道', 'jiyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281002', '360281', '360281002', '塔山街道', 'tashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281100', '360281', '360281100', '镇桥镇', 'zhenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281101', '360281', '360281101', '乐港镇', 'legangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281102', '360281', '360281102', '涌山镇', 'yongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281103', '360281', '360281103', '众埠镇', 'zhongbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281104', '360281', '360281104', '接渡镇', 'jieduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281105', '360281', '360281105', '洪岩镇', 'hongyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281106', '360281', '360281106', '礼林镇', 'lilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281107', '360281', '360281107', '后港镇', 'hougangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281108', '360281', '360281108', '塔前镇', 'taqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281109', '360281', '360281109', '双田镇', 'shuangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281110', '360281', '360281110', '临港镇', 'lingangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281111', '360281', '360281111', '高家镇', 'gaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281112', '360281', '360281112', '洺口镇', 'mingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281113', '360281', '360281113', '浯口镇', 'wukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281200', '360281', '360281200', '鸬鹚乡', 'lucixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281201', '360281', '360281201', '十里岗乡', 'shiligangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281400', '360281', '360281400', '农业高新园', 'nongyegaoxinyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360281500', '360281', '360281500', '江西乐平工业园区', 'jiangxilepinggongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3603', '36', '3603', '萍乡市', 'pingxiangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360301', '3603', '360301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302', '3603', '360302', '安源区', 'anyuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302001', '360302', '360302001', '东大街街道', 'dongdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302002', '360302', '360302002', '凤凰街街道', 'fenghuangjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302003', '360302', '360302003', '八一街街道', 'bayijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302004', '360302', '360302004', '后埠街街道', 'houbujiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302005', '360302', '360302005', '丹江街街道', 'danjiangjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302006', '360302', '360302006', '白源街街道', 'baiyuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302100', '360302', '360302100', '安源镇', 'anyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302101', '360302', '360302101', '高坑镇', 'gaokengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302102', '360302', '360302102', '五陂镇', 'wupozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302103', '360302', '360302103', '青山镇', 'qingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302104', '360302', '360302104', '城郊管委会', 'chengjiaoguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360302400', '360302', '360302400', '五陂下垦殖场', 'wupoxiakenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313', '3603', '360313', '湘东区', 'xiangdongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313001', '360313', '360313001', '峡山口街道', 'xiashankoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313101', '360313', '360313101', '湘东镇', 'xiangdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313102', '360313', '360313102', '荷尧镇', 'heyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313103', '360313', '360313103', '老关镇', 'laoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313104', '360313', '360313104', '腊市镇', 'lashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313105', '360313', '360313105', '下埠镇', 'xiabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313106', '360313', '360313106', '排上镇', 'paishangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313107', '360313', '360313107', '东桥镇', 'dongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313108', '360313', '360313108', '麻山镇', 'mashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313200', '360313', '360313200', '广寒寨乡', 'guanghanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360313201', '360313', '360313201', '白竺乡', 'baizhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321', '3603', '360321', '莲花县', 'lianhuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321101', '360321', '360321101', '琴亭镇', 'qintingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321102', '360321', '360321102', '路口镇', 'lukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321103', '360321', '360321103', '良坊镇', 'liangfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321104', '360321', '360321104', '升坊镇', 'shengfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321105', '360321', '360321105', '坊楼镇', 'fanglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321200', '360321', '360321200', '闪石乡', 'shanshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321201', '360321', '360321201', '湖上乡', 'hushangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321202', '360321', '360321202', '三板桥乡', 'sanbanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321203', '360321', '360321203', '神泉乡', 'shenquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321204', '360321', '360321204', '六市乡', 'liushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321205', '360321', '360321205', '高洲乡', 'gaozhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321206', '360321', '360321206', '荷塘乡', 'hetangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360321207', '360321', '360321207', '南岭乡', 'nanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360322', '3603', '360322', '上栗县', 'shanglixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360322101', '360322', '360322101', '上栗镇', 'shanglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360322102', '360322', '360322102', '桐木镇', 'tongmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360322103', '360322', '360322103', '金山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360322104', '360322', '360322104', '福田镇', 'futianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360322105', '360322', '360322105', '彭高镇', 'penggaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360322106', '360322', '360322106', '赤山镇', 'chishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360322200', '360322', '360322200', '鸡冠山乡', 'jiguanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360322201', '360322', '360322201', '长平乡', 'zhangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360322202', '360322', '360322202', '东源乡', 'dongyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360323', '3603', '360323', '芦溪县', 'luxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360323101', '360323', '360323101', '芦溪镇', 'luxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360323102', '360323', '360323102', '宣风镇', 'xuanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360323103', '360323', '360323103', '上埠镇', 'shangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360323104', '360323', '360323104', '南坑镇', 'nankengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360323105', '360323', '360323105', '银河镇', 'yinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360323200', '360323', '360323200', '源南乡', 'yuannanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360323201', '360323', '360323201', '长丰乡', 'zhangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360323202', '360323', '360323202', '张佳坊乡', 'zhangjiafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360323203', '360323', '360323203', '新泉乡', 'xinquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360323204', '360323', '360323204', '万龙山乡', 'wanlongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3604', '36', '3604', '九江市', 'jiujiangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360401', '3604', '360401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402', '3604', '360402', '庐山区', 'lushanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402001', '360402', '360402001', '十里街道', 'shilijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402002', '360402', '360402002', '五里街道', 'wulijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402090', '360402', '360402090', '七里湖街道办事处(九江经济开发区)', 'qilihujiedaobanshichu(jiujiangjingjikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402100', '360402', '360402100', '姑塘镇', 'gutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402101', '360402', '360402101', '威家镇', 'weijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402102', '360402', '360402102', '新港镇', 'xingangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402103', '360402', '360402103', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402104', '360402', '360402104', '海会镇', 'haihuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402105', '360402', '360402105', '赛阳镇', 'saiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402176', '360402', '360402176', '牯岭镇', 'gulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402200', '360402', '360402200', '虞家河乡', 'yujiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402470', '360402', '360402470', '庐山茶科所', 'lushanchakesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360402471', '360402', '360402471', '庐山林科所', 'lushanlinkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360403', '3604', '360403', '浔阳区', 'xunyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360403001', '360403', '360403001', '甘棠街道', 'gantangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360403002', '360403', '360403002', '湓浦街道', 'penpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360403003', '360403', '360403003', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360403004', '360403', '360403004', '白水湖街道', 'baishuihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360403005', '360403', '360403005', '金鸡坡街道', 'jinjipojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360403091', '360403', '360403091', '向阳街道办事处(九江经济开发区)', 'xiangyangjiedaobanshichu(jiujiangjingjikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360403092', '360403', '360403092', '滨兴街道办事处(九江经济开发区)', 'binxingjiedaobanshichu(jiujiangjingjikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360403400', '360403', '360403400', '茅山头企业集团', 'maoshantouqiyejituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421', '3604', '360421', '九江县', 'jiujiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421100', '360421', '360421100', '沙河街镇', 'shahejiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421101', '360421', '360421101', '马回岭镇', 'mahuilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421102', '360421', '360421102', '江洲镇', 'jiangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421103', '360421', '360421103', '城子镇', 'chengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421104', '360421', '360421104', '港口街镇', 'gangkoujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421105', '360421', '360421105', '新合镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421106', '360421', '360421106', '狮子镇', 'shizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421200', '360421', '360421200', '永安乡', 'yonganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421201', '360421', '360421201', '涌泉乡', 'yongquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421202', '360421', '360421202', '新塘乡', 'xintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421203', '360421', '360421203', '城门乡', 'chengmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421204', '360421', '360421204', '岷山乡', 'minshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421400', '360421', '360421400', '新洲垦殖场', 'xinzhoukenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421401', '360421', '360421401', '赛城湖水产场', 'saichenghushuichanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421402', '360421', '360421402', '岷山林场', 'minshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360421500', '360421', '360421500', '沙河经济技术开发区', 'shahejingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423', '3604', '360423', '武宁县', 'wuningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423100', '360423', '360423100', '新宁镇', 'xinningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423101', '360423', '360423101', '泉口镇', 'quankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423102', '360423', '360423102', '鲁溪镇', 'luxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423103', '360423', '360423103', '船滩镇', 'chuantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423104', '360423', '360423104', '澧溪镇', 'lixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423105', '360423', '360423105', '罗坪镇', 'luopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423106', '360423', '360423106', '石门楼镇', 'shimenlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423107', '360423', '360423107', '宋溪镇', 'songxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423200', '360423', '360423200', '大洞乡', 'dadongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423201', '360423', '360423201', '横路乡', 'hengluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423202', '360423', '360423202', '官莲乡', 'guanlianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423203', '360423', '360423203', '巾口乡', 'jinkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423204', '360423', '360423204', '东林乡', 'donglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423205', '360423', '360423205', '上汤乡', 'shangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423206', '360423', '360423206', '甫田乡', 'futianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423207', '360423', '360423207', '清江乡', 'qingjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423208', '360423', '360423208', '石渡乡', 'shiduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423209', '360423', '360423209', '杨洲乡', 'yangzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423210', '360423', '360423210', '罗溪乡', 'luoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360423500', '360423', '360423500', '万福经济技术开发区管委会', 'wanfujingjijishukaifaquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424', '3604', '360424', '修水县', 'xiushuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424100', '360424', '360424100', '义宁镇', 'yiningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424101', '360424', '360424101', '白岭镇', 'bailingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424102', '360424', '360424102', '全丰镇', 'quanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424103', '360424', '360424103', '古市镇', 'gushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424104', '360424', '360424104', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424105', '360424', '360424105', '渣津镇', 'zhajinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424106', '360424', '360424106', '马坳镇', 'maaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424107', '360424', '360424107', '杭口镇', 'hangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424108', '360424', '360424108', '港口镇', 'gangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424109', '360424', '360424109', '溪口镇', 'xikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424110', '360424', '360424110', '西港镇', 'xigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424111', '360424', '360424111', '山口镇', 'shankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424112', '360424', '360424112', '黄沙镇', 'huangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424113', '360424', '360424113', '黄港镇', 'huanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424114', '360424', '360424114', '何市镇', 'heshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424115', '360424', '360424115', '上奉镇', 'shangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424116', '360424', '360424116', '四都镇', 'sidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424117', '360424', '360424117', '三都镇', 'sandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424200', '360424', '360424200', '路口乡', 'lukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424201', '360424', '360424201', '黄龙乡', 'huanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424202', '360424', '360424202', '上衫乡', 'shangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424203', '360424', '360424203', '余段乡', 'yuduanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424204', '360424', '360424204', '水源乡', 'shuiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424205', '360424', '360424205', '石坳乡', 'shiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424206', '360424', '360424206', '东港乡', 'donggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424207', '360424', '360424207', '上杭乡', 'shanghangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424208', '360424', '360424208', '程坊乡', 'chengfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424209', '360424', '360424209', '新湾乡', 'xinwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424210', '360424', '360424210', '布甲乡', 'bujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424211', '360424', '360424211', '漫江乡', 'manjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424212', '360424', '360424212', '复源乡', 'fuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424213', '360424', '360424213', '竹坪乡', 'zhupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424214', '360424', '360424214', '征村乡', 'zhengcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424215', '360424', '360424215', '庙岭乡', 'miaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424216', '360424', '360424216', '黄坳乡', 'huangaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360424217', '360424', '360424217', '大椿乡', 'dachunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425', '3604', '360425', '永修县', 'yongxiuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425100', '360425', '360425100', '涂埠镇', 'tubuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425101', '360425', '360425101', '吴城镇', 'wuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425102', '360425', '360425102', '柘林镇', 'zhelinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425103', '360425', '360425103', '虬津镇', 'qiujinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425104', '360425', '360425104', '艾城镇', 'aichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425105', '360425', '360425105', '滩溪镇', 'tanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425106', '360425', '360425106', '白槎镇', 'baichazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425107', '360425', '360425107', '梅棠镇', 'meitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425108', '360425', '360425108', '燕坊镇', 'yanfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425109', '360425', '360425109', '马口镇', 'makouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425180', '360425', '360425180', '江益镇(共青开放开发区)', 'jiangyizhen(gongqingkaifangkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425200', '360425', '360425200', '三角乡', 'sanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425201', '360425', '360425201', '九合乡', 'jiuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425202', '360425', '360425202', '立新乡', 'lixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425203', '360425', '360425203', '江上乡', 'jiangshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425400', '360425', '360425400', '云山企业集团', 'yunshanqiyejituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425401', '360425', '360425401', '恒丰企业集团', 'hengfengqiyejituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425402', '360425', '360425402', '八角岭垦殖场', 'bajiaolingkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425403', '360425', '360425403', '永丰垦殖场', 'yongfengkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425404', '360425', '360425404', '柘林管理局', 'zhelinguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360425405', '360425', '360425405', '县农科所', 'xiannongkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426', '3604', '360426', '德安县', 'deanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426084', '360426', '360426084', '茶山街道办事处(共青开放开发区)', 'chashanjiedaobanshichu(gongqingkaifangkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426100', '360426', '360426100', '蒲亭镇', 'putingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426101', '360426', '360426101', '聂桥镇', 'nieqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426102', '360426', '360426102', '车桥镇', 'cheqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426103', '360426', '360426103', '丰林镇', 'fenglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426182', '360426', '360426182', '甘露镇(共青开放开发区)', 'ganluzhen(gongqingkaifangkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426183', '360426', '360426183', '金湖镇(共青开放开发区)', 'jinhuzhen(gongqingkaifangkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426200', '360426', '360426200', '宝塔乡', 'baotaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426201', '360426', '360426201', '河东乡', 'hedongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426202', '360426', '360426202', '高塘乡', 'gaotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426203', '360426', '360426203', '林泉乡', 'linquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426204', '360426', '360426204', '吴山乡', 'wushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426205', '360426', '360426205', '磨溪乡', 'moxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426206', '360426', '360426206', '爱民乡', 'aiminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426207', '360426', '360426207', '邹桥乡', 'zouqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426208', '360426', '360426208', '塘山乡', 'tangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426400', '360426', '360426400', '彭山林场', 'pengshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360426401', '360426', '360426401', '园艺场', 'yuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427', '3604', '360427', '星子县', 'xingzixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427100', '360427', '360427100', '南康镇', 'nankangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427101', '360427', '360427101', '白鹿镇', 'bailuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427102', '360427', '360427102', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427103', '360427', '360427103', '蓼花镇', 'liaohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427104', '360427', '360427104', '华林镇', 'hualinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427105', '360427', '360427105', '蛟塘镇', 'jiaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427106', '360427', '360427106', '横塘镇', 'hengtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427200', '360427', '360427200', '蓼南乡', 'liaonanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427201', '360427', '360427201', '苏家当乡', 'sujiadangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427202', '360427', '360427202', '泽泉乡', 'zequanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427400', '360427', '360427400', '沙湖山管理处', 'shahushanguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427401', '360427', '360427401', '东牯山林场', 'donggushanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427402', '360427', '360427402', '农科所', 'nongkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360427403', '360427', '360427403', '水稻良种场', 'shuidaoliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428', '3604', '360428', '都昌县', 'douchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428100', '360428', '360428100', '都昌镇', 'douchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428101', '360428', '360428101', '周溪镇', 'zhouxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428102', '360428', '360428102', '三汊港镇', 'sanchagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428103', '360428', '360428103', '中馆镇', 'zhongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428104', '360428', '360428104', '大沙镇', 'dashazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428105', '360428', '360428105', '万户镇', 'wanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428106', '360428', '360428106', '南峰镇', 'nanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428107', '360428', '360428107', '土塘镇', 'tutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428108', '360428', '360428108', '大港镇', 'dagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428109', '360428', '360428109', '蔡岭镇', 'cailingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428110', '360428', '360428110', '徐埠镇', 'xubuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428111', '360428', '360428111', '左里镇', 'zuolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428200', '360428', '360428200', '和合乡', 'hehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428201', '360428', '360428201', '阳峰乡', 'yangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428202', '360428', '360428202', '西源乡', 'xiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428203', '360428', '360428203', '芗溪乡', 'xiangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428204', '360428', '360428204', '狮山乡', 'shishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428205', '360428', '360428205', '鸣山乡', 'mingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428206', '360428', '360428206', '春桥乡', 'chunqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428207', '360428', '360428207', '苏山乡', 'sushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428208', '360428', '360428208', '多宝乡', 'duobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428209', '360428', '360428209', '汪墩乡', 'wangdunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428210', '360428', '360428210', '北山乡', 'beishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428211', '360428', '360428211', '大树乡', 'dashuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428400', '360428', '360428400', '江西省对外经济技术合作蔡岭示范区', 'jiangxishengduiwaijingjijishuhezuocailingshifanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360428401', '360428', '360428401', '都昌县良种场', 'douchangxianliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429', '3604', '360429', '湖口县', 'hukouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429100', '360429', '360429100', '双钟镇', 'shuangzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429101', '360429', '360429101', '流泗镇', 'liusizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429102', '360429', '360429102', '马影镇', 'mayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429103', '360429', '360429103', '武山镇', 'wushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429104', '360429', '360429104', '城山镇', 'chengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429200', '360429', '360429200', '大垅乡', 'dalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429201', '360429', '360429201', '凰村乡', 'huangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429202', '360429', '360429202', '张青乡', 'zhangqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429203', '360429', '360429203', '文桥乡', 'wenqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429204', '360429', '360429204', '付垅乡', 'fulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429205', '360429', '360429205', '舜德乡', 'shundexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429206', '360429', '360429206', '流芳乡', 'liufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429400', '360429', '360429400', '南北港水产场', 'nanbeigangshuichanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360429401', '360429', '360429401', '武山垦殖场', 'wushankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430', '3604', '360430', '彭泽县', 'pengzexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430100', '360430', '360430100', '龙城镇', 'longchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430101', '360430', '360430101', '棉船镇', 'mianchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430102', '360430', '360430102', '马垱镇', 'madangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430103', '360430', '360430103', '芙蓉墩镇', 'furongdunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430104', '360430', '360430104', '定山镇', 'dingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430105', '360430', '360430105', '天红镇', 'tianhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430106', '360430', '360430106', '杨梓镇', 'yangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430107', '360430', '360430107', '东升镇', 'dongshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430108', '360430', '360430108', '浪溪镇', 'langxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430109', '360430', '360430109', '黄花镇', 'huanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430200', '360430', '360430200', '太平关乡', 'taipingguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430201', '360430', '360430201', '黄岭乡', 'huanglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430202', '360430', '360430202', '浩山乡', 'haoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430400', '360430', '360430400', '太泊湖农业综合开发区', 'taibohunongyezonghekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430401', '360430', '360430401', '上十岭综合垦殖场', 'shangshilingzonghekenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430402', '360430', '360430402', '芙蓉农场', 'furongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430403', '360430', '360430403', '建筑材料厂', 'jianzhucailiaochang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430404', '360430', '360430404', '水产养殖场', 'shuichanyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430405', '360430', '360430405', '棉科所', 'miankesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430406', '360430', '360430406', '棉花原种场国营分场', 'mianhuayuanzhongchangguoyingfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430407', '360430', '360430407', '太泊湖水产养殖场', 'taibohushuichanyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360430408', '360430', '360430408', '黄乐林场', 'huanglelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481', '3604', '360481', '瑞昌市', 'ruichangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481001', '360481', '360481001', '湓城街道', 'penchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481002', '360481', '360481002', '桂林街道', 'guilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481100', '360481', '360481100', '码头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481101', '360481', '360481101', '白杨镇', 'baiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481102', '360481', '360481102', '南义镇', 'nanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481103', '360481', '360481103', '横港镇', 'henggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481104', '360481', '360481104', '范镇', 'fanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481105', '360481', '360481105', '肇陈镇', 'zhaochenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481106', '360481', '360481106', '高丰镇', 'gaofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481107', '360481', '360481107', '夏畈镇', 'xiafanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481200', '360481', '360481200', '乐园乡', 'leyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481201', '360481', '360481201', '洪一乡', 'hongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481202', '360481', '360481202', '花园乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481203', '360481', '360481203', '洪下乡', 'hongxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481204', '360481', '360481204', '武蛟乡', 'wujiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481205', '360481', '360481205', '横立山乡', 'henglishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481206', '360481', '360481206', '黄金乡', 'huangjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481207', '360481', '360481207', '南阳乡', 'nanyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481400', '360481', '360481400', '赛湖农场', 'saihunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481401', '360481', '360481401', '青山林场', 'qingshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360481402', '360481', '360481402', '瑞昌市大德山林场', 'ruichangshidadeshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3605', '36', '3605', '新余市', 'xinyushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360501', '3605', '360501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502', '3605', '360502', '渝水区', 'yushuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502001', '360502', '360502001', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502002', '360502', '360502002', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502003', '360502', '360502003', '袁河街道', 'yuanhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502100', '360502', '360502100', '水北镇', 'shuibeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502101', '360502', '360502101', '下村镇', 'xiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502102', '360502', '360502102', '良山镇', 'liangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502103', '360502', '360502103', '罗坊镇', 'luofangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502104', '360502', '360502104', '姚圩镇', 'yaoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502105', '360502', '360502105', '珠珊镇', 'zhushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502106', '360502', '360502106', '观巢镇', 'guanchaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502107', '360502', '360502107', '欧里镇', 'oulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502170', '360502', '360502170', '河下镇(仙女湖管理区)', 'hexiazhen(xiannu:huguanliqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502190', '360502', '360502190', '水西镇(经济技术开发区)', 'shuixizhen(jingjijishukaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502200', '360502', '360502200', '鹄山乡', 'hushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502201', '360502', '360502201', '人和乡', 'renhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502202', '360502', '360502202', '界水乡', 'jieshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502203', '360502', '360502203', '南安乡', 'nananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502204', '360502', '360502204', '新溪乡', 'xinxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502271', '360502', '360502271', '九龙山乡(仙女湖管理区)', 'jiulongshanxiang(xiannu:huguanliqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360502400', '360502', '360502400', '新钢街道', 'xingangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521', '3605', '360521', '分宜县', 'fenyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521100', '360521', '360521100', '分宜镇', 'fenyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521101', '360521', '360521101', '杨桥镇', 'yangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521102', '360521', '360521102', '湖泽镇', 'huzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521103', '360521', '360521103', '双林镇', 'shuanglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521104', '360521', '360521104', '钤山镇', 'qianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521200', '360521', '360521200', '凤阳乡', 'fengyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521201', '360521', '360521201', '洞村乡', 'dongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521202', '360521', '360521202', '高岚乡', 'gaolanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521203', '360521', '360521203', '操场乡', 'caochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521204', '360521', '360521204', '洋江乡', 'yangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521400', '360521', '360521400', '分宜县芳山林场', 'fenyixianfangshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521402', '360521', '360521402', '山下林场', 'shanxialinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521403', '360521', '360521403', '上村林场', 'shangcunlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521404', '360521', '360521404', '长埠林场', 'zhangbulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521473', '360521', '360521473', '东坑林场(仙女湖管理区)', 'dongkenglinchang(xiannu:huguanliqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360521500', '360521', '360521500', '城西工业园管理委员会(乡级开发区)', 'chengxigongyeyuanguanliweiyuanhui(xiangjikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3606', '36', '3606', '鹰潭市', 'yingtanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360601', '3606', '360601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360602', '3606', '360602', '月湖区', 'yuehuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360602001', '360602', '360602001', '江边街道', 'jiangbianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360602002', '360602', '360602002', '交通街道', 'jiaotongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360602003', '360602', '360602003', '东湖街道', 'donghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360602004', '360602', '360602004', '梅园街道', 'meiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360602005', '360602', '360602005', '四青街道', 'siqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360602006', '360602', '360602006', '白露街道', 'bailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360602100', '360602', '360602100', '童家镇', 'tongjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360602200', '360602', '360602200', '夏埠乡', 'xiabuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622', '3606', '360622', '余江县', 'yujiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622100', '360622', '360622100', '邓埠镇', 'dengbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622101', '360622', '360622101', '锦江镇', 'jinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622102', '360622', '360622102', '潢溪镇', 'huangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622103', '360622', '360622103', '中童镇', 'zhongtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622104', '360622', '360622104', '马荃镇', 'maquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622105', '360622', '360622105', '画桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622200', '360622', '360622200', '平定乡', 'pingdingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622201', '360622', '360622201', '春涛乡', 'chuntaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622202', '360622', '360622202', '杨溪乡', 'yangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622203', '360622', '360622203', '洪湖乡', 'honghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622204', '360622', '360622204', '黄庄乡', 'huangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622400', '360622', '360622400', '高公寨营林场', 'gaogongzhaiyinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622401', '360622', '360622401', '刘家站垦殖场', 'liujiazhankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622402', '360622', '360622402', '邓家埠水稻原种场', 'dengjiabushuidaoyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622403', '360622', '360622403', '余江县水产场', 'yujiangxianshuichanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622404', '360622', '360622404', '塘潮源林场', 'tangchaoyuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622405', '360622', '360622405', '张公桥农场', 'zhanggongqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622406', '360622', '360622406', '青年综合垦殖场', 'qingnianzonghekenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622407', '360622', '360622407', '大桥农场', 'daqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360622500', '360622', '360622500', '余江县工业园区', 'yujiangxiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681', '3606', '360681', '贵溪市', 'guixishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681001', '360681', '360681001', '花园街道', 'huayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681002', '360681', '360681002', '雄石街道', 'xiongshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681003', '360681', '360681003', '东门街道', 'dongmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681100', '360681', '360681100', '泗沥镇', 'silizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681101', '360681', '360681101', '河潭镇', 'hetanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681102', '360681', '360681102', '周坊镇', 'zhoufangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681103', '360681', '360681103', '鸿塘镇', 'hongtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681104', '360681', '360681104', '志光镇', 'zhiguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681105', '360681', '360681105', '流口镇', 'liukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681106', '360681', '360681106', '罗河镇', 'luohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681107', '360681', '360681107', '金屯镇', 'jintunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681108', '360681', '360681108', '塘湾镇', 'tangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681109', '360681', '360681109', '文坊镇', 'wenfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681110', '360681', '360681110', '冷水镇', 'lengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681200', '360681', '360681200', '滨江乡', 'binjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681201', '360681', '360681201', '白田乡', 'baitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681202', '360681', '360681202', '雷溪乡', 'leixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681203', '360681', '360681203', '彭湾乡', 'pengwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681204', '360681', '360681204', '樟坪畲族乡', 'zhangpingshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681205', '360681', '360681205', '耳口乡', 'erkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681206', '360681', '360681206', '余家乡', 'yujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681400', '360681', '360681400', '塔桥园艺场', 'taqiaoyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681401', '360681', '360681401', '河潭埠垦殖场', 'hetanbukenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681402', '360681', '360681402', '西窑林场', 'xiyaolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681403', '360681', '360681403', '双圳林场', 'shuangzhenlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681404', '360681', '360681404', '耳口林场', 'erkoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681405', '360681', '360681405', '冷水林场', 'lengshuilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681406', '360681', '360681406', '三县岭林场', 'sanxianlinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360681500', '360681', '360681500', '贵溪市工业园区', 'guixishigongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3607', '36', '3607', '赣州市', 'ganzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360701', '3607', '360701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702', '3607', '360702', '章贡区', 'zhanggongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702001', '360702', '360702001', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702002', '360702', '360702002', '赣江街道', 'ganjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702003', '360702', '360702003', '南外街道', 'nanwaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702004', '360702', '360702004', '东外街道', 'dongwaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702091', '360702', '360702091', '黄金岭街道办事处(黄金开发区)', 'huangjinlingjiedaobanshichu(huangjinkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702100', '360702', '360702100', '沙石镇', 'shashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702101', '360702', '360702101', '水东镇', 'shuidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702102', '360702', '360702102', '水南镇', 'shuinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702103', '360702', '360702103', '湖边镇', 'hubianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702104', '360702', '360702104', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702105', '360702', '360702105', '水西镇', 'shuixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702190', '360702', '360702190', '蟠龙镇(黄金开发区)', 'panlongzhen(huangjinkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702500', '360702', '360702500', '赣南工业园', 'gannangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360702501', '360702', '360702501', '沙河工业园', 'shahegongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721', '3607', '360721', '赣县', 'ganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721100', '360721', '360721100', '梅林镇', 'meilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721101', '360721', '360721101', '王母渡镇', 'wangmuduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721102', '360721', '360721102', '沙地镇', 'shadizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721103', '360721', '360721103', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721104', '360721', '360721104', '田村镇', 'tiancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721105', '360721', '360721105', '南塘镇', 'nantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721106', '360721', '360721106', '茅店镇', 'maodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721107', '360721', '360721107', '吉埠镇', 'jibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721108', '360721', '360721108', '五云镇', 'wuyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721200', '360721', '360721200', '韩坊乡', 'hanfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721201', '360721', '360721201', '阳埠乡', 'yangbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721202', '360721', '360721202', '大埠乡', 'dabuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721203', '360721', '360721203', '长洛乡', 'zhangluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721204', '360721', '360721204', '大田乡', 'datianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721205', '360721', '360721205', '湖江乡', 'hujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721206', '360721', '360721206', '储潭乡', 'chutanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721207', '360721', '360721207', '石芫乡', 'shiyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721208', '360721', '360721208', '三溪乡', 'sanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721209', '360721', '360721209', '白鹭乡', 'bailuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360721500', '360721', '360721500', '赣县工业园', 'ganxiangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722', '3607', '360722', '信丰县', 'xinfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722100', '360722', '360722100', '嘉定镇', 'jiadingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722101', '360722', '360722101', '大塘埠镇', 'datangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722102', '360722', '360722102', '古陂镇', 'gupozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722103', '360722', '360722103', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722104', '360722', '360722104', '新田镇', 'xintianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722105', '360722', '360722105', '安西镇', 'anxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722106', '360722', '360722106', '小江镇', 'xiaojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722107', '360722', '360722107', '铁石口镇', 'tieshikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722108', '360722', '360722108', '大阿镇', 'daazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722109', '360722', '360722109', '油山镇', 'youshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722110', '360722', '360722110', '小河镇', 'xiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722111', '360722', '360722111', '西牛镇', 'xiniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722112', '360722', '360722112', '正平镇', 'zhengpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722200', '360722', '360722200', '虎山乡', 'hushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722201', '360722', '360722201', '崇仙乡', 'chongxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722202', '360722', '360722202', '万隆乡', 'wanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360722500', '360722', '360722500', '信丰县工业园', 'xinfengxiangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723', '3607', '360723', '大余县', 'dayuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723100', '360723', '360723100', '南安镇', 'nananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723101', '360723', '360723101', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723102', '360723', '360723102', '樟斗镇', 'zhangdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723103', '360723', '360723103', '池江镇', 'chijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723104', '360723', '360723104', '青龙镇', 'qinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723105', '360723', '360723105', '左拔镇', 'zuobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723106', '360723', '360723106', '黄龙镇', 'huanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723107', '360723', '360723107', '吉村镇', 'jicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723200', '360723', '360723200', '浮江乡', 'fujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723201', '360723', '360723201', '河洞乡', 'hedongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723202', '360723', '360723202', '内良乡', 'neiliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360723500', '360723', '360723500', '新世纪工业园', 'xinshijigongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724', '3607', '360724', '上犹县', 'shangyouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724100', '360724', '360724100', '东山镇', 'dongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724101', '360724', '360724101', '陡水镇', 'doushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724102', '360724', '360724102', '社溪镇', 'shexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724103', '360724', '360724103', '营前镇', 'yingqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724104', '360724', '360724104', '黄埠镇', 'huangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724200', '360724', '360724200', '梅水乡', 'meishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724201', '360724', '360724201', '油石乡', 'youshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724202', '360724', '360724202', '安和乡', 'anhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724203', '360724', '360724203', '寺下乡', 'sixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724204', '360724', '360724204', '双溪乡', 'shuangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724205', '360724', '360724205', '水岩乡', 'shuiyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724206', '360724', '360724206', '平富乡', 'pingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724207', '360724', '360724207', '五指峰乡', 'wuzhifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724208', '360724', '360724208', '紫阳乡', 'ziyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360724500', '360724', '360724500', '上犹县黄埠工业区', 'shangyouxianhuangbugongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725', '3607', '360725', '崇义县', 'chongyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725100', '360725', '360725100', '横水镇', 'hengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725101', '360725', '360725101', '扬眉镇', 'yangmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725102', '360725', '360725102', '过埠镇', 'guobuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725103', '360725', '360725103', '铅厂镇', 'qianchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725104', '360725', '360725104', '长龙镇', 'zhanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725105', '360725', '360725105', '关田镇', 'guantianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725200', '360725', '360725200', '龙勾乡', 'longgouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725201', '360725', '360725201', '杰坝乡', 'jiebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725202', '360725', '360725202', '金坑乡', 'jinkengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725203', '360725', '360725203', '思顺乡', 'sishunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725204', '360725', '360725204', '麟潭乡', 'lintanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725205', '360725', '360725205', '上堡乡', 'shangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725206', '360725', '360725206', '聂都乡', 'niedouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725207', '360725', '360725207', '文英乡', 'wenyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725208', '360725', '360725208', '乐洞乡', 'ledongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725209', '360725', '360725209', '丰州乡', 'fengzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360725400', '360725', '360725400', '天台山林场', 'tiantaishanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726', '3607', '360726', '安远县', 'anyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726100', '360726', '360726100', '欣山镇', 'xinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726101', '360726', '360726101', '孔田镇', 'kongtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726102', '360726', '360726102', '版石镇', 'banshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726103', '360726', '360726103', '天心镇', 'tianxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726104', '360726', '360726104', '龙布镇', 'longbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726105', '360726', '360726105', '鹤子镇', 'hezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726106', '360726', '360726106', '三百山镇', 'sanbaishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726107', '360726', '360726107', '车头镇', 'chetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726200', '360726', '360726200', '镇岗乡', 'zhengangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726201', '360726', '360726201', '凤山乡', 'fengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726202', '360726', '360726202', '新龙乡', 'xinlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726203', '360726', '360726203', '蔡坊乡', 'caifangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726204', '360726', '360726204', '重石乡', 'zhongshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726205', '360726', '360726205', '长沙乡', 'zhangshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726206', '360726', '360726206', '浮槎乡', 'fuchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726207', '360726', '360726207', '双芫乡', 'shuangyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726208', '360726', '360726208', '塘村乡', 'tangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726209', '360726', '360726209', '高云山乡', 'gaoyunshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360726500', '360726', '360726500', '九龙工业园', 'jiulonggongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727', '3607', '360727', '龙南县', 'longnanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727100', '360727', '360727100', '龙南镇', 'longnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727101', '360727', '360727101', '武当镇', 'wudangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727102', '360727', '360727102', '杨村镇', 'yangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727103', '360727', '360727103', '汶龙镇', 'wenlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727104', '360727', '360727104', '程龙镇', 'chenglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727105', '360727', '360727105', '关西镇', 'guanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727106', '360727', '360727106', '里仁镇', 'lirenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727107', '360727', '360727107', '渡江镇', 'dujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727200', '360727', '360727200', '桃江乡', 'taojiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727201', '360727', '360727201', '东江乡', 'dongjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727202', '360727', '360727202', '临塘乡', 'lintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727203', '360727', '360727203', '南亨乡', 'nanhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727204', '360727', '360727204', '夹湖乡', 'jiahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727400', '360727', '360727400', '安基山林场', 'anjishanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727401', '360727', '360727401', '九连山林场', 'jiulianshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360727500', '360727', '360727500', '金塘开发区', 'jintangkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360728', '3607', '360728', '定南县', 'dingnanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360728100', '360728', '360728100', '历市镇', 'lishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360728101', '360728', '360728101', '岿美山镇', 'kuimeishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360728102', '360728', '360728102', '老城镇', 'laochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360728103', '360728', '360728103', '天九镇', 'tianjiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360728104', '360728', '360728104', '龙塘镇', 'longtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360728105', '360728', '360728105', '岭北镇', 'lingbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360728106', '360728', '360728106', '鹅公镇', 'egongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360728500', '360728', '360728500', '定南县工业园', 'dingnanxiangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729', '3607', '360729', '全南县', 'quannanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729100', '360729', '360729100', '城厢镇', 'chengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729101', '360729', '360729101', '大吉山镇', 'dajishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729102', '360729', '360729102', '陂头镇', 'potouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729103', '360729', '360729103', '金龙镇', 'jinlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729104', '360729', '360729104', '南迳镇', 'nanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729105', '360729', '360729105', '龙源坝镇', 'longyuanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729200', '360729', '360729200', '中寨乡', 'zhongzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729201', '360729', '360729201', '社迳乡', 'shejingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729202', '360729', '360729202', '龙下乡', 'longxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729400', '360729', '360729400', '大吉山矿社区管理委员会', 'dajishankuangshequguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729401', '360729', '360729401', '茅山林场', 'maoshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360729500', '360729', '360729500', '全南县工业园', 'quannanxiangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730', '3607', '360730', '宁都县', 'ningdouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730100', '360730', '360730100', '梅江镇', 'meijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730101', '360730', '360730101', '青塘镇', 'qingtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730102', '360730', '360730102', '长胜镇', 'zhangshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730103', '360730', '360730103', '黄陂镇', 'huangpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730104', '360730', '360730104', '固村镇', 'gucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730105', '360730', '360730105', '赖村镇', 'laicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730106', '360730', '360730106', '石上镇', 'shishangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730107', '360730', '360730107', '东山坝镇', 'dongshanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730108', '360730', '360730108', '洛口镇', 'luokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730109', '360730', '360730109', '小布镇', 'xiaobuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730110', '360730', '360730110', '黄石镇', 'huangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730111', '360730', '360730111', '田头镇', 'tiantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730200', '360730', '360730200', '竹笮乡', 'zhuzexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730201', '360730', '360730201', '对坊乡', 'duifangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730202', '360730', '360730202', '固厚乡', 'guhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730203', '360730', '360730203', '田埠乡', 'tianbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730204', '360730', '360730204', '会同乡', 'huitongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730205', '360730', '360730205', '湛田乡', 'zhantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730206', '360730', '360730206', '安福乡', 'anfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730207', '360730', '360730207', '东韶乡', 'dongshaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730208', '360730', '360730208', '肖田乡', 'xiaotianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730209', '360730', '360730209', '钓峰乡', 'diaofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730210', '360730', '360730210', '大沽乡', 'daguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730211', '360730', '360730211', '蔡江乡', 'caijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360730500', '360730', '360730500', '宁都县水东工业园', 'ningdouxianshuidonggongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731', '3607', '360731', '于都县', 'yudouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731100', '360731', '360731100', '贡江镇', 'gongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731101', '360731', '360731101', '铁山垅镇', 'tieshanlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731102', '360731', '360731102', '盘古山镇', 'pangushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731103', '360731', '360731103', '禾丰镇', 'hefengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731104', '360731', '360731104', '祁禄山镇', 'qilushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731105', '360731', '360731105', '梓山镇', 'zishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731106', '360731', '360731106', '银坑镇', 'yinkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731107', '360731', '360731107', '岭背镇', 'lingbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731108', '360731', '360731108', '罗坳镇', 'luoaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731200', '360731', '360731200', '罗江乡', 'luojiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731201', '360731', '360731201', '小溪乡', 'xiaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731202', '360731', '360731202', '利村乡', 'licunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731203', '360731', '360731203', '新陂乡', 'xinpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731204', '360731', '360731204', '靖石乡', 'jingshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731205', '360731', '360731205', '黄麟乡', 'huanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731206', '360731', '360731206', '沙心乡', 'shaxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731207', '360731', '360731207', '宽田乡', 'kuantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731208', '360731', '360731208', '葛坳乡', 'geaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731209', '360731', '360731209', '桥头乡', 'qiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731210', '360731', '360731210', '马安乡', 'maanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731211', '360731', '360731211', '仙下乡', 'xianxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731212', '360731', '360731212', '车溪乡', 'chexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731213', '360731', '360731213', '段屋乡', 'duanwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360731500', '360731', '360731500', '于都工业园', 'yudougongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732', '3607', '360732', '兴国县', 'xingguoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732100', '360732', '360732100', '潋江镇', 'lianjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732101', '360732', '360732101', '江背镇', 'jiangbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732102', '360732', '360732102', '古龙冈镇', 'gulonggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732103', '360732', '360732103', '梅窖镇', 'meijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732104', '360732', '360732104', '高兴镇', 'gaoxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732105', '360732', '360732105', '良村镇', 'liangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732106', '360732', '360732106', '龙口镇', 'longkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732200', '360732', '360732200', '兴江乡', 'xingjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732201', '360732', '360732201', '樟木乡', 'zhangmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732202', '360732', '360732202', '东村乡', 'dongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732203', '360732', '360732203', '兴莲乡', 'xinglianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732204', '360732', '360732204', '杰村乡', 'jiecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732205', '360732', '360732205', '社富乡', 'shefuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732206', '360732', '360732206', '埠头乡', 'butouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732207', '360732', '360732207', '永丰乡', 'yongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732208', '360732', '360732208', '隆坪乡', 'longpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732209', '360732', '360732209', '均村乡', 'juncunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732210', '360732', '360732210', '茶园乡', 'chayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732211', '360732', '360732211', '崇贤乡', 'chongxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732212', '360732', '360732212', '枫边乡', 'fengbianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732213', '360732', '360732213', '南坑乡', 'nankengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732214', '360732', '360732214', '城岗乡', 'chenggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732215', '360732', '360732215', '方太乡', 'fangtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732216', '360732', '360732216', '鼎龙乡', 'dinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732217', '360732', '360732217', '长冈乡', 'zhanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360732500', '360732', '360732500', '兴国县工业园', 'xingguoxiangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733', '3607', '360733', '会昌县', 'huichangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733100', '360733', '360733100', '文武坝镇', 'wenwubazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733101', '360733', '360733101', '筠门岭镇', 'yunmenlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733102', '360733', '360733102', '西江镇', 'xijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733103', '360733', '360733103', '周田镇', 'zhoutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733104', '360733', '360733104', '麻州镇', 'mazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733105', '360733', '360733105', '庄口镇', 'zhuangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733200', '360733', '360733200', '清溪乡', 'qingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733201', '360733', '360733201', '右水乡', 'youshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733202', '360733', '360733202', '高排乡', 'gaopaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733203', '360733', '360733203', '晓龙乡', 'xiaolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733204', '360733', '360733204', '珠兰乡', 'zhulanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733205', '360733', '360733205', '洞头乡', 'dongtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733206', '360733', '360733206', '中村乡', 'zhongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733207', '360733', '360733207', '站塘乡', 'zhantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733208', '360733', '360733208', '永隆乡', 'yonglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733209', '360733', '360733209', '富城乡', 'fuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733210', '360733', '360733210', '小密乡', 'xiaomixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733211', '360733', '360733211', '庄埠乡', 'zhuangbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733212', '360733', '360733212', '白鹅乡', 'baiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360733500', '360733', '360733500', '会昌县燕子窝工业园', 'huichangxianyanziwogongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734', '3607', '360734', '寻乌县', 'xunwuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734100', '360734', '360734100', '长宁镇', 'zhangningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734101', '360734', '360734101', '晨光镇', 'chenguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734102', '360734', '360734102', '留车镇', 'liuchezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734103', '360734', '360734103', '南桥镇', 'nanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734104', '360734', '360734104', '吉潭镇', 'jitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734105', '360734', '360734105', '澄江镇', 'chengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734106', '360734', '360734106', '桂竹帽镇', 'guizhumaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734200', '360734', '360734200', '文峰乡', 'wenfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734201', '360734', '360734201', '三标乡', 'sanbiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734202', '360734', '360734202', '菖蒲乡', 'changpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734203', '360734', '360734203', '龙廷乡', 'longtingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734204', '360734', '360734204', '丹溪乡', 'danxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734205', '360734', '360734205', '项山乡', 'xiangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734206', '360734', '360734206', '水源乡', 'shuiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360734207', '360734', '360734207', '罗珊乡', 'luoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360735', '3607', '360735', '石城县', 'shichengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360735100', '360735', '360735100', '琴江镇', 'qinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360735101', '360735', '360735101', '小松镇', 'xiaosongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360735102', '360735', '360735102', '屏山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360735103', '360735', '360735103', '横江镇', 'hengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360735104', '360735', '360735104', '高田镇', 'gaotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360735200', '360735', '360735200', '木兰乡', 'mulanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360735201', '360735', '360735201', '丰山乡', 'fengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360735202', '360735', '360735202', '大由乡', 'dayouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360735203', '360735', '360735203', '龙岗乡', 'longgangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360735204', '360735', '360735204', '珠坑乡', 'zhukengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781', '3607', '360781', '瑞金市', 'ruijinshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781100', '360781', '360781100', '象湖镇', 'xianghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781101', '360781', '360781101', '瑞林镇', 'ruilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781102', '360781', '360781102', '壬田镇', 'rentianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781103', '360781', '360781103', '九堡镇', 'jiubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781104', '360781', '360781104', '沙洲坝镇', 'shazhoubazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781105', '360781', '360781105', '谢坊镇', 'xiefangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781106', '360781', '360781106', '武阳镇', 'wuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781200', '360781', '360781200', '叶坪乡', 'yepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781201', '360781', '360781201', '丁陂乡', 'dingpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781202', '360781', '360781202', '大柏地乡', 'dabodixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781203', '360781', '360781203', '岗面乡', 'gangmianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781204', '360781', '360781204', '日东乡', 'ridongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781205', '360781', '360781205', '万田乡', 'wantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781206', '360781', '360781206', '黄柏乡', 'huangboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781207', '360781', '360781207', '云石山乡', 'yunshishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781208', '360781', '360781208', '泽覃乡', 'zetanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781209', '360781', '360781209', '拔英乡', 'bayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360781500', '360781', '360781500', '瑞金市工业园', 'ruijinshigongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782', '3607', '360782', '南康市', 'nankangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782001', '360782', '360782001', '蓉江街道', 'rongjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782002', '360782', '360782002', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782100', '360782', '360782100', '唐江镇', 'tangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782101', '360782', '360782101', '凤岗镇', 'fenggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782102', '360782', '360782102', '潭口镇', 'tankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782103', '360782', '360782103', '龙岭镇', 'longlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782104', '360782', '360782104', '龙回镇', 'longhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782105', '360782', '360782105', '镜坝镇', 'jingbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782106', '360782', '360782106', '横市镇', 'hengshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782192', '360782', '360782192', '潭东镇(黄金开发区)', 'tandongzhen(huangjinkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782200', '360782', '360782200', '浮石乡', 'fushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782201', '360782', '360782201', '赤土畲族乡', 'chitushezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782202', '360782', '360782202', '横寨乡', 'hengzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782203', '360782', '360782203', '朱坊乡', 'zhufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782204', '360782', '360782204', '太窝乡', 'taiwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782205', '360782', '360782205', '三江乡', 'sanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782206', '360782', '360782206', '龙华乡', 'longhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782207', '360782', '360782207', '十八塘乡', 'shibatangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782208', '360782', '360782208', '麻双乡', 'mashuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782209', '360782', '360782209', '大坪乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782210', '360782', '360782210', '坪市乡', 'pingshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782211', '360782', '360782211', '隆木乡', 'longmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360782500', '360782', '360782500', '南康市工业园', 'nankangshigongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3608', '36', '3608', '吉安市', 'jianshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360801', '3608', '360801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802', '3608', '360802', '吉州区', 'jizhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802001', '360802', '360802001', '古南街道', 'gunanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802002', '360802', '360802002', '永叔街道', 'yongshujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802003', '360802', '360802003', '文山街道', 'wenshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802004', '360802', '360802004', '习溪桥街道', 'xixiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802005', '360802', '360802005', '北门街道', 'beimenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802006', '360802', '360802006', '白塘街道', 'baitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802100', '360802', '360802100', '兴桥镇', 'xingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802101', '360802', '360802101', '樟山镇', 'zhangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802102', '360802', '360802102', '长塘镇', 'zhangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802200', '360802', '360802200', '禾埠乡', 'hebuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802202', '360802', '360802202', '曲濑乡', 'qulaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360802500', '360802', '360802500', '吉州区工业园小区', 'jizhouqugongyeyuanxiaoqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360803', '3608', '360803', '青原区', 'qingyuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360803001', '360803', '360803001', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360803100', '360803', '360803100', '天玉镇', 'tianyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360803101', '360803', '360803101', '值夏镇', 'zhixiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360803102', '360803', '360803102', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360803103', '360803', '360803103', '富滩镇', 'futanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360803104', '360803', '360803104', '富田镇', 'futianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360803200', '360803', '360803200', '文陂乡', 'wenpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360803201', '360803', '360803201', '东固畲族少数民族乡', 'donggushezushaoshuminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360803400', '360803', '360803400', '东固垦殖场', 'donggukenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360803500', '360803', '360803500', '青原区河东经济开发区', 'qingyuanquhedongjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821', '3608', '360821', '吉安县', 'jianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821100', '360821', '360821100', '敦厚镇', 'dunhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821101', '360821', '360821101', '永阳镇', 'yongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821102', '360821', '360821102', '天河镇', 'tianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821103', '360821', '360821103', '横江镇', 'hengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821104', '360821', '360821104', '固江镇', 'gujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821105', '360821', '360821105', '万福镇', 'wanfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821106', '360821', '360821106', '永和镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821107', '360821', '360821107', '桐坪镇', 'tongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821108', '360821', '360821108', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821109', '360821', '360821109', '油田镇', 'youtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821110', '360821', '360821110', '敖城镇', 'aochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821200', '360821', '360821200', '北源乡', 'beiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821201', '360821', '360821201', '大冲乡', 'dachongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821202', '360821', '360821202', '里田乡', 'litianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821203', '360821', '360821203', '梅塘乡', 'meitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821204', '360821', '360821204', '登龙乡', 'denglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821205', '360821', '360821205', '安塘乡', 'antangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821206', '360821', '360821206', '官田乡', 'guantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821207', '360821', '360821207', '指阳乡', 'zhiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821500', '360821', '360821500', '吉安市高新技术开发区', 'jianshigaoxinjishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360821501', '360821', '360821501', '吉安县工业园区', 'jianxiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822', '3608', '360822', '吉水县', 'jishuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822100', '360822', '360822100', '文峰镇', 'wenfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822101', '360822', '360822101', '阜田镇', 'futianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822102', '360822', '360822102', '盘谷镇', 'panguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822103', '360822', '360822103', '枫江镇', 'fengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822104', '360822', '360822104', '黄桥镇', 'huangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822105', '360822', '360822105', '金滩镇', 'jintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822106', '360822', '360822106', '八都镇', 'badouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822107', '360822', '360822107', '双村镇', 'shuangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822108', '360822', '360822108', '醪桥镇', 'laoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822109', '360822', '360822109', '螺田镇', 'luotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822110', '360822', '360822110', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822111', '360822', '360822111', '白水镇', 'baishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822112', '360822', '360822112', '丁江镇', 'dingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822113', '360822', '360822113', '乌江镇', 'wujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822114', '360822', '360822114', '水南镇', 'shuinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822200', '360822', '360822200', '尚贤乡', 'shangxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822201', '360822', '360822201', '水田乡', 'shuitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822202', '360822', '360822202', '冠山乡', 'guanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360822500', '360822', '360822500', '吉水县工业园区', 'jishuixiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823', '3608', '360823', '峡江县', 'xiajiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823100', '360823', '360823100', '水边镇', 'shuibianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823101', '360823', '360823101', '马埠镇', 'mabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823102', '360823', '360823102', '巴邱镇', 'baqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823103', '360823', '360823103', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823104', '360823', '360823104', '砚溪镇', 'yanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823105', '360823', '360823105', '罗田镇', 'luotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823200', '360823', '360823200', '桐林乡', 'tonglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823201', '360823', '360823201', '福民乡', 'fuminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823202', '360823', '360823202', '戈坪乡', 'gepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823203', '360823', '360823203', '金江乡', 'jinjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823400', '360823', '360823400', '金坪华侨农场', 'jinpinghuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360823500', '360823', '360823500', '峡江县工业园区', 'xiajiangxiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824', '3608', '360824', '新干县', 'xinganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824100', '360824', '360824100', '金川镇', 'jinchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824101', '360824', '360824101', '三湖镇', 'sanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824102', '360824', '360824102', '大洋洲镇', 'dayangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824103', '360824', '360824103', '七琴镇', 'qiqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824104', '360824', '360824104', '麦斜镇', 'maixiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824200', '360824', '360824200', '溧江乡', 'lijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824201', '360824', '360824201', '桃溪乡', 'taoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824202', '360824', '360824202', '城上乡', 'chengshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824203', '360824', '360824203', '潭丘乡', 'tanqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824204', '360824', '360824204', '神政桥乡', 'shenzhengqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824205', '360824', '360824205', '沂江乡', 'yijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824206', '360824', '360824206', '界埠乡', 'jiebuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824207', '360824', '360824207', '荷浦乡', 'hepuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824400', '360824', '360824400', '洋峰农场', 'yangfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824401', '360824', '360824401', '黎山林场', 'lishanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824403', '360824', '360824403', '263地质大队', '263dizhidadui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360824500', '360824', '360824500', '新干工业园区', 'xingangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825', '3608', '360825', '永丰县', 'yongfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825100', '360825', '360825100', '恩江镇', 'enjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825101', '360825', '360825101', '坑田镇', 'kengtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825102', '360825', '360825102', '沿陂镇', 'yanpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825103', '360825', '360825103', '古县镇', 'guxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825104', '360825', '360825104', '瑶田镇', 'yaotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825105', '360825', '360825105', '藤田镇', 'tengtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825106', '360825', '360825106', '石马镇', 'shimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825107', '360825', '360825107', '沙溪镇', 'shaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825200', '360825', '360825200', '佐龙乡', 'zuolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825201', '360825', '360825201', '八江乡', 'bajiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825202', '360825', '360825202', '潭城乡', 'tanchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825203', '360825', '360825203', '鹿冈乡', 'lugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825204', '360825', '360825204', '七都乡', 'qidouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825205', '360825', '360825205', '陶塘乡', 'taotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825206', '360825', '360825206', '中村乡', 'zhongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825207', '360825', '360825207', '上溪乡', 'shangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825208', '360825', '360825208', '潭头乡', 'tantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825209', '360825', '360825209', '三坊乡', 'sanfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825210', '360825', '360825210', '上固乡', 'shangguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825211', '360825', '360825211', '君埠乡', 'junbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825212', '360825', '360825212', '龙冈畲族乡', 'longgangshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825400', '360825', '360825400', '罗铺垦殖场', 'luopukenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825402', '360825', '360825402', '官山林场', 'guanshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360825500', '360825', '360825500', '永丰县工业园区', 'yongfengxiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826', '3608', '360826', '泰和县', 'taihexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826100', '360826', '360826100', '澄江镇', 'chengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826101', '360826', '360826101', '碧溪镇', 'bixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826102', '360826', '360826102', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826103', '360826', '360826103', '禾市镇', 'heshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826104', '360826', '360826104', '螺溪镇', 'luoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826105', '360826', '360826105', '苏溪镇', 'suxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826106', '360826', '360826106', '马市镇', 'mashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826107', '360826', '360826107', '塘洲镇', 'tangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826108', '360826', '360826108', '冠朝镇', 'guanchaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826109', '360826', '360826109', '沙村镇', 'shacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826110', '360826', '360826110', '老营盘镇', 'laoyingpanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826111', '360826', '360826111', '小龙镇', 'xiaolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826112', '360826', '360826112', '灌溪镇', 'guanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826113', '360826', '360826113', '苑前镇', 'yuanqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826114', '360826', '360826114', '万合镇', 'wanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826115', '360826', '360826115', '沿溪镇', 'yanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826200', '360826', '360826200', '石山乡', 'shishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826201', '360826', '360826201', '南溪乡', 'nanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826202', '360826', '360826202', '上模乡', 'shangmoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826203', '360826', '360826203', '水槎乡', 'shuichaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826204', '360826', '360826204', '上圯乡', 'shangyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826205', '360826', '360826205', '中龙乡', 'zhonglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826400', '360826', '360826400', '武山垦殖场', 'wushankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826401', '360826', '360826401', '综合垦殖场', 'zonghekenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826402', '360826', '360826402', '小龙矿区管委会', 'xiaolongkuangquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826403', '360826', '360826403', '八一八矿区', 'bayibakuangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826404', '360826', '360826404', '井冈山机场', 'jinggangshanjichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360826500', '360826', '360826500', '泰和县工业园区', 'taihexiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827', '3608', '360827', '遂川县', 'suichuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827100', '360827', '360827100', '泉江镇', 'quanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827101', '360827', '360827101', '雩田镇', 'yutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827102', '360827', '360827102', '碧洲镇', 'bizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827103', '360827', '360827103', '草林镇', 'caolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827104', '360827', '360827104', '堆子前镇', 'duiziqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827105', '360827', '360827105', '左安镇', 'zuoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827106', '360827', '360827106', '高坪镇', 'gaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827107', '360827', '360827107', '大汾镇', 'dafenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827108', '360827', '360827108', '衙前镇', 'yaqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827109', '360827', '360827109', '禾源镇', 'heyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827110', '360827', '360827110', '汤湖镇', 'tanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827200', '360827', '360827200', '珠田乡', 'zhutianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827201', '360827', '360827201', '巾石乡', 'jinshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827202', '360827', '360827202', '大坑乡', 'dakengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827203', '360827', '360827203', '枚江乡', 'meijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827204', '360827', '360827204', '双桥乡', 'shuangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827205', '360827', '360827205', '新江乡', 'xinjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827206', '360827', '360827206', '五斗江乡', 'wudoujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827207', '360827', '360827207', '西溪乡', 'xixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827208', '360827', '360827208', '南江乡', 'nanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827209', '360827', '360827209', '黄坑乡', 'huangkengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827210', '360827', '360827210', '戴家埔乡', 'daijiapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827211', '360827', '360827211', '营盘圩乡', 'yingpanweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827400', '360827', '360827400', '五指峰林场', 'wuzhifenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827401', '360827', '360827401', '云岭林场', 'yunlinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360827500', '360827', '360827500', '遂川县工业园区', 'suichuanxiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828', '3608', '360828', '万安县', 'wananxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828100', '360828', '360828100', '芙蓉镇', 'furongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828101', '360828', '360828101', '五丰镇', 'wufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828102', '360828', '360828102', '枧头镇', 'jiantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828103', '360828', '360828103', '窑头镇', 'yaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828104', '360828', '360828104', '百加镇', 'baijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828105', '360828', '360828105', '高陂镇', 'gaopozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828106', '360828', '360828106', '潞田镇', 'lutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828107', '360828', '360828107', '沙坪镇', 'shapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828108', '360828', '360828108', '夏造镇', 'xiazaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828200', '360828', '360828200', '罗塘乡', 'luotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828201', '360828', '360828201', '弹前乡', 'danqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828202', '360828', '360828202', '武术乡', 'wushuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828203', '360828', '360828203', '宝山乡', 'baoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828204', '360828', '360828204', '涧田乡', 'jiantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828205', '360828', '360828205', '顺峰乡', 'shunfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828206', '360828', '360828206', '韶口乡', 'shaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828400', '360828', '360828400', '万安县麻源垦殖场', 'wananxianmayuankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360828500', '360828', '360828500', '万安县工业园', 'wananxiangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829', '3608', '360829', '安福县', 'anfuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829100', '360829', '360829100', '平都镇', 'pingdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829101', '360829', '360829101', '浒坑镇', 'hukengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829102', '360829', '360829102', '洲湖镇', 'zhouhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829103', '360829', '360829103', '横龙镇', 'henglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829104', '360829', '360829104', '洋溪镇', 'yangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829105', '360829', '360829105', '严田镇', 'yantianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829106', '360829', '360829106', '枫田镇', 'fengtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829200', '360829', '360829200', '竹江乡', 'zhujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829201', '360829', '360829201', '瓜畲乡', 'guashexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829202', '360829', '360829202', '钱山乡', 'qianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829203', '360829', '360829203', '赤谷乡', 'chiguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829204', '360829', '360829204', '山庄乡', 'shanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829205', '360829', '360829205', '洋门乡', 'yangmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829206', '360829', '360829206', '金田乡', 'jintianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829207', '360829', '360829207', '彭坊乡', 'pengfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829208', '360829', '360829208', '泰山乡', 'taishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829209', '360829', '360829209', '寮塘乡', 'liaotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829210', '360829', '360829210', '甘洛乡', 'ganluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829211', '360829', '360829211', '章庄乡', 'zhangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360829500', '360829', '360829500', '安福县工业园', 'anfuxiangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830', '3608', '360830', '永新县', 'yongxinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830100', '360830', '360830100', '禾川镇', 'hechuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830101', '360830', '360830101', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830102', '360830', '360830102', '龙源口镇', 'longyuankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830103', '360830', '360830103', '里田镇', 'litianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830104', '360830', '360830104', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830105', '360830', '360830105', '沙市镇', 'shashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830106', '360830', '360830106', '文竹镇', 'wenzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830107', '360830', '360830107', '埠前镇', 'buqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830108', '360830', '360830108', '怀忠镇', 'huaizhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830109', '360830', '360830109', '高桥楼镇', 'gaoqiaolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830200', '360830', '360830200', '坳南乡', 'aonanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830201', '360830', '360830201', '曲白乡', 'qubaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830202', '360830', '360830202', '才丰乡', 'caifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830203', '360830', '360830203', '烟阁乡', 'yangexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830204', '360830', '360830204', '在中乡', 'zaizhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830205', '360830', '360830205', '三湾乡', 'sanwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830206', '360830', '360830206', '台岭乡', 'tailingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830207', '360830', '360830207', '龙田乡', 'longtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830208', '360830', '360830208', '高溪乡', 'gaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830209', '360830', '360830209', '莲洲乡', 'lianzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830210', '360830', '360830210', '高市乡', 'gaoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830211', '360830', '360830211', '象形乡', 'xiangxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830212', '360830', '360830212', '芦溪乡', 'luxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360830500', '360830', '360830500', '永新县工业园区', 'yongxinxiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881', '3608', '360881', '井冈山市', 'jinggangshanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881001', '360881', '360881001', '茨坪街道', 'cipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881100', '360881', '360881100', '厦坪镇', 'shapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881101', '360881', '360881101', '龙市镇', 'longshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881102', '360881', '360881102', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881103', '360881', '360881103', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881104', '360881', '360881104', '大陇镇', 'dalongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881200', '360881', '360881200', '拿山乡', 'nashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881201', '360881', '360881201', '黄坳乡', 'huangaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881202', '360881', '360881202', '下七乡', 'xiaqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881203', '360881', '360881203', '长坪乡', 'zhangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881204', '360881', '360881204', '坳里乡', 'aolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881205', '360881', '360881205', '鹅岭乡', 'elingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881206', '360881', '360881206', '柏露乡', 'boluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881207', '360881', '360881207', '茅坪乡', 'maopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881208', '360881', '360881208', '葛田乡', 'getianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881209', '360881', '360881209', '荷花乡', 'hehuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881210', '360881', '360881210', '睦村乡', 'mucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881211', '360881', '360881211', '东上乡', 'dongshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881400', '360881', '360881400', '井企集团', 'jingqijituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881401', '360881', '360881401', '井冈山自然保护区', 'jinggangshanziranbaohuqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881402', '360881', '360881402', '白石垦殖场', 'baishikenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360881500', '360881', '360881500', '井冈山市工业园区', 'jinggangshanshigongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3609', '36', '3609', '宜春市', 'yichunshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360901', '3609', '360901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902', '3609', '360902', '袁州区', 'yuanzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902001', '360902', '360902001', '灵泉街道', 'lingquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902002', '360902', '360902002', '秀江街道', 'xiujiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902004', '360902', '360902004', '湛郎街道', 'zhanlangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902005', '360902', '360902005', '珠泉街道', 'zhuquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902006', '360902', '360902006', '化成街道', 'huachengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902007', '360902', '360902007', '官园街道', 'guanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902008', '360902', '360902008', '下浦街道', 'xiapujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902009', '360902', '360902009', '凤凰街道', 'fenghuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902010', '360902', '360902010', '金园街道', 'jinyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902100', '360902', '360902100', '彬江镇', 'binjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902101', '360902', '360902101', '西村镇', 'xicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902102', '360902', '360902102', '金瑞镇', 'jinruizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902103', '360902', '360902103', '温汤镇', 'wentangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902104', '360902', '360902104', '三阳镇', 'sanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902105', '360902', '360902105', '慈化镇', 'cihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902106', '360902', '360902106', '天台镇', 'tiantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902107', '360902', '360902107', '洪塘镇', 'hongtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902200', '360902', '360902200', '渥江乡', 'wojiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902201', '360902', '360902201', '新坊乡', 'xinfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902202', '360902', '360902202', '洪江乡', 'hongjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902203', '360902', '360902203', '南庙乡', 'nanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902204', '360902', '360902204', '竹亭乡', 'zhutingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902205', '360902', '360902205', '水江乡', 'shuijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902206', '360902', '360902206', '楠木乡', 'nanmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902207', '360902', '360902207', '辽市乡', 'liaoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902208', '360902', '360902208', '寨下乡', 'zhaixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902209', '360902', '360902209', '芦村乡', 'lucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902210', '360902', '360902210', '柏木乡', 'bomuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902211', '360902', '360902211', '湖田乡', 'hutianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902212', '360902', '360902212', '新田乡', 'xintianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902213', '360902', '360902213', '飞剑潭乡', 'feijiantanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902400', '360902', '360902400', '农牧实验场', 'nongmushiyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902401', '360902', '360902401', '西岭布果园场', 'xilingbuguoyuanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902402', '360902', '360902402', '明月山采育林场', 'mingyueshancaiyulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902403', '360902', '360902403', '新坊采育林场', 'xinfangcaiyulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902404', '360902', '360902404', '油茶林场', 'youchalinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902500', '360902', '360902500', '宜春经济枝术开发区', 'yichunjingjizhishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360902501', '360902', '360902501', '袁州区医药工业园', 'yuanzhouquyiyaogongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921', '3609', '360921', '奉新县', 'fengxinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921100', '360921', '360921100', '冯川镇', 'fengchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921101', '360921', '360921101', '赤岸镇', 'chianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921102', '360921', '360921102', '赤田镇', 'chitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921103', '360921', '360921103', '宋埠镇', 'songbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921104', '360921', '360921104', '干洲镇', 'ganzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921105', '360921', '360921105', '澡下镇', 'zaoxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921106', '360921', '360921106', '会埠镇', 'huibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921107', '360921', '360921107', '罗市镇', 'luoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921108', '360921', '360921108', '上富镇', 'shangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921109', '360921', '360921109', '甘坊镇', 'ganfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921200', '360921', '360921200', '仰山乡', 'yangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921201', '360921', '360921201', '澡溪乡', 'zaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921202', '360921', '360921202', '柳溪乡', 'liuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921400', '360921', '360921400', '石溪', 'shixi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921401', '360921', '360921401', '百丈山名胜风景区', 'baizhangshanmingshengfengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921402', '360921', '360921402', '干洲垦殖场', 'ganzhoukenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921403', '360921', '360921403', '东风垦殖场', 'dongfengkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921404', '360921', '360921404', '农牧渔良种场', 'nongmuyuliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360921500', '360921', '360921500', '奉新工业园区', 'fengxingongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922', '3609', '360922', '万载县', 'wanzaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922001', '360922', '360922001', '康乐街道', 'kanglejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922100', '360922', '360922100', '株潭镇', 'zhutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922101', '360922', '360922101', '黄茅镇', 'huangmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922102', '360922', '360922102', '潭埠镇', 'tanbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922103', '360922', '360922103', '双桥镇', 'shuangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922104', '360922', '360922104', '高村镇', 'gaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922105', '360922', '360922105', '罗城镇', 'luochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922106', '360922', '360922106', '三兴镇', 'sanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922200', '360922', '360922200', '鹅峰乡', 'efengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922201', '360922', '360922201', '马步乡', 'mabuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922202', '360922', '360922202', '高城乡', 'gaochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922203', '360922', '360922203', '赤兴乡', 'chixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922204', '360922', '360922204', '岭东乡', 'lingdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922205', '360922', '360922205', '白水乡', 'baishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922206', '360922', '360922206', '仙源乡', 'xianyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922207', '360922', '360922207', '白良乡', 'bailiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922208', '360922', '360922208', '茭湖乡', 'jiaohuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360922500', '360922', '360922500', '万载县工业园', 'wanzaixiangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923', '3609', '360923', '上高县', 'shanggaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923001', '360923', '360923001', '敖阳街道', 'aoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923100', '360923', '360923100', '田心镇', 'tianxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923101', '360923', '360923101', '徐家渡镇', 'xujiaduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923102', '360923', '360923102', '锦江镇', 'jinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923103', '360923', '360923103', '泗溪镇', 'sixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923104', '360923', '360923104', '翰堂镇', 'hantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923105', '360923', '360923105', '南港镇', 'nangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923200', '360923', '360923200', '芦洲乡', 'luzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923201', '360923', '360923201', '塔下乡', 'taxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923202', '360923', '360923202', '蒙山乡', 'mengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923203', '360923', '360923203', '镇渡乡', 'zhenduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923204', '360923', '360923204', '野市乡', 'yeshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923205', '360923', '360923205', '新界埠乡', 'xinjiebuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923400', '360923', '360923400', '墨山垦殖场', 'moshankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923401', '360923', '360923401', '上甘山林场', 'shangganshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923402', '360923', '360923402', '敖山华侨农场', 'aoshanhuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360923500', '360923', '360923500', '上高县工业园区', 'shanggaoxiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924', '3609', '360924', '宜丰县', 'yifengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924100', '360924', '360924100', '新昌镇', 'xinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924101', '360924', '360924101', '澄塘镇', 'chengtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924102', '360924', '360924102', '棠浦镇', 'tangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924103', '360924', '360924103', '新庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924104', '360924', '360924104', '潭山镇', 'tanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924105', '360924', '360924105', '芳溪镇', 'fangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924106', '360924', '360924106', '石市镇', 'shishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924200', '360924', '360924200', '花桥乡', 'huaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924201', '360924', '360924201', '同安乡', 'tonganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924202', '360924', '360924202', '天宝乡', 'tianbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924203', '360924', '360924203', '黄岗乡', 'huanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924204', '360924', '360924204', '桥西乡', 'qiaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924400', '360924', '360924400', '车上林场', 'cheshanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924401', '360924', '360924401', '双峰林场', 'shuangfenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924402', '360924', '360924402', '石花尖垦殖场', 'shihuajiankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924403', '360924', '360924403', '黄岗山垦殖场', 'huanggangshankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360924500', '360924', '360924500', '宜丰县工业园区', 'yifengxiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925', '3609', '360925', '靖安县', 'jinganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925100', '360925', '360925100', '双溪镇', 'shuangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925101', '360925', '360925101', '仁首镇', 'renshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925102', '360925', '360925102', '宝峰镇', 'baofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925103', '360925', '360925103', '高湖镇', 'gaohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925104', '360925', '360925104', '躁都镇', 'zaodouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925200', '360925', '360925200', '香田乡', 'xiangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925201', '360925', '360925201', '水口乡', 'shuikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925202', '360925', '360925202', '中源乡', 'zhongyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925203', '360925', '360925203', '罗湾乡', 'luowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925205', '360925', '360925205', '三爪仑乡', 'sanzhualunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925400', '360925', '360925400', '雷公尖垦殖场', 'leigongjiankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360925500', '360925', '360925500', '靖安县工业园区', 'jinganxiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926', '3609', '360926', '铜鼓县', 'tongguxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926100', '360926', '360926100', '永宁镇', 'yongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926101', '360926', '360926101', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926102', '360926', '360926102', '棋坪镇', 'qipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926103', '360926', '360926103', '排埠镇', 'paibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926104', '360926', '360926104', '三都镇', 'sandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926105', '360926', '360926105', '大段镇', 'daduanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926200', '360926', '360926200', '高桥乡', 'gaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926201', '360926', '360926201', '港口乡', 'gangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926202', '360926', '360926202', '带溪乡', 'daixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926400', '360926', '360926400', '花山林场', 'huashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926401', '360926', '360926401', '大沩山林场', 'daweishanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926402', '360926', '360926402', '茶山林场', 'chashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360926403', '360926', '360926403', '龙门林场', 'longmenlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981', '3609', '360981', '丰城市', 'fengchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981002', '360981', '360981002', '剑光街道', 'jianguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981006', '360981', '360981006', '河洲街道', 'hezhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981007', '360981', '360981007', '剑南街道', 'jiannanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981008', '360981', '360981008', '孙渡街道', 'sundujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981009', '360981', '360981009', '尚庄街道', 'shangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981101', '360981', '360981101', '白土镇', 'baituzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981102', '360981', '360981102', '袁渡镇', 'yuanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981104', '360981', '360981104', '张巷镇', 'zhangxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981105', '360981', '360981105', '杜市镇', 'dushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981106', '360981', '360981106', '淘沙镇', 'taoshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981107', '360981', '360981107', '秀市镇', 'xiushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981109', '360981', '360981109', '洛市镇', 'luoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981110', '360981', '360981110', '铁路镇', 'tieluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981111', '360981', '360981111', '丽村镇', 'licunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981115', '360981', '360981115', '董家镇', 'dongjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981116', '360981', '360981116', '隍城镇', 'huangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981119', '360981', '360981119', '小港镇', 'xiaogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981120', '360981', '360981120', '石滩镇', 'shitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981121', '360981', '360981121', '桥东镇', 'qiaodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981122', '360981', '360981122', '荣塘镇', 'rongtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981123', '360981', '360981123', '拖船镇', 'tuochuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981124', '360981', '360981124', '泉港镇', 'quangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981125', '360981', '360981125', '梅林镇', 'meilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981126', '360981', '360981126', '曲江镇', 'qujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981127', '360981', '360981127', '上塘镇', 'shangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981201', '360981', '360981201', '筱塘乡', 'xiaotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981202', '360981', '360981202', '段潭乡', 'duantanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981203', '360981', '360981203', '蕉坑乡', 'jiaokengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981204', '360981', '360981204', '石江乡', 'shijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981205', '360981', '360981205', '荷湖乡', 'hehuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981206', '360981', '360981206', '湖塘乡', 'hutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981207', '360981', '360981207', '同田乡', 'tongtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981400', '360981', '360981400', '丰城矿务局', 'fengchengkuangwuju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981401', '360981', '360981401', '江西省新洛煤电有限责任公司', 'jiangxishengxinluomeidianyouxianzerengongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360981402', '360981', '360981402', '丰城市工业园', 'fengchengshigongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982', '3609', '360982', '樟树市', 'zhangshushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982001', '360982', '360982001', '淦阳街道', 'ganyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982002', '360982', '360982002', '鹿江街道', 'lujiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982003', '360982', '360982003', '福城街道', 'fuchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982004', '360982', '360982004', '大桥街道', 'daqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982005', '360982', '360982005', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982100', '360982', '360982100', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982101', '360982', '360982101', '永泰镇', 'yongtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982102', '360982', '360982102', '黄土岗镇', 'huangtugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982103', '360982', '360982103', '经楼镇', 'jinglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982104', '360982', '360982104', '昌付镇', 'changfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982105', '360982', '360982105', '店下镇', 'dianxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982106', '360982', '360982106', '阁山镇', 'geshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982107', '360982', '360982107', '刘公庙镇', 'liugongmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982108', '360982', '360982108', '观上镇', 'guanshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982109', '360982', '360982109', '义成镇', 'yichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982200', '360982', '360982200', '中洲乡', 'zhongzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982201', '360982', '360982201', '洲上乡', 'zhoushangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982202', '360982', '360982202', '洋湖乡', 'yanghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982203', '360982', '360982203', '吴城乡', 'wuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982400', '360982', '360982400', '省双金园艺场', 'shengshuangjinyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360982500', '360982', '360982500', '樟树市工业园', 'zhangshushigongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983', '3609', '360983', '高安市', 'gaoanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983001', '360983', '360983001', '瑞州街道', 'ruizhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983002', '360983', '360983002', '筠阳街道', 'yunyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983100', '360983', '360983100', '蓝坊镇', 'lanfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983101', '360983', '360983101', '荷岭镇', 'helingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983102', '360983', '360983102', '黄沙岗镇', 'huangshagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983103', '360983', '360983103', '新街镇', 'xinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983104', '360983', '360983104', '八景镇', 'bajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983105', '360983', '360983105', '独城镇', 'duchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983106', '360983', '360983106', '太阳镇', 'taiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983107', '360983', '360983107', '建山镇', 'jianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983108', '360983', '360983108', '田南镇', 'tiannanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983109', '360983', '360983109', '相城镇', 'xiangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983110', '360983', '360983110', '灰埠镇', 'huibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983111', '360983', '360983111', '石脑镇', 'shinaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983112', '360983', '360983112', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983113', '360983', '360983113', '杨圩镇', 'yangweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983114', '360983', '360983114', '村前镇', 'cunqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983115', '360983', '360983115', '伍桥镇', 'wuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983116', '360983', '360983116', '祥符镇', 'xiangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983117', '360983', '360983117', '大城镇', 'dachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983200', '360983', '360983200', '上湖乡', 'shanghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983201', '360983', '360983201', '汪家圩乡', 'wangjiaweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983401', '360983', '360983401', '相城垦殖场', 'xiangchengkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983402', '360983', '360983402', '上游水库工程管理局', 'shangyoushuikugongchengguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983403', '360983', '360983403', '英岗岭矿务局', 'yingganglingkuangwuju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983404', '360983', '360983404', '八景煤矿', 'bajingmeikuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983405', '360983', '360983405', '江西新茂实业公司', 'jiangxixinmaoshiyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983406', '360983', '360983406', '江西省瑞州监狱', 'jiangxishengruizhoujianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('360983500', '360983', '360983500', '高安市新世纪工业城管委会', 'gaoanshixinshijigongyechengguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3610', '36', '3610', '抚州市', 'fuzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361001', '3610', '361001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002', '3610', '361002', '临川区', 'linchuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002001', '361002', '361002001', '青云街道', 'qingyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002002', '361002', '361002002', '西大街街道', 'xidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002003', '361002', '361002003', '荆公路街道', 'jinggonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002004', '361002', '361002004', '六水桥街道', 'liushuiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002005', '361002', '361002005', '文昌街道', 'wenchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002091', '361002', '361002091', '城西街道办事处(金巢开发区)', 'chengxijiedaobanshichu(jinchaokaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002092', '361002', '361002092', '钟岭街道办事处(金巢开发区)', 'zhonglingjiedaobanshichu(jinchaokaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002100', '361002', '361002100', '上顿渡镇', 'shangdunduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002101', '361002', '361002101', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002102', '361002', '361002102', '高坪镇', 'gaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002103', '361002', '361002103', '秋溪镇', 'qiuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002104', '361002', '361002104', '荣山镇', 'rongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002105', '361002', '361002105', '龙溪镇', 'longxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002107', '361002', '361002107', '大岗镇', 'dagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002108', '361002', '361002108', '云山镇', 'yunshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002109', '361002', '361002109', '唱凯镇', 'changkaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002110', '361002', '361002110', '罗针镇', 'luozhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002111', '361002', '361002111', '罗湖镇', 'luohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002112', '361002', '361002112', '太阳镇', 'taiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002113', '361002', '361002113', '东馆镇', 'dongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002114', '361002', '361002114', '腾桥镇', 'tengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002115', '361002', '361002115', '青泥镇', 'qingnizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002116', '361002', '361002116', '孝桥镇', 'xiaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002117', '361002', '361002117', '抚北镇', 'fubeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002190', '361002', '361002190', '崇岗镇(金巢开发区)', 'chonggangzhen(jinchaokaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002200', '361002', '361002200', '展坪乡', 'zhanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002201', '361002', '361002201', '连城乡', 'lianchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002202', '361002', '361002202', '桐源乡', 'tongyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002203', '361002', '361002203', '湖南乡', 'hunanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002204', '361002', '361002204', '七里岗乡', 'qiligangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002205', '361002', '361002205', '嵩湖乡', 'songhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002206', '361002', '361002206', '鹏田乡', 'pengtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002207', '361002', '361002207', '茅排乡', 'maopaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002208', '361002', '361002208', '河埠乡', 'hebuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002400', '361002', '361002400', '荣山垦殖场', 'rongshankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002401', '361002', '361002401', '七里岗垦殖场', 'qiligangkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361002500', '361002', '361002500', '开发区管理委员会', 'kaifaquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021', '3610', '361021', '南城县', 'nanchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021100', '361021', '361021100', '建昌镇', 'jianchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021101', '361021', '361021101', '株良镇', 'zhuliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021102', '361021', '361021102', '上唐镇', 'shangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021103', '361021', '361021103', '里塔镇', 'litazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021104', '361021', '361021104', '洪门镇', 'hongmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021105', '361021', '361021105', '沙洲镇', 'shazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021106', '361021', '361021106', '龙湖镇', 'longhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021107', '361021', '361021107', '新丰街镇', 'xinfengjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021108', '361021', '361021108', '万坊镇', 'wanfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021200', '361021', '361021200', '徐家乡', 'xujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021201', '361021', '361021201', '天井源乡', 'tianjingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361021203', '361021', '361021203', '浔溪乡', 'xunxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022', '3610', '361022', '黎川县', 'lichuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022100', '361022', '361022100', '日峰镇', 'rifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022101', '361022', '361022101', '宏村镇', 'hongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022102', '361022', '361022102', '洵口镇', 'xunkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022103', '361022', '361022103', '熊村镇', 'xiongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022104', '361022', '361022104', '龙安镇', 'longanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022105', '361022', '361022105', '德胜镇', 'deshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022200', '361022', '361022200', '潭溪乡', 'tanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022201', '361022', '361022201', '湖坊乡', 'hufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022202', '361022', '361022202', '荷源乡', 'heyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022203', '361022', '361022203', '厚村乡', 'houcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022204', '361022', '361022204', '社苹乡', 'shepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022205', '361022', '361022205', '樟溪乡', 'zhangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022206', '361022', '361022206', '西城乡', 'xichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022207', '361022', '361022207', '中田乡', 'zhongtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022400', '361022', '361022400', '华山垦殖场', 'huashankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022500', '361022', '361022500', '德胜企业集团', 'deshengqiyejituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361022501', '361022', '361022501', '工业园区管委会', 'gongyeyuanquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023', '3610', '361023', '南丰县', 'nanfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023100', '361023', '361023100', '琴城镇', 'qinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023101', '361023', '361023101', '太和镇', 'taihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023102', '361023', '361023102', '白舍镇', 'baishezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023103', '361023', '361023103', '市山镇', 'shishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023104', '361023', '361023104', '洽湾镇', 'qiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023105', '361023', '361023105', '桑田镇', 'sangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023106', '361023', '361023106', '紫霄镇', 'zixiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023200', '361023', '361023200', '三溪乡', 'sanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023201', '361023', '361023201', '东坪乡', 'dongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023202', '361023', '361023202', '莱溪乡', 'laixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023203', '361023', '361023203', '太源乡', 'taiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023204', '361023', '361023204', '付坊乡', 'fufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023400', '361023', '361023400', '南丰县长红垦殖场', 'nanfengxianzhanghongkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361023500', '361023', '361023500', '南丰工业园区', 'nanfenggongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024', '3610', '361024', '崇仁县', 'chongrenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024100', '361024', '361024100', '巴山镇', 'bashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024101', '361024', '361024101', '相山镇', 'xiangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024102', '361024', '361024102', '航埠镇', 'hangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024103', '361024', '361024103', '孙坊镇', 'sunfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024104', '361024', '361024104', '河上镇', 'heshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024105', '361024', '361024105', '礼陂镇', 'lipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024106', '361024', '361024106', '马鞍镇', 'maanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024200', '361024', '361024200', '石庄乡', 'shizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024201', '361024', '361024201', '六家桥乡', 'liujiaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024202', '361024', '361024202', '白鹭乡', 'bailuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024203', '361024', '361024203', '三山乡', 'sanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024204', '361024', '361024204', '白陂乡', 'baipoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024205', '361024', '361024205', '桃源乡', 'taoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024206', '361024', '361024206', '许坊乡', 'xufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361024207', '361024', '361024207', '郭圩乡', 'guoweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025', '3610', '361025', '乐安县', 'leanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025100', '361025', '361025100', '鳌溪镇', 'aoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025101', '361025', '361025101', '公溪镇', 'gongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025102', '361025', '361025102', '山砀镇', 'shandangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025103', '361025', '361025103', '龚坊镇', 'gongfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025104', '361025', '361025104', '戴坊镇', 'daifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025105', '361025', '361025105', '牛田镇', 'niutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025106', '361025', '361025106', '万崇镇', 'wanchongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025107', '361025', '361025107', '增田镇', 'zengtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025108', '361025', '361025108', '招携镇', 'zhaoxiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025200', '361025', '361025200', '湖溪乡', 'huxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025201', '361025', '361025201', '罗陂乡', 'luopoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025202', '361025', '361025202', '湖坪乡', 'hupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025203', '361025', '361025203', '南村乡', 'nancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025204', '361025', '361025204', '谷岗乡', 'gugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025205', '361025', '361025205', '金竹畲族乡', 'jinzhushezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025400', '361025', '361025400', '大马头垦殖场', 'damatoukenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361025401', '361025', '361025401', '流坑管理局', 'liukengguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026', '3610', '361026', '宜黄县', 'yihuangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026100', '361026', '361026100', '凤冈镇', 'fenggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026101', '361026', '361026101', '棠阴镇', 'tangyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026102', '361026', '361026102', '黄陂镇', 'huangpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026103', '361026', '361026103', '东陂镇', 'dongpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026104', '361026', '361026104', '梨溪镇', 'lixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026105', '361026', '361026105', '二都镇', 'erdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026200', '361026', '361026200', '中港乡', 'zhonggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026201', '361026', '361026201', '新丰乡', 'xinfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026202', '361026', '361026202', '神冈乡', 'shengangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026203', '361026', '361026203', '圳口乡', 'zhenkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026204', '361026', '361026204', '南源乡', 'nanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026205', '361026', '361026205', '桃陂乡', 'taopoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026400', '361026', '361026400', '黄柏岭垦殖场', 'huangbolingkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026401', '361026', '361026401', '青年垦殖场', 'qingniankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361026500', '361026', '361026500', '宜黄县工业园区', 'yihuangxiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027', '3610', '361027', '金溪县', 'jinxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027100', '361027', '361027100', '秀谷镇', 'xiuguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027101', '361027', '361027101', '浒湾镇', 'huwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027102', '361027', '361027102', '双塘镇', 'shuangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027103', '361027', '361027103', '何源镇', 'heyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027104', '361027', '361027104', '合市镇', 'heshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027105', '361027', '361027105', '琅琚镇', 'langjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027106', '361027', '361027106', '左坊镇', 'zuofangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027200', '361027', '361027200', '黄通乡', 'huangtongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027201', '361027', '361027201', '对桥乡', 'duiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027202', '361027', '361027202', '陆坊乡', 'lufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027203', '361027', '361027203', '陈坊积乡', 'chenfangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027204', '361027', '361027204', '琉璃乡', 'liulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027205', '361027', '361027205', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361027400', '361027', '361027400', '华侨农场', 'huaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361028', '3610', '361028', '资溪县', 'zixixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361028100', '361028', '361028100', '鹤城镇', 'hechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361028101', '361028', '361028101', '马头山镇', 'matoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361028102', '361028', '361028102', '高埠镇', 'gaobuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361028103', '361028', '361028103', '嵩市镇', 'songshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361028104', '361028', '361028104', '乌石镇', 'wushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361028200', '361028', '361028200', '高田乡', 'gaotianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361028201', '361028', '361028201', '石峡乡', 'shixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029', '3610', '361029', '东乡县', 'dongxiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029100', '361029', '361029100', '孝岗镇', 'xiaogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029101', '361029', '361029101', '小璜镇', 'xiaohuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029102', '361029', '361029102', '圩上桥镇', 'weishangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029103', '361029', '361029103', '马圩镇', 'maweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029104', '361029', '361029104', '詹圩镇', 'zhanweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029105', '361029', '361029105', '岗上积镇', 'gangshangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029106', '361029', '361029106', '杨桥殿镇', 'yangqiaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029107', '361029', '361029107', '黎圩镇', 'liweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029108', '361029', '361029108', '王桥镇', 'wangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029200', '361029', '361029200', '珀玕乡', 'poganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029201', '361029', '361029201', '邓家乡', 'dengjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029202', '361029', '361029202', '虎圩乡', 'huweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029203', '361029', '361029203', '瑶圩乡', 'yaoweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029400', '361029', '361029400', '红星企业集团', 'hongxingqiyejituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029401', '361029', '361029401', '红光垦殖场', 'hongguangkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029402', '361029', '361029402', '红亮垦殖场', 'hongliangkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029403', '361029', '361029403', '甘坑林场', 'gankenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029405', '361029', '361029405', '江西磷肥厂', 'jiangxilinfeichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029500', '361029', '361029500', '江西红星工业园区', 'jiangxihongxinggongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361029501', '361029', '361029501', '大富工业园区', 'dafugongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030', '3610', '361030', '广昌县', 'guangchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030100', '361030', '361030100', '盱江镇', 'xujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030101', '361030', '361030101', '头陂镇', 'toupozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030103', '361030', '361030103', '赤水镇', 'chishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030104', '361030', '361030104', '驿前镇', 'yiqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030105', '361030', '361030105', '甘竹镇', 'ganzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030200', '361030', '361030200', '千善乡', 'qianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030201', '361030', '361030201', '水南圩乡', 'shuinanweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030202', '361030', '361030202', '长桥乡', 'zhangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030203', '361030', '361030203', '杨溪乡', 'yangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030204', '361030', '361030204', '尖峰乡', 'jianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030205', '361030', '361030205', '塘坊乡', 'tangfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030400', '361030', '361030400', '翠雷山垦殖场', 'cuileishankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361030500', '361030', '361030500', '广昌县工业园区', 'guangchangxiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3611', '36', '3611', '上饶市', 'shangraoshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361101', '3611', '361101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102', '3611', '361102', '信州区', 'xinzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102001', '361102', '361102001', '水南街道', 'shuinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102002', '361102', '361102002', '东市街道', 'dongshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102003', '361102', '361102003', '西市街道', 'xishijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102004', '361102', '361102004', '北门街道', 'beimenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102005', '361102', '361102005', '茅家岭街道', 'maojialingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102100', '361102', '361102100', '沙溪镇', 'shaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102101', '361102', '361102101', '灵溪镇', 'lingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102201', '361102', '361102201', '秦峰乡', 'qinfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102202', '361102', '361102202', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102570', '361102', '361102570', '凤凰工业园区(上饶经济开发区)', 'fenghuanggongyeyuanqu(shangraojingjikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361102571', '361102', '361102571', '三江工业基地(上饶经济开发区)', 'sanjianggongyejidi(shangraojingjikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121', '3611', '361121', '上饶县', 'shangraoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121001', '361121', '361121001', '旭日街道', 'xurijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121002', '361121', '361121002', '罗桥街道', 'luoqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121101', '361121', '361121101', '田墩镇', 'tiandunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121102', '361121', '361121102', '上泸镇', 'shangluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121103', '361121', '361121103', '华坛山镇', 'huatanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121104', '361121', '361121104', '茶亭镇', 'chatingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121105', '361121', '361121105', '皂头镇', 'zaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121106', '361121', '361121106', '四十八镇', 'sishibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121107', '361121', '361121107', '枫岭头镇', 'fenglingtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121108', '361121', '361121108', '煌固镇', 'huangguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121109', '361121', '361121109', '花厅镇', 'huatingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121110', '361121', '361121110', '五府山镇', 'wufushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121111', '361121', '361121111', '郑坊镇', 'zhengfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121200', '361121', '361121200', '望仙乡', 'wangxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121201', '361121', '361121201', '石人乡', 'shirenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121202', '361121', '361121202', '清水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121203', '361121', '361121203', '石狮乡', 'shishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121204', '361121', '361121204', '湖村乡', 'hucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121207', '361121', '361121207', '尊桥乡', 'zunqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121209', '361121', '361121209', '应家乡', 'yingjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121210', '361121', '361121210', '黄沙岭乡', 'huangshalingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121211', '361121', '361121211', '铁山乡', 'tieshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361121270', '361121', '361121270', '董团乡(上饶经济开发区)', 'dongtuanxiang(shangraojingjikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122', '3611', '361122', '广丰县', 'guangfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122001', '361122', '361122001', '永丰街道', 'yongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122002', '361122', '361122002', '芦林街道', 'lulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122003', '361122', '361122003', '丰溪街道', 'fengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122101', '361122', '361122101', '五都镇', 'wudouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122102', '361122', '361122102', '洋口镇', 'yangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122103', '361122', '361122103', '横山镇', 'hengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122104', '361122', '361122104', '桐畈镇', 'tongfanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122105', '361122', '361122105', '湖丰镇', 'hufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122106', '361122', '361122106', '大南镇', 'dananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122107', '361122', '361122107', '排山镇', 'paishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122108', '361122', '361122108', '毛村镇', 'maocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122109', '361122', '361122109', '枧底镇', 'jiandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122110', '361122', '361122110', '泉波镇', 'quanbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122111', '361122', '361122111', '壶峤镇', 'hujiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122112', '361122', '361122112', '霞峰镇', 'xiafengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122113', '361122', '361122113', '下溪镇', 'xiaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122114', '361122', '361122114', '吴村镇', 'wucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122115', '361122', '361122115', '沙田镇', 'shatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122116', '361122', '361122116', '铜拔山镇', 'tongbashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122200', '361122', '361122200', '大石乡', 'dashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122202', '361122', '361122202', '东阳乡', 'dongyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122204', '361122', '361122204', '嵩峰乡', 'songfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122206', '361122', '361122206', '少阳乡', 'shaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122400', '361122', '361122400', '铜钹山垦殖场', 'tongboshankenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361122500', '361122', '361122500', '芦林工业园区管理委员会', 'lulingongyeyuanquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123', '3611', '361123', '玉山县', 'yushanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123100', '361123', '361123100', '冰溪镇', 'bingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123101', '361123', '361123101', '临湖镇', 'linhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123102', '361123', '361123102', '必姆镇', 'bimuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123103', '361123', '361123103', '横街镇', 'hengjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123104', '361123', '361123104', '文成镇', 'wenchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123105', '361123', '361123105', '下镇镇', 'xiazhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123107', '361123', '361123107', '岩瑞镇', 'yanruizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123108', '361123', '361123108', '双明镇', 'shuangmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123109', '361123', '361123109', '紫湖镇', 'zihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123110', '361123', '361123110', '仙岩镇', 'xianyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123111', '361123', '361123111', '樟村镇', 'zhangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123198', '361123', '361123198', '枫林镇', 'fenglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123200', '361123', '361123200', '南山乡', 'nanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123201', '361123', '361123201', '怀玉乡', 'huaiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123202', '361123', '361123202', '下塘乡', 'xiatangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123203', '361123', '361123203', '四股桥乡', 'siguqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123204', '361123', '361123204', '六都乡', 'liudouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123290', '361123', '361123290', '三清乡', 'sanqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361123500', '361123', '361123500', '金山工业园', 'jinshangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124', '3611', '361124', '铅山县', 'qianshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124100', '361124', '361124100', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124101', '361124', '361124101', '永平镇', 'yongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124102', '361124', '361124102', '石塘镇', 'shitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124103', '361124', '361124103', '鹅湖镇', 'ehuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124105', '361124', '361124105', '湖坊镇', 'hufangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124106', '361124', '361124106', '武夷山镇', 'wuyishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124108', '361124', '361124108', '汪二镇', 'wangerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124200', '361124', '361124200', '陈坊乡', 'chenfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124201', '361124', '361124201', '虹桥乡', 'hongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124202', '361124', '361124202', '新滩乡', 'xintanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124203', '361124', '361124203', '葛仙山乡', 'gexianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124205', '361124', '361124205', '稼轩乡', 'jiaxuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124206', '361124', '361124206', '英将乡', 'yingjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124207', '361124', '361124207', '紫溪乡', 'zixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124208', '361124', '361124208', '太源畲族乡', 'taiyuanshezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124209', '361124', '361124209', '天柱山乡', 'tianzhushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124210', '361124', '361124210', '篁碧畲族乡', 'huangbishezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124400', '361124', '361124400', '国营铅山县河口茶叶实验场', 'guoyingqianshanxianhekouchayeshiyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124401', '361124', '361124401', '国营铅山县畜牧良种繁殖场', 'guoyingqianshanxianchumuliangzhongfanzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124402', '361124', '361124402', '国营铅山县鱼种场', 'guoyingqianshanxianyuzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124403', '361124', '361124403', '铅山县水稻良种场', 'qianshanxianshuidaoliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124404', '361124', '361124404', '铅山县农业科学研究所', 'qianshanxiannongyekexueyanjiusuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124405', '361124', '361124405', '铅山县国营森林苗圃', 'qianshanxianguoyingsenlinmiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124500', '361124', '361124500', '江西铜业集团公司永铜分公司', 'jiangxitongyejituangongsiyongtongfengongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124501', '361124', '361124501', '江西武夷山国家级自然保护区管理局', 'jiangxiwuyishanguojiajiziranbaohuquguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124502', '361124', '361124502', '鹅湖书院文物管理保护所', 'ehushuyuanwenwuguanlibaohusuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361124503', '361124', '361124503', '铅山县工业园区开发管理委员会', 'qianshanxiangongyeyuanqukaifaguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125', '3611', '361125', '横峰县', 'hengfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125100', '361125', '361125100', '岑阳镇', 'cenyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125101', '361125', '361125101', '葛源镇', 'geyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125200', '361125', '361125200', '姚家乡', 'yaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125201', '361125', '361125201', '莲荷乡', 'lianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125202', '361125', '361125202', '司铺乡', 'sipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125203', '361125', '361125203', '港边乡', 'gangbianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125204', '361125', '361125204', '龙门畈乡', 'longmenfanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125205', '361125', '361125205', '青板乡', 'qingbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125206', '361125', '361125206', '新篁乡(办事处)', 'xinhuangxiang(banshichu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125400', '361125', '361125400', '红桥垦殖场', 'hongqiaokenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125500', '361125', '361125500', '兴安工业园区', 'xingangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125501', '361125', '361125501', '铺前煤矿', 'puqianmeikuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125502', '361125', '361125502', '上坑源林场', 'shangkengyuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361125503', '361125', '361125503', '山黄林场', 'shanhuanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126', '3611', '361126', '弋阳县', 'yiyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126101', '361126', '361126101', '曹溪镇', 'caoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126102', '361126', '361126102', '漆工镇', 'qigongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126103', '361126', '361126103', '樟树墩镇', 'zhangshudunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126104', '361126', '361126104', '南岩镇', 'nanyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126105', '361126', '361126105', '朱坑镇', 'zhukengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126106', '361126', '361126106', '圭峰镇', 'guifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126107', '361126', '361126107', '叠山镇', 'dieshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126108', '361126', '361126108', '港口镇', 'gangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126109', '361126', '361126109', '弋江镇', 'yijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126200', '361126', '361126200', '三县岭乡', 'sanxianlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126202', '361126', '361126202', '中畈乡', 'zhongfanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126203', '361126', '361126203', '葛溪乡', 'gexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126204', '361126', '361126204', '湾里乡', 'wanlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126205', '361126', '361126205', '花亭乡', 'huatingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126206', '361126', '361126206', '清湖乡', 'qinghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126208', '361126', '361126208', '旭光乡', 'xuguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126500', '361126', '361126500', '圭峰风景管理区', 'guifengfengjingguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126501', '361126', '361126501', '连胜工业园', 'lianshenggongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361126502', '361126', '361126502', '城南工业园', 'chengnangongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127', '3611', '361127', '余干县', 'yuganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127100', '361127', '361127100', '玉亭镇', 'yutingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127101', '361127', '361127101', '瑞洪镇', 'ruihongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127102', '361127', '361127102', '黄金埠镇', 'huangjinbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127104', '361127', '361127104', '古埠镇', 'gubuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127105', '361127', '361127105', '乌泥镇', 'wunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127106', '361127', '361127106', '石口镇', 'shikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127107', '361127', '361127107', '杨埠镇', 'yangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127108', '361127', '361127108', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127200', '361127', '361127200', '康山乡', 'kangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127202', '361127', '361127202', '东塘乡', 'dongtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127204', '361127', '361127204', '大塘乡', 'datangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127206', '361127', '361127206', '鹭鸶港乡', 'lusigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127207', '361127', '361127207', '三塘乡', 'santangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127209', '361127', '361127209', '洪家嘴乡', 'hongjiazuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127210', '361127', '361127210', '白马桥乡', 'baimaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127211', '361127', '361127211', '江埠乡', 'jiangbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127213', '361127', '361127213', '枫港乡', 'fenggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127214', '361127', '361127214', '大溪乡', 'daxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127217', '361127', '361127217', '梅港乡', 'meigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127218', '361127', '361127218', '社赓乡', 'shegengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127402', '361127', '361127402', '渔池湖水产场', 'yuchihushuichanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127403', '361127', '361127403', '县良种场', 'xianliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127404', '361127', '361127404', '李梅林场', 'limeilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127405', '361127', '361127405', '康山垦总场', 'kangshankenzongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127406', '361127', '361127406', '禾斛岭垦殖场', 'hehulingkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127407', '361127', '361127407', '峡山林场', 'xiashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127408', '361127', '361127408', '信丰垦殖场', 'xinfengkenzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127500', '361127', '361127500', '马背嘴工业园区', 'mabeizuigongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127501', '361127', '361127501', '城西工业园区', 'chengxigongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361127502', '361127', '361127502', '城北开发区', 'chengbeikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128', '3611', '361128', '鄱阳县', 'poyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128100', '361128', '361128100', '鄱阳镇', 'poyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128101', '361128', '361128101', '谢家滩镇', 'xiejiatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128102', '361128', '361128102', '石门街镇', 'shimenjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128103', '361128', '361128103', '四十里街镇', 'sishilijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128104', '361128', '361128104', '油墩街镇', 'youdunjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128105', '361128', '361128105', '田畈街镇', 'tianfanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128106', '361128', '361128106', '金盘岭镇', 'jinpanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128107', '361128', '361128107', '高家岭镇', 'gaojialingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128108', '361128', '361128108', '凰岗镇', 'huanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128109', '361128', '361128109', '双港镇', 'shuanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128110', '361128', '361128110', '古县渡镇', 'guxianduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128111', '361128', '361128111', '饶丰镇', 'raofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128112', '361128', '361128112', '乐丰镇', 'lefengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128113', '361128', '361128113', '饶埠镇', 'raobuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128201', '361128', '361128201', '侯家岗乡', 'houjiagangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128202', '361128', '361128202', '莲花山乡', 'lianhuashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128203', '361128', '361128203', '响水滩乡', 'xiangshuitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128206', '361128', '361128206', '枧田街乡', 'jiantianjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128207', '361128', '361128207', '柘港乡', 'zhegangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128208', '361128', '361128208', '鸦鹊湖乡', 'yaquehuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128209', '361128', '361128209', '银宝湖乡', 'yinbaohuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128210', '361128', '361128210', '游城乡', 'youchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128211', '361128', '361128211', '珠湖乡', 'zhuhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128212', '361128', '361128212', '白沙洲乡', 'baishazhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128213', '361128', '361128213', '团林乡', 'tuanlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128215', '361128', '361128215', '昌洲乡', 'changzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128216', '361128', '361128216', '庙前乡', 'miaoqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128217', '361128', '361128217', '莲湖乡', 'lianhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128218', '361128', '361128218', '芦田乡', 'lutianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128401', '361128', '361128401', '农科所', 'nongkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361128402', '361128', '361128402', '饶洲监狱', 'raozhoujianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129', '3611', '361129', '万年县', 'wannianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129100', '361129', '361129100', '陈营镇', 'chenyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129101', '361129', '361129101', '石镇镇', 'shizhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129102', '361129', '361129102', '青云镇', 'qingyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129103', '361129', '361129103', '梓埠镇', 'zibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129104', '361129', '361129104', '大源镇', 'dayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129105', '361129', '361129105', '裴梅镇', 'peimeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129200', '361129', '361129200', '湖云乡', 'huyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129201', '361129', '361129201', '齐埠乡', 'qibuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129203', '361129', '361129203', '汪家乡', 'wangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129205', '361129', '361129205', '上坊乡', 'shangfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129206', '361129', '361129206', '苏桥乡', 'suqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129208', '361129', '361129208', '珠田乡', 'zhutianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361129400', '361129', '361129400', '林科所', 'linkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130', '3611', '361130', '婺源县', 'wuyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130100', '361130', '361130100', '紫阳镇', 'ziyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130101', '361130', '361130101', '清华镇', 'qinghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130102', '361130', '361130102', '秋口镇', 'qiukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130103', '361130', '361130103', '江湾镇', 'jiangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130104', '361130', '361130104', '思口镇', 'sikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130106', '361130', '361130106', '赋春镇', 'fuchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130107', '361130', '361130107', '镇头镇', 'zhentouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130109', '361130', '361130109', '太白镇', 'taibaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130110', '361130', '361130110', '中云镇', 'zhongyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130111', '361130', '361130111', '许村镇', 'xucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130200', '361130', '361130200', '溪头乡', 'xitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130201', '361130', '361130201', '段莘乡', 'duanxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130204', '361130', '361130204', '浙源乡', 'zheyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130205', '361130', '361130205', '沱川乡', 'tuochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130206', '361130', '361130206', '大鄣山乡', 'dazhangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361130208', '361130', '361130208', '珍珠山乡', 'zhenzhushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181', '3611', '361181', '德兴市', 'dexingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181001', '361181', '361181001', '银城街道', 'yinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181103', '361181', '361181103', '绕二镇', 'raoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181105', '361181', '361181105', '海口镇', 'haikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181106', '361181', '361181106', '新岗山镇', 'xingangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181107', '361181', '361181107', '泗洲镇', 'sizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181190', '361181', '361181190', '花桥镇(大茅山经济开发区)', 'huaqiaozhen(damaoshanjingjikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181200', '361181', '361181200', '黄柏乡', 'huangboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181201', '361181', '361181201', '万村乡', 'wancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181202', '361181', '361181202', '张村乡', 'zhangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181203', '361181', '361181203', '皈大乡', 'guidaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181204', '361181', '361181204', '李宅乡', 'lizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181205', '361181', '361181205', '龙头山乡', 'longtoushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181401', '361181', '361181401', '江西省德兴铜矿', 'jiangxishengdexingtongkuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('361181490', '361181', '361181490', '大茅山集团公司(大茅山经济开发区)', 'damaoshanjituangongsi(damaoshanjingjikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('37', '-1', '37', '山东省', 'shandongsheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3701', '37', '3701', '济南市', 'jinanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370101', '3701', '370101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102', '3701', '370102', '历下区', 'lixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102001', '370102', '370102001', '解放路街道', 'jiefanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102002', '370102', '370102002', '千佛山街道', 'qianfoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102003', '370102', '370102003', '趵突泉街道', 'baotuquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102004', '370102', '370102004', '泉城路街道', 'quanchenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102005', '370102', '370102005', '大明湖街道', 'daminghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102006', '370102', '370102006', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102007', '370102', '370102007', '文东街道', 'wendongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102008', '370102', '370102008', '建新街道', 'jianxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102009', '370102', '370102009', '甸柳街道', 'dianliujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102010', '370102', '370102010', '燕山街道', 'yanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370102100', '370102', '370102100', '姚家镇', 'yaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103', '3701', '370103', '市中区', 'shizhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103002', '370103', '370103002', '大观园街道', 'daguanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103003', '370103', '370103003', '杆石桥街道', 'ganshiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103004', '370103', '370103004', '四里村街道', 'silicunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103006', '370103', '370103006', '魏家庄街道', 'weijiazhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103008', '370103', '370103008', '二七街道', 'erqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103009', '370103', '370103009', '七里山街道', 'qilishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103010', '370103', '370103010', '六里山街道', 'liulishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103012', '370103', '370103012', '舜玉路街道', 'shunyulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103014', '370103', '370103014', '泺源街道', 'luoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103015', '370103', '370103015', '王官庄街道', 'wangguanzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103016', '370103', '370103016', '舜耕街道', 'shungengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103017', '370103', '370103017', '白马山街道', 'baimashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103018', '370103', '370103018', '七贤街道', 'qixianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103101', '370103', '370103101', '党家庄镇', 'dangjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370103102', '370103', '370103102', '十六里河镇', 'shiliulihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104', '3701', '370104', '槐荫区', 'huaiyinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104001', '370104', '370104001', '振兴街街道', 'zhenxingjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104002', '370104', '370104002', '中大槐树街道', 'zhongdahuaishujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104003', '370104', '370104003', '道德街街道', 'daodejiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104004', '370104', '370104004', '西市场街道', 'xishichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104005', '370104', '370104005', '五里沟街道', 'wuligoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104006', '370104', '370104006', '营市街街道', 'yingshijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104007', '370104', '370104007', '青年公园街道', 'qingniangongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104008', '370104', '370104008', '南辛庄街道', 'nanxinzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104009', '370104', '370104009', '段店北路街道', 'duandianbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104010', '370104', '370104010', '张庄路街道', 'zhangzhuanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104011', '370104', '370104011', '匡山街道', 'kuangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104012', '370104', '370104012', '美里湖街道', 'meilihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104100', '370104', '370104100', '吴家堡镇', 'wujiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370104101', '370104', '370104101', '段店镇', 'duandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105', '3701', '370105', '天桥区', 'tianqiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105001', '370105', '370105001', '无影山街道', 'wuyingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105003', '370105', '370105003', '天桥东街街道', 'tianqiaodongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105004', '370105', '370105004', '北村街道', 'beicunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105005', '370105', '370105005', '南村街道', 'nancunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105006', '370105', '370105006', '堤口路街道', 'dikoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105007', '370105', '370105007', '北坦街道', 'beitanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105009', '370105', '370105009', '制锦市街道', 'zhijinshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105010', '370105', '370105010', '宝华街道', 'baohuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105011', '370105', '370105011', '官扎营街道', 'guanzhayingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105012', '370105', '370105012', '纬北路街道', 'weibeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105013', '370105', '370105013', '药山街道', 'yaoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105014', '370105', '370105014', '北园街道', 'beiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105015', '370105', '370105015', '泺口街道', 'luokoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105101', '370105', '370105101', '桑梓店镇', 'sangzidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370105102', '370105', '370105102', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112', '3701', '370112', '历城区', 'lichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112001', '370112', '370112001', '山大路街道', 'shandalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112002', '370112', '370112002', '洪家楼街道', 'hongjialoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112003', '370112', '370112003', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112004', '370112', '370112004', '全福街道', 'quanfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112101', '370112', '370112101', '仲宫镇', 'zhonggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112102', '370112', '370112102', '港沟镇', 'ganggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112103', '370112', '370112103', '柳埠镇', 'liubuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112104', '370112', '370112104', '孙村镇', 'suncunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112105', '370112', '370112105', '郭店镇', 'guodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112106', '370112', '370112106', '董家镇', 'dongjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112107', '370112', '370112107', '唐王镇', 'tangwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112108', '370112', '370112108', '遥墙镇', 'yaoqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112109', '370112', '370112109', '王舍人镇', 'wangsherenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112110', '370112', '370112110', '华山镇', 'huashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112111', '370112', '370112111', '西营镇', 'xiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370112112', '370112', '370112112', '彩石镇', 'caishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370113', '3701', '370113', '长清区', 'zhangqingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370113001', '370113', '370113001', '文昌街街道', 'wenchangjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370113002', '370113', '370113002', '崮云湖街道', 'guyunhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370113003', '370113', '370113003', '平安街道', 'pinganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370113004', '370113', '370113004', '五峰山街道', 'wufengshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370113101', '370113', '370113101', '归德镇', 'guidezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370113102', '370113', '370113102', '孝里镇', 'xiaolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370113103', '370113', '370113103', '万德镇', 'wandezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370113106', '370113', '370113106', '张夏镇', 'zhangxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370113107', '370113', '370113107', '马山镇', 'mashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370113200', '370113', '370113200', '双泉乡', 'shuangquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370124', '3701', '370124', '平阴县', 'pingyinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370124100', '370124', '370124100', '平阴镇', 'pingyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370124102', '370124', '370124102', '东阿镇', 'dongazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370124103', '370124', '370124103', '孝直镇', 'xiaozhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370124104', '370124', '370124104', '孔村镇', 'kongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370124105', '370124', '370124105', '洪范池镇', 'hongfanchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370124106', '370124', '370124106', '玫瑰镇', 'meiguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370124201', '370124', '370124201', '安城乡', 'anchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370125', '3701', '370125', '济阳县', 'jiyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370125100', '370125', '370125100', '济阳镇', 'jiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370125101', '370125', '370125101', '垛石镇', 'duoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370125102', '370125', '370125102', '孙耿镇', 'sungengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370125103', '370125', '370125103', '曲堤镇', 'qudizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370125104', '370125', '370125104', '仁风镇', 'renfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370125107', '370125', '370125107', '崔寨镇', 'cuizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370125108', '370125', '370125108', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370125206', '370125', '370125206', '新市乡', 'xinshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126', '3701', '370126', '商河县', 'shanghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126001', '370126', '370126001', '许商街道', 'xushangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126002', '370126', '370126002', '玉皇庙街道', 'yuhuangmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126101', '370126', '370126101', '殷巷镇', 'yinxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126102', '370126', '370126102', '怀仁镇', 'huairenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126104', '370126', '370126104', '龙桑寺镇', 'longsangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126105', '370126', '370126105', '郑路镇', 'zhengluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126106', '370126', '370126106', '贾庄镇', 'jiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126201', '370126', '370126201', '孙集乡', 'sunjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126204', '370126', '370126204', '沙河乡', 'shahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126205', '370126', '370126205', '韩庙乡', 'hanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126207', '370126', '370126207', '张坊乡', 'zhangfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370126212', '370126', '370126212', '白桥乡', 'baiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181', '3701', '370181', '章丘市', 'zhangqiushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181001', '370181', '370181001', '明水街道', 'mingshuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181002', '370181', '370181002', '双山街道', 'shuangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181003', '370181', '370181003', '枣园街道', 'zaoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181004', '370181', '370181004', '龙山街道', 'longshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181005', '370181', '370181005', '埠村街道', 'bucunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181006', '370181', '370181006', '圣井街道', 'shengjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181101', '370181', '370181101', '普集镇', 'pujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181103', '370181', '370181103', '绣惠镇', 'xiuhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181104', '370181', '370181104', '相公庄镇', 'xianggongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181105', '370181', '370181105', '垛庄镇', 'duozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181106', '370181', '370181106', '水寨镇', 'shuizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181109', '370181', '370181109', '文祖镇', 'wenzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181110', '370181', '370181110', '刁镇', 'diaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181111', '370181', '370181111', '曹范镇', 'caofanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181113', '370181', '370181113', '白云湖镇', 'baiyunhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181114', '370181', '370181114', '高官寨镇', 'gaoguanzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181115', '370181', '370181115', '宁家埠镇', 'ningjiabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181201', '370181', '370181201', '官庄乡', 'guanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181203', '370181', '370181203', '辛寨乡', 'xinzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370181204', '370181', '370181204', '黄河乡', 'huanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3702', '37', '3702', '青岛市', 'qingdaoshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370201', '3702', '370201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202', '3702', '370202', '市南区', 'shinanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202001', '370202', '370202001', '香港中路街道', 'xianggangzhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202002', '370202', '370202002', '八大峡街道', 'badaxiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202003', '370202', '370202003', '台西街道', 'taixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202004', '370202', '370202004', '云南路街道', 'yunnanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202005', '370202', '370202005', '中山街道', 'zhongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202006', '370202', '370202006', '观海路街道', 'guanhailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202007', '370202', '370202007', '江苏路街道', 'jiangsulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202008', '370202', '370202008', '金口路街道', 'jinkoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202009', '370202', '370202009', '八大关街道', 'badaguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202010', '370202', '370202010', '湛山街道', 'zhanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202011', '370202', '370202011', '金湖路街道', 'jinhulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202012', '370202', '370202012', '八大湖街道', 'badahujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202013', '370202', '370202013', '金门路街道', 'jinmenlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370202014', '370202', '370202014', '珠海路街道', 'zhuhailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203', '3702', '370203', '市北区', 'shibeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203001', '370203', '370203001', '冠县路街道', 'guanxianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203002', '370203', '370203002', '胶州路街道', 'jiaozhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203003', '370203', '370203003', '黄台路街道', 'huangtailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203004', '370203', '370203004', '热河路街道', 'rehelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203005', '370203', '370203005', '辽宁路街道', 'liaoninglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203006', '370203', '370203006', '北仲路街道', 'beizhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203007', '370203', '370203007', '威海路街道', 'weihailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203008', '370203', '370203008', '延安路街道', 'yananlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203009', '370203', '370203009', '泰山路街道', 'taishanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203010', '370203', '370203010', '华阳路街道', 'huayanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203011', '370203', '370203011', '登州路街道', 'dengzhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203012', '370203', '370203012', '利津路街道', 'lijinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203013', '370203', '370203013', '宁夏路街道', 'ningxialujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203014', '370203', '370203014', '敦化路街道', 'dunhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203015', '370203', '370203015', '辽源路街道', 'liaoyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203016', '370203', '370203016', '合肥路街道', 'hefeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370203017', '370203', '370203017', '浮山后社区事务受理中心街道', 'fushanhoushequshiwushoulizhongxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370205', '3702', '370205', '四方区', 'sifangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370205001', '370205', '370205001', '阜新路街道', 'fuxinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370205002', '370205', '370205002', '海伦路街道', 'hailunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370205003', '370205', '370205003', '嘉兴路街道', 'jiaxinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370205004', '370205', '370205004', '兴隆路街道', 'xinglonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370205005', '370205', '370205005', '水清沟街道', 'shuiqinggoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370205006', '370205', '370205006', '洛阳路街道', 'luoyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370205007', '370205', '370205007', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370211', '3702', '370211', '黄岛区', 'huangdaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370211001', '370211', '370211001', '黄岛街道', 'huangdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370211002', '370211', '370211002', '辛安街道', 'xinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370211003', '370211', '370211003', '薛家岛街道', 'xuejiadaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370211004', '370211', '370211004', '柳花泊街道', 'liuhuabojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370211005', '370211', '370211005', '长江路街道', 'zhangjianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370211006', '370211', '370211006', '红石崖街道', 'hongshiyajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370212', '3702', '370212', '崂山区', 'laoshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370212001', '370212', '370212001', '中韩街道', 'zhonghanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370212002', '370212', '370212002', '沙子口街道', 'shazikoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370212003', '370212', '370212003', '王哥庄街道', 'wanggezhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370212004', '370212', '370212004', '北宅街道', 'beizhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213', '3702', '370213', '李沧区', 'licangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213001', '370213', '370213001', '振华路街道', 'zhenhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213002', '370213', '370213002', '永清路街道', 'yongqinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213003', '370213', '370213003', '永安路街道', 'yonganlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213004', '370213', '370213004', '兴华路街道', 'xinghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213005', '370213', '370213005', '兴城路街道', 'xingchenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213006', '370213', '370213006', '李村街道', 'licunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213007', '370213', '370213007', '虎山路街道', 'hushanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213008', '370213', '370213008', '浮山路街道', 'fushanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213009', '370213', '370213009', '九水路街道', 'jiushuilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213010', '370213', '370213010', '湘潭路街道', 'xiangtanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370213011', '370213', '370213011', '楼山街道', 'loushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370214', '3702', '370214', '城阳区', 'chengyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370214001', '370214', '370214001', '城阳街道', 'chengyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370214002', '370214', '370214002', '夏庄街道', 'xiazhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370214003', '370214', '370214003', '流亭街道', 'liutingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370214004', '370214', '370214004', '棘洪滩街道', 'jihongtanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370214005', '370214', '370214005', '上马街道', 'shangmajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370214006', '370214', '370214006', '红岛街道', 'hongdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370214007', '370214', '370214007', '河套街道', 'hetaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370214008', '370214', '370214008', '惜福镇街道', 'xifuzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281', '3702', '370281', '胶州市', 'jiaozhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281001', '370281', '370281001', '阜安街道', 'fuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281002', '370281', '370281002', '中云街道', 'zhongyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281003', '370281', '370281003', '北关街道', 'beiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281004', '370281', '370281004', '南关街道', 'nanguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281005', '370281', '370281005', '云溪街道', 'yunxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281100', '370281', '370281100', '胶莱镇', 'jiaolaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281101', '370281', '370281101', '马店镇', 'madianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281102', '370281', '370281102', '李哥庄镇', 'ligezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281104', '370281', '370281104', '营海镇', 'yinghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281105', '370281', '370281105', '铺集镇', 'pujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281106', '370281', '370281106', '张应镇', 'zhangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281108', '370281', '370281108', '里岔镇', 'lichazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281109', '370281', '370281109', '胶东镇', 'jiaodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281110', '370281', '370281110', '胶西镇', 'jiaoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281111', '370281', '370281111', '洋河镇', 'yanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281112', '370281', '370281112', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281113', '370281', '370281113', '杜村镇', 'ducunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370281114', '370281', '370281114', '胶北镇', 'jiaobeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282', '3702', '370282', '即墨市', 'jimoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282001', '370282', '370282001', '环秀街道', 'huanxiujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282002', '370282', '370282002', '潮海街道', 'chaohaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282003', '370282', '370282003', '通济街道', 'tongjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282004', '370282', '370282004', '北安街道', 'beianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282005', '370282', '370282005', '龙山街道', 'longshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282101', '370282', '370282101', '鳌山卫镇', 'aoshanweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282102', '370282', '370282102', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282103', '370282', '370282103', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282104', '370282', '370282104', '刘家庄镇', 'liujiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282105', '370282', '370282105', '蓝村镇', 'lancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282106', '370282', '370282106', '店集镇', 'dianjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282107', '370282', '370282107', '灵山镇', 'lingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282108', '370282', '370282108', '七级镇', 'qijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282110', '370282', '370282110', '王村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282112', '370282', '370282112', '丰城镇', 'fengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282115', '370282', '370282115', '段泊岚镇', 'duanbolanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282117', '370282', '370282117', '移风店镇', 'yifengdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282118', '370282', '370282118', '普东镇', 'pudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282119', '370282', '370282119', '大信镇', 'daxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282121', '370282', '370282121', '田横镇', 'tianhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282122', '370282', '370282122', '金口镇', 'jinkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282123', '370282', '370282123', '华山镇', 'huashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370282124', '370282', '370282124', '南泉镇', 'nanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283', '3702', '370283', '平度市', 'pingdushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283001', '370283', '370283001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283002', '370283', '370283002', '李园街道', 'liyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283003', '370283', '370283003', '同和街道', 'tonghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283004', '370283', '370283004', '香店街道', 'xiangdianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283100', '370283', '370283100', '麻兰镇', 'malanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283101', '370283', '370283101', '古岘镇', 'guxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283102', '370283', '370283102', '仁兆镇', 'renzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283103', '370283', '370283103', '张戈庄镇', 'zhanggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283104', '370283', '370283104', '郭庄镇', 'guozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283105', '370283', '370283105', '南村镇', 'nancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283106', '370283', '370283106', '兰底镇', 'landizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283107', '370283', '370283107', '万家镇', 'wanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283108', '370283', '370283108', '蓼兰镇', 'liaolanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283109', '370283', '370283109', '崔家集镇', 'cuijiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283110', '370283', '370283110', '明村镇', 'mingcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283111', '370283', '370283111', '白埠镇', 'baibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283112', '370283', '370283112', '门村镇', 'mencunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283113', '370283', '370283113', '田庄镇', 'tianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283114', '370283', '370283114', '马戈庄镇', 'magezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283115', '370283', '370283115', '张舍镇', 'zhangshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283116', '370283', '370283116', '新河镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283117', '370283', '370283117', '灰埠镇', 'huibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283118', '370283', '370283118', '长乐镇', 'zhanglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283119', '370283', '370283119', '店子镇', 'dianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283120', '370283', '370283120', '大泽山镇', 'dazeshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283121', '370283', '370283121', '大田镇', 'datianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283122', '370283', '370283122', '旧店镇', 'jiudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283123', '370283', '370283123', '祝沟镇', 'zhugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283124', '370283', '370283124', '云山镇', 'yunshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283125', '370283', '370283125', '崔召镇', 'cuizhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370283400', '370283', '370283400', '平度外向型工业加工', 'pingduwaixiangxinggongyejiagong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284', '3702', '370284', '胶南市', 'jiaonanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284001', '370284', '370284001', '珠山街道', 'zhushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284002', '370284', '370284002', '珠海街道', 'zhuhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284003', '370284', '370284003', '隐珠街道', 'yinzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284004', '370284', '370284004', '灵山卫街道', 'lingshanweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284005', '370284', '370284005', '铁山街道', 'tieshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284006', '370284', '370284006', '滨海街道', 'binhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284102', '370284', '370284102', '琅琊镇', 'langyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284103', '370284', '370284103', '泊里镇', 'bolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284104', '370284', '370284104', '大场镇', 'dachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284105', '370284', '370284105', '大村镇', 'dacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284106', '370284', '370284106', '六汪镇', 'liuwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284107', '370284', '370284107', '王台镇', 'wangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284110', '370284', '370284110', '张家楼镇', 'zhangjialouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284112', '370284', '370284112', '海青镇', 'haiqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284113', '370284', '370284113', '宝山镇', 'baoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284115', '370284', '370284115', '藏南镇', 'zangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370284116', '370284', '370284116', '理务关镇(乡改镇)', 'liwuguanzhen(xianggaizhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285', '3702', '370285', '莱西市', 'laixishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285001', '370285', '370285001', '水集街道', 'shuijijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285002', '370285', '370285002', '望城街道', 'wangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285004', '370285', '370285004', '龙水街道', 'longshuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285005', '370285', '370285005', '梅花山街道', 'meihuashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285006', '370285', '370285006', '滨河路街道', 'binhelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285007', '370285', '370285007', '沽河街道', 'guhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285100', '370285', '370285100', '孙受镇', 'sunshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285101', '370285', '370285101', '姜山镇', 'jiangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285102', '370285', '370285102', '夏格庄镇', 'xiagezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285104', '370285', '370285104', '院上镇', 'yuanshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285105', '370285', '370285105', '日庄镇', 'rizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285106', '370285', '370285106', '南墅镇', 'nanshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285107', '370285', '370285107', '河头店镇', 'hetoudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285108', '370285', '370285108', '店埠镇', 'dianbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285109', '370285', '370285109', '李权庄镇', 'liquanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285112', '370285', '370285112', '武备镇', 'wubeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370285116', '370285', '370285116', '马连庄镇', 'malianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3703', '37', '3703', '淄博市', 'ziboshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370301', '3703', '370301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302', '3703', '370302', '淄川区', 'zichuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302001', '370302', '370302001', '般阳路街道', 'banyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302002', '370302', '370302002', '松龄路街道', 'songlinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302003', '370302', '370302003', '商城路街道', 'shangchenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302004', '370302', '370302004', '钟楼街道', 'zhongloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302101', '370302', '370302101', '城南镇', 'chengnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302102', '370302', '370302102', '昆仑镇', 'kunlunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302103', '370302', '370302103', '磁村镇', 'cicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302104', '370302', '370302104', '岭子镇', 'lingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302105', '370302', '370302105', '商家镇', 'shangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302108', '370302', '370302108', '黑旺镇', 'heiwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302109', '370302', '370302109', '淄河镇', 'zihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302110', '370302', '370302110', '东坪镇', 'dongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302111', '370302', '370302111', '西河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302112', '370302', '370302112', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302113', '370302', '370302113', '寨里镇', 'zhailizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302114', '370302', '370302114', '罗村镇', 'luocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302115', '370302', '370302115', '洪山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302116', '370302', '370302116', '双杨镇', 'shuangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302200', '370302', '370302200', '太河乡', 'taihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302201', '370302', '370302201', '峨庄乡', 'ezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370302202', '370302', '370302202', '张庄乡', 'zhangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303', '3703', '370303', '张店区', 'zhangdianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303001', '370303', '370303001', '车站街道', 'chezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303002', '370303', '370303002', '公园街道', 'gongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303003', '370303', '370303003', '杏园街道', 'xingyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303004', '370303', '370303004', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303005', '370303', '370303005', '科苑街道', 'keyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303006', '370303', '370303006', '体育场街道', 'tiyuchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303007', '370303', '370303007', '石桥街道', 'shiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303008', '370303', '370303008', '四宝山街道', 'sibaoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303100', '370303', '370303100', '马尚镇', 'mashangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303101', '370303', '370303101', '南定镇', 'nandingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303102', '370303', '370303102', '沣水镇', 'fengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303103', '370303', '370303103', '湖田镇', 'hutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303104', '370303', '370303104', '傅家镇', 'fujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303105', '370303', '370303105', '中埠镇', 'zhongbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303106', '370303', '370303106', '卫固镇', 'weiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370303107', '370303', '370303107', '房镇镇', 'fangzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304', '3703', '370304', '博山区', 'boshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304001', '370304', '370304001', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304002', '370304', '370304002', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304102', '370304', '370304102', '域城镇', 'yuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304103', '370304', '370304103', '白塔镇', 'baitazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304104', '370304', '370304104', '夏家庄镇', 'xiajiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304105', '370304', '370304105', '山头镇', 'shantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304106', '370304', '370304106', '八陡镇', 'badouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304107', '370304', '370304107', '崮山镇', 'gushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304108', '370304', '370304108', '石马镇', 'shimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304109', '370304', '370304109', '北博山镇', 'beiboshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304110', '370304', '370304110', '南博山镇', 'nanboshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304111', '370304', '370304111', '源泉镇', 'yuanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370304112', '370304', '370304112', '池上镇', 'chishangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305', '3703', '370305', '临淄区', 'linziqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305001', '370305', '370305001', '闻韶街道', 'wenshaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305002', '370305', '370305002', '雪宫街道', 'xuegongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305003', '370305', '370305003', '辛店街道', 'xindianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305004', '370305', '370305004', '稷下街道', 'jixiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305005', '370305', '370305005', '齐陵街道', 'qilingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305100', '370305', '370305100', '齐都镇', 'qidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305102', '370305', '370305102', '皇城镇', 'huangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305103', '370305', '370305103', '敬仲镇', 'jingzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305104', '370305', '370305104', '朱台镇', 'zhutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305106', '370305', '370305106', '梧台镇', 'wutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305107', '370305', '370305107', '金岭镇', 'jinlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305108', '370305', '370305108', '南王镇', 'nanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305109', '370305', '370305109', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370305201', '370305', '370305201', '边河乡', 'bianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370306', '3703', '370306', '周村区', 'zhoucunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370306001', '370306', '370306001', '丝绸路街道', 'sichoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370306002', '370306', '370306002', '大街街道', 'dajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370306003', '370306', '370306003', '青年路街道', 'qingnianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370306004', '370306', '370306004', '永安街道', 'yonganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370306005', '370306', '370306005', '城北路街道', 'chengbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370306100', '370306', '370306100', '北郊镇', 'beijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370306101', '370306', '370306101', '南郊镇', 'nanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370306102', '370306', '370306102', '王村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370306103', '370306', '370306103', '萌水镇', 'mengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321', '3703', '370321', '桓台县', 'huantaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321100', '370321', '370321100', '索镇镇', 'suozhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321101', '370321', '370321101', '起凤镇', 'qifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321102', '370321', '370321102', '邢家镇', 'xingjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321103', '370321', '370321103', '田庄镇', 'tianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321104', '370321', '370321104', '荆家镇', 'jingjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321105', '370321', '370321105', '马桥镇', 'maqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321106', '370321', '370321106', '陈庄镇', 'chenzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321107', '370321', '370321107', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321108', '370321', '370321108', '周家镇', 'zhoujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321109', '370321', '370321109', '唐山镇', 'tangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370321110', '370321', '370321110', '果里镇', 'guolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370322', '3703', '370322', '高青县', 'gaoqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370322100', '370322', '370322100', '田镇', 'tianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370322101', '370322', '370322101', '青城镇', 'qingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370322102', '370322', '370322102', '高城镇', 'gaochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370322103', '370322', '370322103', '黑里寨镇', 'heilizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370322104', '370322', '370322104', '唐坊镇', 'tangfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370322105', '370322', '370322105', '常家镇', 'changjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370322106', '370322', '370322106', '花沟镇', 'huagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370322107', '370322', '370322107', '赵店镇', 'zhaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370322108', '370322', '370322108', '木李镇', 'mulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323', '3703', '370323', '沂源县', 'yiyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323100', '370323', '370323100', '南麻镇', 'nanmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323101', '370323', '370323101', '土门镇', 'tumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323102', '370323', '370323102', '鲁村镇', 'lucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323103', '370323', '370323103', '东里镇', 'donglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323104', '370323', '370323104', '悦庄镇', 'yuezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323105', '370323', '370323105', '西里镇', 'xilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323106', '370323', '370323106', '大张庄镇', 'dazhangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323107', '370323', '370323107', '中庄镇', 'zhongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323108', '370323', '370323108', '张家坡镇', 'zhangjiapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323200', '370323', '370323200', '徐家庄乡', 'xujiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323202', '370323', '370323202', '燕崖乡', 'yanyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323205', '370323', '370323205', '石桥乡', 'shiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370323206', '370323', '370323206', '三岔乡', 'sanchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3704', '37', '3704', '枣庄市', 'zaozhuangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370401', '3704', '370401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402', '3704', '370402', '市中区', 'shizhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402001', '370402', '370402001', '中心街街道', 'zhongxinjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402002', '370402', '370402002', '各塔埠街道', 'getabujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402003', '370402', '370402003', '矿区街道', 'kuangqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402004', '370402', '370402004', '文化路街道办事', 'wenhualujiedaobanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402005', '370402', '370402005', '龙山路街道', 'longshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402006', '370402', '370402006', '光明路街道办事', 'guangminglujiedaobanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402101', '370402', '370402101', '税郭镇', 'shuiguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402102', '370402', '370402102', '孟庄镇', 'mengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402103', '370402', '370402103', '齐村镇', 'qicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402201', '370402', '370402201', '永安乡', 'yonganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370402202', '370402', '370402202', '西王庄乡', 'xiwangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370403', '3704', '370403', '薛城区', 'xuechengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370403001', '370403', '370403001', '临城街道', 'linchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370403002', '370403', '370403002', '兴仁街道', 'xingrenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370403003', '370403', '370403003', '兴城街道', 'xingchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370403101', '370403', '370403101', '沙沟镇', 'shagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370403102', '370403', '370403102', '周营镇', 'zhouyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370403103', '370403', '370403103', '邹坞镇', 'zouwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370403104', '370403', '370403104', '陶庄镇', 'taozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370403106', '370403', '370403106', '常庄镇', 'changzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370403107', '370403', '370403107', '张范镇', 'zhangfanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370404', '3704', '370404', '峄城区', 'yichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370404001', '370404', '370404001', '坛山街道', 'tanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370404002', '370404', '370404002', '吴林街道', 'wulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370404100', '370404', '370404100', '古邵镇', 'gushaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370404101', '370404', '370404101', '阴平镇', 'yinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370404102', '370404', '370404102', '底阁镇', 'digezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370404103', '370404', '370404103', '榴园镇', 'liuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370404104', '370404', '370404104', '峨山镇', 'eshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370405', '3704', '370405', '台儿庄区', 'taierzhuangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370405001', '370405', '370405001', '运河街道', 'yunhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370405100', '370405', '370405100', '邳庄镇', 'pizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370405101', '370405', '370405101', '张山子镇', 'zhangshanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370405102', '370405', '370405102', '泥沟镇', 'nigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370405103', '370405', '370405103', '涧头集镇', 'jiantoujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370405104', '370405', '370405104', '马兰屯镇', 'malantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370406', '3704', '370406', '山亭区', 'shantingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370406001', '370406', '370406001', '山城街道', 'shanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370406101', '370406', '370406101', '店子镇', 'dianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370406102', '370406', '370406102', '西集镇', 'xijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370406103', '370406', '370406103', '桑村镇', 'sangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370406104', '370406', '370406104', '北庄镇', 'beizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370406105', '370406', '370406105', '城头镇', 'chengtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370406106', '370406', '370406106', '徐庄镇', 'xuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370406107', '370406', '370406107', '水泉镇', 'shuiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370406108', '370406', '370406108', '冯卯镇', 'fengmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370406200', '370406', '370406200', '凫城乡', 'fuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481', '3704', '370481', '滕州市', 'tengzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481001', '370481', '370481001', '荆河街道', 'jinghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481002', '370481', '370481002', '龙泉街道', 'longquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481003', '370481', '370481003', '北辛街道', 'beixinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481004', '370481', '370481004', '善南街道', 'shannanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481100', '370481', '370481100', '东沙河镇', 'dongshahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481101', '370481', '370481101', '洪绪镇', 'hongxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481102', '370481', '370481102', '南沙河镇', 'nanshahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481103', '370481', '370481103', '大坞镇', 'dawuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481104', '370481', '370481104', '滨湖镇', 'binhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481105', '370481', '370481105', '级索镇', 'jisuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481106', '370481', '370481106', '西岗镇', 'xigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481107', '370481', '370481107', '姜屯镇', 'jiangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481108', '370481', '370481108', '鲍沟镇', 'baogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481109', '370481', '370481109', '张汪镇', 'zhangwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481110', '370481', '370481110', '官桥镇', 'guanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481111', '370481', '370481111', '柴胡店镇', 'chaihudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481112', '370481', '370481112', '羊庄镇', 'yangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481113', '370481', '370481113', '木石镇', 'mushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481114', '370481', '370481114', '界河镇', 'jiehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481115', '370481', '370481115', '龙阳镇', 'longyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370481116', '370481', '370481116', '东郭镇', 'dongguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3705', '37', '3705', '东营市', 'dongyingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370501', '3705', '370501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370502', '3705', '370502', '东营区', 'dongyingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370502001', '370502', '370502001', '文汇街道', 'wenhuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370502002', '370502', '370502002', '黄河路街道', 'huanghelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370502003', '370502', '370502003', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370502004', '370502', '370502004', '辛店街道', 'xindianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370502005', '370502', '370502005', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370502006', '370502', '370502006', '胜园街道', 'shengyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370502102', '370502', '370502102', '牛庄镇', 'niuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370502103', '370502', '370502103', '六户镇', 'liuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370502104', '370502', '370502104', '史口镇', 'shikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370502105', '370502', '370502105', '龙居镇', 'longjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370503', '3705', '370503', '河口区', 'hekouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370503001', '370503', '370503001', '河口街道', 'hekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370503100', '370503', '370503100', '义和镇', 'yihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370503101', '370503', '370503101', '仙河镇', 'xianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370503102', '370503', '370503102', '孤岛镇', 'gudaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370503200', '370503', '370503200', '新户乡', 'xinhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370503201', '370503', '370503201', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370503203', '370503', '370503203', '六合乡', 'liuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370521', '3705', '370521', '垦利县', 'kenlixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370521100', '370521', '370521100', '垦利镇', 'kenlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370521101', '370521', '370521101', '胜坨镇', 'shengtuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370521102', '370521', '370521102', '郝家镇', 'haojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370521104', '370521', '370521104', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370521105', '370521', '370521105', '黄河口镇', 'huanghekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370521204', '370521', '370521204', '西宋乡', 'xisongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370521207', '370521', '370521207', '董集乡', 'dongjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370522', '3705', '370522', '利津县', 'lijinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370522100', '370522', '370522100', '利津镇', 'lijinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370522101', '370522', '370522101', '北宋镇', 'beisongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370522102', '370522', '370522102', '盐窝镇', 'yanwozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370522103', '370522', '370522103', '陈庄镇', 'chenzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370522104', '370522', '370522104', '汀罗镇', 'tingluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370522201', '370522', '370522201', '明集乡', 'mingjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370522202', '370522', '370522202', '北岭乡', 'beilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370522203', '370522', '370522203', '虎滩乡', 'hutanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370522206', '370522', '370522206', '刁口乡', 'diaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370523', '3705', '370523', '广饶县', 'guangraoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370523100', '370523', '370523100', '广饶镇', 'guangraozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370523101', '370523', '370523101', '大王镇', 'dawangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370523102', '370523', '370523102', '稻庄镇', 'daozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370523103', '370523', '370523103', '石村镇', 'shicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370523104', '370523', '370523104', '丁庄镇', 'dingzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370523106', '370523', '370523106', '李鹊镇', 'liquezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370523204', '370523', '370523204', '大码头乡', 'damatouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370523205', '370523', '370523205', '西刘桥乡', 'xiliuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370523207', '370523', '370523207', '花官乡', 'huaguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370523208', '370523', '370523208', '陈官乡', 'chenguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3706', '37', '3706', '烟台市', 'yantaishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370601', '3706', '370601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602', '3706', '370602', '芝罘区', 'zhifuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602001', '370602', '370602001', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602002', '370602', '370602002', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602003', '370602', '370602003', '毓璜顶街道', 'yuhuangdingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602004', '370602', '370602004', '通伸街道', 'tongshenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602005', '370602', '370602005', '凤凰台街道', 'fenghuangtaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602006', '370602', '370602006', '奇山街道', 'qishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602007', '370602', '370602007', '白石街道', 'baishijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602008', '370602', '370602008', '芝罘岛街道', 'zhifudaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602009', '370602', '370602009', '黄务街道', 'huangwujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602010', '370602', '370602010', '只楚街道', 'zhichujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602011', '370602', '370602011', '世回尧街道', 'shihuiyaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370602012', '370602', '370602012', '幸福街道', 'xingfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611', '3706', '370611', '福山区', 'fushanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611001', '370611', '370611001', '清洋街道', 'qingyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611002', '370611', '370611002', '福新街道', 'fuxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611003', '370611', '370611003', '古现街道(烟台开发区)', 'guxianjiedao(yantaikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611004', '370611', '370611004', '大季家街道(烟台开发区)', 'dajijiajiedao(yantaikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611102', '370611', '370611102', '高疃镇', 'gaotuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611103', '370611', '370611103', '张格庄镇', 'zhanggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611104', '370611', '370611104', '回里镇', 'huilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611105', '370611', '370611105', '门楼镇', 'menlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611400', '370611', '370611400', '海河社区管理处(烟台开发区)', 'haiheshequguanlichu(yantaikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611401', '370611', '370611401', '长江社区管理处(烟台开发区)', 'zhangjiangshequguanlichu(yantaikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370611402', '370611', '370611402', '八角街道(烟台开发区)', 'bajiaojiedao(yantaikaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612', '3706', '370612', '牟平区', 'moupingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612001', '370612', '370612001', '宁海街道', 'ninghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612002', '370612', '370612002', '文化街道', 'wenhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612003', '370612', '370612003', '养马岛街道', 'yangmadaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612101', '370612', '370612101', '观水镇', 'guanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612102', '370612', '370612102', '武宁镇', 'wuningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612103', '370612', '370612103', '大窑镇', 'dayaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612104', '370612', '370612104', '姜格庄镇', 'jianggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612105', '370612', '370612105', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612106', '370612', '370612106', '玉林店镇', 'yulindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612107', '370612', '370612107', '水道镇', 'shuidaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612108', '370612', '370612108', '莒格庄镇', 'jugezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612109', '370612', '370612109', '高陵镇', 'gaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370612110', '370612', '370612110', '王格庄镇', 'wanggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370613', '3706', '370613', '莱山区', 'laishanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370613001', '370613', '370613001', '黄海路街道', 'huanghailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370613002', '370613', '370613002', '初家街道', 'chujiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370613003', '370613', '370613003', '滨海路街道', 'binhailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370613101', '370613', '370613101', '解甲庄镇', 'jiejiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370613102', '370613', '370613102', '莱山镇', 'laishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370634', '3706', '370634', '长岛县', 'zhangdaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370634100', '370634', '370634100', '南长山镇', 'nanzhangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370634101', '370634', '370634101', '砣矶镇', 'tuojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370634201', '370634', '370634201', '北长山乡', 'beizhangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370634202', '370634', '370634202', '黑山乡', 'heishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370634203', '370634', '370634203', '大钦岛乡', 'daqindaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370634204', '370634', '370634204', '小钦岛乡', 'xiaoqindaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370634205', '370634', '370634205', '南隍城乡', 'nanhuangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370634206', '370634', '370634206', '北隍城乡', 'beihuangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681', '3706', '370681', '龙口市', 'longkoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681001', '370681', '370681001', '东莱街道', 'donglaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681002', '370681', '370681002', '龙港街道', 'longgangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681003', '370681', '370681003', '新嘉街道', 'xinjiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681101', '370681', '370681101', '徐福镇', 'xufuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681102', '370681', '370681102', '黄山馆镇', 'huangshanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681103', '370681', '370681103', '北马镇', 'beimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681104', '370681', '370681104', '芦头镇', 'lutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681105', '370681', '370681105', '东江镇', 'dongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681106', '370681', '370681106', '下丁家镇', 'xiadingjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681107', '370681', '370681107', '七甲镇', 'qijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681108', '370681', '370681108', '石良镇', 'shiliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681109', '370681', '370681109', '兰高镇', 'langaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370681110', '370681', '370681110', '诸由观镇', 'zhuyouguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682', '3706', '370682', '莱阳市', 'laiyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682001', '370682', '370682001', '城厢街道', 'chengxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682002', '370682', '370682002', '古柳街道', 'guliujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682003', '370682', '370682003', '龙旺庄街道', 'longwangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682004', '370682', '370682004', '冯格庄街道', 'fenggezhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682101', '370682', '370682101', '沐浴店镇', 'muyudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682102', '370682', '370682102', '团旺镇', 'tuanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682103', '370682', '370682103', '穴坊镇', 'xuefangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682104', '370682', '370682104', '羊郡镇', 'yangjunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682105', '370682', '370682105', '姜疃镇', 'jiangtuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682106', '370682', '370682106', '万第镇', 'wandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682107', '370682', '370682107', '照旺庄镇', 'zhaowangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682108', '370682', '370682108', '谭格庄镇', 'tangezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682109', '370682', '370682109', '柏林庄镇', 'bolinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682110', '370682', '370682110', '河洛镇', 'heluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682111', '370682', '370682111', '吕格庄镇', 'lu:gezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682112', '370682', '370682112', '高格庄镇', 'gaogezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682113', '370682', '370682113', '大夼镇', 'dakuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370682114', '370682', '370682114', '山前店镇', 'shanqiandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683', '3706', '370683', '莱州市', 'laizhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683001', '370683', '370683001', '文昌路街道', 'wenchanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683002', '370683', '370683002', '永安路街道', 'yonganlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683003', '370683', '370683003', '三山岛街道', 'sanshandaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683004', '370683', '370683004', '城港路街道', 'chengganglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683005', '370683', '370683005', '文峰路街道', 'wenfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683101', '370683', '370683101', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683102', '370683', '370683102', '朱桥镇', 'zhuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683103', '370683', '370683103', '郭家店镇', 'guojiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683104', '370683', '370683104', '金城镇', 'jinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683105', '370683', '370683105', '平里店镇', 'pinglidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683106', '370683', '370683106', '驿道镇', 'yidaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683107', '370683', '370683107', '程郭镇', 'chengguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683108', '370683', '370683108', '虎头崖镇', 'hutouyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683109', '370683', '370683109', '柞村镇', 'zuocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683110', '370683', '370683110', '夏邱镇', 'xiaqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370683111', '370683', '370683111', '土山镇', 'tushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684', '3706', '370684', '蓬莱市', 'penglaishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684001', '370684', '370684001', '登州街道', 'dengzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684002', '370684', '370684002', '紫荆山街道', 'zijingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684003', '370684', '370684003', '新港街道', 'xingangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684004', '370684', '370684004', '蓬莱阁街道', 'penglaigejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684005', '370684', '370684005', '南王街道', 'nanwangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684102', '370684', '370684102', '刘家沟镇', 'liujiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684103', '370684', '370684103', '潮水镇', 'chaoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684105', '370684', '370684105', '大柳行镇', 'daliuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684106', '370684', '370684106', '小门家镇', 'xiaomenjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684107', '370684', '370684107', '大辛店镇', 'daxindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684108', '370684', '370684108', '村里集镇', 'cunlijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370684109', '370684', '370684109', '北沟镇', 'beigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685', '3706', '370685', '招远市', 'zhaoyuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685001', '370685', '370685001', '罗峰街道', 'luofengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685002', '370685', '370685002', '泉山街道', 'quanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685003', '370685', '370685003', '梦芝街道', 'mengzhijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685004', '370685', '370685004', '温泉街道', 'wenquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685101', '370685', '370685101', '辛庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685102', '370685', '370685102', '蚕庄镇', 'canzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685103', '370685', '370685103', '金岭镇', 'jinlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685104', '370685', '370685104', '毕郭镇', 'biguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685105', '370685', '370685105', '玲珑镇', 'linglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685106', '370685', '370685106', '张星镇', 'zhangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685107', '370685', '370685107', '大秦家镇', 'daqinjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685108', '370685', '370685108', '夏甸镇', 'xiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685109', '370685', '370685109', '阜山镇', 'fushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370685110', '370685', '370685110', '齐山镇', 'qishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686', '3706', '370686', '栖霞市', 'qixiashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686001', '370686', '370686001', '翠屏街道', 'cuipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686002', '370686', '370686002', '庄园街道', 'zhuangyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686003', '370686', '370686003', '松山街道', 'songshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686101', '370686', '370686101', '观里镇', 'guanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686102', '370686', '370686102', '蛇窝泊镇', 'shewobozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686103', '370686', '370686103', '唐家泊镇', 'tangjiabozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686104', '370686', '370686104', '桃村镇', 'taocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686105', '370686', '370686105', '亭口镇', 'tingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686106', '370686', '370686106', '臧家庄镇', 'zangjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686107', '370686', '370686107', '寺口镇', 'sikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686108', '370686', '370686108', '苏家店镇', 'sujiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686109', '370686', '370686109', '杨础镇', 'yangchuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686110', '370686', '370686110', '西城镇', 'xichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686111', '370686', '370686111', '官道镇', 'guandaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370686113', '370686', '370686113', '庙后镇', 'miaohouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687', '3706', '370687', '海阳市', 'haiyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687001', '370687', '370687001', '方圆街道', 'fangyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687002', '370687', '370687002', '东村街道', 'dongcunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687003', '370687', '370687003', '凤城街道', 'fengchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687102', '370687', '370687102', '留格庄镇', 'liugezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687103', '370687', '370687103', '盘石店镇', 'panshidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687104', '370687', '370687104', '郭城镇', 'guochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687105', '370687', '370687105', '徐家店镇', 'xujiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687106', '370687', '370687106', '发城镇', 'fachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687107', '370687', '370687107', '小纪镇', 'xiaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687108', '370687', '370687108', '行村镇', 'xingcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687109', '370687', '370687109', '辛安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687110', '370687', '370687110', '二十里店镇', 'ershilidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687111', '370687', '370687111', '大阎家镇', 'dayanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687112', '370687', '370687112', '朱吴镇', 'zhuwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370687401', '370687', '370687401', '外向型工业加工区', 'waixiangxinggongyejiagongqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3707', '37', '3707', '潍坊市', 'weifangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370701', '3707', '370701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370702', '3707', '370702', '潍城区', 'weichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370702001', '370702', '370702001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370702002', '370702', '370702002', '南关街道', 'nanguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370702003', '370702', '370702003', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370702004', '370702', '370702004', '北关街道', 'beiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370702101', '370702', '370702101', '军埠口镇', 'junbukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370702102', '370702', '370702102', '符山镇', 'fushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370702103', '370702', '370702103', '于河镇', 'yuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370702104', '370702', '370702104', '望留镇', 'wangliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370703', '3707', '370703', '寒亭区', 'hantingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370703001', '370703', '370703001', '寒亭街道', 'hantingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370703002', '370703', '370703002', '开元街道', 'kaiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370703100', '370703', '370703100', '固堤镇', 'gudizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370703101', '370703', '370703101', '央子镇', 'yangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370703102', '370703', '370703102', '高里镇', 'gaolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370703103', '370703', '370703103', '双杨店镇', 'shuangyangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370703104', '370703', '370703104', '朱里镇', 'zhulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370703105', '370703', '370703105', '河滩镇', 'hetanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370703200', '370703', '370703200', '泊子乡', 'bozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370703201', '370703', '370703201', '南孙乡', 'nansunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370704', '3707', '370704', '坊子区', 'fangziqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370704001', '370704', '370704001', '长宁街道', 'zhangningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370704002', '370704', '370704002', '恒安街道', 'henganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370704003', '370704', '370704003', '凤凰街道', 'fenghuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370704004', '370704', '370704004', '坊安街道', 'fanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370704103', '370704', '370704103', '穆村镇', 'mucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370704104', '370704', '370704104', '眉村镇', 'meicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370704105', '370704', '370704105', '荆山洼镇', 'jingshanwazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370704106', '370704', '370704106', '南流镇', 'nanliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705', '3707', '370705', '奎文区', 'kuiwenqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705001', '370705', '370705001', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705002', '370705', '370705002', '大虞街道', 'dayujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705003', '370705', '370705003', '梨园街道', 'liyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705004', '370705', '370705004', '廿里堡街道', 'nianlibaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705005', '370705', '370705005', '潍州路街道', 'weizhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705006', '370705', '370705006', '北苑街道', 'beiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705007', '370705', '370705007', '广文街道', 'guangwenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705008', '370705', '370705008', '南苑街道', 'nanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705009', '370705', '370705009', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705010', '370705', '370705010', '清池街道', 'qingchijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370705011', '370705', '370705011', '钢城街道', 'gangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724', '3707', '370724', '临朐县', 'linquxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724001', '370724', '370724001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724002', '370724', '370724002', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724101', '370724', '370724101', '五井镇', 'wujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724102', '370724', '370724102', '杨善镇', 'yangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724103', '370724', '370724103', '冶源镇', 'yeyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724104', '370724', '370724104', '寺头镇', 'sitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724105', '370724', '370724105', '九山镇', 'jiushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724106', '370724', '370724106', '七贤镇', 'qixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724107', '370724', '370724107', '辛寨镇', 'xinzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724108', '370724', '370724108', '卧龙镇', 'wolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724109', '370724', '370724109', '蒋峪镇', 'jiangyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724110', '370724', '370724110', '大关镇', 'daguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724111', '370724', '370724111', '营子镇', 'yingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724112', '370724', '370724112', '龙岗镇', 'longgangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724113', '370724', '370724113', '柳山镇', 'liushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724114', '370724', '370724114', '上林镇', 'shanglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724115', '370724', '370724115', '纸坊镇', 'zhifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370724200', '370724', '370724200', '石家河乡', 'shijiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725', '3707', '370725', '昌乐县', 'changlexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725001', '370725', '370725001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725002', '370725', '370725002', '宝城街道', 'baochengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725003', '370725', '370725003', '朱刘街道', 'zhuliujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725004', '370725', '370725004', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725102', '370725', '370725102', '尧沟镇', 'yaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725104', '370725', '370725104', '五图镇', 'wutuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725106', '370725', '370725106', '北岩镇', 'beiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725107', '370725', '370725107', '乔官镇', 'qiaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725108', '370725', '370725108', '唐吾镇', 'tangwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725109', '370725', '370725109', '高崖镇', 'gaoyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725110', '370725', '370725110', '红河镇', 'honghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725111', '370725', '370725111', '马宋镇', 'masongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725112', '370725', '370725112', '阿陀镇', 'atuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725113', '370725', '370725113', '崔家庄镇', 'cuijiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725114', '370725', '370725114', '白塔镇', 'baitazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370725115', '370725', '370725115', '朱汉镇', 'zhuhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781', '3707', '370781', '青州市', 'qingzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781001', '370781', '370781001', '王府街道', 'wangfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781002', '370781', '370781002', '益都街道', 'yidoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781003', '370781', '370781003', '昭德街道', 'zhaodejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781004', '370781', '370781004', '东坝街道', 'dongbajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781005', '370781', '370781005', '王母宫街道', 'wangmugongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781006', '370781', '370781006', '云门山街道', 'yunmenshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781100', '370781', '370781100', '弥河镇', 'mihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781101', '370781', '370781101', '王坟镇', 'wangfenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781102', '370781', '370781102', '五里镇', 'wulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781103', '370781', '370781103', '庙子镇', 'miaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781105', '370781', '370781105', '邵庄镇', 'shaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781106', '370781', '370781106', '普通镇', 'putongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781107', '370781', '370781107', '东高镇', 'donggaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781109', '370781', '370781109', '高柳镇', 'gaoliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781110', '370781', '370781110', '朱良镇', 'zhuliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781111', '370781', '370781111', '何官镇', 'heguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781112', '370781', '370781112', '口埠镇', 'koubuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781113', '370781', '370781113', '东夏镇', 'dongxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781115', '370781', '370781115', '谭坊镇', 'tanfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781116', '370781', '370781116', '郑母镇', 'zhengmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370781117', '370781', '370781117', '黄楼镇', 'huanglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782', '3707', '370782', '诸城市', 'zhuchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782001', '370782', '370782001', '密州街道', 'mizhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782002', '370782', '370782002', '龙都街道', 'longdoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782003', '370782', '370782003', '舜王街道', 'shunwangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782100', '370782', '370782100', '吕标镇', 'lu:biaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782101', '370782', '370782101', '枳沟镇', 'zhigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782102', '370782', '370782102', '贾悦镇', 'jiayuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782103', '370782', '370782103', '孟疃镇', 'mengtuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782104', '370782', '370782104', '马庄镇', 'mazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782105', '370782', '370782105', '石桥子镇', 'shiqiaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782106', '370782', '370782106', '程戈庄镇', 'chenggezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782107', '370782', '370782107', '九台镇', 'jiutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782108', '370782', '370782108', '相州镇', 'xiangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782109', '370782', '370782109', '郭家屯镇', 'guojiatunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782110', '370782', '370782110', '昌城镇', 'changchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782111', '370782', '370782111', '百尺河镇', 'baichihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782112', '370782', '370782112', '辛兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782113', '370782', '370782113', '朱解镇', 'zhujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782114', '370782', '370782114', '林家村镇', 'linjiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782115', '370782', '370782115', '瓦店镇', 'wadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782116', '370782', '370782116', '郝戈庄镇', 'haogezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782117', '370782', '370782117', '皇华镇', 'huanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782200', '370782', '370782200', '桃园乡', 'taoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370782201', '370782', '370782201', '桃林乡', 'taolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783', '3707', '370783', '寿光市', 'shouguangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783001', '370783', '370783001', '圣城街道', 'shengchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783003', '370783', '370783003', '文家街道', 'wenjiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783004', '370783', '370783004', '古城街道', 'guchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783005', '370783', '370783005', '洛城街道', 'luochengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783006', '370783', '370783006', '孙家集街道', 'sunjiajijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783007', '370783', '370783007', '大家洼街道', 'dajiawajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783100', '370783', '370783100', '化龙镇', 'hualongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783103', '370783', '370783103', '营里镇', 'yinglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783104', '370783', '370783104', '台头镇', 'taitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783106', '370783', '370783106', '田柳镇', 'tianliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783108', '370783', '370783108', '上口镇', 'shangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783109', '370783', '370783109', '侯镇镇', 'houzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783111', '370783', '370783111', '纪台镇', 'jitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783112', '370783', '370783112', '稻田镇', 'daotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783113', '370783', '370783113', '田马镇', 'tianmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783114', '370783', '370783114', '留吕镇', 'liulu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370783115', '370783', '370783115', '羊口镇', 'yangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784', '3707', '370784', '安丘市', 'anqiushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784001', '370784', '370784001', '兴安街道', 'xinganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784002', '370784', '370784002', '贾戈街道', 'jiagejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784100', '370784', '370784100', '景芝镇', 'jingzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784101', '370784', '370784101', '黄旗堡镇', 'huangqibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784103', '370784', '370784103', '凌河镇', 'linghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784104', '370784', '370784104', '官庄镇', 'guanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784105', '370784', '370784105', '雹泉镇', 'baoquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784106', '370784', '370784106', '红沙沟镇', 'hongshagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784107', '370784', '370784107', '大盛镇', 'dashengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784108', '370784', '370784108', '庵上镇', 'anshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784109', '370784', '370784109', '赵戈镇', 'zhaogezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784110', '370784', '370784110', '刘家尧镇', 'liujiayaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784111', '370784', '370784111', '石埠子镇', 'shibuzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784112', '370784', '370784112', '石堆镇', 'shiduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784113', '370784', '370784113', '关王镇', 'guanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784114', '370784', '370784114', '王家庄镇', 'wangjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784115', '370784', '370784115', '临浯镇', 'linwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784116', '370784', '370784116', '白芬子镇', 'baifenzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784117', '370784', '370784117', '管公镇', 'guangongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784118', '370784', '370784118', '柘山镇', 'zheshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784119', '370784', '370784119', '辉渠镇', 'huiquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784120', '370784', '370784120', '吾山镇', 'wushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370784121', '370784', '370784121', '金冢子镇', 'jinzhongzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785', '3707', '370785', '高密市', 'gaomishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785001', '370785', '370785001', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785002', '370785', '370785002', '醴泉街道', 'liquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785003', '370785', '370785003', '密水街道', 'mishuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785100', '370785', '370785100', '柏城镇', 'bochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785101', '370785', '370785101', '姚哥庄镇', 'yaogezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785102', '370785', '370785102', '河崖镇', 'heyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785103', '370785', '370785103', '夏庄镇', 'xiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785104', '370785', '370785104', '姜庄镇', 'jiangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785105', '370785', '370785105', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785106', '370785', '370785106', '大牟家镇', 'damoujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785107', '370785', '370785107', '周戈庄镇', 'zhougezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785108', '370785', '370785108', '康庄镇', 'kangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785109', '370785', '370785109', '阚家镇', 'kanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785110', '370785', '370785110', '双羊镇', 'shuangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785111', '370785', '370785111', '井沟镇', 'jinggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785112', '370785', '370785112', '呼家庄镇', 'hujiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785113', '370785', '370785113', '注沟镇', 'zhugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785114', '370785', '370785114', '柴沟镇', 'chaigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785115', '370785', '370785115', '拒城河镇', 'juchenghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370785116', '370785', '370785116', '李家营镇', 'lijiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786', '3707', '370786', '昌邑市', 'changyishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786001', '370786', '370786001', '奎聚街道', 'kuijujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786002', '370786', '370786002', '都昌街道', 'douchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786101', '370786', '370786101', '柳疃镇', 'liutuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786102', '370786', '370786102', '龙池镇', 'longchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786103', '370786', '370786103', '夏店镇', 'xiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786104', '370786', '370786104', '卜庄镇', 'buzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786105', '370786', '370786105', '围子镇', 'weizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786106', '370786', '370786106', '宋庄镇', 'songzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786107', '370786', '370786107', '石埠镇', 'shibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786108', '370786', '370786108', '饮马镇', 'yinmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786109', '370786', '370786109', '北孟镇', 'beimengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786110', '370786', '370786110', '岞山镇', 'zuoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786111', '370786', '370786111', '丈岭镇', 'zhanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786201', '370786', '370786201', '双台乡', 'shuangtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370786202', '370786', '370786202', '太保庄乡', 'taibaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3708', '37', '3708', '济宁市', 'jiningshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370801', '3708', '370801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370802', '3708', '370802', '市中区', 'shizhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370802001', '370802', '370802001', '古槐街道', 'guhuaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370802002', '370802', '370802002', '济阳街道', 'jiyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370802003', '370802', '370802003', '阜桥街道', 'fuqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370802004', '370802', '370802004', '越河街道', 'yuehejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370802005', '370802', '370802005', '仙营街道', 'xianyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370802006', '370802', '370802006', '观音阁街道办事处	', 'guanyingejiedaobanshichu	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370802007', '370802', '370802007', '金城街道', 'jinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370802008', '370802', '370802008', '南苑街道', 'nanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811', '3708', '370811', '任城区', 'renchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811001', '370811', '370811001', '三贾街道', 'sanjiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811002', '370811', '370811002', '许庄街道', 'xuzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811003', '370811', '370811003', '柳行街道', 'liuxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811100', '370811', '370811100', '李营镇', 'liyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811101', '370811', '370811101', '廿里铺镇', 'nianlipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811102', '370811', '370811102', '长沟镇', 'zhanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811103', '370811', '370811103', '安居镇', 'anjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811104', '370811', '370811104', '唐口镇', 'tangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811105', '370811', '370811105', '接庄镇', 'jiezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811108', '370811', '370811108', '南张镇', 'nanzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811109', '370811', '370811109', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811110', '370811', '370811110', '喻屯镇', 'yutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370811400', '370811', '370811400', '兖矿集团济东新村', 'yankuangjituanjidongxincun', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826', '3708', '370826', '微山县				', 'weishanxian				', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826001', '370826', '370826001', '夏镇街道', 'xiazhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826002', '370826', '370826002', '昭阳街道', 'zhaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826101', '370826', '370826101', '韩庄镇	', 'hanzhuangzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826102', '370826', '370826102', '欢城镇	', 'huanchengzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826103', '370826', '370826103', '南阳镇	', 'nanyangzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826104', '370826', '370826104', '鲁桥镇', 'luqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826105', '370826', '370826105', '傅村镇	', 'fucunzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826106', '370826', '370826106', '留庄镇', 'liuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826200', '370826', '370826200', '微山岛乡', 'weishandaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826204', '370826', '370826204', '两城乡', 'liangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826205', '370826', '370826205', '马坡乡	', 'mapoxiang	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826206', '370826', '370826206', '高楼乡	', 'gaolouxiang	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826207', '370826', '370826207', '张楼乡', 'zhanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826209', '370826', '370826209', '赵庙乡', 'zhaomiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370826210', '370826', '370826210', '西平乡	', 'xipingxiang	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370827', '3708', '370827', '鱼台县', 'yutaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370827100', '370827', '370827100', '谷亭镇', 'gutingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370827101', '370827', '370827101', '清河镇', 'qinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370827102', '370827', '370827102', '鱼城镇', 'yuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370827103', '370827', '370827103', '王鲁镇', 'wangluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370827104', '370827', '370827104', '张黄镇', 'zhanghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370827105', '370827', '370827105', '王庙镇', 'wangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370827106', '370827', '370827106', '李阁镇', 'ligezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370827200', '370827', '370827200', '唐马乡', 'tangmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370827201', '370827', '370827201', '老砦乡', 'laozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370827204', '370827', '370827204', '罗屯乡', 'luotunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828', '3708', '370828', '金乡县', 'jinxiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828100', '370828', '370828100', '金乡镇', 'jinxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828101', '370828', '370828101', '羊山镇', 'yangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828102', '370828', '370828102', '胡集镇', 'hujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828103', '370828', '370828103', '肖云镇', 'xiaoyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828104', '370828', '370828104', '鸡黍镇', 'jishuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828106', '370828', '370828106', '王丕镇', 'wangpizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828107', '370828', '370828107', '司马镇', 'simazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828108', '370828', '370828108', '鱼山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828109', '370828', '370828109', '马庙镇', 'mamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828200', '370828', '370828200', '化雨乡', 'huayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828201', '370828', '370828201', '卜集乡', 'bujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828202', '370828', '370828202', '高河乡', 'gaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370828203', '370828', '370828203', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829', '3708', '370829', '嘉祥县', 'jiaxiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829100', '370829', '370829100', '嘉祥镇', 'jiaxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829101', '370829', '370829101', '纸坊镇', 'zhifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829102', '370829', '370829102', '梁宝寺镇', 'liangbaosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829103', '370829', '370829103', '卧龙山镇', 'wolongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829104', '370829', '370829104', '疃里镇', 'tuanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829105', '370829', '370829105', '马村镇', 'macunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829106', '370829', '370829106', '金屯镇', 'jintunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829107', '370829', '370829107', '大张楼镇', 'dazhanglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829200', '370829', '370829200', '老僧堂乡', 'laosengtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829201', '370829', '370829201', '黄垓乡', 'huanggaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829204', '370829', '370829204', '万张乡', 'wanzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829207', '370829', '370829207', '马集乡', 'majixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829208', '370829', '370829208', '满硐乡', 'mandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829209', '370829', '370829209', '仲山乡', 'zhongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370829210', '370829', '370829210', '孟姑集乡', 'menggujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830', '3708', '370830', '汶上县', 'wenshangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830100', '370830', '370830100', '汶上镇', 'wenshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830101', '370830', '370830101', '南站镇', 'nanzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830102', '370830', '370830102', '南旺镇', 'nanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830103', '370830', '370830103', '次丘镇', 'ciqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830104', '370830', '370830104', '寅寺镇', 'yinsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830105', '370830', '370830105', '郭楼镇', 'guolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830106', '370830', '370830106', '康驿镇', 'kangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830107', '370830', '370830107', '苑庄镇', 'yuanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830201', '370830', '370830201', '义桥乡', 'yiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830202', '370830', '370830202', '刘楼乡', 'liulouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830203', '370830', '370830203', '郭仓乡', 'guocangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830204', '370830', '370830204', '杨店乡', 'yangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830205', '370830', '370830205', '军屯乡', 'juntunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370830206', '370830', '370830206', '白石乡', 'baishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831', '3708', '370831', '泗水县', 'sishuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831001', '370831', '370831001', '泗河街道', 'sihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831002', '370831', '370831002', '济河街道', 'jihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831101', '370831', '370831101', '泉林镇', 'quanlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831102', '370831', '370831102', '星村镇', 'xingcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831103', '370831', '370831103', '柘沟镇', 'zhegouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831104', '370831', '370831104', '金庄镇', 'jinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831105', '370831', '370831105', '苗馆镇', 'miaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831106', '370831', '370831106', '中册镇', 'zhongcezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831107', '370831', '370831107', '杨柳镇', 'yangliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831108', '370831', '370831108', '泗张镇', 'sizhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831200', '370831', '370831200', '圣水峪乡', 'shengshuiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831205', '370831', '370831205', '大黄沟乡', 'dahuanggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370831206', '370831', '370831206', '高峪乡', 'gaoyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832', '3708', '370832', '梁山县', 'liangshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832100', '370832', '370832100', '梁山镇', 'liangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832101', '370832', '370832101', '小路口镇', 'xiaolukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832102', '370832', '370832102', '韩岗镇', 'hangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832103', '370832', '370832103', '徐集镇', 'xujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832104', '370832', '370832104', '拳铺镇', 'quanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832105', '370832', '370832105', '杨营镇', 'yangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832106', '370832', '370832106', '韩垓镇', 'hangaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832107', '370832', '370832107', '馆驿镇', 'guanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832108', '370832', '370832108', '小安山镇', 'xiaoanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832211', '370832', '370832211', '马营乡', 'mayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832213', '370832', '370832213', '寿张集乡', 'shouzhangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832214', '370832', '370832214', '黑虎庙乡', 'heihumiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832215', '370832', '370832215', '赵堌堆乡', 'zhaoguduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370832217', '370832', '370832217', '大路口乡', 'dalukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881', '3708', '370881', '曲阜市', 'qufushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881001', '370881', '370881001', '鲁城街道', 'luchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881002', '370881', '370881002', '书院街道', 'shuyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881101', '370881', '370881101', '吴村镇', 'wucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881102', '370881', '370881102', '姚村镇', 'yaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881103', '370881', '370881103', '陵城镇', 'lingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881104', '370881', '370881104', '小雪镇', 'xiaoxuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881105', '370881', '370881105', '南辛镇', 'nanxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881107', '370881', '370881107', '时庄镇', 'shizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881200', '370881', '370881200', '王庄乡', 'wangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881201', '370881', '370881201', '董庄乡', 'dongzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881202', '370881', '370881202', '息陬乡', 'xizouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370881204', '370881', '370881204', '防山乡', 'fangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882', '3708', '370882', '兖州市', 'yanzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882001', '370882', '370882001', '鼓楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882002', '370882', '370882002', '永安街道', 'yonganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882101', '370882', '370882101', '大安镇', 'daanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882102', '370882', '370882102', '新驿镇', 'xinyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882103', '370882', '370882103', '颜店镇', 'yandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882104', '370882', '370882104', '王因镇', 'wangyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882105', '370882', '370882105', '新兖镇', 'xinyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882106', '370882', '370882106', '谷村镇', 'gucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882107', '370882', '370882107', '漕河镇', 'caohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882109', '370882', '370882109', '黄屯镇', 'huangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882110', '370882', '370882110', '兴隆庄镇', 'xinglongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370882111', '370882', '370882111', '小孟镇', 'xiaomengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883', '3708', '370883', '邹城市', 'zouchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883001', '370883', '370883001', '钢山街道', 'gangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883002', '370883', '370883002', '千泉街道', 'qianquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883003', '370883', '370883003', '凫山街道', 'fushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883101', '370883', '370883101', '香城镇', 'xiangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883102', '370883', '370883102', '城前镇', 'chengqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883103', '370883', '370883103', '大束镇', 'dashuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883104', '370883', '370883104', '北宿镇', 'beisuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883105', '370883', '370883105', '中心店镇', 'zhongxindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883106', '370883', '370883106', '唐村镇', 'tangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883107', '370883', '370883107', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883108', '370883', '370883108', '平阳寺镇', 'pingyangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883109', '370883', '370883109', '石墙镇', 'shiqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883110', '370883', '370883110', '峄山镇', 'yishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883111', '370883', '370883111', '看庄镇', 'kanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883112', '370883', '370883112', '张庄镇', 'zhangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883113', '370883', '370883113', '田黄镇', 'tianhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370883114', '370883', '370883114', '郭里镇', 'guolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3709', '37', '3709', '泰安市', 'taianshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370901', '3709', '370901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370902', '3709', '370902', '泰山区', 'taishanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370902001', '370902', '370902001', '岱庙街道', 'daimiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370902002', '370902', '370902002', '财源街道', 'caiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370902003', '370902', '370902003', '泰前街道', 'taiqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370902004', '370902', '370902004', '上高街道', 'shanggaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370902005', '370902', '370902005', '徐家楼街道', 'xujialoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370902100', '370902', '370902100', '省庄镇', 'shengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370902101', '370902', '370902101', '邱家店镇', 'qiujiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370902202', '370902', '370902202', '大津口乡', 'dajinkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903', '3709', '370903', '岱岳区', 'daiyuequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903001', '370903', '370903001', '粥店街道', 'zhoudianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903002', '370903', '370903002', '天平街道', 'tianpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903100', '370903', '370903100', '山口镇', 'shankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903101', '370903', '370903101', '祝阳镇', 'zhuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903102', '370903', '370903102', '范镇', 'fanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903103', '370903', '370903103', '角峪镇', 'jiaoyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903104', '370903', '370903104', '徂徕镇', 'culaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903105', '370903', '370903105', '北集坡镇', 'beijipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903106', '370903', '370903106', '满庄镇', 'manzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903107', '370903', '370903107', '夏张镇', 'xiazhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903108', '370903', '370903108', '道朗镇', 'daolangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903109', '370903', '370903109', '黄前镇', 'huangqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903110', '370903', '370903110', '大汶口镇', 'dawenkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903111', '370903', '370903111', '马庄镇', 'mazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903112', '370903', '370903112', '房村镇', 'fangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903113', '370903', '370903113', '良庄镇', 'liangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903200', '370903', '370903200', '下港乡', 'xiagangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370903201', '370903', '370903201', '化马湾乡', 'huamawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921', '3709', '370921', '宁阳县', 'ningyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921100', '370921', '370921100', '宁阳镇', 'ningyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921101', '370921', '370921101', '泗店镇', 'sidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921102', '370921', '370921102', '东疏镇', 'dongshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921103', '370921', '370921103', '伏山镇', 'fushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921105', '370921', '370921105', '堽城镇', 'gangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921107', '370921', '370921107', '蒋集镇', 'jiangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921109', '370921', '370921109', '磁窑镇', 'ciyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921110', '370921', '370921110', '华丰镇', 'huafengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921111', '370921', '370921111', '葛石镇', 'geshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921201', '370921', '370921201', '鹤山乡', 'heshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921204', '370921', '370921204', '东庄乡', 'dongzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370921206', '370921', '370921206', '乡饮乡', 'xiangyinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923', '3709', '370923', '东平县', 'dongpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923100', '370923', '370923100', '州城镇', 'zhouchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923101', '370923', '370923101', '沙河站镇', 'shahezhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923102', '370923', '370923102', '彭集镇', 'pengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923104', '370923', '370923104', '东平镇', 'dongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923106', '370923', '370923106', '老湖镇', 'laohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923107', '370923', '370923107', '银山镇', 'yinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923108', '370923', '370923108', '斑鸠店镇', 'banjiudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923200', '370923', '370923200', '接山乡', 'jieshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923202', '370923', '370923202', '大羊乡', 'dayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923203', '370923', '370923203', '梯门乡', 'timenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923204', '370923', '370923204', '新湖乡', 'xinhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923206', '370923', '370923206', '商老庄乡', 'shanglaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923207', '370923', '370923207', '戴庙乡', 'daimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370923208', '370923', '370923208', '旧县乡', 'jiuxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982', '3709', '370982', '新泰市', 'xintaishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982001', '370982', '370982001', '青云街道', 'qingyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982002', '370982', '370982002', '新汶街道', 'xinwenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982101', '370982', '370982101', '东都镇', 'dongdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982102', '370982', '370982102', '小协镇', 'xiaoxiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982103', '370982', '370982103', '翟镇', 'zhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982104', '370982', '370982104', '泉沟镇', 'quangouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982105', '370982', '370982105', '羊流镇', 'yangliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982106', '370982', '370982106', '果都镇', 'guodouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982107', '370982', '370982107', '西张庄镇', 'xizhangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982108', '370982', '370982108', '天宝镇', 'tianbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982110', '370982', '370982110', '楼德镇', 'loudezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982111', '370982', '370982111', '禹村镇', 'yucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982112', '370982', '370982112', '宫里镇', 'gonglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982113', '370982', '370982113', '谷里镇', 'gulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982114', '370982', '370982114', '石莱镇', 'shilaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982115', '370982', '370982115', '放城镇', 'fangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982116', '370982', '370982116', '刘杜镇', 'liuduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982117', '370982', '370982117', '汶南镇', 'wennanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982119', '370982', '370982119', '龙廷镇', 'longtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370982203', '370982', '370982203', '岳家庄乡', 'yuejiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983', '3709', '370983', '肥城市', 'feichengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983001', '370983', '370983001', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983100', '370983', '370983100', '老城镇', 'laochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983101', '370983', '370983101', '潮泉镇', 'chaoquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983102', '370983', '370983102', '王瓜店镇', 'wangguadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983103', '370983', '370983103', '桃园镇', 'taoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983104', '370983', '370983104', '王庄镇', 'wangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983105', '370983', '370983105', '湖屯镇', 'hutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983106', '370983', '370983106', '石横镇', 'shihengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983107', '370983', '370983107', '安临站镇', 'anlinzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983108', '370983', '370983108', '孙伯镇', 'sunbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983109', '370983', '370983109', '安驾庄镇', 'anjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983110', '370983', '370983110', '汶阳镇', 'wenyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983111', '370983', '370983111', '边院镇', 'bianyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('370983200', '370983', '370983200', '仪阳乡', 'yiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3710', '37', '3710', '威海市', 'weihaishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371001', '3710', '371001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002', '3710', '371002', '环翠区', 'huancuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002001', '371002', '371002001', '环翠楼街道', 'huancuiloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002002', '371002', '371002002', '鲸园街道', 'jingyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002003', '371002', '371002003', '竹岛街道', 'zhudaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002004', '371002', '371002004', '怡园街道', 'yiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002007', '371002', '371002007', '田和街道', 'tianhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002008', '371002', '371002008', '皇冠街道', 'huangguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002009', '371002', '371002009', '凤林街道', 'fenglinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002010', '371002', '371002010', '西苑街道', 'xiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002100', '371002', '371002100', '张村镇', 'zhangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002101', '371002', '371002101', '羊亭镇', 'yangtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002102', '371002', '371002102', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002103', '371002', '371002103', '崮山镇', 'gushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002104', '371002', '371002104', '孙家疃镇', 'sunjiatuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002105', '371002', '371002105', '泊于镇', 'boyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002106', '371002', '371002106', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002107', '371002', '371002107', '草庙子镇', 'caomiaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371002108', '371002', '371002108', '初村镇', 'chucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081', '3710', '371081', '文登市', 'wendengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081001', '371081', '371081001', '龙山路街道', 'longshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081002', '371081', '371081002', '天福路街道', 'tianfulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081003', '371081', '371081003', '环山路街道', 'huanshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081100', '371081', '371081100', '文登营镇', 'wendengyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081101', '371081', '371081101', '大水泊镇', 'dashuibozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081102', '371081', '371081102', '张家产镇', 'zhangjiachanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081103', '371081', '371081103', '高村镇', 'gaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081104', '371081', '371081104', '泽库镇', 'zekuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081105', '371081', '371081105', '侯家镇', 'houjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081106', '371081', '371081106', '宋村镇', 'songcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081107', '371081', '371081107', '泽头镇', 'zetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081108', '371081', '371081108', '小观镇', 'xiaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081109', '371081', '371081109', '葛家镇', 'gejiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081110', '371081', '371081110', '米山镇', 'mishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081111', '371081', '371081111', '界石镇', 'jieshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081112', '371081', '371081112', '汪疃镇', 'wangtuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081113', '371081', '371081113', '苘山镇', 'qingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371081400', '371081', '371081400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082', '3710', '371082', '荣成市', 'rongchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082001', '371082', '371082001', '宁津街道', 'ningjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082002', '371082', '371082002', '港湾街道', 'gangwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082003', '371082', '371082003', '桃园街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082004', '371082', '371082004', '王连街道', 'wanglianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082005', '371082', '371082005', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082006', '371082', '371082006', '斥山街道', 'chishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082007', '371082', '371082007', '崖头街道', 'yatoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082008', '371082', '371082008', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082009', '371082', '371082009', '寻山街道', 'xunshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082010', '371082', '371082010', '崂山街道', 'laoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082101', '371082', '371082101', '俚岛镇', 'lidaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082102', '371082', '371082102', '成山镇', 'chengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082103', '371082', '371082103', '埠柳镇', 'buliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082104', '371082', '371082104', '港西镇', 'gangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082105', '371082', '371082105', '夏庄镇', 'xiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082106', '371082', '371082106', '崖西镇', 'yaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082107', '371082', '371082107', '荫子镇', 'yinzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082108', '371082', '371082108', '滕家镇', 'tengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082109', '371082', '371082109', '大疃镇', 'datuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082110', '371082', '371082110', '上庄镇', 'shangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082111', '371082', '371082111', '虎山镇', 'hushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371082112', '371082', '371082112', '人和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083', '3710', '371083', '乳山市', 'rushanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083001', '371083', '371083001', '城区街道', 'chengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083100', '371083', '371083100', '夏村镇', 'xiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083101', '371083', '371083101', '乳山口镇', 'rushankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083102', '371083', '371083102', '海阳所镇', 'haiyangsuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083103', '371083', '371083103', '白沙滩镇', 'baishatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083104', '371083', '371083104', '大孤山镇', 'dagushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083105', '371083', '371083105', '南黄镇', 'nanhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083106', '371083', '371083106', '冯家镇', 'fengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083107', '371083', '371083107', '下初镇', 'xiachuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083108', '371083', '371083108', '午极镇', 'wujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083109', '371083', '371083109', '育黎镇', 'yulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083110', '371083', '371083110', '崖子镇', 'yazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083111', '371083', '371083111', '诸往镇', 'zhuwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083112', '371083', '371083112', '乳山寨镇', 'rushanzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371083114', '371083', '371083114', '徐家镇', 'xujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3711', '37', '3711', '日照市', 'rizhaoshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371101', '3711', '371101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102', '3711', '371102', '东港区', 'donggangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102001', '371102', '371102001', '日照街道', 'rizhaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102002', '371102', '371102002', '石臼街道', 'shijiujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102003', '371102', '371102003', '奎山街道', 'kuishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102004', '371102', '371102004', '秦楼街道', 'qinloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102007', '371102', '371102007', '北京路街道', 'beijinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102100', '371102', '371102100', '河山镇', 'heshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102101', '371102', '371102101', '两城镇', 'liangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102102', '371102', '371102102', '涛雒镇', 'taoluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102106', '371102', '371102106', '西湖镇', 'xihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102107', '371102', '371102107', '陈疃镇', 'chentuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102108', '371102', '371102108', '南湖镇', 'nanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371102109', '371102', '371102109', '三庄镇', 'sanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371103', '3711', '371103', '岚山区', 'lanshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371103001', '371103', '371103001', '岚山头街道', 'lanshantoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371103002', '371103', '371103002', '安东卫街道', 'andongweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371103100', '371103', '371103100', '碑廓镇', 'beikuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371103101', '371103', '371103101', '虎山镇', 'hushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371103102', '371103', '371103102', '巨峰镇', 'jufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371103103', '371103', '371103103', '高兴镇', 'gaoxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371103104', '371103', '371103104', '后村镇', 'houcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371103105', '371103', '371103105', '黄墩镇', 'huangdunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371103200', '371103', '371103200', '前三岛乡', 'qiansandaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121', '3711', '371121', '五莲县', 'wulianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121101', '371121', '371121101', '洪凝镇', 'hongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121102', '371121', '371121102', '街头镇', 'jietouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121103', '371121', '371121103', '潮河镇', 'chaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121104', '371121', '371121104', '许孟镇', 'xumengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121105', '371121', '371121105', '于里镇', 'yulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121106', '371121', '371121106', '汪湖镇', 'wanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121107', '371121', '371121107', '叩官镇', 'kouguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121108', '371121', '371121108', '中至镇', 'zhongzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121109', '371121', '371121109', '高泽镇', 'gaozezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121201', '371121', '371121201', '石场乡', 'shichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121202', '371121', '371121202', '户部乡', 'hubuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371121203', '371121', '371121203', '松柏乡', 'songboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122', '3711', '371122', '莒县', 'juxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122101', '371122', '371122101', '城阳镇', 'chengyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122102', '371122', '371122102', '招贤镇', 'zhaoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122103', '371122', '371122103', '阎庄镇', 'yanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122104', '371122', '371122104', '夏庄镇', 'xiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122105', '371122', '371122105', '刘官庄镇', 'liuguanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122106', '371122', '371122106', '峤山镇', 'jiaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122107', '371122', '371122107', '小店镇', 'xiaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122108', '371122', '371122108', '中楼镇', 'zhonglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122109', '371122', '371122109', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122110', '371122', '371122110', '东莞镇', 'dongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122111', '371122', '371122111', '浮来山镇', 'fulaishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122112', '371122', '371122112', '陵阳镇', 'lingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122113', '371122', '371122113', '店子集镇', 'dianzijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122114', '371122', '371122114', '长岭镇', 'zhanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122115', '371122', '371122115', '安庄镇', 'anzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122116', '371122', '371122116', '棋山镇', 'qishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122117', '371122', '371122117', '洛河镇', 'luohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122201', '371122', '371122201', '寨里河乡', 'zhailihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122204', '371122', '371122204', '果庄乡', 'guozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122205', '371122', '371122205', '桑园乡', 'sangyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371122206', '371122', '371122206', '库山乡', 'kushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3712', '37', '3712', '莱芜市', 'laiwushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371201', '3712', '371201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202', '3712', '371202', '莱城区', 'laichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202001', '371202', '371202001', '凤城街道', 'fengchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202002', '371202', '371202002', '张家洼街道', 'zhangjiawajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202003', '371202', '371202003', '高庄街道', 'gaozhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202004', '371202', '371202004', '鹏泉街道', 'pengquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202100', '371202', '371202100', '口镇', 'kouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202101', '371202', '371202101', '羊里镇', 'yanglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202102', '371202', '371202102', '方下镇', 'fangxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202103', '371202', '371202103', '牛泉镇', 'niuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202105', '371202', '371202105', '苗山镇', 'miaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202106', '371202', '371202106', '雪野镇', 'xueyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202107', '371202', '371202107', '大王庄镇', 'dawangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202108', '371202', '371202108', '寨里镇', 'zhailizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202109', '371202', '371202109', '杨庄镇', 'yangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202110', '371202', '371202110', '茶业口镇', 'chayekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371202200', '371202', '371202200', '和庄乡', 'hezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371203', '3712', '371203', '钢城区', 'gangchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371203001', '371203', '371203001', '艾山街道', 'aishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371203100', '371203', '371203100', '颜庄镇', 'yanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371203101', '371203', '371203101', '黄庄镇', 'huangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371203102', '371203', '371203102', '里辛镇', 'lixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371203103', '371203', '371203103', '辛庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3713', '37', '3713', '临沂市', 'linyishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371301', '3713', '371301', '临沂市辖区', 'linyishixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302', '3713', '371302', '兰山区', 'lanshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302001', '371302', '371302001', '兰山街道', 'lanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302002', '371302', '371302002', '银雀山街道', 'yinqueshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302003', '371302', '371302003', '金雀山街道', 'jinqueshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302004', '371302', '371302004', '南坊街道', 'nanfangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302101', '371302', '371302101', '白沙埠镇', 'baishabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302102', '371302', '371302102', '枣沟头镇', 'zaogoutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302103', '371302', '371302103', '半程镇', 'banchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302105', '371302', '371302105', '义堂镇', 'yitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302106', '371302', '371302106', '马厂湖镇', 'machanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302107', '371302', '371302107', '李官镇', 'liguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371302108', '371302', '371302108', '朱保镇', 'zhubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371311', '3713', '371311', '罗庄区', 'luozhuangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371311001', '371311', '371311001', '罗庄街道', 'luozhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371311002', '371311', '371311002', '付庄街道', 'fuzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371311003', '371311', '371311003', '盛庄街道', 'shengzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371311004', '371311', '371311004', '汤庄街道', 'tangzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371311005', '371311', '371311005', '双月街道湖', 'shuangyuejiedaohu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371311006', '371311', '371311006', '册山街道', 'ceshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371311007', '371311', '371311007', '高都街道', 'gaodoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371311008', '371311', '371311008', '罗西街道', 'luoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312', '3713', '371312', '河东区', 'hedongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312001', '371312', '371312001', '九曲街道', 'jiuqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312002', '371312', '371312002', '芝麻墩街道', 'zhimadunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312003', '371312', '371312003', '梅埠街道', 'meibujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312004', '371312', '371312004', '相公街道', 'xianggongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312005', '371312', '371312005', '太平街道', 'taipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312006', '371312', '371312006', '汤头街道', 'tangtoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312007', '371312', '371312007', '凤凰岭街道', 'fenghuanglingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312103', '371312', '371312103', '重沟镇', 'zhonggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312104', '371312', '371312104', '汤河镇', 'tanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312107', '371312', '371312107', '八湖镇', 'bahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312108', '371312', '371312108', '郑旺镇', 'zhengwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371312201', '371312', '371312201', '刘店子乡', 'liudianzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321', '3713', '371321', '沂南县', 'yinanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321100', '371321', '371321100', '界湖镇', 'jiehuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321101', '371321', '371321101', '岸堤镇', 'andizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321102', '371321', '371321102', '孙祖镇', 'sunzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321103', '371321', '371321103', '双堠镇', 'shuanghouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321104', '371321', '371321104', '青驼镇', 'qingtuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321105', '371321', '371321105', '张庄镇', 'zhangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321106', '371321', '371321106', '砖埠镇', 'zhuanbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321107', '371321', '371321107', '葛沟镇', 'gegouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321108', '371321', '371321108', '杨家坡镇', 'yangjiapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321109', '371321', '371321109', '大庄镇', 'dazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321110', '371321', '371321110', '辛集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321111', '371321', '371321111', '蒲汪镇', 'puwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321112', '371321', '371321112', '湖头镇', 'hutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321113', '371321', '371321113', '苏村镇', 'sucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321114', '371321', '371321114', '铜井镇', 'tongjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321115', '371321', '371321115', '依汶镇', 'yiwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371321201', '371321', '371321201', '马牧池乡', 'mamuchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322', '3713', '371322', '郯城县', 'tanchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322100', '371322', '371322100', '郯城镇', 'tanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322101', '371322', '371322101', '马头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322102', '371322', '371322102', '重坊镇', 'zhongfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322103', '371322', '371322103', '李庄镇', 'lizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322104', '371322', '371322104', '褚墩镇', 'chudunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322105', '371322', '371322105', '杨集镇', 'yangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322106', '371322', '371322106', '黄山镇', 'huangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322107', '371322', '371322107', '港上镇', 'gangshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322108', '371322', '371322108', '高峰头镇', 'gaofengtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322109', '371322', '371322109', '庙山镇', 'miaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322110', '371322', '371322110', '沙墩镇', 'shadunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322200', '371322', '371322200', '胜利乡', 'shenglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322201', '371322', '371322201', '新村乡', 'xincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322202', '371322', '371322202', '花园乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322203', '371322', '371322203', '归昌乡', 'guichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322204', '371322', '371322204', '红花乡', 'honghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371322205', '371322', '371322205', '泉源乡', 'quanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323', '3713', '371323', '沂水县', 'yishuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323100', '371323', '371323100', '沂水镇', 'yishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323101', '371323', '371323101', '马站镇', 'mazhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323102', '371323', '371323102', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323103', '371323', '371323103', '许家湖镇', 'xujiahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323104', '371323', '371323104', '黄山铺镇', 'huangshanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323105', '371323', '371323105', '姚店子镇', 'yaodianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323106', '371323', '371323106', '诸葛镇', 'zhugezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323107', '371323', '371323107', '崔家峪镇', 'cuijiayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323108', '371323', '371323108', '四十里堡镇', 'sishilibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323109', '371323', '371323109', '杨庄镇', 'yangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323110', '371323', '371323110', '夏蔚镇', 'xiayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323111', '371323', '371323111', '沙沟镇', 'shagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323112', '371323', '371323112', '高庄镇', 'gaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323200', '371323', '371323200', '道托乡', 'daotuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323201', '371323', '371323201', '圈里乡', 'quanlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323202', '371323', '371323202', '龙家圈乡', 'longjiaquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323203', '371323', '371323203', '泉庄乡', 'quanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323204', '371323', '371323204', '富官庄乡', 'fuguanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371323205', '371323', '371323205', '院东头乡', 'yuandongtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324', '3713', '371324', '苍山县', 'cangshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324100', '371324', '371324100', '卞庄镇', 'bianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324101', '371324', '371324101', '大仲村镇', 'dazhongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324102', '371324', '371324102', '兰陵镇', 'lanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324103', '371324', '371324103', '长城镇', 'zhangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324104', '371324', '371324104', '磨山镇', 'moshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324105', '371324', '371324105', '神山镇', 'shenshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324106', '371324', '371324106', '车辋镇', 'chewangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324107', '371324', '371324107', '尚岩镇', 'shangyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324108', '371324', '371324108', '向城镇', 'xiangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324109', '371324', '371324109', '新兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324110', '371324', '371324110', '南桥镇', 'nanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324111', '371324', '371324111', '层山镇', 'cengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324112', '371324', '371324112', '庄坞镇', 'zhuangwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324113', '371324', '371324113', '沂堂镇', 'yitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324200', '371324', '371324200', '贾庄乡', 'jiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324201', '371324', '371324201', '矿坑乡', 'kuangkengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324202', '371324', '371324202', '下村乡', 'xiacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324203', '371324', '371324203', '鲁城乡', 'luchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324204', '371324', '371324204', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324205', '371324', '371324205', '兴明乡', 'xingmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371324206', '371324', '371324206', '二庙乡', 'ermiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325', '3713', '371325', '费县', 'feixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325100', '371325', '371325100', '费城镇', 'feichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325101', '371325', '371325101', '上冶镇', 'shangyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325102', '371325', '371325102', '薛庄镇', 'xuezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325103', '371325', '371325103', '方城镇', 'fangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325104', '371325', '371325104', '汪沟镇', 'wanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325105', '371325', '371325105', '探沂镇', 'tanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325106', '371325', '371325106', '朱田镇', 'zhutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325107', '371325', '371325107', '梁邱镇', 'liangqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325108', '371325', '371325108', '新庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325109', '371325', '371325109', '马庄镇', 'mazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325110', '371325', '371325110', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325111', '371325', '371325111', '刘庄镇', 'liuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325112', '371325', '371325112', '胡阳镇', 'huyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325113', '371325', '371325113', '石井镇', 'shijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325200', '371325', '371325200', '大田庄乡', 'datianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325201', '371325', '371325201', '南张庄乡', 'nanzhangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325202', '371325', '371325202', '城北乡', 'chengbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371325204', '371325', '371325204', '芍药山乡', 'shaoyaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326', '3713', '371326', '平邑县', 'pingyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326100', '371326', '371326100', '平邑镇', 'pingyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326101', '371326', '371326101', '仲村镇', 'zhongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326102', '371326', '371326102', '武台镇', 'wutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326103', '371326', '371326103', '保太镇', 'baotaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326104', '371326', '371326104', '柏林镇', 'bolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326105', '371326', '371326105', '卞桥镇', 'bianqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326106', '371326', '371326106', '地方镇', 'difangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326107', '371326', '371326107', '铜石镇', 'tongshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326108', '371326', '371326108', '温水镇', 'wenshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326109', '371326', '371326109', '流峪镇', 'liuyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326110', '371326', '371326110', '郑城镇', 'zhengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326111', '371326', '371326111', '白彦镇', 'baiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326112', '371326', '371326112', '临涧镇', 'linjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326113', '371326', '371326113', '丰阳镇', 'fengyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326200', '371326', '371326200', '资邱乡', 'ziqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371326201', '371326', '371326201', '魏庄乡', 'weizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327', '3713', '371327', '莒南县', 'junanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327100', '371327', '371327100', '十字路镇', 'shiziluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327101', '371327', '371327101', '团林镇', 'tuanlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327102', '371327', '371327102', '大店镇', 'dadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327103', '371327', '371327103', '坊前镇', 'fangqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327104', '371327', '371327104', '坪上镇', 'pingshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327105', '371327', '371327105', '相邸镇', 'xiangdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327106', '371327', '371327106', '板泉镇', 'banquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327107', '371327', '371327107', '洙边镇', 'zhubianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327108', '371327', '371327108', '文疃镇', 'wentuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327109', '371327', '371327109', '壮岗镇', 'zhuanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327110', '371327', '371327110', '汀水镇', 'tingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327111', '371327', '371327111', '石莲子镇', 'shilianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327112', '371327', '371327112', '岭泉镇', 'lingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327113', '371327', '371327113', '筵宾镇', 'yanbinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327114', '371327', '371327114', '涝坡镇', 'laopozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327115', '371327', '371327115', '朱芦镇', 'zhuluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327200', '371327', '371327200', '道口乡', 'daokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371327201', '371327', '371327201', '相沟乡', 'xianggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328', '3713', '371328', '蒙阴县', 'mengyinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328100', '371328', '371328100', '蒙阴镇', 'mengyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328101', '371328', '371328101', '常路镇', 'changluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328102', '371328', '371328102', '岱崮镇', 'daiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328103', '371328', '371328103', '坦埠镇', 'tanbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328104', '371328', '371328104', '垛庄镇', 'duozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328105', '371328', '371328105', '高都镇', 'gaodouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328106', '371328', '371328106', '野店镇', 'yedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328107', '371328', '371328107', '桃墟镇', 'taoxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328108', '371328', '371328108', '界牌镇', 'jiepaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328200', '371328', '371328200', '联城乡', 'lianchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371328201', '371328', '371328201', '旧寨乡', 'jiuzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329', '3713', '371329', '临沭县', 'linshuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329100', '371329', '371329100', '临沭镇', 'linshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329101', '371329', '371329101', '蛟龙镇', 'jiaolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329102', '371329', '371329102', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329103', '371329', '371329103', '石门镇', 'shimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329104', '371329', '371329104', '曹庄镇', 'caozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329105', '371329', '371329105', '南古镇', 'nanguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329106', '371329', '371329106', '郑山镇', 'zhengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329107', '371329', '371329107', '白旄镇', 'baimaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329108', '371329', '371329108', '青云镇', 'qingyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329109', '371329', '371329109', '玉山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329110', '371329', '371329110', '店头镇', 'diantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371329200', '371329', '371329200', '朱仓乡', 'zhucangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3714', '37', '3714', '德州市', 'dezhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371401', '3714', '371401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402', '3714', '371402', '德城区', 'dechengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402001', '371402', '371402001', '新湖街道', 'xinhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402002', '371402', '371402002', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402003', '371402', '371402003', '天衢街道', 'tianqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402004', '371402', '371402004', '东地街道', 'dongdijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402005', '371402', '371402005', '运河街道', 'yunhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402100', '371402', '371402100', '二屯镇', 'ertunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402101', '371402', '371402101', '黄河涯镇', 'huangheyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402103', '371402', '371402103', '宋官屯镇', 'songguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402106', '371402', '371402106', '赵虎镇', 'zhaohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402200', '371402', '371402200', '抬头寺乡', 'taitousixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371402201', '371402', '371402201', '袁桥乡', 'yuanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421', '3714', '371421', '陵县', 'lingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421001', '371421', '371421001', '安德街道', 'andejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421100', '371421', '371421100', '陵城镇', 'lingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421101', '371421', '371421101', '郑家寨镇', 'zhengjiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421102', '371421', '371421102', '糜镇', 'mizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421103', '371421', '371421103', '宋家镇', 'songjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421104', '371421', '371421104', '徽王庄镇', 'huiwangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421105', '371421', '371421105', '神头镇', 'shentouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421106', '371421', '371421106', '滋镇', 'zizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421107', '371421', '371421107', '前孙镇', 'qiansunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421108', '371421', '371421108', '边临镇', 'bianlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421200', '371421', '371421200', '义渡口乡', 'yidukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421201', '371421', '371421201', '丁庄乡', 'dingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371421202', '371421', '371421202', '于集乡', 'yujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422', '3714', '371422', '宁津县', 'ningjinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422100', '371422', '371422100', '宁津镇', 'ningjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422101', '371422', '371422101', '柴胡店镇', 'chaihudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422102', '371422', '371422102', '长官镇', 'zhangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422103', '371422', '371422103', '杜集镇', 'dujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422104', '371422', '371422104', '保店镇', 'baodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422105', '371422', '371422105', '大柳镇', 'daliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422106', '371422', '371422106', '大曹镇', 'dacaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422107', '371422', '371422107', '相衙镇', 'xiangyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422108', '371422', '371422108', '时集镇', 'shijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422200', '371422', '371422200', '张大庄乡', 'zhangdazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371422201', '371422', '371422201', '刘营伍乡', 'liuyingwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371423', '3714', '371423', '庆云县', 'qingyunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371423001', '371423', '371423001', '渤海路街道', 'bohailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371423100', '371423', '371423100', '庆云镇', 'qingyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371423101', '371423', '371423101', '常家镇', 'changjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371423102', '371423', '371423102', '尚堂镇', 'shangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371423103', '371423', '371423103', '崔口镇', 'cuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371423200', '371423', '371423200', '严务乡', 'yanwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371423201', '371423', '371423201', '东辛店乡', 'dongxindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371423202', '371423', '371423202', '中丁乡', 'zhongdingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371423203', '371423', '371423203', '徐园子乡', 'xuyuanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424', '3714', '371424', '临邑县', 'linyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424001', '371424', '371424001', '邢侗街道', 'xingdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424002', '371424', '371424002', '恒源街道', 'hengyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424003', '371424', '371424003', '临盘街道', 'linpanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424100', '371424', '371424100', '临邑镇', 'linyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424102', '371424', '371424102', '临南镇', 'linnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424103', '371424', '371424103', '德平镇', 'depingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424104', '371424', '371424104', '林子镇', 'linzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424105', '371424', '371424105', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424106', '371424', '371424106', '孟寺镇', 'mengsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424200', '371424', '371424200', '翟家乡', 'zhaijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424201', '371424', '371424201', '理合务乡', 'lihewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371424202', '371424', '371424202', '宿安乡', 'suanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425', '3714', '371425', '齐河县', 'qihexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425100', '371425', '371425100', '晏城镇', 'yanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425101', '371425', '371425101', '表白寺镇', 'biaobaisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425102', '371425', '371425102', '焦庙镇', 'jiaomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425103', '371425', '371425103', '赵官镇', 'zhaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425104', '371425', '371425104', '祝阿镇', 'zhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425105', '371425', '371425105', '仁里集镇', 'renlijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425106', '371425', '371425106', '潘店镇', 'pandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425107', '371425', '371425107', '胡官屯镇', 'huguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425108', '371425', '371425108', '宣章屯镇', 'xuanzhangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425200', '371425', '371425200', '华店乡', 'huadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425201', '371425', '371425201', '安头乡', 'antouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425202', '371425', '371425202', '马集乡', 'majixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425203', '371425', '371425203', '刘桥乡', 'liuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371425204', '371425', '371425204', '大黄乡', 'dahuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426', '3714', '371426', '平原县', 'pingyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426001', '371426', '371426001', '龙门街道', 'longmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426002', '371426', '371426002', '桃园街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426101', '371426', '371426101', '王凤楼镇', 'wangfenglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426102', '371426', '371426102', '前曹镇', 'qiancaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426103', '371426', '371426103', '恩城镇', 'enchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426104', '371426', '371426104', '王庙镇', 'wangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426105', '371426', '371426105', '王杲铺镇', 'wanggaopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426106', '371426', '371426106', '张华镇', 'zhanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426107', '371426', '371426107', '腰站镇', 'yaozhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426200', '371426', '371426200', '坊子乡', 'fangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426201', '371426', '371426201', '王打卦乡', 'wangdaguaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371426202', '371426', '371426202', '三唐乡', 'santangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427', '3714', '371427', '夏津县', 'xiajinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427001', '371427', '371427001', '银城街道', 'yinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427002', '371427', '371427002', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427100', '371427', '371427100', '南城镇', 'nanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427101', '371427', '371427101', '苏留庄镇', 'suliuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427102', '371427', '371427102', '新盛店镇', 'xinshengdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427103', '371427', '371427103', '雷集镇', 'leijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427104', '371427', '371427104', '郑保屯镇', 'zhengbaotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427105', '371427', '371427105', '白马湖镇', 'baimahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427106', '371427', '371427106', '东李官屯镇', 'dongliguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427107', '371427', '371427107', '宋楼镇', 'songlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427108', '371427', '371427108', '香赵庄镇', 'xiangzhaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427109', '371427', '371427109', '双庙镇', 'shuangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427200', '371427', '371427200', '渡口驿乡', 'dukouyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371427204', '371427', '371427204', '田庄乡', 'tianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371428', '3714', '371428', '武城县', 'wuchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371428001', '371428', '371428001', '广运街道', 'guangyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371428100', '371428', '371428100', '武城镇', 'wuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371428101', '371428', '371428101', '老城镇', 'laochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371428102', '371428', '371428102', '滕庄镇', 'tengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371428103', '371428', '371428103', '鲁权屯镇', 'luquantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371428104', '371428', '371428104', '郝王庄镇', 'haowangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371428200', '371428', '371428200', '杨庄乡', 'yangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371428201', '371428', '371428201', '李家户乡', 'lijiahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371428202', '371428', '371428202', '甲马营乡', 'jiamayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481', '3714', '371481', '乐陵市', 'lelingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481001', '371481', '371481001', '市中街道', 'shizhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481002', '371481', '371481002', '胡家街道', 'hujiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481003', '371481', '371481003', '云红街道', 'yunhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481004', '371481', '371481004', '郭家街道', 'guojiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481100', '371481', '371481100', '杨安镇', 'yanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481101', '371481', '371481101', '朱集镇', 'zhujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481102', '371481', '371481102', '黄夹镇', 'huangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481103', '371481', '371481103', '丁坞镇', 'dingwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481104', '371481', '371481104', '花园镇', 'huayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481105', '371481', '371481105', '郑店镇', 'zhengdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481106', '371481', '371481106', '化楼镇', 'hualouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481107', '371481', '371481107', '孔镇', 'kongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481200', '371481', '371481200', '西段乡', 'xiduanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481201', '371481', '371481201', '大孙乡', 'dasunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481202', '371481', '371481202', '铁营乡', 'tieyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371481203', '371481', '371481203', '寨头堡乡', 'zhaitoubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482', '3714', '371482', '禹城市', 'yuchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482001', '371482', '371482001', '市中街道', 'shizhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482100', '371482', '371482100', '伦镇', 'lunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482101', '371482', '371482101', '房寺镇', 'fangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482102', '371482', '371482102', '张庄镇', 'zhangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482103', '371482', '371482103', '辛店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482104', '371482', '371482104', '安仁镇', 'anrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482105', '371482', '371482105', '辛寨镇', 'xinzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482106', '371482', '371482106', '梁家镇', 'liangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482200', '371482', '371482200', '李屯乡', 'litunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482201', '371482', '371482201', '十里望乡', 'shiliwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371482202', '371482', '371482202', '莒镇乡', 'juzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3715', '37', '3715', '聊城市', 'liaochengshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371501', '3715', '371501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502', '3715', '371502', '东昌府区', 'dongchangfuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502001', '371502', '371502001', '古楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502002', '371502', '371502002', '柳园街道', 'liuyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502003', '371502', '371502003', '新区街道', 'xinqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502004', '371502', '371502004', '湖西街道', 'huxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502005', '371502', '371502005', '道口铺街道办事', 'daokoupujiedaobanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502006', '371502', '371502006', '阎寺街道', 'yansijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502007', '371502', '371502007', '凤凰街道', 'fenghuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502008', '371502', '371502008', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502009', '371502', '371502009', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502010', '371502', '371502010', '蒋官屯街道办事', 'jiangguantunjiedaobanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502100', '371502', '371502100', '侯营镇', 'houyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502101', '371502', '371502101', '沙镇镇', 'shazhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502102', '371502', '371502102', '堂邑镇', 'tangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502103', '371502', '371502103', '梁水镇', 'liangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502104', '371502', '371502104', '斗虎屯镇', 'douhutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502105', '371502', '371502105', '郑家镇', 'zhengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502106', '371502', '371502106', '张炉集镇', 'zhanglujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502107', '371502', '371502107', '于集镇', 'yujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502200', '371502', '371502200', '许营乡', 'xuyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371502201', '371502', '371502201', '朱老庄乡', 'zhulaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521', '3715', '371521', '阳谷县', 'yangguxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521001', '371521', '371521001', '博济桥街道办事', 'bojiqiaojiedaobanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521002', '371521', '371521002', '侨润街道', 'qiaorunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521003', '371521', '371521003', '狮子楼街道办事', 'shiziloujiedaobanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521101', '371521', '371521101', '阎楼镇', 'yanlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521103', '371521', '371521103', '阿城镇', 'achengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521104', '371521', '371521104', '七级镇', 'qijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521105', '371521', '371521105', '安乐镇', 'anlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521106', '371521', '371521106', '定水镇', 'dingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521107', '371521', '371521107', '石佛镇', 'shifozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521108', '371521', '371521108', '李台镇', 'litaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521109', '371521', '371521109', '寿张镇', 'shouzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521111', '371521', '371521111', '十五里园镇', 'shiwuliyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521112', '371521', '371521112', '张秋镇', 'zhangqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521201', '371521', '371521201', '郭店屯乡', 'guodiantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521203', '371521', '371521203', '大布乡', 'dabuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521205', '371521', '371521205', '西湖乡', 'xihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521206', '371521', '371521206', '高庙王乡', 'gaomiaowangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371521207', '371521', '371521207', '金斗营乡', 'jindouyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522', '3715', '371522', '莘县', 'xinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522100', '371522', '371522100', '莘城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522101', '371522', '371522101', '张鲁镇', 'zhangluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522102', '371522', '371522102', '朝城镇', 'chaochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522103', '371522', '371522103', '观城镇', 'guanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522104', '371522', '371522104', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522105', '371522', '371522105', '大张家镇', 'dazhangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522106', '371522', '371522106', '古云镇', 'guyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522107', '371522', '371522107', '十八里铺镇', 'shibalipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522108', '371522', '371522108', '莘亭镇', 'xintingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522109', '371522', '371522109', '燕店镇', 'yandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522110', '371522', '371522110', '董杜庄镇', 'dongduzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522111', '371522', '371522111', '王奉镇', 'wangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522112', '371522', '371522112', '樱桃园镇', 'yingtaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522113', '371522', '371522113', '河店镇', 'hedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522114', '371522', '371522114', '妹冢镇', 'meizhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522202', '371522', '371522202', '魏庄乡', 'weizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522203', '371522', '371522203', '大王寨乡', 'dawangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522207', '371522', '371522207', '俎店乡', 'zudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522209', '371522', '371522209', '张寨乡', 'zhangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522210', '371522', '371522210', '徐庄乡', 'xuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522212', '371522', '371522212', '王庄集乡', 'wangzhuangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371522214', '371522', '371522214', '柿子园乡', 'shiziyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523', '3715', '371523', '茌平县', 'chipingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523001', '371523', '371523001', '振兴街道', 'zhenxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523002', '371523', '371523002', '信发街道', 'xinfajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523101', '371523', '371523101', '乐平铺镇', 'lepingpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523102', '371523', '371523102', '冯官屯镇', 'fengguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523103', '371523', '371523103', '菜屯镇', 'caitunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523104', '371523', '371523104', '博平镇', 'bopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523105', '371523', '371523105', '杜郎口镇', 'dulangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523106', '371523', '371523106', '韩屯镇', 'hantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523201', '371523', '371523201', '韩集乡', 'hanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523202', '371523', '371523202', '广平乡', 'guangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523205', '371523', '371523205', '胡屯乡', 'hutunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523206', '371523', '371523206', '温陈乡', 'wenchenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523207', '371523', '371523207', '贾寨乡', 'jiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523208', '371523', '371523208', '杨官屯乡', 'yangguantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523209', '371523', '371523209', '洪官屯乡', 'hongguantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371523210', '371523', '371523210', '肖庄乡', 'xiaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524', '3715', '371524', '东阿县', 'dongaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524001', '371524', '371524001', '铜城街道', 'tongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524002', '371524', '371524002', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524101', '371524', '371524101', '刘集镇', 'liujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524102', '371524', '371524102', '牛角店镇', 'niujiaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524103', '371524', '371524103', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524104', '371524', '371524104', '高集镇', 'gaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524105', '371524', '371524105', '姜楼镇', 'jianglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524106', '371524', '371524106', '顾官屯镇', 'guguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524107', '371524', '371524107', '姚寨镇', 'yaozhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524201', '371524', '371524201', '鱼山乡', 'yushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371524205', '371524', '371524205', '陈集乡', 'chenjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525', '3715', '371525', '冠县', 'guanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525100', '371525', '371525100', '冠城镇', 'guanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525101', '371525', '371525101', '贾镇', 'jiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525102', '371525', '371525102', '桑阿镇', 'sangazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525103', '371525', '371525103', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525104', '371525', '371525104', '清水镇', 'qingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525105', '371525', '371525105', '东古城镇', 'dongguchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525106', '371525', '371525106', '北馆陶镇', 'beiguantaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525200', '371525', '371525200', '斜店乡', 'xiedianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525201', '371525', '371525201', '梁堂乡', 'liangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525202', '371525', '371525202', '定远寨乡', 'dingyuanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525203', '371525', '371525203', '辛集乡', 'xinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525204', '371525', '371525204', '范寨乡', 'fanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525205', '371525', '371525205', '甘官屯乡', 'ganguantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525206', '371525', '371525206', '兰沃乡', 'lanwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525207', '371525', '371525207', '店子乡', 'dianzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525208', '371525', '371525208', '烟庄乡', 'yanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371525209', '371525', '371525209', '万善乡', 'wanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526', '3715', '371526', '高唐县', 'gaotangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526001', '371526', '371526001', '鱼邱湖街道办', 'yuqiuhujiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526002', '371526', '371526002', '汇鑫街道办事', 'huixinjiedaobanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526003', '371526', '371526003', '人和街道办事', 'renhejiedaobanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526101', '371526', '371526101', '梁村镇', 'liangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526102', '371526', '371526102', '尹集镇', 'yinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526103', '371526', '371526103', '清平镇', 'qingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526104', '371526', '371526104', '固河镇', 'guhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526105', '371526', '371526105', '三十里铺镇', 'sanshilipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526106', '371526', '371526106', '琉璃寺镇', 'liulisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526203', '371526', '371526203', '杨屯乡', 'yangtunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526204', '371526', '371526204', '赵寨子乡', 'zhaozhaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371526205', '371526', '371526205', '姜店乡', 'jiangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581', '3715', '371581', '临清市', 'linqingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581001', '371581', '371581001', '青年路街道', 'qingnianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581002', '371581', '371581002', '新华路街道', 'xinhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581003', '371581', '371581003', '先锋路街道', 'xianfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581004', '371581', '371581004', '大辛庄街道', 'daxinzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581101', '371581', '371581101', '松林镇', 'songlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581102', '371581', '371581102', '老赵庄镇', 'laozhaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581103', '371581', '371581103', '康庄镇', 'kangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581104', '371581', '371581104', '魏湾镇', 'weiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581105', '371581', '371581105', '刘垓子镇', 'liugaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581107', '371581', '371581107', '八岔路镇', 'bachaluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581108', '371581', '371581108', '潘庄镇', 'panzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581109', '371581', '371581109', '烟店镇', 'yandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581110', '371581', '371581110', '唐园镇', 'tangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581201', '371581', '371581201', '金郝庄乡', 'jinhaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581202', '371581', '371581202', '戴湾乡', 'daiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371581203', '371581', '371581203', '尚店乡', 'shangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3716', '37', '3716', '滨州市', 'binzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371601', '3716', '371601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602', '3716', '371602', '滨城区', 'binchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602001', '371602', '371602001', '市中街道', 'shizhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602002', '371602', '371602002', '市西街道', 'shixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602003', '371602', '371602003', '北镇街道', 'beizhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602004', '371602', '371602004', '市东街道', 'shidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602005', '371602', '371602005', '彭李街道', 'penglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602007', '371602', '371602007', '小营街道', 'xiaoyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602008', '371602', '371602008', '滨北街道', 'binbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602009', '371602', '371602009', '梁才街道', 'liangcaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602010', '371602', '371602010', '杜店街道', 'dudianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602011', '371602', '371602011', '沙河街道', 'shahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602012', '371602', '371602012', '里则街道', 'lizejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602104', '371602', '371602104', '旧镇镇', 'jiuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602105', '371602', '371602105', '堡集镇', 'baojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602201', '371602', '371602201', '尚集乡', 'shangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371602203', '371602', '371602203', '秦皇台乡', 'qinhuangtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621', '3716', '371621', '惠民县', 'huiminxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621100', '371621', '371621100', '孙武镇', 'sunwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621101', '371621', '371621101', '石庙镇', 'shimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621102', '371621', '371621102', '桑落墅镇', 'sangluoshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621103', '371621', '371621103', '淄角镇', 'zijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621104', '371621', '371621104', '胡集镇', 'hujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621105', '371621', '371621105', '李庄镇', 'lizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621107', '371621', '371621107', '麻店镇', 'madianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621108', '371621', '371621108', '魏集镇', 'weijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621109', '371621', '371621109', '清河镇', 'qinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621111', '371621', '371621111', '姜楼镇', 'jianglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621200', '371621', '371621200', '何坊乡', 'hefangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621204', '371621', '371621204', '皂户李乡', 'zaohulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621205', '371621', '371621205', '辛店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371621208', '371621', '371621208', '大年陈乡', 'danianchenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371622', '3716', '371622', '阳信县', 'yangxinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371622100', '371622', '371622100', '阳信镇', 'yangxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371622101', '371622', '371622101', '商店镇', 'shangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371622102', '371622', '371622102', '温店镇', 'wendianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371622103', '371622', '371622103', '河流镇', 'heliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371622104', '371622', '371622104', '翟王镇', 'zhaiwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371622105', '371622', '371622105', '流坡坞镇', 'liupowuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371622200', '371622', '371622200', '劳店乡', 'laodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371622201', '371622', '371622201', '水落坡乡', 'shuiluopoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371622204', '371622', '371622204', '洋湖乡', 'yanghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623', '3716', '371623', '无棣县', 'wudixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623100', '371623', '371623100', '无棣镇', 'wudizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623101', '371623', '371623101', '水湾镇', 'shuiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623102', '371623', '371623102', '碣石山镇', 'jieshishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623103', '371623', '371623103', '小泊头镇', 'xiaobotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623104', '371623', '371623104', '埕口镇', 'chengkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623105', '371623', '371623105', '马山子镇', 'mashanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623200', '371623', '371623200', '信阳乡', 'xinyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623201', '371623', '371623201', '车镇乡', 'chezhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623202', '371623', '371623202', '柳堡乡', 'liubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623203', '371623', '371623203', '西小王乡', 'xixiaowangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371623204', '371623', '371623204', '佘家巷乡', 'shejiaxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624', '3716', '371624', '沾化县', 'zhanhuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624100', '371624', '371624100', '富国镇', 'fuguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624101', '371624', '371624101', '下洼镇', 'xiawazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624102', '371624', '371624102', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624103', '371624', '371624103', '冯家镇', 'fengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624104', '371624', '371624104', '泊头镇', 'botouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624105', '371624', '371624105', '大高镇', 'dagaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624201', '371624', '371624201', '黄升乡', 'huangshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624202', '371624', '371624202', '滨海乡', 'binhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624203', '371624', '371624203', '下河乡', 'xiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624204', '371624', '371624204', '利国乡', 'liguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371624205', '371624', '371624205', '海防办事处乡', 'haifangbanshichuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371625', '3716', '371625', '博兴县', 'boxingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371625100', '371625', '371625100', '博兴镇', 'boxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371625101', '371625', '371625101', '曹王镇', 'caowangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371625102', '371625', '371625102', '兴福镇', 'xingfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371625103', '371625', '371625103', '陈户镇', 'chenhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371625104', '371625', '371625104', '湖滨镇', 'hubinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371625106', '371625', '371625106', '店子镇', 'dianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371625107', '371625', '371625107', '吕艺镇', 'lu:yizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371625108', '371625', '371625108', '纯化镇', 'chunhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371625109', '371625', '371625109', '庞家镇', 'pangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371625110', '371625', '371625110', '乔庄镇', 'qiaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626', '3716', '371626', '邹平县', 'zoupingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626001', '371626', '371626001', '黛溪街道', 'daixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626002', '371626', '371626002', '黄山街道', 'huangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626003', '371626', '371626003', '高新街道', 'gaoxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626101', '371626', '371626101', '长山镇', 'zhangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626102', '371626', '371626102', '魏桥镇', 'weiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626103', '371626', '371626103', '西董镇', 'xidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626104', '371626', '371626104', '好生镇', 'haoshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626105', '371626', '371626105', '临池镇', 'linchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626108', '371626', '371626108', '焦桥镇', 'jiaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626109', '371626', '371626109', '韩店镇', 'handianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626110', '371626', '371626110', '孙镇镇', 'sunzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626111', '371626', '371626111', '九户镇', 'jiuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626112', '371626', '371626112', '青阳镇', 'qingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626113', '371626', '371626113', '明集镇', 'mingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626114', '371626', '371626114', '台子镇', 'taizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371626115', '371626', '371626115', '码头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('3717', '37', '3717', '菏泽市', 'hezeshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371701', '3717', '371701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702', '3717', '371702', '牡丹区', 'mudanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702001', '371702', '371702001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702002', '371702', '371702002', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702003', '371702', '371702003', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702004', '371702', '371702004', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702005', '371702', '371702005', '牡丹街道', 'mudanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702006', '371702', '371702006', '丹阳街道(属开', 'danyangjiedao(shukai', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702007', '371702', '371702007', '岳程街道(属开', 'yuechengjiedao(shukai', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702008', '371702', '371702008', '佃户屯街道办', 'dianhutunjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702009', '371702', '371702009', '何楼街道', 'heloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702010', '371702', '371702010', '万福街道', 'wanfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702100', '371702', '371702100', '沙土镇', 'shatuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702101', '371702', '371702101', '吴店镇', 'wudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702102', '371702', '371702102', '王浩屯镇', 'wanghaotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702103', '371702', '371702103', '黄堽镇', 'huanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702104', '371702', '371702104', '都司镇', 'dousizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702105', '371702', '371702105', '高庄镇', 'gaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702106', '371702', '371702106', '小留镇', 'xiaoliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702107', '371702', '371702107', '李村镇', 'licunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702108', '371702', '371702108', '马岭岗镇', 'malinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702109', '371702', '371702109', '安兴镇', 'anxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702110', '371702', '371702110', '大黄集镇', 'dahuangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702111', '371702', '371702111', '吕陵镇', 'lu:lingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702201', '371702', '371702201', '胡集乡', 'hujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371702202', '371702', '371702202', '皇镇乡', 'huangzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721', '3717', '371721', '曹县', 'caoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721100', '371721', '371721100', '曹城镇', 'caochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721101', '371721', '371721101', '庄寨镇', 'zhuangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721102', '371721', '371721102', '普连集镇', 'pulianjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721103', '371721', '371721103', '青固集镇', 'qinggujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721104', '371721', '371721104', '桃源集镇', 'taoyuanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721105', '371721', '371721105', '韩集镇', 'hanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721106', '371721', '371721106', '砖庙镇', 'zhuanmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721107', '371721', '371721107', '古营集镇', 'guyingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721108', '371721', '371721108', '魏湾镇', 'weiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721109', '371721', '371721109', '侯集回族镇', 'houjihuizuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721110', '371721', '371721110', '苏集镇', 'sujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721111', '371721', '371721111', '孙老家镇', 'sunlaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721112', '371721', '371721112', '阎店楼镇', 'yandianlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721113', '371721', '371721113', '梁堤头镇', 'liangditouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721114', '371721', '371721114', '安才楼镇', 'ancailouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721115', '371721', '371721115', '邵庄镇', 'shaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721116', '371721', '371721116', '王集镇', 'wangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721200', '371721', '371721200', '青岗集乡', 'qinggangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721201', '371721', '371721201', '常乐集乡', 'changlejixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721202', '371721', '371721202', '倪集乡', 'nijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721203', '371721', '371721203', '楼庄乡', 'louzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721205', '371721', '371721205', '郑庄乡', 'zhengzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721206', '371721', '371721206', '大集乡', 'dajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721207', '371721', '371721207', '朱洪庙乡', 'zhuhongmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371721208', '371721', '371721208', '仵楼乡', 'wulouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722', '3717', '371722', '单县', 'danxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722100', '371722', '371722100', '单城镇', 'danchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722101', '371722', '371722101', '郭村镇', 'guocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722102', '371722', '371722102', '黄岗镇', 'huanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722103', '371722', '371722103', '终兴镇', 'zhongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722104', '371722', '371722104', '孙溜镇', 'sunliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722105', '371722', '371722105', '高韦庄镇', 'gaoweizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722106', '371722', '371722106', '徐寨镇', 'xuzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722107', '371722', '371722107', '蔡堂镇', 'caitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722108', '371722', '371722108', '朱集镇', 'zhujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722109', '371722', '371722109', '李新庄镇', 'lixinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722110', '371722', '371722110', '浮岗镇', 'fugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722111', '371722', '371722111', '莱河镇', 'laihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722112', '371722', '371722112', '时楼镇', 'shilouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722113', '371722', '371722113', '杨楼镇', 'yanglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722114', '371722', '371722114', '张集镇', 'zhangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722115', '371722', '371722115', '龙王庙镇', 'longwangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722200', '371722', '371722200', '谢集乡', 'xiejixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722201', '371722', '371722201', '高老家乡', 'gaolaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722202', '371722', '371722202', '曹庄乡', 'caozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371722204', '371722', '371722204', '李田楼乡', 'litianlouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723', '3717', '371723', '成武县', 'chengwuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723100', '371723', '371723100', '成武镇', 'chengwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723101', '371723', '371723101', '大田集镇', 'datianjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723102', '371723', '371723102', '天宫庙镇', 'tiangongmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723103', '371723', '371723103', '汶上集镇', 'wenshangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723104', '371723', '371723104', '南鲁集镇', 'nanlujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723105', '371723', '371723105', '伯乐集镇', 'bolejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723106', '371723', '371723106', '苟村集镇', 'goucunjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723107', '371723', '371723107', '白浮图镇', 'baifutuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723108', '371723', '371723108', '孙寺镇', 'sunsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723109', '371723', '371723109', '九女镇', 'jiunu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723200', '371723', '371723200', '党集乡', 'dangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371723201', '371723', '371723201', '张楼乡', 'zhanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724', '3717', '371724', '巨野县', 'juyexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724100', '371724', '371724100', '巨野镇', 'juyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724101', '371724', '371724101', '龙固镇', 'longguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724102', '371724', '371724102', '大义镇', 'dayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724103', '371724', '371724103', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724104', '371724', '371724104', '章缝镇', 'zhangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724105', '371724', '371724105', '大谢集镇', 'daxiejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724106', '371724', '371724106', '独山镇', 'dushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724107', '371724', '371724107', '麒麟镇', 'qilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724108', '371724', '371724108', '核桃园镇', 'hetaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724109', '371724', '371724109', '田庄镇', 'tianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724110', '371724', '371724110', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724111', '371724', '371724111', '万丰镇', 'wanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724112', '371724', '371724112', '陶庙镇', 'taomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724113', '371724', '371724113', '董官屯镇', 'dongguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724114', '371724', '371724114', '田桥镇', 'tianqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371724115', '371724', '371724115', '营里镇', 'yinglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725', '3717', '371725', '郓城县', 'yunchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725100', '371725', '371725100', '郓城镇', 'yunchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725101', '371725', '371725101', '黄安镇', 'huanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725102', '371725', '371725102', '杨庄集镇', 'yangzhuangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725103', '371725', '371725103', '侯咽集镇', 'houyanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725104', '371725', '371725104', '武安镇', 'wuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725105', '371725', '371725105', '郭屯镇', 'guotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725106', '371725', '371725106', '丁里长镇', 'dinglizhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725107', '371725', '371725107', '玉皇庙镇', 'yuhuangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725108', '371725', '371725108', '程屯镇', 'chengtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725109', '371725', '371725109', '随官屯镇', 'suiguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725110', '371725', '371725110', '张营镇', 'zhangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725111', '371725', '371725111', '潘渡镇', 'panduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725200', '371725', '371725200', '双桥乡', 'shuangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725201', '371725', '371725201', '唐庙乡', 'tangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725202', '371725', '371725202', '南赵楼乡', 'nanzhaolouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725203', '371725', '371725203', '黄堆集乡', 'huangduijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725205', '371725', '371725205', '黄集乡', 'huangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725206', '371725', '371725206', '李集乡', 'lijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725207', '371725', '371725207', '张鲁集乡', 'zhanglujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725208', '371725', '371725208', '水堡乡', 'shuibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371725209', '371725', '371725209', '陈坡乡', 'chenpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726', '3717', '371726', '鄄城县', 'juanchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726100', '371726', '371726100', '鄄城镇', 'juanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726101', '371726', '371726101', '什集镇', 'shenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726102', '371726', '371726102', '红船镇', 'hongchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726103', '371726', '371726103', '旧城镇', 'jiuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726104', '371726', '371726104', '闫什镇', 'yanshenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726105', '371726', '371726105', '箕山镇', 'jishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726106', '371726', '371726106', '李进士堂镇', 'lijinshitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726107', '371726', '371726107', '董口镇', 'dongkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726108', '371726', '371726108', '临濮镇', 'linpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726109', '371726', '371726109', '彭楼镇', 'penglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726200', '371726', '371726200', '左营乡', 'zuoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726201', '371726', '371726201', '大埝乡', 'danianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726202', '371726', '371726202', '引马乡', 'yinmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726205', '371726', '371726205', '凤凰乡', 'fenghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726207', '371726', '371726207', '富春乡', 'fuchunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371726208', '371726', '371726208', '郑营乡', 'zhengyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727', '3717', '371727', '定陶县', 'dingtaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727100', '371727', '371727100', '定陶镇', 'dingtaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727101', '371727', '371727101', '陈集镇', 'chenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727102', '371727', '371727102', '冉固镇', 'ranguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727103', '371727', '371727103', '张湾镇', 'zhangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727104', '371727', '371727104', '黄店镇', 'huangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727105', '371727', '371727105', '孟海镇', 'menghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727106', '371727', '371727106', '马集镇', 'majizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727200', '371727', '371727200', '仿山乡', 'fangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727202', '371727', '371727202', '南王店乡', 'nanwangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727203', '371727', '371727203', '半堤乡', 'bandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371727204', '371727', '371727204', '杜堂乡', 'dutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728', '3717', '371728', '东明县', 'dongmingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728100', '371728', '371728100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728101', '371728', '371728101', '东明集镇', 'dongmingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728102', '371728', '371728102', '刘楼镇', 'liulouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728103', '371728', '371728103', '陆圈镇', 'luquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728104', '371728', '371728104', '马头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728105', '371728', '371728105', '三春集镇', 'sanchunjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728106', '371728', '371728106', '大屯镇', 'datunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728200', '371728', '371728200', '武胜桥乡', 'wushengqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728201', '371728', '371728201', '菜园集乡', 'caiyuanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728202', '371728', '371728202', '小井乡', 'xiaojingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728203', '371728', '371728203', '沙窝乡', 'shawoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728204', '371728', '371728204', '长兴集乡', 'zhangxingjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('371728205', '371728', '371728205', '焦园乡', 'jiaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('383862150c5840d688b49394c311d93e', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, 'admin', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('41', '-1', '41', '河南省', 'henansheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4101', '41', '4101', '郑州市', 'zhengzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410101', '4101', '410101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102', '4101', '410102', '中原区', 'zhongyuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102001', '410102', '410102001', '林山寨街道', 'linshanzhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102002', '410102', '410102002', '建设路街道', 'jianshelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102003', '410102', '410102003', '棉纺路街道', 'mianfanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102004', '410102', '410102004', '秦岭路街道', 'qinlinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102005', '410102', '410102005', '桐柏路街道', 'tongbolujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102006', '410102', '410102006', '三官庙街道', 'sanguanmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102007', '410102', '410102007', '绿东村街道', 'lu:dongcunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102008', '410102', '410102008', '汝河路街道', 'ruhelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102009', '410102', '410102009', '航海西路街道', 'hanghaixilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102010', '410102', '410102010', '中原西路街道', 'zhongyuanxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102100', '410102', '410102100', '须水镇', 'xushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102160', '410102', '410102160', '石佛镇', 'shifozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410102360', '410102', '410102360', '沟赵乡', 'gouzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103', '4101', '410103', '二七区', 'erqiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103001', '410103', '410103001', '淮河路街道', 'huaihelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103002', '410103', '410103002', '解放路街道', 'jiefanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103003', '410103', '410103003', '铭功路街道', 'minggonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103004', '410103', '410103004', '一马路街道', 'yimalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103005', '410103', '410103005', '蜜蜂张街道', 'mifengzhangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103006', '410103', '410103006', '五里堡街道', 'wulibaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103007', '410103', '410103007', '大学路街道', 'daxuelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103008', '410103', '410103008', '建中街街道', 'jianzhongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103009', '410103', '410103009', '福华街街道', 'fuhuajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103010', '410103', '410103010', '德华街街道', 'dehuajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103011', '410103', '410103011', '嵩山路街道', 'songshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103012', '410103', '410103012', '京广路街道', 'jingguanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103013', '410103', '410103013', '长江路街道', 'zhangjianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103100', '410103', '410103100', '马寨镇', 'mazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410103201', '410103', '410103201', '侯寨乡', 'houzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104', '4101', '410104', '管城回族区', 'guanchenghuizuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104001', '410104', '410104001', '北下街街道', 'beixiajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104002', '410104', '410104002', '西大街街道', 'xidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104003', '410104', '410104003', '南关街道', 'nanguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104004', '410104', '410104004', '城东路街道', 'chengdonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104005', '410104', '410104005', '东大街街道', 'dongdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104006', '410104', '410104006', '二里岗街道', 'erligangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104007', '410104', '410104007', '陇海路街道', 'longhailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104008', '410104', '410104008', '紫荆山南路街道', 'zijingshannanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104009', '410104', '410104009', '航海东路街道', 'hanghaidonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104100', '410104', '410104100', '十八里河镇', 'shibalihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104201', '410104', '410104201', '南曹乡', 'nancaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104202', '410104', '410104202', '圃田乡', 'putianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104560', '410104', '410104560', '经济开发区明湖街道', 'jingjikaifaquminghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410104561', '410104', '410104561', '经济开发区潮河街道', 'jingjikaifaquchaohejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105', '4101', '410105', '金水区', 'jinshuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105001', '410105', '410105001', '经八路街道', 'jingbalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105002', '410105', '410105002', '花园路街道', 'huayuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105003', '410105', '410105003', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105004', '410105', '410105004', '杜岭街街道', 'dulingjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105005', '410105', '410105005', '大石桥街道', 'dashiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105006', '410105', '410105006', '南阳路街道', 'nanyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105007', '410105', '410105007', '南阳新村街道', 'nanyangxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105008', '410105', '410105008', '文化路街道', 'wenhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105009', '410105', '410105009', '丰产路街道', 'fengchanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105010', '410105', '410105010', '东风路街道', 'dongfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105011', '410105', '410105011', '北林路街道', 'beilinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105012', '410105', '410105012', '未来路街道', 'weilailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105013', '410105', '410105013', '凤凰台街道', 'fenghuangtaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105014', '410105', '410105014', '龙子湖街道', 'longzihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105015', '410105', '410105015', '祭城路街道', 'jichenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105101', '410105', '410105101', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410105102', '410105', '410105102', '庙李镇', 'miaolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410106', '4101', '410106', '上街区', 'shangjiequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410106001', '410106', '410106001', '济源路街道', 'jiyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410106002', '410106', '410106002', '中心路街道', 'zhongxinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410106003', '410106', '410106003', '新安路街道', 'xinanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410106004', '410106', '410106004', '工业路街道', 'gongyelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410106005', '410106', '410106005', '矿山街道', 'kuangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410106100', '410106', '410106100', '峡窝镇', 'xiawozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410108', '4101', '410108', '惠济区', 'huijiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410108001', '410108', '410108001', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410108002', '410108', '410108002', '刘寨街道', 'liuzhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410108003', '410108', '410108003', '老鸦陈街道', 'laoyachenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410108004', '410108', '410108004', '长兴路街道', 'zhangxinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410108005', '410108', '410108005', '迎宾路街道', 'yingbinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410108006', '410108', '410108006', '大河路街道', 'dahelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410108100', '410108', '410108100', '花园口镇', 'huayuankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410108101', '410108', '410108101', '古荥镇', 'guyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122', '4101', '410122', '中牟县', 'zhongmouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122100', '410122', '410122100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122101', '410122', '410122101', '韩寺镇', 'hansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122102', '410122', '410122102', '官渡镇', 'guanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122103', '410122', '410122103', '狼城岗镇', 'langchenggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122104', '410122', '410122104', '万滩镇', 'wantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122105', '410122', '410122105', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122106', '410122', '410122106', '郑庵镇', 'zhenganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122108', '410122', '410122108', '张庄镇', 'zhangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122109', '410122', '410122109', '黄店镇', 'huangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122110', '410122', '410122110', '大孟镇', 'damengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122111', '410122', '410122111', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122202', '410122', '410122202', '雁鸣湖乡', 'yanminghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122203', '410122', '410122203', '刘集乡', 'liujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122205', '410122', '410122205', '八岗乡', 'bagangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122206', '410122', '410122206', '三官庙乡', 'sanguanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122208', '410122', '410122208', '刁家乡', 'diaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410122209', '410122', '410122209', '姚家乡', 'yaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181', '4101', '410181', '巩义市', 'gongyishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181001', '410181', '410181001', '新华路街道', 'xinhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181002', '410181', '410181002', '杜甫路街道', 'dufulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181003', '410181', '410181003', '永安路街道', 'yonganlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181004', '410181', '410181004', '孝义街道', 'xiaoyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181005', '410181', '410181005', '紫荆路街道', 'zijinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181100', '410181', '410181100', '米河镇', 'mihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181101', '410181', '410181101', '新中镇', 'xinzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181102', '410181', '410181102', '小关镇', 'xiaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181103', '410181', '410181103', '竹林镇', 'zhulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181104', '410181', '410181104', '大峪沟镇', 'dayugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181105', '410181', '410181105', '河洛镇', 'heluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181106', '410181', '410181106', '站街镇', 'zhanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181108', '410181', '410181108', '康店镇', 'kangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181110', '410181', '410181110', '北山口镇', 'beishankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181111', '410181', '410181111', '西村镇', 'xicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181112', '410181', '410181112', '芝田镇', 'zhitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181113', '410181', '410181113', '回郭镇', 'huiguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181114', '410181', '410181114', '鲁庄镇', 'luzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181115', '410181', '410181115', '夹津口镇', 'jiajinkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410181116', '410181', '410181116', '涉村镇', 'shecunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182', '4101', '410182', '荥阳市', 'yingyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182001', '410182', '410182001', '索河街道', 'suohejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182002', '410182', '410182002', '京城街道', 'jingchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182101', '410182', '410182101', '乔楼镇', 'qiaolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182102', '410182', '410182102', '豫龙镇', 'yulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182103', '410182', '410182103', '广武镇', 'guangwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182104', '410182', '410182104', '王村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182105', '410182', '410182105', '汜水镇', 'sishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182106', '410182', '410182106', '高山镇', 'gaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182108', '410182', '410182108', '刘河镇', 'liuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182109', '410182', '410182109', '崔庙镇', 'cuimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182110', '410182', '410182110', '贾峪镇', 'jiayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182200', '410182', '410182200', '城关乡', 'chengguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182201', '410182', '410182201', '高村乡', 'gaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410182204', '410182', '410182204', '金寨回族乡', 'jinzhaihuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183', '4101', '410183', '新密市', 'xinmishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183001', '410183', '410183001', '青屏街街道', 'qingpingjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183002', '410183', '410183002', '新华路街道', 'xinhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183003', '410183', '410183003', '西大街街道', 'xidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183100', '410183', '410183100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183101', '410183', '410183101', '米村镇', 'micunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183102', '410183', '410183102', '牛店镇', 'niudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183103', '410183', '410183103', '平陌镇', 'pingmozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183104', '410183', '410183104', '超化镇', 'chaohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183105', '410183', '410183105', '苟堂镇', 'goutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183106', '410183', '410183106', '大隗镇', 'daweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183107', '410183', '410183107', '刘寨镇', 'liuzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183108', '410183', '410183108', '白寨镇', 'baizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183109', '410183', '410183109', '岳村镇', 'yuecunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183110', '410183', '410183110', '来集镇', 'laijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183200', '410183', '410183200', '袁庄乡', 'yuanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183202', '410183', '410183202', '曲梁乡', 'quliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183400', '410183', '410183400', '矿区街道', 'kuangqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410183401', '410183', '410183401', '尖山风景区管理委员会', 'jianshanfengjingquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184', '4101', '410184', '新郑市', 'xinzhengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184001', '410184', '410184001', '新建路街道', 'xinjianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184002', '410184', '410184002', '新华路街道', 'xinhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184003', '410184', '410184003', '新烟街道', 'xinyanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184101', '410184', '410184101', '新村镇', 'xincunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184102', '410184', '410184102', '辛店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184103', '410184', '410184103', '观音寺镇', 'guanyinsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184104', '410184', '410184104', '梨河镇', 'lihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184105', '410184', '410184105', '和庄镇', 'hezhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184106', '410184', '410184106', '薛店镇', 'xuedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184107', '410184', '410184107', '孟庄镇', 'mengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184108', '410184', '410184108', '郭店镇', 'guodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184109', '410184', '410184109', '龙湖镇', 'longhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184200', '410184', '410184200', '城关乡', 'chengguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184202', '410184', '410184202', '八千乡', 'baqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410184203', '410184', '410184203', '龙王乡', 'longwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185', '4101', '410185', '登封市', 'dengfengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185001', '410185', '410185001', '嵩阳街道', 'songyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185002', '410185', '410185002', '少林街道', 'shaolinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185003', '410185', '410185003', '中岳街道', 'zhongyuejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185100', '410185', '410185100', '大金店镇', 'dajindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185101', '410185', '410185101', '颖阳镇', 'yingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185102', '410185', '410185102', '卢店镇', 'ludianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185103', '410185', '410185103', '告成镇', 'gaochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185104', '410185', '410185104', '阳城区镇', 'yangchengquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185105', '410185', '410185105', '大冶镇', 'dayezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185106', '410185', '410185106', '宣化镇', 'xuanhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185201', '410185', '410185201', '东金店乡', 'dongjindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185202', '410185', '410185202', '白坪乡', 'baipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185203', '410185', '410185203', '君召乡', 'junzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185204', '410185', '410185204', '石道乡', 'shidaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185205', '410185', '410185205', '唐庄乡', 'tangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410185206', '410185', '410185206', '徐庄乡', 'xuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4102', '41', '4102', '开封市', 'kaifengshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410201', '4102', '410201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410202', '4102', '410202', '龙亭区', 'longtingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410202001', '410202', '410202001', '北书店街道', 'beishudianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410202002', '410202', '410202002', '午朝门街道', 'wuchaomenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410202003', '410202', '410202003', '大兴街道', 'daxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410202005', '410202', '410202005', '北道门街道', 'beidaomenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410202201', '410202', '410202201', '北郊乡', 'beijiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410202202', '410202', '410202202', '柳园口乡', 'liuyuankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410203', '4102', '410203', '顺河区', 'shunhequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410203001', '410203', '410203001', '清平街道', 'qingpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410203002', '410203', '410203002', '铁塔街道', 'tietajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410203003', '410203', '410203003', '曹门街道', 'caomenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410203004', '410203', '410203004', '宋门街道', 'songmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410203005', '410203', '410203005', '工业街道', 'gongyejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410203006', '410203', '410203006', '苹果园街道', 'pingguoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410203200', '410203', '410203200', '东郊乡', 'dongjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410203201', '410203', '410203201', '土柏岗乡', 'tubogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410204', '4102', '410204', '鼓楼区', 'gulouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410204001', '410204', '410204001', '相国寺街道', 'xiangguosijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410204002', '410204', '410204002', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410204003', '410204', '410204003', '卧龙街道', 'wolongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410204004', '410204', '410204004', '州桥街道', 'zhouqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410204005', '410204', '410204005', '西司门街道', 'xisimenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410204006', '410204', '410204006', '九村街道', 'jiucunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410204007', '410204', '410204007', '五一街道', 'wuyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410204008', '410204', '410204008', '仙人庄街道', 'xianrenzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410205', '4102', '410205', '禹王台区', 'yuwangtaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410205001', '410205', '410205001', '三里堡街道', 'sanlibaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410205002', '410205', '410205002', '新门关街道', 'xinmenguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410205003', '410205', '410205003', '繁塔街道', 'fantajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410205004', '410205', '410205004', '官坊街道', 'guanfangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410205005', '410205', '410205005', '菜市街道', 'caishijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410205200', '410205', '410205200', '南郊乡', 'nanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410205201', '410205', '410205201', '汪屯乡', 'wangtunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410211', '4102', '410211', '金明区', 'jinmingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410211001', '410211', '410211001', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410211002', '410211', '410211002', '梁苑街道', 'liangyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410211100', '410211', '410211100', '杏花营镇', 'xinghuayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410211201', '410211', '410211201', '西郊乡', 'xijiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410211207', '410211', '410211207', '水稻乡', 'shuidaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410211400', '410211', '410211400', '杏花营农场', 'xinghuayingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410211560', '410211', '410211560', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221', '4102', '410221', '杞县', 'qixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221100', '410221', '410221100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221101', '410221', '410221101', '五里河镇', 'wulihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221102', '410221', '410221102', '付集镇', 'fujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221103', '410221', '410221103', '于镇镇', 'yuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221104', '410221', '410221104', '高阳镇', 'gaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221105', '410221', '410221105', '葛岗镇', 'gegangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221106', '410221', '410221106', '阳固镇', 'yangguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221107', '410221', '410221107', '邢口镇', 'xingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221200', '410221', '410221200', '裴村店乡', 'peicundianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221202', '410221', '410221202', '宗店乡', 'zongdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221203', '410221', '410221203', '板木乡', 'banmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221204', '410221', '410221204', '竹林乡', 'zhulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221205', '410221', '410221205', '官庄乡', 'guanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221206', '410221', '410221206', '湖岗乡', 'hugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221207', '410221', '410221207', '苏木乡', 'sumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221208', '410221', '410221208', '沙沃乡', 'shawoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221209', '410221', '410221209', '平城乡', 'pingchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221210', '410221', '410221210', '泥沟乡', 'nigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221211', '410221', '410221211', '柿元乡', 'shiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221212', '410221', '410221212', '西寨乡', 'xizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410221213', '410221', '410221213', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222', '4102', '410222', '通许县', 'tongxuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222100', '410222', '410222100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222101', '410222', '410222101', '竖岗镇', 'shugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222102', '410222', '410222102', '玉皇庙镇', 'yuhuangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222103', '410222', '410222103', '四所楼镇', 'sisuolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222104', '410222', '410222104', '朱砂镇', 'zhushazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222105', '410222', '410222105', '长智镇', 'zhangzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222200', '410222', '410222200', '冯庄乡', 'fengzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222201', '410222', '410222201', '孙营乡', 'sunyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222202', '410222', '410222202', '大岗李乡', 'daganglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222203', '410222', '410222203', '邸阁乡', 'digexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222204', '410222', '410222204', '练城乡', 'lianchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410222205', '410222', '410222205', '厉庄乡', 'lizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223', '4102', '410223', '尉氏县', 'weishixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223100', '410223', '410223100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223101', '410223', '410223101', '洧川镇', 'weichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223102', '410223', '410223102', '朱曲镇', 'zhuquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223103', '410223', '410223103', '蔡庄镇', 'caizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223104', '410223', '410223104', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223105', '410223', '410223105', '张市镇', 'zhangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223106', '410223', '410223106', '十八里镇', 'shibalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223107', '410223', '410223107', '水坡镇', 'shuipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223200', '410223', '410223200', '邢庄乡', 'xingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223201', '410223', '410223201', '庄头乡', 'zhuangtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223202', '410223', '410223202', '大营乡', 'dayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223203', '410223', '410223203', '大马乡', 'damaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223204', '410223', '410223204', '岗李乡', 'ganglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223205', '410223', '410223205', '门楼任乡', 'menlourenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223206', '410223', '410223206', '大桥乡', 'daqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223207', '410223', '410223207', '南曹乡', 'nancaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410223208', '410223', '410223208', '小陈乡', 'xiaochenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224', '4102', '410224', '开封县', 'kaifengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224100', '410224', '410224100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224101', '410224', '410224101', '陈留镇', 'chenliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224102', '410224', '410224102', '仇楼镇', 'choulouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224103', '410224', '410224103', '八里湾镇', 'baliwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224104', '410224', '410224104', '曲兴镇', 'quxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224106', '410224', '410224106', '朱仙镇', 'zhuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224200', '410224', '410224200', '半坡店乡', 'banpodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224202', '410224', '410224202', '罗王乡', 'luowangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224203', '410224', '410224203', '刘店乡', 'liudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224204', '410224', '410224204', '袁坊乡', 'yuanfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224205', '410224', '410224205', '杜良乡', 'duliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224206', '410224', '410224206', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224208', '410224', '410224208', '西姜寨乡', 'xijiangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224210', '410224', '410224210', '万隆乡', 'wanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410224211', '410224', '410224211', '范村乡', 'fancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225', '4102', '410225', '兰考县', 'lankaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225100', '410225', '410225100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225101', '410225', '410225101', '固阳镇', 'guyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225102', '410225', '410225102', '南彰镇', 'nanzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225103', '410225', '410225103', '张君墓镇', 'zhangjunmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225104', '410225', '410225104', '红庙镇', 'hongmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225200', '410225', '410225200', '城关乡', 'chengguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225201', '410225', '410225201', '三义寨乡', 'sanyizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225202', '410225', '410225202', '坝头乡', 'batouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225203', '410225', '410225203', '爪营乡', 'zhuayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225204', '410225', '410225204', '谷营乡', 'guyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225205', '410225', '410225205', '小宋乡', 'xiaosongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225206', '410225', '410225206', '孟寨乡', 'mengzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225207', '410225', '410225207', '许河乡', 'xuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225208', '410225', '410225208', '葡萄架乡', 'putaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225209', '410225', '410225209', '闫楼乡', 'yanlouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225210', '410225', '410225210', '仪封乡', 'yifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225400', '410225', '410225400', '中原油田', 'zhongyuanyoutian', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225401', '410225', '410225401', '仪封园艺场', 'yifengyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225402', '410225', '410225402', '造纸林场', 'zaozhilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225403', '410225', '410225403', '柳林林场', 'liulinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225404', '410225', '410225404', '西关农场', 'xiguannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225405', '410225', '410225405', '畜牧良种场', 'chumuliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410225406', '410225', '410225406', '固阳农科所', 'guyangnongkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4103', '41', '4103', '洛阳市', 'luoyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410301', '4103', '410301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410302', '4103', '410302', '老城区', 'laochengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410302001', '410302', '410302001', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410302002', '410302', '410302002', '西南隅街道', 'xinanyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410302003', '410302', '410302003', '西北隅街道', 'xibeiyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410302004', '410302', '410302004', '东南隅街道', 'dongnanyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410302005', '410302', '410302005', '东北隅街道', 'dongbeiyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410302006', '410302', '410302006', '南关街道', 'nanguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410302007', '410302', '410302007', '洛浦街道', 'luopujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410302100', '410302', '410302100', '邙山镇', 'mangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410303', '4103', '410303', '西工区', 'xigongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410303001', '410303', '410303001', '王城路街道', 'wangchenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410303002', '410303', '410303002', '金谷园街道', 'jinguyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410303003', '410303', '410303003', '西工街道', 'xigongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410303004', '410303', '410303004', '邙岭路街道', 'manglinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410303005', '410303', '410303005', '道北路街道', 'daobeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410303006', '410303', '410303006', '唐宫路街道', 'tanggonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410303007', '410303', '410303007', '汉屯路街道', 'hantunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410303008', '410303', '410303008', '凯旋东路街道', 'kaixuandonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410303200', '410303', '410303200', '洛北乡', 'luobeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410303201', '410303', '410303201', '红山乡', 'hongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410304', '4103', '410304', '廛河回族区', 'chanhehuizuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410304001', '410304', '410304001', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410304002', '410304', '410304002', '廛西街道', 'chanxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410304003', '410304', '410304003', '五股路街道', 'wugulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410304004', '410304', '410304004', '北窑街道', 'beiyaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410304005', '410304', '410304005', '塔湾街道', 'tawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410304006', '410304', '410304006', '杨文街道', 'yangwenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410304007', '410304', '410304007', '华林新村街道', 'hualinxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410304200', '410304', '410304200', '廛河回族乡', 'chanhehuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305', '4103', '410305', '涧西区', 'jianxiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305001', '410305', '410305001', '湖北路街道', 'hubeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305002', '410305', '410305002', '天津路街道', 'tianjinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305003', '410305', '410305003', '长春路街道', 'zhangchunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305004', '410305', '410305004', '南昌路街道', 'nanchanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305005', '410305', '410305005', '长安路街道', 'zhanganlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305006', '410305', '410305006', '重庆路街道', 'zhongqinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305007', '410305', '410305007', '郑州路街道', 'zhengzhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305008', '410305', '410305008', '武汉路街道', 'wuhanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305009', '410305', '410305009', '徐家营街道', 'xujiayingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305010', '410305', '410305010', '珠江路街道', 'zhujianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305011', '410305', '410305011', '周山路街道', 'zhoushanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305160', '410305', '410305160', '辛店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305200', '410305', '410305200', '工农乡', 'gongnongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305360', '410305', '410305360', '孙旗屯乡', 'sunqitunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410305560', '410305', '410305560', '创业路街道', 'chuangyelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410306', '4103', '410306', '吉利区', 'jiliqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410306001', '410306', '410306001', '大庆路街道', 'daqinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410306200', '410306', '410306200', '吉利乡', 'jilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410307', '4103', '410307', '洛龙区', 'luolongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410307001', '410307', '410307001', '安乐街道', 'anlejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410307100', '410307', '410307100', '关林镇', 'guanlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410307101', '410307', '410307101', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410307102', '410307', '410307102', '安乐镇', 'anlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410307103', '410307', '410307103', '白马寺镇', 'baimasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410307200', '410307', '410307200', '李楼乡', 'lilouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410307201', '410307', '410307201', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410307560', '410307', '410307560', '镇北路街道', 'zhenbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410322', '4103', '410322', '孟津县', 'mengjinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410322100', '410322', '410322100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410322101', '410322', '410322101', '会盟镇', 'huimengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410322102', '410322', '410322102', '平乐镇', 'pinglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410322103', '410322', '410322103', '送庄镇', 'songzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410322104', '410322', '410322104', '白鹤镇', 'baihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410322105', '410322', '410322105', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410322106', '410322', '410322106', '小浪底镇', 'xiaolangdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410322107', '410322', '410322107', '麻屯镇', 'matunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410322108', '410322', '410322108', '横水镇', 'hengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410322201', '410322', '410322201', '常代乡', 'changdaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323', '4103', '410323', '新安县', 'xinanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323100', '410323', '410323100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323101', '410323', '410323101', '石寺镇', 'shisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323102', '410323', '410323102', '五头镇', 'wutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323103', '410323', '410323103', '磁涧镇', 'cijianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323104', '410323', '410323104', '铁门镇', 'tiemenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323201', '410323', '410323201', '石井乡', 'shijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323203', '410323', '410323203', '仓头乡', 'cangtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323204', '410323', '410323204', '北冶乡', 'beiyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323205', '410323', '410323205', '曹村乡', 'caocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323206', '410323', '410323206', '正村乡', 'zhengcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323207', '410323', '410323207', '南李村乡', 'nanlicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410323400', '410323', '410323400', '洛新工业园', 'luoxingongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324', '4103', '410324', '栾川县', 'luanchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324100', '410324', '410324100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324101', '410324', '410324101', '赤土店镇', 'chitudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324102', '410324', '410324102', '合峪镇', 'heyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324103', '410324', '410324103', '潭头镇', 'tantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324104', '410324', '410324104', '三川镇', 'sanchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324105', '410324', '410324105', '冷水镇', 'lengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324106', '410324', '410324106', '陶湾镇', 'taowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324200', '410324', '410324200', '栾川乡', 'luanchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324201', '410324', '410324201', '庙子乡', 'miaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324203', '410324', '410324203', '秋扒乡', 'qiubaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324204', '410324', '410324204', '狮子庙乡', 'shizimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324205', '410324', '410324205', '白土乡', 'baituxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324206', '410324', '410324206', '叫河乡', 'jiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410324207', '410324', '410324207', '石庙乡', 'shimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325', '4103', '410325', '嵩县', 'songxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325100', '410325', '410325100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325101', '410325', '410325101', '田湖镇', 'tianhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325102', '410325', '410325102', '旧县镇', 'jiuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325103', '410325', '410325103', '车村镇', 'checunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325200', '410325', '410325200', '闫庄乡', 'yanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325201', '410325', '410325201', '大坪乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325202', '410325', '410325202', '库区乡', 'kuquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325203', '410325', '410325203', '何村乡', 'hecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325204', '410325', '410325204', '德亭乡', 'detingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325205', '410325', '410325205', '大章乡', 'dazhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325206', '410325', '410325206', '纸房乡', 'zhifangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325207', '410325', '410325207', '饭坡乡', 'fanpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325208', '410325', '410325208', '九店乡', 'jiudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325209', '410325', '410325209', '黄庄乡', 'huangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325210', '410325', '410325210', '木植街乡', 'muzhijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325211', '410325', '410325211', '白河乡', 'baihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325400', '410325', '410325400', '陶村林场', 'taocunlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325401', '410325', '410325401', '五马寺林场', 'wumasilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410325402', '410325', '410325402', '王莽寨林场', 'wangmangzhailinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326', '4103', '410326', '汝阳县', 'ruyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326100', '410326', '410326100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326101', '410326', '410326101', '上店镇', 'shangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326102', '410326', '410326102', '付店镇', 'fudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326103', '410326', '410326103', '小店镇', 'xiaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326200', '410326', '410326200', '柏树乡', 'boshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326202', '410326', '410326202', '十八盘乡', 'shibapanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326203', '410326', '410326203', '勒村乡', 'lecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326204', '410326', '410326204', '王坪乡', 'wangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326205', '410326', '410326205', '三屯乡', 'santunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326206', '410326', '410326206', '刘店乡', 'liudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326207', '410326', '410326207', '陶营乡', 'taoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326208', '410326', '410326208', '内埠乡', 'neibuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326209', '410326', '410326209', '蔡店乡', 'caidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410326400', '410326', '410326400', '大安工业园区', 'daangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327', '4103', '410327', '宜阳县', 'yiyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327100', '410327', '410327100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327101', '410327', '410327101', '丰李镇', 'fenglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327102', '410327', '410327102', '柳泉镇', 'liuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327103', '410327', '410327103', '韩城镇', 'hanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327104', '410327', '410327104', '白杨镇', 'baiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327105', '410327', '410327105', '寻村镇', 'xuncunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327200', '410327', '410327200', '城关乡', 'chengguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327203', '410327', '410327203', '盐镇乡', 'yanzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327204', '410327', '410327204', '高村乡', 'gaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327206', '410327', '410327206', '三乡乡', 'sanxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327207', '410327', '410327207', '张坞乡', 'zhangwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327208', '410327', '410327208', '穆册乡', 'mucexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327209', '410327', '410327209', '上观乡', 'shangguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327210', '410327', '410327210', '莲庄乡', 'lianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327211', '410327', '410327211', '赵保乡', 'zhaobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327212', '410327', '410327212', '董王庄乡', 'dongwangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410327213', '410327', '410327213', '樊村乡', 'fancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328', '4103', '410328', '洛宁县', 'luoningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328100', '410328', '410328100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328101', '410328', '410328101', '王范回族镇', 'wangfanhuizuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328102', '410328', '410328102', '上戈镇', 'shanggezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328200', '410328', '410328200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328201', '410328', '410328201', '河底乡', 'hedixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328203', '410328', '410328203', '东宋乡', 'dongsongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328205', '410328', '410328205', '小界乡', 'xiaojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328207', '410328', '410328207', '马店乡', 'madianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328208', '410328', '410328208', '长水乡', 'zhangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328209', '410328', '410328209', '罗岭乡', 'luolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328210', '410328', '410328210', '故县乡', 'guxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328211', '410328', '410328211', '下峪乡', 'xiayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328212', '410328', '410328212', '兴华乡', 'xinghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328213', '410328', '410328213', '底张乡', 'dizhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328214', '410328', '410328214', '山底乡', 'shandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328215', '410328', '410328215', '赵村乡', 'zhaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328216', '410328', '410328216', '陈吴乡', 'chenwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410328217', '410328', '410328217', '涧口乡', 'jiankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329', '4103', '410329', '伊川县', 'yichuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329100', '410329', '410329100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329101', '410329', '410329101', '鸣皋镇', 'minggaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329102', '410329', '410329102', '水寨镇', 'shuizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329103', '410329', '410329103', '彭婆镇', 'pengpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329200', '410329', '410329200', '鸦岭乡', 'yalingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329202', '410329', '410329202', '高山乡', 'gaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329203', '410329', '410329203', '平等乡', 'pingdengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329204', '410329', '410329204', '酒后乡', 'jiuhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329205', '410329', '410329205', '葛寨乡', 'gezhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329206', '410329', '410329206', '白元乡', 'baiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329207', '410329', '410329207', '白沙乡', 'baishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329208', '410329', '410329208', '半坡乡', 'banpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329209', '410329', '410329209', '江左乡', 'jiangzuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410329210', '410329', '410329210', '吕店乡', 'lu:dianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381', '4103', '410381', '偃师市', 'yanshishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381100', '410381', '410381100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381101', '410381', '410381101', '首阳山镇', 'shouyangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381102', '410381', '410381102', '佃庄镇', 'dianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381103', '410381', '410381103', '翟镇', 'zhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381104', '410381', '410381104', '岳滩镇', 'yuetanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381105', '410381', '410381105', '顾县镇', 'guxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381106', '410381', '410381106', '缑氏镇', 'goushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381107', '410381', '410381107', '府店镇', 'fudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381108', '410381', '410381108', '高龙镇', 'gaolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381109', '410381', '410381109', '寇店镇', 'koudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381110', '410381', '410381110', '庞村镇', 'pangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381111', '410381', '410381111', '李村镇', 'licunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381112', '410381', '410381112', '诸葛镇', 'zhugezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381200', '410381', '410381200', '山化乡', 'shanhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381201', '410381', '410381201', '邙岭乡', 'manglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410381203', '410381', '410381203', '大口乡', 'dakouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4104', '41', '4104', '平顶山市', 'pingdingshanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410401', '4104', '410401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402', '4104', '410402', '新华区', 'xinhuaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402001', '410402', '410402001', '曙光街街道', 'shuguangjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402002', '410402', '410402002', '光明路街道', 'guangminglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402003', '410402', '410402003', '中兴路街道', 'zhongxinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402004', '410402', '410402004', '矿工路街道', 'kuanggonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402005', '410402', '410402005', '西市场街道', 'xishichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402006', '410402', '410402006', '新新街街道', 'xinxinjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402007', '410402', '410402007', '青石山街道', 'qingshishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402008', '410402', '410402008', '湛河北路街道', 'zhanhebeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402009', '410402', '410402009', '湖滨路街道', 'hubinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402010', '410402', '410402010', '西高皇街道', 'xigaohuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402100', '410402', '410402100', '焦店镇', 'jiaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410402101', '410402', '410402101', '滍阳镇', 'zhiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403', '4104', '410403', '卫东区', 'weidongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403001', '410403', '410403001', '东安路街道', 'donganlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403002', '410403', '410403002', '优越路街道', 'youyuelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403003', '410403', '410403003', '五一路街道', 'wuyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403004', '410403', '410403004', '建设路街道', 'jianshelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403005', '410403', '410403005', '东环路街道', 'donghuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403006', '410403', '410403006', '东工人镇街道', 'donggongrenzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403007', '410403', '410403007', '光华路街道', 'guanghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403008', '410403', '410403008', '鸿鹰街道', 'hongyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403009', '410403', '410403009', '皇台街道', 'huangtaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403010', '410403', '410403010', '北环路街道', 'beihuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410403200', '410403', '410403200', '东高皇乡', 'donggaohuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410404', '4104', '410404', '石龙区', 'shilongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410404001', '410404', '410404001', '石龙区高庄街道', 'shilongqugaozhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410404002', '410404', '410404002', '石龙区龙兴街道', 'shilongqulongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410404003', '410404', '410404003', '石龙区人民路街道', 'shilongqurenminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410404004', '410404', '410404004', '石龙区龙河街道', 'shilongqulonghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410411', '4104', '410411', '湛河区', 'zhanhequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410411001', '410411', '410411001', '马庄街道', 'mazhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410411002', '410411', '410411002', '南环路街道', 'nanhuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410411003', '410411', '410411003', '姚孟街道', 'yaomengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410411004', '410411', '410411004', '九里山街道', 'jiulishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410411005', '410411', '410411005', '轻工路街道', 'qinggonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410411006', '410411', '410411006', '高阳路街道', 'gaoyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410411100', '410411', '410411100', '北渡镇', 'beiduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410411200', '410411', '410411200', '曹镇乡', 'caozhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421', '4104', '410421', '宝丰县', 'baofengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421001', '410421', '410421001', '铁路街道', 'tielujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421100', '410421', '410421100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421101', '410421', '410421101', '周庄镇', 'zhouzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421102', '410421', '410421102', '闹店镇', 'naodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421103', '410421', '410421103', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421104', '410421', '410421104', '商酒务镇', 'shangjiuwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421105', '410421', '410421105', '大营镇', 'dayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421106', '410421', '410421106', '张八桥镇', 'zhangbaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421107', '410421', '410421107', '杨庄镇', 'yangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421200', '410421', '410421200', '肖旗乡', 'xiaoqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421201', '410421', '410421201', '赵庄乡', 'zhaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421202', '410421', '410421202', '前营乡', 'qianyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410421203', '410421', '410421203', '李庄乡', 'lizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422', '4104', '410422', '叶县', 'yexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422100', '410422', '410422100', '昆阳镇', 'kunyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422101', '410422', '410422101', '任店镇', 'rendianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422102', '410422', '410422102', '保安镇', 'baoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422103', '410422', '410422103', '仙台镇', 'xiantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422104', '410422', '410422104', '遵化店镇', 'zunhuadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422200', '410422', '410422200', '城关乡', 'chengguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422201', '410422', '410422201', '夏李乡', 'xialixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422202', '410422', '410422202', '常村乡', 'changcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422203', '410422', '410422203', '马庄回族乡', 'mazhuanghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422204', '410422', '410422204', '田庄乡', 'tianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422205', '410422', '410422205', '旧县乡', 'jiuxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422206', '410422', '410422206', '辛店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422207', '410422', '410422207', '龙泉乡', 'longquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422208', '410422', '410422208', '水寨乡', 'shuizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422209', '410422', '410422209', '廉村乡', 'liancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422210', '410422', '410422210', '邓李乡', 'denglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422211', '410422', '410422211', '龚店乡', 'gongdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410422212', '410422', '410422212', '洪庄杨乡', 'hongzhuangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423', '4104', '410423', '鲁山县', 'lushanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423100', '410423', '410423100', '鲁阳镇', 'luyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423101', '410423', '410423101', '下汤镇', 'xiatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423102', '410423', '410423102', '梁洼镇', 'liangwazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423103', '410423', '410423103', '张官营镇', 'zhangguanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423104', '410423', '410423104', '张良镇', 'zhangliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423105', '410423', '410423105', '尧山镇', 'yaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423200', '410423', '410423200', '赵村乡', 'zhaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423201', '410423', '410423201', '四棵树乡', 'sikeshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423202', '410423', '410423202', '团城乡', 'tuanchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423203', '410423', '410423203', '熊背乡', 'xiongbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423204', '410423', '410423204', '让河乡', 'ranghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423205', '410423', '410423205', '瓦屋乡', 'wawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423206', '410423', '410423206', '观音寺乡', 'guanyinsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423207', '410423', '410423207', '昭平台库区乡', 'zhaopingtaikuquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423208', '410423', '410423208', '背孜乡', 'beizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423209', '410423', '410423209', '仓头乡', 'cangtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423210', '410423', '410423210', '董周乡', 'dongzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423211', '410423', '410423211', '张店乡', 'zhangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423212', '410423', '410423212', '辛集乡', 'xinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423213', '410423', '410423213', '滚子营乡', 'gunziyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410423214', '410423', '410423214', '马楼乡', 'malouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425', '4104', '410425', '郏县', 'jiaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425100', '410425', '410425100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425101', '410425', '410425101', '冢头镇', 'zhongtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425102', '410425', '410425102', '安良镇', 'anliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425103', '410425', '410425103', '堂街镇', 'tangjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425104', '410425', '410425104', '薛店镇', 'xuedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425105', '410425', '410425105', '长桥镇', 'zhangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425200', '410425', '410425200', '王集乡', 'wangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425201', '410425', '410425201', '李口乡', 'likouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425202', '410425', '410425202', '姚庄回族乡', 'yaozhuanghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425203', '410425', '410425203', '白庙乡', 'baimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425204', '410425', '410425204', '广阔天地乡', 'guangkuotiandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425205', '410425', '410425205', '渣元乡', 'zhayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425206', '410425', '410425206', '茨芭乡', 'cibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410425207', '410425', '410425207', '黄道乡', 'huangdaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481', '4104', '410481', '舞钢市', 'wugangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481001', '410481', '410481001', '垭口街道', 'yakoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481002', '410481', '410481002', '寺坡街道', 'sipojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481003', '410481', '410481003', '朱兰街道办事处普查区', 'zhulanjiedaobanshichupuchaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481004', '410481', '410481004', '院岭街道', 'yuanlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481100', '410481', '410481100', '尚店镇', 'shangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481101', '410481', '410481101', '八台镇', 'bataizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481102', '410481', '410481102', '尹集镇', 'yinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481201', '410481', '410481201', '枣林乡', 'zaolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481202', '410481', '410481202', '庙街乡', 'miaojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481203', '410481', '410481203', '铁山乡', 'tieshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481204', '410481', '410481204', '武功乡', 'wugongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410481205', '410481', '410481205', '杨庄乡', 'yangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482', '4104', '410482', '汝州市', 'ruzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482001', '410482', '410482001', '煤山街道', 'meishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482002', '410482', '410482002', '风穴路街道', 'fengxuelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482003', '410482', '410482003', '钟楼街道', 'zhongloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482004', '410482', '410482004', '洗耳河街道', 'xierhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482005', '410482', '410482005', '汝南街道', 'runanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482101', '410482', '410482101', '寄料镇', 'jiliaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482102', '410482', '410482102', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482103', '410482', '410482103', '临汝镇', 'linruzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482104', '410482', '410482104', '小屯镇', 'xiaotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482200', '410482', '410482200', '杨楼乡', 'yanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482201', '410482', '410482201', '蟒川乡', 'mangchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482202', '410482', '410482202', '王寨乡', 'wangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482203', '410482', '410482203', '陵头乡', 'lingtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482204', '410482', '410482204', '庙下乡', 'miaoxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482205', '410482', '410482205', '纸坊乡', 'zhifangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482206', '410482', '410482206', '尚庄乡', 'shangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482207', '410482', '410482207', '骑岭乡', 'qilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482208', '410482', '410482208', '大峪乡', 'dayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482209', '410482', '410482209', '夏店乡', 'xiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410482210', '410482', '410482210', '焦村乡', 'jiaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4105', '41', '4105', '安阳市', 'anyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410501', '4105', '410501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502', '4105', '410502', '文峰区', 'wenfengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502001', '410502', '410502001', '东大街街道', 'dongdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502002', '410502', '410502002', '头二三街道', 'touersanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502003', '410502', '410502003', '甜水井街道', 'tianshuijingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502004', '410502', '410502004', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502005', '410502', '410502005', '南关街道', 'nanguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502006', '410502', '410502006', '西大街街道', 'xidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502008', '410502', '410502008', '北大街街道', 'beidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502011', '410502', '410502011', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502012', '410502', '410502012', '紫薇大道街道', 'ziweidadaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502013', '410502', '410502013', '光华路街道', 'guanghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502014', '410502', '410502014', '永明路街道', 'yongminglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502015', '410502', '410502015', '中华路街道', 'zhonghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502101', '410502', '410502101', '宝莲寺镇', 'baoliansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502200', '410502', '410502200', '高庄乡', 'gaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502561', '410502', '410502561', '步行街综合治理办公室', 'buxingjiezonghezhilibangongshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502562', '410502', '410502562', '北大街综合治理办公室', 'beidajiezonghezhilibangongshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502563', '410502', '410502563', '峨嵋大街街道', 'emeidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502564', '410502', '410502564', '银杏大街街道', 'yinxingdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410502565', '410502', '410502565', '商颂大街街道', 'shangsongdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410503', '4105', '410503', '北关区', 'beiguanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410503001', '410503', '410503001', '红旗路街道', 'hongqilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410503003', '410503', '410503003', '解放路街道', 'jiefanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410503004', '410503', '410503004', '灯塔路街道', 'dengtalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410503005', '410503', '410503005', '豆腐营街道', 'doufuyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410503006', '410503', '410503006', '洹北街道', 'huanbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410503008', '410503', '410503008', '彰东街道办事处', 'zhangdongjiedaobanshichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410503009', '410503', '410503009', '彰北街道', 'zhangbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410503010', '410503', '410503010', '民航路街道', 'minhanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410503011', '410503', '410503011', '曙光路街道', 'shuguanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410505', '4105', '410505', '殷都区', 'yindouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410505001', '410505', '410505001', '殷都区梅园庄街道', 'yindouqumeiyuanzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410505002', '410505', '410505002', '殷都区李珍街道', 'yindouqulizhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410505003', '410505', '410505003', '殷都区电厂路街道', 'yindouqudianchanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410505004', '410505', '410505004', '殷都区纱厂街道', 'yindouqushachangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410505005', '410505', '410505005', '殷都区铁西路街道', 'yindouqutiexilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410505006', '410505', '410505006', '殷都区水冶街道', 'yindouqushuiyejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410505007', '410505', '410505007', '殷都区清风街街道', 'yindouquqingfengjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410505008', '410505', '410505008', '殷都区北蒙街道', 'yindouqubeimengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410505009', '410505', '410505009', '殷都区相台街道', 'yindouquxiangtaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410505200', '410505', '410505200', '殷都区西郊乡', 'yindouquxijiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410506', '4105', '410506', '龙安区', 'longanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410506001', '410506', '410506001', '田村街道', 'tiancunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410506002', '410506', '410506002', '彰武街道', 'zhangwujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410506003', '410506', '410506003', '文昌大道街道', 'wenchangdadaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410506004', '410506', '410506004', '文明大道街道', 'wenmingdadaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410506005', '410506', '410506005', '太行小区街道', 'taixingxiaoqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410506006', '410506', '410506006', '中州路街道', 'zhongzhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410506100', '410506', '410506100', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410506201', '410506', '410506201', '东风乡', 'dongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410506202', '410506', '410506202', '马投涧乡', 'matoujianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522', '4105', '410522', '安阳县', 'anyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522101', '410522', '410522101', '水冶镇', 'shuiyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522102', '410522', '410522102', '铜冶镇', 'tongyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522103', '410522', '410522103', '善应镇', 'shanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522105', '410522', '410522105', '柏庄镇', 'bozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522106', '410522', '410522106', '白壁镇', 'baibizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522107', '410522', '410522107', '曲沟镇', 'qugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522108', '410522', '410522108', '吕村镇', 'lu:cunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522200', '410522', '410522200', '蒋村乡', 'jiangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522201', '410522', '410522201', '伦掌乡', 'lunzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522202', '410522', '410522202', '都里乡', 'doulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522203', '410522', '410522203', '磊口乡', 'leikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522204', '410522', '410522204', '许家沟乡', 'xujiagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522205', '410522', '410522205', '马家乡', 'majiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522209', '410522', '410522209', '崔家桥乡', 'cuijiaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522210', '410522', '410522210', '安丰乡', 'anfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522211', '410522', '410522211', '洪河屯乡', 'honghetunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522212', '410522', '410522212', '韩陵乡', 'hanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522213', '410522', '410522213', '永和乡', 'yonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522214', '410522', '410522214', '瓦店乡', 'wadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522216', '410522', '410522216', '北郭乡', 'beiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410522217', '410522', '410522217', '辛村乡', 'xincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410523', '4105', '410523', '汤阴县', 'tangyinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410523100', '410523', '410523100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410523101', '410523', '410523101', '菜园镇', 'caiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410523102', '410523', '410523102', '任固镇', 'renguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410523103', '410523', '410523103', '五陵镇', 'wulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410523104', '410523', '410523104', '宜沟镇', 'yigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410523200', '410523', '410523200', '韩庄乡', 'hanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410523201', '410523', '410523201', '白营乡', 'baiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410523202', '410523', '410523202', '古贤乡', 'guxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410523203', '410523', '410523203', '瓦岗乡', 'wagangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410523204', '410523', '410523204', '伏道乡', 'fudaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526', '4105', '410526', '滑县', 'huaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526100', '410526', '410526100', '道口镇', 'daokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526101', '410526', '410526101', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526102', '410526', '410526102', '白道口镇', 'baidaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526103', '410526', '410526103', '留固镇', 'liuguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526104', '410526', '410526104', '上官镇', 'shangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526105', '410526', '410526105', '牛屯镇', 'niutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526106', '410526', '410526106', '万古镇', 'wanguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526107', '410526', '410526107', '高平镇', 'gaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526108', '410526', '410526108', '王庄镇', 'wangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526200', '410526', '410526200', '枣村乡', 'zaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526201', '410526', '410526201', '四间房乡', 'sijianfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526202', '410526', '410526202', '八里营乡', 'baliyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526203', '410526', '410526203', '赵营乡', 'zhaoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526204', '410526', '410526204', '大寨乡', 'dazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526205', '410526', '410526205', '桑村乡', 'sangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526206', '410526', '410526206', '老爷庙乡', 'laoyemiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526207', '410526', '410526207', '老店乡', 'laodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526208', '410526', '410526208', '慈周寨乡', 'cizhouzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526209', '410526', '410526209', '瓦岗寨乡', 'wagangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526210', '410526', '410526210', '焦虎乡', 'jiaohuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526211', '410526', '410526211', '半坡店乡', 'banpodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410526212', '410526', '410526212', '小铺乡', 'xiaopuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527', '4105', '410527', '内黄县', 'neihuangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527100', '410527', '410527100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527101', '410527', '410527101', '东庄镇', 'dongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527102', '410527', '410527102', '井店镇', 'jingdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527103', '410527', '410527103', '梁庄镇', 'liangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527104', '410527', '410527104', '后河镇', 'houhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527105', '410527', '410527105', '楚旺镇', 'chuwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527200', '410527', '410527200', '张龙乡', 'zhanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527201', '410527', '410527201', '马上乡', 'mashangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527202', '410527', '410527202', '高堤乡', 'gaodixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527203', '410527', '410527203', '亳城乡', 'bochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527204', '410527', '410527204', '二安乡', 'eranxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527205', '410527', '410527205', '六村乡', 'liucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527206', '410527', '410527206', '中召乡', 'zhongzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527207', '410527', '410527207', '宋村乡', 'songcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527208', '410527', '410527208', '田氏乡', 'tianshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527209', '410527', '410527209', '石盘屯乡', 'shipantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410527210', '410527', '410527210', '豆公乡', 'dougongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581', '4105', '410581', '林州市', 'linzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581001', '410581', '410581001', '开元街道', 'kaiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581002', '410581', '410581002', '振林街道', 'zhenlinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581003', '410581', '410581003', '龙山街道', 'longshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581004', '410581', '410581004', '桂园街道', 'guiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581101', '410581', '410581101', '合涧镇', 'hejianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581102', '410581', '410581102', '临淇镇', 'linqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581103', '410581', '410581103', '东姚镇', 'dongyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581104', '410581', '410581104', '横水镇', 'hengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581105', '410581', '410581105', '河顺镇', 'heshunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581106', '410581', '410581106', '任村镇', 'rencunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581107', '410581', '410581107', '姚村镇', 'yaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581108', '410581', '410581108', '陵阳镇', 'lingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581109', '410581', '410581109', '原康镇', 'yuankangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581110', '410581', '410581110', '五龙镇', 'wulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581111', '410581', '410581111', '采桑镇', 'caisangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581112', '410581', '410581112', '东岗镇', 'donggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581113', '410581', '410581113', '桂林镇', 'guilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581200', '410581', '410581200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581202', '410581', '410581202', '茶店乡', 'chadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410581203', '410581', '410581203', '石板岩乡', 'shibanyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4106', '41', '4106', '鹤壁市', 'hebishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410601', '4106', '410601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410602', '4106', '410602', '鹤山区', 'heshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410602001', '410602', '410602001', '中北街道', 'zhongbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410602002', '410602', '410602002', '中山路街道', 'zhongshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410602003', '410602', '410602003', '新华街街道', 'xinhuajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410602004', '410602', '410602004', '鹤山街街道', 'heshanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410602005', '410602', '410602005', '九矿广场街道', 'jiukuangguangchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410602200', '410602', '410602200', '鹤壁集乡', 'hebijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410602201', '410602', '410602201', '姬家山乡', 'jijiashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410603', '4106', '410603', '山城区', 'shanchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410603001', '410603', '410603001', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410603002', '410603', '410603002', '长风中路街道', 'zhangfengzhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410603003', '410603', '410603003', '山城路街道', 'shanchenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410603004', '410603', '410603004', '汤河街街道', 'tanghejiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410603005', '410603', '410603005', '鹿楼街道', 'luloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410603200', '410603', '410603200', '石林乡', 'shilinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410603201', '410603', '410603201', '鹿楼乡', 'lulouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410611', '4106', '410611', '淇滨区', 'qibinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410611001', '410611', '410611001', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410611100', '410611', '410611100', '大赉店镇', 'dalaidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410611200', '410611', '410611200', '上峪乡', 'shangyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410611201', '410611', '410611201', '大河涧乡', 'dahejianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410611560', '410611', '410611560', '九州路街道', 'jiuzhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410611561', '410611', '410611561', '黎阳路街道', 'liyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410611562', '410611', '410611562', '长江路街道', 'zhangjianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410621', '4106', '410621', '浚县', 'junxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410621100', '410621', '410621100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410621101', '410621', '410621101', '善堂镇', 'shantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410621102', '410621', '410621102', '屯子镇', 'tunzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410621103', '410621', '410621103', '钜桥镇', 'juqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410621104', '410621', '410621104', '新镇镇', 'xinzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410621105', '410621', '410621105', '小河镇', 'xiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410621106', '410621', '410621106', '黎阳镇', 'liyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410621107', '410621', '410621107', '卫贤镇', 'weixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410621200', '410621', '410621200', '王庄乡', 'wangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410621201', '410621', '410621201', '白寺乡', 'baisixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410622', '4106', '410622', '淇县', 'qixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410622100', '410622', '410622100', '朝歌镇', 'chaogezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410622101', '410622', '410622101', '高村镇', 'gaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410622102', '410622', '410622102', '北阳镇', 'beiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410622200', '410622', '410622200', '桥盟乡', 'qiaomengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410622201', '410622', '410622201', '庙口乡', 'miaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410622202', '410622', '410622202', '黄洞乡', 'huangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410622203', '410622', '410622203', '西岗乡', 'xigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4107', '41', '4107', '新乡市', 'xinxiangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410701', '4107', '410701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410702', '4107', '410702', '红旗区', 'hongqiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410702001', '410702', '410702001', '西街', 'xijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410702002', '410702', '410702002', '东街', 'dongjie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410702003', '410702', '410702003', '渠东', 'qudong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410702007', '410702', '410702007', '南干道', 'nangandao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410702009', '410702', '410702009', '向阳小区', 'xiangyangxiaoqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410702100', '410702', '410702100', '洪门镇', 'hongmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410702101', '410702', '410702101', '红旗区小店镇', 'hongqiquxiaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410702360', '410702', '410702360', '开发区关堤乡', 'kaifaquguandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410702400', '410702', '410702400', '新乡市小店工业园区', 'xinxiangshixiaodiangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410702560', '410702', '410702560', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410703', '4107', '410703', '卫滨区', 'weibinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410703001', '410703', '410703001', '胜利路街道', 'shenglilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410703002', '410703', '410703002', '解放路街道', 'jiefanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410703003', '410703', '410703003', '中同街街道', 'zhongtongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410703004', '410703', '410703004', '健康路街道', 'jiankanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410703007', '410703', '410703007', '自由路街道', 'ziyoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410703008', '410703', '410703008', '南桥街道', 'nanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410703009', '410703', '410703009', '铁西街道', 'tiexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410703200', '410703', '410703200', '平原乡', 'pingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410704', '4107', '410704', '凤泉区', 'fengquanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410704001', '410704', '410704001', '宝西街道', 'baoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410704002', '410704', '410704002', '宝东街道', 'baodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410704100', '410704', '410704100', '大块镇', 'dakuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410704200', '410704', '410704200', '潞王坟乡', 'luwangfenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410704201', '410704', '410704201', '耿黄乡', 'genghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410711', '4107', '410711', '牧野区', 'muyequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410711001', '410711', '410711001', '东干道', 'donggandao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410711002', '410711', '410711002', '荣校路', 'rongxiaolu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410711003', '410711', '410711003', '北干道', 'beigandao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410711004', '410711', '410711004', '花园', 'huayuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410711005', '410711', '410711005', '卫北', 'weibei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410711006', '410711', '410711006', '新辉路', 'xinhuilu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410711007', '410711', '410711007', '和平路', 'hepinglu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410711100', '410711', '410711100', '王村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410711201', '410711', '410711201', '牧野乡', 'muyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410711400', '410711', '410711400', '国家化学与物理电源产业园', 'guojiahuaxueyuwulidianyuanchanyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410721', '4107', '410721', '新乡县', 'xinxiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410721101', '410721', '410721101', '翟坡镇', 'zhaipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410721102', '410721', '410721102', '小冀镇', 'xiaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410721103', '410721', '410721103', '七里营镇', 'qiliyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410721104', '410721', '410721104', '朗公庙镇', 'langgongmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410721105', '410721', '410721105', '古固寨镇', 'guguzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410721107', '410721', '410721107', '大召营镇', 'dazhaoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410721200', '410721', '410721200', '合河乡', 'hehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410721560', '410721', '410721560', '新乡经济开发区', 'xinxiangjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724', '4107', '410724', '获嘉县', 'huojiaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724100', '410724', '410724100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724101', '410724', '410724101', '照境镇', 'zhaojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724102', '410724', '410724102', '黄堤镇', 'huangdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724103', '410724', '410724103', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724104', '410724', '410724104', '徐营镇', 'xuyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724105', '410724', '410724105', '冯庄镇', 'fengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724106', '410724', '410724106', '亢村镇', 'kangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724107', '410724', '410724107', '史庄镇', 'shizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724200', '410724', '410724200', '位庄乡', 'weizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724203', '410724', '410724203', '大新庄乡', 'daxinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724204', '410724', '410724204', '太山乡', 'taishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410724560', '410724', '410724560', '西工区管理委员会', 'xigongquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725', '4107', '410725', '原阳县', 'yuanyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725100', '410725', '410725100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725101', '410725', '410725101', '原武镇', 'yuanwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725102', '410725', '410725102', '师寨镇', 'shizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725200', '410725', '410725200', '葛埠口乡', 'gebukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725201', '410725', '410725201', '福宁集乡', 'funingjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725203', '410725', '410725203', '祝楼乡', 'zhulouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725204', '410725', '410725204', '桥北乡', 'qiaobeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725205', '410725', '410725205', '韩董庄乡', 'handongzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725206', '410725', '410725206', '蒋庄乡', 'jiangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725207', '410725', '410725207', '官厂乡', 'guanchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725209', '410725', '410725209', '大宾乡', 'dabinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725211', '410725', '410725211', '陡门乡', 'doumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725213', '410725', '410725213', '齐街乡', 'qijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725214', '410725', '410725214', '太平镇乡', 'taipingzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725215', '410725', '410725215', '路寨乡', 'luzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725216', '410725', '410725216', '阳阿乡', 'yangaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410725218', '410725', '410725218', '靳堂乡', 'jintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726', '4107', '410726', '延津县', 'yanjinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726100', '410726', '410726100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726101', '410726', '410726101', '东屯镇', 'dongtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726102', '410726', '410726102', '丰庄镇', 'fengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726200', '410726', '410726200', '僧固乡', 'sengguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726201', '410726', '410726201', '石婆固乡', 'shipoguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726202', '410726', '410726202', '位邱乡', 'weiqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726203', '410726', '410726203', '司寨乡', 'sizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726204', '410726', '410726204', '王楼乡', 'wanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726205', '410726', '410726205', '马庄乡', 'mazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726206', '410726', '410726206', '胙城乡', 'zuochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726207', '410726', '410726207', '榆林乡', 'yulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726208', '410726', '410726208', '小潭乡', 'xiaotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726400', '410726', '410726400', '国营林场', 'guoyinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726401', '410726', '410726401', '新兴农场', 'xinxingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726402', '410726', '410726402', '新乡市食品工业聚集区', 'xinxiangshishipingongyejujiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410726403', '410726', '410726403', '新乡市纺织工业聚集区', 'xinxiangshifangzhigongyejujiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727', '4107', '410727', '封丘县', 'fengqiuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727100', '410727', '410727100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727101', '410727', '410727101', '黄陵镇', 'huanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727102', '410727', '410727102', '黄德镇', 'huangdezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727103', '410727', '410727103', '应举镇', 'yingjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727104', '410727', '410727104', '陈桥镇', 'chenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727105', '410727', '410727105', '赵岗镇', 'zhaogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727200', '410727', '410727200', '城关乡', 'chengguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727201', '410727', '410727201', '回族乡', 'huizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727202', '410727', '410727202', '王村乡', 'wangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727203', '410727', '410727203', '陈固乡', 'chenguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727204', '410727', '410727204', '居厢乡', 'juxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727205', '410727', '410727205', '鲁岗乡', 'lugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727206', '410727', '410727206', '荆宫乡', 'jinggongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727207', '410727', '410727207', '留光乡', 'liuguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727208', '410727', '410727208', '曹岗乡', 'caogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727209', '410727', '410727209', '潘店乡', 'pandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727210', '410727', '410727210', '李庄乡', 'lizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727211', '410727', '410727211', '尹岗乡', 'yingangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410727212', '410727', '410727212', '冯村乡', 'fengcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728', '4107', '410728', '长垣县', 'zhangyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728001', '410728', '410728001', '蒲西', 'puxi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728002', '410728', '410728002', '蒲东', 'pudong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728003', '410728', '410728003', '南蒲', 'nanpu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728004', '410728', '410728004', '蒲北', 'pubei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728101', '410728', '410728101', '丁栾镇', 'dingluanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728102', '410728', '410728102', '樊相镇', 'fanxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728103', '410728', '410728103', '魏庄镇', 'weizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728104', '410728', '410728104', '恼里镇', 'naolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728105', '410728', '410728105', '常村镇', 'changcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728106', '410728', '410728106', '赵堤镇', 'zhaodizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728202', '410728', '410728202', '芦岗乡', 'lugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728203', '410728', '410728203', '孟岗乡', 'menggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728204', '410728', '410728204', '苗寨乡', 'miaozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728205', '410728', '410728205', '方里乡', 'fanglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728206', '410728', '410728206', '武邱乡', 'wuqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728208', '410728', '410728208', '佘家乡', 'shejiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728209', '410728', '410728209', '张三寨乡', 'zhangsanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410728210', '410728', '410728210', '满村乡', 'mancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781', '4107', '410781', '卫辉市', 'weihuishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781100', '410781', '410781100', '汲水镇', 'jishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781101', '410781', '410781101', '太公泉镇', 'taigongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781102', '410781', '410781102', '孙杏村镇', 'sunxingcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781103', '410781', '410781103', '后河镇', 'houhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781104', '410781', '410781104', '李源屯镇', 'liyuantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781105', '410781', '410781105', '唐庄镇', 'tangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781106', '410781', '410781106', '上乐村镇', 'shanglecunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781201', '410781', '410781201', '狮豹头乡', 'shibaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781203', '410781', '410781203', '安都乡', 'andouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781204', '410781', '410781204', '顿坊店乡', 'dunfangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781205', '410781', '410781205', '柳庄乡', 'liuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781206', '410781', '410781206', '庞寨乡', 'pangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410781208', '410781', '410781208', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782', '4107', '410782', '辉县市', 'huixianshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782001', '410782', '410782001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782002', '410782', '410782002', '胡桥街道', 'huqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782101', '410782', '410782101', '薄壁镇', 'bobizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782102', '410782', '410782102', '峪河镇', 'yuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782103', '410782', '410782103', '百泉镇', 'baiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782104', '410782', '410782104', '孟庄镇', 'mengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782105', '410782', '410782105', '常村镇', 'changcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782106', '410782', '410782106', '吴村镇', 'wucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782107', '410782', '410782107', '南村镇', 'nancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782108', '410782', '410782108', '南寨镇', 'nanzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782109', '410782', '410782109', '上八里镇', 'shangbalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782110', '410782', '410782110', '北云门镇', 'beiyunmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782111', '410782', '410782111', '占城镇', 'zhanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782200', '410782', '410782200', '黄水乡', 'huangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782201', '410782', '410782201', '拍石头乡', 'paishitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782202', '410782', '410782202', '高庄乡', 'gaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782203', '410782', '410782203', '张村乡', 'zhangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782204', '410782', '410782204', '冀屯乡', 'jitunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782205', '410782', '410782205', '赵固乡', 'zhaoguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782206', '410782', '410782206', '西平罗乡', 'xipingluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782207', '410782', '410782207', '洪洲乡', 'hongzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410782208', '410782', '410782208', '沙窑乡', 'shayaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4108', '41', '4108', '焦作市', 'jiaozuoshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410801', '4108', '410801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410802', '4108', '410802', '解放区', 'jiefangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410802001', '410802', '410802001', '民生街道', 'minshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410802002', '410802', '410802002', '民主街道', 'minzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410802003', '410802', '410802003', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410802004', '410802', '410802004', '焦西街道', 'jiaoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410802005', '410802', '410802005', '焦南街道', 'jiaonanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410802006', '410802', '410802006', '焦北街道', 'jiaobeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410802007', '410802', '410802007', '七百间街道', 'qibaijianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410802008', '410802', '410802008', '上白作街道', 'shangbaizuojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410802009', '410802', '410802009', '王褚街道', 'wangchujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410803', '4108', '410803', '中站区', 'zhongzhanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410803001', '410803', '410803001', '李封街道', 'lifengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410803002', '410803', '410803002', '王封街道', 'wangfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410803003', '410803', '410803003', '朱村街道', 'zhucunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410803004', '410803', '410803004', '冯封街道', 'fengfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410803005', '410803', '410803005', '龙洞街道', 'longdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410803006', '410803', '410803006', '月山街道', 'yueshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410803007', '410803', '410803007', '丹河街道', 'danhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410803008', '410803', '410803008', '许衡街道', 'xuhengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410803009', '410803', '410803009', '府城街道', 'fuchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410803010', '410803', '410803010', '龙翔街道', 'longxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410804', '4108', '410804', '马村区', 'macunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410804001', '410804', '410804001', '马村街道', 'macunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410804002', '410804', '410804002', '北山街道', 'beishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410804003', '410804', '410804003', '冯营街道', 'fengyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410804004', '410804', '410804004', '九里山街道', 'jiulishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410804005', '410804', '410804005', '待王街道', 'daiwangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410804006', '410804', '410804006', '安阳城街道', 'anyangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410804007', '410804', '410804007', '演马街道', 'yanmajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410811', '4108', '410811', '山阳区', 'shanyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410811001', '410811', '410811001', '东方红街道', 'dongfanghongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410811002', '410811', '410811002', '焦东街道', 'jiaodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410811003', '410811', '410811003', '百间房街道', 'baijianfangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410811004', '410811', '410811004', '太行街道', 'taixingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410811005', '410811', '410811005', '艺新街道', 'yixinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410811006', '410811', '410811006', '光亚街道', 'guangyajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410811007', '410811', '410811007', '定和街道', 'dinghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410811008', '410811', '410811008', '中星街道', 'zhongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410811009', '410811', '410811009', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410811060', '410811', '410811060', '李万街道', 'liwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410821', '4108', '410821', '修武县', 'xiuwuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410821100', '410821', '410821100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410821101', '410821', '410821101', '方庄镇', 'fangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410821102', '410821', '410821102', '郇封镇', 'xunfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410821202', '410821', '410821202', '高村乡', 'gaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410821203', '410821', '410821203', '周庄乡', 'zhouzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410821204', '410821', '410821204', '五里源乡', 'wuliyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410821205', '410821', '410821205', '岸上乡', 'anshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410821206', '410821', '410821206', '西村乡', 'xicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410821400', '410821', '410821400', '小营工贸区', 'xiaoyinggongmaoqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822', '4108', '410822', '博爱县', 'boaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822100', '410822', '410822100', '清化镇', 'qinghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822101', '410822', '410822101', '柏山镇', 'boshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822102', '410822', '410822102', '月山镇', 'yueshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822103', '410822', '410822103', '许良镇', 'xuliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822104', '410822', '410822104', '阳庙镇', 'yangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822105', '410822', '410822105', '磨头镇', 'motouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822106', '410822', '410822106', '孝敬镇', 'xiaojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822200', '410822', '410822200', '寨豁乡', 'zhaihuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822203', '410822', '410822203', '金城乡', 'jinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822204', '410822', '410822204', '苏家作乡', 'sujiazuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410822400', '410822', '410822400', '国营博爱农场', 'guoyingboainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823', '4108', '410823', '武陟县', 'wuzhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823100', '410823', '410823100', '木城镇', 'muchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823101', '410823', '410823101', '詹店镇', 'zhandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823102', '410823', '410823102', '西陶镇', 'xitaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823103', '410823', '410823103', '谢旗营镇', 'xieqiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823104', '410823', '410823104', '大封镇', 'dafengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823105', '410823', '410823105', '宁郭镇', 'ningguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823106', '410823', '410823106', '龙源镇', 'longyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823200', '410823', '410823200', '嘉应观乡', 'jiayingguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823201', '410823', '410823201', '乔庙乡', 'qiaomiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823202', '410823', '410823202', '圪当店乡', 'gedangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823203', '410823', '410823203', '三阳乡', 'sanyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823204', '410823', '410823204', '小董乡', 'xiaodongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823205', '410823', '410823205', '大虹桥乡', 'dahongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823206', '410823', '410823206', '北郭乡', 'beiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410823400', '410823', '410823400', '武陟宁郭农场', 'wuzhiningguonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825', '4108', '410825', '温县', 'wenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825100', '410825', '410825100', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825101', '410825', '410825101', '祥云镇', 'xiangyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825102', '410825', '410825102', '番田镇', 'fantianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825104', '410825', '410825104', '黄庄镇', 'huangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825105', '410825', '410825105', '武德镇', 'wudezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825106', '410825', '410825106', '赵堡镇', 'zhaobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825107', '410825', '410825107', '南张羌镇', 'nanzhangqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825200', '410825', '410825200', '岳村乡', 'yuecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825201', '410825', '410825201', '招贤乡', 'zhaoxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825203', '410825', '410825203', '北冷乡', 'beilengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410825400', '410825', '410825400', '国营温县农场', 'guoyingwenxiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881', '4108', '410881', '济源市', 'jiyuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881001', '410881', '410881001', '双桥街道', 'shuangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881002', '410881', '410881002', '济水街道', 'jishuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881003', '410881', '410881003', '北海街道', 'beihaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881004', '410881', '410881004', '天坛街道', 'tiantanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881100', '410881', '410881100', '克井镇', 'kejingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881101', '410881', '410881101', '五龙口镇', 'wulongkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881102', '410881', '410881102', '轵城镇', 'zhichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881103', '410881', '410881103', '承留镇', 'chengliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881104', '410881', '410881104', '邵原镇', 'shaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881105', '410881', '410881105', '坡头镇', 'potouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881106', '410881', '410881106', '梨林镇', 'lilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881107', '410881', '410881107', '大峪镇', 'dayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881200', '410881', '410881200', '亚桥乡', 'yaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881201', '410881', '410881201', '思礼乡', 'silixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881202', '410881', '410881202', '王屋乡', 'wangwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410881203', '410881', '410881203', '下冶乡', 'xiayexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882', '4108', '410882', '沁阳市', 'qinyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882001', '410882', '410882001', '覃怀街道', 'tanhuaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882002', '410882', '410882002', '怀庆街道', 'huaiqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882003', '410882', '410882003', '太行街道', 'taixingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882004', '410882', '410882004', '沁园街道', 'qinyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882100', '410882', '410882100', '崇义镇', 'chongyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882101', '410882', '410882101', '西向镇', 'xixiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882102', '410882', '410882102', '西万镇', 'xiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882103', '410882', '410882103', '柏香镇', 'boxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882104', '410882', '410882104', '山王庄镇', 'shanwangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882105', '410882', '410882105', '紫陵镇', 'zilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882200', '410882', '410882200', '常平乡', 'changpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882201', '410882', '410882201', '王召乡', 'wangzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410882202', '410882', '410882202', '王曲乡', 'wangquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883', '4108', '410883', '孟州市', 'mengzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883001', '410883', '410883001', '大定街道', 'dadingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883002', '410883', '410883002', '会昌街道', 'huichangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883003', '410883', '410883003', '河雍街道', 'heyongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883004', '410883', '410883004', '河阳街道', 'heyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883100', '410883', '410883100', '化工镇', 'huagongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883101', '410883', '410883101', '南庄镇', 'nanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883102', '410883', '410883102', '城伯镇', 'chengbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883103', '410883', '410883103', '谷旦镇', 'gudanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883104', '410883', '410883104', '赵和镇', 'zhaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883105', '410883', '410883105', '西虢镇', 'xiguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410883201', '410883', '410883201', '槐树乡', 'huaishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4109', '41', '4109', '濮阳市', 'puyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410901', '4109', '410901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902', '4109', '410902', '华龙区', 'hualongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902001', '410902', '410902001', '中原路街道', 'zhongyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902002', '410902', '410902002', '胜利路街道', 'shenglilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902003', '410902', '410902003', '建设路街道', 'jianshelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902004', '410902', '410902004', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902005', '410902', '410902005', '大庆路街道', 'daqinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902006', '410902', '410902006', '黄河路街道', 'huanghelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902007', '410902', '410902007', '任丘路街道', 'renqiulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902060', '410902', '410902060', '昆吾路街道', 'kunwulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902061', '410902', '410902061', '皇甫路街道', 'huangfulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902065', '410902', '410902065', '白条河农场虚拟', 'baitiaohenongchangxuni', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902202', '410902', '410902202', '岳村乡', 'yuecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902203', '410902', '410902203', '孟轲乡', 'mengkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902360', '410902', '410902360', '胡村乡', 'hucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902361', '410902', '410902361', '王助乡', 'wangzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902362', '410902', '410902362', '新习乡', 'xinxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902400', '410902', '410902400', '中原油田街道', 'zhongyuanyoutianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410902560', '410902', '410902560', '开发区虚拟街道', 'kaifaquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922', '4109', '410922', '清丰县', 'qingfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922100', '410922', '410922100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922101', '410922', '410922101', '马庄桥镇', 'mazhuangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922102', '410922', '410922102', '瓦屋头镇', 'wawutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922200', '410922', '410922200', '六塔乡', 'liutaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922201', '410922', '410922201', '仙庄乡', 'xianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922202', '410922', '410922202', '巩营乡', 'gongyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922203', '410922', '410922203', '马村乡', 'macunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922204', '410922', '410922204', '高堡乡', 'gaobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922205', '410922', '410922205', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922206', '410922', '410922206', '大流乡', 'daliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922207', '410922', '410922207', '韩村乡', 'hancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922208', '410922', '410922208', '大屯乡', 'datunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922209', '410922', '410922209', '固城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922211', '410922', '410922211', '柳格乡', 'liugexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922212', '410922', '410922212', '双庙乡', 'shuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922213', '410922', '410922213', '纸房乡', 'zhifangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410922214', '410922', '410922214', '阳邵乡', 'yangshaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923', '4109', '410923', '南乐县', 'nanlexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923100', '410923', '410923100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923101', '410923', '410923101', '韩张镇', 'hanzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923102', '410923', '410923102', '元村镇', 'yuancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923200', '410923', '410923200', '杨村乡', 'yangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923201', '410923', '410923201', '张果屯乡', 'zhangguotunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923202', '410923', '410923202', '千口乡', 'qiankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923203', '410923', '410923203', '福坎乡', 'fukanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923204', '410923', '410923204', '谷金楼乡', 'gujinlouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923205', '410923', '410923205', '西邵乡', 'xishaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923206', '410923', '410923206', '寺庄乡', 'sizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923207', '410923', '410923207', '梁村乡', 'liangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410923208', '410923', '410923208', '近德固乡', 'jindeguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926', '4109', '410926', '范县', 'fanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926100', '410926', '410926100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926101', '410926', '410926101', '濮城镇', 'puchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926200', '410926', '410926200', '辛庄乡', 'xinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926201', '410926', '410926201', '杨集乡', 'yangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926202', '410926', '410926202', '陈庄乡', 'chenzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926203', '410926', '410926203', '白衣阁乡', 'baiyigexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926204', '410926', '410926204', '王楼乡', 'wanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926205', '410926', '410926205', '颜村铺乡', 'yancunpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926207', '410926', '410926207', '龙王庄乡', 'longwangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926208', '410926', '410926208', '陆集乡', 'lujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926209', '410926', '410926209', '张庄乡', 'zhangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410926210', '410926', '410926210', '高码头乡', 'gaomatouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410927', '4109', '410927', '台前县', 'taiqianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410927100', '410927', '410927100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410927101', '410927', '410927101', '侯庙镇', 'houmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410927200', '410927', '410927200', '后方乡', 'houfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410927201', '410927', '410927201', '清水河乡', 'qingshuihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410927202', '410927', '410927202', '马楼乡', 'malouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410927203', '410927', '410927203', '孙口乡', 'sunkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410927204', '410927', '410927204', '打渔陈乡', 'dayuchenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410927205', '410927', '410927205', '夹河乡', 'jiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410927206', '410927', '410927206', '吴坝乡', 'wubaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928', '4109', '410928', '濮阳县', 'puyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928100', '410928', '410928100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928101', '410928', '410928101', '柳屯镇', 'liutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928102', '410928', '410928102', '文留镇', 'wenliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928103', '410928', '410928103', '庆祖镇', 'qingzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928104', '410928', '410928104', '八公桥镇', 'bagongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928106', '410928', '410928106', '徐镇镇', 'xuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928201', '410928', '410928201', '户部寨乡', 'hubuzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928202', '410928', '410928202', '清河头乡', 'qinghetouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928203', '410928', '410928203', '鲁河乡', 'luhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928204', '410928', '410928204', '梁庄乡', 'liangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928205', '410928', '410928205', '王称固乡', 'wangchengguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928206', '410928', '410928206', '白罡乡', 'baigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928207', '410928', '410928207', '梨园乡', 'liyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928208', '410928', '410928208', '五星乡', 'wuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928209', '410928', '410928209', '子岸乡', 'zianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928210', '410928', '410928210', '胡状乡', 'huzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928211', '410928', '410928211', '郎中乡', 'langzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928212', '410928', '410928212', '海通乡', 'haitongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928213', '410928', '410928213', '渠村乡', 'qucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928214', '410928', '410928214', '习城乡', 'xichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928400', '410928', '410928400', '县直虚拟', 'xianzhixuni', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('410928401', '410928', '410928401', '中原油田矿区虚拟', 'zhongyuanyoutiankuangquxuni', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4110', '41', '4110', '许昌市', 'xuchangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411001', '4110', '411001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002', '4110', '411002', '魏都区', 'weidouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002001', '411002', '411002001', '西大街道', 'xidajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002002', '411002', '411002002', '东大街道', 'dongdajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002003', '411002', '411002003', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002004', '411002', '411002004', '南关街道', 'nanguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002005', '411002', '411002005', '北大街道', 'beidajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002006', '411002', '411002006', '五一路街道', 'wuyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002007', '411002', '411002007', '高桥营街道', 'gaoqiaoyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002008', '411002', '411002008', '丁庄街道', 'dingzhuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002009', '411002', '411002009', '七里店街道', 'qilidianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002010', '411002', '411002010', '文峰街道', 'wenfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002011', '411002', '411002011', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002012', '411002', '411002012', '半截河街道', 'banjiehejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411002560', '411002', '411002560', '许昌经济开发区', 'xuchangjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023', '4110', '411023', '许昌县', 'xuchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023100', '411023', '411023100', '将官池镇', 'jiangguanchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023101', '411023', '411023101', '五女店镇', 'wunu:dianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023102', '411023', '411023102', '尚集镇', 'shangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023103', '411023', '411023103', '苏桥镇', 'suqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023104', '411023', '411023104', '蒋李集镇', 'jianglijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023105', '411023', '411023105', '张潘镇', 'zhangpanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023106', '411023', '411023106', '灵井镇', 'lingjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023200', '411023', '411023200', '陈曹乡', 'chencaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023201', '411023', '411023201', '邓庄乡', 'dengzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023202', '411023', '411023202', '小召乡', 'xiaozhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023203', '411023', '411023203', '河街乡', 'hejiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023204', '411023', '411023204', '桂村乡', 'guicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023205', '411023', '411023205', '椹涧乡', 'shenjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023206', '411023', '411023206', '榆林乡', 'yulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023207', '411023', '411023207', '长村张乡', 'zhangcunzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411023208', '411023', '411023208', '艾庄回族乡', 'aizhuanghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024', '4110', '411024', '鄢陵县', 'yanlingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024100', '411024', '411024100', '安陵镇', 'anlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024101', '411024', '411024101', '马栏镇', 'malanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024102', '411024', '411024102', '柏梁镇', 'boliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024103', '411024', '411024103', '陈化店镇', 'chenhuadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024104', '411024', '411024104', '望田镇', 'wangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024200', '411024', '411024200', '张桥乡', 'zhangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024201', '411024', '411024201', '南坞乡', 'nanwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024202', '411024', '411024202', '陶城乡', 'taochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024203', '411024', '411024203', '只乐乡', 'zhilexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024204', '411024', '411024204', '大马乡', 'damaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024205', '411024', '411024205', '彭店乡', 'pengdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411024206', '411024', '411024206', '马坊乡', 'mafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025', '4110', '411025', '襄城县', 'xiangchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025100', '411025', '411025100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025101', '411025', '411025101', '颍桥回族镇', 'yingqiaohuizuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025102', '411025', '411025102', '麦岭镇', 'mailingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025103', '411025', '411025103', '颍阳镇', 'yingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025104', '411025', '411025104', '王洛镇', 'wangluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025105', '411025', '411025105', '紫云镇', 'ziyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025200', '411025', '411025200', '湛北乡', 'zhanbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025201', '411025', '411025201', '山头店乡', 'shantoudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025202', '411025', '411025202', '茨沟乡', 'cigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025203', '411025', '411025203', '丁营乡', 'dingyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025204', '411025', '411025204', '姜庄乡', 'jiangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025205', '411025', '411025205', '范湖乡', 'fanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025206', '411025', '411025206', '双庙乡', 'shuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025207', '411025', '411025207', '汾陈乡', 'fenchenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025208', '411025', '411025208', '十里铺乡', 'shilipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411025209', '411025', '411025209', '库庄乡', 'kuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081', '4110', '411081', '禹州市', 'yuzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081001', '411081', '411081001', '颍川街道', 'yingchuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081002', '411081', '411081002', '夏都街道', 'xiadoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081003', '411081', '411081003', '韩城街道', 'hanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081004', '411081', '411081004', '钧台街道', 'juntaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081100', '411081', '411081100', '火龙镇', 'huolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081101', '411081', '411081101', '顺店镇', 'shundianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081102', '411081', '411081102', '方山镇', 'fangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081103', '411081', '411081103', '神垕镇', 'shenhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081104', '411081', '411081104', '鸿畅镇', 'hongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081105', '411081', '411081105', '梁北镇', 'liangbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081106', '411081', '411081106', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081107', '411081', '411081107', '无梁镇', 'wuliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081108', '411081', '411081108', '文殊镇', 'wenshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081200', '411081', '411081200', '朱阁乡', 'zhugexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081201', '411081', '411081201', '苌庄乡', 'changzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081202', '411081', '411081202', '花石乡', 'huashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081203', '411081', '411081203', '鸠山乡', 'jiushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081204', '411081', '411081204', '磨街乡', 'mojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081205', '411081', '411081205', '张得乡', 'zhangdexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081206', '411081', '411081206', '小吕乡', 'xiaolu:xiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081207', '411081', '411081207', '范坡乡', 'fanpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081208', '411081', '411081208', '褚河乡', 'chuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081209', '411081', '411081209', '郭连乡', 'guolianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081210', '411081', '411081210', '山货回族乡', 'shanhuohuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081211', '411081', '411081211', '浅井乡', 'qianjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411081212', '411081', '411081212', '方岗乡', 'fanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082', '4110', '411082', '长葛市', 'zhanggeshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082001', '411082', '411082001', '建设路街道', 'jianshelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082002', '411082', '411082002', '长兴路街道', 'zhangxinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082003', '411082', '411082003', '长社路街道', 'zhangshelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082004', '411082', '411082004', '金桥路街道', 'jinqiaolujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082100', '411082', '411082100', '和尚桥镇', 'heshangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082101', '411082', '411082101', '坡胡镇', 'pohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082102', '411082', '411082102', '后河镇', 'houhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082103', '411082', '411082103', '石固镇', 'shiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082104', '411082', '411082104', '老城镇', 'laochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082105', '411082', '411082105', '南席镇', 'nanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082106', '411082', '411082106', '大周镇', 'dazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082107', '411082', '411082107', '董村镇', 'dongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082200', '411082', '411082200', '增福庙乡', 'zengfumiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082201', '411082', '411082201', '官亭乡', 'guantingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082202', '411082', '411082202', '石象乡', 'shixiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411082203', '411082', '411082203', '古桥乡', 'guqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4111', '41', '4111', '漯河市', 'luoheshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411101', '4111', '411101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411102', '4111', '411102', '源汇区', 'yuanhuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411102001', '411102', '411102001', '老街街道', 'laojiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411102002', '411102', '411102002', '马路街街道', 'malujiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411102003', '411102', '411102003', '顺河街街道', 'shunhejiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411102004', '411102', '411102004', '干河陈街道', 'ganhechenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411102100', '411102', '411102100', '大刘镇', 'daliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411102201', '411102', '411102201', '阴阳赵乡', 'yinyangzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411102202', '411102', '411102202', '问十乡', 'wenshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411102203', '411102', '411102203', '空冢郭乡', 'kongzhongguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411103', '4111', '411103', '郾城区', 'yanchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411103001', '411103', '411103001', '沙北街道', 'shabeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411103100', '411103', '411103100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411103101', '411103', '411103101', '孟庙镇', 'mengmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411103102', '411103', '411103102', '商桥镇', 'shangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411103103', '411103', '411103103', '裴城镇', 'peichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411103104', '411103', '411103104', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411103105', '411103', '411103105', '龙城镇', 'longchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411103201', '411103', '411103201', '黑龙潭乡', 'heilongtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411103202', '411103', '411103202', '李集乡', 'lijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411104', '4111', '411104', '召陵区', 'zhaolingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411104001', '411104', '411104001', '天桥街街道', 'tianqiaojiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411104002', '411104', '411104002', '翟庄', 'zhaizhuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411104100', '411104', '411104100', '召陵镇', 'zhaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411104101', '411104', '411104101', '邓襄镇', 'dengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411104102', '411104', '411104102', '万金镇', 'wanjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411104103', '411104', '411104103', '老窝镇', 'laowozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411104201', '411104', '411104201', '后谢乡', 'houxiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411104202', '411104', '411104202', '姬石乡', 'jishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411104203', '411104', '411104203', '青年村乡', 'qingniancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121', '4111', '411121', '舞阳县', 'wuyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121100', '411121', '411121100', '舞泉镇', 'wuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121101', '411121', '411121101', '吴城镇', 'wuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121102', '411121', '411121102', '北舞渡镇', 'beiwuduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121103', '411121', '411121103', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121104', '411121', '411121104', '辛安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121105', '411121', '411121105', '孟寨镇', 'mengzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121106', '411121', '411121106', '太尉镇', 'taiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121200', '411121', '411121200', '文峰乡', 'wenfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121201', '411121', '411121201', '保和乡', 'baohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121202', '411121', '411121202', '马村乡', 'macunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121203', '411121', '411121203', '侯集乡', 'houjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121204', '411121', '411121204', '姜店乡', 'jiangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121205', '411121', '411121205', '九街乡', 'jiujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411121206', '411121', '411121206', '章化乡', 'zhanghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122', '4111', '411122', '临颖县', 'linyingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122100', '411122', '411122100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122101', '411122', '411122101', '繁城镇', 'fanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122102', '411122', '411122102', '杜曲镇', 'duquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122103', '411122', '411122103', '王岗镇', 'wanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122104', '411122', '411122104', '台陈镇', 'taichenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122105', '411122', '411122105', '巨陵镇', 'julingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122106', '411122', '411122106', '瓦店镇', 'wadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122107', '411122', '411122107', '三家店镇', 'sanjiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122108', '411122', '411122108', '窝城镇', 'wochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122200', '411122', '411122200', '大郭乡', 'daguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122201', '411122', '411122201', '皇帝庙乡', 'huangdimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122202', '411122', '411122202', '固厢乡', 'guxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122203', '411122', '411122203', '石桥乡', 'shiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122204', '411122', '411122204', '陈庄乡', 'chenzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411122205', '411122', '411122205', '王孟乡', 'wangmengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4112', '41', '4112', '三门峡市', 'sanmenxiashi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411201', '4112', '411201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202', '4112', '411202', '湖滨区', 'hubinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202001', '411202', '411202001', '湖滨街道', 'hubinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202002', '411202', '411202002', '前进街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202003', '411202', '411202003', '车站街道', 'chezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202004', '411202', '411202004', '涧河街道', 'jianhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202005', '411202', '411202005', '大安街道', 'daanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202006', '411202', '411202006', '会兴街道', 'huixingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202007', '411202', '411202007', '崖底街道', 'yadijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202201', '411202', '411202201', '交口乡', 'jiaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202202', '411202', '411202202', '磁钟乡', 'cizhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202203', '411202', '411202203', '高庙乡', 'gaomiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411202560', '411202', '411202560', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221', '4112', '411221', '渑池县', 'mianchixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221100', '411221', '411221100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221101', '411221', '411221101', '英豪镇', 'yinghaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221102', '411221', '411221102', '张村镇', 'zhangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221103', '411221', '411221103', '洪阳镇', 'hongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221104', '411221', '411221104', '天池镇', 'tianchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221201', '411221', '411221201', '仰韶乡', 'yangshaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221203', '411221', '411221203', '仁村乡', 'rencunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221206', '411221', '411221206', '果园乡', 'guoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221207', '411221', '411221207', '陈村乡', 'chencunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221208', '411221', '411221208', '坡头乡', 'potouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221209', '411221', '411221209', '段村乡', 'duancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411221210', '411221', '411221210', '南村乡', 'nancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222', '4112', '411222', '陕县', 'shanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222100', '411222', '411222100', '大营镇', 'dayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222101', '411222', '411222101', '原店镇', 'yuandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222102', '411222', '411222102', '西张村镇', 'xizhangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222103', '411222', '411222103', '观音堂镇', 'guanyintangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222200', '411222', '411222200', '张汴乡', 'zhangbianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222201', '411222', '411222201', '张湾乡', 'zhangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222203', '411222', '411222203', '菜园乡', 'caiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222205', '411222', '411222205', '张茅乡', 'zhangmaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222206', '411222', '411222206', '王家后乡', 'wangjiahouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222207', '411222', '411222207', '硖石乡', 'xiashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222210', '411222', '411222210', '西李村乡', 'xilicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222211', '411222', '411222211', '宫前乡', 'gongqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411222212', '411222', '411222212', '店子乡', 'dianzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224', '4112', '411224', '卢氏县', 'lushixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224100', '411224', '411224100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224101', '411224', '411224101', '杜关镇', 'duguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224102', '411224', '411224102', '五里川镇', 'wulichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224103', '411224', '411224103', '官道口镇', 'guandaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224104', '411224', '411224104', '朱阳关镇', 'zhuyangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224105', '411224', '411224105', '官坡镇', 'guanpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224106', '411224', '411224106', '范里镇', 'fanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224107', '411224', '411224107', '东明镇', 'dongmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224200', '411224', '411224200', '文峪乡', 'wenyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224201', '411224', '411224201', '横涧乡', 'hengjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224202', '411224', '411224202', '磨沟口乡', 'mogoukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224203', '411224', '411224203', '双槐树乡', 'shuanghuaishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224204', '411224', '411224204', '汤河乡', 'tanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224205', '411224', '411224205', '瓦窑沟乡', 'wayaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224206', '411224', '411224206', '狮子坪乡', 'shizipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224207', '411224', '411224207', '沙河乡', 'shahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224208', '411224', '411224208', '徐家湾乡', 'xujiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224209', '411224', '411224209', '潘河乡', 'panhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411224210', '411224', '411224210', '木桐乡', 'mutongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411281', '4112', '411281', '义马市', 'yimashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411281001', '411281', '411281001', '千秋路街道', 'qianqiulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411281002', '411281', '411281002', '朝阳路街道', 'chaoyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411281003', '411281', '411281003', '新义街街道', 'xinyijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411281004', '411281', '411281004', '常村路街道', 'changcunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411281005', '411281', '411281005', '泰山路街道', 'taishanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411281006', '411281', '411281006', '新区街道', 'xinqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411281007', '411281', '411281007', '东区街道', 'dongqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282', '4112', '411282', '灵宝市', 'lingbaoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282100', '411282', '411282100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282101', '411282', '411282101', '尹庄镇', 'yinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282102', '411282', '411282102', '朱阳镇', 'zhuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282103', '411282', '411282103', '阳平镇', 'yangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282104', '411282', '411282104', '故县镇', 'guxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282105', '411282', '411282105', '豫灵镇', 'yulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282106', '411282', '411282106', '大王镇', 'dawangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282107', '411282', '411282107', '阳店镇', 'yangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282108', '411282', '411282108', '函谷关镇', 'hanguguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282109', '411282', '411282109', '焦村镇', 'jiaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282200', '411282', '411282200', '川口乡', 'chuankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282201', '411282', '411282201', '寺河乡', 'sihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282202', '411282', '411282202', '苏村乡', 'sucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282203', '411282', '411282203', '五亩乡', 'wumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282204', '411282', '411282204', '西阎乡', 'xiyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411282400', '411282', '411282400', '灵宝市园艺场', 'lingbaoshiyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4113', '41', '4113', '南阳市', 'nanyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411301', '4113', '411301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302', '4113', '411302', '宛城区', 'wanchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302001', '411302', '411302001', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302002', '411302', '411302002', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302003', '411302', '411302003', '汉冶街道', 'hanyejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302004', '411302', '411302004', '仲景街道', 'zhongjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302005', '411302', '411302005', '白河街道', 'baihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302006', '411302', '411302006', '枣林街道', 'zaolinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302102', '411302', '411302102', '官庄镇', 'guanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302103', '411302', '411302103', '瓦店镇', 'wadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302104', '411302', '411302104', '红泥湾镇', 'hongniwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302105', '411302', '411302105', '黄台岗镇', 'huangtaigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302301', '411302', '411302301', '溧河乡', 'lihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302302', '411302', '411302302', '汉冢乡', 'hanzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302303', '411302', '411302303', '金华乡', 'jinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302304', '411302', '411302304', '茶庵乡', 'chaanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302305', '411302', '411302305', '高庙乡', 'gaomiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302306', '411302', '411302306', '新店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411302400', '411302', '411302400', '南阳油田', 'nanyangyoutian', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303', '4113', '411303', '卧龙区', 'wolongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303002', '411303', '411303002', '七一街道', 'qiyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303003', '411303', '411303003', '卧龙岗街道', 'wolonggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303004', '411303', '411303004', '武侯街道', 'wuhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303005', '411303', '411303005', '梅溪街道', 'meixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303006', '411303', '411303006', '车站街道', 'chezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303007', '411303', '411303007', '光武街道', 'guangwujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303008', '411303', '411303008', '靳岗街道', 'jingangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303060', '411303', '411303060', '张衡街道', 'zhanghengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303061', '411303', '411303061', '百里奚街道', 'bailixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303101', '411303', '411303101', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303102', '411303', '411303102', '潦河镇', 'liaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303103', '411303', '411303103', '安皋镇', 'angaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303104', '411303', '411303104', '蒲山镇', 'pushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303105', '411303', '411303105', '陆营镇', 'luyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303106', '411303', '411303106', '青华镇', 'qinghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303107', '411303', '411303107', '英庄镇', 'yingzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303300', '411303', '411303300', '七里园乡', 'qiliyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303305', '411303', '411303305', '谢庄乡', 'xiezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303306', '411303', '411303306', '王村乡', 'wangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411303307', '411303', '411303307', '龙兴乡', 'longxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321', '4113', '411321', '南召县', 'nanzhaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321100', '411321', '411321100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321101', '411321', '411321101', '留山镇', 'liushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321102', '411321', '411321102', '云阳镇', 'yunyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321103', '411321', '411321103', '皇路店镇', 'huangludianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321104', '411321', '411321104', '南河店镇', 'nanhedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321105', '411321', '411321105', '板山坪镇', 'banshanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321106', '411321', '411321106', '乔端镇', 'qiaoduanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321107', '411321', '411321107', '白土岗镇', 'baitugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321300', '411321', '411321300', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321301', '411321', '411321301', '小店乡', 'xiaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321302', '411321', '411321302', '皇后乡', 'huanghouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321303', '411321', '411321303', '太山庙乡', 'taishanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321304', '411321', '411321304', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321305', '411321', '411321305', '四棵树乡', 'sikeshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321308', '411321', '411321308', '马市坪乡', 'mashipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321310', '411321', '411321310', '崔庄乡', 'cuizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321400', '411321', '411321400', '河南红阳机械厂', 'henanhongyangjixiechang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321401', '411321', '411321401', '河南向东机械厂', 'henanxiangdongjixiechang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321402', '411321', '411321402', '河南红宇机械厂', 'henanhongyujixiechang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321403', '411321', '411321403', '国营东风机械厂', 'guoyingdongfengjixiechang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411321404', '411321', '411321404', '国营长江机械厂', 'guoyingzhangjiangjixiechang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322', '4113', '411322', '方城县', 'fangchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322100', '411322', '411322100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322101', '411322', '411322101', '独树镇', 'dushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322102', '411322', '411322102', '博望镇', 'bowangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322103', '411322', '411322103', '拐河镇', 'guaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322104', '411322', '411322104', '小史店镇', 'xiaoshidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322105', '411322', '411322105', '赵河镇', 'zhaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322106', '411322', '411322106', '广阳镇', 'guangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322300', '411322', '411322300', '券桥乡', 'quanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322301', '411322', '411322301', '杨集乡', 'yangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322302', '411322', '411322302', '二郎庙乡', 'erlangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322303', '411322', '411322303', '古庄店乡', 'guzhuangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322304', '411322', '411322304', '杨楼乡', 'yanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322306', '411322', '411322306', '清河乡', 'qinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322309', '411322', '411322309', '柳河乡', 'liuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322310', '411322', '411322310', '四里店乡', 'silidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322311', '411322', '411322311', '袁店回族乡', 'yuandianhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322400', '411322', '411322400', '河南中南机械厂', 'henanzhongnanjixiechang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411322401', '411322', '411322401', '方城县大寺林场', 'fangchengxiandasilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323', '4113', '411323', '西峡县', 'xixiaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323001', '411323', '411323001', '白羽街道', 'baiyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323002', '411323', '411323002', '紫金街道', 'zijinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323003', '411323', '411323003', '莲花街道', 'lianhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323101', '411323', '411323101', '丹水镇', 'danshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323102', '411323', '411323102', '西坪镇', 'xipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323103', '411323', '411323103', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323104', '411323', '411323104', '回车镇', 'huichezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323105', '411323', '411323105', '丁河镇', 'dinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323106', '411323', '411323106', '桑坪镇', 'sangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323107', '411323', '411323107', '米坪镇', 'mipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323300', '411323', '411323300', '田关乡', 'tianguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323301', '411323', '411323301', '阳城乡', 'yangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323303', '411323', '411323303', '五里桥乡', 'wuliqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323306', '411323', '411323306', '重阳乡', 'zhongyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323307', '411323', '411323307', '寨根乡', 'zhaigenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323309', '411323', '411323309', '石界河乡', 'shijiehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323311', '411323', '411323311', '军马河乡', 'junmahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323313', '411323', '411323313', '二郎坪乡', 'erlangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323314', '411323', '411323314', '太平镇乡', 'taipingzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411323400', '411323', '411323400', '南阳市黄石庵林场', 'nanyangshihuangshianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324', '4113', '411324', '镇平县', 'zhenpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324001', '411324', '411324001', '涅阳', 'nieyang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324002', '411324', '411324002', '雪枫', 'xuefeng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324003', '411324', '411324003', '玉都', 'yudou', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324101', '411324', '411324101', '石佛寺镇', 'shifosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324102', '411324', '411324102', '晁陂镇', 'chaopozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324103', '411324', '411324103', '贾宋镇', 'jiasongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324104', '411324', '411324104', '侯集镇', 'houjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324105', '411324', '411324105', '老庄镇', 'laozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324106', '411324', '411324106', '卢医镇', 'luyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324107', '411324', '411324107', '遮山镇', 'zheshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324108', '411324', '411324108', '高丘镇', 'gaoqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324109', '411324', '411324109', '曲屯镇', 'qutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324110', '411324', '411324110', '枣园镇', 'zaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324111', '411324', '411324111', '杨营镇', 'yangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324301', '411324', '411324301', '柳泉铺乡', 'liuquanpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324303', '411324', '411324303', '二龙乡', 'erlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324306', '411324', '411324306', '王岗乡', 'wanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324309', '411324', '411324309', '马庄乡', 'mazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324310', '411324', '411324310', '张林乡', 'zhanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324313', '411324', '411324313', '安字营乡', 'anziyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324314', '411324', '411324314', '彭营乡', 'pengyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411324315', '411324', '411324315', '郭庄回族乡', 'guozhuanghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325', '4113', '411325', '内乡县', 'neixiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325100', '411325', '411325100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325101', '411325', '411325101', '夏馆镇', 'xiaguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325102', '411325', '411325102', '师岗镇', 'shigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325103', '411325', '411325103', '马山口镇', 'mashankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325104', '411325', '411325104', '湍东镇', 'tuandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325105', '411325', '411325105', '赤眉镇', 'chimeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325106', '411325', '411325106', '瓦亭镇', 'watingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325107', '411325', '411325107', '王店镇', 'wangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325108', '411325', '411325108', '灌涨镇', 'guanzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325300', '411325', '411325300', '板场乡', 'banchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325301', '411325', '411325301', '大桥乡', 'daqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325302', '411325', '411325302', '赵店乡', 'zhaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325306', '411325', '411325306', '七里坪乡', 'qilipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325307', '411325', '411325307', '余关乡', 'yuguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325308', '411325', '411325308', '砟岖乡', 'zhaquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411325309', '411325', '411325309', '西庙岗乡', 'ximiaogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326', '4113', '411326', '淅川县', 'xichuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326001', '411326', '411326001', '龙城街道', 'longchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326002', '411326', '411326002', '商圣街道', 'shangshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326101', '411326', '411326101', '荆紫关镇', 'jingziguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326102', '411326', '411326102', '老城镇', 'laochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326103', '411326', '411326103', '香花镇', 'xianghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326104', '411326', '411326104', '厚坡镇', 'houpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326105', '411326', '411326105', '九重镇', 'jiuzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326106', '411326', '411326106', '盛湾镇', 'shengwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326107', '411326', '411326107', '金河镇', 'jinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326108', '411326', '411326108', '寺湾镇', 'siwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326109', '411326', '411326109', '仓房镇', 'cangfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326110', '411326', '411326110', '上集镇', 'shangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326111', '411326', '411326111', '马蹬镇', 'madengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326301', '411326', '411326301', '西簧乡', 'xihuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326302', '411326', '411326302', '毛堂乡', 'maotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326303', '411326', '411326303', '大石桥乡', 'dashiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411326304', '411326', '411326304', '滔河乡', 'taohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327', '4113', '411327', '社旗县', 'sheqixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327100', '411327', '411327100', '社旗镇', 'sheqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327101', '411327', '411327101', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327103', '411327', '411327103', '饶良镇', 'raoliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327104', '411327', '411327104', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327105', '411327', '411327105', '晋庄镇', 'jinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327106', '411327', '411327106', '李店镇', 'lidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327107', '411327', '411327107', '苗店镇', 'miaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327108', '411327', '411327108', '郝寨镇', 'haozhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327300', '411327', '411327300', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327301', '411327', '411327301', '大冯营乡', 'dafengyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327304', '411327', '411327304', '太和乡', 'taihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327308', '411327', '411327308', '朱集乡', 'zhujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327311', '411327', '411327311', '下洼乡', 'xiawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327312', '411327', '411327312', '陌陂乡', 'mopoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411327313', '411327', '411327313', '唐庄乡', 'tangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328', '4113', '411328', '唐河县', 'tanghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328100', '411328', '411328100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328101', '411328', '411328101', '源潭镇', 'yuantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328102', '411328', '411328102', '张店镇', 'zhangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328103', '411328', '411328103', '郭滩镇', 'guotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328104', '411328', '411328104', '湖阳镇', 'huyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328105', '411328', '411328105', '黑龙镇', 'heilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328106', '411328', '411328106', '大河屯镇', 'dahetunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328107', '411328', '411328107', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328108', '411328', '411328108', '桐寨铺镇', 'tongzhaipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328109', '411328', '411328109', '苍台镇', 'cangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328110', '411328', '411328110', '上屯镇', 'shangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328111', '411328', '411328111', '毕店镇', 'bidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328112', '411328', '411328112', '少拜寺镇', 'shaobaisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328300', '411328', '411328300', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328301', '411328', '411328301', '桐河乡', 'tonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328306', '411328', '411328306', '昝岗乡', 'zangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328307', '411328', '411328307', '祁仪乡', 'qiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328308', '411328', '411328308', '马振抚乡', 'mazhenfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328309', '411328', '411328309', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411328311', '411328', '411328311', '东王集乡', 'dongwangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329', '4113', '411329', '新野县', 'xinyexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329100', '411329', '411329100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329101', '411329', '411329101', '王庄镇', 'wangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329102', '411329', '411329102', '沙堰镇', 'shayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329103', '411329', '411329103', '新甸铺镇', 'xindianpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329104', '411329', '411329104', '施庵镇', 'shianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329105', '411329', '411329105', '歪子镇', 'waizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329106', '411329', '411329106', '五星镇', 'wuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329107', '411329', '411329107', '溧河铺镇', 'lihepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329108', '411329', '411329108', '王集镇', 'wangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329300', '411329', '411329300', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329303', '411329', '411329303', '前高庙乡', 'qiangaomiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329305', '411329', '411329305', '樊集乡', 'fanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329307', '411329', '411329307', '上庄乡', 'shangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411329309', '411329', '411329309', '上港乡', 'shanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330', '4113', '411330', '桐柏县', 'tongboxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330100', '411330', '411330100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330101', '411330', '411330101', '月河镇', 'yuehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330102', '411330', '411330102', '吴城镇', 'wuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330103', '411330', '411330103', '固县镇', 'guxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330104', '411330', '411330104', '毛集镇', 'maojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330105', '411330', '411330105', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330106', '411330', '411330106', '埠江镇', 'bujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330107', '411330', '411330107', '平氏镇', 'pingshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330108', '411330', '411330108', '淮源镇', 'huaiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330300', '411330', '411330300', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330301', '411330', '411330301', '回龙乡', 'huilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330302', '411330', '411330302', '黄岗乡', 'huanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330303', '411330', '411330303', '朱庄乡', 'zhuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330304', '411330', '411330304', '安棚乡', 'anpengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330305', '411330', '411330305', '程湾乡', 'chengwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411330306', '411330', '411330306', '新集乡', 'xinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381', '4113', '411381', '邓州市', 'dengzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381001', '411381', '411381001', '古城街道', 'guchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381002', '411381', '411381002', '花洲街道', 'huazhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381003', '411381', '411381003', '湍河街道', 'tuanhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381102', '411381', '411381102', '罗庄镇', 'luozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381103', '411381', '411381103', '汲滩镇', 'jitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381104', '411381', '411381104', '穰东镇', 'rangdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381105', '411381', '411381105', '孟楼镇', 'menglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381106', '411381', '411381106', '林扒镇', 'linbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381107', '411381', '411381107', '构林镇', 'goulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381108', '411381', '411381108', '十林镇', 'shilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381109', '411381', '411381109', '张村镇', 'zhangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381110', '411381', '411381110', '都司镇', 'dousizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381111', '411381', '411381111', '赵集镇', 'zhaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381112', '411381', '411381112', '刘集镇', 'liujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381113', '411381', '411381113', '桑庄镇', 'sangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381114', '411381', '411381114', '彭桥镇', 'pengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381301', '411381', '411381301', '张楼乡', 'zhanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381302', '411381', '411381302', '白牛乡', 'bainiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381304', '411381', '411381304', '夏集乡', 'xiajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381305', '411381', '411381305', '裴营乡', 'peiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381310', '411381', '411381310', '文渠乡', 'wenquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381311', '411381', '411381311', '高集乡', 'gaojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381313', '411381', '411381313', '陶营乡', 'taoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381316', '411381', '411381316', '小杨营乡', 'xiaoyangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381318', '411381', '411381318', '腰店乡', 'yaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381319', '411381', '411381319', '龙堰乡', 'longyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381320', '411381', '411381320', '九龙乡', 'jiulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381400', '411381', '411381400', '南阳市黄牛良种繁育场', 'nanyangshihuangniuliangzhongfanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411381560', '411381', '411381560', '杏山旅游管理区杏山街道办事', 'xingshanlu:youguanliquxingshanjiedaobanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4114', '41', '4114', '商丘市', 'shangqiushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411401', '4114', '411401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402', '4114', '411402', '梁园区', 'liangyuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402001', '411402', '411402001', '前进街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402002', '411402', '411402002', '长征街道', 'zhangzhengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402003', '411402', '411402003', '八八街道', 'babajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402004', '411402', '411402004', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402005', '411402', '411402005', '中州街道', 'zhongzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402006', '411402', '411402006', '白云街道', 'baiyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402007', '411402', '411402007', '平原街道', 'pingyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402008', '411402', '411402008', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402100', '411402', '411402100', '谢集镇', 'xiejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402101', '411402', '411402101', '双八镇', 'shuangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402102', '411402', '411402102', '张阁镇', 'zhanggezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402160', '411402', '411402160', '平台镇', 'pingtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402200', '411402', '411402200', '周集乡', 'zhoujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402201', '411402', '411402201', '水池铺乡', 'shuichipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402202', '411402', '411402202', '观堂乡', 'guantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402203', '411402', '411402203', '王楼乡', 'wanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402204', '411402', '411402204', '李庄乡', 'lizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402205', '411402', '411402205', '孙福集乡', 'sunfujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411402206', '411402', '411402206', '刘口乡', 'liukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403', '4114', '411403', '睢阳区', 'suiyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403001', '411403', '411403001', '古城街道', 'guchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403002', '411403', '411403002', '文化街道', 'wenhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403003', '411403', '411403003', '东方街道', 'dongfangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403004', '411403', '411403004', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403100', '411403', '411403100', '宋集镇', 'songjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403101', '411403', '411403101', '郭村镇', 'guocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403102', '411403', '411403102', '李口镇', 'likouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403103', '411403', '411403103', '高辛镇', 'gaoxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403200', '411403', '411403200', '古宋乡', 'gusongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403201', '411403', '411403201', '闫集乡', 'yanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403202', '411403', '411403202', '冯桥乡', 'fengqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403203', '411403', '411403203', '坞墙乡', 'wuqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403204', '411403', '411403204', '包公庙乡', 'baogongmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403205', '411403', '411403205', '娄店乡', 'loudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403206', '411403', '411403206', '毛固堆乡', 'maoguduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403207', '411403', '411403207', '路河乡', 'luhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403208', '411403', '411403208', '勒马乡', 'lemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411403209', '411403', '411403209', '临河店乡', 'linhedianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421', '4114', '411421', '民权县', 'minquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421100', '411421', '411421100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421101', '411421', '411421101', '人和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421102', '411421', '411421102', '龙塘镇', 'longtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421103', '411421', '411421103', '北关镇', 'beiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421104', '411421', '411421104', '程庄镇', 'chengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421105', '411421', '411421105', '王庄寨镇', 'wangzhuangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421200', '411421', '411421200', '伯党乡', 'bodangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421201', '411421', '411421201', '花元乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421202', '411421', '411421202', '尹店乡', 'yindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421203', '411421', '411421203', '孙六乡', 'sunliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421204', '411421', '411421204', '野岗乡', 'yegangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421205', '411421', '411421205', '双塔乡', 'shuangtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421206', '411421', '411421206', '林七乡', 'linqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421207', '411421', '411421207', '胡集乡', 'hujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421208', '411421', '411421208', '褚庙乡', 'chumiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421210', '411421', '411421210', '老颜集乡', 'laoyanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421211', '411421', '411421211', '顺河乡', 'shunhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421212', '411421', '411421212', '王桥乡', 'wangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421400', '411421', '411421400', '商丘市农场', 'shangqiushinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411421401', '411421', '411421401', '商丘市林场', 'shangqiushilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422', '4114', '411422', '睢县', 'suixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422100', '411422', '411422100', '长岗镇', 'zhanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422101', '411422', '411422101', '平岗镇', 'pinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422102', '411422', '411422102', '周堂镇', 'zhoutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422103', '411422', '411422103', '蓼堤镇', 'liaodizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422104', '411422', '411422104', '西陵寺镇', 'xilingsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422105', '411422', '411422105', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422106', '411422', '411422106', '潮庄镇', 'chaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422107', '411422', '411422107', '尚屯镇', 'shangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422200', '411422', '411422200', '后台乡', 'houtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422202', '411422', '411422202', '河集乡', 'hejixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422203', '411422', '411422203', '孙聚寨乡', 'sunjuzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422204', '411422', '411422204', '白楼乡', 'bailouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422205', '411422', '411422205', '河堤乡', 'hedixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422206', '411422', '411422206', '白庙乡', 'baimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422207', '411422', '411422207', '胡堂乡', 'hutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422208', '411422', '411422208', '尤吉屯乡', 'youjitunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422210', '411422', '411422210', '董店乡', 'dongdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422211', '411422', '411422211', '涧岗乡', 'jiangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422213', '411422', '411422213', '匡城乡', 'kuangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411422214', '411422', '411422214', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423', '4114', '411423', '宁陵县', 'ninglingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423100', '411423', '411423100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423101', '411423', '411423101', '张弓镇', 'zhanggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423102', '411423', '411423102', '柳河镇', 'liuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423103', '411423', '411423103', '逻岗镇', 'luogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423200', '411423', '411423200', '黄岗乡', 'huanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423201', '411423', '411423201', '华堡乡', 'huabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423203', '411423', '411423203', '刘楼乡', 'liulouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423204', '411423', '411423204', '程楼乡', 'chenglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423205', '411423', '411423205', '乔楼乡', 'qiaolouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423206', '411423', '411423206', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423207', '411423', '411423207', '阳驿乡', 'yangyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423208', '411423', '411423208', '石桥乡', 'shiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423209', '411423', '411423209', '孔集乡', 'kongjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411423210', '411423', '411423210', '赵村乡', 'zhaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424', '4114', '411424', '柘城县', 'zhechengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424100', '411424', '411424100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424101', '411424', '411424101', '陈青集镇', 'chenqingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424102', '411424', '411424102', '起台镇', 'qitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424103', '411424', '411424103', '胡襄镇', 'huxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424104', '411424', '411424104', '慈圣镇', 'cishengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424105', '411424', '411424105', '安平镇', 'anpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424106', '411424', '411424106', '远襄镇', 'yuanxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424200', '411424', '411424200', '邵元乡', 'shaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424201', '411424', '411424201', '张桥乡', 'zhangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424202', '411424', '411424202', '梁庄乡', 'liangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424203', '411424', '411424203', '洪恩乡', 'hongenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424204', '411424', '411424204', '老王集乡', 'laowangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424205', '411424', '411424205', '大仵乡', 'dawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424206', '411424', '411424206', '马集乡', 'majixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424207', '411424', '411424207', '牛城乡', 'niuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424208', '411424', '411424208', '惠济乡', 'huijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424210', '411424', '411424210', '伯岗乡', 'bogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424211', '411424', '411424211', '岗王乡', 'gangwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424212', '411424', '411424212', '申桥乡', 'shenqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424213', '411424', '411424213', '李原乡', 'liyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411424214', '411424', '411424214', '皇集乡', 'huangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425', '4114', '411425', '虞城县', 'yuchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425100', '411425', '411425100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425101', '411425', '411425101', '界沟镇', 'jiegouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425102', '411425', '411425102', '营廓镇', 'yingkuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425103', '411425', '411425103', '杜集镇', 'dujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425104', '411425', '411425104', '谷熟镇', 'gushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425105', '411425', '411425105', '大杨集镇', 'dayangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425106', '411425', '411425106', '贾寨镇', 'jiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425107', '411425', '411425107', '利民镇', 'liminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425108', '411425', '411425108', '张集镇', 'zhangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425200', '411425', '411425200', '黄冢乡', 'huangzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425201', '411425', '411425201', '沙集乡', 'shajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425202', '411425', '411425202', '店集乡', 'dianjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425203', '411425', '411425203', '站集乡', 'zhanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425204', '411425', '411425204', '闻集乡', 'wenjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425205', '411425', '411425205', '芒种桥乡', 'mangzhongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425207', '411425', '411425207', '刘店乡', 'liudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425208', '411425', '411425208', '大候乡', 'dahouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425210', '411425', '411425210', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425211', '411425', '411425211', '郑集乡', 'zhengjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425212', '411425', '411425212', '李老家乡', 'lilaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425213', '411425', '411425213', '稍岗乡', 'shaogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425214', '411425', '411425214', '镇里堌乡', 'zhenliguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425215', '411425', '411425215', '古王集乡', 'guwangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425219', '411425', '411425219', '刘集乡', 'liujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425220', '411425', '411425220', '乔集乡', 'qiaojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411425221', '411425', '411425221', '田庙乡', 'tianmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426', '4114', '411426', '夏邑县', 'xiayixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426100', '411426', '411426100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426101', '411426', '411426101', '会亭镇', 'huitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426102', '411426', '411426102', '马头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426103', '411426', '411426103', '济阳镇', 'jiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426104', '411426', '411426104', '李集镇', 'lijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426105', '411426', '411426105', '车站镇', 'chezhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426106', '411426', '411426106', '杨集镇', 'yangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426107', '411426', '411426107', '韩道口镇', 'handaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426200', '411426', '411426200', '曹集乡', 'caojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426201', '411426', '411426201', '胡桥乡', 'huqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426202', '411426', '411426202', '歧河乡', 'qihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426203', '411426', '411426203', '郭店乡', 'guodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426204', '411426', '411426204', '业庙乡', 'yemiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426205', '411426', '411426205', '中峰乡', 'zhongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426206', '411426', '411426206', '罗庄乡', 'luozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426207', '411426', '411426207', '桑固乡', 'sangguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426208', '411426', '411426208', '何营乡', 'heyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426210', '411426', '411426210', '王集乡', 'wangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426211', '411426', '411426211', '刘店集乡', 'liudianjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426212', '411426', '411426212', '骆集乡', 'luojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426213', '411426', '411426213', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426214', '411426', '411426214', '孔庄乡', 'kongzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426215', '411426', '411426215', '火店乡', 'huodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411426216', '411426', '411426216', '北镇乡', 'beizhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481', '4114', '411481', '永城市', 'yongchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481100', '411481', '411481100', '演集镇', 'yanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481101', '411481', '411481101', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481102', '411481', '411481102', '芒山镇', 'mangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481103', '411481', '411481103', '高庄镇', 'gaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481104', '411481', '411481104', '搓城镇', 'cuochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481105', '411481', '411481105', '裴桥镇', 'peiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481106', '411481', '411481106', '马桥镇', 'maqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481107', '411481', '411481107', '薛湖镇', 'xuehuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481108', '411481', '411481108', '蒋口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481109', '411481', '411481109', '陈集镇', 'chenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481110', '411481', '411481110', '十八里镇', 'shibalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481200', '411481', '411481200', '城厢乡', 'chengxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481201', '411481', '411481201', '候岭乡', 'houlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481202', '411481', '411481202', '黄口乡', 'huangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481203', '411481', '411481203', '新桥乡', 'xinqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481204', '411481', '411481204', '双桥乡', 'shuangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481205', '411481', '411481205', '王集乡', 'wangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481206', '411481', '411481206', '李寨乡', 'lizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481207', '411481', '411481207', '卧龙乡', 'wolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481208', '411481', '411481208', '龙岗乡', 'longgangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481209', '411481', '411481209', '马牧乡', 'mamuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481210', '411481', '411481210', '搓阳乡', 'cuoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481213', '411481', '411481213', '太邱乡', 'taiqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481214', '411481', '411481214', '顺和乡', 'shunhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481217', '411481', '411481217', '条河乡', 'tiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481218', '411481', '411481218', '刘河乡', 'liuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481219', '411481', '411481219', '陈官庄乡', 'chenguanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481220', '411481', '411481220', '苗桥乡', 'miaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411481221', '411481', '411481221', '茴村乡', 'huicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4115', '41', '4115', '信阳市', 'xinyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411501', '4115', '411501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502', '4115', '411502', '浉河区', 'shihequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502001', '411502', '411502001', '老城街道', 'laochengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502002', '411502', '411502002', '民权街道', 'minquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502003', '411502', '411502003', '车站街道', 'chezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502004', '411502', '411502004', '五里墩街道', 'wulidunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502005', '411502', '411502005', '五星街道', 'wuxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502006', '411502', '411502006', '湖东街道', 'hudongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502007', '411502', '411502007', '南湾街道', 'nanwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502008', '411502', '411502008', '金牛山街道', 'jinniushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502009', '411502', '411502009', '双井街道', 'shuangjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502100', '411502', '411502100', '李家寨镇', 'lijiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502101', '411502', '411502101', '吴家店镇', 'wujiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502102', '411502', '411502102', '东双河镇', 'dongshuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502203', '411502', '411502203', '游河乡', 'youhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502204', '411502', '411502204', '董家河乡', 'dongjiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502205', '411502', '411502205', '师河港乡', 'shihegangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502206', '411502', '411502206', '谭家河乡', 'tanjiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502207', '411502', '411502207', '柳林乡', 'liulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411502208', '411502', '411502208', '十三里桥乡', 'shisanliqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503', '4115', '411503', '平桥区', 'pingqiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503001', '411503', '411503001', '羊山街道', 'yangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503002', '411503', '411503002', '前进街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503003', '411503', '411503003', '南京路街道', 'nanjinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503004', '411503', '411503004', '平桥街道', 'pingqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503005', '411503', '411503005', '甘岸街道', 'gananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503101', '411503', '411503101', '明港镇', 'minggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503102', '411503', '411503102', '五里店镇', 'wulidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503103', '411503', '411503103', '邢集镇', 'xingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503105', '411503', '411503105', '平昌镇', 'pingchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503201', '411503', '411503201', '肖王乡', 'xiaowangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503202', '411503', '411503202', '龙井乡', 'longjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503203', '411503', '411503203', '胡店乡', 'hudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503204', '411503', '411503204', '洋河乡', 'yanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503205', '411503', '411503205', '彭家湾乡', 'pengjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503206', '411503', '411503206', '长台乡', 'zhangtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503207', '411503', '411503207', '肖店乡', 'xiaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503209', '411503', '411503209', '王岗乡', 'wanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503210', '411503', '411503210', '高粱店乡', 'gaoliangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503211', '411503', '411503211', '查山乡', 'chashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411503400', '411503', '411503400', '上天梯管理区', 'shangtiantiguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521', '4115', '411521', '罗山县', 'luoshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521100', '411521', '411521100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521101', '411521', '411521101', '周党镇', 'zhoudangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521102', '411521', '411521102', '竹竿镇', 'zhuganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521103', '411521', '411521103', '灵山镇', 'lingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521104', '411521', '411521104', '子路镇', 'ziluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521105', '411521', '411521105', '楠杆镇', 'nanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521106', '411521', '411521106', '青山镇', 'qingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521107', '411521', '411521107', '潘新镇', 'panxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521108', '411521', '411521108', '彭新镇', 'pengxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521200', '411521', '411521200', '龙山乡', 'longshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521201', '411521', '411521201', '东卜乡', 'dongbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521202', '411521', '411521202', '庙仙乡', 'miaoxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521203', '411521', '411521203', '莽张乡', 'mangzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521204', '411521', '411521204', '定远乡', 'dingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521205', '411521', '411521205', '山店乡', 'shandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521206', '411521', '411521206', '铁铺乡', 'tiepuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521207', '411521', '411521207', '朱堂乡', 'zhutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521208', '411521', '411521208', '尤店乡', 'youdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521209', '411521', '411521209', '高店乡', 'gaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411521400', '411521', '411521400', '河南省五一农场', 'henanshengwuyinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522', '4115', '411522', '光山县', 'guangshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522001', '411522', '411522001', '弦山街道', 'xianshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522002', '411522', '411522002', '紫水街道', 'zishuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522101', '411522', '411522101', '十里镇', 'shilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522102', '411522', '411522102', '寨河镇', 'zhaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522103', '411522', '411522103', '孙铁铺镇', 'suntiepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522104', '411522', '411522104', '马畈镇', 'mafanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522105', '411522', '411522105', '泼陂河镇', 'popohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522106', '411522', '411522106', '白雀园镇', 'baiqueyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522107', '411522', '411522107', '砖桥镇', 'zhuanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522201', '411522', '411522201', '仙居乡', 'xianjuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522203', '411522', '411522203', '北向店乡', 'beixiangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522204', '411522', '411522204', '罗陈乡', 'luochenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522206', '411522', '411522206', '殷棚乡', 'yinpengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522207', '411522', '411522207', '南向店乡', 'nanxiangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522208', '411522', '411522208', '晏河乡', 'yanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522210', '411522', '411522210', '凉亭乡', 'liangtingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522212', '411522', '411522212', '斛山乡', 'hushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522213', '411522', '411522213', '槐店乡', 'huaidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411522215', '411522', '411522215', '文殊乡', 'wenshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523', '4115', '411523', '新县', 'xinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523100', '411523', '411523100', '新集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523101', '411523', '411523101', '沙窝镇', 'shawozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523103', '411523', '411523103', '吴陈河镇', 'wuchenhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523104', '411523', '411523104', '苏河镇', 'suhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523105', '411523', '411523105', '八里畈镇', 'balifanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523201', '411523', '411523201', '周河乡', 'zhouhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523202', '411523', '411523202', '陡山河乡', 'doushanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523203', '411523', '411523203', '浒湾乡', 'huwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523204', '411523', '411523204', '千斤乡', 'qianjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523205', '411523', '411523205', '卡房乡', 'kafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523206', '411523', '411523206', '郭家河乡', 'guojiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523207', '411523', '411523207', '陈店乡', 'chendianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523208', '411523', '411523208', '箭厂河乡', 'jianchanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523209', '411523', '411523209', '泗店乡', 'sidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411523210', '411523', '411523210', '田铺乡', 'tianpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524', '4115', '411524', '商城县', 'shangchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524100', '411524', '411524100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524101', '411524', '411524101', '上石桥镇', 'shangshiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524102', '411524', '411524102', '鄢岗镇', 'yangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524103', '411524', '411524103', '双椿铺镇', 'shuangchunpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524104', '411524', '411524104', '汪桥镇', 'wangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524105', '411524', '411524105', '余集镇', 'yujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524203', '411524', '411524203', '河风桥乡', 'hefengqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524204', '411524', '411524204', '李集乡', 'lijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524205', '411524', '411524205', '丰集乡', 'fengjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524206', '411524', '411524206', '四顾墩乡', 'sigudunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524207', '411524', '411524207', '苏仙石乡', 'suxianshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524208', '411524', '411524208', '汪岗乡', 'wanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524209', '411524', '411524209', '伏山乡', 'fushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524210', '411524', '411524210', '鲇鱼山乡', 'nianyushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524211', '411524', '411524211', '观庙乡', 'guanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524212', '411524', '411524212', '吴河乡', 'wuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524213', '411524', '411524213', '冯店乡', 'fengdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524214', '411524', '411524214', '达权店乡', 'daquandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524215', '411524', '411524215', '长竹园乡', 'zhangzhuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411524400', '411524', '411524400', '汤泉池管理处', 'tangquanchiguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525', '4115', '411525', '固始县', 'gushixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525100', '411525', '411525100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525101', '411525', '411525101', '陈淋子镇', 'chenlinzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525102', '411525', '411525102', '黎集镇', 'lijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525103', '411525', '411525103', '蒋集镇', 'jiangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525104', '411525', '411525104', '往流镇', 'wangliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525105', '411525', '411525105', '郭陆滩镇', 'guolutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525106', '411525', '411525106', '胡族铺镇', 'huzupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525107', '411525', '411525107', '方集镇', 'fangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525200', '411525', '411525200', '城效乡', 'chengxiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525201', '411525', '411525201', '洪埠乡', 'hongbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525202', '411525', '411525202', '杨集乡', 'yangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525203', '411525', '411525203', '马岗集乡', 'magangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525204', '411525', '411525204', '草庙集乡', 'caomiaojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525205', '411525', '411525205', '汪棚乡', 'wangpengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525206', '411525', '411525206', '南大桥乡', 'nandaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525207', '411525', '411525207', '段集乡', 'duanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525208', '411525', '411525208', '赵岗乡', 'zhaogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525209', '411525', '411525209', '武庙乡', 'wumiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525210', '411525', '411525210', '祖师庙乡', 'zushimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525211', '411525', '411525211', '张老埠乡', 'zhanglaobuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525212', '411525', '411525212', '石佛店乡', 'shifodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525213', '411525', '411525213', '张广庙乡', 'zhangguangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525214', '411525', '411525214', '泉河铺乡', 'quanhepuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525215', '411525', '411525215', '分水亭乡', 'fenshuitingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525216', '411525', '411525216', '沙河铺乡', 'shahepuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525217', '411525', '411525217', '陈集乡', 'chenjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525218', '411525', '411525218', '徐集乡', 'xujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525220', '411525', '411525220', '三河尖乡', 'sanhejianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525221', '411525', '411525221', '李店乡', 'lidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525222', '411525', '411525222', '丰港乡', 'fenggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525223', '411525', '411525223', '柳树店乡', 'liushudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411525224', '411525', '411525224', '观堂乡', 'guantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526', '4115', '411526', '潢川县', 'huangchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526001', '411526', '411526001', '春申街道', 'chunshenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526002', '411526', '411526002', '定城街道', 'dingchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526003', '411526', '411526003', '弋阳街道', 'yiyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526004', '411526', '411526004', '老城街道', 'laochengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526101', '411526', '411526101', '双柳树镇', 'shuangliushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526102', '411526', '411526102', '伞陂镇', 'sanpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526103', '411526', '411526103', '卜塔集镇', 'butajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526105', '411526', '411526105', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526106', '411526', '411526106', '付店镇', 'fudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526107', '411526', '411526107', '踅孜镇', 'xuezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526108', '411526', '411526108', '桃林铺镇', 'taolinpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526109', '411526', '411526109', '黄寺岗镇', 'huangsigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526110', '411526', '411526110', '江家集镇', 'jiangjiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526201', '411526', '411526201', '传流店乡', 'chuanliudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526202', '411526', '411526202', '魏岗乡', 'weigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526203', '411526', '411526203', '张集乡', 'zhangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526204', '411526', '411526204', '来龙乡', 'lailongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526205', '411526', '411526205', '隆古乡', 'longguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526206', '411526', '411526206', '谈店乡', 'tandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526207', '411526', '411526207', '上油岗乡', 'shangyougangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526209', '411526', '411526209', '白店乡', 'baidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526400', '411526', '411526400', '黄湖农场', 'huanghunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411526560', '411526', '411526560', '河南省潢川经济技术开发区', 'henanshenghuangchuanjingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527', '4115', '411527', '淮滨县', 'huaibinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527100', '411527', '411527100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527101', '411527', '411527101', '马集镇', 'majizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527102', '411527', '411527102', '栏杆镇', 'langanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527103', '411527', '411527103', '防胡镇', 'fanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527104', '411527', '411527104', '新里镇', 'xinlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527105', '411527', '411527105', '期思镇', 'qisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527106', '411527', '411527106', '赵集镇', 'zhaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527200', '411527', '411527200', '台头乡', 'taitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527201', '411527', '411527201', '王家岗乡', 'wangjiagangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527202', '411527', '411527202', '固城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527203', '411527', '411527203', '三空桥乡', 'sankongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527204', '411527', '411527204', '张里乡', 'zhanglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527206', '411527', '411527206', '邓湾乡', 'dengwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527207', '411527', '411527207', '张庄乡', 'zhangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527208', '411527', '411527208', '王店乡', 'wangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527209', '411527', '411527209', '谷堆乡', 'guduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411527212', '411527', '411527212', '芦集乡', 'lujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528', '4115', '411528', '息县', 'xixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528100', '411528', '411528100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528101', '411528', '411528101', '包信镇', 'baoxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528102', '411528', '411528102', '夏庄镇', 'xiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528103', '411528', '411528103', '东岳镇', 'dongyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528104', '411528', '411528104', '项店镇', 'xiangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528105', '411528', '411528105', '小茴店镇', 'xiaohuidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528200', '411528', '411528200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528201', '411528', '411528201', '孙庙乡', 'sunmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528202', '411528', '411528202', '路口乡', 'lukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528203', '411528', '411528203', '彭店乡', 'pengdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528204', '411528', '411528204', '杨店乡', 'yangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528205', '411528', '411528205', '张陶乡', 'zhangtaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528206', '411528', '411528206', '白土店乡', 'baitudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528207', '411528', '411528207', '岗李店乡', 'ganglidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528208', '411528', '411528208', '长陵乡', 'zhanglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528209', '411528', '411528209', '陈棚乡', 'chenpengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528210', '411528', '411528210', '临河乡', 'linhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528211', '411528', '411528211', '关店乡', 'guandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528213', '411528', '411528213', '曹黄林乡', 'caohuanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528214', '411528', '411528214', '八里岔乡', 'balichaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411528400', '411528', '411528400', '地矿局', 'dikuangju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4116', '41', '4116', '周口市', 'zhoukoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411601', '4116', '411601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602', '4116', '411602', '川汇区', 'chuanhuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602001', '411602', '411602001', '陈州回族街道', 'chenzhouhuizujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602002', '411602', '411602002', '七一路街道', 'qiyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602003', '411602', '411602003', '纺织路街道', 'fangzhilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602004', '411602', '411602004', '人和街道', 'renhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602005', '411602', '411602005', '小桥街道', 'xiaoqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602006', '411602', '411602006', '城南', 'chengnan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602007', '411602', '411602007', '城北', 'chengbei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602008', '411602', '411602008', '城东', 'chengdong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602009', '411602', '411602009', '搬口', 'bankou', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602200', '411602', '411602200', '李埠口乡', 'libukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602560', '411602', '411602560', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411602561', '411602', '411602561', '开发区(北区)', 'kaifaqu(beiqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621', '4116', '411621', '扶沟县', 'fugouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621100', '411621', '411621100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621101', '411621', '411621101', '崔桥镇', 'cuiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621102', '411621', '411621102', '江村镇', 'jiangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621103', '411621', '411621103', '白潭镇', 'baitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621104', '411621', '411621104', '韭园镇', 'jiuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621105', '411621', '411621105', '练寺镇', 'liansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621106', '411621', '411621106', '大新镇', 'daxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621107', '411621', '411621107', '包屯镇', 'baotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621108', '411621', '411621108', '汴岗镇', 'biangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621200', '411621', '411621200', '曹里乡', 'caolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621201', '411621', '411621201', '柴岗乡', 'chaigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621202', '411621', '411621202', '固城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621203', '411621', '411621203', '吕潭乡', 'lu:tanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621204', '411621', '411621204', '大李庄乡', 'dalizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621205', '411621', '411621205', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411621500', '411621', '411621500', '国营农牧场', 'guoyingnongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622', '4116', '411622', '西华县', 'xihuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622100', '411622', '411622100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622101', '411622', '411622101', '西夏亭镇', 'xixiatingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622102', '411622', '411622102', '逍遥镇', 'xiaoyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622103', '411622', '411622103', '奉母镇', 'fengmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622104', '411622', '411622104', '红花集镇', 'honghuajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622105', '411622', '411622105', '聂堆镇', 'nieduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622106', '411622', '411622106', '东夏亭镇', 'dongxiatingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622107', '411622', '411622107', '西华营镇', 'xihuayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622108', '411622', '411622108', '址坊镇', 'zhifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622200', '411622', '411622200', '田口乡', 'tiankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622201', '411622', '411622201', '清河驿乡', 'qingheyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622202', '411622', '411622202', '皮营乡', 'piyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622203', '411622', '411622203', '东王营乡', 'dongwangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622204', '411622', '411622204', '大王庄乡', 'dawangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622205', '411622', '411622205', '李大庄乡', 'lidazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622206', '411622', '411622206', '叶埠口乡', 'yebukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622207', '411622', '411622207', '迟营乡', 'chiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622208', '411622', '411622208', '黄土桥乡', 'huangtuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622209', '411622', '411622209', '艾岗乡', 'aigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622400', '411622', '411622400', '西华县农场', 'xihuaxiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622401', '411622', '411622401', '西华县园艺场', 'xihuaxianyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622402', '411622', '411622402', '西华县林场', 'xihuaxianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622403', '411622', '411622403', '西华县农科站', 'xihuaxiannongkezhan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622405', '411622', '411622405', '黄泛区农场', 'huangfanqunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411622406', '411622', '411622406', '五二农场', 'wuernongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623', '4116', '411623', '商水县', 'shangshuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623001', '411623', '411623001', '新城区', 'xinchengqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623002', '411623', '411623002', '东城区', 'dongchengqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623003', '411623', '411623003', '老城', 'laocheng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623101', '411623', '411623101', '黄寨镇', 'huangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623102', '411623', '411623102', '练集镇', 'lianjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623103', '411623', '411623103', '魏集镇', 'weijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623104', '411623', '411623104', '固墙镇', 'guqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623105', '411623', '411623105', '白寺镇', 'baisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623106', '411623', '411623106', '巴村镇', 'bacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623107', '411623', '411623107', '谭庄镇', 'tanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623108', '411623', '411623108', '邓城镇', 'dengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623109', '411623', '411623109', '胡吉镇', 'hujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623200', '411623', '411623200', '城关乡', 'chengguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623202', '411623', '411623202', '平店乡', 'pingdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623203', '411623', '411623203', '袁老乡', 'yuanlaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623204', '411623', '411623204', '化河乡', 'huahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623205', '411623', '411623205', '姚集乡', 'yaojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623206', '411623', '411623206', '舒庄乡', 'shuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623207', '411623', '411623207', '大武乡', 'dawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623208', '411623', '411623208', '张明乡', 'zhangmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623209', '411623', '411623209', '郝岗乡', 'haogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623210', '411623', '411623210', '张庄乡', 'zhangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623211', '411623', '411623211', '汤庄乡', 'tangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411623500', '411623', '411623500', '商水县农场', 'shangshuixiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624', '4116', '411624', '沈丘县', 'shenqiuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624001', '411624', '411624001', '东城', 'dongcheng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624002', '411624', '411624002', '北城', 'beicheng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624100', '411624', '411624100', '槐店回族镇', 'huaidianhuizuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624101', '411624', '411624101', '刘庄店镇', 'liuzhuangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624102', '411624', '411624102', '留福集镇', 'liufujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624103', '411624', '411624103', '老城镇', 'laochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624104', '411624', '411624104', '赵德营镇', 'zhaodeyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624105', '411624', '411624105', '付井镇', 'fujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624106', '411624', '411624106', '纸店镇', 'zhidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624107', '411624', '411624107', '新安集镇', 'xinanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624108', '411624', '411624108', '白集镇', 'baijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624109', '411624', '411624109', '刘湾镇', 'liuwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624200', '411624', '411624200', '连池乡', 'lianchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624201', '411624', '411624201', '石槽集乡', 'shicaojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624202', '411624', '411624202', '范营乡', 'fanyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624203', '411624', '411624203', '李老庄乡', 'lilaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624204', '411624', '411624204', '大邢庄乡', 'daxingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624205', '411624', '411624205', '冯营乡', 'fengyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624206', '411624', '411624206', '周营乡', 'zhouyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624207', '411624', '411624207', '洪山乡', 'hongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624208', '411624', '411624208', '北杨集乡', 'beiyangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411624209', '411624', '411624209', '卞路口乡', 'bianlukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625', '4116', '411625', '郸城县', 'danchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625100', '411625', '411625100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625101', '411625', '411625101', '吴台镇', 'wutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625102', '411625', '411625102', '南丰镇', 'nanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625103', '411625', '411625103', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625104', '411625', '411625104', '宁平镇', 'ningpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625105', '411625', '411625105', '宜路镇', 'yiluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625106', '411625', '411625106', '钱店镇', 'qiandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625107', '411625', '411625107', '汲冢镇', 'jizhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625108', '411625', '411625108', '石槽镇', 'shicaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625200', '411625', '411625200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625201', '411625', '411625201', '虎头岗乡', 'hutougangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625202', '411625', '411625202', '汲水乡', 'jishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625203', '411625', '411625203', '张完集乡', 'zhangwanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625204', '411625', '411625204', '丁村乡', 'dingcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625205', '411625', '411625205', '双楼乡', 'shuanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625206', '411625', '411625206', '秋渠乡', 'qiuquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625207', '411625', '411625207', '东风乡', 'dongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625208', '411625', '411625208', '巴集乡', 'bajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625209', '411625', '411625209', '李楼乡', 'lilouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411625210', '411625', '411625210', '胡集乡', 'hujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626', '4116', '411626', '淮阳县', 'huaiyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626100', '411626', '411626100', '城关回族镇', 'chengguanhuizuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626101', '411626', '411626101', '新站镇', 'xinzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626102', '411626', '411626102', '鲁台镇', 'lutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626103', '411626', '411626103', '四通镇', 'sitongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626104', '411626', '411626104', '临蔡镇', 'lincaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626105', '411626', '411626105', '安岭镇', 'anlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626200', '411626', '411626200', '朱集乡', 'zhujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626201', '411626', '411626201', '豆门乡', 'doumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626202', '411626', '411626202', '冯塘乡', 'fengtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626203', '411626', '411626203', '刘振屯乡', 'liuzhentunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626204', '411626', '411626204', '王店乡', 'wangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626205', '411626', '411626205', '大连乡', 'dalianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626206', '411626', '411626206', '葛店乡', 'gedianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626207', '411626', '411626207', '黄集乡', 'huangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626208', '411626', '411626208', '白楼乡', 'bailouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626209', '411626', '411626209', '齐老乡', 'qilaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626210', '411626', '411626210', '郑集乡', 'zhengjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626211', '411626', '411626211', '曹河乡', 'caohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411626213', '411626', '411626213', '许湾乡', 'xuwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627', '4116', '411627', '太康县', 'taikangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627100', '411627', '411627100', '城关回族镇', 'chengguanhuizuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627101', '411627', '411627101', '常营镇', 'changyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627102', '411627', '411627102', '逊母口镇', 'xunmukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627103', '411627', '411627103', '老冢镇', 'laozhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627104', '411627', '411627104', '朱口镇', 'zhukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627105', '411627', '411627105', '马头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627106', '411627', '411627106', '龙曲镇', 'longquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627107', '411627', '411627107', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627108', '411627', '411627108', '符草楼镇', 'fucaolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627109', '411627', '411627109', '马厂镇', 'machangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627110', '411627', '411627110', '毛庄镇', 'maozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627200', '411627', '411627200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627201', '411627', '411627201', '杨庙乡', 'yangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627202', '411627', '411627202', '王集乡', 'wangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627203', '411627', '411627203', '高贤乡', 'gaoxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627204', '411627', '411627204', '芝麻洼乡', 'zhimawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627205', '411627', '411627205', '清集乡', 'qingjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627206', '411627', '411627206', '独塘乡', 'dutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627207', '411627', '411627207', '大许寨乡', 'daxuzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627208', '411627', '411627208', '五里口乡', 'wulikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627209', '411627', '411627209', '张集乡', 'zhangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627210', '411627', '411627210', '高朗乡', 'gaolangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627211', '411627', '411627211', '转楼乡', 'zhuanlouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627400', '411627', '411627400', '太康农场', 'taikangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627401', '411627', '411627401', '石油堪探局太康农场', 'shiyoukantanjutaikangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627402', '411627', '411627402', '太康培训中心', 'taikangpeixunzhongxin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627404', '411627', '411627404', '园艺厂', 'yuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627405', '411627', '411627405', '农科所', 'nongkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411627406', '411627', '411627406', '畜牧良种场', 'chumuliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628', '4116', '411628', '鹿邑县', 'luyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628100', '411628', '411628100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628101', '411628', '411628101', '玄武镇', 'xuanwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628102', '411628', '411628102', '枣集镇', 'zaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628103', '411628', '411628103', '太清宫镇', 'taiqinggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628104', '411628', '411628104', '王皮溜镇', 'wangpiliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628105', '411628', '411628105', '试量镇', 'shiliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628106', '411628', '411628106', '辛集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628107', '411628', '411628107', '马铺镇', 'mapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628108', '411628', '411628108', '涡北镇', 'wobeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628200', '411628', '411628200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628201', '411628', '411628201', '郑家集乡', 'zhengjiajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628202', '411628', '411628202', '观堂乡', 'guantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628203', '411628', '411628203', '生铁冢乡', 'shengtiezhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628204', '411628', '411628204', '张店乡', 'zhangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628205', '411628', '411628205', '赵村乡', 'zhaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628206', '411628', '411628206', '任集乡', 'renjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628207', '411628', '411628207', '唐集乡', 'tangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628208', '411628', '411628208', '高集乡', 'gaojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628209', '411628', '411628209', '邱集乡', 'qiujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628210', '411628', '411628210', '穆店乡', 'mudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628211', '411628', '411628211', '杨湖口乡', 'yanghukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628212', '411628', '411628212', '贾滩乡', 'jiatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628400', '411628', '411628400', '鹿邑县农科所', 'luyixiannongkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628401', '411628', '411628401', '鹿邑县太清农场', 'luyixiantaiqingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628402', '411628', '411628402', '鹿邑县火王农场', 'luyixianhuowangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628403', '411628', '411628403', '鹿邑县前李农场', 'luyixianqianlinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628404', '411628', '411628404', '鹿邑县枣集农场', 'luyixianzaojinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628405', '411628', '411628405', '鹿邑县后狄楼农场', 'luyixianhoudilounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411628406', '411628', '411628406', '鹿邑县蚕种场', 'luyixiancanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681', '4116', '411681', '项城市', 'xiangchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681001', '411681', '411681001', '花园', 'huayuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681002', '411681', '411681002', '水寨', 'shuizhai', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681003', '411681', '411681003', '东方', 'dongfang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681004', '411681', '411681004', '莲花', 'lianhua', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681005', '411681', '411681005', '千佛阁', 'qianfoge', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681006', '411681', '411681006', '光武', 'guangwu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681100', '411681', '411681100', '南顿镇', 'nandunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681101', '411681', '411681101', '孙店镇', 'sundianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681102', '411681', '411681102', '李寨镇', 'lizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681103', '411681', '411681103', '贾岭镇', 'jialingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681104', '411681', '411681104', '高寺镇', 'gaosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681105', '411681', '411681105', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681106', '411681', '411681106', '付集镇', 'fujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681107', '411681', '411681107', '官会镇', 'guanhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681108', '411681', '411681108', '丁集镇', 'dingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681109', '411681', '411681109', '郑郭镇', 'zhengguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681110', '411681', '411681110', '秣陵镇', 'molingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681111', '411681', '411681111', '王明口镇', 'wangmingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681200', '411681', '411681200', '永丰乡', 'yongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681201', '411681', '411681201', '范集乡', 'fanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411681202', '411681', '411681202', '三店乡', 'sandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4117', '41', '4117', '驻马店市', 'zhumadianshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411701', '4117', '411701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702', '4117', '411702', '驿城区', 'yichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702001', '411702', '411702001', '人民街道', 'renminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702002', '411702', '411702002', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702003', '411702', '411702003', '西园街道', 'xiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702004', '411702', '411702004', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702005', '411702', '411702005', '南海路', 'nanhailu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702006', '411702', '411702006', '老街', 'laojie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702007', '411702', '411702007', '橡林', 'xianglin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702008', '411702', '411702008', '雪松', 'xuesong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702009', '411702', '411702009', '顺河', 'shunhe', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702010', '411702', '411702010', '刘阁', 'liuge', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702100', '411702', '411702100', '水屯镇', 'shuitunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702203', '411702', '411702203', '诸市乡', 'zhushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702204', '411702', '411702204', '朱古洞乡', 'zhugudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702205', '411702', '411702205', '胡庙乡', 'humiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702206', '411702', '411702206', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702360', '411702', '411702360', '关王庙乡', 'guanwangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702560', '411702', '411702560', '金河', 'jinhe', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702561', '411702', '411702561', '金桥', 'jinqiao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411702562', '411702', '411702562', '金山', 'jinshan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721', '4117', '411721', '西平县', 'xipingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721001', '411721', '411721001', '柏城', 'bocheng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721002', '411721', '411721002', '柏亭', 'boting', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721101', '411721', '411721101', '五沟营镇', 'wugouyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721102', '411721', '411721102', '权寨镇', 'quanzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721103', '411721', '411721103', '师灵镇', 'shilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721104', '411721', '411721104', '出山镇', 'chushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721200', '411721', '411721200', '环城乡', 'huanchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721201', '411721', '411721201', '重渠乡', 'zhongquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721202', '411721', '411721202', '盆尧乡', 'penyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721203', '411721', '411721203', '人和乡', 'renhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721204', '411721', '411721204', '宋集乡', 'songjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721205', '411721', '411721205', '谭店乡', 'tandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721206', '411721', '411721206', '吕店乡', 'lu:dianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721208', '411721', '411721208', '芦庙乡', 'lumiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721209', '411721', '411721209', '杨庄乡', 'yangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721210', '411721', '411721210', '专探乡', 'zhuantanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721211', '411721', '411721211', '二郎乡', 'erlangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721212', '411721', '411721212', '蔡寨回族乡', 'caizhaihuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721213', '411721', '411721213', '焦庄乡', 'jiaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411721500', '411721', '411721500', '老王坡农场', 'laowangponongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722', '4117', '411722', '上蔡县', 'shangcaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722100', '411722', '411722100', '蔡都镇', 'caidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722101', '411722', '411722101', '黄埠镇', 'huangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722102', '411722', '411722102', '杨集镇', 'yangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722103', '411722', '411722103', '洙湖镇', 'zhuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722104', '411722', '411722104', '党店镇', 'dangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722105', '411722', '411722105', '朱里镇', 'zhulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722106', '411722', '411722106', '华陂镇', 'huapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722200', '411722', '411722200', '芦岗乡', 'lugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722201', '411722', '411722201', '大路李乡', 'dalulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722202', '411722', '411722202', '无量寺乡', 'wuliangsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722203', '411722', '411722203', '邵店乡', 'shaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722204', '411722', '411722204', '五龙乡', 'wulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722205', '411722', '411722205', '杨屯乡', 'yangtunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722206', '411722', '411722206', '和店乡', 'hedianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722207', '411722', '411722207', '蔡沟乡', 'caigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722208', '411722', '411722208', '塔桥乡', 'taqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722209', '411722', '411722209', '齐海乡', 'qihaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722210', '411722', '411722210', '崇礼乡', 'chonglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722211', '411722', '411722211', '韩寨乡', 'hanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722212', '411722', '411722212', '东岸乡', 'donganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722213', '411722', '411722213', '东洪乡', 'donghongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722215', '411722', '411722215', '小岳寺乡', 'xiaoyuesixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722216', '411722', '411722216', '西洪乡', 'xihongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411722217', '411722', '411722217', '百尺乡', 'baichixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723', '4117', '411723', '平舆县', 'pingyuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723100', '411723', '411723100', '古槐镇', 'guhuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723101', '411723', '411723101', '杨埠镇', 'yangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723102', '411723', '411723102', '东和店镇', 'donghedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723103', '411723', '411723103', '庙湾镇', 'miaowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723104', '411723', '411723104', '射桥镇', 'sheqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723105', '411723', '411723105', '西洋店镇', 'xiyangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723200', '411723', '411723200', '东皇庙乡', 'donghuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723201', '411723', '411723201', '高杨店乡', 'gaoyangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723202', '411723', '411723202', '十字路乡', 'shiziluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723203', '411723', '411723203', '后刘乡', 'houliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723204', '411723', '411723204', '万冢乡', 'wanzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723205', '411723', '411723205', '玉皇庙乡', 'yuhuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723206', '411723', '411723206', '郭楼乡', 'guolouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723207', '411723', '411723207', '李屯乡', 'litunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723208', '411723', '411723208', '老王岗乡', 'laowanggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723209', '411723', '411723209', '辛店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723210', '411723', '411723210', '万金店乡', 'wanjindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411723211', '411723', '411723211', '双庙乡', 'shuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724', '4117', '411724', '正阳县', 'zhengyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724100', '411724', '411724100', '真阳镇', 'zhenyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724101', '411724', '411724101', '寒冻镇', 'handongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724102', '411724', '411724102', '汝南埠镇', 'runanbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724103', '411724', '411724103', '铜钟镇', 'tongzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724104', '411724', '411724104', '陡沟镇', 'dougouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724105', '411724', '411724105', '熊寨镇', 'xiongzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724200', '411724', '411724200', '慎水乡', 'shenshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724201', '411724', '411724201', '傅寨乡', 'fuzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724202', '411724', '411724202', '袁寨乡', 'yuanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724203', '411724', '411724203', '新阮店乡', 'xinruandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724204', '411724', '411724204', '油坊店乡', 'youfangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724207', '411724', '411724207', '雷寨乡', 'leizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724208', '411724', '411724208', '王勿桥乡', 'wangwuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724209', '411724', '411724209', '永兴乡', 'yongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724210', '411724', '411724210', '吕河乡', 'lu:hexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724211', '411724', '411724211', '大林乡', 'dalinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724212', '411724', '411724212', '皮店乡', 'pidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724213', '411724', '411724213', '彭桥乡', 'pengqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724214', '411724', '411724214', '兰青乡', 'lanqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411724500', '411724', '411724500', '五三农场', 'wusannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725', '4117', '411725', '确山县', 'queshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725100', '411725', '411725100', '盘龙镇', 'panlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725101', '411725', '411725101', '竹沟镇', 'zhugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725102', '411725', '411725102', '任店镇', 'rendianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725103', '411725', '411725103', '新安店镇', 'xinandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725104', '411725', '411725104', '留庄镇', 'liuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725105', '411725', '411725105', '刘店镇', 'liudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725106', '411725', '411725106', '蚁蜂镇', 'yifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725200', '411725', '411725200', '三里河乡', 'sanlihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725203', '411725', '411725203', '石滚河乡', 'shigunhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725204', '411725', '411725204', '瓦岗乡', 'wagangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725205', '411725', '411725205', '李新店乡', 'lixindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725206', '411725', '411725206', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411725209', '411725', '411725209', '普会寺乡', 'puhuisixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726', '4117', '411726', '泌阳县', 'miyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726100', '411726', '411726100', '泌水镇', 'mishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726101', '411726', '411726101', '沙河店镇', 'shahedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726102', '411726', '411726102', '羊册镇', 'yangcezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726103', '411726', '411726103', '马谷田镇', 'magutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726104', '411726', '411726104', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726105', '411726', '411726105', '春水镇', 'chunshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726200', '411726', '411726200', '高店乡', 'gaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726201', '411726', '411726201', '盘古乡', 'panguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726202', '411726', '411726202', '高邑乡', 'gaoyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726203', '411726', '411726203', '王店乡', 'wangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726204', '411726', '411726204', '铜山乡', 'tongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726205', '411726', '411726205', '老河乡', 'laohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726206', '411726', '411726206', '下碑寺乡', 'xiabeisixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726207', '411726', '411726207', '象河乡', 'xianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726208', '411726', '411726208', '付庄乡', 'fuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726209', '411726', '411726209', '贾楼乡', 'jialouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726210', '411726', '411726210', '黄山口乡', 'huangshankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726211', '411726', '411726211', '郭集乡', 'guojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726212', '411726', '411726212', '泰山庙乡', 'taishanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726213', '411726', '411726213', '官庄乡', 'guanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726214', '411726', '411726214', '杨家集乡', 'yangjiajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726215', '411726', '411726215', '双庙街乡', 'shuangmiaojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726216', '411726', '411726216', '赊湾乡', 'shewanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411726217', '411726', '411726217', '花园乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727', '4117', '411727', '汝南县', 'runanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727100', '411727', '411727100', '汝宁镇', 'runingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727101', '411727', '411727101', '王岗镇', 'wanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727102', '411727', '411727102', '马乡镇', 'maxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727103', '411727', '411727103', '和孝镇', 'hexiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727104', '411727', '411727104', '老君庙镇', 'laojunmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727105', '411727', '411727105', '留盆镇', 'liupenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727106', '411727', '411727106', '金铺镇', 'jinpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727200', '411727', '411727200', '三门闸乡', 'sanmenzhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727201', '411727', '411727201', '三里店乡', 'sanlidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727202', '411727', '411727202', '三桥乡', 'sanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727204', '411727', '411727204', '南余店乡', 'nanyudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727206', '411727', '411727206', '常兴乡', 'changxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727207', '411727', '411727207', '官庄乡', 'guanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727209', '411727', '411727209', '韩庄乡', 'hanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727210', '411727', '411727210', '罗店乡', 'luodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727211', '411727', '411727211', '张楼乡', 'zhanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411727212', '411727', '411727212', '板店乡', 'bandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728', '4117', '411728', '遂平县', 'suipingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728100', '411728', '411728100', '瞿阳镇', 'juyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728101', '411728', '411728101', '车站镇', 'chezhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728102', '411728', '411728102', '玉山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728200', '411728', '411728200', '常庄乡', 'changzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728202', '411728', '411728202', '和兴乡', 'hexingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728203', '411728', '411728203', '沈寨乡', 'shenzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728204', '411728', '411728204', '槐树乡', 'huaishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728205', '411728', '411728205', '查岈山乡', 'chayashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728206', '411728', '411728206', '阳丰乡', 'yangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728207', '411728', '411728207', '花庄乡', 'huazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728209', '411728', '411728209', '文城乡', 'wenchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728211', '411728', '411728211', '褚堂乡', 'chutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728213', '411728', '411728213', '石寨铺乡', 'shizhaipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728500', '411728', '411728500', '查岈山风景区', 'chayashanfengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411728501', '411728', '411728501', '凤鸣谷风景区', 'fengminggufengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729', '4117', '411729', '新蔡县', 'xincaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729100', '411729', '411729100', '古吕镇', 'gulu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729101', '411729', '411729101', '砖店镇', 'zhuandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729102', '411729', '411729102', '陈店镇', 'chendianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729103', '411729', '411729103', '佛阁寺镇', 'fogesizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729104', '411729', '411729104', '练村镇', 'liancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729105', '411729', '411729105', '棠村镇', 'tangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729106', '411729', '411729106', '韩集镇', 'hanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729107', '411729', '411729107', '龙口镇', 'longkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729108', '411729', '411729108', '李桥回族镇', 'liqiaohuizuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729200', '411729', '411729200', '十里铺乡', 'shilipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729201', '411729', '411729201', '黄楼乡', 'huanglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729202', '411729', '411729202', '余店乡', 'yudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729204', '411729', '411729204', '河坞乡', 'hewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729205', '411729', '411729205', '关津乡', 'guanjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729206', '411729', '411729206', '宋岗乡', 'songgangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729207', '411729', '411729207', '顿岗乡', 'dungangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729208', '411729', '411729208', '涧头乡', 'jiantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729209', '411729', '411729209', '杨庄户乡', 'yangzhuanghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729210', '411729', '411729210', '化庄乡', 'huazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729211', '411729', '411729211', '栎城乡', 'lichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729212', '411729', '411729212', '孙召乡', 'sunzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('411729213', '411729', '411729213', '弥陀寺乡', 'mituosixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('42', '-1', '42', '湖北省', 'hubeisheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4201', '42', '4201', '武汉市', 'wuhanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420101', '4201', '420101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102', '4201', '420102', '江岸区', 'jianganqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102001', '420102', '420102001', '上海街道', 'shanghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102002', '420102', '420102002', '大智街道', 'dazhijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102003', '420102', '420102003', '一元街道', 'yiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102004', '420102', '420102004', '车站街道', 'chezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102005', '420102', '420102005', '四唯街道', 'siweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102006', '420102', '420102006', '永清街道', 'yongqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102007', '420102', '420102007', '西马街道', 'ximajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102008', '420102', '420102008', '球场街道', 'qiuchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102009', '420102', '420102009', '劳动街道', 'laodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102010', '420102', '420102010', '二七街道', 'erqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102011', '420102', '420102011', '新村街道', 'xincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102012', '420102', '420102012', '丹水池街道', 'danshuichijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102014', '420102', '420102014', '台北街道', 'taibeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102015', '420102', '420102015', '花桥街道', 'huaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102016', '420102', '420102016', '谌家矶街道', 'chenjiajijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102017', '420102', '420102017', '后湖街道', 'houhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420102208', '420102', '420102208', '区直管乡百步亭花园', 'quzhiguanxiangbaibutinghuayuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103', '4201', '420103', '江汉区', 'jianghanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103001', '420103', '420103001', '民族街道', 'minzujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103002', '420103', '420103002', '花楼街道', 'hualoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103003', '420103', '420103003', '水塔街道', 'shuitajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103004', '420103', '420103004', '民权街道', 'minquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103005', '420103', '420103005', '满春街道', 'manchunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103006', '420103', '420103006', '民意街道', 'minyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103007', '420103', '420103007', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103008', '420103', '420103008', '万松街道', 'wansongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103009', '420103', '420103009', '唐家墩街道', 'tangjiadunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103010', '420103', '420103010', '北湖街道', 'beihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103011', '420103', '420103011', '前进街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103012', '420103', '420103012', '常青街道', 'changqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420103013', '420103', '420103013', '汉兴街道', 'hanxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104', '4201', '420104', '硚口区', 'qiaokouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104001', '420104', '420104001', '易家墩街道', 'yijiadunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104002', '420104', '420104002', '韩家墩街道', 'hanjiadunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104003', '420104', '420104003', '宗关街道', 'zongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104004', '420104', '420104004', '汉水桥街道', 'hanshuiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104005', '420104', '420104005', '宝丰街道', 'baofengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104006', '420104', '420104006', '荣华街道', 'ronghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104007', '420104', '420104007', '崇仁街道', 'chongrenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104008', '420104', '420104008', '汉中街道', 'hanzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104009', '420104', '420104009', '汉正街道', 'hanzhengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104010', '420104', '420104010', '六角亭街道', 'liujiaotingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420104011', '420104', '420104011', '长丰街道', 'zhangfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105', '4201', '420105', '汉阳区', 'hanyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105001', '420105', '420105001', '翠微街道', 'cuiweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105002', '420105', '420105002', '建桥街道', 'jianqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105003', '420105', '420105003', '月湖街道', 'yuehujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105004', '420105', '420105004', '晴川街道', 'qingchuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105005', '420105', '420105005', '鹦鹉街道', 'yingwujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105006', '420105', '420105006', '洲头街道', 'zhoutoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105007', '420105', '420105007', '五里墩街道', 'wulidunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105008', '420105', '420105008', '琴断口街道', 'qinduankoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105009', '420105', '420105009', '江汉二桥街道', 'jianghanerqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105010', '420105', '420105010', '永丰街道', 'yongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105011', '420105', '420105011', '江堤街道', 'jiangdijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420105082', '420105', '420105082', '四新街道管委会', 'sixinjiedaoguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106', '4201', '420106', '武昌区', 'wuchangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106001', '420106', '420106001', '积玉桥街道', 'jiyuqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106002', '420106', '420106002', '杨园街道', 'yangyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106003', '420106', '420106003', '徐家棚街道', 'xujiapengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106005', '420106', '420106005', '粮道街道', 'liangdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106006', '420106', '420106006', '中华路街道', 'zhonghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106007', '420106', '420106007', '黄鹤楼街道', 'huangheloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106008', '420106', '420106008', '紫阳街道', 'ziyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106009', '420106', '420106009', '白沙洲街道', 'baishazhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106010', '420106', '420106010', '首义路街道', 'shouyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106011', '420106', '420106011', '中南路街道', 'zhongnanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106012', '420106', '420106012', '水果湖街道', 'shuiguohujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106013', '420106', '420106013', '珞珈山街道', 'luojiashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106014', '420106', '420106014', '石洞街道', 'shidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106015', '420106', '420106015', '南湖街道', 'nanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420106092', '420106', '420106092', '东湖风景区虚拟街道(武', 'donghufengjingquxunijiedao(wu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107', '4201', '420107', '青山区', 'qingshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107001', '420107', '420107001', '红卫路街道', 'hongweilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107002', '420107', '420107002', '冶金街道', 'yejinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107003', '420107', '420107003', '新沟桥街道', 'xingouqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107004', '420107', '420107004', '红钢城街道', 'honggangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107005', '420107', '420107005', '工人村街道', 'gongrencunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107006', '420107', '420107006', '青山镇街道', 'qingshanzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107007', '420107', '420107007', '厂前街道', 'changqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107008', '420107', '420107008', '武东街道', 'wudongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107009', '420107', '420107009', '白玉山街道', 'baiyushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107010', '420107', '420107010', '钢花村街道', 'ganghuacunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107011', '420107', '420107011', '钢都花园街道管委会', 'gangdouhuayuanjiedaoguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420107400', '420107', '420107400', '武钢厂区', 'wugangchangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111', '4201', '420111', '洪山区', 'hongshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111001', '420111', '420111001', '珞南街道', 'luonanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111002', '420111', '420111002', '关山街道', 'guanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111003', '420111', '420111003', '狮子山街道', 'shizishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111004', '420111', '420111004', '张家湾街道', 'zhangjiawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111005', '420111', '420111005', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111006', '420111', '420111006', '葛化街道', 'gehuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111007', '420111', '420111007', '洪山街道', 'hongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111008', '420111', '420111008', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111092', '420111', '420111092', '东湖风景区虚拟街道(洪山)', 'donghufengjingquxunijiedao(hongshan)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111100', '420111', '420111100', '花山镇', 'huashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111101', '420111', '420111101', '左岭镇', 'zuolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111198', '420111', '420111198', '湖北省农科院虚拟镇', 'hubeishengnongkeyuanxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111201', '420111', '420111201', '青菱乡', 'qinglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111202', '420111', '420111202', '九峰乡', 'jiufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111204', '420111', '420111204', '建设乡', 'jianshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111205', '420111', '420111205', '天兴乡', 'tianxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420111480', '420111', '420111480', '东湖开发区', 'donghukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112', '4201', '420112', '东西湖区', 'dongxihuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112001', '420112', '420112001', '吴家山街道', 'wujiashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112002', '420112', '420112002', '柏泉办事处虚拟街道', 'boquanbanshichuxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112004', '420112', '420112004', '将军路街道', 'jiangjunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112005', '420112', '420112005', '慈惠街道', 'cihuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112006', '420112', '420112006', '走马岭街道', 'zoumalingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112007', '420112', '420112007', '径河街道', 'jinghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112008', '420112', '420112008', '长青街道', 'zhangqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112011', '420112', '420112011', '辛安渡办事处虚拟街道', 'xinandubanshichuxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112012', '420112', '420112012', '东山办事处虚拟街道', 'dongshanbanshichuxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112013', '420112', '420112013', '常青花园新区街道管理委员会', 'changqinghuayuanxinqujiedaoguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112014', '420112', '420112014', '新沟镇街道', 'xingouzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420112015', '420112', '420112015', '金银湖街道', 'jinyinhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420113', '4201', '420113', '汉南区', 'hannanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420113001', '420113', '420113001', '纱帽街道', 'shamaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420113100', '420113', '420113100', '邓南镇', 'dengnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420113198', '420113', '420113198', '汉南虚拟镇', 'hannanxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420113450', '420113', '420113450', '东城垸农场', 'dongchenghuannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420113500', '420113', '420113500', '乌金农场', 'wujinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420113501', '420113', '420113501', '汉南农场', 'hannannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420113502', '420113', '420113502', '银莲湖农场', 'yinlianhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114', '4201', '420114', '蔡甸区', 'caidianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114001', '420114', '420114001', '蔡甸街道', 'caidianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114002', '420114', '420114002', '奓山街道', 'sheshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114003', '420114', '420114003', '永安街道', 'yonganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114004', '420114', '420114004', '侏儒街道', 'zhurujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114005', '420114', '420114005', '大集街道', 'dajijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114006', '420114', '420114006', '张湾街道', 'zhangwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114070', '420114', '420114070', '沌口街', 'dunkoujie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114071', '420114', '420114071', '军山街道', 'junshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114100', '420114', '420114100', '索河镇', 'suohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114101', '420114', '420114101', '玉贤镇', 'yuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114198', '420114', '420114198', '蔡甸虚拟镇', 'caidianxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114200', '420114', '420114200', '消泗乡', 'xiaosixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114400', '420114', '420114400', '桐湖', 'tonghu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420114401', '420114', '420114401', '洪北管委会', 'hongbeiguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115', '4201', '420115', '江夏区', 'jiangxiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115001', '420115', '420115001', '纸坊街道', 'zhifangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115002', '420115', '420115002', '金口街道', 'jinkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115003', '420115', '420115003', '乌龙泉街道', 'wulongquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115005', '420115', '420115005', '郑店街道', 'zhengdianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115006', '420115', '420115006', '流芳街道', 'liufangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115086', '420115', '420115086', '东湖开发区虚拟街道', 'donghukaifaquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115100', '420115', '420115100', '法泗镇', 'fasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115101', '420115', '420115101', '安山镇', 'anshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115103', '420115', '420115103', '湖泗镇', 'husizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115104', '420115', '420115104', '五里界镇', 'wulijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115105', '420115', '420115105', '豹澥镇', 'baoxiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115198', '420115', '420115198', '江夏区虚拟镇', 'jiangxiaquxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115204', '420115', '420115204', '山坡乡', 'shanpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115206', '420115', '420115206', '舒安乡', 'shuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115400', '420115', '420115400', '金水农场', 'jinshuinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115401', '420115', '420115401', '江夏区经济开发区庙山', 'jiangxiaqujingjikaifaqumiaoshan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115402', '420115', '420115402', '江夏区经济开发区藏龙岛', 'jiangxiaqujingjikaifaquzanglongdao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115403', '420115', '420115403', '江夏区经济开发区大桥新区', 'jiangxiaqujingjikaifaqudaqiaoxinqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420115404', '420115', '420115404', '江夏区经济开发区梁子湖风景区办事', 'jiangxiaqujingjikaifaquliangzihufengjingqubanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116', '4201', '420116', '黄陂区', 'huangpoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116001', '420116', '420116001', '前川街道', 'qianchuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116002', '420116', '420116002', '祁家湾街道', 'qijiawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116003', '420116', '420116003', '横店街道', 'hengdianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116004', '420116', '420116004', '罗汉寺街道', 'luohansijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116005', '420116', '420116005', '滠口街道', 'shekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116006', '420116', '420116006', '六指店街道', 'liuzhidianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116007', '420116', '420116007', '天河街道', 'tianhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116100', '420116', '420116100', '姚集镇', 'yaojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116101', '420116', '420116101', '蔡榨镇', 'caizhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116102', '420116', '420116102', '王家河镇', 'wangjiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116103', '420116', '420116103', '李集镇', 'lijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116104', '420116', '420116104', '长轩岭镇', 'zhangxuanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116105', '420116', '420116105', '三里镇', 'sanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116200', '420116', '420116200', '蔡店乡', 'caidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116201', '420116', '420116201', '木兰乡', 'mulanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116400', '420116', '420116400', '武湖农场', 'wuhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116401', '420116', '420116401', '木兰山风景区', 'mulanshanfengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116402', '420116', '420116402', '大潭原种场', 'datanyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420116403', '420116', '420116403', '盘龙城经济开发区', 'panlongchengjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117', '4201', '420117', '武汉市新洲区', 'wuhanshixinzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117001', '420117', '420117001', '邾城街道', 'zhuchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117002', '420117', '420117002', '阳逻街道', 'yangluojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117003', '420117', '420117003', '仓埠街道', 'cangbujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117004', '420117', '420117004', '汪集街道', 'wangjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117005', '420117', '420117005', '李集街道', 'lijijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117006', '420117', '420117006', '三店街道', 'sandianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117007', '420117', '420117007', '潘塘街道', 'pantangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117008', '420117', '420117008', '旧街街道', 'jiujiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117009', '420117', '420117009', '双柳街道', 'shuangliujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117100', '420117', '420117100', '辛冲镇', 'xinchongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117101', '420117', '420117101', '徐古镇', 'xuguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117102', '420117', '420117102', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117198', '420117', '420117198', '新洲虚拟镇', 'xinzhouxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117400', '420117', '420117400', '道观河风景旅游管理处', 'daoguanhefengjinglu:youguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117401', '420117', '420117401', '涨渡湖农场', 'zhangduhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117403', '420117', '420117403', '龙王咀农场', 'longwangjunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117404', '420117', '420117404', '新洲区火车站', 'xinzhouquhuochezhan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420117405', '420117', '420117405', '阳逻开发区', 'yangluokaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4202', '42', '4202', '黄石市', 'huangshishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420201', '4202', '420201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420202', '4202', '420202', '黄石港区', 'huangshigangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420202001', '420202', '420202001', '沈家营街道', 'shenjiayingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420202002', '420202', '420202002', '黄石港街道', 'huangshigangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420202003', '420202', '420202003', '红旗桥街道', 'hongqiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420202004', '420202', '420202004', '胜阳港街道', 'shengyanggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420202070', '420202', '420202070', '花湖街道', 'huahujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420202400', '420202', '420202400', '江北农场', 'jiangbeinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420203', '4202', '420203', '西塞山区', 'xisaishanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420203001', '420203', '420203001', '临江街道', 'linjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420203002', '420203', '420203002', '八泉街道', 'baquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420203003', '420203', '420203003', '陈家湾街道', 'chenjiawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420203004', '420203', '420203004', '澄月街道', 'chengyuejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420203005', '420203', '420203005', '黄思湾街道', 'huangsiwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420203006', '420203', '420203006', '西塞山街道', 'xisaishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420203100', '420203', '420203100', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420203400', '420203', '420203400', '冶钢农场', 'yegangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420204', '4202', '420204', '下陆区', 'xialuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420204001', '420204', '420204001', '新下陆街道', 'xinxialujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420204002', '420204', '420204002', '老下陆街道', 'laoxialujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420204003', '420204', '420204003', '东方山街道', 'dongfangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420204070', '420204', '420204070', '团城山街道', 'tuanchengshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420205', '4202', '420205', '铁山区', 'tieshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420205001', '420205', '420205001', '铁山街道', 'tieshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420205002', '420205', '420205002', '鹿獐山街道', 'luzhangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222', '4202', '420222', '阳新县', 'yangxinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222100', '420222', '420222100', '兴国镇', 'xingguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222101', '420222', '420222101', '富池镇', 'fuchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222102', '420222', '420222102', '黄颡口镇', 'huangsangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222103', '420222', '420222103', '韦源口镇', 'weiyuankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222104', '420222', '420222104', '太子镇', 'taizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222105', '420222', '420222105', '大王镇', 'dawangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222106', '420222', '420222106', '陶港镇', 'taogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222107', '420222', '420222107', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222108', '420222', '420222108', '浮屠镇', 'futuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222109', '420222', '420222109', '三溪镇', 'sanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222110', '420222', '420222110', '龙港镇', 'longgangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222111', '420222', '420222111', '洋港镇', 'yanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222112', '420222', '420222112', '排市镇', 'paishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222113', '420222', '420222113', '木港镇', 'mugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222114', '420222', '420222114', '枫林镇', 'fenglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222115', '420222', '420222115', '王英镇', 'wangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222450', '420222', '420222450', '综合农场', 'zonghenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222451', '420222', '420222451', '率洲农场', 'lu:zhounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222452', '420222', '420222452', '半壁山农场', 'banbishannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222453', '420222', '420222453', '荆头山农场', 'jingtoushannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222454', '420222', '420222454', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420222455', '420222', '420222455', '金海开发区', 'jinhaikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281', '4202', '420281', '大冶市', 'dayeshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281001', '420281', '420281001', '东岳路街道', 'dongyuelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281002', '420281', '420281002', '经济开发区虚拟街道', 'jingjikaifaquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281003', '420281', '420281003', '金湖街道', 'jinhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281004', '420281', '420281004', '罗家桥街道', 'luojiaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281100', '420281', '420281100', '金牛镇', 'jinniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281101', '420281', '420281101', '保安镇', 'baoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281102', '420281', '420281102', '灵乡镇', 'lingxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281103', '420281', '420281103', '金山店镇', 'jinshandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281104', '420281', '420281104', '还地桥镇', 'haidiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281105', '420281', '420281105', '殷祖镇', 'yinzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281107', '420281', '420281107', '刘仁八镇', 'liurenbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281108', '420281', '420281108', '陈贵镇', 'chenguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281109', '420281', '420281109', '大箕铺镇', 'dajipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281170', '420281', '420281170', '汪仁镇', 'wangrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281200', '420281', '420281200', '茗山乡', 'mingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281450', '420281', '420281450', '东风农场管理区', 'dongfengnongchangguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420281570', '420281', '420281570', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4203', '42', '4203', '十堰市', 'shiyanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420301', '4203', '420301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420302', '4203', '420302', '茅箭区', 'maojianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420302001', '420302', '420302001', '武当路街道', 'wudanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420302002', '420302', '420302002', '二堰街道', 'eryanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420302003', '420302', '420302003', '五堰街道', 'wuyanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420302004', '420302', '420302004', '白浪开发区白浪街道', 'bailangkaifaqubailangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420302100', '420302', '420302100', '大川镇人民政府', 'dachuanzhenrenminzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420302200', '420302', '420302200', '小川乡(赛武当管理局)', 'xiaochuanxiang(saiwudangguanliju)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420302201', '420302', '420302201', '茅塔乡人民政府', 'maotaxiangrenminzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420302202', '420302', '420302202', '鸳鸯乡人民政府', 'yuanyangxiangrenminzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303', '4203', '420303', '张湾区', 'zhangwanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303001', '420303', '420303001', '花果街道', 'huaguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303002', '420303', '420303002', '红卫街道', 'hongweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303003', '420303', '420303003', '车城道街道', 'chechengdaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303004', '420303', '420303004', '汉江路街道', 'hanjianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303100', '420303', '420303100', '黄龙镇', 'huanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303101', '420303', '420303101', '柏林镇', 'bolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303200', '420303', '420303200', '方滩乡', 'fangtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303201', '420303', '420303201', '西沟乡', 'xigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303400', '420303', '420303400', '西城开发区', 'xichengkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303500', '420303', '420303500', '秦家坪林场', 'qinjiapinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420303501', '420303', '420303501', '凤凰山茶场', 'fenghuangshanchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321', '4203', '420321', '郧县', 'yunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321100', '420321', '420321100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321101', '420321', '420321101', '安阳镇', 'anyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321102', '420321', '420321102', '杨溪铺镇', 'yangxipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321103', '420321', '420321103', '青曲镇', 'qingquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321104', '420321', '420321104', '白桑关镇', 'baisangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321105', '420321', '420321105', '南化塘镇', 'nanhuatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321106', '420321', '420321106', '白浪镇', 'bailangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321107', '420321', '420321107', '刘洞镇', 'liudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321108', '420321', '420321108', '谭山镇', 'tanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321109', '420321', '420321109', '梅铺镇', 'meipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321110', '420321', '420321110', '青山镇', 'qingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321111', '420321', '420321111', '茶店镇', 'chadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321112', '420321', '420321112', '柳陂镇', 'liupozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321113', '420321', '420321113', '鲍峡镇', 'baoxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321114', '420321', '420321114', '胡家营镇', 'hujiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321200', '420321', '420321200', '大柳乡', 'daliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321201', '420321', '420321201', '五峰乡', 'wufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321202', '420321', '420321202', '叶大乡', 'yedaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321500', '420321', '420321500', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420321501', '420321', '420321501', '红岩背林场', 'hongyanbeilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322', '4203', '420322', '郧西县', 'yunxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322100', '420322', '420322100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322101', '420322', '420322101', '土门镇', 'tumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322102', '420322', '420322102', '上津镇', 'shangjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322103', '420322', '420322103', '店子镇', 'dianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322104', '420322', '420322104', '夹河镇', 'jiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322105', '420322', '420322105', '羊尾镇', 'yangweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322106', '420322', '420322106', '观音镇', 'guanyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322107', '420322', '420322107', '马鞍镇', 'maanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322108', '420322', '420322108', '河夹镇', 'hejiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322200', '420322', '420322200', '香口乡', 'xiangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322201', '420322', '420322201', '关防乡', 'guanfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322202', '420322', '420322202', '湖北口回族乡', 'hubeikouhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322203', '420322', '420322203', '景阳乡', 'jingyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322204', '420322', '420322204', '六郎乡', 'liulangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322205', '420322', '420322205', '涧池乡', 'jianchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322206', '420322', '420322206', '安家乡', 'anjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322207', '420322', '420322207', '槐树林特场(乡)', 'huaishulintechang(xiang)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420322208', '420322', '420322208', '三官洞林区(乡)', 'sanguandonglinqu(xiang)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323', '4203', '420323', '竹山县', 'zhushanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323100', '420323', '420323100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323101', '420323', '420323101', '溢水镇', 'yishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323102', '420323', '420323102', '麻家渡镇', 'majiaduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323103', '420323', '420323103', '宝丰镇', 'baofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323104', '420323', '420323104', '擂鼓镇', 'leiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323105', '420323', '420323105', '秦古镇', 'qinguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323106', '420323', '420323106', '得胜镇', 'deshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323107', '420323', '420323107', '田家镇', 'tianjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323108', '420323', '420323108', '官渡镇', 'guanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323200', '420323', '420323200', '潘口乡', 'pankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323201', '420323', '420323201', '竹坪乡', 'zhupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323202', '420323', '420323202', '大庙乡', 'damiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323203', '420323', '420323203', '双台乡', 'shuangtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323204', '420323', '420323204', '楼台乡', 'loutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323205', '420323', '420323205', '文峰乡', 'wenfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323206', '420323', '420323206', '深河乡', 'shenhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323207', '420323', '420323207', '柳林乡', 'liulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323208', '420323', '420323208', '堵河源(乡)自然保护区管理局', 'duheyuan(xiang)ziranbaohuquguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420323504', '420323', '420323504', '双堰园艺场', 'shuangyanyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324', '4203', '420324', '竹溪县', 'zhuxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324100', '420324', '420324100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324101', '420324', '420324101', '蒋家堰镇', 'jiangjiayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324102', '420324', '420324102', '中峰镇', 'zhongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324103', '420324', '420324103', '水坪镇', 'shuipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324104', '420324', '420324104', '县河镇', 'xianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324105', '420324', '420324105', '泉溪镇', 'quanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324106', '420324', '420324106', '丰溪镇', 'fengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324200', '420324', '420324200', '龙坝乡', 'longbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324201', '420324', '420324201', '新洲乡', 'xinzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324202', '420324', '420324202', '兵营乡', 'bingyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324203', '420324', '420324203', '鄂坪乡', 'epingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324204', '420324', '420324204', '汇湾乡', 'huiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324205', '420324', '420324205', '天宝乡', 'tianbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324206', '420324', '420324206', '桃源乡', 'taoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324207', '420324', '420324207', '向坝乡', 'xiangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324500', '420324', '420324500', '龙王垭茶场', 'longwangyachachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324501', '420324', '420324501', '国营竹溪综合农场', 'guoyingzhuxizonghenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324502', '420324', '420324502', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324503', '420324', '420324503', '渔种场', 'yuzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324504', '420324', '420324504', '种畜场', 'zhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324505', '420324', '420324505', '王家山茶场', 'wangjiashanchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324506', '420324', '420324506', '标湖林场', 'biaohulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324507', '420324', '420324507', '双竹林场', 'shuangzhulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324508', '420324', '420324508', '八卦山林场', 'baguashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324509', '420324', '420324509', '源茂林场', 'yuanmaolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324510', '420324', '420324510', '岱王沟林场', 'daiwanggoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324511', '420324', '420324511', '望府座林场', 'wangfuzuolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324512', '420324', '420324512', '天池垭林场', 'tianchiyalinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324513', '420324', '420324513', '九里岗林场', 'jiuliganglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420324514', '420324', '420324514', '竹溪县十八里长峡管理局', 'zhuxixianshibalizhangxiaguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325', '4203', '420325', '房县', 'fangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325100', '420325', '420325100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325101', '420325', '420325101', '军店镇', 'jundianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325102', '420325', '420325102', '化龙堰镇', 'hualongyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325103', '420325', '420325103', '土城镇', 'tuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325104', '420325', '420325104', '大木厂镇', 'damuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325105', '420325', '420325105', '青峰镇', 'qingfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325106', '420325', '420325106', '门古寺镇', 'mengusizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325200', '420325', '420325200', '红塔乡', 'hongtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325201', '420325', '420325201', '白鹤乡', 'baihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325202', '420325', '420325202', '窑淮乡', 'yaohuaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325203', '420325', '420325203', '姚坪乡', 'yaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325204', '420325', '420325204', '榔口乡', 'langkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325205', '420325', '420325205', '沙河乡', 'shahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325206', '420325', '420325206', '万峪河乡', 'wanyuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325207', '420325', '420325207', '桥上乡', 'qiaoshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325208', '420325', '420325208', '上龛乡', 'shangkanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325209', '420325', '420325209', '中坝乡', 'zhongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325210', '420325', '420325210', '九道乡', 'jiudaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325211', '420325', '420325211', '回龙乡', 'huilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325500', '420325', '420325500', '国营五台山林业总场', 'guoyingwutaishanlinyezongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325501', '420325', '420325501', '国营杨岔山林场', 'guoyingyangchashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325502', '420325', '420325502', '国营九口山林场', 'guoyingjiukoushanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325503', '420325', '420325503', '国营毛家山林场', 'guoyingmaojiashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325504', '420325', '420325504', '国营代东河林场', 'guoyingdaidonghelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325505', '420325', '420325505', '房县西蒿漆场', 'fangxianxihaoqichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325506', '420325', '420325506', '房县园艺场', 'fangxianyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325507', '420325', '420325507', '谭家湾水库管养所', 'tanjiawanshuikuguanyangsuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325508', '420325', '420325508', '温泉风景区', 'wenquanfengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420325509', '420325', '420325509', '房县旱粮粮种场', 'fangxianhanliangliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381', '4203', '420381', '丹江口市', 'danjiangkoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381001', '420381', '420381001', '均州路街道', 'junzhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381002', '420381', '420381002', '大坝路街道', 'dabalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381003', '420381', '420381003', '丹赵路街道', 'danzhaolujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381005', '420381', '420381005', '三官殿街道', 'sanguandianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381100', '420381', '420381100', '土关垭镇', 'tuguanyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381101', '420381', '420381101', '浪河镇', 'langhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381102', '420381', '420381102', '丁家营镇', 'dingjiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381103', '420381', '420381103', '六里坪镇', 'liulipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381104', '420381', '420381104', '盐池河镇', 'yanchihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381105', '420381', '420381105', '均县镇', 'junxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381106', '420381', '420381106', '习家店镇', 'xijiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381107', '420381', '420381107', '蒿坪镇', 'haopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381108', '420381', '420381108', '石鼓镇', 'shiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381109', '420381', '420381109', '凉水河镇', 'liangshuihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381110', '420381', '420381110', '官山镇', 'guanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381201', '420381', '420381201', '土台乡', 'tutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420381450', '420381', '420381450', '武当山特区', 'wudangshantequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4205', '42', '4205', '宜昌市', 'yichangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420501', '4205', '420501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420502', '4205', '420502', '西陵区', 'xilingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420502001', '420502', '420502001', '西陵街道', 'xilingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420502002', '420502', '420502002', '学院街道', 'xueyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420502003', '420502', '420502003', '云集街道', 'yunjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420502004', '420502', '420502004', '西坝街道', 'xibajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420502005', '420502', '420502005', '葛洲坝街道', 'gezhoubajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420502006', '420502', '420502006', '夜明珠街道', 'yemingzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420502071', '420502', '420502071', '开发区虚拟街道', 'kaifaquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420502201', '420502', '420502201', '窑湾乡', 'yaowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420502401', '420502', '420502401', '峡口风景区虚拟乡', 'xiakoufengjingquxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420503', '4205', '420503', '伍家岗区', 'wujiagangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420503001', '420503', '420503001', '大公桥街道', 'dagongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420503002', '420503', '420503002', '万寿桥街道', 'wanshouqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420503003', '420503', '420503003', '宝塔河街道', 'baotahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420503004', '420503', '420503004', '伍家岗街道', 'wujiagangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420503201', '420503', '420503201', '伍家乡', 'wujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420504', '4205', '420504', '点军区', 'dianjunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420504001', '420504', '420504001', '点军街道', 'dianjunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420504101', '420504', '420504101', '点军区艾家镇', 'dianjunquaijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420504102', '420504', '420504102', '桥边镇', 'qiaobianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420504201', '420504', '420504201', '联棚乡', 'lianpengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420504202', '420504', '420504202', '土城乡', 'tuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420505', '4205', '420505', '猇亭区', 'yaotingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420505001', '420505', '420505001', '古老背街道', 'gulaobeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420505002', '420505', '420505002', '虎牙街道', 'huyajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420505003', '420505', '420505003', '云池街道', 'yunchijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506', '4205', '420506', '夷陵区', 'yilingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506001', '420506', '420506001', '小溪塔街道', 'xiaoxitajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506101', '420506', '420506101', '樟村坪镇', 'zhangcunpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506102', '420506', '420506102', '雾渡河镇', 'wuduhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506103', '420506', '420506103', '分乡镇', 'fenxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506104', '420506', '420506104', '太平溪镇', 'taipingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506105', '420506', '420506105', '三斗坪镇', 'sandoupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506106', '420506', '420506106', '乐天溪镇', 'letianxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506107', '420506', '420506107', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506108', '420506', '420506108', '鸦鹊岭镇', 'yaquelingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506201', '420506', '420506201', '下堡坪乡', 'xiabaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506202', '420506', '420506202', '邓村乡', 'dengcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506203', '420506', '420506203', '黄花乡', 'huanghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420506401', '420506', '420506401', '三峡坝区虚拟街道', 'sanxiabaquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420525', '4205', '420525', '远安县', 'yuananxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420525101', '420525', '420525101', '鸣凤镇', 'mingfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420525102', '420525', '420525102', '花林寺镇', 'hualinsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420525103', '420525', '420525103', '旧县镇', 'jiuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420525104', '420525', '420525104', '洋坪镇', 'yangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420525105', '420525', '420525105', '茅坪场镇', 'maopingchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420525106', '420525', '420525106', '荷花镇', 'hehuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420525201', '420525', '420525201', '河口乡', 'hekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420526', '4205', '420526', '兴山县', 'xingshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420526101', '420526', '420526101', '古夫镇', 'gufuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420526102', '420526', '420526102', '高阳镇', 'gaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420526103', '420526', '420526103', '峡口镇', 'xiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420526104', '420526', '420526104', '南阳镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420526105', '420526', '420526105', '黄粮镇', 'huangliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420526106', '420526', '420526106', '水月寺镇', 'shuiyuesizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420526201', '420526', '420526201', '高桥乡', 'gaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420526202', '420526', '420526202', '榛子乡', 'zhenzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527', '4205', '420527', '秭归县', 'ziguixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527101', '420527', '420527101', '茅坪镇', 'maopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527102', '420527', '420527102', '归州镇', 'guizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527103', '420527', '420527103', '屈原镇', 'quyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527104', '420527', '420527104', '沙镇溪镇', 'shazhenxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527105', '420527', '420527105', '两河口镇', 'lianghekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527106', '420527', '420527106', '郭家坝镇', 'guojiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527107', '420527', '420527107', '杨林桥镇', 'yanglinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527201', '420527', '420527201', '水田坝乡', 'shuitianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527202', '420527', '420527202', '泄滩乡', 'xietanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527203', '420527', '420527203', '梅家河乡', 'meijiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527204', '420527', '420527204', '磨坪乡', 'mopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420527205', '420527', '420527205', '周坪乡', 'zhoupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528', '4205', '420528', '长阳土家族自治县', 'zhangyangtujiazuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528101', '420528', '420528101', '龙舟坪镇', 'longzhoupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528102', '420528', '420528102', '高家堰镇', 'gaojiayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528103', '420528', '420528103', '磨市镇', 'moshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528104', '420528', '420528104', '都镇湾镇', 'douzhenwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528105', '420528', '420528105', '资丘镇', 'ziqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528106', '420528', '420528106', '渔峡口镇', 'yuxiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528107', '420528', '420528107', '榔坪镇', 'langpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528108', '420528', '420528108', '贺家坪镇', 'hejiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528201', '420528', '420528201', '大堰乡', 'dayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528202', '420528', '420528202', '鸭子口乡', 'yazikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420528203', '420528', '420528203', '火烧坪乡', 'huoshaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420529', '4205', '420529', '五峰土家族自治县', 'wufengtujiazuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420529101', '420529', '420529101', '五峰镇', 'wufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420529102', '420529', '420529102', '长乐坪镇', 'zhanglepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420529103', '420529', '420529103', '渔洋关镇', 'yuyangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420529104', '420529', '420529104', '仁和坪镇', 'renhepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420529105', '420529', '420529105', '湾潭镇', 'wantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420529201', '420529', '420529201', '付家堰乡', 'fujiayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420529202', '420529', '420529202', '牛庄乡', 'niuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420529203', '420529', '420529203', '采花乡', 'caihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581', '4205', '420581', '宜都市', 'yidoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581001', '420581', '420581001', '陆城街道', 'luchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581070', '420581', '420581070', '宜都工业园区虚拟街道', 'yidougongyeyuanquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581100', '420581', '420581100', '红花套镇', 'honghuataozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581101', '420581', '420581101', '高坝洲镇', 'gaobazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581102', '420581', '420581102', '聂家河镇', 'niejiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581103', '420581', '420581103', '松木坪镇', 'songmupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581104', '420581', '420581104', '枝城镇', 'zhichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581200', '420581', '420581200', '姚家店乡', 'yaojiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581201', '420581', '420581201', '五眼泉乡', 'wuyanquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581202', '420581', '420581202', '潘家湾土家族乡', 'panjiawantujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581203', '420581', '420581203', '王家畈乡', 'wangjiafanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420581450', '420581', '420581450', '松宜矿区管理委员会', 'songyikuangquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420582', '4205', '420582', '当阳市', 'dangyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420582001', '420582', '420582001', '玉阳街道', 'yuyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420582002', '420582', '420582002', '坝陵街道', 'balingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420582003', '420582', '420582003', '玉泉街道', 'yuquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420582101', '420582', '420582101', '两河镇', 'lianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420582102', '420582', '420582102', '河溶镇', 'herongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420582103', '420582', '420582103', '育溪镇', 'yuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420582104', '420582', '420582104', '庙前镇', 'miaoqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420582105', '420582', '420582105', '王店镇', 'wangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420582106', '420582', '420582106', '半月镇', 'banyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420582107', '420582', '420582107', '草埠湖镇', 'caobuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420583', '4205', '420583', '枝江市', 'zhijiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420583001', '420583', '420583001', '马家店街道', 'majiadianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420583101', '420583', '420583101', '安福寺镇', 'anfusizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420583102', '420583', '420583102', '白洋镇', 'baiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420583103', '420583', '420583103', '顾家店镇', 'gujiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420583104', '420583', '420583104', '董市镇', 'dongshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420583105', '420583', '420583105', '仙女镇', 'xiannu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420583106', '420583', '420583106', '问安镇', 'wenanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420583107', '420583', '420583107', '七星台镇', 'qixingtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420583108', '420583', '420583108', '百里洲镇', 'bailizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4206', '42', '4206', '襄樊市', 'xiangfanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420601', '4206', '420601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420602', '4206', '420602', '襄城区', 'xiangchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420602001', '420602', '420602001', '王府街道', 'wangfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420602002', '420602', '420602002', '昭明街道', 'zhaomingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420602003', '420602', '420602003', '庞公街道', 'panggongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420602004', '420602', '420602004', '檀溪街道', 'tanxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420602005', '420602', '420602005', '隆中街道', 'longzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420602100', '420602', '420602100', '欧庙镇', 'oumiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420602101', '420602', '420602101', '卧龙镇', 'wolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420602200', '420602', '420602200', '尹集乡', 'yinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606', '4206', '420606', '樊城区', 'fanchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606001', '420606', '420606001', '汉江街道', 'hanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606002', '420606', '420606002', '王寨街道', 'wangzhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606003', '420606', '420606003', '中原街道', 'zhongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606004', '420606', '420606004', '定中门街道', 'dingzhongmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606005', '420606', '420606005', '清河口街道', 'qinghekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606006', '420606', '420606006', '屏襄门街道', 'pingxiangmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606007', '420606', '420606007', '米公街道', 'migongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606008', '420606', '420606008', '柿铺街道', 'shipujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606070', '420606', '420606070', '高新区紫贞街道', 'gaoxinquzizhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606071', '420606', '420606071', '高新区七里河街道', 'gaoxinquqilihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606090', '420606', '420606090', '鱼梁洲街道', 'yuliangzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606100', '420606', '420606100', '牛首镇', 'niushouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606101', '420606', '420606101', '太平店镇', 'taipingdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606170', '420606', '420606170', '高新区团山镇', 'gaoxinqutuanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606180', '420606', '420606180', '高新区米庄镇', 'gaoxinqumizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420606400', '420606', '420606400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607', '4206', '420607', '襄阳区', 'xiangyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607100', '420607', '420607100', '张湾镇', 'zhangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607101', '420607', '420607101', '龙王镇', 'longwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607102', '420607', '420607102', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607103', '420607', '420607103', '黄集镇', 'huangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607104', '420607', '420607104', '伙牌镇', 'huopaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607105', '420607', '420607105', '古驿镇', 'guyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607106', '420607', '420607106', '朱集镇', 'zhujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607107', '420607', '420607107', '程河镇', 'chenghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607108', '420607', '420607108', '双沟镇', 'shuanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607109', '420607', '420607109', '张家集镇', 'zhangjiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607110', '420607', '420607110', '黄龙镇', 'huanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607111', '420607', '420607111', '峪山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607112', '420607', '420607112', '东津镇', 'dongjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420607400', '420607', '420607400', '襄北农场', 'xiangbeinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624', '4206', '420624', '南漳县', 'nanzhangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624100', '420624', '420624100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624101', '420624', '420624101', '武安镇', 'wuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624102', '420624', '420624102', '九集镇', 'jiujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624103', '420624', '420624103', '李庙镇', 'limiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624104', '420624', '420624104', '长坪镇', 'zhangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624105', '420624', '420624105', '薛坪镇', 'xuepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624106', '420624', '420624106', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624107', '420624', '420624107', '巡检镇', 'xunjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624108', '420624', '420624108', '东巩镇', 'donggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624109', '420624', '420624109', '肖堰镇', 'xiaoyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420624450', '420624', '420624450', '清河管理区', 'qingheguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625', '4206', '420625', '谷城县', 'guchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625100', '420625', '420625100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625101', '420625', '420625101', '石花镇', 'shihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625102', '420625', '420625102', '盛康镇', 'shengkangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625103', '420625', '420625103', '庙滩镇', 'miaotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625104', '420625', '420625104', '五山镇', 'wushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625105', '420625', '420625105', '茨河镇', 'cihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625106', '420625', '420625106', '南河镇', 'nanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625107', '420625', '420625107', '紫金镇', 'zijinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625108', '420625', '420625108', '冷集镇', 'lengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625200', '420625', '420625200', '赵湾乡', 'zhaowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420625400', '420625', '420625400', '薤山林场', 'xieshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626', '4206', '420626', '保康县', 'baokangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626100', '420626', '420626100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626101', '420626', '420626101', '黄堡镇', 'huangbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626102', '420626', '420626102', '后坪镇', 'houpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626103', '420626', '420626103', '龙坪镇', 'longpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626104', '420626', '420626104', '店垭镇', 'dianyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626105', '420626', '420626105', '马良镇', 'maliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626106', '420626', '420626106', '歇马镇', 'xiemazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626107', '420626', '420626107', '马桥镇', 'maqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626108', '420626', '420626108', '寺坪镇', 'sipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626109', '420626', '420626109', '过渡湾镇', 'guoduwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420626200', '420626', '420626200', '两峪乡', 'liangyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682', '4206', '420682', '老河口市', 'laohekoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682001', '420682', '420682001', '光化街道', 'guanghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682002', '420682', '420682002', '酂阳街道', 'cuoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682003', '420682', '420682003', '洪山嘴街道', 'hongshanzuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682004', '420682', '420682004', '李楼街道', 'liloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682100', '420682', '420682100', '孟楼镇', 'menglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682101', '420682', '420682101', '竹林桥镇', 'zhulinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682102', '420682', '420682102', '薛集镇', 'xuejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682103', '420682', '420682103', '张集镇', 'zhangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682104', '420682', '420682104', '仙人渡镇', 'xianrenduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682200', '420682', '420682200', '袁冲乡', 'yuanchongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682400', '420682', '420682400', '蔬菜原种场', 'shucaiyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682401', '420682', '420682401', '百花山林场', 'baihuashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682402', '420682', '420682402', '林茂山林场', 'linmaoshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420682403', '420682', '420682403', '二房营原种场', 'erfangyingyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683', '4206', '420683', '枣阳市', 'zaoyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683001', '420683', '420683001', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683002', '420683', '420683002', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683003', '420683', '420683003', '环城街道', 'huanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683100', '420683', '420683100', '琚湾镇', 'juwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683101', '420683', '420683101', '七方镇', 'qifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683102', '420683', '420683102', '杨当镇', 'yangdangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683103', '420683', '420683103', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683104', '420683', '420683104', '新市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683105', '420683', '420683105', '鹿头镇', 'lutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683106', '420683', '420683106', '刘升镇', 'liushengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683107', '420683', '420683107', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683108', '420683', '420683108', '王城镇', 'wangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683109', '420683', '420683109', '吴店镇', 'wudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683110', '420683', '420683110', '熊集镇', 'xiongjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683111', '420683', '420683111', '平林镇', 'pinglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683400', '420683', '420683400', '随阳农场', 'suiyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420683401', '420683', '420683401', '车河农场', 'chehenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684', '4206', '420684', '宜城市', 'yichengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684001', '420684', '420684001', '鄢城街道', 'yanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684002', '420684', '420684002', '南营街道', 'nanyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684102', '420684', '420684102', '郑集镇', 'zhengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684103', '420684', '420684103', '小河镇', 'xiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684104', '420684', '420684104', '刘猴镇', 'liuhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684105', '420684', '420684105', '孔湾镇', 'kongwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684106', '420684', '420684106', '流水镇', 'liushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684107', '420684', '420684107', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684108', '420684', '420684108', '王集镇', 'wangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684400', '420684', '420684400', '襄南监狱', 'xiangnanjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684401', '420684', '420684401', '劳教所', 'laojiaosuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684450', '420684', '420684450', '大雁工业园区', 'dayangongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420684451', '420684', '420684451', '雷河发展园区', 'leihefazhanyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4207', '42', '4207', '鄂州市', 'ezhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420701', '4207', '420701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420702', '4207', '420702', '粱子湖区', 'liangzihuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420702100', '420702', '420702100', '太和镇', 'taihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420702101', '420702', '420702101', '东沟镇', 'donggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420702102', '420702', '420702102', '梁子生态管理区(镇)', 'liangzishengtaiguanliqu(zhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420702103', '420702', '420702103', '涂家垴镇', 'tujianaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420702104', '420702', '420702104', '沼山镇', 'zhaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420703', '4207', '420703', '华容区', 'huarongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420703100', '420703', '420703100', '华容镇', 'huarongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420703101', '420703', '420703101', '葛店镇', 'gedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420703102', '420703', '420703102', '庙岭镇', 'miaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420703103', '420703', '420703103', '段店镇', 'duandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420703200', '420703', '420703200', '临江乡', 'linjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420703201', '420703', '420703201', '蒲团乡', 'putuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420703400', '420703', '420703400', '葛店开发区', 'gediankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704', '4207', '420704', '鄂城区', 'echengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704001', '420704', '420704001', '凤凰街道', 'fenghuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704002', '420704', '420704002', '古楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704003', '420704', '420704003', '西山街道', 'xishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704004', '420704', '420704004', '凡口街道', 'fankoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704100', '420704', '420704100', '泽林镇', 'zelinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704101', '420704', '420704101', '杜山镇', 'dushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704102', '420704', '420704102', '新庙镇', 'xinmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704103', '420704', '420704103', '碧石镇', 'bishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704104', '420704', '420704104', '汀祖镇', 'tingzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704105', '420704', '420704105', '燕矶镇', 'yanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704106', '420704', '420704106', '杨叶镇', 'yangyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704107', '420704', '420704107', '花湖镇', 'huahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704108', '420704', '420704108', '长港镇', 'zhanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420704200', '420704', '420704200', '沙窝乡', 'shawoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4208', '42', '4208', '荆门市', 'jingmenshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420801', '4208', '420801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420802', '4208', '420802', '东宝区', 'dongbaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420802001', '420802', '420802001', '龙泉街道办', 'longquanjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420802002', '420802', '420802002', '泉口街道办', 'quankoujiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420802100', '420802', '420802100', '栗溪镇', 'lixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420802101', '420802', '420802101', '子陵镇', 'zilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420802102', '420802', '420802102', '漳河镇', 'zhanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420802103', '420802', '420802103', '马河镇', 'mahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420802104', '420802', '420802104', '石桥驿镇', 'shiqiaoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420802105', '420802', '420802105', '牌楼镇', 'pailouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420802200', '420802', '420802200', '仙居乡', 'xianjuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420804', '4208', '420804', '掇刀区', 'duodaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420804001', '420804', '420804001', '掇刀街道', 'duodaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420804002', '420804', '420804002', '白庙街道', 'baimiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420804007', '420804', '420804007', '荆门高新区虚拟街道', 'jingmengaoxinquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420804100', '420804', '420804100', '团林铺镇', 'tuanlinpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420804101', '420804', '420804101', '麻城镇', 'machengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821', '4208', '420821', '京山县', 'jingshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821100', '420821', '420821100', '新市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821101', '420821', '420821101', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821102', '420821', '420821102', '曹武镇', 'caowuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821103', '420821', '420821103', '罗店镇', 'luodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821104', '420821', '420821104', '宋河镇', 'songhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821105', '420821', '420821105', '坪坝镇', 'pingbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821106', '420821', '420821106', '三阳镇', 'sanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821107', '420821', '420821107', '绿林镇', 'lu:linzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821108', '420821', '420821108', '杨集镇', 'yangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821109', '420821', '420821109', '孙桥镇', 'sunqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821110', '420821', '420821110', '石龙镇', 'shilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821111', '420821', '420821111', '永隆镇', 'yonglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821112', '420821', '420821112', '雁门口镇', 'yanmenkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821113', '420821', '420821113', '钱场镇', 'qianchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821170', '420821', '420821170', '开发区(镇)', 'kaifaqu(zhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821451', '420821', '420821451', '罗汉寺', 'luohansi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821452', '420821', '420821452', '长滩', 'zhangtan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821453', '420821', '420821453', '何集', 'heji', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821454', '420821', '420821454', '屈家岭', 'qujialing', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821455', '420821', '420821455', '易家岭', 'yijialing', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821456', '420821', '420821456', '太子山林场(虚拟镇)', 'taizishanlinchang(xunizhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420821457', '420821', '420821457', '原种场(虚拟镇)', 'yuanzhongchang(xunizhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822', '4208', '420822', '沙洋县', 'shayangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822100', '420822', '420822100', '沙洋镇', 'shayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822101', '420822', '420822101', '五里铺镇', 'wulipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822102', '420822', '420822102', '十里铺镇', 'shilipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822103', '420822', '420822103', '纪山镇', 'jishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822104', '420822', '420822104', '拾回桥镇', 'shihuiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822105', '420822', '420822105', '后港镇', 'hougangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822106', '420822', '420822106', '毛李镇', 'maolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822107', '420822', '420822107', '官当镇', 'guandangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822108', '420822', '420822108', '李市镇', 'lishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822109', '420822', '420822109', '马良镇', 'maliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822110', '420822', '420822110', '高阳镇', 'gaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822111', '420822', '420822111', '沈集镇', 'shenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822112', '420822', '420822112', '曾集镇', 'cengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822450', '420822', '420822450', '沙洋监狱管理局', 'shayangjianyuguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420822451', '420822', '420822451', '沙洋劳动教养管理所', 'shayanglaodongjiaoyangguanlisuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881', '4208', '420881', '钟祥市', 'zhongxiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881001', '420881', '420881001', '郢中街道', 'yingzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881100', '420881', '420881100', '洋梓镇', 'yangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881101', '420881', '420881101', '长寿镇', 'zhangshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881102', '420881', '420881102', '丰乐镇', 'fenglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881103', '420881', '420881103', '胡集镇', 'hujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881104', '420881', '420881104', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881105', '420881', '420881105', '磷矿镇', 'linkuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881106', '420881', '420881106', '文集镇', 'wenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881107', '420881', '420881107', '冷水镇', 'lengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881108', '420881', '420881108', '石牌镇', 'shipaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881109', '420881', '420881109', '旧口镇', 'jiukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881110', '420881', '420881110', '柴湖镇', 'chaihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881111', '420881', '420881111', '长滩镇', 'zhangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881112', '420881', '420881112', '东桥镇', 'dongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881113', '420881', '420881113', '客店镇', 'kedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881114', '420881', '420881114', '张集镇', 'zhangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881200', '420881', '420881200', '九里乡', 'jiulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881450', '420881', '420881450', '国营官庄湖农场', 'guoyingguanzhuanghunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881451', '420881', '420881451', '南湖原种场', 'nanhuyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881452', '420881', '420881452', '罗汉寺种畜场', 'luohansizhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420881458', '420881', '420881458', '温峡水库', 'wenxiashuiku', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4209', '42', '4209', '孝感市', 'xiaoganshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420901', '4209', '420901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902', '4209', '420902', '孝南区', 'xiaonanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902001', '420902', '420902001', '孝南区书院街道', 'xiaonanqushuyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902002', '420902', '420902002', '孝南区新华街道', 'xiaonanquxinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902003', '420902', '420902003', '孝南区广场街道', 'xiaonanquguangchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902004', '420902', '420902004', '孝南区车站街道', 'xiaonanquchezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902100', '420902', '420902100', '孝南区新铺镇', 'xiaonanquxinpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902101', '420902', '420902101', '孝南区西河镇', 'xiaonanquxihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902102', '420902', '420902102', '孝南区杨店镇', 'xiaonanquyangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902103', '420902', '420902103', '孝南区陡岗镇', 'xiaonanqudougangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902104', '420902', '420902104', '孝南区肖港镇', 'xiaonanquxiaogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902105', '420902', '420902105', '孝南区毛陈镇', 'xiaonanqumaochenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902106', '420902', '420902106', '孝南区三汊镇', 'xiaonanqusanchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902107', '420902', '420902107', '孝南区祝站镇', 'xiaonanquzhuzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902200', '420902', '420902200', '孝南区朋兴乡', 'xiaonanqupengxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902201', '420902', '420902201', '孝南区卧龙乡', 'xiaonanquwolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902202', '420902', '420902202', '孝南区闵集乡', 'xiaonanquminjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902400', '420902', '420902400', '孝南区南大开发区', 'xiaonanqunandakaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902450', '420902', '420902450', '孝南区朱胡农场', 'xiaonanquzhuhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902500', '420902', '420902500', '孝南区东山头原种场', 'xiaonanqudongshantouyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420902570', '420902', '420902570', '孝感开发区', 'xiaogankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921', '4209', '420921', '孝昌县', 'xiaochangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921100', '420921', '420921100', '花园镇', 'huayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921101', '420921', '420921101', '丰山镇', 'fengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921102', '420921', '420921102', '周巷镇', 'zhouxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921103', '420921', '420921103', '小河镇', 'xiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921104', '420921', '420921104', '王店镇', 'wangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921105', '420921', '420921105', '卫店镇', 'weidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921106', '420921', '420921106', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921107', '420921', '420921107', '邹岗镇', 'zougangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921200', '420921', '420921200', '小悟乡', 'xiaowuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921201', '420921', '420921201', '季店乡', 'jidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921202', '420921', '420921202', '花西乡', 'huaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921203', '420921', '420921203', '陡山乡', 'doushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921400', '420921', '420921400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420921500', '420921', '420921500', '双峰山旅游渡假区', 'shuangfengshanlu:youdujiaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922', '4209', '420922', '大悟县', 'dawuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922100', '420922', '420922100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922101', '420922', '420922101', '阳平镇', 'yangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922102', '420922', '420922102', '芳畈镇', 'fangfanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922103', '420922', '420922103', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922104', '420922', '420922104', '夏店镇', 'xiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922105', '420922', '420922105', '刘集镇', 'liujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922106', '420922', '420922106', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922107', '420922', '420922107', '四姑镇', 'siguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922108', '420922', '420922108', '吕王镇', 'lu:wangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922109', '420922', '420922109', '黄站镇', 'huangzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922110', '420922', '420922110', '宣化店镇', 'xuanhuadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922111', '420922', '420922111', '丰店镇', 'fengdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922112', '420922', '420922112', '大新镇', 'daxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922113', '420922', '420922113', '三里镇', 'sanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922200', '420922', '420922200', '高店乡', 'gaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922201', '420922', '420922201', '彭店乡', 'pengdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420922202', '420922', '420922202', '东新乡', 'dongxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923', '4209', '420923', '云梦县', 'yunmengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923100', '420923', '420923100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923101', '420923', '420923101', '义堂镇', 'yitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923102', '420923', '420923102', '曾店镇', 'cengdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923103', '420923', '420923103', '吴铺镇', 'wupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923104', '420923', '420923104', '伍洛镇', 'wuluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923105', '420923', '420923105', '下辛店镇', 'xiaxindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923106', '420923', '420923106', '道桥镇', 'daoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923107', '420923', '420923107', '隔蒲潭镇', 'geputanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923108', '420923', '420923108', '胡金店镇', 'hujindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923200', '420923', '420923200', '倒店乡', 'daodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923201', '420923', '420923201', '沙河乡', 'shahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923202', '420923', '420923202', '清明河乡', 'qingminghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420923450', '420923', '420923450', '县经济技术开发区', 'xianjingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981', '4209', '420981', '应城市', 'yingchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981001', '420981', '420981001', '城中街道', 'chengzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981002', '420981', '420981002', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981003', '420981', '420981003', '四里棚街道', 'silipengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981004', '420981', '420981004', '东马坊街道', 'dongmafangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981005', '420981', '420981005', '长江埠街道', 'zhangjiangbujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981100', '420981', '420981100', '田店镇', 'tiandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981101', '420981', '420981101', '杨河镇', 'yanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981102', '420981', '420981102', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981103', '420981', '420981103', '郎君镇', 'langjunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981104', '420981', '420981104', '黄滩镇', 'huangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981105', '420981', '420981105', '天鹅镇', 'tianezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981106', '420981', '420981106', '义和镇', 'yihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981107', '420981', '420981107', '陈河镇', 'chenhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981108', '420981', '420981108', '杨岭镇', 'yanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981109', '420981', '420981109', '汤池镇', 'tangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981400', '420981', '420981400', '经济技术开发区', 'jingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420981500', '420981', '420981500', '南垸良种场', 'nanhuanliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982', '4209', '420982', '安陆市', 'anlushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982001', '420982', '420982001', '府城街道', 'fuchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982002', '420982', '420982002', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982100', '420982', '420982100', '赵棚镇', 'zhaopengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982101', '420982', '420982101', '李店镇', 'lidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982102', '420982', '420982102', '巡店镇', 'xundianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982103', '420982', '420982103', '棠棣镇', 'tangdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982104', '420982', '420982104', '雷公镇', 'leigongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982105', '420982', '420982105', '王义贞镇', 'wangyizhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982106', '420982', '420982106', '烟店镇', 'yandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982107', '420982', '420982107', '孛畈镇', 'beifanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982108', '420982', '420982108', '伏水镇', 'fushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982200', '420982', '420982200', '陈店乡', 'chendianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982201', '420982', '420982201', '辛榨乡', 'xinzhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982202', '420982', '420982202', '木梓乡', 'muzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982203', '420982', '420982203', '接官乡', 'jieguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420982400', '420982', '420982400', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984', '4209', '420984', '汉川市', 'hanchuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984001', '420984', '420984001', '仙女山街道', 'xiannu:shanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984100', '420984', '420984100', '马口镇', 'makouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984101', '420984', '420984101', '脉旺镇', 'maiwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984102', '420984', '420984102', '城隍镇', 'chenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984103', '420984', '420984103', '分水镇', 'fenshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984104', '420984', '420984104', '沉湖镇', 'chenhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984105', '420984', '420984105', '二河镇', 'erhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984106', '420984', '420984106', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984107', '420984', '420984107', '新堰镇', 'xinyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984108', '420984', '420984108', '垌冢镇', 'tongzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984109', '420984', '420984109', '麻河镇', 'mahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984110', '420984', '420984110', '刘家隔镇', 'liujiagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984111', '420984', '420984111', '新河镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984112', '420984', '420984112', '庙头镇', 'miaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984113', '420984', '420984113', '杨林沟镇', 'yanglingouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984200', '420984', '420984200', '西江乡', 'xijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984201', '420984', '420984201', '湾潭乡', 'wantanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984202', '420984', '420984202', '南河乡', 'nanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984203', '420984', '420984203', '马鞍乡', 'maanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984204', '420984', '420984204', '里潭乡', 'litanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984205', '420984', '420984205', '韩集乡', 'hanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984450', '420984', '420984450', '中洲农场', 'zhongzhounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984500', '420984', '420984500', '华严农场', 'huayannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984501', '420984', '420984501', '汈东农场', 'diaodongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984502', '420984', '420984502', '三星垸原种场', 'sanxinghuanyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984503', '420984', '420984503', '汈汊湖养殖场', 'diaochahuyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984504', '420984', '420984504', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('420984505', '420984', '420984505', '沉湖基地开发总公司', 'chenhujidikaifazonggongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4210', '42', '4210', '荆州市', 'jingzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421001', '4210', '421001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002', '4210', '421002', '沙市区', 'shashiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002001', '421002', '421002001', '中山街道', 'zhongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002002', '421002', '421002002', '崇文街道', 'chongwenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002003', '421002', '421002003', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002004', '421002', '421002004', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002005', '421002', '421002005', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002100', '421002', '421002100', '锣场镇', 'luochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002101', '421002', '421002101', '岑河镇', 'cenhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002102', '421002', '421002102', '观音当镇', 'guanyindangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002200', '421002', '421002200', '立新乡', 'lixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002201', '421002', '421002201', '关沮乡', 'guanjuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002202', '421002', '421002202', '联合乡', 'lianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002500', '421002', '421002500', '岑河原种场', 'cenheyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421002501', '421002', '421002501', '沙市农场', 'shashinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003', '4210', '421003', '荆州区', 'jingzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003001', '421003', '421003001', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003002', '421003', '421003002', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003003', '421003', '421003003', '城南经济开发区虚拟街道', 'chengnanjingjikaifaquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003100', '421003', '421003100', '纪南镇', 'jinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003101', '421003', '421003101', '川店镇', 'chuandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003102', '421003', '421003102', '马山镇', 'mashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003103', '421003', '421003103', '八岭山镇', 'balingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003104', '421003', '421003104', '李埠镇', 'libuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003105', '421003', '421003105', '弥市镇', 'mishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003106', '421003', '421003106', '郢城镇', 'yingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003450', '421003', '421003450', '太湖港管理区', 'taihugangguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421003451', '421003', '421003451', '菱角湖管理区', 'lingjiaohuguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022', '4210', '421022', '公安县', 'gonganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022100', '421022', '421022100', '埠河镇', 'buhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022101', '421022', '421022101', '斗湖堤镇', 'douhudizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022102', '421022', '421022102', '夹竹园镇', 'jiazhuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022103', '421022', '421022103', '闸口镇', 'zhakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022104', '421022', '421022104', '杨家厂镇', 'yangjiachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022105', '421022', '421022105', '麻豪口镇', 'mahaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022106', '421022', '421022106', '藕池镇', 'ouchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022107', '421022', '421022107', '黄山头镇', 'huangshantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022108', '421022', '421022108', '孟家溪镇', 'mengjiaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022109', '421022', '421022109', '南平镇', 'nanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022110', '421022', '421022110', '章庄铺镇', 'zhangzhuangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022111', '421022', '421022111', '狮子口镇', 'shizikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022112', '421022', '421022112', '斑竹垱镇', 'banzhudangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022113', '421022', '421022113', '毛家港镇', 'maojiagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022200', '421022', '421022200', '甘家厂乡', 'ganjiachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421022201', '421022', '421022201', '章田寺乡', 'zhangtiansixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023', '4210', '421023', '监利县', 'jianlixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023100', '421023', '421023100', '容城镇', 'rongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023101', '421023', '421023101', '朱河镇', 'zhuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023102', '421023', '421023102', '新沟镇', 'xingouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023103', '421023', '421023103', '龚场镇', 'gongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023104', '421023', '421023104', '周老嘴镇', 'zhoulaozuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023105', '421023', '421023105', '黄歇口镇', 'huangxiekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023106', '421023', '421023106', '汪桥镇', 'wangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023107', '421023', '421023107', '程集镇', 'chengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023108', '421023', '421023108', '分盐镇', 'fenyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023109', '421023', '421023109', '毛市镇', 'maoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023110', '421023', '421023110', '福田寺镇', 'futiansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023111', '421023', '421023111', '上车湾镇', 'shangchewanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023112', '421023', '421023112', '汴河镇', 'bianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023113', '421023', '421023113', '尺八镇', 'chibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023114', '421023', '421023114', '白螺镇', 'bailuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023115', '421023', '421023115', '网市镇', 'wangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023116', '421023', '421023116', '三洲镇', 'sanzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023117', '421023', '421023117', '桥市镇', 'qiaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023200', '421023', '421023200', '红城乡', 'hongchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023201', '421023', '421023201', '棋盘乡', 'qipanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023202', '421023', '421023202', '柘木乡', 'zhemuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023450', '421023', '421023450', '人民大垸农场管理区', 'renmindahuannongchangguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421023451', '421023', '421023451', '荒湖农场管理区', 'huanghunongchangguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024', '4210', '421024', '江陵县', 'jianglingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024100', '421024', '421024100', '资市镇', 'zishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024101', '421024', '421024101', '滩桥镇', 'tanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024102', '421024', '421024102', '熊河镇', 'xionghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024103', '421024', '421024103', '白马寺镇', 'baimasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024104', '421024', '421024104', '沙岗镇', 'shagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024105', '421024', '421024105', '普济镇', 'pujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024106', '421024', '421024106', '郝穴镇', 'haoxuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024200', '421024', '421024200', '马家寨乡', 'majiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024201', '421024', '421024201', '秦市乡', 'qinshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024450', '421024', '421024450', '江北监狱', 'jiangbeijianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024500', '421024', '421024500', '三湖管理区', 'sanhuguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421024501', '421024', '421024501', '六合垸管理区', 'liuhehuanguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081', '4210', '421081', '石首市', 'shishoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081001', '421081', '421081001', '绣林街道', 'xiulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081002', '421081', '421081002', '笔架山街道', 'bijiashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081100', '421081', '421081100', '新厂镇', 'xinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081101', '421081', '421081101', '横沟市镇', 'henggoushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081102', '421081', '421081102', '大垸镇', 'dahuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081103', '421081', '421081103', '小河口镇', 'xiaohekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081104', '421081', '421081104', '桃花山镇', 'taohuashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081105', '421081', '421081105', '调关镇', 'diaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081106', '421081', '421081106', '东升镇', 'dongshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081107', '421081', '421081107', '高基庙镇', 'gaojimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081108', '421081', '421081108', '南口镇', 'nankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081109', '421081', '421081109', '高陵镇', 'gaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081110', '421081', '421081110', '团山寺镇', 'tuanshansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081200', '421081', '421081200', '久合垸乡', 'jiuhehuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421081500', '421081', '421081500', '天鹅洲开发区', 'tianezhoukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083', '4210', '421083', '洪湖市', 'honghushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083001', '421083', '421083001', '新堤街道', 'xindijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083002', '421083', '421083002', '滨湖街道', 'binhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083100', '421083', '421083100', '螺山镇', 'luoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083101', '421083', '421083101', '乌林镇', 'wulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083102', '421083', '421083102', '龙口镇', 'longkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083103', '421083', '421083103', '燕窝镇', 'yanwozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083104', '421083', '421083104', '新滩镇', 'xintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083105', '421083', '421083105', '峰口镇', 'fengkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083106', '421083', '421083106', '曹市镇', 'caoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083107', '421083', '421083107', '府场镇', 'fuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083108', '421083', '421083108', '戴家场镇', 'daijiachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083109', '421083', '421083109', '瞿家湾镇', 'jujiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083110', '421083', '421083110', '沙口镇', 'shakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083111', '421083', '421083111', '万全镇', 'wanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083112', '421083', '421083112', '汊河镇', 'chahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083113', '421083', '421083113', '黄家口镇', 'huangjiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083200', '421083', '421083200', '老湾乡', 'laowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083450', '421083', '421083450', '小港管理区', 'xiaogangguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083451', '421083', '421083451', '大同湖管理区', 'datonghuguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421083452', '421083', '421083452', '大沙湖管理区', 'dashahuguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087', '4210', '421087', '松滋市', 'songzishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087100', '421087', '421087100', '新江口镇', 'xinjiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087101', '421087', '421087101', '南海镇', 'nanhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087102', '421087', '421087102', '八宝镇', 'babaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087103', '421087', '421087103', '宛市镇', 'wanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087104', '421087', '421087104', '老城镇', 'laochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087105', '421087', '421087105', '陈店镇', 'chendianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087106', '421087', '421087106', '王家桥镇', 'wangjiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087107', '421087', '421087107', '斯家场镇', 'sijiachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087108', '421087', '421087108', '杨林市镇', 'yanglinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087109', '421087', '421087109', '纸厂河镇', 'zhichanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087110', '421087', '421087110', '街河市镇', 'jieheshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087111', '421087', '421087111', '危水镇', 'weishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087112', '421087', '421087112', '刘家场镇', 'liujiachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087113', '421087', '421087113', '沙道观镇', 'shadaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087200', '421087', '421087200', '万家乡', 'wanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421087201', '421087', '421087201', '卸甲坪土家族乡', 'xiejiapingtujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4211', '42', '4211', '黄冈市', 'huanggangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421101', '4211', '421101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421102', '4211', '421102', '黄州区', 'huangzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421102001', '421102', '421102001', '赤壁街道', 'chibijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421102002', '421102', '421102002', '东湖街道', 'donghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421102003', '421102', '421102003', '禹王街道', 'yuwangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421102004', '421102', '421102004', '南湖街道', 'nanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421102100', '421102', '421102100', '路口镇', 'lukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421102101', '421102', '421102101', '堵城镇', 'duchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421102102', '421102', '421102102', '陈策楼镇', 'chencelouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421102200', '421102', '421102200', '陶店乡', 'taodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421102450', '421102', '421102450', '火车站开发区', 'huochezhankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421102470', '421102', '421102470', '黄州科技经济开发区管理委员会', 'huangzhoukejijingjikaifaquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121', '4211', '421121', '团风县', 'tuanfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121100', '421121', '421121100', '团风镇', 'tuanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121101', '421121', '421121101', '淋山河镇', 'linshanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121102', '421121', '421121102', '方高坪镇', 'fanggaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121103', '421121', '421121103', '回龙山镇', 'huilongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121104', '421121', '421121104', '马曹庙镇', 'macaomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121105', '421121', '421121105', '上巴河镇', 'shangbahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121106', '421121', '421121106', '总路咀镇', 'zonglujuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121107', '421121', '421121107', '但店镇', 'dandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121200', '421121', '421121200', '贾庙乡', 'jiamiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121201', '421121', '421121201', '杜皮乡', 'dupixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121400', '421121', '421121400', '黄湖农场', 'huanghunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421121401', '421121', '421121401', '金锣港农场', 'jinluogangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122', '4211', '421122', '红安县', 'honganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122100', '421122', '421122100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122101', '421122', '421122101', '七里坪镇', 'qilipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122102', '421122', '421122102', '华河镇', 'huahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122103', '421122', '421122103', '二程镇', 'erchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122104', '421122', '421122104', '上新集镇', 'shangxinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122105', '421122', '421122105', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122106', '421122', '421122106', '觅儿镇', 'mierzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122107', '421122', '421122107', '八里镇', 'balizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122108', '421122', '421122108', '太平桥镇', 'taipingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122109', '421122', '421122109', '永河镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122200', '421122', '421122200', '杏花乡', 'xinghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122500', '421122', '421122500', '火连畈茶场', 'huolianfanchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421122501', '421122', '421122501', '天台山旅游开发管理处', 'tiantaishanlu:youkaifaguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123', '4211', '421123', '罗田县', 'luotianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123100', '421123', '421123100', '凤山镇', 'fengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123101', '421123', '421123101', '骆驼坳镇', 'luotuoaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123102', '421123', '421123102', '大河岸镇', 'daheanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123103', '421123', '421123103', '九资河镇', 'jiuzihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123104', '421123', '421123104', '胜利镇', 'shenglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123105', '421123', '421123105', '河铺镇', 'hepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123106', '421123', '421123106', '三里畈镇', 'sanlifanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123200', '421123', '421123200', '白莲河乡', 'bailianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123201', '421123', '421123201', '匡河乡', 'kuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123202', '421123', '421123202', '白庙河乡', 'baimiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123203', '421123', '421123203', '平湖乡', 'pinghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123204', '421123', '421123204', '大崎乡', 'daqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123500', '421123', '421123500', '青苔关林场', 'qingtaiguanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123501', '421123', '421123501', '天堂寨林场', 'tiantangzhailinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123502', '421123', '421123502', '薄刀峰林场', 'bodaofenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421123503', '421123', '421123503', '黄狮寨林场', 'huangshizhailinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124', '4211', '421124', '英山县', 'yingshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124100', '421124', '421124100', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124101', '421124', '421124101', '南河镇', 'nanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124102', '421124', '421124102', '红山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124103', '421124', '421124103', '金家铺镇', 'jinjiapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124104', '421124', '421124104', '石头咀镇', 'shitoujuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124105', '421124', '421124105', '草盘地镇', 'caopandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124106', '421124', '421124106', '雷家店镇', 'leijiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124107', '421124', '421124107', '杨柳湾镇', 'yangliuwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124200', '421124', '421124200', '方家咀乡', 'fangjiajuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124201', '421124', '421124201', '孔家坊乡', 'kongjiafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124202', '421124', '421124202', '陶家河乡', 'taojiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124400', '421124', '421124400', '桃花冲林场', 'taohuachonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124401', '421124', '421124401', '吴家山林场', 'wujiashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421124402', '421124', '421124402', '五峰山林场', 'wufengshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125', '4211', '421125', '浠水县', 'xishuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125100', '421125', '421125100', '清泉镇', 'qingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125101', '421125', '421125101', '巴河镇', 'bahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125102', '421125', '421125102', '竹瓦镇', 'zhuwazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125103', '421125', '421125103', '汪岗镇', 'wanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125104', '421125', '421125104', '团陂镇', 'tuanpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125105', '421125', '421125105', '关口镇', 'guankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125106', '421125', '421125106', '白莲镇', 'bailianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125107', '421125', '421125107', '蔡河镇', 'caihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125108', '421125', '421125108', '洗马镇', 'ximazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125109', '421125', '421125109', '丁司垱镇', 'dingsidangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125110', '421125', '421125110', '散花镇', 'sanhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125111', '421125', '421125111', '兰溪镇', 'lanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125170', '421125', '421125170', '经济开发区镇', 'jingjikaifaquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125200', '421125', '421125200', '绿杨乡', 'lu:yangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125400', '421125', '421125400', '策湖养殖场', 'cehuyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421125401', '421125', '421125401', '三角山林场', 'sanjiaoshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126', '4211', '421126', '蕲春县', 'qichunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126100', '421126', '421126100', '漕河镇', 'caohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126101', '421126', '421126101', '赤东镇', 'chidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126102', '421126', '421126102', '蕲州镇', 'qizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126103', '421126', '421126103', '管窑镇', 'guanyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126104', '421126', '421126104', '彭思镇', 'pengsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126105', '421126', '421126105', '横车镇', 'hengchezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126106', '421126', '421126106', '株林镇', 'zhulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126107', '421126', '421126107', '刘河镇', 'liuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126108', '421126', '421126108', '狮子镇', 'shizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126109', '421126', '421126109', '青石镇', 'qingshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126110', '421126', '421126110', '张榜镇', 'zhangbangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126111', '421126', '421126111', '大同镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126112', '421126', '421126112', '檀林镇', 'tanlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126200', '421126', '421126200', '向桥乡', 'xiangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126450', '421126', '421126450', '八里湖农场', 'balihunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421126451', '421126', '421126451', '铁路经济开发区', 'tielujingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127', '4211', '421127', '黄梅县', 'huangmeixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127100', '421127', '421127100', '黄梅镇', 'huangmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127101', '421127', '421127101', '孔垄镇', 'konglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127102', '421127', '421127102', '小池镇', 'xiaochizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127103', '421127', '421127103', '下新镇', 'xiaxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127104', '421127', '421127104', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127105', '421127', '421127105', '停前镇', 'tingqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127106', '421127', '421127106', '五祖镇', 'wuzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127107', '421127', '421127107', '濯港镇', 'zhuogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127108', '421127', '421127108', '蔡山镇', 'caishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127109', '421127', '421127109', '新开镇', 'xinkaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127110', '421127', '421127110', '独山镇', 'dushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127111', '421127', '421127111', '分路镇', 'fenluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127200', '421127', '421127200', '柳林乡', 'liulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127201', '421127', '421127201', '杉木乡', 'shanmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127202', '421127', '421127202', '苦竹乡', 'kuzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127203', '421127', '421127203', '刘佐乡', 'liuzuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127400', '421127', '421127400', '挪步园风景管理处', 'nuobuyuanfengjingguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421127401', '421127', '421127401', '龙感湖', 'longganhu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181', '4211', '421181', '麻城市', 'machengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181001', '421181', '421181001', '龙池', 'longchi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181002', '421181', '421181002', '鼓楼', 'gulou', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181003', '421181', '421181003', '南湖', 'nanhu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181100', '421181', '421181100', '中馆驿镇', 'zhongguanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181101', '421181', '421181101', '宋埠镇', 'songbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181102', '421181', '421181102', '歧亭镇', 'qitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181103', '421181', '421181103', '白果镇', 'baiguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181104', '421181', '421181104', '夫子河镇', 'fuzihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181105', '421181', '421181105', '阎家河镇', 'yanjiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181106', '421181', '421181106', '张家畈镇', 'zhangjiafanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181107', '421181', '421181107', '木子店镇', 'muzidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181108', '421181', '421181108', '盐田河镇', 'yantianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181109', '421181', '421181109', '三河口镇', 'sanhekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181110', '421181', '421181110', '黄土岗镇', 'huangtugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181111', '421181', '421181111', '福田河镇', 'futianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181112', '421181', '421181112', '乘马岗镇', 'chengmagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181113', '421181', '421181113', '顺河镇', 'shunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181200', '421181', '421181200', '铁门岗乡', 'tiemengangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181201', '421181', '421181201', '龟山乡', 'guishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181403', '421181', '421181403', '狮子峰林场', 'shizifenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181470', '421181', '421181470', '铁路生活区虚拟街道', 'tielushenghuoquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181471', '421181', '421181471', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421181500', '421181', '421181500', '五脑山林场', 'wunaoshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182', '4211', '421182', '武穴市', 'wuxueshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182001', '421182', '421182001', '武穴', 'wuxue', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182002', '421182', '421182002', '刊江', 'kanjiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182003', '421182', '421182003', '田镇', 'tianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182004', '421182', '421182004', '万丈湖', 'wanzhanghu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182100', '421182', '421182100', '梅川镇', 'meichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182101', '421182', '421182101', '余川镇', 'yuchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182102', '421182', '421182102', '花桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182103', '421182', '421182103', '大金镇', 'dajinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182104', '421182', '421182104', '石佛寺镇', 'shifosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182105', '421182', '421182105', '四望镇', 'siwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182106', '421182', '421182106', '法寺镇', 'fasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182107', '421182', '421182107', '龙坪镇', 'longpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421182400', '421182', '421182400', '万丈湖', 'wanzhanghu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4212', '42', '4212', '咸宁市', 'xianningshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421201', '4212', '421201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202', '4212', '421202', '咸安区', 'xiananqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202001', '421202', '421202001', '温泉', 'wenquan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202002', '421202', '421202002', '浮山', 'fushan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202003', '421202', '421202003', '永安', 'yongan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202100', '421202', '421202100', '汀泗桥镇', 'tingsiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202101', '421202', '421202101', '向阳湖镇', 'xiangyanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202102', '421202', '421202102', '官埠桥镇', 'guanbuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202103', '421202', '421202103', '横沟桥镇', 'henggouqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202104', '421202', '421202104', '贺胜桥镇', 'heshengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202105', '421202', '421202105', '双溪桥镇', 'shuangxiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202106', '421202', '421202106', '马桥镇', 'maqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202107', '421202', '421202107', '桂花镇', 'guihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202108', '421202', '421202108', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202200', '421202', '421202200', '大幕乡', 'damuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421202450', '421202', '421202450', '向阳湖奶牛良种场', 'xiangyanghunainiuliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421221', '4212', '421221', '嘉鱼县', 'jiayuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421221100', '421221', '421221100', '陆溪镇', 'luxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421221101', '421221', '421221101', '高铁岭镇', 'gaotielingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421221102', '421221', '421221102', '官桥镇', 'guanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421221103', '421221', '421221103', '鱼岳镇', 'yuyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421221104', '421221', '421221104', '新街镇', 'xinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421221105', '421221', '421221105', '渡普镇', 'dupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421221106', '421221', '421221106', '潘家湾镇', 'panjiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421221107', '421221', '421221107', '牌洲湾镇', 'paizhouwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421221450', '421221', '421221450', '头墩农场', 'toudunnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222', '4212', '421222', '通城县', 'tongchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222100', '421222', '421222100', '隽水镇', 'juanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222101', '421222', '421222101', '麦市镇', 'maishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222102', '421222', '421222102', '塘湖镇', 'tanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222103', '421222', '421222103', '关刀镇', 'guandaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222104', '421222', '421222104', '沙堆镇', 'shaduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222105', '421222', '421222105', '五里镇', 'wulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222106', '421222', '421222106', '石南镇', 'shinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222107', '421222', '421222107', '北港镇', 'beigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222108', '421222', '421222108', '马港镇', 'magangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222200', '421222', '421222200', '四庄乡', 'sizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222201', '421222', '421222201', '大坪乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222500', '421222', '421222500', '鹿角山林场', 'lujiaoshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421222501', '421222', '421222501', '林业大队', 'linyedadui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223', '4212', '421223', '崇阳县', 'chongyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223100', '421223', '421223100', '天城镇', 'tianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223101', '421223', '421223101', '沙坪镇', 'shapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223102', '421223', '421223102', '石城镇', 'shichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223103', '421223', '421223103', '桂花泉镇', 'guihuaquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223104', '421223', '421223104', '白霓镇', 'bainizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223105', '421223', '421223105', '路口镇', 'lukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223106', '421223', '421223106', '金塘镇', 'jintangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223107', '421223', '421223107', '青山镇', 'qingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223200', '421223', '421223200', '肖岭乡', 'xiaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223201', '421223', '421223201', '铜钟乡', 'tongzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223202', '421223', '421223202', '港口乡', 'gangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421223203', '421223', '421223203', '高枧乡', 'gaojianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224', '4212', '421224', '通山县', 'tongshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224100', '421224', '421224100', '通羊镇', 'tongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224101', '421224', '421224101', '南林桥镇', 'nanlinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224102', '421224', '421224102', '黄沙铺镇', 'huangshapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224103', '421224', '421224103', '厦铺镇', 'shapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224104', '421224', '421224104', '九宫山镇', 'jiugongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224105', '421224', '421224105', '闯王镇', 'chuangwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224106', '421224', '421224106', '洪港镇', 'honggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224107', '421224', '421224107', '大畈镇', 'dafanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224200', '421224', '421224200', '大路乡', 'daluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224201', '421224', '421224201', '杨芳林乡', 'yangfanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224202', '421224', '421224202', '燕厦乡', 'yanshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224203', '421224', '421224203', '慈口乡', 'cikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421224450', '421224', '421224450', '九宫山风景区', 'jiugongshanfengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281', '4212', '421281', '赤壁市', 'chibishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281001', '421281', '421281001', '蒲圻', 'puqi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281002', '421281', '421281002', '赤马港', 'chimagang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281003', '421281', '421281003', '陆水湖', 'lushuihu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281100', '421281', '421281100', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281101', '421281', '421281101', '赵李桥镇', 'zhaoliqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281102', '421281', '421281102', '茶庵岭镇', 'chaanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281103', '421281', '421281103', '车埠镇', 'chebuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281104', '421281', '421281104', '赤壁镇', 'chibizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281105', '421281', '421281105', '柳山湖镇', 'liushanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281106', '421281', '421281106', '神山镇', 'shenshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281107', '421281', '421281107', '中伙铺镇', 'zhonghuopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281108', '421281', '421281108', '官塘驿镇', 'guantangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281200', '421281', '421281200', '余家桥乡', 'yujiaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281450', '421281', '421281450', '黄盖湖农场', 'huanggaihunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281451', '421281', '421281451', '官塘驿林场', 'guantangyilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281452', '421281', '421281452', '羊楼洞茶场', 'yangloudongchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421281453', '421281', '421281453', '沧湖开发区', 'canghukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4213', '42', '4213', '随州市', 'suizhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421301', '4213', '421301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302', '4213', '421302', '曾都区', 'cengdouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302001', '421302', '421302001', '西城街道(办事处)', 'xichengjiedao(banshichu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302002', '421302', '421302002', '东城街道(办事处)', 'dongchengjiedao(banshichu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302003', '421302', '421302003', '南郊街道(办事处)', 'nanjiaojiedao(banshichu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302004', '421302', '421302004', '北郊街道(办事处)', 'beijiaojiedao(banshichu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302100', '421302', '421302100', '淅河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302101', '421302', '421302101', '万店镇', 'wandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302102', '421302', '421302102', '高城镇', 'gaochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302103', '421302', '421302103', '殷店镇', 'yindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302104', '421302', '421302104', '草店镇', 'caodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302105', '421302', '421302105', '小林镇', 'xiaolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302106', '421302', '421302106', '淮河镇', 'huaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302108', '421302', '421302108', '万和镇', 'wanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302109', '421302', '421302109', '尚市镇', 'shangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302110', '421302', '421302110', '厉山镇', 'lishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302111', '421302', '421302111', '唐县镇', 'tangxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302112', '421302', '421302112', '吴山镇', 'wushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302113', '421302', '421302113', '安居镇', 'anjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302114', '421302', '421302114', '新街镇', 'xinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302115', '421302', '421302115', '环潭镇', 'huantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302116', '421302', '421302116', '洪山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302118', '421302', '421302118', '长岗镇', 'zhanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302119', '421302', '421302119', '三里岗镇', 'sanligangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302120', '421302', '421302120', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302121', '421302', '421302121', '均川镇', 'junchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302122', '421302', '421302122', '何店镇', 'hedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302123', '421302', '421302123', '洛阳镇', 'luoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302124', '421302', '421302124', '府河镇', 'fuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302498', '421302', '421302498', '万福店', 'wanfudian', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421302499', '421302', '421302499', '曾都区新型工业基地', 'cengdouquxinxinggongyejidi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381', '4213', '421381', '广水市', 'guangshuishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381001', '421381', '421381001', '应山街道', 'yingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381002', '421381', '421381002', '十里(街道)', 'shili(jiedao)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381003', '421381', '421381003', '广水街道', 'guangshuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381100', '421381', '421381100', '武胜关镇', 'wushengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381101', '421381', '421381101', '杨寨镇', 'yangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381102', '421381', '421381102', '陈巷镇', 'chenxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381103', '421381', '421381103', '长岭镇', 'zhanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381104', '421381', '421381104', '马坪镇', 'mapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381105', '421381', '421381105', '关庙镇', 'guanmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381106', '421381', '421381106', '余店镇', 'yudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381107', '421381', '421381107', '吴店镇', 'wudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381108', '421381', '421381108', '郝店镇', 'haodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381109', '421381', '421381109', '蔡河镇', 'caihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381200', '421381', '421381200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381201', '421381', '421381201', '李店乡', 'lidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381202', '421381', '421381202', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381203', '421381', '421381203', '骆店乡', 'luodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381400', '421381', '421381400', '中华山林场', 'zhonghuashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381401', '421381', '421381401', '花山林场', 'huashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('421381402', '421381', '421381402', '三潭风景区', 'santanfengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4228', '42', '4228', '恩施州', 'enshizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801', '4228', '422801', '恩施市', 'enshishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801001', '422801', '422801001', '舞阳坝街道', 'wuyangbajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801002', '422801', '422801002', '六角亭街道', 'liujiaotingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801003', '422801', '422801003', '小渡船街道', 'xiaoduchuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801100', '422801', '422801100', '龙凤镇', 'longfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801101', '422801', '422801101', '崔坝镇', 'cuibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801102', '422801', '422801102', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801200', '422801', '422801200', '三岔乡', 'sanchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801201', '422801', '422801201', '新塘乡', 'xintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801202', '422801', '422801202', '红土乡', 'hongtuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801203', '422801', '422801203', '沙地乡', 'shadixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801204', '422801', '422801204', '白杨乡', 'baiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801205', '422801', '422801205', '太阳乡', 'taiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801206', '422801', '422801206', '屯堡乡', 'tunbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801207', '422801', '422801207', '白果乡', 'baiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801208', '422801', '422801208', '芭蕉乡', 'bajiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422801209', '422801', '422801209', '盛家坝乡', 'shengjiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802', '4228', '422802', '利川市', 'lichuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802001', '422802', '422802001', '都亭街道', 'doutingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802002', '422802', '422802002', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802100', '422802', '422802100', '谋道镇', 'moudaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802101', '422802', '422802101', '柏杨坝镇', 'boyangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802102', '422802', '422802102', '汪营镇', 'wangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802103', '422802', '422802103', '建南镇', 'jiannanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802104', '422802', '422802104', '忠路镇', 'zhongluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802105', '422802', '422802105', '团堡镇', 'tuanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802200', '422802', '422802200', '凉雾乡', 'liangwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802201', '422802', '422802201', '元堡乡', 'yuanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802202', '422802', '422802202', '南坪乡', 'nanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802203', '422802', '422802203', '文斗乡', 'wendouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802204', '422802', '422802204', '毛坝乡', 'maobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802205', '422802', '422802205', '沙溪乡', 'shaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422802400', '422802', '422802400', '福宝山开发区', 'fubaoshankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422822', '4228', '422822', '建始县', 'jianshixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422822100', '422822', '422822100', '业州镇', 'yezhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422822101', '422822', '422822101', '高坪镇', 'gaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422822102', '422822', '422822102', '红岩镇', 'hongyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422822103', '422822', '422822103', '景阳镇', 'jingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422822104', '422822', '422822104', '官店镇', 'guandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422822200', '422822', '422822200', '长梁乡', 'zhangliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422822201', '422822', '422822201', '茅田乡', 'maotianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422822202', '422822', '422822202', '龙坪乡', 'longpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422822203', '422822', '422822203', '三里乡', 'sanlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422822204', '422822', '422822204', '花坪乡', 'huapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823', '4228', '422823', '巴东县', 'badongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823100', '422823', '422823100', '信陵镇', 'xinlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823101', '422823', '422823101', '东壤口镇', 'dongrangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823102', '422823', '422823102', '沿渡河镇', 'yanduhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823103', '422823', '422823103', '官渡口镇', 'guandukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823104', '422823', '422823104', '茶店子镇', 'chadianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823105', '422823', '422823105', '绿葱坡镇', 'lu:congpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823106', '422823', '422823106', '大支坪镇', 'dazhipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823107', '422823', '422823107', '野三关镇', 'yesanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823108', '422823', '422823108', '水布垭镇', 'shuibuyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823109', '422823', '422823109', '清太坪镇', 'qingtaipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823200', '422823', '422823200', '溪丘湾乡', 'xiqiuwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422823201', '422823', '422823201', '金果坪乡', 'jinguopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422825', '4228', '422825', '宣恩县', 'xuanenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422825100', '422825', '422825100', '珠山镇', 'zhushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422825101', '422825', '422825101', '椒园镇', 'jiaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422825102', '422825', '422825102', '沙道沟镇', 'shadaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422825200', '422825', '422825200', '万寨乡', 'wanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422825201', '422825', '422825201', '长潭河乡', 'zhangtanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422825202', '422825', '422825202', '李家河乡', 'lijiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422825203', '422825', '422825203', '晓关乡', 'xiaoguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422825204', '422825', '422825204', '高罗乡', 'gaoluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422825205', '422825', '422825205', '椿木营乡', 'chunmuyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422826', '4228', '422826', '咸丰县', 'xianfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422826100', '422826', '422826100', '高乐山镇', 'gaoleshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422826101', '422826', '422826101', '忠堡镇', 'zhongbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422826102', '422826', '422826102', '甲马池镇', 'jiamachizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422826103', '422826', '422826103', '朝阳寺镇', 'chaoyangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422826104', '422826', '422826104', '清坪镇', 'qingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422826200', '422826', '422826200', '丁寨乡', 'dingzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422826201', '422826', '422826201', '尖山乡', 'jianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422826202', '422826', '422826202', '活龙坪乡', 'huolongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422826203', '422826', '422826203', '小村乡', 'xiaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422826204', '422826', '422826204', '黄金洞乡', 'huangjindongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422827', '4228', '422827', '来凤县', 'laifengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422827100', '422827', '422827100', '翔凤镇', 'xiangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422827101', '422827', '422827101', '百福司镇', 'baifusizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422827102', '422827', '422827102', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422827200', '422827', '422827200', '绿水乡', 'lu:shuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422827201', '422827', '422827201', '漫水乡', 'manshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422827202', '422827', '422827202', '旧司乡', 'jiusixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422827203', '422827', '422827203', '革勒车乡', 'gelechexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422827204', '422827', '422827204', '三胡乡', 'sanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422828', '4228', '422828', '鹤峰县', 'hefengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422828100', '422828', '422828100', '走马镇', 'zoumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422828101', '422828', '422828101', '容美镇', 'rongmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422828200', '422828', '422828200', '铁炉乡', 'tieluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422828201', '422828', '422828201', '五里乡', 'wulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422828202', '422828', '422828202', '燕子乡', 'yanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422828203', '422828', '422828203', '下坪乡', 'xiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422828204', '422828', '422828204', '邬阳乡', 'wuyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422828205', '422828', '422828205', '中营乡', 'zhongyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422828206', '422828', '422828206', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('422828400', '422828', '422828400', '八峰开发区', 'bafengkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4290', '42', '4290', '省直辖行政单位', 'shengzhixiaxingzhengdanwei', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004', '4290', '429004', '仙桃市', 'xiantaoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004001', '429004', '429004001', '沙嘴街道', 'shazuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004002', '429004', '429004002', '干河街道', 'ganhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004003', '429004', '429004003', '龙华山', 'longhuashan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004100', '429004', '429004100', '郑场镇', 'zhengchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004101', '429004', '429004101', '毛嘴镇', 'maozuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004102', '429004', '429004102', '豆河镇', 'douhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004103', '429004', '429004103', '三伏潭镇', 'sanfutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004104', '429004', '429004104', '胡场镇', 'huchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004105', '429004', '429004105', '长倘口镇', 'zhangtangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004106', '429004', '429004106', '西流河镇', 'xiliuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004107', '429004', '429004107', '沙湖镇', 'shahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004108', '429004', '429004108', '杨林尾镇', 'yanglinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004109', '429004', '429004109', '彭场镇', 'pengchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004110', '429004', '429004110', '张沟镇', 'zhanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004111', '429004', '429004111', '郭河镇', 'guohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004112', '429004', '429004112', '沔城回族镇', 'mianchenghuizuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004113', '429004', '429004113', '通海口镇', 'tonghaikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004114', '429004', '429004114', '陈场镇', 'chenchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004400', '429004', '429004400', '工业园区', 'gongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004401', '429004', '429004401', '九合垸原种场', 'jiuhehuanyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004402', '429004', '429004402', '沙湖原种场', 'shahuyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004403', '429004', '429004403', '排湖渔场', 'paihuyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004404', '429004', '429004404', '五湖渔场', 'wuhuyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004405', '429004', '429004405', '赵西垸林场', 'zhaoxihuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004406', '429004', '429004406', '刘家垸林场', 'liujiahuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004407', '429004', '429004407', '畜禽良种场', 'chuqinliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429004408', '429004', '429004408', '刘口工业园', 'liukougongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005', '4290', '429005', '潜江市', 'qianjiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005001', '429005', '429005001', '园林街道', 'yuanlinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005002', '429005', '429005002', '潜江经济开发区虚拟街道', 'qianjiangjingjikaifaquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005003', '429005', '429005003', '杨市街道', 'yangshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005004', '429005', '429005004', '周矶街道', 'zhoujijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005100', '429005', '429005100', '竹根滩镇', 'zhugentanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005101', '429005', '429005101', '渔洋镇', 'yuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005102', '429005', '429005102', '王场镇', 'wangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005103', '429005', '429005103', '高石碑镇', 'gaoshibeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005104', '429005', '429005104', '熊口镇', 'xiongkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005105', '429005', '429005105', '老新镇', 'laoxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005106', '429005', '429005106', '浩口镇', 'haokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005107', '429005', '429005107', '积玉口镇', 'jiyukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005108', '429005', '429005108', '张金镇', 'zhangjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005109', '429005', '429005109', '龙湾镇', 'longwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005400', '429005', '429005400', '江汉石油管理局', 'jianghanshiyouguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005450', '429005', '429005450', '周矶管理区', 'zhoujiguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005451', '429005', '429005451', '后湖管理区', 'houhuguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005452', '429005', '429005452', '熊口管理区', 'xiongkouguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005453', '429005', '429005453', '总口管理区', 'zongkouguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005454', '429005', '429005454', '西大垸管理区', 'xidahuanguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005455', '429005', '429005455', '运粮湖管理区', 'yunlianghuguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005456', '429005', '429005456', '高场原种场', 'gaochangyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005457', '429005', '429005457', '浩口原种场', 'haokouyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429005458', '429005', '429005458', '棉花原种场', 'mianhuayuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006', '4290', '429006', '天门市', 'tianmenshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006001', '429006', '429006001', '竟陵街道', 'jinglingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006002', '429006', '429006002', '侨乡街道开发区', 'qiaoxiangjiedaokaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006003', '429006', '429006003', '杨林街道', 'yanglinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006100', '429006', '429006100', '多宝镇', 'duobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006101', '429006', '429006101', '拖市镇', 'tuoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006102', '429006', '429006102', '张港镇', 'zhanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006103', '429006', '429006103', '蒋场镇', 'jiangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006104', '429006', '429006104', '汪场镇', 'wangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006105', '429006', '429006105', '渔薪镇', 'yuxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006106', '429006', '429006106', '黄潭镇', 'huangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006107', '429006', '429006107', '岳口镇', 'yuekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006108', '429006', '429006108', '横林镇', 'henglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006109', '429006', '429006109', '彭市镇', 'pengshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006110', '429006', '429006110', '麻洋镇', 'mayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006111', '429006', '429006111', '多祥镇', 'duoxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006112', '429006', '429006112', '干驿镇', 'ganyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006113', '429006', '429006113', '马湾镇', 'mawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006114', '429006', '429006114', '卢市镇', 'lushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006115', '429006', '429006115', '小板镇', 'xiaobanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006116', '429006', '429006116', '九真镇', 'jiuzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006118', '429006', '429006118', '皂市镇', 'zaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006119', '429006', '429006119', '胡市镇', 'hushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006120', '429006', '429006120', '石河镇', 'shihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006121', '429006', '429006121', '佛子山镇', 'fozishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006201', '429006', '429006201', '净潭乡', 'jingtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006450', '429006', '429006450', '蒋湖虚拟镇', 'jianghuxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006451', '429006', '429006451', '白茅湖虚拟镇', 'baimaohuxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429006452', '429006', '429006452', '沉湖管委会', 'chenhuguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429021', '4290', '429021', '神农架林区', 'shennongjialinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429021100', '429021', '429021100', '松柏镇', 'songbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429021101', '429021', '429021101', '阳日镇', 'yangrizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429021102', '429021', '429021102', '木鱼镇', 'muyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429021103', '429021', '429021103', '红坪镇', 'hongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429021200', '429021', '429021200', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429021201', '429021', '429021201', '宋洛乡', 'songluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429021202', '429021', '429021202', '九湖乡', 'jiuhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('429021203', '429021', '429021203', '下谷坪土家族乡', 'xiagupingtujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('43', '-1', '43', '湖南省', 'hunansheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4301', '43', '4301', '长沙市', 'zhangshashi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430101', '4301', '430101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102', '4301', '430102', '芙蓉区', 'furongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102001', '430102', '430102001', '文艺路街道', 'wenyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102002', '430102', '430102002', '朝阳街街道', 'chaoyangjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102003', '430102', '430102003', '韭菜园街道', 'jiucaiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102004', '430102', '430102004', '浏正街街道', 'liuzhengjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102005', '430102', '430102005', '解放路街道', 'jiefanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102006', '430102', '430102006', '府后街街道', 'fuhoujiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102007', '430102', '430102007', '都正街街道', 'douzhengjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102008', '430102', '430102008', '五里牌街道', 'wulipaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102009', '430102', '430102009', '火星街道', 'huoxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102010', '430102', '430102010', '马王堆街道', 'mawangduijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102011', '430102', '430102011', '东屯渡街道', 'dongtundujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102012', '430102', '430102012', '湘湖街道', 'xianghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430102200', '430102', '430102200', '东岸乡', 'donganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430103', '4301', '430103', '天心区', 'tianxinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430103001', '430103', '430103001', '书院路街道', 'shuyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430103002', '430103', '430103002', '坡子街街道', 'pozijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430103003', '430103', '430103003', '学院街街道', 'xueyuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430103004', '430103', '430103004', '城南路街道', 'chengnanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430103005', '430103', '430103005', '裕南街街道', 'yunanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430103006', '430103', '430103006', '金盆岭街道', 'jinpenlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430103007', '430103', '430103007', '新开铺街道', 'xinkaipujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430103008', '430103', '430103008', '青园街道', 'qingyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430103009', '430103', '430103009', '桂花坪街道', 'guihuapingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430103100', '430103', '430103100', '大托镇', 'datuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104', '4301', '430104', '岳麓区', 'yueluqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104001', '430104', '430104001', '望月湖街道', 'wangyuehujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104002', '430104', '430104002', '岳麓街道', 'yuelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104003', '430104', '430104003', '桔子洲街道', 'jiezizhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104004', '430104', '430104004', '银盆岭街道', 'yinpenlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104005', '430104', '430104005', '观沙岭街道', 'guanshalingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104006', '430104', '430104006', '望城坡街道', 'wangchengpojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104007', '430104', '430104007', '西湖街道', 'xihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104008', '430104', '430104008', '咸嘉湖街道', 'xianjiahujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104009', '430104', '430104009', '望岳街道', 'wangyuejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104100', '430104', '430104100', '东方红镇', 'dongfanghongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104201', '430104', '430104201', '天顶乡', 'tiandingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430104400', '430104', '430104400', '梅溪湖综合开发管委会', 'meixihuzonghekaifaguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105', '4301', '430105', '开福区', 'kaifuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105001', '430105', '430105001', '芙蓉北路街道', 'furongbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105003', '430105', '430105003', '清水塘街道', 'qingshuitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105004', '430105', '430105004', '望麓园街道', 'wangluyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105005', '430105', '430105005', '湘雅路街道', 'xiangyalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105006', '430105', '430105006', '伍家岭街道', 'wujialingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105009', '430105', '430105009', '新河街道', 'xinhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105010', '430105', '430105010', '通泰街街道', 'tongtaijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105012', '430105', '430105012', '四方坪街道', 'sifangpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105013', '430105', '430105013', '洪山街道', 'hongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105014', '430105', '430105014', '东风路街道', 'dongfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105100', '430105', '430105100', '捞刀河镇', 'laodaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105101', '430105', '430105101', '新港镇', 'xingangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430105102', '430105', '430105102', '青竹湖镇', 'qingzhuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430111', '4301', '430111', '雨花区', 'yuhuaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430111001', '430111', '430111001', '侯家塘街道', 'houjiatangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430111002', '430111', '430111002', '左家塘街道', 'zuojiatangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430111003', '430111', '430111003', '圭塘街道', 'guitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430111004', '430111', '430111004', '砂子塘街道', 'shazitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430111005', '430111', '430111005', '东塘街道', 'dongtangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430111006', '430111', '430111006', '雨花亭街道', 'yuhuatingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430111007', '430111', '430111007', '高桥街道', 'gaoqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430111100', '430111', '430111100', '洞井镇', 'dongjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430111200', '430111', '430111200', '黎托乡', 'lituoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430111400', '430111', '430111400', '湖南环保科技产业园管理委员会', 'hunanhuanbaokejichanyeyuanguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121', '4301', '430121', '长沙县', 'zhangshaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121100', '430121', '430121100', '星沙镇', 'xingshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121101', '430121', '430121101', '暮云镇', 'muyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121102', '430121', '430121102', '黄兴镇', 'huangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121103', '430121', '430121103', '榔梨镇', 'langlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121104', '430121', '430121104', '江背镇', 'jiangbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121105', '430121', '430121105', '黄花镇', 'huanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121106', '430121', '430121106', '春华镇', 'chunhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121107', '430121', '430121107', '果园镇', 'guoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121108', '430121', '430121108', '路口镇', 'lukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121109', '430121', '430121109', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121110', '430121', '430121110', '金井镇', 'jinjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121111', '430121', '430121111', '福临镇', 'fulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121112', '430121', '430121112', '青山铺镇', 'qingshanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121113', '430121', '430121113', '安沙镇', 'anshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121114', '430121', '430121114', '北山镇', 'beishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121115', '430121', '430121115', '双江镇', 'shuangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121200', '430121', '430121200', '跳马乡', 'tiaomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121201', '430121', '430121201', '干杉乡', 'ganshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121203', '430121', '430121203', '白沙乡', 'baishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430121204', '430121', '430121204', '开慧乡', 'kaihuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122', '4301', '430122', '望城县', 'wangchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122100', '430122', '430122100', '高塘岭镇', 'gaotanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122101', '430122', '430122101', '桥驿镇', 'qiaoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122102', '430122', '430122102', '丁字镇', 'dingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122103', '430122', '430122103', '茶亭镇', 'chatingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122104', '430122', '430122104', '东城镇', 'dongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122105', '430122', '430122105', '铜官镇', 'tongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122106', '430122', '430122106', '靖港镇', 'jinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122107', '430122', '430122107', '乔口镇', 'qiaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122108', '430122', '430122108', '乌山镇', 'wushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122109', '430122', '430122109', '星城镇', 'xingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122110', '430122', '430122110', '雷锋镇', 'leifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122111', '430122', '430122111', '雨敞坪镇', 'yuchangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122112', '430122', '430122112', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122113', '430122', '430122113', '坪塘镇', 'pingtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122114', '430122', '430122114', '含浦镇', 'hanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122115', '430122', '430122115', '白箬铺镇', 'bairuopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122200', '430122', '430122200', '格塘乡', 'getangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122201', '430122', '430122201', '新康乡', 'xinkangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430122202', '430122', '430122202', '黄金乡', 'huangjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124', '4301', '430124', '宁乡县', 'ningxiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124100', '430124', '430124100', '玉潭镇', 'yutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124101', '430124', '430124101', '道林镇', 'daolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124102', '430124', '430124102', '花明楼镇', 'huaminglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124103', '430124', '430124103', '东湖塘镇', 'donghutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124104', '430124', '430124104', '夏铎铺镇', 'xiaduopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124105', '430124', '430124105', '双江口镇', 'shuangjiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124106', '430124', '430124106', '煤炭坝镇', 'meitanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124107', '430124', '430124107', '坝塘镇', 'batangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124108', '430124', '430124108', '偕乐桥镇', 'xieleqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124109', '430124', '430124109', '灰汤镇', 'huitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124110', '430124', '430124110', '双凫铺镇', 'shuangfupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124111', '430124', '430124111', '老粮仓镇', 'laoliangcangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124112', '430124', '430124112', '流沙河镇', 'liushahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124113', '430124', '430124113', '巷子口镇', 'xiangzikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124114', '430124', '430124114', '龙田镇', 'longtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124116', '430124', '430124116', '横市镇', 'hengshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124117', '430124', '430124117', '回龙铺镇', 'huilongpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124118', '430124', '430124118', '黄材镇', 'huangcaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124200', '430124', '430124200', '大屯营乡', 'datunyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124201', '430124', '430124201', '全民乡', 'quanminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124202', '430124', '430124202', '朱良桥乡', 'zhuliangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124203', '430124', '430124203', '菁华铺乡', 'jinghuapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124205', '430124', '430124205', '南田坪乡', 'nantianpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124206', '430124', '430124206', '资福乡', 'zifuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124207', '430124', '430124207', '枫木桥乡', 'fengmuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124208', '430124', '430124208', '大成桥乡', 'dachengqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124209', '430124', '430124209', '喻家坳乡', 'yujiaaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124210', '430124', '430124210', '青山桥乡', 'qingshanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124213', '430124', '430124213', '沙田乡', 'shatianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124215', '430124', '430124215', '白马桥乡', 'baimaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124216', '430124', '430124216', '历经铺乡', 'lijingpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124217', '430124', '430124217', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430124218', '430124', '430124218', '沩山乡', 'weishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181', '4301', '430181', '浏阳市', 'liuyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181001', '430181', '430181001', '淮川街道', 'huaichuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181002', '430181', '430181002', '集里街道', 'jilijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181003', '430181', '430181003', '荷花街道', 'hehuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181004', '430181', '430181004', '关口街道', 'guankoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181102', '430181', '430181102', '社港镇', 'shegangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181104', '430181', '430181104', '官渡镇', 'guanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181105', '430181', '430181105', '张坊镇', 'zhangfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181106', '430181', '430181106', '达浒镇', 'dahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181107', '430181', '430181107', '沿溪镇', 'yanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181108', '430181', '430181108', '古港镇', 'gugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181109', '430181', '430181109', '永和镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181110', '430181', '430181110', '大瑶镇', 'dayaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181111', '430181', '430181111', '金刚镇', 'jingangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181112', '430181', '430181112', '文家市镇', 'wenjiashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181113', '430181', '430181113', '太平桥镇', 'taipingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181114', '430181', '430181114', '枨冲镇', 'chengchongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181115', '430181', '430181115', '镇头镇', 'zhentouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181116', '430181', '430181116', '普迹镇', 'pujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181117', '430181', '430181117', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181118', '430181', '430181118', '北盛镇', 'beishengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181120', '430181', '430181120', '龙伏镇', 'longfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181121', '430181', '430181121', '澄潭江镇', 'chengtanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181122', '430181', '430181122', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181123', '430181', '430181123', '柏加镇', 'bojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181124', '430181', '430181124', '洞阳镇', 'dongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181125', '430181', '430181125', '大围山镇', 'daweishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181126', '430181', '430181126', '沙市镇', 'shashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181127', '430181', '430181127', '淳口镇', 'chunkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181201', '430181', '430181201', '小河乡', 'xiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181202', '430181', '430181202', '七宝山乡', 'qibaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181203', '430181', '430181203', '三口乡', 'sankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181204', '430181', '430181204', '高坪乡', 'gaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181205', '430181', '430181205', '溪江乡', 'xijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181206', '430181', '430181206', '杨花乡', 'yanghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181207', '430181', '430181207', '葛家乡', 'gejiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181208', '430181', '430181208', '官桥乡', 'guanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430181211', '430181', '430181211', '蕉溪乡', 'jiaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4302', '43', '4302', '株洲市', 'zhuzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430201', '4302', '430201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430202', '4302', '430202', '荷塘区', 'hetangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430202001', '430202', '430202001', '月塘街道', 'yuetangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430202002', '430202', '430202002', '茨菇塘街道', 'cigutangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430202003', '430202', '430202003', '宋家桥街道', 'songjiaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430202004', '430202', '430202004', '桂花街道', 'guihuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430202005', '430202', '430202005', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430202100', '430202', '430202100', '仙庾镇', 'xianyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430202201', '430202', '430202201', '明照乡', 'mingzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430203', '4302', '430203', '芦淞区', 'lusongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430203001', '430203', '430203001', '贺家土街道', 'hejiatujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430203002', '430203', '430203002', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430203003', '430203', '430203003', '建宁街道', 'jianningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430203004', '430203', '430203004', '董家段街道', 'dongjiaduanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430203005', '430203', '430203005', '庆云街道', 'qingyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430203006', '430203', '430203006', '枫溪街道', 'fengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430203007', '430203', '430203007', '龙泉街道', 'longquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430203201', '430203', '430203201', '五里墩乡', 'wulidunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430204', '4302', '430204', '石峰区', 'shifengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430204001', '430204', '430204001', '田心街道', 'tianxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430204002', '430204', '430204002', '响石岭街道', 'xiangshilingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430204003', '430204', '430204003', '清水塘街道', 'qingshuitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430204004', '430204', '430204004', '铜塘湾街道', 'tongtangwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430204005', '430204', '430204005', '井龙街道', 'jinglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430204100', '430204', '430204100', '龙头铺镇', 'longtoupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430204202', '430204', '430204202', '云田乡', 'yuntianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430211', '4302', '430211', '天元区', 'tianyuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430211001', '430211', '430211001', '嵩山路街道', 'songshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430211002', '430211', '430211002', '泰山路街道', 'taishanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430211003', '430211', '430211003', '栗雨街道', 'liyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430211100', '430211', '430211100', '马家河镇', 'majiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430211101', '430211', '430211101', '群丰镇', 'qunfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221', '4302', '430221', '株洲县', 'zhuzhouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221100', '430221', '430221100', '渌口镇', 'lukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221101', '430221', '430221101', '朱亭镇', 'zhutingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221104', '430221', '430221104', '雷打石镇', 'leidashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221105', '430221', '430221105', '三门镇', 'sanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221106', '430221', '430221106', '古岳峰镇', 'guyuefengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221107', '430221', '430221107', '淦田镇', 'gantianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221108', '430221', '430221108', '白关镇', 'baiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221200', '430221', '430221200', '龙凤乡', 'longfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221201', '430221', '430221201', '龙潭乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221202', '430221', '430221202', '砖桥乡', 'zhuanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221203', '430221', '430221203', '平山乡', 'pingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221207', '430221', '430221207', '洲坪乡', 'zhoupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221208', '430221', '430221208', '南阳桥乡', 'nanyangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221209', '430221', '430221209', '仙井乡', 'xianjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221210', '430221', '430221210', '姚家坝乡', 'yaojiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221212', '430221', '430221212', '堂市乡', 'tangshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221213', '430221', '430221213', '王十万乡', 'wangshiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430221214', '430221', '430221214', '太湖乡', 'taihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223', '4302', '430223', '攸县', 'youxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223100', '430223', '430223100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223102', '430223', '430223102', '酒埠江镇', 'jiubujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223103', '430223', '430223103', '桃水镇', 'taoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223105', '430223', '430223105', '皇图岭镇', 'huangtulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223106', '430223', '430223106', '网岭镇', 'wanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223107', '430223', '430223107', '新市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223109', '430223', '430223109', '渌田镇', 'lutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223110', '430223', '430223110', '柏市镇', 'boshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223111', '430223', '430223111', '大同桥镇', 'datongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223113', '430223', '430223113', '菜花坪镇', 'caihuapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223114', '430223', '430223114', '市上坪镇', 'shishangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223115', '430223', '430223115', '石羊塘镇', 'shiyangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223116', '430223', '430223116', '高枧镇', 'gaojianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223117', '430223', '430223117', '钟佳桥镇', 'zhongjiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223118', '430223', '430223118', '黄丰桥镇', 'huangfengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223119', '430223', '430223119', '峦山镇', 'luanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223120', '430223', '430223120', '丫江桥镇', 'yajiangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223121', '430223', '430223121', '上云桥镇', 'shangyunqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223202', '430223', '430223202', '银坑乡', 'yinkengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223204', '430223', '430223204', '湖南坳乡', 'hunanaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223205', '430223', '430223205', '坪阳庙乡', 'pingyangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223207', '430223', '430223207', '贾山乡', 'jiashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223211', '430223', '430223211', '高和乡', 'gaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223212', '430223', '430223212', '鸭塘铺乡', 'yatangpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430223213', '430223', '430223213', '莲塘坳乡', 'liantangaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224', '4302', '430224', '茶陵县', 'chalingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224100', '430224', '430224100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224101', '430224', '430224101', '界首镇', 'jieshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224102', '430224', '430224102', '严塘镇', 'yantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224103', '430224', '430224103', '湖口镇', 'hukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224104', '430224', '430224104', '浣溪镇', 'huanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224105', '430224', '430224105', '马江镇', 'majiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224106', '430224', '430224106', '高陇镇', 'gaolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224107', '430224', '430224107', '腰陂镇', 'yaopozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224108', '430224', '430224108', '潞水镇', 'lushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224109', '430224', '430224109', '虎踞镇', 'hujuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224110', '430224', '430224110', '平水镇', 'pingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224111', '430224', '430224111', '枣市镇', 'zaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224112', '430224', '430224112', '火田镇', 'huotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224202', '430224', '430224202', '下东乡', 'xiadongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224203', '430224', '430224203', '舲舫乡', 'lingfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224204', '430224', '430224204', '思聪乡', 'sicongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224205', '430224', '430224205', '洣江乡', 'mijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224206', '430224', '430224206', '尧水乡', 'yaoshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224207', '430224', '430224207', '八团乡', 'batuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224211', '430224', '430224211', '七地乡', 'qidixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224212', '430224', '430224212', '秩堂乡', 'zhitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224213', '430224', '430224213', '桃坑乡', 'taokengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224400', '430224', '430224400', '茶陵县红色农场', 'chalingxianhongsenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224403', '430224', '430224403', '茶陵监狱', 'chalingjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224404', '430224', '430224404', '汉背', 'hanbei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430224405', '430224', '430224405', '利民', 'limin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225', '4302', '430225', '炎陵县', 'yanlingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225100', '430225', '430225100', '霞阳镇', 'xiayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225101', '430225', '430225101', '沔渡镇', 'mianduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225102', '430225', '430225102', '十都镇', 'shidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225103', '430225', '430225103', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225104', '430225', '430225104', '三河镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225105', '430225', '430225105', '鹿原镇', 'luyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225200', '430225', '430225200', '垄溪乡', 'longxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225201', '430225', '430225201', '石洲乡', 'shizhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225202', '430225', '430225202', '策源乡', 'ceyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225203', '430225', '430225203', '下村乡', 'xiacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225204', '430225', '430225204', '中村乡', 'zhongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225205', '430225', '430225205', '龙渣瑶族乡', 'longzhayaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225206', '430225', '430225206', '平乐乡', 'pinglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225207', '430225', '430225207', '船形乡', 'chuanxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225208', '430225', '430225208', '东风乡', 'dongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225400', '430225', '430225400', '炎陵县大院农场', 'yanlingxiandayuannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430225401', '430225', '430225401', '炎陵县桃源洞管理局', 'yanlingxiantaoyuandongguanliju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281', '4302', '430281', '醴陵市', 'lilingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281002', '430281', '430281002', '阳三街道', 'yangsanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281003', '430281', '430281003', '西山街道', 'xishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281004', '430281', '430281004', '黄泥坳街道', 'huangniaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281006', '430281', '430281006', '来龙门街道', 'lailongmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281100', '430281', '430281100', '南桥镇', 'nanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281101', '430281', '430281101', '富里镇', 'fulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281102', '430281', '430281102', '白兔潭镇', 'baitutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281103', '430281', '430281103', '浦口镇', 'pukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281104', '430281', '430281104', '王坊镇', 'wangfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281105', '430281', '430281105', '王仙镇', 'wangxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281107', '430281', '430281107', '泗汾镇', 'sifenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281108', '430281', '430281108', '沈潭镇', 'shentanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281109', '430281', '430281109', '船湾镇', 'chuanwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281110', '430281', '430281110', '大障镇', 'dazhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281111', '430281', '430281111', '贺家桥镇', 'hejiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281118', '430281', '430281118', '仙霞镇', 'xianxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281119', '430281', '430281119', '黄獭嘴镇', 'huangtazuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281120', '430281', '430281120', '均楚镇', 'junchuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281121', '430281', '430281121', '东富镇', 'dongfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281122', '430281', '430281122', '石亭镇', 'shitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281123', '430281', '430281123', '栗山坝镇', 'lishanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281124', '430281', '430281124', '神福港镇', 'shenfugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281204', '430281', '430281204', '孙家湾乡', 'sunjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281205', '430281', '430281205', '清水江乡', 'qingshuijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281206', '430281', '430281206', '嘉树乡', 'jiashuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281213', '430281', '430281213', '新阳乡', 'xinyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281214', '430281', '430281214', '官庄乡', 'guanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281215', '430281', '430281215', '枫林市乡', 'fenglinshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281216', '430281', '430281216', '东堡乡', 'dongbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430281217', '430281', '430281217', '板杉乡', 'banshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4303', '43', '4303', '湘潭市', 'xiangtanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430301', '4303', '430301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302', '4303', '430302', '雨湖区', 'yuhuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302001', '430302', '430302001', '雨湖路街道', 'yuhulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302002', '430302', '430302002', '城正街街道', 'chengzhengjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302003', '430302', '430302003', '平政路街道', 'pingzhenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302004', '430302', '430302004', '云塘街道', 'yuntangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302005', '430302', '430302005', '广场街道', 'guangchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302006', '430302', '430302006', '中山路街道', 'zhongshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302007', '430302', '430302007', '窑湾街道', 'yaowanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302008', '430302', '430302008', '羊牯塘街道', 'yanggutangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302100', '430302', '430302100', '鹤岭镇', 'helingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302101', '430302', '430302101', '楠竹山镇', 'nanzhushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302200', '430302', '430302200', '昭潭乡', 'zhaotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302201', '430302', '430302201', '护潭乡', 'hutanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302202', '430302', '430302202', '长城乡', 'zhangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430302203', '430302', '430302203', '先锋乡', 'xianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304', '4303', '430304', '岳塘区', 'yuetangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304001', '430304', '430304001', '岳塘街道', 'yuetangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304002', '430304', '430304002', '东坪街道', 'dongpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304003', '430304', '430304003', '中洲路街道', 'zhongzhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304004', '430304', '430304004', '书院路街道', 'shuyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304005', '430304', '430304005', '下摄司街道', 'xiashesijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304006', '430304', '430304006', '建设路街道', 'jianshelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304007', '430304', '430304007', '滴水埠街道', 'dishuibujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304008', '430304', '430304008', '五里堆街道', 'wuliduijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304009', '430304', '430304009', '社建村街道', 'shejiancunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304010', '430304', '430304010', '宝塔街道', 'baotajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304100', '430304', '430304100', '易家湾镇', 'yijiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304101', '430304', '430304101', '双马镇', 'shuangmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304200', '430304', '430304200', '霞城乡', 'xiachengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304201', '430304', '430304201', '板塘乡', 'bantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304202', '430304', '430304202', '荷塘乡', 'hetangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304203', '430304', '430304203', '昭山乡', 'zhaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430304400', '430304', '430304400', '红旗农场', 'hongqinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321', '4303', '430321', '湘潭县', 'xiangtanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321100', '430321', '430321100', '易俗河镇', 'yisuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321101', '430321', '430321101', '梅林桥镇', 'meilinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321102', '430321', '430321102', '谭家山镇', 'tanjiashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321103', '430321', '430321103', '中路铺镇', 'zhonglupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321104', '430321', '430321104', '茶恩寺镇', 'chaensizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321105', '430321', '430321105', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321106', '430321', '430321106', '射埠镇', 'shebuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321107', '430321', '430321107', '花石镇', 'huashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321108', '430321', '430321108', '青山桥镇', 'qingshanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321109', '430321', '430321109', '石鼓镇', 'shiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321110', '430321', '430321110', '姜畲镇', 'jiangshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321111', '430321', '430321111', '云湖桥镇', 'yunhuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321112', '430321', '430321112', '石潭镇', 'shitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321113', '430321', '430321113', '杨嘉桥镇', 'yangjiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321114', '430321', '430321114', '乌石镇', 'wushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321200', '430321', '430321200', '响塘乡', 'xiangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321201', '430321', '430321201', '响水乡', 'xiangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321202', '430321', '430321202', '分水乡', 'fenshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321203', '430321', '430321203', '排头乡', 'paitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321204', '430321', '430321204', '龙口乡', 'longkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321205', '430321', '430321205', '锦石乡', 'jinshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430321206', '430321', '430321206', '白石乡', 'baishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381', '4303', '430381', '湘乡市', 'xiangxiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381001', '430381', '430381001', '望春门街道', 'wangchunmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381002', '430381', '430381002', '新湘路街道', 'xinxianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381003', '430381', '430381003', '昆仑桥街道', 'kunlunqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381004', '430381', '430381004', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381100', '430381', '430381100', '山枣镇', 'shanzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381101', '430381', '430381101', '栗山镇', 'lishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381102', '430381', '430381102', '中沙镇', 'zhongshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381103', '430381', '430381103', '虞塘镇', 'yutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381104', '430381', '430381104', '潭市镇', 'tanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381105', '430381', '430381105', '棋梓镇', 'qizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381106', '430381', '430381106', '壶天镇', 'hutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381107', '430381', '430381107', '翻江镇', 'fanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381108', '430381', '430381108', '金石镇', 'jinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381109', '430381', '430381109', '白田镇', 'baitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381110', '430381', '430381110', '月山镇', 'yueshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381111', '430381', '430381111', '泉塘镇', 'quantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381112', '430381', '430381112', '梅桥镇', 'meiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381200', '430381', '430381200', '东郊乡', 'dongjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381201', '430381', '430381201', '毛田乡', 'maotianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381202', '430381', '430381202', '金薮乡', 'jinsouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381203', '430381', '430381203', '育塅乡', 'yuduanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430381204', '430381', '430381204', '龙洞乡', 'longdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430382', '4303', '430382', '韶山市', 'shaoshanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430382100', '430382', '430382100', '清溪镇', 'qingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430382101', '430382', '430382101', '银田镇', 'yintianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430382102', '430382', '430382102', '如意镇', 'ruyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430382200', '430382', '430382200', '韶山乡', 'shaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430382201', '430382', '430382201', '永义乡', 'yongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430382203', '430382', '430382203', '杨林乡', 'yanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430382204', '430382', '430382204', '大坪乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4304', '43', '4304', '衡阳市', 'hengyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430401', '4304', '430401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405', '4304', '430405', '珠晖区', 'zhuhuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405001', '430405', '430405001', '广东路街道', 'guangdonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405002', '430405', '430405002', '东风路街道', 'dongfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405003', '430405', '430405003', '冶金街道', 'yejinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405004', '430405', '430405004', '苗圃街道', 'miaopujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405005', '430405', '430405005', '粤汉街道', 'yuehanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405006', '430405', '430405006', '新湘街道', 'xinxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405100', '430405', '430405100', '茶山坳镇', 'chashanaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405101', '430405', '430405101', '东阳渡镇', 'dongyangduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405200', '430405', '430405200', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405201', '430405', '430405201', '酃湖乡', 'linghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405400', '430405', '430405400', '金甲岭农场', 'jinjialingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405401', '430405', '430405401', '白渔潭园艺场', 'baiyutanyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405402', '430405', '430405402', '酃湖渔场', 'linghuyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405403', '430405', '430405403', '松林茶场', 'songlinchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430405404', '430405', '430405404', '衡阳市苗圃农场', 'hengyangshimiaopunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430406', '4304', '430406', '雁峰区', 'yanfengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430406001', '430406', '430406001', '先锋街道', 'xianfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430406002', '430406', '430406002', '雁峰街道', 'yanfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430406003', '430406', '430406003', '天马山街道', 'tianmashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430406004', '430406', '430406004', '黄茶岭街道', 'huangchalingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430406005', '430406', '430406005', '白沙洲街道', 'baishazhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430406100', '430406', '430406100', '岳屏镇', 'yuepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430406200', '430406', '430406200', '湘江乡', 'xiangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430406400', '430406', '430406400', '湘江农场', 'xiangjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430407', '4304', '430407', '石鼓区', 'shiguqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430407001', '430407', '430407001', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430407002', '430407', '430407002', '青山街道', 'qingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430407003', '430407', '430407003', '潇湘街道', 'xiaoxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430407004', '430407', '430407004', '五一街道', 'wuyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430407005', '430407', '430407005', '合江街道', 'hejiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430407006', '430407', '430407006', '黄沙湾街道', 'huangshawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430407200', '430407', '430407200', '松木乡', 'songmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430407201', '430407', '430407201', '角山乡', 'jiaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430408', '4304', '430408', '蒸湘区', 'zhengxiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430408001', '430408', '430408001', '蒸湘街道', 'zhengxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430408002', '430408', '430408002', '红湘街道(政府虚拟所在地)', 'hongxiangjiedao(zhengfuxunisuozaidi)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430408003', '430408', '430408003', '华兴街道', 'huaxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430408004', '430408', '430408004', '联合街道', 'lianhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430408100', '430408', '430408100', '呆鹰岭镇', 'daiyinglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430408200', '430408', '430408200', '长湖乡', 'zhanghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430408201', '430408', '430408201', '雨母山乡', 'yumushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430412', '4304', '430412', '南岳区', 'nanyuequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430412001', '430412', '430412001', '祝融街道', 'zhurongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430412100', '430412', '430412100', '南岳镇', 'nanyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430412200', '430412', '430412200', '岳林乡', 'yuelinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430412201', '430412', '430412201', '龙凤乡', 'longfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430412202', '430412', '430412202', '拜殿乡', 'baidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421', '4304', '430421', '衡阳县', 'hengyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421100', '430421', '430421100', '西渡镇', 'xiduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421101', '430421', '430421101', '集兵镇', 'jibingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421103', '430421', '430421103', '杉桥镇', 'shanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421104', '430421', '430421104', '井头镇', 'jingtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421105', '430421', '430421105', '演陂镇', 'yanpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421106', '430421', '430421106', '金兰镇', 'jinlanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421107', '430421', '430421107', '洪市镇', 'hongshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421108', '430421', '430421108', '曲兰镇', 'qulanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421109', '430421', '430421109', '金溪镇', 'jinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421110', '430421', '430421110', '界牌镇', 'jiepaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421111', '430421', '430421111', '渣江镇', 'zhajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421112', '430421', '430421112', '三湖镇', 'sanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421113', '430421', '430421113', '台源镇', 'taiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421200', '430421', '430421200', '樟木乡', 'zhangmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421201', '430421', '430421201', '岣嵝乡', 'goulouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421203', '430421', '430421203', '岘山乡', 'xianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421204', '430421', '430421204', '关市乡', 'guanshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421205', '430421', '430421205', '栏栊乡', 'lanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421206', '430421', '430421206', '库宗乡', 'kuzongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421207', '430421', '430421207', '大安乡', 'daanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421208', '430421', '430421208', '溪江乡', 'xijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421209', '430421', '430421209', '石市乡', 'shishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421210', '430421', '430421210', '长安乡', 'zhanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421211', '430421', '430421211', '板市乡', 'banshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421212', '430421', '430421212', '樟树乡', 'zhangshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421213', '430421', '430421213', '潮江乡', 'chaojiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421400', '430421', '430421400', '衡阳县岣嵝峰林场', 'hengyangxiangouloufenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430421401', '430421', '430421401', '衡阳市岳峰瓷厂', 'hengyangshiyuefengcichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422', '4304', '430422', '衡南县', 'hengnanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422100', '430422', '430422100', '衡南县云集镇', 'hengnanxianyunjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422101', '430422', '430422101', '向阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422102', '430422', '430422102', '廖田镇', 'liaotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422103', '430422', '430422103', '茶市镇', 'chashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422104', '430422', '430422104', '冠市镇', 'guanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422105', '430422', '430422105', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422106', '430422', '430422106', '宝盖镇', 'baogaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422107', '430422', '430422107', '花桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422108', '430422', '430422108', '铁丝塘镇', 'tiesitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422109', '430422', '430422109', '泉溪镇', 'quanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422110', '430422', '430422110', '洪山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422111', '430422', '430422111', '三塘镇', 'santangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422112', '430422', '430422112', '谭子山镇', 'tanzishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422113', '430422', '430422113', '鸡笼镇', 'jilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422114', '430422', '430422114', '泉湖镇', 'quanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422115', '430422', '430422115', '柞市镇', 'zuoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422116', '430422', '430422116', '茅市镇', 'maoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422117', '430422', '430422117', '硫市镇', 'liushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422118', '430422', '430422118', '栗江镇', 'lijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422119', '430422', '430422119', '近尾洲镇', 'jinweizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422120', '430422', '430422120', '车江镇', 'chejiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422121', '430422', '430422121', '咸塘镇', 'xiantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422200', '430422', '430422200', '相市乡', 'xiangshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422201', '430422', '430422201', '洲市乡', 'zhoushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422202', '430422', '430422202', '松江乡', 'songjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422400', '430422', '430422400', '川口', 'chuankou', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422401', '430422', '430422401', '衡阳市农校农场', 'hengyangshinongxiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422402', '430422', '430422402', '衡南县原种场', 'hengnanxianyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422403', '430422', '430422403', '衡阳市农科所', 'hengyangshinongkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422404', '430422', '430422404', '衡州监狱', 'hengzhoujianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430422406', '430422', '430422406', '衡南县岐山', 'hengnanxianqishan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423', '4304', '430423', '衡山县', 'hengshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423100', '430423', '430423100', '开云镇', 'kaiyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423101', '430423', '430423101', '白果镇', 'baiguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423102', '430423', '430423102', '东湖镇', 'donghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423103', '430423', '430423103', '萱洲镇', 'xuanzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423104', '430423', '430423104', '长江镇', 'zhangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423105', '430423', '430423105', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423106', '430423', '430423106', '马迹镇', 'majizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423107', '430423', '430423107', '店门镇', 'dianmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423200', '430423', '430423200', '贺家乡', 'hejiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423201', '430423', '430423201', '永和乡', 'yonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423202', '430423', '430423202', '沙泉乡', 'shaquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423203', '430423', '430423203', '福田乡', 'futianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423204', '430423', '430423204', '岭坡乡', 'lingpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423205', '430423', '430423205', '望峰乡', 'wangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423206', '430423', '430423206', '长青乡', 'zhangqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423207', '430423', '430423207', '贯塘乡', 'guantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430423208', '430423', '430423208', '江东乡', 'jiangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424', '4304', '430424', '衡东县', 'hengdongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424100', '430424', '430424100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424101', '430424', '430424101', '石湾镇', 'shiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424102', '430424', '430424102', '新塘镇', 'xintangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424103', '430424', '430424103', '大浦镇', 'dapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424104', '430424', '430424104', '吴集镇', 'wujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424105', '430424', '430424105', '甘溪镇', 'ganxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424106', '430424', '430424106', '杨林镇', 'yanglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424107', '430424', '430424107', '草市镇', 'caoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424108', '430424', '430424108', '杨桥镇', 'yangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424109', '430424', '430424109', '霞流镇', 'xialiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424110', '430424', '430424110', '荣恒镇', 'ronghengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424111', '430424', '430424111', '高湖镇', 'gaohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424112', '430424', '430424112', '白莲镇', 'bailianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424113', '430424', '430424113', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424114', '430424', '430424114', '蓬源镇', 'pengyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424200', '430424', '430424200', '莫井乡', 'mojingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424201', '430424', '430424201', '踏庄乡', 'tazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424202', '430424', '430424202', '高塘乡', 'gaotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424204', '430424', '430424204', '南湾乡', 'nanwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424208', '430424', '430424208', '三樟乡', 'sanzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424209', '430424', '430424209', '栗木乡', 'limuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424210', '430424', '430424210', '珍珠乡', 'zhenzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424211', '430424', '430424211', '石滩乡', 'shitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430424212', '430424', '430424212', '德圳乡', 'dezhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426', '4304', '430426', '祁东县', 'qidongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426100', '430426', '430426100', '洪桥镇', 'hongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426101', '430426', '430426101', '白鹤铺镇', 'baihepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426102', '430426', '430426102', '金桥镇', 'jinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426103', '430426', '430426103', '鸟江镇', 'niaojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426104', '430426', '430426104', '粮市镇', 'liangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426105', '430426', '430426105', '河洲镇', 'hezhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426106', '430426', '430426106', '归阳镇', 'guiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426107', '430426', '430426107', '过水坪镇', 'guoshuipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426108', '430426', '430426108', '双桥镇', 'shuangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426109', '430426', '430426109', '灵官镇', 'lingguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426110', '430426', '430426110', '风石堰镇', 'fengshiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426111', '430426', '430426111', '白地市镇', 'baidishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426112', '430426', '430426112', '黄土铺镇', 'huangtupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426113', '430426', '430426113', '石亭子镇', 'shitingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426114', '430426', '430426114', '官家嘴镇', 'guanjiazuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426115', '430426', '430426115', '步云桥镇', 'buyunqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426116', '430426', '430426116', '砖塘镇', 'zhuantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426117', '430426', '430426117', '蒋家桥镇', 'jiangjiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426118', '430426', '430426118', '太和堂镇', 'taihetangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426200', '430426', '430426200', '马杜桥乡', 'maduqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426201', '430426', '430426201', '凤歧坪乡', 'fengqipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426202', '430426', '430426202', '城连圩乡', 'chenglianweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430426203', '430426', '430426203', '四明山乡', 'simingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481', '4304', '430481', '耒阳市', 'leiyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481001', '430481', '430481001', '蔡子池街道', 'caizichijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481002', '430481', '430481002', '灶市街街道', 'zaoshijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481003', '430481', '430481003', '水东江街道', 'shuidongjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481004', '430481', '430481004', '五里牌街道', 'wulipaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481100', '430481', '430481100', '黄市镇', 'huangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481101', '430481', '430481101', '小水镇', 'xiaoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481102', '430481', '430481102', '公平圩镇', 'gongpingweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481103', '430481', '430481103', '泗门洲镇', 'simenzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481104', '430481', '430481104', '三都镇', 'sandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481105', '430481', '430481105', '南阳镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481106', '430481', '430481106', '竹市镇', 'zhushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481107', '430481', '430481107', '夏塘镇', 'xiatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481108', '430481', '430481108', '龙塘镇', 'longtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481109', '430481', '430481109', '哲桥镇', 'zheqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481110', '430481', '430481110', '永济镇', 'yongjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481111', '430481', '430481111', '遥田镇', 'yaotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481112', '430481', '430481112', '新市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481200', '430481', '430481200', '洲陂乡', 'zhoupoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481201', '430481', '430481201', '亮源乡', 'liangyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481202', '430481', '430481202', '马水乡', 'mashuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481203', '430481', '430481203', '太平圩乡', 'taipingweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481204', '430481', '430481204', '导子乡', 'daozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481205', '430481', '430481205', '东湖圩乡', 'donghuweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481206', '430481', '430481206', '上架乡', 'shangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481207', '430481', '430481207', '沙明乡', 'shamingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481208', '430481', '430481208', '大义乡', 'dayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481209', '430481', '430481209', '磨形乡', 'moxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481210', '430481', '430481210', '南京乡', 'nanjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481211', '430481', '430481211', '仁义乡', 'renyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481212', '430481', '430481212', '余庆乡', 'yuqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481213', '430481', '430481213', '长坪乡', 'zhangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481214', '430481', '430481214', '太和圩乡', 'taiheweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481215', '430481', '430481215', '坛下乡', 'tanxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481216', '430481', '430481216', '大市乡', 'dashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430481217', '430481', '430481217', '肥田乡', 'feitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482', '4304', '430482', '常宁市', 'changningshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482100', '430482', '430482100', '宜阳镇', 'yiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482101', '430482', '430482101', '柏坊镇', 'bofangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482102', '430482', '430482102', '松柏镇', 'songbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482103', '430482', '430482103', '烟洲镇', 'yanzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482104', '430482', '430482104', '荫田镇', 'yintianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482105', '430482', '430482105', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482106', '430482', '430482106', '西岭镇', 'xilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482107', '430482', '430482107', '盐湖镇', 'yanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482108', '430482', '430482108', '三角塘镇', 'sanjiaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482109', '430482', '430482109', '洋泉镇', 'yangquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482110', '430482', '430482110', '庙前镇', 'miaoqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482111', '430482', '430482111', '罗桥镇', 'luoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482112', '430482', '430482112', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482113', '430482', '430482113', '胜桥镇', 'shengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482114', '430482', '430482114', '官岭镇', 'guanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482115', '430482', '430482115', '新河镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482200', '430482', '430482200', '宜潭乡', 'yitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482201', '430482', '430482201', '蓬塘乡', 'pengtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482202', '430482', '430482202', '兰江乡', 'lanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482203', '430482', '430482203', '大堡乡', 'dabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482204', '430482', '430482204', '江河乡', 'jianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482205', '430482', '430482205', '弥泉乡', 'miquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482206', '430482', '430482206', '塔山瑶族乡', 'tashanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482400', '430482', '430482400', '常宁市硫铁矿', 'changningshiliutiekuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482401', '430482', '430482401', '常宁市龙王山金矿', 'changningshilongwangshanjinkuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430482402', '430482', '430482402', '常宁市水泥厂', 'changningshishuinichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4305', '43', '4305', '邵阳市', 'shaoyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430501', '4305', '430501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502', '4305', '430502', '双清区', 'shuangqingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502001', '430502', '430502001', '兴隆街道', 'xinglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502002', '430502', '430502002', '龙须塘街道', 'longxutangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502003', '430502', '430502003', '汽车站街道', 'qichezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502004', '430502', '430502004', '小江湖街道', 'xiaojianghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502005', '430502', '430502005', '东风路街道', 'dongfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502006', '430502', '430502006', '桥头街道', 'qiaotoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502100', '430502', '430502100', '高崇山镇', 'gaochongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502101', '430502', '430502101', '渡头桥镇', 'dutouqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502200', '430502', '430502200', '城东乡', 'chengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502201', '430502', '430502201', '石桥乡', 'shiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502202', '430502', '430502202', '火车站乡', 'huochezhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430502203', '430502', '430502203', '云水乡', 'yunshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503', '4305', '430503', '大祥区', 'daxiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503001', '430503', '430503001', '中心路街道', 'zhongxinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503002', '430503', '430503002', '红旗路街道', 'hongqilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503003', '430503', '430503003', '城北路街道', 'chengbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503004', '430503', '430503004', '城西路街道', 'chengxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503005', '430503', '430503005', '翠园街道', 'cuiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503006', '430503', '430503006', '百春园街道', 'baichunyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503100', '430503', '430503100', '雨溪镇', 'yuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503101', '430503', '430503101', '罗市镇', 'luoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503200', '430503', '430503200', '城南乡', 'chengnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503202', '430503', '430503202', '檀江乡', 'tanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503203', '430503', '430503203', '蔡锷乡', 'caiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503204', '430503', '430503204', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503500', '430503', '430503500', '城南园艺场', 'chengnanyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430503501', '430503', '430503501', '邵阳市第一园艺场', 'shaoyangshidiyiyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430511', '4305', '430511', '北塔区', 'beitaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430511001', '430511', '430511001', '新滩镇街道', 'xintanzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430511002', '430511', '430511002', '状元洲街道', 'zhuangyuanzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430511200', '430511', '430511200', '田江乡', 'tianjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430511202', '430511', '430511202', '茶元头乡', 'chayuantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430511203', '430511', '430511203', '陈家桥乡', 'chenjiaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430511500', '430511', '430511500', '邵阳市园艺场', 'shaoyangshiyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521', '4305', '430521', '邵东县', 'shaodongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521100', '430521', '430521100', '两市镇', 'liangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521101', '430521', '430521101', '牛马司镇', 'niumasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521102', '430521', '430521102', '范家山镇', 'fanjiashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521103', '430521', '430521103', '九龙岭镇', 'jiulonglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521104', '430521', '430521104', '仙槎桥镇', 'xianchaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521105', '430521', '430521105', '火厂坪镇', 'huochangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521106', '430521', '430521106', '佘田桥镇', 'shetianqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521107', '430521', '430521107', '灵官殿镇', 'lingguandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521108', '430521', '430521108', '团山镇', 'tuanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521109', '430521', '430521109', '砂石镇', 'shashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521110', '430521', '430521110', '廉桥镇', 'lianqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521111', '430521', '430521111', '流光岭镇', 'liuguanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521112', '430521', '430521112', '流泽镇', 'liuzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521113', '430521', '430521113', '魏家桥镇', 'weijiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521114', '430521', '430521114', '野鸡坪镇', 'yejipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521115', '430521', '430521115', '杨桥镇', 'yangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521116', '430521', '430521116', '水东江镇', 'shuidongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521201', '430521', '430521201', '黄陂桥乡', 'huangpoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521202', '430521', '430521202', '黑田铺乡', 'heitianpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521203', '430521', '430521203', '双凤乡', 'shuangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521204', '430521', '430521204', '周官桥乡', 'zhouguanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521205', '430521', '430521205', '简家陇乡', 'jianjialongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521209', '430521', '430521209', '堡面前乡', 'baomianqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521210', '430521', '430521210', '石株桥乡', 'shizhuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521211', '430521', '430521211', '界岭乡', 'jielingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430521212', '430521', '430521212', '斫曹乡', 'zhuocaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522', '4305', '430522', '新邵县', 'xinshaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522100', '430522', '430522100', '酿溪镇', 'niangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522101', '430522', '430522101', '严塘镇', 'yantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522102', '430522', '430522102', '雀塘镇', 'quetangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522103', '430522', '430522103', '陈家坊镇', 'chenjiafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522104', '430522', '430522104', '潭溪镇', 'tanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522105', '430522', '430522105', '寸石镇', 'cunshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522106', '430522', '430522106', '坪上镇', 'pingshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522107', '430522', '430522107', '龙溪铺镇', 'longxipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522108', '430522', '430522108', '巨口铺镇', 'jukoupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522109', '430522', '430522109', '新田铺镇', 'xintianpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522110', '430522', '430522110', '小塘镇', 'xiaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522200', '430522', '430522200', '潭府乡', 'tanfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522201', '430522', '430522201', '太芝庙乡', 'taizhimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522202', '430522', '430522202', '大新乡', 'daxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430522203', '430522', '430522203', '迎光乡', 'yingguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523', '4305', '430523', '邵阳县', 'shaoyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523100', '430523', '430523100', '塘渡口镇', 'tangdukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523101', '430523', '430523101', '白仓镇', 'baicangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523102', '430523', '430523102', '金称市镇', 'jinchengshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523103', '430523', '430523103', '塘田市镇', 'tangtianshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523104', '430523', '430523104', '黄亭市镇', 'huangtingshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523105', '430523', '430523105', '长阳铺镇', 'zhangyangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523106', '430523', '430523106', '岩口铺镇', 'yankoupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523107', '430523', '430523107', '九公桥镇', 'jiugongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523108', '430523', '430523108', '下花桥镇', 'xiahuaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523109', '430523', '430523109', '谷洲镇', 'guzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523110', '430523', '430523110', '郦家坪镇', 'lijiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523111', '430523', '430523111', '五峰铺镇', 'wufengpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523200', '430523', '430523200', '黄塘乡', 'huangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523201', '430523', '430523201', '小溪市乡', 'xiaoxishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523202', '430523', '430523202', '霞塘云乡', 'xiatangyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523203', '430523', '430523203', '长乐乡', 'zhanglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523204', '430523', '430523204', '蔡桥乡', 'caiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523205', '430523', '430523205', '河伯乡', 'heboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523206', '430523', '430523206', '黄荆乡', 'huangjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523207', '430523', '430523207', '诸甲亭乡', 'zhujiatingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523208', '430523', '430523208', '罗城乡', 'luochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523209', '430523', '430523209', '金江乡', 'jinjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523401', '430523', '430523401', '七里山园艺场', 'qilishanyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523402', '430523', '430523402', '五丰铺林场', 'wufengpulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430523403', '430523', '430523403', '河伯岭林场', 'hebolinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524', '4305', '430524', '隆回县', 'longhuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524100', '430524', '430524100', '桃洪镇', 'taohongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524101', '430524', '430524101', '小沙江镇', 'xiaoshajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524102', '430524', '430524102', '金石桥镇', 'jinshiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524103', '430524', '430524103', '司门前镇', 'simenqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524104', '430524', '430524104', '高平镇', 'gaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524105', '430524', '430524105', '六都寨镇', 'liudouzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524106', '430524', '430524106', '荷香桥镇', 'hexiangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524107', '430524', '430524107', '横板桥镇', 'hengbanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524108', '430524', '430524108', '周旺镇', 'zhouwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524109', '430524', '430524109', '滩头镇', 'tantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524110', '430524', '430524110', '鸭田镇', 'yatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524111', '430524', '430524111', '西洋江镇', 'xiyangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524112', '430524', '430524112', '雨山铺镇', 'yushanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524200', '430524', '430524200', '麻塘山乡', 'matangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524201', '430524', '430524201', '虎形山瑶族乡', 'huxingshanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524203', '430524', '430524203', '大水田乡', 'dashuitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524204', '430524', '430524204', '羊古坳乡', 'yangguaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524205', '430524', '430524205', '罗洪乡', 'luohongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524206', '430524', '430524206', '七江乡', 'qijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524207', '430524', '430524207', '荷田乡', 'hetianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524208', '430524', '430524208', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524211', '430524', '430524211', '南岳庙乡', 'nanyuemiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524212', '430524', '430524212', '山界回族乡', 'shanjiehuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524213', '430524', '430524213', '三阁司乡', 'sangesixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524214', '430524', '430524214', '北山乡', 'beishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430524215', '430524', '430524215', '岩口乡', 'yankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525', '4305', '430525', '洞口县', 'dongkouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525100', '430525', '430525100', '洞口镇', 'dongkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525101', '430525', '430525101', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525102', '430525', '430525102', '毓兰镇', 'yulanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525103', '430525', '430525103', '高沙镇', 'gaoshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525104', '430525', '430525104', '竹市镇', 'zhushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525105', '430525', '430525105', '石江镇', 'shijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525106', '430525', '430525106', '黄桥镇', 'huangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525107', '430525', '430525107', '山门镇', 'shanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525108', '430525', '430525108', '醪田镇', 'laotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525109', '430525', '430525109', '花园镇', 'huayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525200', '430525', '430525200', '花古乡', 'huaguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525201', '430525', '430525201', '古楼乡', 'gulouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525202', '430525', '430525202', '长塘瑶族乡', 'zhangtangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525203', '430525', '430525203', '罗溪瑶族乡', 'luoxiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525204', '430525', '430525204', '月溪乡', 'yuexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525205', '430525', '430525205', '渣坪乡', 'zhapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525207', '430525', '430525207', '岩山乡', 'yanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525208', '430525', '430525208', '杨林乡', 'yanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525209', '430525', '430525209', '水东乡', 'shuidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525210', '430525', '430525210', '石柱乡', 'shizhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525211', '430525', '430525211', '桐山乡', 'tongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525212', '430525', '430525212', '大屋瑶族乡', 'dawuyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430525500', '430525', '430525500', '邵阳市茶铺茶场', 'shaoyangshichapuchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527', '4305', '430527', '绥宁县', 'suiningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527100', '430527', '430527100', '长铺镇', 'zhangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527101', '430527', '430527101', '武阳镇', 'wuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527102', '430527', '430527102', '李熙桥镇', 'lixiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527103', '430527', '430527103', '红岩镇', 'hongyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527104', '430527', '430527104', '唐家坊镇', 'tangjiafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527105', '430527', '430527105', '金屋塘镇', 'jinwutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527200', '430527', '430527200', '东山侗族乡', 'dongshandongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527201', '430527', '430527201', '鹅公岭侗族苗族乡', 'egonglingdongzumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527202', '430527', '430527202', '朝仪侗族乡', 'chaoyidongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527203', '430527', '430527203', '在市苗族乡', 'zaishimiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527204', '430527', '430527204', '乐安铺苗族侗族乡', 'leanpumiaozudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527205', '430527', '430527205', '黄桑坪苗族乡', 'huangsangpingmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527206', '430527', '430527206', '关峡苗族乡', 'guanxiamiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527207', '430527', '430527207', '长铺子苗族乡', 'zhangpuzimiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527208', '430527', '430527208', '党坪苗族乡', 'dangpingmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527209', '430527', '430527209', '联民苗族瑶族乡', 'lianminmiaozuyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527210', '430527', '430527210', '麻塘苗族乡', 'matangmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527211', '430527', '430527211', '枫木团苗族侗族乡', 'fengmutuanmiaozudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527212', '430527', '430527212', '河口苗族乡', 'hekoumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527213', '430527', '430527213', '竹舟江苗族乡', 'zhuzhoujiangmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527214', '430527', '430527214', '白玉乡', 'baiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527215', '430527', '430527215', '黄土矿乡', 'huangtukuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527216', '430527', '430527216', '瓦屋塘乡', 'wawutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527217', '430527', '430527217', '水口乡', 'shuikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430527218', '430527', '430527218', '梅坪乡', 'meipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528', '4305', '430528', '新宁县', 'xinningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528100', '430528', '430528100', '金石镇', 'jinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528101', '430528', '430528101', '水庙镇', 'shuimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528102', '430528', '430528102', '崀山镇', 'langshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528103', '430528', '430528103', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528104', '430528', '430528104', '黄龙镇', 'huanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528105', '430528', '430528105', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528106', '430528', '430528106', '回龙寺镇', 'huilongsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528107', '430528', '430528107', '一渡水镇', 'yidushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528200', '430528', '430528200', '黄金瑶族乡', 'huangjinyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528201', '430528', '430528201', '麻林瑶族乡', 'malinyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528202', '430528', '430528202', '飞仙桥乡', 'feixianqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528203', '430528', '430528203', '万塘乡', 'wantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528204', '430528', '430528204', '清江桥乡', 'qingjiangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528205', '430528', '430528205', '安山乡', 'anshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528206', '430528', '430528206', '丰田乡', 'fengtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528207', '430528', '430528207', '马头桥乡', 'matouqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528208', '430528', '430528208', '巡田乡', 'xuntianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430528209', '430528', '430528209', '靖位乡', 'jingweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529', '4305', '430529', '城步苗族自治县', 'chengbumiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529100', '430529', '430529100', '儒林镇', 'rulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529101', '430529', '430529101', '茅坪镇', 'maopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529102', '430529', '430529102', '西岩镇', 'xiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529103', '430529', '430529103', '丹口镇', 'dankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529104', '430529', '430529104', '五团镇', 'wutuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529105', '430529', '430529105', '南山镇', 'nanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529200', '430529', '430529200', '威溪乡', 'weixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529201', '430529', '430529201', '长安营乡', 'zhanganyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529202', '430529', '430529202', '白毛坪乡', 'baimaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529203', '430529', '430529203', '兰蓉乡', 'lanrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529204', '430529', '430529204', '汀坪乡', 'tingpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529400', '430529', '430529400', '南山牧场', 'nanshanmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529401', '430529', '430529401', '土桥农场', 'tuqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529402', '430529', '430529402', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529403', '430529', '430529403', '农科所', 'nongkesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529404', '430529', '430529404', '云马林场', 'yunmalinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529405', '430529', '430529405', '燕子山林场', 'yanzishanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529406', '430529', '430529406', '青界山林场', 'qingjieshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529407', '430529', '430529407', '南洞林场', 'nandonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430529408', '430529', '430529408', '金紫山林场', 'jinzishanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581', '4305', '430581', '武冈市', 'wugangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581001', '430581', '430581001', '辕门口街道', 'yuanmenkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581002', '430581', '430581002', '迎春亭街道', 'yingchuntingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581100', '430581', '430581100', '邓元泰镇', 'dengyuantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581101', '430581', '430581101', '湾头桥镇', 'wantouqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581102', '430581', '430581102', '文坪镇', 'wenpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581103', '430581', '430581103', '荆竹铺镇', 'jingzhupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581104', '430581', '430581104', '稠树塘镇', 'choushutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581105', '430581', '430581105', '邓家铺镇', 'dengjiapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581106', '430581', '430581106', '龙溪镇', 'longxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581107', '430581', '430581107', '司马冲镇', 'simachongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581200', '430581', '430581200', '龙田乡', 'longtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581201', '430581', '430581201', '头堂乡', 'toutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581202', '430581', '430581202', '安乐乡', 'anlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581203', '430581', '430581203', '大甸乡', 'dadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581204', '430581', '430581204', '马坪乡', 'mapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581205', '430581', '430581205', '晏田乡', 'yantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581206', '430581', '430581206', '秦桥乡', 'qinqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581207', '430581', '430581207', '水浸坪乡', 'shuijinpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430581208', '430581', '430581208', '双牌乡', 'shuangpaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4306', '43', '4306', '岳阳市', 'yueyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430601', '4306', '430601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602', '4306', '430602', '岳阳楼区', 'yueyanglouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602001', '430602', '430602001', '岳阳楼街道', 'yueyangloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602002', '430602', '430602002', '三眼桥街道', 'sanyanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602003', '430602', '430602003', '吕仙亭街道', 'lu:xiantingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602004', '430602', '430602004', '金鹗山街道', 'jineshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602005', '430602', '430602005', '东茅岭街道', 'dongmaolingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602006', '430602', '430602006', '五里牌街道', 'wulipaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602007', '430602', '430602007', '冷水铺街道', 'lengshuipujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602008', '430602', '430602008', '城陵矶街道', 'chenglingjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602009', '430602', '430602009', '新路口街道', 'xinlukoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602010', '430602', '430602010', '北港街道', 'beigangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602011', '430602', '430602011', '洞庭街道', 'dongtingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602012', '430602', '430602012', '洛王街道', 'luowangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602013', '430602', '430602013', '南湖街道', 'nanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602014', '430602', '430602014', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602100', '430602', '430602100', '西塘镇', 'xitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602200', '430602', '430602200', '梅溪乡', 'meixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602201', '430602', '430602201', '郭镇乡', 'guozhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602202', '430602', '430602202', '三荷乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602203', '430602', '430602203', '康王乡', 'kangwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602402', '430602', '430602402', '经济技术开发区通海路管理处', 'jingjijishukaifaqutonghailuguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602404', '430602', '430602404', '南湖渔场', 'nanhuyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602405', '430602', '430602405', '湖滨农垦集团公司', 'hubinnongkenjituangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430602406', '430602', '430602406', '金凤桥管理处', 'jinfengqiaoguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430603', '4306', '430603', '云溪区', 'yunxiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430603100', '430603', '430603100', '云溪镇', 'yunxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430603101', '430603', '430603101', '陆城镇', 'luchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430603102', '430603', '430603102', '路口镇', 'lukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430603103', '430603', '430603103', '道仁矶镇', 'daorenjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430603104', '430603', '430603104', '文桥镇', 'wenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430603200', '430603', '430603200', '云溪乡', 'yunxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430603201', '430603', '430603201', '永济乡', 'yongjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430603450', '430603', '430603450', '长炼街道', 'zhanglianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430603451', '430603', '430603451', '岳化社区', 'yuehuashequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430611', '4306', '430611', '君山区', 'junshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430611001', '430611', '430611001', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430611100', '430611', '430611100', '柳林洲镇', 'liulinzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430611101', '430611', '430611101', '广兴洲镇', 'guangxingzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430611102', '430611', '430611102', '许市镇', 'xushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430611103', '430611', '430611103', '钱粮湖镇', 'qianlianghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430611104', '430611', '430611104', '良心堡镇', 'liangxinbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430611105', '430611', '430611105', '采桑湖镇', 'caisanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621', '4306', '430621', '岳阳县', 'yueyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621100', '430621', '430621100', '荣家湾镇', 'rongjiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621102', '430621', '430621102', '麻塘镇', 'matangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621103', '430621', '430621103', '鹿角镇', 'lujiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621104', '430621', '430621104', '黄沙街镇', 'huangshajiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621105', '430621', '430621105', '新墙镇', 'xinqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621106', '430621', '430621106', '柏祥镇', 'boxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621107', '430621', '430621107', '筻口镇', 'gangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621108', '430621', '430621108', '公田镇', 'gongtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621109', '430621', '430621109', '毛田镇', 'maotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621110', '430621', '430621110', '月田镇', 'yuetianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621111', '430621', '430621111', '张谷英镇', 'zhangguyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621112', '430621', '430621112', '新开镇', 'xinkaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621202', '430621', '430621202', '中洲乡', 'zhongzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621203', '430621', '430621203', '长湖乡', 'zhanghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621204', '430621', '430621204', '步仙乡', 'buxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621205', '430621', '430621205', '甘田乡', 'gantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621206', '430621', '430621206', '杨林乡', 'yanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621207', '430621', '430621207', '云山乡', 'yunshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621208', '430621', '430621208', '相思乡', 'xiangsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621209', '430621', '430621209', '饶村乡', 'raocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430621500', '430621', '430621500', '东洞庭湖管委会', 'dongdongtinghuguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623', '4306', '430623', '华容县', 'huarongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623100', '430623', '430623100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623101', '430623', '430623101', '三封寺镇', 'sanfengsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623102', '430623', '430623102', '治河渡镇', 'zhiheduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623103', '430623', '430623103', '北景港镇', 'beijinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623104', '430623', '430623104', '鲇鱼须镇', 'nianyuxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623105', '430623', '430623105', '宋家嘴镇', 'songjiazuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623106', '430623', '430623106', '万庾镇', 'wanyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623110', '430623', '430623110', '插旗镇', 'chaqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623111', '430623', '430623111', '注滋口镇', 'zhuzikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623112', '430623', '430623112', '操军镇', 'caojunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623114', '430623', '430623114', '东山镇', 'dongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623119', '430623', '430623119', '梅田湖镇', 'meitianhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623200', '430623', '430623200', '胜峰乡', 'shengfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623201', '430623', '430623201', '新河乡', 'xinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623202', '430623', '430623202', '护城乡', 'huchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623203', '430623', '430623203', '新建乡', 'xinjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623204', '430623', '430623204', '南山乡', 'nanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623205', '430623', '430623205', '终南乡', 'zhongnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623206', '430623', '430623206', '幸福乡', 'xingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430623207', '430623', '430623207', '团洲乡', 'tuanzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624', '4306', '430624', '湘阴县', 'xiangyinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624100', '430624', '430624100', '文星镇', 'wenxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624101', '430624', '430624101', '东塘镇', 'dongtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624102', '430624', '430624102', '袁家铺镇', 'yuanjiapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624103', '430624', '430624103', '界头铺镇', 'jietoupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624104', '430624', '430624104', '樟树镇', 'zhangshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624110', '430624', '430624110', '三塘镇', 'santangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624111', '430624', '430624111', '长康镇', 'zhangkangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624115', '430624', '430624115', '城西镇', 'chengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624116', '430624', '430624116', '岭北镇', 'lingbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624117', '430624', '430624117', '新泉镇', 'xinquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624118', '430624', '430624118', '湘滨镇', 'xiangbinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624119', '430624', '430624119', '南湖洲镇', 'nanhuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624200', '430624', '430624200', '石塘乡', 'shitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624201', '430624', '430624201', '六塘乡', 'liutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624202', '430624', '430624202', '白泥湖乡', 'bainihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624203', '430624', '430624203', '静河乡', 'jinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624204', '430624', '430624204', '玉华乡', 'yuhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624206', '430624', '430624206', '杨林寨乡', 'yanglinzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430624209', '430624', '430624209', '青潭乡', 'qingtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626', '4306', '430626', '平江县', 'pingjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626100', '430626', '430626100', '汉昌镇', 'hanchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626101', '430626', '430626101', '安定镇', 'andingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626102', '430626', '430626102', '三市镇', 'sanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626103', '430626', '430626103', '加义镇', 'jiayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626104', '430626', '430626104', '长寿镇', 'zhangshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626105', '430626', '430626105', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626106', '430626', '430626106', '虹桥镇', 'hongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626107', '430626', '430626107', '南江镇', 'nanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626108', '430626', '430626108', '梅仙镇', 'meixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626109', '430626', '430626109', '浯口镇', 'wukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626110', '430626', '430626110', '瓮江镇', 'wengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626111', '430626', '430626111', '伍市镇', 'wushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626112', '430626', '430626112', '向家镇', 'xiangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626113', '430626', '430626113', '童市镇', 'tongshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626114', '430626', '430626114', '岑川镇', 'cenchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626200', '430626', '430626200', '三阳乡', 'sanyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626201', '430626', '430626201', '思村乡', 'sicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626202', '430626', '430626202', '咏生乡', 'yongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626203', '430626', '430626203', '黄金洞乡', 'huangjindongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626204', '430626', '430626204', '南桥乡', 'nanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626205', '430626', '430626205', '木金乡', 'mujinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626206', '430626', '430626206', '大坪乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626207', '430626', '430626207', '冬塔乡', 'dongtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626208', '430626', '430626208', '板江乡', 'banjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626209', '430626', '430626209', '大洲乡', 'dazhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626210', '430626', '430626210', '三墩乡', 'sandunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430626211', '430626', '430626211', '余坪乡', 'yupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681', '4306', '430681', '汩罗市', 'guluoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681100', '430681', '430681100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681101', '430681', '430681101', '汨罗镇', 'miluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681102', '430681', '430681102', '新市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681103', '430681', '430681103', '古培镇', 'gupeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681104', '430681', '430681104', '白水镇', 'baishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681105', '430681', '430681105', '川山坪镇', 'chuanshanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681106', '430681', '430681106', '高家坊镇', 'gaojiafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681107', '430681', '430681107', '弼时镇', 'bishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681108', '430681', '430681108', '李家段镇', 'lijiaduanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681109', '430681', '430681109', '黄柏镇', 'huangbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681110', '430681', '430681110', '长乐镇', 'zhanglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681111', '430681', '430681111', '大荆镇', 'dajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681112', '430681', '430681112', '桃林寺镇', 'taolinsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681113', '430681', '430681113', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681114', '430681', '430681114', '范家园镇', 'fanjiayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681115', '430681', '430681115', '沙溪镇', 'shaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681116', '430681', '430681116', '营田镇', 'yingtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681117', '430681', '430681117', '河市镇', 'heshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681118', '430681', '430681118', '屈子祠镇', 'quzicizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681200', '430681', '430681200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681201', '430681', '430681201', '红花乡', 'honghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681202', '430681', '430681202', '黄市乡', 'huangshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681203', '430681', '430681203', '玉池乡', 'yuchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681205', '430681', '430681205', '天井乡', 'tianjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681206', '430681', '430681206', '智峰乡', 'zhifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681208', '430681', '430681208', '古仑乡', 'gulunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681209', '430681', '430681209', '火天乡', 'huotianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681210', '430681', '430681210', '新塘乡', 'xintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681211', '430681', '430681211', '白塘乡', 'baitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681214', '430681', '430681214', '磊石乡', 'leishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681215', '430681', '430681215', '八景乡', 'bajingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681216', '430681', '430681216', '黄金乡', 'huangjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681217', '430681', '430681217', '琴棋乡', 'qinqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681218', '430681', '430681218', '凤凰乡', 'fenghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681401', '430681', '430681401', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430681402', '430681', '430681402', '范家园茶叶示范场', 'fanjiayuanchayeshifanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682', '4306', '430682', '临湘市', 'linxiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682001', '430682', '430682001', '长安街道', 'zhanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682002', '430682', '430682002', '桥东街道', 'qiaodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682003', '430682', '430682003', '桃矿街道', 'taokuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682101', '430682', '430682101', '忠防镇', 'zhongfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682102', '430682', '430682102', '白云镇', 'baiyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682103', '430682', '430682103', '聂市镇', 'nieshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682104', '430682', '430682104', '源潭镇', 'yuantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682105', '430682', '430682105', '江南镇', 'jiangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682106', '430682', '430682106', '羊楼司镇', 'yanglousizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682107', '430682', '430682107', '桃林镇', 'taolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682108', '430682', '430682108', '长塘镇', 'zhangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682109', '430682', '430682109', '白羊田镇', 'baiyangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682110', '430682', '430682110', '詹桥镇', 'zhanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682111', '430682', '430682111', '儒溪镇', 'ruxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682112', '430682', '430682112', '定湖镇', 'dinghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682113', '430682', '430682113', '黄盖镇', 'huanggaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682200', '430682', '430682200', '五里牌乡', 'wulipaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682201', '430682', '430682201', '乘风乡', 'chengfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682202', '430682', '430682202', '文白乡', 'wenbaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682203', '430682', '430682203', '龙源乡', 'longyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682204', '430682', '430682204', '坦渡乡', 'tanduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682205', '430682', '430682205', '城南乡', 'chengnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682206', '430682', '430682206', '横铺乡', 'hengpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682207', '430682', '430682207', '贺畈乡', 'hefanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430682208', '430682', '430682208', '壁山乡', 'bishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4307', '43', '4307', '常德市', 'changdeshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430701', '4307', '430701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702', '4307', '430702', '武陵区', 'wulingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702001', '430702', '430702001', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702002', '430702', '430702002', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702003', '430702', '430702003', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702004', '430702', '430702004', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702005', '430702', '430702005', '三岔路街道', 'sanchalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702006', '430702', '430702006', '德山街道', 'deshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702100', '430702', '430702100', '河洑镇', 'hefuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702101', '430702', '430702101', '德山镇', 'deshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702200', '430702', '430702200', '芦荻山乡', 'ludishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702201', '430702', '430702201', '东郊乡', 'dongjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702202', '430702', '430702202', '东江乡', 'dongjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702203', '430702', '430702203', '护城乡', 'huchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702204', '430702', '430702204', '丹洲乡', 'danzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702205', '430702', '430702205', '南坪岗乡', 'nanpinggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702400', '430702', '430702400', '武陵区经济技术开发区', 'wulingqujingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430702401', '430702', '430702401', '柳叶湖旅游渡假区', 'liuyehulu:youdujiaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703', '4307', '430703', '鼎城区', 'dingchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703100', '430703', '430703100', '武陵镇', 'wulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703101', '430703', '430703101', '蒿子港镇', 'haozigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703102', '430703', '430703102', '中河口镇', 'zhonghekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703103', '430703', '430703103', '十美堂镇', 'shimeitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703104', '430703', '430703104', '牛鼻滩镇', 'niubitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703105', '430703', '430703105', '韩公渡镇', 'hangongduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703106', '430703', '430703106', '石公桥镇', 'shigongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703107', '430703', '430703107', '镇德桥镇', 'zhendeqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703108', '430703', '430703108', '周家店镇', 'zhoujiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703109', '430703', '430703109', '大龙站镇', 'dalongzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703110', '430703', '430703110', '双桥坪镇', 'shuangqiaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703111', '430703', '430703111', '灌溪镇', 'guanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703112', '430703', '430703112', '蔡家岗镇', 'caijiagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703113', '430703', '430703113', '斗姆湖镇', 'doumuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703114', '430703', '430703114', '草坪镇', 'caopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703115', '430703', '430703115', '石门桥镇', 'shimenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703116', '430703', '430703116', '谢家铺镇', 'xiejiapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703117', '430703', '430703117', '黄土店镇', 'huangtudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703118', '430703', '430703118', '尧天坪镇', 'yaotianpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703119', '430703', '430703119', '港二口镇', 'gangerkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703120', '430703', '430703120', '雷公庙镇', 'leigongmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703121', '430703', '430703121', '石板滩镇', 'shibantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703200', '430703', '430703200', '黄珠洲乡', 'huangzhuzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703201', '430703', '430703201', '黑山嘴乡', 'heishanzuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703202', '430703', '430703202', '白鹤山乡', 'baiheshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703203', '430703', '430703203', '长岭岗乡', 'zhanglinggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703204', '430703', '430703204', '许家桥回族维吾尔族乡', 'xujiaqiaohuizuweiwuerzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703205', '430703', '430703205', '丁家港乡', 'dingjiagangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703206', '430703', '430703206', '钱家坪乡', 'qianjiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703207', '430703', '430703207', '唐家铺乡', 'tangjiapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703208', '430703', '430703208', '沧山乡', 'cangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703209', '430703', '430703209', '长茅岭乡', 'zhangmaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703210', '430703', '430703210', '逆江坪乡', 'nijiangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703500', '430703', '430703500', '鼎城区园艺场', 'dingchengquyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703501', '430703', '430703501', '特种养殖场', 'tezhongyangzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703502', '430703', '430703502', '花岩溪林场', 'huayanxilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703503', '430703', '430703503', '贺家山原种场', 'hejiashanyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430703504', '430703', '430703504', '西洞庭农场', 'xidongtingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721', '4307', '430721', '安乡县', 'anxiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721100', '430721', '430721100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721101', '430721', '430721101', '大鲸港镇', 'dajinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721102', '430721', '430721102', '黄山头镇', 'huangshantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721103', '430721', '430721103', '三岔河镇', 'sanchahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721104', '430721', '430721104', '官垱镇', 'guandangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721105', '430721', '430721105', '下渔口镇', 'xiayukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721106', '430721', '430721106', '陈家嘴镇', 'chenjiazuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721107', '430721', '430721107', '焦圻镇', 'jiaoqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721200', '430721', '430721200', '安猷乡', 'anyouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721201', '430721', '430721201', '安障乡', 'anzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721202', '430721', '430721202', '安昌乡', 'anchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721203', '430721', '430721203', '安宏乡', 'anhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721204', '430721', '430721204', '安生乡', 'anshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721205', '430721', '430721205', '安全乡', 'anquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721206', '430721', '430721206', '安福乡', 'anfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721207', '430721', '430721207', '安凝乡', 'anningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721208', '430721', '430721208', '安丰乡', 'anfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721209', '430721', '430721209', '安裕乡', 'anyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721210', '430721', '430721210', '安康乡', 'ankangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430721211', '430721', '430721211', '安德乡', 'andexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722', '4307', '430722', '汉寿县', 'hanshouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722101', '430722', '430722101', '蒋家嘴镇', 'jiangjiazuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722102', '430722', '430722102', '岩汪湖镇', 'yanwanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722103', '430722', '430722103', '坡头镇', 'potouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722104', '430722', '430722104', '酉港镇', 'yougangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722105', '430722', '430722105', '洲口镇', 'zhoukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722106', '430722', '430722106', '罐头嘴镇', 'guantouzuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722107', '430722', '430722107', '沧港镇', 'canggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722108', '430722', '430722108', '朱家铺镇', 'zhujiapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722109', '430722', '430722109', '太子庙镇', 'taizimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722110', '430722', '430722110', '毓德铺镇', 'yudepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722111', '430722', '430722111', '崔家桥镇', 'cuijiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722112', '430722', '430722112', '军山铺镇', 'junshanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722113', '430722', '430722113', '百禄桥镇', 'bailuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722114', '430722', '430722114', '西湖镇', 'xihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722115', '430722', '430722115', '洋淘湖镇', 'yangtaohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722116', '430722', '430722116', '龙阳镇', 'longyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722201', '430722', '430722201', '周文庙乡', 'zhouwenmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722202', '430722', '430722202', '鸭子港乡', 'yazigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722203', '430722', '430722203', '文蔚乡', 'wenyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722204', '430722', '430722204', '新兴乡', 'xinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722205', '430722', '430722205', '聂家桥乡', 'niejiaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722206', '430722', '430722206', '毛家滩回族维吾尔族乡', 'maojiatanhuizuweiwuerzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722207', '430722', '430722207', '丰家铺乡', 'fengjiapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722208', '430722', '430722208', '东岳庙乡', 'dongyuemiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722209', '430722', '430722209', '岩嘴乡', 'yanzuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722210', '430722', '430722210', '株木山乡', 'zhumushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722211', '430722', '430722211', '三和乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722212', '430722', '430722212', '龙潭桥乡', 'longtanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722213', '430722', '430722213', '月明潭乡', 'yuemingtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430722216', '430722', '430722216', '大南湖乡', 'dananhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723', '4307', '430723', '澧县', 'lixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723100', '430723', '430723100', '澧阳镇', 'liyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723101', '430723', '430723101', '张公庙镇', 'zhanggongmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723102', '430723', '430723102', '小渡口镇', 'xiaodukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723103', '430723', '430723103', '梦溪镇', 'mengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723104', '430723', '430723104', '复兴厂镇', 'fuxingchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723105', '430723', '430723105', '盐井镇', 'yanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723106', '430723', '430723106', '雷公塔镇', 'leigongtazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723107', '430723', '430723107', '大堰垱镇', 'dayandangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723108', '430723', '430723108', '王家厂镇', 'wangjiachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723109', '430723', '430723109', '金罗镇', 'jinluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723110', '430723', '430723110', '码头铺镇', 'matoupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723111', '430723', '430723111', '方石坪镇', 'fangshipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723112', '430723', '430723112', '甘溪滩镇', 'ganxitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723113', '430723', '430723113', '火连坡镇', 'huolianpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723200', '430723', '430723200', '九垸乡', 'jiuhuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723201', '430723', '430723201', '官垸乡', 'guanhuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723202', '430723', '430723202', '永丰乡', 'yongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723203', '430723', '430723203', '如东乡', 'rudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723204', '430723', '430723204', '澧澹乡', 'lidanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723205', '430723', '430723205', '澧南乡', 'linanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723206', '430723', '430723206', '澧东乡', 'lidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723207', '430723', '430723207', '涔南乡', 'cennanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723208', '430723', '430723208', '大坪乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723209', '430723', '430723209', '道河乡', 'daohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723210', '430723', '430723210', '双龙乡', 'shuanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723211', '430723', '430723211', '宜万乡', 'yiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723212', '430723', '430723212', '车溪乡', 'chexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723213', '430723', '430723213', '中武乡', 'zhongwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723214', '430723', '430723214', '闸口乡', 'zhakouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723215', '430723', '430723215', '洞市乡', 'dongshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723216', '430723', '430723216', '杨家坊乡', 'yangjiafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430723217', '430723', '430723217', '太青乡', 'taiqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724', '4307', '430724', '临澧县', 'linlixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724100', '430724', '430724100', '安福镇', 'anfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724101', '430724', '430724101', '合口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724102', '430724', '430724102', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724103', '430724', '430724103', '佘市桥镇', 'sheshiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724104', '430724', '430724104', '太浮镇', 'taifuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724105', '430724', '430724105', '四新岗镇', 'sixingangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724106', '430724', '430724106', '停弦渡镇', 'tingxianduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724107', '430724', '430724107', '修梅镇', 'xiumeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724200', '430724', '430724200', '杉板乡', 'shanbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724201', '430724', '430724201', '文家乡', 'wenjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724202', '430724', '430724202', '陈二乡', 'chenerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724203', '430724', '430724203', '柏枝乡', 'bozhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724204', '430724', '430724204', '烽火乡', 'fenghuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724205', '430724', '430724205', '望城乡', 'wangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724206', '430724', '430724206', '杨板乡', 'yangbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724207', '430724', '430724207', '官亭乡', 'guantingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430724208', '430724', '430724208', '九里乡', 'jiulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725', '4307', '430725', '桃源县', 'taoyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725100', '430725', '430725100', '漳江镇', 'zhangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725101', '430725', '430725101', '陬市镇', 'zoushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725102', '430725', '430725102', '盘塘镇', 'pantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725103', '430725', '430725103', '热市镇', 'reshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725104', '430725', '430725104', '黄石镇', 'huangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725105', '430725', '430725105', '漆河镇', 'qihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725106', '430725', '430725106', '理公港镇', 'ligonggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725107', '430725', '430725107', '观音寺镇', 'guanyinsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725108', '430725', '430725108', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725109', '430725', '430725109', '三阳港镇', 'sanyanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725110', '430725', '430725110', '剪市镇', 'jianshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725111', '430725', '430725111', '茶庵铺镇', 'chaanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725112', '430725', '430725112', '西安镇', 'xianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725113', '430725', '430725113', '沙坪镇', 'shapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725114', '430725', '430725114', '桃花源镇', 'taohuayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725115', '430725', '430725115', '架桥镇', 'jiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725116', '430725', '430725116', '马鬃岭镇', 'mazonglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725117', '430725', '430725117', '凌津滩镇', 'lingjintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725200', '430725', '430725200', '青林乡', 'qinglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725201', '430725', '430725201', '车湖垸乡', 'chehuhuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725202', '430725', '430725202', '枫树维吾尔族回族乡', 'fengshuweiwuerzuhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725203', '430725', '430725203', '木塘垸乡', 'mutanghuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725206', '430725', '430725206', '双溪口乡', 'shuangxikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725207', '430725', '430725207', '郝坪乡', 'haopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725208', '430725', '430725208', '九溪乡', 'jiuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725209', '430725', '430725209', '黄甲铺乡', 'huangjiapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725210', '430725', '430725210', '钟家铺乡', 'zhongjiapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725211', '430725', '430725211', '牛车河乡', 'niuchehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725212', '430725', '430725212', '佘家坪乡', 'shejiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725213', '430725', '430725213', '太平桥乡', 'taipingqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725214', '430725', '430725214', '浯溪河乡', 'wuxihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725215', '430725', '430725215', '深水港乡', 'shenshuigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725216', '430725', '430725216', '泥窝潭乡', 'niwotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725218', '430725', '430725218', '兴隆街乡', 'xinglongjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725219', '430725', '430725219', '太平铺乡', 'taipingpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725220', '430725', '430725220', '牯牛山乡', 'guniushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725221', '430725', '430725221', '杨溪桥乡', 'yangxiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725222', '430725', '430725222', '寺坪乡', 'sipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725223', '430725', '430725223', '郑家驿乡', 'zhengjiayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430725224', '430725', '430725224', '芦花潭乡', 'luhuatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726', '4307', '430726', '石门县', 'shimenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726100', '430726', '430726100', '楚江镇', 'chujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726101', '430726', '430726101', '蒙泉镇', 'mengquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726102', '430726', '430726102', '夹山镇', 'jiashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726103', '430726', '430726103', '易家渡镇', 'yijiaduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726104', '430726', '430726104', '新关镇', 'xinguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726105', '430726', '430726105', '皂市镇', 'zaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726106', '430726', '430726106', '维新镇', 'weixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726107', '430726', '430726107', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726108', '430726', '430726108', '磨市镇', 'moshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726109', '430726', '430726109', '壶瓶山镇', 'hupingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726110', '430726', '430726110', '南北镇', 'nanbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726200', '430726', '430726200', '二都乡', 'erdouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726201', '430726', '430726201', '新铺乡', 'xinpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726202', '430726', '430726202', '白云乡', 'baiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726203', '430726', '430726203', '三圣乡', 'sanshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726204', '430726', '430726204', '子良乡', 'ziliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726205', '430726', '430726205', '所街乡', 'suojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726206', '430726', '430726206', '雁池乡', 'yanchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726207', '430726', '430726207', '罗坪乡', 'luopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726500', '430726', '430726500', '秀坪园艺场', 'xiupingyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726501', '430726', '430726501', '经济开发区', 'jingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726502', '430726', '430726502', '东山峰农场', 'dongshanfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726503', '430726', '430726503', '大同山林场', 'datongshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726504', '430726', '430726504', '白云山林场', 'baiyunshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726505', '430726', '430726505', '洛浦寺林场', 'luopusilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430726506', '430726', '430726506', '夹山管理处', 'jiashanguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781', '4307', '430781', '津市市', 'jinshishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781001', '430781', '430781001', '三洲驿街道', 'sanzhouyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781002', '430781', '430781002', '汪家桥街道', 'wangjiaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781003', '430781', '430781003', '襄阳街街道', 'xiangyangjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781004', '430781', '430781004', '金鱼岭街道', 'jinyulingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781100', '430781', '430781100', '新洲镇', 'xinzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781101', '430781', '430781101', '渡口镇', 'dukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781102', '430781', '430781102', '保和堤镇', 'baohedizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781103', '430781', '430781103', '白衣镇', 'baiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781202', '430781', '430781202', '灵泉乡', 'lingquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781203', '430781', '430781203', '棠华乡', 'tanghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781204', '430781', '430781204', '李家铺乡', 'lijiapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430781500', '430781', '430781500', '涔澹农场', 'cendannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4308', '43', '4308', '张家界市', 'zhangjiajieshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430801', '4308', '430801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802', '4308', '430802', '永定区', 'yongdingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802001', '430802', '430802001', '永定街道', 'yongdingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802002', '430802', '430802002', '大庸桥街道', 'dayongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802003', '430802', '430802003', '西溪坪街道', 'xixipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802004', '430802', '430802004', '官黎坪街道', 'guanlipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802005', '430802', '430802005', '崇文街道', 'chongwenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802006', '430802', '430802006', '南庄坪街道', 'nanzhuangpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802100', '430802', '430802100', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802101', '430802', '430802101', '温塘镇', 'wentangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802102', '430802', '430802102', '教字垭镇', 'jiaoziyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802103', '430802', '430802103', '大坪镇', 'dapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802104', '430802', '430802104', '沅古坪镇', 'yuangupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802105', '430802', '430802105', '尹家溪镇', 'yinjiaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802106', '430802', '430802106', '后坪镇', 'houpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802107', '430802', '430802107', '阳湖坪镇', 'yanghupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802108', '430802', '430802108', '王家坪镇', 'wangjiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802201', '430802', '430802201', '三家馆乡', 'sanjiaguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802202', '430802', '430802202', '沙堤乡', 'shadixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802203', '430802', '430802203', '枫香岗乡', 'fengxianggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802204', '430802', '430802204', '合作桥乡', 'hezuoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802205', '430802', '430802205', '双溪桥乡', 'shuangxiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802206', '430802', '430802206', '谢家垭乡', 'xiejiayaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802207', '430802', '430802207', '青安坪乡', 'qinganpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802208', '430802', '430802208', '罗塔坪乡', 'luotapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802209', '430802', '430802209', '罗水乡', 'luoshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802210', '430802', '430802210', '桥头乡', 'qiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802211', '430802', '430802211', '三岔乡', 'sanchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802212', '430802', '430802212', '四都坪乡', 'sidoupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802400', '430802', '430802400', '茅溪水库管理所', 'maoxishuikuguanlisuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802401', '430802', '430802401', '猪石头林场', 'zhushitoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802404', '430802', '430802404', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430802405', '430802', '430802405', '旱科所', 'hankesuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430811', '4308', '430811', '武陵源区', 'wulingyuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430811001', '430811', '430811001', '军地坪街道', 'jundipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430811100', '430811', '430811100', '天子山镇', 'tianzishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430811200', '430811', '430811200', '索溪峪土家族乡', 'suoxiyutujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430811201', '430811', '430811201', '协合乡', 'xiehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430811202', '430811', '430811202', '中湖乡', 'zhonghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430811450', '430811', '430811450', '张家界国家森林公园管理处', 'zhangjiajieguojiasenlingongyuanguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821', '4308', '430821', '慈利县', 'cilixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821100', '430821', '430821100', '零阳镇', 'lingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821101', '430821', '430821101', '岩泊渡镇', 'yanboduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821102', '430821', '430821102', '溪口镇', 'xikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821103', '430821', '430821103', '东岳观镇', 'dongyueguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821104', '430821', '430821104', '通津铺镇', 'tongjinpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821105', '430821', '430821105', '杉木桥镇', 'shanmuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821106', '430821', '430821106', '象市镇', 'xiangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821107', '430821', '430821107', '江垭镇', 'jiangyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821108', '430821', '430821108', '苗市镇', 'miaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821109', '430821', '430821109', '零溪镇', 'lingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821110', '430821', '430821110', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821111', '430821', '430821111', '龙潭河镇', 'longtanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821112', '430821', '430821112', '广福桥镇', 'guangfuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821200', '430821', '430821200', '南山坪乡', 'nanshanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821201', '430821', '430821201', '宜冲桥乡', 'yichongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821202', '430821', '430821202', '洞溪乡', 'dongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821203', '430821', '430821203', '金坪乡', 'jinpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821204', '430821', '430821204', '景龙桥乡', 'jinglongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821205', '430821', '430821205', '二坊坪乡', 'erfangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821206', '430821', '430821206', '三合口乡', 'sanhekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821207', '430821', '430821207', '国太桥乡', 'guotaiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821208', '430821', '430821208', '庄塌乡', 'zhuangtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821209', '430821', '430821209', '杨柳铺乡', 'yangliupuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821210', '430821', '430821210', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821211', '430821', '430821211', '三官寺土家族乡', 'sanguansitujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821212', '430821', '430821212', '高峰土家族乡', 'gaofengtujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821213', '430821', '430821213', '许家坊土家族乡', 'xujiafangtujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821214', '430821', '430821214', '金岩土家族乡', 'jinyantujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821215', '430821', '430821215', '赵家岗土家族乡', 'zhaojiagangtujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821216', '430821', '430821216', '甘堰土家族乡', 'ganyantujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430821217', '430821', '430821217', '阳和土家族乡', 'yanghetujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822', '4308', '430822', '桑植县', 'sangzhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822100', '430822', '430822100', '澧源镇', 'liyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822101', '430822', '430822101', '瑞塔铺镇', 'ruitapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822102', '430822', '430822102', '官地坪镇', 'guandipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822103', '430822', '430822103', '凉水口镇', 'liangshuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822104', '430822', '430822104', '龙潭坪镇', 'longtanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822105', '430822', '430822105', '五道水镇', 'wudaoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822106', '430822', '430822106', '陈家河镇', 'chenjiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822107', '430822', '430822107', '廖家村镇', 'liaojiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822108', '430822', '430822108', '利福塔镇', 'lifutazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822200', '430822', '430822200', '空壳树乡', 'kongqiaoshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822201', '430822', '430822201', '汨湖乡', 'mihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822202', '430822', '430822202', '竹叶坪乡', 'zhuyepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822203', '430822', '430822203', '走马坪白族乡', 'zoumapingbaizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822204', '430822', '430822204', '人潮溪乡', 'renchaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822205', '430822', '430822205', '西莲乡', 'xilianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822206', '430822', '430822206', '白石乡', 'baishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822207', '430822', '430822207', '刘家坪白族乡', 'liujiapingbaizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822208', '430822', '430822208', '芙蓉桥白族乡', 'furongqiaobaizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822209', '430822', '430822209', '麦地坪白族乡', 'maidipingbaizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822210', '430822', '430822210', '马合口白族乡', 'mahekoubaizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822211', '430822', '430822211', '长潭坪乡', 'zhangtanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822212', '430822', '430822212', '淋溪河乡', 'linxihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822213', '430822', '430822213', '洪家关乡', 'hongjiaguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822214', '430822', '430822214', '桥自湾乡', 'qiaoziwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822215', '430822', '430822215', '谷罗山乡', 'guluoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822216', '430822', '430822216', '沙塔坪乡', 'shatapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822217', '430822', '430822217', '苦竹坪乡', 'kuzhupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822218', '430822', '430822218', '四方溪乡', 'sifangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822219', '430822', '430822219', '芭茅溪乡', 'bamaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822220', '430822', '430822220', '细沙坪乡', 'xishapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822221', '430822', '430822221', '八大公山乡', 'badagongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822222', '430822', '430822222', '蹇家坡乡', 'jianjiapoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822223', '430822', '430822223', '岩屋口乡', 'yanwukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822224', '430822', '430822224', '河口乡', 'hekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822225', '430822', '430822225', '上河溪乡', 'shanghexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822226', '430822', '430822226', '两河口乡', 'lianghekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822227', '430822', '430822227', '打鼓泉乡', 'daguquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822228', '430822', '430822228', '上洞街乡', 'shangdongjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430822500', '430822', '430822500', '天星山林场', 'tianxingshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4309', '43', '4309', '益阳市', 'yiyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430901', '4309', '430901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430902', '4309', '430902', '资阳区', 'ziyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430902005', '430902', '430902005', '大码头街道', 'damatoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430902006', '430902', '430902006', '汽车路街道', 'qichelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430902102', '430902', '430902102', '迎风桥镇', 'yingfengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430902104', '430902', '430902104', '沙头镇', 'shatouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430902105', '430902', '430902105', '茈湖口镇', 'zihukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430902106', '430902', '430902106', '长春镇', 'zhangchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430902107', '430902', '430902107', '新桥河镇', 'xinqiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430902203', '430902', '430902203', '张家塞乡', 'zhangjiasaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903', '4309', '430903', '赫山区', 'heshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903001', '430903', '430903001', '赫山街道', 'heshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903002', '430903', '430903002', '桃花仑街道', 'taohualunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903003', '430903', '430903003', '金银山街道', 'jinyinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903005', '430903', '430903005', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903006', '430903', '430903006', '会龙山街道', 'huilongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903101', '430903', '430903101', '八字哨镇', 'bazishaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903103', '430903', '430903103', '泉交河镇', 'quanjiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903104', '430903', '430903104', '欧江岔镇', 'oujiangchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903105', '430903', '430903105', '沧水铺镇', 'cangshuipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903107', '430903', '430903107', '岳家桥镇', 'yuejiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903109', '430903', '430903109', '谢林港镇', 'xielingangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903110', '430903', '430903110', '新市渡镇', 'xinshiduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903111', '430903', '430903111', '兰溪镇', 'lanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903112', '430903', '430903112', '龙光桥镇', 'longguangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903113', '430903', '430903113', '衡龙桥镇', 'henglongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903114', '430903', '430903114', '泥江口镇', 'nijiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903202', '430903', '430903202', '牌口乡', 'paikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903209', '430903', '430903209', '笔架山乡', 'bijiashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430903402', '430903', '430903402', '龙岭工业园', 'longlinggongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921', '4309', '430921', '南县', 'nanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921102', '430921', '430921102', '明山头镇', 'mingshantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921103', '430921', '430921103', '青树嘴镇', 'qingshuzuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921106', '430921', '430921106', '厂窖镇', 'changjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921107', '430921', '430921107', '武圣宫镇', 'wushenggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921121', '430921', '430921121', '河坝镇', 'hebazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921123', '430921', '430921123', '金盆镇', 'jinpenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921124', '430921', '430921124', '北洲子镇', 'beizhouzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921125', '430921', '430921125', '南洲镇', 'nanzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921126', '430921', '430921126', '华阁镇', 'huagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921127', '430921', '430921127', '茅草街镇', 'maocaojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921128', '430921', '430921128', '三仙湖镇', 'sanxianhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921129', '430921', '430921129', '麻河口镇', 'mahekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921130', '430921', '430921130', '千山红镇', 'qianshanhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921201', '430921', '430921201', '乌嘴乡', 'wuzuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921212', '430921', '430921212', '中鱼口乡', 'zhongyukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921213', '430921', '430921213', '浪拔湖乡', 'langbahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430921403', '430921', '430921403', '大通湖渔场', 'datonghuyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922', '4309', '430922', '桃江县', 'taojiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922101', '430922', '430922101', '修山镇', 'xiushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922103', '430922', '430922103', '鸬鹚渡镇', 'luciduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922107', '430922', '430922107', '石牛江镇', 'shiniujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922108', '430922', '430922108', '牛田镇', 'niutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922109', '430922', '430922109', '松木塘镇', 'songmutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922112', '430922', '430922112', '桃花江镇', 'taohuajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922113', '430922', '430922113', '灰山港镇', 'huishangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922114', '430922', '430922114', '武潭镇', 'wutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922115', '430922', '430922115', '马迹塘镇', 'majitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922116', '430922', '430922116', '三堂街镇', 'santangjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922117', '430922', '430922117', '大栗港镇', 'daligangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922203', '430922', '430922203', '高桥乡', 'gaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922205', '430922', '430922205', '沾溪乡', 'zhanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922208', '430922', '430922208', '鲊埠回族乡', 'zhabuhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922212', '430922', '430922212', '浮丘山乡', 'fuqiushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922400', '430922', '430922400', '板溪林场', 'banxilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922401', '430922', '430922401', '石井头林场', 'shijingtoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430922402', '430922', '430922402', '浮邱山林场', 'fuqiushanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923', '4309', '430923', '安化县', 'anhuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923101', '430923', '430923101', '清塘铺镇', 'qingtangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923103', '430923', '430923103', '仙溪镇', 'xianxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923105', '430923', '430923105', '长塘镇', 'zhangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923106', '430923', '430923106', '小淹镇', 'xiaoyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923108', '430923', '430923108', '羊角塘镇', 'yangjiaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923109', '430923', '430923109', '冷市镇', 'lengshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923111', '430923', '430923111', '奎溪镇', 'kuixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923112', '430923', '430923112', '烟溪镇', 'yanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923113', '430923', '430923113', '渠江镇', 'qujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923114', '430923', '430923114', '平口镇', 'pingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923115', '430923', '430923115', '柘溪镇', 'zhexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923116', '430923', '430923116', '乐安镇', 'leanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923117', '430923', '430923117', '滔溪镇', 'taoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923118', '430923', '430923118', '梅城镇', 'meichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923119', '430923', '430923119', '大福镇', 'dafuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923120', '430923', '430923120', '马路镇', 'maluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923121', '430923', '430923121', '东坪镇', 'dongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923122', '430923', '430923122', '江南镇', 'jiangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923200', '430923', '430923200', '高明乡', 'gaomingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923206', '430923', '430923206', '龙塘乡', 'longtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923209', '430923', '430923209', '田庄乡', 'tianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923211', '430923', '430923211', '南金乡', 'nanjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430923212', '430923', '430923212', '古楼乡', 'gulouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981', '4309', '430981', '沅江市', 'yuanjiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981006', '430981', '430981006', '琼湖街道', 'qionghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981007', '430981', '430981007', '庆云山街道', 'qingyunshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981102', '430981', '430981102', '四季红镇', 'sijihongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981105', '430981', '430981105', '泗湖山镇', 'sihushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981107', '430981', '430981107', '南嘴镇', 'nanzuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981108', '430981', '430981108', '新湾镇', 'xinwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981110', '430981', '430981110', '茶盘洲镇', 'chapanzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981112', '430981', '430981112', '南大膳镇', 'nandashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981113', '430981', '430981113', '黄茅洲镇', 'huangmaozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981114', '430981', '430981114', '草尾镇', 'caoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981115', '430981', '430981115', '阳罗洲镇', 'yangluozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981116', '430981', '430981116', '共华镇', 'gonghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981117', '430981', '430981117', '三眼塘镇', 'sanyantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981209', '430981', '430981209', '万子湖乡', 'wanzihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981401', '430981', '430981401', '南洞庭芦苇场', 'nandongtingluweichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('430981402', '430981', '430981402', '漉湖芦苇场', 'luhuluweichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4310', '43', '4310', '郴州市', 'chenzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431001', '4310', '431001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002', '4310', '431002', '北湖区', 'beihuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002001', '431002', '431002001', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002002', '431002', '431002002', '北湖街道', 'beihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002003', '431002', '431002003', '燕泉街道', 'yanquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002004', '431002', '431002004', '下湄桥街道', 'xiameiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002100', '431002', '431002100', '石盖塘镇', 'shigaitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002101', '431002', '431002101', '华塘镇', 'huatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002102', '431002', '431002102', '鲁塘镇', 'lutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002103', '431002', '431002103', '郴江镇', 'chenjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002104', '431002', '431002104', '万华岩镇', 'wanhuayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002200', '431002', '431002200', '江口乡', 'jiangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002201', '431002', '431002201', '市郊乡', 'shijiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002202', '431002', '431002202', '大塘瑶族乡', 'datangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002203', '431002', '431002203', '同和乡', 'tonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002204', '431002', '431002204', '保和乡', 'baohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002205', '431002', '431002205', '月峰瑶族乡', 'yuefengyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002206', '431002', '431002206', '芙蓉乡', 'furongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002207', '431002', '431002207', '永春乡', 'yongchunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431002208', '431002', '431002208', '南溪乡', 'nanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003', '4310', '431003', '苏仙区', 'suxianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003001', '431003', '431003001', '苏仙岭街道', 'suxianlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003002', '431003', '431003002', '南塔街道', 'nantajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003100', '431003', '431003100', '桥口镇', 'qiaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003101', '431003', '431003101', '白露塘镇', 'bailutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003102', '431003', '431003102', '良田镇', 'liangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003103', '431003', '431003103', '栖凤渡镇', 'qifengduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003104', '431003', '431003104', '坳上镇', 'aoshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003105', '431003', '431003105', '许家洞镇', 'xujiadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003106', '431003', '431003106', '白鹿洞镇', 'bailudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003107', '431003', '431003107', '五里牌镇', 'wulipaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003200', '431003', '431003200', '岗脚乡', 'gangjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003201', '431003', '431003201', '廖王坪乡', 'liaowangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003202', '431003', '431003202', '马头岭乡', 'matoulingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003203', '431003', '431003203', '荷叶坪乡', 'heyepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003204', '431003', '431003204', '塘溪乡', 'tangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003205', '431003', '431003205', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003206', '431003', '431003206', '邓家塘乡', 'dengjiatangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003207', '431003', '431003207', '廖家湾乡', 'liaojiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431003208', '431003', '431003208', '大奎上乡', 'dakuishangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021', '4310', '431021', '桂阳县', 'guiyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021100', '431021', '431021100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021101', '431021', '431021101', '黄沙坪镇', 'huangshapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021102', '431021', '431021102', '仁义镇', 'renyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021103', '431021', '431021103', '太和镇', 'taihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021104', '431021', '431021104', '洋市镇', 'yangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021105', '431021', '431021105', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021106', '431021', '431021106', '流峰镇', 'liufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021107', '431021', '431021107', '塘市镇', 'tangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021108', '431021', '431021108', '莲塘镇', 'liantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021109', '431021', '431021109', '飞仙镇', 'feixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021110', '431021', '431021110', '荷叶镇', 'heyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021111', '431021', '431021111', '方元镇', 'fangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021112', '431021', '431021112', '樟市镇', 'zhangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021113', '431021', '431021113', '敖泉镇', 'aoquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021200', '431021', '431021200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021201', '431021', '431021201', '清和乡', 'qinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021202', '431021', '431021202', '正和乡', 'zhenghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021203', '431021', '431021203', '燕塘乡', 'yantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021204', '431021', '431021204', '浩塘乡', 'haotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021205', '431021', '431021205', '团结乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021206', '431021', '431021206', '东城乡', 'dongchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021207', '431021', '431021207', '雷坪乡', 'leipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021208', '431021', '431021208', '青兰乡', 'qinglanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021209', '431021', '431021209', '桥市乡', 'qiaoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021211', '431021', '431021211', '银河乡', 'yinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021212', '431021', '431021212', '樟木乡', 'zhangmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021213', '431021', '431021213', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021214', '431021', '431021214', '华山瑶族乡', 'huashanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021215', '431021', '431021215', '四里乡', 'silixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021216', '431021', '431021216', '六合乡', 'liuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021217', '431021', '431021217', '泗洲乡', 'sizhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021218', '431021', '431021218', '欧阳海乡', 'ouyanghaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021219', '431021', '431021219', '光明乡', 'guangmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021220', '431021', '431021220', '白水乡', 'baishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021221', '431021', '431021221', '杨柳瑶族乡', 'yangliuyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021222', '431021', '431021222', '华泉乡', 'huaquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021223', '431021', '431021223', '古楼乡', 'gulouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021224', '431021', '431021224', '十字乡', 'shizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431021225', '431021', '431021225', '余田乡', 'yutianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022', '4310', '431022', '宜章县', 'yizhangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022100', '431022', '431022100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022101', '431022', '431022101', '白石渡镇', 'baishiduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022102', '431022', '431022102', '杨梅山镇', 'yangmeishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022103', '431022', '431022103', '瑶岗仙镇', 'yaogangxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022104', '431022', '431022104', '梅田镇', 'meitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022105', '431022', '431022105', '麻田镇', 'matianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022106', '431022', '431022106', '黄沙镇', 'huangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022107', '431022', '431022107', '迎春镇', 'yingchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022108', '431022', '431022108', '一六镇', 'yiliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022109', '431022', '431022109', '栗源镇', 'liyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022110', '431022', '431022110', '岩泉镇', 'yanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022200', '431022', '431022200', '城南乡', 'chengnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022201', '431022', '431022201', '浆水乡', 'jiangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022202', '431022', '431022202', '长村村乡', 'zhangcuncunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022203', '431022', '431022203', '东风乡', 'dongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022204', '431022', '431022204', '天塘乡', 'tiantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022205', '431022', '431022205', '莽山瑶族乡', 'mangshanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022206', '431022', '431022206', '笆篱乡', 'balixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022207', '431022', '431022207', '白沙圩乡', 'baishaweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022208', '431022', '431022208', '关溪乡', 'guanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022209', '431022', '431022209', '长策乡', 'zhangcexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022210', '431022', '431022210', '里田乡', 'litianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022211', '431022', '431022211', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022212', '431022', '431022212', '赤石乡', 'chishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022213', '431022', '431022213', '平和乡', 'pinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022214', '431022', '431022214', '太平里乡', 'taipinglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431022215', '431022', '431022215', '沙坪乡', 'shapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023', '4310', '431023', '永兴县', 'yongxingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023100', '431023', '431023100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023101', '431023', '431023101', '马田镇', 'matianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023102', '431023', '431023102', '湘阴渡镇', 'xiangyinduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023103', '431023', '431023103', '塘门口镇', 'tangmenkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023104', '431023', '431023104', '金龟镇', 'jinguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023105', '431023', '431023105', '柏林镇', 'bolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023106', '431023', '431023106', '鲤鱼塘镇', 'liyutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023107', '431023', '431023107', '油市镇', 'youshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023200', '431023', '431023200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023201', '431023', '431023201', '碧塘乡', 'bitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023202', '431023', '431023202', '高亭乡', 'gaotingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023203', '431023', '431023203', '洋塘乡', 'yangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023204', '431023', '431023204', '复和乡', 'fuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023205', '431023', '431023205', '油麻乡', 'youmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023206', '431023', '431023206', '三塘乡', 'santangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023207', '431023', '431023207', '悦来乡', 'yuelaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023208', '431023', '431023208', '黄泥乡', 'huangnixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023209', '431023', '431023209', '香梅乡', 'xiangmeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023210', '431023', '431023210', '樟树乡', 'zhangshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023211', '431023', '431023211', '太和乡', 'taihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023212', '431023', '431023212', '洞口乡', 'dongkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023213', '431023', '431023213', '千冲乡', 'qianchongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023214', '431023', '431023214', '大布江乡', 'dabujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023215', '431023', '431023215', '龙形市乡', 'longxingshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431023216', '431023', '431023216', '七甲乡', 'qijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024', '4310', '431024', '嘉禾县', 'jiahexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024100', '431024', '431024100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024101', '431024', '431024101', '车头镇', 'chetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024102', '431024', '431024102', '塘村村镇', 'tangcuncunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024103', '431024', '431024103', '袁家镇', 'yuanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024104', '431024', '431024104', '行廊镇', 'xinglangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024105', '431024', '431024105', '肖家镇', 'xiaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024106', '431024', '431024106', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024107', '431024', '431024107', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024200', '431024', '431024200', '泮头乡', 'pantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024201', '431024', '431024201', '普满乡', 'pumanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024202', '431024', '431024202', '田心乡', 'tianxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024203', '431024', '431024203', '坦坪乡', 'tanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024204', '431024', '431024204', '广发乡', 'guangfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024205', '431024', '431024205', '莲荷乡', 'lianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024206', '431024', '431024206', '盘江乡', 'panjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024207', '431024', '431024207', '钟水乡', 'zhongshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431024208', '431024', '431024208', '石羔乡', 'shigaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025', '4310', '431025', '临武县', 'linwuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025100', '431025', '431025100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025101', '431025', '431025101', '金江镇', 'jinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025102', '431025', '431025102', '香花岭镇', 'xianghualingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025103', '431025', '431025103', '岚桥镇', 'lanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025104', '431025', '431025104', '武水镇', 'wushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025200', '431025', '431025200', '双溪乡', 'shuangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025201', '431025', '431025201', '南强乡', 'nanqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025202', '431025', '431025202', '广宜乡', 'guangyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025203', '431025', '431025203', '同益乡', 'tongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025204', '431025', '431025204', '汾市乡', 'fenshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025205', '431025', '431025205', '土地乡', 'tudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025206', '431025', '431025206', '水东乡', 'shuidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025207', '431025', '431025207', '接龙乡', 'jielongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025208', '431025', '431025208', '花塘乡', 'huatangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025209', '431025', '431025209', '楚江乡', 'chujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025210', '431025', '431025210', '武源乡', 'wuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025211', '431025', '431025211', '万水乡', 'wanshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025212', '431025', '431025212', '麦市乡', 'maishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025213', '431025', '431025213', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025214', '431025', '431025214', '镇南乡', 'zhennanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025215', '431025', '431025215', '大冲乡', 'dachongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431025216', '431025', '431025216', '西山瑶族乡', 'xishanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026', '4310', '431026', '汝城县', 'ruchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026100', '431026', '431026100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026101', '431026', '431026101', '小垣瑶族镇', 'xiaoyuanyaozuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026102', '431026', '431026102', '热水镇', 'reshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026103', '431026', '431026103', '土桥镇', 'tuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026104', '431026', '431026104', '三星镇', 'sanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026105', '431026', '431026105', '暖水镇', 'nuanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026106', '431026', '431026106', '大坪镇', 'dapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026107', '431026', '431026107', '三江口瑶族镇', 'sanjiangkouyaozuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026200', '431026', '431026200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026201', '431026', '431026201', '附城乡', 'fuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026202', '431026', '431026202', '井坡乡', 'jingpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026203', '431026', '431026203', '文明乡', 'wenmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026204', '431026', '431026204', '盈洞瑶族乡', 'yingdongyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026205', '431026', '431026205', '岭秀瑶族乡', 'lingxiuyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026206', '431026', '431026206', '田庄乡', 'tianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026207', '431026', '431026207', '南洞乡', 'nandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026208', '431026', '431026208', '永丰乡', 'yongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026209', '431026', '431026209', '濠头乡', 'haotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026210', '431026', '431026210', '益将乡', 'yijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026211', '431026', '431026211', '集龙乡', 'jilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026212', '431026', '431026212', '马桥乡', 'maqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026213', '431026', '431026213', '外沙乡', 'waishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431026214', '431026', '431026214', '延寿瑶族乡', 'yanshouyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027', '4310', '431027', '桂东县', 'guidongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027100', '431027', '431027100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027101', '431027', '431027101', '沙田镇', 'shatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027102', '431027', '431027102', '清泉镇', 'qingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027200', '431027', '431027200', '桥头乡', 'qiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027201', '431027', '431027201', '寒口乡', 'hankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027202', '431027', '431027202', '黄洞乡', 'huangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027203', '431027', '431027203', '三洞乡', 'sandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027204', '431027', '431027204', '增口乡', 'zengkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027205', '431027', '431027205', '寨前乡', 'zhaiqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027206', '431027', '431027206', '流源乡', 'liuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027207', '431027', '431027207', '大塘乡', 'datangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027208', '431027', '431027208', '新坊乡', 'xinfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027209', '431027', '431027209', '普乐乡', 'pulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027210', '431027', '431027210', '东洛乡', 'dongluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027211', '431027', '431027211', '贝溪乡', 'beixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027212', '431027', '431027212', '大水乡', 'dashuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027213', '431027', '431027213', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027214', '431027', '431027214', '四都乡', 'sidouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431027400', '431027', '431027400', '宋坪林场', 'songpinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028', '4310', '431028', '安仁县', 'anrenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028100', '431028', '431028100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028101', '431028', '431028101', '安平镇', 'anpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028102', '431028', '431028102', '龙海镇', 'longhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028103', '431028', '431028103', '清溪镇', 'qingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028104', '431028', '431028104', '关王镇', 'guanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028105', '431028', '431028105', '灵官镇', 'lingguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028200', '431028', '431028200', '排山乡', 'paishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028201', '431028', '431028201', '龙市乡', 'longshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028202', '431028', '431028202', '军山乡', 'junshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028203', '431028', '431028203', '禾市乡', 'heshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028204', '431028', '431028204', '渡口乡', 'dukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028205', '431028', '431028205', '华王乡', 'huawangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028206', '431028', '431028206', '牌楼乡', 'pailouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028207', '431028', '431028207', '平背乡', 'pingbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028208', '431028', '431028208', '坪上乡', 'pingshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028209', '431028', '431028209', '承坪乡', 'chengpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028210', '431028', '431028210', '竹山乡', 'zhushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028211', '431028', '431028211', '豪山乡', 'haoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028212', '431028', '431028212', '羊脑乡', 'yangnaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028213', '431028', '431028213', '新洲乡', 'xinzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431028214', '431028', '431028214', '洋际乡', 'yangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081', '4310', '431081', '资兴市', 'zixingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081001', '431081', '431081001', '唐洞街道', 'tangdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081100', '431081', '431081100', '滁口镇', 'chukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081101', '431081', '431081101', '鲤鱼江镇', 'liyujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081102', '431081', '431081102', '三都镇', 'sandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081103', '431081', '431081103', '蓼江镇', 'liaojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081104', '431081', '431081104', '七里镇', 'qilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081105', '431081', '431081105', '兴宁镇', 'xingningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081106', '431081', '431081106', '州门司镇', 'zhoumensizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081107', '431081', '431081107', '青腰镇', 'qingyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081108', '431081', '431081108', '黄草镇', 'huangcaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081109', '431081', '431081109', '东江镇', 'dongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081200', '431081', '431081200', '香花乡', 'xianghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081201', '431081', '431081201', '高码乡', 'gaomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081202', '431081', '431081202', '东坪乡', 'dongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081203', '431081', '431081203', '团结瑶族乡', 'tuanjieyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081206', '431081', '431081206', '碑记乡', 'beijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081207', '431081', '431081207', '连坪瑶族乡', 'lianpingyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081208', '431081', '431081208', '何家山乡', 'hejiashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081209', '431081', '431081209', '坪石乡', 'pingshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081210', '431081', '431081210', '彭市乡', 'pengshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081211', '431081', '431081211', '汤市乡', 'tangshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081212', '431081', '431081212', '烟坪乡', 'yanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081213', '431081', '431081213', '兰市乡', 'lanshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081214', '431081', '431081214', '波水乡', 'boshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081215', '431081', '431081215', '皮石乡', 'pishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081216', '431081', '431081216', '清江乡', 'qingjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081217', '431081', '431081217', '龙溪乡', 'longxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431081218', '431081', '431081218', '白廊乡', 'bailangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4311', '43', '4311', '永州市', 'yongzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431101', '4311', '431101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102', '4311', '431102', '零陵区', 'linglingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102001', '431102', '431102001', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102002', '431102', '431102002', '南津渡街道', 'nanjindujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102003', '431102', '431102003', '七里店街道', 'qilidianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102004', '431102', '431102004', '徐家井街道', 'xujiajingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102101', '431102', '431102101', '水口山镇', 'shuikoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102102', '431102', '431102102', '珠山镇', 'zhushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102103', '431102', '431102103', '黄田铺镇', 'huangtianpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102104', '431102', '431102104', '富家桥镇', 'fujiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102105', '431102', '431102105', '菱角塘镇', 'lingjiaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102106', '431102', '431102106', '邮亭圩镇', 'youtingweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102107', '431102', '431102107', '接履桥镇', 'jielu:qiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102108', '431102', '431102108', '石岩头镇', 'shiyantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102200', '431102', '431102200', '大庆坪乡', 'daqingpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102201', '431102', '431102201', '梳子铺乡', 'shuzipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102202', '431102', '431102202', '石山脚乡', 'shishanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431102203', '431102', '431102203', '凼底乡', 'dangdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103', '4311', '431103', '冷水滩区', 'lengshuitanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103001', '431103', '431103001', '梅湾街道', 'meiwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103002', '431103', '431103002', '菱角山街道', 'lingjiaoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103003', '431103', '431103003', '肖家园街道', 'xiaojiayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103004', '431103', '431103004', '杨家桥街道', 'yangjiaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103005', '431103', '431103005', '梧桐街道', 'wutongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103006', '431103', '431103006', '凤凰街道', 'fenghuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103101', '431103', '431103101', '花桥街镇', 'huaqiaojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103102', '431103', '431103102', '普利桥镇', 'puliqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103103', '431103', '431103103', '牛角坝镇', 'niujiaobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103104', '431103', '431103104', '高溪市镇', 'gaoxishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103105', '431103', '431103105', '黄阳司镇', 'huangyangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103106', '431103', '431103106', '上岭桥镇', 'shanglingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103107', '431103', '431103107', '竹山桥镇', 'zhushanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103108', '431103', '431103108', '伊塘镇', 'yitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103109', '431103', '431103109', '岚角山镇', 'lanjiaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103110', '431103', '431103110', '蔡市镇', 'caishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103111', '431103', '431103111', '仁湾镇', 'renwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103200', '431103', '431103200', '珊瑚乡', 'shanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103201', '431103', '431103201', '杨村甸乡', 'yangcundianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103401', '431103', '431103401', '马坪农业开发区', 'mapingnongyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431103402', '431103', '431103402', '工业园区', 'gongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121', '4311', '431121', '祁阳县', 'qiyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121100', '431121', '431121100', '浯溪镇', 'wuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121101', '431121', '431121101', '观音滩镇', 'guanyintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121102', '431121', '431121102', '茅竹镇', 'maozhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121103', '431121', '431121103', '大忠桥镇', 'dazhongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121104', '431121', '431121104', '三口塘镇', 'sankoutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121105', '431121', '431121105', '肖家村镇', 'xiaojiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121106', '431121', '431121106', '八宝镇', 'babaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121107', '431121', '431121107', '白水镇', 'baishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121108', '431121', '431121108', '黄泥塘镇', 'huangnitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121109', '431121', '431121109', '进宝塘镇', 'jinbaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121110', '431121', '431121110', '潘市镇', 'panshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121111', '431121', '431121111', '梅溪镇', 'meixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121112', '431121', '431121112', '羊角塘镇', 'yangjiaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121113', '431121', '431121113', '下马渡镇', 'xiamaduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121114', '431121', '431121114', '七里桥镇', 'qiliqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121115', '431121', '431121115', '大村甸镇', 'dacundianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121116', '431121', '431121116', '黎家坪镇', 'lijiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121117', '431121', '431121117', '文富市镇', 'wenfushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121118', '431121', '431121118', '文明镇', 'wenmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121119', '431121', '431121119', '龚家坪镇', 'gongjiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121120', '431121', '431121120', '金洞镇', 'jindongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121200', '431121', '431121200', '小金洞乡', 'xiaojindongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121201', '431121', '431121201', '晒北滩瑶族乡', 'shaibeitanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121202', '431121', '431121202', '凤凰乡', 'fenghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121203', '431121', '431121203', '白果市乡', 'baiguoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121204', '431121', '431121204', '石鼓源乡', 'shiguyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121205', '431121', '431121205', '上司源乡', 'shangsiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121401', '431121', '431121401', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121402', '431121', '431121402', '畜牧场', 'chumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121403', '431121', '431121403', '挂榜山林场', 'guabangshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121404', '431121', '431121404', '大江林场', 'dajianglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431121405', '431121', '431121405', '内下林场', 'neixialinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122', '4311', '431122', '东安县', 'donganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122100', '431122', '431122100', '白牙市镇', 'baiyashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122101', '431122', '431122101', '大庙口镇', 'damiaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122102', '431122', '431122102', '紫溪市镇', 'zixishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122103', '431122', '431122103', '横塘镇', 'hengtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122104', '431122', '431122104', '石期市镇', 'shiqishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122105', '431122', '431122105', '井头圩镇', 'jingtouweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122106', '431122', '431122106', '端桥铺镇', 'duanqiaopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122107', '431122', '431122107', '鹿马桥镇', 'lumaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122108', '431122', '431122108', '芦洪市镇', 'luhongshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122109', '431122', '431122109', '新圩江镇', 'xinweijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122110', '431122', '431122110', '花桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122111', '431122', '431122111', '大盛镇', 'dashengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122112', '431122', '431122112', '南桥镇', 'nanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122200', '431122', '431122200', '大江口乡', 'dajiangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122201', '431122', '431122201', '川岩乡', 'chuanyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122202', '431122', '431122202', '水岭乡', 'shuilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122400', '431122', '431122400', '舜皇山国家森林公园', 'shunhuangshanguojiasenlingongyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431122401', '431122', '431122401', '黄泥洞林场', 'huangnidonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123', '4311', '431123', '双牌县', 'shuangpaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123100', '431123', '431123100', '泷泊镇', 'longbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123101', '431123', '431123101', '江村镇', 'jiangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123102', '431123', '431123102', '五里牌镇', 'wulipaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123200', '431123', '431123200', '平福头乡', 'pingfutouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123201', '431123', '431123201', '尚仁里乡', 'shangrenlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123202', '431123', '431123202', '永江乡', 'yongjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123203', '431123', '431123203', '何家洞乡', 'hejiadongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123204', '431123', '431123204', '麻江乡', 'majiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123205', '431123', '431123205', '茶林乡', 'chalinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123206', '431123', '431123206', '塘底乡', 'tangdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123207', '431123', '431123207', '上梧江瑶族乡', 'shangwujiangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123208', '431123', '431123208', '理家坪乡', 'lijiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123400', '431123', '431123400', '双牌打鼓坪林场', 'shuangpaidagupinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123401', '431123', '431123401', '双牌五星岭林场', 'shuangpaiwuxinglinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431123402', '431123', '431123402', '双牌阳明山林场', 'shuangpaiyangmingshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124', '4311', '431124', '道县', 'daoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124100', '431124', '431124100', '道江镇', 'daojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124101', '431124', '431124101', '梅花镇', 'meihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124102', '431124', '431124102', '寿雁镇', 'shouyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124103', '431124', '431124103', '仙子脚镇', 'xianzijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124104', '431124', '431124104', '清塘镇', 'qingtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124105', '431124', '431124105', '祥霖铺镇', 'xianglinpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124106', '431124', '431124106', '蚣坝镇', 'gongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124107', '431124', '431124107', '四马桥镇', 'simaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124108', '431124', '431124108', '白马渡镇', 'baimaduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124200', '431124', '431124200', '富塘乡', 'futangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124201', '431124', '431124201', '乐福堂乡', 'lefutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124202', '431124', '431124202', '桥头乡', 'qiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124203', '431124', '431124203', '营江乡', 'yingjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124204', '431124', '431124204', '万家庄乡', 'wanjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124205', '431124', '431124205', '新车乡', 'xinchexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124206', '431124', '431124206', '上关乡', 'shangguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124207', '431124', '431124207', '白芒铺乡', 'baimangpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124208', '431124', '431124208', '柑子园乡', 'ganziyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124209', '431124', '431124209', '东门乡', 'dongmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124210', '431124', '431124210', '审章塘瑶族乡', 'shenzhangtangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124211', '431124', '431124211', '井塘瑶族乡', 'jingtangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124212', '431124', '431124212', '横岭瑶族乡', 'henglingyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124213', '431124', '431124213', '洪塘营瑶族乡', 'hongtangyingyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124400', '431124', '431124400', '道县月岩林场', 'daoxianyueyanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124401', '431124', '431124401', '道县桥头林场', 'daoxianqiaotoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431124402', '431124', '431124402', '道县大坪铺农场', 'daoxiandapingpunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125', '4311', '431125', '江永县', 'jiangyongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125100', '431125', '431125100', '消浦镇', 'xiaopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125101', '431125', '431125101', '上江圩镇', 'shangjiangweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125102', '431125', '431125102', '允山镇', 'yunshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125103', '431125', '431125103', '夏层铺镇', 'xiacengpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125104', '431125', '431125104', '桃川镇', 'taochuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125105', '431125', '431125105', '粗石江镇', 'cushijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125106', '431125', '431125106', '迴龙圩镇', 'huilongweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125200', '431125', '431125200', '松柏瑶族乡', 'songboyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125201', '431125', '431125201', '黄甲岭乡', 'huangjialingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125202', '431125', '431125202', '千家峒瑶族乡', 'qianjiatongyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125203', '431125', '431125203', '兰溪瑶族乡', 'lanxiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431125204', '431125', '431125204', '源口瑶族乡', 'yuankouyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126', '4311', '431126', '宁远县', 'ningyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126100', '431126', '431126100', '舜陵镇', 'shunlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126101', '431126', '431126101', '天堂镇', 'tiantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126102', '431126', '431126102', '水市镇', 'shuishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126103', '431126', '431126103', '湾井镇', 'wanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126104', '431126', '431126104', '冷水镇', 'lengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126105', '431126', '431126105', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126106', '431126', '431126106', '禾亭镇', 'hetingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126107', '431126', '431126107', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126108', '431126', '431126108', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126109', '431126', '431126109', '柏家坪镇', 'bojiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126110', '431126', '431126110', '清水桥镇', 'qingshuiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126111', '431126', '431126111', '鲤溪镇', 'lixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126200', '431126', '431126200', '九疑瑶族乡', 'jiuyiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126201', '431126', '431126201', '保安乡', 'baoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126202', '431126', '431126202', '荒塘瑶族乡', 'huangtangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126203', '431126', '431126203', '棉花坪瑶族乡', 'mianhuapingyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431126204', '431126', '431126204', '桐木漯瑶族乡', 'tongmuluoyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127', '4311', '431127', '蓝山县', 'lanshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127100', '431127', '431127100', '塔峰镇', 'tafengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127101', '431127', '431127101', '竹管寺镇', 'zhuguansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127102', '431127', '431127102', '毛俊镇', 'maojunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127103', '431127', '431127103', '楠市镇', 'nanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127104', '431127', '431127104', '所城镇', 'suochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127105', '431127', '431127105', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127200', '431127', '431127200', '汇源瑶族乡', 'huiyuanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127201', '431127', '431127201', '犁头瑶族乡', 'litouyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127202', '431127', '431127202', '浆洞瑶族乡', 'jiangdongyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127203', '431127', '431127203', '紫良瑶族乡', 'ziliangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127204', '431127', '431127204', '大桥瑶族乡', 'daqiaoyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127205', '431127', '431127205', '荆竹瑶族乡', 'jingzhuyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127206', '431127', '431127206', '祠堂圩乡', 'citangweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127207', '431127', '431127207', '土市乡', 'tushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127208', '431127', '431127208', '太平圩乡', 'taipingweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127400', '431127', '431127400', '蓝山荆竹林场', 'lanshanjingzhulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127401', '431127', '431127401', '蓝山浆洞林场', 'lanshanjiangdonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127402', '431127', '431127402', '蓝山南岭林场', 'lanshannanlinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127403', '431127', '431127403', '蓝山原种场', 'lanshanyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431127404', '431127', '431127404', '蓝山黄毛岭茶场', 'lanshanhuangmaolingchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128', '4311', '431128', '新田县', 'xintianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128100', '431128', '431128100', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128101', '431128', '431128101', '金陵镇', 'jinlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128102', '431128', '431128102', '骥村镇', 'jicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128103', '431128', '431128103', '枧头镇', 'jiantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128104', '431128', '431128104', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128105', '431128', '431128105', '石羊镇', 'shiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128106', '431128', '431128106', '新隆镇', 'xinlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128200', '431128', '431128200', '莲花乡', 'lianhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128201', '431128', '431128201', '冷水井乡', 'lengshuijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128202', '431128', '431128202', '门楼下瑶族乡', 'menlouxiayaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128203', '431128', '431128203', '茂家乡', 'maojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128204', '431128', '431128204', '毛里乡', 'maolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128205', '431128', '431128205', '十字乡', 'shizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128206', '431128', '431128206', '金盆圩乡', 'jinpenweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128207', '431128', '431128207', '三井乡', 'sanjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128208', '431128', '431128208', '陶岭乡', 'taolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128209', '431128', '431128209', '高山乡', 'gaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128210', '431128', '431128210', '知市坪乡', 'zhishipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431128211', '431128', '431128211', '大坪塘乡', 'dapingtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129', '4311', '431129', '江华县', 'jianghuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129100', '431129', '431129100', '沱江镇', 'tuojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129101', '431129', '431129101', '桥头铺镇', 'qiaotoupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129102', '431129', '431129102', '东田镇', 'dongtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129103', '431129', '431129103', '大路铺镇', 'dalupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129104', '431129', '431129104', '白芒营镇', 'baimangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129105', '431129', '431129105', '涛圩镇', 'taoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129106', '431129', '431129106', '河路口镇', 'helukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129107', '431129', '431129107', '小圩镇', 'xiaoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129108', '431129', '431129108', '大圩镇', 'daweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129109', '431129', '431129109', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129110', '431129', '431129110', '码市镇', 'mashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129200', '431129', '431129200', '界牌乡', 'jiepaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129201', '431129', '431129201', '桥市乡', 'qiaoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129202', '431129', '431129202', '大石桥乡', 'dashiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129203', '431129', '431129203', '清塘壮族乡', 'qingtangzhuangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129204', '431129', '431129204', '两岔河乡', 'liangchahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129205', '431129', '431129205', '务江乡', 'wujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129206', '431129', '431129206', '花江乡', 'huajiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129207', '431129', '431129207', '湘江乡', 'xiangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129208', '431129', '431129208', '贝江乡', 'beijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129209', '431129', '431129209', '未竹口乡', 'weizhukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129210', '431129', '431129210', '大锡乡', 'daxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431129400', '431129', '431129400', '江华林业采育场', 'jianghualinyecaiyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4312', '43', '4312', '怀化市', 'huaihuashi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431201', '4312', '431201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202', '4312', '431202', '鹤城区', 'hechengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202001', '431202', '431202001', '城中街道', 'chengzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202002', '431202', '431202002', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202003', '431202', '431202003', '红星街道', 'hongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202004', '431202', '431202004', '迎丰街道', 'yingfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202005', '431202', '431202005', '坨院街道', 'tuoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202101', '431202', '431202101', '黄金坳镇', 'huangjinaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202102', '431202', '431202102', '鸭嘴岩镇', 'yazuiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202201', '431202', '431202201', '盈口乡', 'yingkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202202', '431202', '431202202', '杨村乡', 'yangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202203', '431202', '431202203', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202204', '431202', '431202204', '贺家田乡', 'hejiatianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202205', '431202', '431202205', '凉亭坳乡', 'liangtingaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202206', '431202', '431202206', '芦坪乡', 'lupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431202400', '431202', '431202400', '黄岩旅游度假区', 'huangyanlu:youdujiaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221', '4312', '431221', '中方县', 'zhongfangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221100', '431221', '431221100', '中方镇', 'zhongfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221101', '431221', '431221101', '牌楼坳镇', 'pailouaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221102', '431221', '431221102', '泸阳镇', 'luyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221103', '431221', '431221103', '花桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221104', '431221', '431221104', '铜湾镇', 'tongwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221105', '431221', '431221105', '桐木镇', 'tongmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221106', '431221', '431221106', '铁坡镇', 'tiepozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221200', '431221', '431221200', '炉亭坳乡', 'lutingaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221201', '431221', '431221201', '下坪乡', 'xiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221202', '431221', '431221202', '聂家村乡', 'niejiacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221203', '431221', '431221203', '龙场乡', 'longchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221204', '431221', '431221204', '铜鼎乡', 'tongdingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221205', '431221', '431221205', '新建乡', 'xinjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221206', '431221', '431221206', '袁家乡', 'yuanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221207', '431221', '431221207', '蒋家乡', 'jiangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221208', '431221', '431221208', '新路河乡', 'xinluhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221209', '431221', '431221209', '丁家乡', 'dingjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221211', '431221', '431221211', '锦溪乡', 'jinxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221212', '431221', '431221212', '活水乡', 'huoshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221213', '431221', '431221213', '石宝乡', 'shibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221214', '431221', '431221214', '蒿吉坪瑶族乡', 'haojipingyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431221215', '431221', '431221215', '接龙乡', 'jielongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222', '4312', '431222', '沅陵县', 'yuanlingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222102', '431222', '431222102', '麻溪铺镇', 'maxipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222105', '431222', '431222105', '五强溪镇', 'wuqiangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222109', '431222', '431222109', '沅陵镇', 'yuanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222110', '431222', '431222110', '明溪口镇', 'mingxikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222111', '431222', '431222111', '凉水井镇', 'liangshuijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222112', '431222', '431222112', '七甲坪镇', 'qijiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222113', '431222', '431222113', '筲箕湾镇', 'shaojiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222114', '431222', '431222114', '官庄镇', 'guanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222223', '431222', '431222223', '杜家坪乡', 'dujiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222224', '431222', '431222224', '楠木铺乡', 'nanmupuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222229', '431222', '431222229', '深溪口乡', 'shenxikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222230', '431222', '431222230', '肖家桥乡', 'xiaojiaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222234', '431222', '431222234', '火场土家族乡', 'huochangtujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222238', '431222', '431222238', '陈家滩乡', 'chenjiatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222239', '431222', '431222239', '清浪乡', 'qinglangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222245', '431222', '431222245', '借母溪乡', 'jiemuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222247', '431222', '431222247', '荔溪乡', 'lixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222248', '431222', '431222248', '大合坪乡', 'dahepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222249', '431222', '431222249', '太常乡', 'taichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222250', '431222', '431222250', '马底驿乡', 'madiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222251', '431222', '431222251', '北溶乡', 'beirongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222252', '431222', '431222252', '二酉乡', 'eryouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431222253', '431222', '431222253', '盘古乡', 'panguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223', '4312', '431223', '辰溪县', 'chenxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223100', '431223', '431223100', '辰阳镇', 'chenyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223101', '431223', '431223101', '孝坪镇', 'xiaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223102', '431223', '431223102', '田湾镇', 'tianwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223103', '431223', '431223103', '火马冲镇', 'huomachongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223104', '431223', '431223104', '黄溪口镇', 'huangxikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223105', '431223', '431223105', '潭湾镇', 'tanwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223106', '431223', '431223106', '安坪镇', 'anpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223107', '431223', '431223107', '寺前镇', 'siqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223200', '431223', '431223200', '船溪乡', 'chuanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223201', '431223', '431223201', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223202', '431223', '431223202', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223204', '431223', '431223204', '长田湾乡', 'zhangtianwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223205', '431223', '431223205', '小龙门乡', 'xiaolongmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223206', '431223', '431223206', '后塘瑶族乡', 'houtangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223207', '431223', '431223207', '苏木溪瑶族乡', 'sumuxiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223208', '431223', '431223208', '罗子山瑶族乡', 'luozishanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223209', '431223', '431223209', '上蒲溪瑶族乡', 'shangpuxiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223210', '431223', '431223210', '仙人湾瑶族乡', 'xianrenwanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223211', '431223', '431223211', '龙头庵乡', 'longtouanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223212', '431223', '431223212', '锦滨乡', 'jinbinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223213', '431223', '431223213', '石碧乡', 'shibixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223214', '431223', '431223214', '桥头乡', 'qiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223215', '431223', '431223215', '大水田乡', 'dashuitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223216', '431223', '431223216', '桥头溪乡', 'qiaotouxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223217', '431223', '431223217', '石马湾乡', 'shimawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223218', '431223', '431223218', '龙泉岩乡', 'longquanyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223219', '431223', '431223219', '修溪乡', 'xiuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223220', '431223', '431223220', '伍家湾乡', 'wujiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223221', '431223', '431223221', '柿溪乡', 'shixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431223222', '431223', '431223222', '谭家场乡', 'tanjiachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224', '4312', '431224', '溆浦县', 'xupuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224100', '431224', '431224100', '卢峰镇', 'lufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224101', '431224', '431224101', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224102', '431224', '431224102', '低庄镇', 'dizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224103', '431224', '431224103', '桥江镇', 'qiaojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224104', '431224', '431224104', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224105', '431224', '431224105', '均坪镇', 'junpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224106', '431224', '431224106', '观音阁镇', 'guanyingezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224107', '431224', '431224107', '双井镇', 'shuangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224108', '431224', '431224108', '水东镇', 'shuidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224109', '431224', '431224109', '两丫坪镇', 'liangyapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224110', '431224', '431224110', '黄茅园镇', 'huangmaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224111', '431224', '431224111', '祖市殿镇', 'zushidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224112', '431224', '431224112', '葛竹坪镇', 'gezhupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224113', '431224', '431224113', '谭家湾镇', 'tanjiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224200', '431224', '431224200', '洑水湾乡', 'fushuiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224201', '431224', '431224201', '小江口乡', 'xiaojiangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224202', '431224', '431224202', '思蒙乡', 'simengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224203', '431224', '431224203', '木溪乡', 'muxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224204', '431224', '431224204', '舒溶溪乡', 'shurongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224205', '431224', '431224205', '仲夏乡', 'zhongxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224207', '431224', '431224207', '水隘乡', 'shuiaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224208', '431224', '431224208', '让家溪乡', 'rangjiaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224209', '431224', '431224209', '大渭溪乡', 'daweixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224210', '431224', '431224210', '岩家垅乡', 'yanjialongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224212', '431224', '431224212', '水田庄乡', 'shuitianzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224213', '431224', '431224213', '油洋乡', 'youyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224214', '431224', '431224214', '新田乡', 'xintianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224215', '431224', '431224215', '岗东乡', 'gangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224216', '431224', '431224216', '两江乡', 'liangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224217', '431224', '431224217', '善溪乡', 'shanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224218', '431224', '431224218', '桐木溪乡', 'tongmuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224219', '431224', '431224219', '小横垅乡', 'xiaohenglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224220', '431224', '431224220', '统溪河乡', 'tongxihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224221', '431224', '431224221', '龙王江乡', 'longwangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224222', '431224', '431224222', '陶金坪乡', 'taojinpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224223', '431224', '431224223', '中都乡', 'zhongdouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224224', '431224', '431224224', '沿溪乡', 'yanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224225', '431224', '431224225', '九溪江乡', 'jiuxijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224226', '431224', '431224226', '北斗溪乡', 'beidouxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224227', '431224', '431224227', '横板桥乡', 'hengbanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224228', '431224', '431224228', '温水乡', 'wenshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224229', '431224', '431224229', '大华乡', 'dahuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431224230', '431224', '431224230', '龙庄湾乡', 'longzhuangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225', '4312', '431225', '会同县', 'huitongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225100', '431225', '431225100', '林城镇', 'linchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225101', '431225', '431225101', '坪村镇', 'pingcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225102', '431225', '431225102', '堡子镇', 'baozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225103', '431225', '431225103', '团河镇', 'tuanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225104', '431225', '431225104', '若水镇', 'ruoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225105', '431225', '431225105', '朗江镇', 'langjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225106', '431225', '431225106', '广坪镇', 'guangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225107', '431225', '431225107', '马鞍镇', 'maanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225200', '431225', '431225200', '沙溪乡', 'shaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225201', '431225', '431225201', '金子岩侗族苗族乡', 'jinziyandongzumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225202', '431225', '431225202', '王家坪乡', 'wangjiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225203', '431225', '431225203', '长寨乡', 'zhangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225204', '431225', '431225204', '高椅乡', 'gaoyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225205', '431225', '431225205', '黄茅乡', 'huangmaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225206', '431225', '431225206', '萧家乡', 'xiaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225207', '431225', '431225207', '金龙乡', 'jinlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225209', '431225', '431225209', '宝田侗族苗族乡', 'baotiandongzumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225210', '431225', '431225210', '漠滨侗族苗族乡', 'mobindongzumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225211', '431225', '431225211', '蒲稳侗族苗族乡', 'puwendongzumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225212', '431225', '431225212', '青朗侗族苗族乡', 'qinglangdongzumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225213', '431225', '431225213', '炮团侗族苗族乡', 'paotuandongzumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225214', '431225', '431225214', '地灵乡', 'dilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225215', '431225', '431225215', '连山乡', 'lianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225216', '431225', '431225216', '岩头乡', 'yantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431225217', '431225', '431225217', '洒溪乡', 'saxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226', '4312', '431226', '麻阳苗族自治县', 'mayangmiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226101', '431226', '431226101', '锦和镇', 'jinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226102', '431226', '431226102', '江口墟镇', 'jiangkouxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226103', '431226', '431226103', '岩门镇', 'yanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226104', '431226', '431226104', '兰里镇', 'lanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226105', '431226', '431226105', '吕家坪镇', 'lu:jiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226106', '431226', '431226106', '高村镇', 'gaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226200', '431226', '431226200', '郭公坪乡', 'guogongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226201', '431226', '431226201', '长潭乡', 'zhangtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226202', '431226', '431226202', '拖冲乡', 'tuochongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226203', '431226', '431226203', '尧市乡', 'yaoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226204', '431226', '431226204', '文昌阁乡', 'wenchanggexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226205', '431226', '431226205', '大桥江乡', 'daqiaojiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226206', '431226', '431226206', '舒家村乡', 'shujiacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226207', '431226', '431226207', '隆家堡乡', 'longjiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226208', '431226', '431226208', '谭家寨乡', 'tanjiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226209', '431226', '431226209', '石羊哨乡', 'shiyangshaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226210', '431226', '431226210', '板栗树乡', 'banlishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226211', '431226', '431226211', '谷达坡乡', 'gudapoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226212', '431226', '431226212', '兰村乡', 'lancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226213', '431226', '431226213', '栗坪乡', 'lipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226214', '431226', '431226214', '绿溪口乡', 'lu:xikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226215', '431226', '431226215', '和坪溪乡', 'hepingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431226216', '431226', '431226216', '黄桑乡', 'huangsangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227', '4312', '431227', '新晃侗族自治县', 'xinhuangdongzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227100', '431227', '431227100', '新晃镇', 'xinhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227101', '431227', '431227101', '波洲镇', 'bozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227102', '431227', '431227102', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227103', '431227', '431227103', '鱼市镇', 'yushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227104', '431227', '431227104', '凉伞镇', 'liangsanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227105', '431227', '431227105', '扶罗镇', 'fuluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227106', '431227', '431227106', '中寨镇', 'zhongzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227200', '431227', '431227200', '步头降苗族乡', 'butoujiangmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227201', '431227', '431227201', '洞坪乡', 'dongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227202', '431227', '431227202', '大湾罗乡', 'dawanluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227203', '431227', '431227203', '方家屯乡', 'fangjiatunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227204', '431227', '431227204', '晏家乡', 'yanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227205', '431227', '431227205', '林冲乡', 'linchongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227206', '431227', '431227206', '天堂乡', 'tiantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227207', '431227', '431227207', '黄雷乡', 'huangleixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227208', '431227', '431227208', '凳寨乡', 'dengzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227209', '431227', '431227209', '茶坪乡', 'chapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227210', '431227', '431227210', '新寨乡', 'xinzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227211', '431227', '431227211', '贡溪乡', 'gongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227212', '431227', '431227212', '李树乡', 'lishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227213', '431227', '431227213', '禾滩乡', 'hetanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227214', '431227', '431227214', '碧朗乡', 'bilangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431227215', '431227', '431227215', '米贝苗族乡', 'mibeimiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228', '4312', '431228', '芷江侗族自治县', 'zhijiangdongzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228100', '431228', '431228100', '芷江镇', 'zhijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228101', '431228', '431228101', '罗旧镇', 'luojiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228102', '431228', '431228102', '新店坪镇', 'xindianpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228103', '431228', '431228103', '碧涌镇', 'biyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228104', '431228', '431228104', '公坪镇', 'gongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228201', '431228', '431228201', '牛牯坪乡', 'niugupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228202', '431228', '431228202', '艾头坪乡', 'aitoupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228203', '431228', '431228203', '岩桥乡', 'yanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228204', '431228', '431228204', '水宽乡', 'shuikuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228206', '431228', '431228206', '木叶溪乡', 'muyexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228207', '431228', '431228207', '五郎溪乡', 'wulangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228208', '431228', '431228208', '麻缨塘乡', 'mayingtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228209', '431228', '431228209', '竹坪铺乡', 'zhupingpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228210', '431228', '431228210', '土桥乡', 'tuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228211', '431228', '431228211', '上坪乡', 'shangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228212', '431228', '431228212', '大树坳乡', 'dashuaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228213', '431228', '431228213', '大洪山乡', 'dahongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228214', '431228', '431228214', '杨公庙乡', 'yanggongmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228215', '431228', '431228215', '梨溪口乡', 'lixikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228216', '431228', '431228216', '洞下场乡', 'dongxiachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228217', '431228', '431228217', '罗岩乡', 'luoyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228218', '431228', '431228218', '板山乡', 'banshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228219', '431228', '431228219', '大垅乡', 'dalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228220', '431228', '431228220', '梨坳乡', 'liaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228221', '431228', '431228221', '冷水溪乡', 'lengshuixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228222', '431228', '431228222', '楠木坪乡', 'nanmupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228223', '431228', '431228223', '晓坪乡', 'xiaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431228224', '431228', '431228224', '罗卜田乡', 'luobutianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229', '4312', '431229', '靖州苗族侗族县', 'jingzhoumiaozudongzuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229100', '431229', '431229100', '渠阳镇', 'quyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229101', '431229', '431229101', '甘棠镇', 'gantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229102', '431229', '431229102', '大堡子镇', 'dabaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229103', '431229', '431229103', '坳上镇', 'aoshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229104', '431229', '431229104', '新厂镇', 'xinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229105', '431229', '431229105', '平茶镇', 'pingchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229200', '431229', '431229200', '太阳坪乡', 'taiyangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229201', '431229', '431229201', '三锹乡', 'sanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229202', '431229', '431229202', '文溪乡', 'wenxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229203', '431229', '431229203', '寨牙乡', 'zhaiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229204', '431229', '431229204', '横江桥乡', 'hengjiangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229205', '431229', '431229205', '铺口乡', 'pukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431229206', '431229', '431229206', '藕团乡', 'outuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230', '4312', '431230', '通道侗族自治县', 'tongdaodongzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230100', '431230', '431230100', '双江镇', 'shuangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230101', '431230', '431230101', '县溪镇', 'xianxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230102', '431230', '431230102', '播阳镇', 'boyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230103', '431230', '431230103', '临口镇', 'linkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230104', '431230', '431230104', '牙屯堡镇', 'yatunbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230105', '431230', '431230105', '菁芜洲镇', 'jingwuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230106', '431230', '431230106', '溪口镇', 'xikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230107', '431230', '431230107', '陇城镇', 'longchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230200', '431230', '431230200', '江口乡', 'jiangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230201', '431230', '431230201', '戈冲苗族乡', 'gechongmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230203', '431230', '431230203', '大高坪苗族乡', 'dagaopingmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230204', '431230', '431230204', '独坡乡', 'dupoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230209', '431230', '431230209', '杉木桥乡', 'shanmuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230210', '431230', '431230210', '木脚乡', 'mujiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230211', '431230', '431230211', '下乡乡', 'xiaxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230212', '431230', '431230212', '马龙乡', 'malongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230214', '431230', '431230214', '传素瑶族乡', 'chuansuyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230215', '431230', '431230215', '黄土乡', 'huangtuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230216', '431230', '431230216', '坪坦乡', 'pingtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230218', '431230', '431230218', '坪阳乡', 'pingyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230219', '431230', '431230219', '甘溪乡', 'ganxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230400', '431230', '431230400', '通道县地连林场', 'tongdaoxiandilianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431230401', '431230', '431230401', '通道县播阳农场', 'tongdaoxianboyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281', '4312', '431281', '洪江市', 'hongjiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281001', '431281', '431281001', '河滨路街道', 'hebinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281002', '431281', '431281002', '沅江路街道', 'yuanjianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281003', '431281', '431281003', '新街街道', 'xinjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281004', '431281', '431281004', '高坡街街道', 'gaopojiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281101', '431281', '431281101', '黔城镇', 'qianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281102', '431281', '431281102', '安江镇', 'anjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281103', '431281', '431281103', '托口镇', 'tuokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281104', '431281', '431281104', '雪峰镇', 'xuefengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281105', '431281', '431281105', '双溪镇', 'shuangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281106', '431281', '431281106', '江市镇', 'jiangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281107', '431281', '431281107', '沅河镇', 'yuanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281108', '431281', '431281108', '塘湾镇', 'tangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281200', '431281', '431281200', '硖州乡', 'xiazhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281201', '431281', '431281201', '龙田乡', 'longtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281202', '431281', '431281202', '岔头乡', 'chatouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281203', '431281', '431281203', '茅渡乡', 'maoduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281204', '431281', '431281204', '大崇乡', 'dachongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281205', '431281', '431281205', '熟坪乡', 'shupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281206', '431281', '431281206', '铁山乡', 'tieshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281207', '431281', '431281207', '群峰乡', 'qunfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281208', '431281', '431281208', '湾溪乡', 'wanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281209', '431281', '431281209', '洗马乡', 'ximaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281211', '431281', '431281211', '沙湾乡', 'shawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281212', '431281', '431281212', '深渡苗族乡', 'shendumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281213', '431281', '431281213', '龙船塘瑶族乡', 'longchuantangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281214', '431281', '431281214', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281215', '431281', '431281215', '土溪乡', 'tuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281216', '431281', '431281216', '红岩乡', 'hongyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281217', '431281', '431281217', '岩垅乡', 'yanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281218', '431281', '431281218', '横岩乡', 'hengyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281219', '431281', '431281219', '常青乡', 'changqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431281220', '431281', '431281220', '桂花园乡', 'guihuayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4313', '43', '4313', '娄底市', 'loudishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431301', '4313', '431301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302', '4313', '431302', '娄星区', 'louxingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302001', '431302', '431302001', '乐坪街道', 'lepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302002', '431302', '431302002', '花山街道', 'huashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302003', '431302', '431302003', '黄泥塘街道', 'huangnitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302004', '431302', '431302004', '长青街道', 'zhangqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302005', '431302', '431302005', '大科街道', 'dakejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302006', '431302', '431302006', '涟滨街道', 'lianbinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302007', '431302', '431302007', '大埠桥街道', 'dabuqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302100', '431302', '431302100', '杉山镇', 'shanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302101', '431302', '431302101', '万宝镇', 'wanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302103', '431302', '431302103', '茶园镇', 'chayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302202', '431302', '431302202', '百亩乡', 'baimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302203', '431302', '431302203', '小碧乡', 'xiaobixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302204', '431302', '431302204', '双江乡', 'shuangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431302205', '431302', '431302205', '石井乡', 'shijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321', '4313', '431321', '双峰县', 'shuangfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321100', '431321', '431321100', '永丰镇', 'yongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321101', '431321', '431321101', '荷叶镇', 'heyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321102', '431321', '431321102', '井字镇', 'jingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321103', '431321', '431321103', '梓门桥镇', 'zimenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321104', '431321', '431321104', '杏子铺镇', 'xingzipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321105', '431321', '431321105', '走马街镇', 'zoumajiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321106', '431321', '431321106', '蛇形山镇', 'shexingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321107', '431321', '431321107', '洪山殿镇', 'hongshandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321108', '431321', '431321108', '甘棠镇', 'gantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321109', '431321', '431321109', '三塘铺镇', 'santangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321110', '431321', '431321110', '青树坪镇', 'qingshupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321111', '431321', '431321111', '花门镇', 'huamenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321112', '431321', '431321112', '锁石镇', 'suoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321200', '431321', '431321200', '石牛乡', 'shiniuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321201', '431321', '431321201', '沙塘乡', 'shatangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431321202', '431321', '431321202', '印塘乡', 'yintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322', '4313', '431322', '新化县', 'xinhuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322100', '431322', '431322100', '上梅镇', 'shangmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322101', '431322', '431322101', '石冲口镇', 'shichongkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322102', '431322', '431322102', '洋溪镇', 'yangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322103', '431322', '431322103', '槎溪镇', 'chaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322104', '431322', '431322104', '水车镇', 'shuichezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322105', '431322', '431322105', '文田镇', 'wentianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322106', '431322', '431322106', '奉家镇', 'fengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322107', '431322', '431322107', '炉观镇', 'luguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322108', '431322', '431322108', '游家镇', 'youjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322109', '431322', '431322109', '西河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322110', '431322', '431322110', '孟公镇', 'menggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322111', '431322', '431322111', '琅塘镇', 'langtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322112', '431322', '431322112', '白溪镇', 'baixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322113', '431322', '431322113', '圳上镇', 'zhenshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322114', '431322', '431322114', '吉庆镇', 'jiqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322115', '431322', '431322115', '温塘镇', 'wentangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322116', '431322', '431322116', '田坪镇', 'tianpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322117', '431322', '431322117', '桑梓镇', 'sangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322118', '431322', '431322118', '曹家镇', 'caojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322200', '431322', '431322200', '科头乡', 'ketouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322201', '431322', '431322201', '维山乡', 'weishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322202', '431322', '431322202', '天门乡', 'tianmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322203', '431322', '431322203', '荣华乡', 'ronghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322204', '431322', '431322204', '金凤乡', 'jinfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322205', '431322', '431322205', '油溪乡', 'youxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322206', '431322', '431322206', '坐石乡', 'zuoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322450', '431322', '431322450', '上渡', 'shangdu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322500', '431322', '431322500', '大熊山国有林场', 'daxiongshanguoyoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431322501', '431322', '431322501', '古台山国有林场', 'gutaishanguoyoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381', '4313', '431381', '冷水江市', 'lengshuijiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381001', '431381', '431381001', '冷水江街道', 'lengshuijiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381002', '431381', '431381002', '锡矿山街道', 'xikuangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381003', '431381', '431381003', '沙塘湾街道', 'shatangwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381004', '431381', '431381004', '布溪街道', 'buxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381100', '431381', '431381100', '禾青镇', 'heqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381101', '431381', '431381101', '岩口镇', 'yankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381102', '431381', '431381102', '渣渡镇', 'zhaduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381103', '431381', '431381103', '铎山镇', 'duoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381104', '431381', '431381104', '毛易镇', 'maoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381105', '431381', '431381105', '三尖镇', 'sanjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381200', '431381', '431381200', '潘桥乡', 'panqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381202', '431381', '431381202', '金竹山乡', 'jinzhushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381203', '431381', '431381203', '梓龙乡', 'zilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381204', '431381', '431381204', '矿山乡', 'kuangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381205', '431381', '431381205', '中连乡', 'zhonglianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431381206', '431381', '431381206', '同兴乡', 'tongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382', '4313', '431382', '涟源市', 'lianyuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382001', '431382', '431382001', '蓝田街道', 'lantianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382100', '431382', '431382100', '六亩塘镇', 'liumutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382101', '431382', '431382101', '石马山镇', 'shimashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382102', '431382', '431382102', '安平镇', 'anpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382103', '431382', '431382103', '湄江镇', 'meijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382104', '431382', '431382104', '伏口镇', 'fukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382105', '431382', '431382105', '桥头河镇', 'qiaotouhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382106', '431382', '431382106', '七星街镇', 'qixingjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382107', '431382', '431382107', '杨市镇', 'yangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382108', '431382', '431382108', '枫坪镇', 'fengpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382109', '431382', '431382109', '斗笠山镇', 'doulishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382110', '431382', '431382110', '水洞底镇', 'shuidongdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382111', '431382', '431382111', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382112', '431382', '431382112', '茅塘镇', 'maotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382113', '431382', '431382113', '荷塘镇', 'hetangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382114', '431382', '431382114', '金石镇', 'jinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382200', '431382', '431382200', '三甲乡', 'sanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382201', '431382', '431382201', '龙塘乡', 'longtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382202', '431382', '431382202', '古塘乡', 'gutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('431382203', '431382', '431382203', '渡头塘乡', 'dutoutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4331', '43', '4331', '湘西土家族苗族自治州', 'xiangxitujiazumiaozuzizhizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101', '4331', '433101', '吉首市', 'jishoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101002', '433101', '433101002', '峒河街道', 'tonghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101004', '433101', '433101004', '乾州街道', 'qianzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101005', '433101', '433101005', '镇溪街道', 'zhenxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101100', '433101', '433101100', '矮寨镇', 'aizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101101', '433101', '433101101', '马颈坳镇', 'majingaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101102', '433101', '433101102', '河溪镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101103', '433101', '433101103', '双塘镇', 'shuangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101104', '433101', '433101104', '丹青镇', 'danqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101200', '433101', '433101200', '寨阳乡', 'zhaiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101201', '433101', '433101201', '已略乡', 'yilu:exiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101202', '433101', '433101202', '社塘坡乡', 'shetangpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101203', '433101', '433101203', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101204', '433101', '433101204', '白岩乡', 'baiyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101205', '433101', '433101205', '排绸乡', 'paichouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433101206', '433101', '433101206', '排吼乡', 'paihouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122', '4331', '433122', '泸溪县', 'luxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122100', '433122', '433122100', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122102', '433122', '433122102', '达岚镇', 'dalanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122104', '433122', '433122104', '兴隆场镇', 'xinglongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122105', '433122', '433122105', '潭溪镇', 'tanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122106', '433122', '433122106', '洗溪镇', 'xixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122107', '433122', '433122107', '武溪镇', 'wuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122108', '433122', '433122108', '浦市镇', 'pushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122109', '433122', '433122109', '合水镇', 'heshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122203', '433122', '433122203', '石榴坪乡', 'shiliupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122205', '433122', '433122205', '永兴场乡', 'yongxingchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122206', '433122', '433122206', '解放岩乡', 'jiefangyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122207', '433122', '433122207', '小章乡', 'xiaozhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122208', '433122', '433122208', '白羊溪乡', 'baiyangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122209', '433122', '433122209', '梁家潭乡', 'liangjiatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122210', '433122', '433122210', '八什坪乡', 'bashenpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433122400', '433122', '433122400', '军亭界林场', 'juntingjielinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123', '4331', '433123', '凤凰县', 'fenghuangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123101', '433123', '433123101', '廖家桥镇', 'liaojiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123104', '433123', '433123104', '茶田镇', 'chatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123105', '433123', '433123105', '吉信镇', 'jixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123107', '433123', '433123107', '腊尔山镇', 'laershanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123108', '433123', '433123108', '禾库镇', 'hekuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123109', '433123', '433123109', '沱江镇', 'tuojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123110', '433123', '433123110', '阿拉营镇', 'alayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123111', '433123', '433123111', '木江坪镇', 'mujiangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123112', '433123', '433123112', '山江镇', 'shanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123202', '433123', '433123202', '官庄乡', 'guanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123204', '433123', '433123204', '水打田乡', 'shuidatianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123205', '433123', '433123205', '林峰乡', 'linfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123206', '433123', '433123206', '都里乡', 'doulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123207', '433123', '433123207', '落潮井乡', 'luochaojingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123208', '433123', '433123208', '新场乡', 'xinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123209', '433123', '433123209', '茨岩乡', 'ciyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123212', '433123', '433123212', '三拱桥乡', 'sangongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123213', '433123', '433123213', '竿子坪乡', 'ganzipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123216', '433123', '433123216', '麻冲乡', 'machongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123218', '433123', '433123218', '千工坪乡', 'qiangongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123219', '433123', '433123219', '木里乡', 'mulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123220', '433123', '433123220', '两林乡', 'lianglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123221', '433123', '433123221', '柳薄乡', 'liuboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433123222', '433123', '433123222', '米良乡', 'miliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124', '4331', '433124', '花垣县', 'huayuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124102', '433124', '433124102', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124103', '433124', '433124103', '民乐镇', 'minlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124104', '433124', '433124104', '团结镇', 'tuanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124105', '433124', '433124105', '吉卫镇', 'jiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124106', '433124', '433124106', '麻栗场镇', 'malichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124107', '433124', '433124107', '雅酉镇', 'yayouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124108', '433124', '433124108', '边城镇', 'bianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124109', '433124', '433124109', '花垣镇', 'huayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124200', '433124', '433124200', '长乐乡', 'zhanglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124202', '433124', '433124202', '两河乡', 'lianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124204', '433124', '433124204', '排碧乡', 'paibixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124205', '433124', '433124205', '董马库乡', 'dongmakuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124206', '433124', '433124206', '猫儿乡', 'maoerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124209', '433124', '433124209', '道二乡', 'daoerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124210', '433124', '433124210', '排吾乡', 'paiwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124211', '433124', '433124211', '排料乡', 'pailiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124212', '433124', '433124212', '雅桥乡', 'yaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433124213', '433124', '433124213', '补抽乡', 'buchouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125', '4331', '433125', '保靖县', 'baojingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125104', '433125', '433125104', '普戎镇', 'purongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125107', '433125', '433125107', '野竹坪镇', 'yezhupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125108', '433125', '433125108', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125109', '433125', '433125109', '迁陵镇', 'qianlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125110', '433125', '433125110', '清水坪镇', 'qingshuipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125111', '433125', '433125111', '比耳镇', 'bierzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125112', '433125', '433125112', '毛沟镇', 'maogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125113', '433125', '433125113', '水田河镇', 'shuitianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125114', '433125', '433125114', '葫芦镇', 'huluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125115', '433125', '433125115', '碗米坡镇', 'wanmipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125202', '433125', '433125202', '水银乡', 'shuiyinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125203', '433125', '433125203', '涂乍乡', 'tuzhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125205', '433125', '433125205', '大妥乡', 'datuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125210', '433125', '433125210', '夯沙乡', 'hangshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125215', '433125', '433125215', '清水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125217', '433125', '433125217', '阳朝乡', 'yangchaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433125403', '433125', '433125403', '保靖白云农垦场', 'baojingbaiyunnongkenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126', '4331', '433126', '古丈县', 'guzhangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126101', '433126', '433126101', '默戎镇', 'morongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126102', '433126', '433126102', '罗依溪镇', 'luoyixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126104', '433126', '433126104', '古阳镇', 'guyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126105', '433126', '433126105', '红石林镇', 'hongshilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126200', '433126', '433126200', '断龙山乡', 'duanlongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126202', '433126', '433126202', '高峰乡', 'gaofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126203', '433126', '433126203', '岩头寨乡', 'yantouzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126205', '433126', '433126205', '河蓬乡', 'hepengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126206', '433126', '433126206', '坪坝乡', 'pingbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126207', '433126', '433126207', '山枣乡', 'shanzaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126208', '433126', '433126208', '双溪乡', 'shuangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433126212', '433126', '433126212', '高望界乡', 'gaowangjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127', '4331', '433127', '永顺县', 'yongshunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127101', '433127', '433127101', '首车镇', 'shouchezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127103', '433127', '433127103', '王村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127104', '433127', '433127104', '永茂镇', 'yongmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127108', '433127', '433127108', '长官镇', 'zhangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127109', '433127', '433127109', '青坪镇', 'qingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127111', '433127', '433127111', '泽家镇', 'zejiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127112', '433127', '433127112', '石堤镇', 'shidizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127113', '433127', '433127113', '万坪镇', 'wanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127114', '433127', '433127114', '塔卧镇', 'tawozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127115', '433127', '433127115', '砂坝镇', 'shabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127116', '433127', '433127116', '灵溪镇', 'lingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127200', '433127', '433127200', '两岔乡', 'liangchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127201', '433127', '433127201', '勺哈乡', 'shaohaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127202', '433127', '433127202', '西歧乡', 'xiqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127203', '433127', '433127203', '对山乡', 'duishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127206', '433127', '433127206', '列夕乡', 'liexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127208', '433127', '433127208', '松柏乡', 'songboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127210', '433127', '433127210', '高坪乡', 'gaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127212', '433127', '433127212', '回龙乡', 'huilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127214', '433127', '433127214', '小溪乡', 'xiaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127216', '433127', '433127216', '朗溪乡', 'langxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127220', '433127', '433127220', '润雅乡', 'runyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127222', '433127', '433127222', '车坪乡', 'chepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127228', '433127', '433127228', '毛坝乡', 'maobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127229', '433127', '433127229', '万民乡', 'wanminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127230', '433127', '433127230', '盐井乡', 'yanjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127233', '433127', '433127233', '抚志乡', 'fuzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127235', '433127', '433127235', '吊井乡', 'diaojingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127237', '433127', '433127237', '大坝乡', 'dabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433127238', '433127', '433127238', '颗砂乡', 'keshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130', '4331', '433130', '龙山县', 'longshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130001', '433130', '433130001', '民安街道', 'minanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130002', '433130', '433130002', '华塘街道', 'huatangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130003', '433130', '433130003', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130101', '433130', '433130101', '石羔镇', 'shigaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130104', '433130', '433130104', '洗车河镇', 'xichehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130106', '433130', '433130106', '隆头镇', 'longtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130110', '433130', '433130110', '石牌镇', 'shipaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130112', '433130', '433130112', '茨岩塘镇', 'ciyantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130113', '433130', '433130113', '红岩溪镇', 'hongyanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130114', '433130', '433130114', '靛房镇', 'dianfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130115', '433130', '433130115', '苗儿滩镇', 'miaoertanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130116', '433130', '433130116', '里耶镇', 'liyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130117', '433130', '433130117', '桂塘镇', 'guitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130118', '433130', '433130118', '召市镇', 'zhaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130200', '433130', '433130200', '洛塔乡', 'luotaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130203', '433130', '433130203', '洗洛乡', 'xiluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130204', '433130', '433130204', '湾塘乡', 'wantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130205', '433130', '433130205', '白羊乡', 'baiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130206', '433130', '433130206', '兴隆街乡', 'xinglongjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130207', '433130', '433130207', '三元乡', 'sanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130208', '433130', '433130208', '桶车乡', 'tongchexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130210', '433130', '433130210', '大安乡', 'daanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130211', '433130', '433130211', '水田坝乡', 'shuitianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130212', '433130', '433130212', '乌鸦乡', 'wuyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130213', '433130', '433130213', '猛必乡', 'mengbixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130218', '433130', '433130218', '他砂乡', 'tashaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130220', '433130', '433130220', '内溪乡', 'neixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130223', '433130', '433130223', '贾市乡', 'jiashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130231', '433130', '433130231', '塔泥乡', 'tanixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130232', '433130', '433130232', '农车乡', 'nongchexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130234', '433130', '433130234', '老兴乡', 'laoxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130235', '433130', '433130235', '贾坝乡', 'jiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130236', '433130', '433130236', '咱果乡', 'zanguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('433130237', '433130', '433130237', '茅坪乡', 'maopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('44', '-1', '44', '广东省', 'guangdongsheng', '1', '1', 0, 1, NULL, NULL, '2020-09-17 01:56:28', 'admin', NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4401', '44', '4401', '广州市', 'guangzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440101', '4401', '440101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103', '4401', '440103', '荔湾区', 'liwanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103001', '440103', '440103001', '沙面街道', 'shamianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103002', '440103', '440103002', '岭南街道', 'lingnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103003', '440103', '440103003', '华林街道', 'hualinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103004', '440103', '440103004', '多宝街道', 'duobaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103005', '440103', '440103005', '昌华街道', 'changhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103006', '440103', '440103006', '逢源街道', 'fengyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103007', '440103', '440103007', '龙津街道', 'longjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103008', '440103', '440103008', '金花街道', 'jinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103009', '440103', '440103009', '彩虹街道', 'caihongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103010', '440103', '440103010', '南源街道', 'nanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103011', '440103', '440103011', '西村街道', 'xicunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103012', '440103', '440103012', '站前街道', 'zhanqianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103013', '440103', '440103013', '桥中街道', 'qiaozhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103014', '440103', '440103014', '白鹤洞街道', 'baihedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103015', '440103', '440103015', '冲口街道', 'chongkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103016', '440103', '440103016', '花地街道', 'huadijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103017', '440103', '440103017', '石围塘街道', 'shiweitangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103018', '440103', '440103018', '茶滘街道', 'chajiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103019', '440103', '440103019', '东漖街道', 'dongjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103020', '440103', '440103020', '海龙街道', 'hailongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103021', '440103', '440103021', '东沙街道', 'dongshajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440103022', '440103', '440103022', '中南街道', 'zhongnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104', '4401', '440104', '越秀区', 'yuexiuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104001', '440104', '440104001', '洪桥街道', 'hongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104002', '440104', '440104002', '广卫街道', 'guangweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104003', '440104', '440104003', '北京街道', 'beijingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104004', '440104', '440104004', '六榕街道', 'liurongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104005', '440104', '440104005', '流花街道', 'liuhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104006', '440104', '440104006', '东风街道', 'dongfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104007', '440104', '440104007', '光塔街道', 'guangtajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104008', '440104', '440104008', '诗书街道', 'shishujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104009', '440104', '440104009', '大新街道', 'daxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104010', '440104', '440104010', '人民街道', 'renminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104011', '440104', '440104011', '东湖街道', 'donghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104012', '440104', '440104012', '农林街道', 'nonglinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104013', '440104', '440104013', '梅花村街道', 'meihuacunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104014', '440104', '440104014', '黄花岗街道', 'huanghuagangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104015', '440104', '440104015', '华乐街道', 'hualejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104016', '440104', '440104016', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104017', '440104', '440104017', '大塘街道', 'datangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104018', '440104', '440104018', '珠光街道', 'zhuguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104019', '440104', '440104019', '大东街道', 'dadongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104020', '440104', '440104020', '白云街道', 'baiyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104021', '440104', '440104021', '登峰街道', 'dengfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440104022', '440104', '440104022', '矿泉街道', 'kuangquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105', '4401', '440105', '海珠区', 'haizhuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105001', '440105', '440105001', '赤岗街道', 'chigangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105002', '440105', '440105002', '新港街道', 'xingangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105003', '440105', '440105003', '昌岗街道', 'changgangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105004', '440105', '440105004', '江南中街道', 'jiangnanzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105005', '440105', '440105005', '滨江街道', 'binjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105006', '440105', '440105006', '素社街道', 'sushejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105007', '440105', '440105007', '海幢街道', 'haichuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105008', '440105', '440105008', '南华西街道', 'nanhuaxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105009', '440105', '440105009', '龙凤街道', 'longfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105010', '440105', '440105010', '沙园街道', 'shayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105011', '440105', '440105011', '南石头街道', 'nanshitoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105012', '440105', '440105012', '凤阳街道', 'fengyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105013', '440105', '440105013', '瑞宝街道', 'ruibaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105014', '440105', '440105014', '江海街道', 'jianghaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105015', '440105', '440105015', '琶洲街道', 'pazhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105016', '440105', '440105016', '南洲街道', 'nanzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105017', '440105', '440105017', '华洲街道', 'huazhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440105018', '440105', '440105018', '官洲街道', 'guanzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106', '4401', '440106', '天河区', 'tianhequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106001', '440106', '440106001', '五山街道', 'wushanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106002', '440106', '440106002', '员村街道', 'yuancunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106003', '440106', '440106003', '车陂街道', 'chepojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106004', '440106', '440106004', '沙河街道', 'shahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106006', '440106', '440106006', '石牌街道', 'shipaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106007', '440106', '440106007', '沙东街道', 'shadongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106008', '440106', '440106008', '天河南街道', 'tianhenanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106009', '440106', '440106009', '林和街道', 'linhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106010', '440106', '440106010', '兴华街道', 'xinghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106011', '440106', '440106011', '棠下街道', 'tangxiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106012', '440106', '440106012', '天园街道', 'tianyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106013', '440106', '440106013', '猎德街道', 'liedejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106014', '440106', '440106014', '冼村街道', 'xiancunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106015', '440106', '440106015', '元岗街道', 'yuangangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106016', '440106', '440106016', '黄村街道', 'huangcunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106017', '440106', '440106017', '长兴街道', 'zhangxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106018', '440106', '440106018', '龙洞街道', 'longdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106019', '440106', '440106019', '凤凰街道', 'fenghuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106020', '440106', '440106020', '前进街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106021', '440106', '440106021', '珠吉街道', 'zhujijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440106022', '440106', '440106022', '新塘街道', 'xintangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111', '4401', '440111', '白云区', 'baiyunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111002', '440111', '440111002', '三元里街道', 'sanyuanlijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111003', '440111', '440111003', '松洲街道', 'songzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111004', '440111', '440111004', '景泰街道', 'jingtaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111005', '440111', '440111005', '同德街道', 'tongdejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111006', '440111', '440111006', '黄石街道', 'huangshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111007', '440111', '440111007', '棠景街道', 'tangjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111008', '440111', '440111008', '新市街道', 'xinshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111009', '440111', '440111009', '同和街道', 'tonghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111010', '440111', '440111010', '京溪街道', 'jingxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111011', '440111', '440111011', '永平街道', 'yongpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111012', '440111', '440111012', '嘉禾街道', 'jiahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111013', '440111', '440111013', '均禾街道', 'junhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111014', '440111', '440111014', '石井街道', 'shijingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111015', '440111', '440111015', '金沙街道', 'jinshajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111103', '440111', '440111103', '人和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111107', '440111', '440111107', '太和镇', 'taihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111108', '440111', '440111108', '钟落潭镇', 'zhongluotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440111113', '440111', '440111113', '江高镇', 'jianggaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440112', '4401', '440112', '黄埔区', 'huangpuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440112001', '440112', '440112001', '黄埔街道', 'huangpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440112002', '440112', '440112002', '红山街道', 'hongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440112003', '440112', '440112003', '鱼珠街道', 'yuzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440112005', '440112', '440112005', '大沙街道', 'dashajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440112006', '440112', '440112006', '文冲街道', 'wenchongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440112007', '440112', '440112007', '穗东街道', 'suidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440112008', '440112', '440112008', '南岗街道', 'nangangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440112009', '440112', '440112009', '荔联街道', 'lilianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440112010', '440112', '440112010', '长洲街道', 'zhangzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113', '4401', '440113', '番禺区', 'fanyuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113007', '440113', '440113007', '市桥街道', 'shiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113008', '440113', '440113008', '沙头街道', 'shatoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113009', '440113', '440113009', '东环街道', 'donghuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113010', '440113', '440113010', '桥南街道', 'qiaonanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113011', '440113', '440113011', '小谷围街道', 'xiaoguweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113012', '440113', '440113012', '大石街道', 'dashijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113013', '440113', '440113013', '洛浦街道', 'luopujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113102', '440113', '440113102', '南村镇', 'nancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113103', '440113', '440113103', '新造镇', 'xinzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113104', '440113', '440113104', '化龙镇', 'hualongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113105', '440113', '440113105', '石楼镇', 'shilouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113107', '440113', '440113107', '东涌镇', 'dongyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113114', '440113', '440113114', '大岗镇', 'dagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113116', '440113', '440113116', '榄核镇', 'lanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113118', '440113', '440113118', '沙湾镇', 'shawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113119', '440113', '440113119', '钟村镇', 'zhongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440113120', '440113', '440113120', '石基镇', 'shijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440114', '4401', '440114', '花都区', 'huadouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440114001', '440114', '440114001', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440114103', '440114', '440114103', '梯面镇', 'timianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440114104', '440114', '440114104', '花山镇', 'huashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440114105', '440114', '440114105', '花东镇', 'huadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440114107', '440114', '440114107', '炭步镇', 'tanbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440114108', '440114', '440114108', '赤坭镇', 'chinizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440114109', '440114', '440114109', '狮岭镇', 'shilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440114111', '440114', '440114111', '雅瑶镇', 'yayaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440115', '4401', '440115', '南沙区', 'nanshaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440115001', '440115', '440115001', '南沙街道', 'nanshajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440115100', '440115', '440115100', '万顷沙镇', 'wanqingshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440115101', '440115', '440115101', '横沥镇', 'henglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440115102', '440115', '440115102', '黄阁镇', 'huanggezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440115400', '440115', '440115400', '珠江管理区', 'zhujiangguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440116', '4401', '440116', '萝岗区', 'luogangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440116001', '440116', '440116001', '夏港街道', 'xiagangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440116002', '440116', '440116002', '萝岗街道', 'luogangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440116003', '440116', '440116003', '东区街道', 'dongqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440116004', '440116', '440116004', '联和街道', 'lianhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440116005', '440116', '440116005', '永和街道', 'yonghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440116101', '440116', '440116101', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440183', '4401', '440183', '增城市', 'zengchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440183001', '440183', '440183001', '荔城街道', 'lichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440183002', '440183', '440183002', '增江街道', 'zengjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440183003', '440183', '440183003', '朱村街道', 'zhucunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440183101', '440183', '440183101', '新塘镇', 'xintangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440183102', '440183', '440183102', '石滩镇', 'shitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440183103', '440183', '440183103', '中新镇', 'zhongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440183104', '440183', '440183104', '正果镇', 'zhengguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440183105', '440183', '440183105', '派潭镇', 'paitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440183106', '440183', '440183106', '小楼镇', 'xiaolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184', '4401', '440184', '从化市', 'conghuashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184001', '440184', '440184001', '街口街道', 'jiekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184002', '440184', '440184002', '江埔街道', 'jiangpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184003', '440184', '440184003', '城郊街道', 'chengjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184103', '440184', '440184103', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184104', '440184', '440184104', '良口镇', 'liangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184107', '440184', '440184107', '吕田镇', 'lu:tianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184111', '440184', '440184111', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184113', '440184', '440184113', '鳌头镇', 'aotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184402', '440184', '440184402', '流溪河林场', 'liuxihelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184404', '440184', '440184404', '黄龙带水库管理处', 'huanglongdaishuikuguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440184405', '440184', '440184405', '大岭山林场', 'dalingshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4402', '44', '4402', '韶关市', 'shaoguanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440201', '4402', '440201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440203', '4402', '440203', '武江区', 'wujiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440203001', '440203', '440203001', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440203002', '440203', '440203002', '惠民街道', 'huiminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440203100', '440203', '440203100', '西联镇', 'xilianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440203101', '440203', '440203101', '西河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440203102', '440203', '440203102', '龙归镇', 'longguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440203103', '440203', '440203103', '江湾镇', 'jiangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440203104', '440203', '440203104', '重阳镇', 'zhongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204', '4402', '440204', '浈江区', 'zhenjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204001', '440204', '440204001', '东河街道', 'donghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204002', '440204', '440204002', '车站街道', 'chezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204003', '440204', '440204003', '田螺冲街道', 'tianluochongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204004', '440204', '440204004', '太平街道', 'taipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204005', '440204', '440204005', '南门街道', 'nanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204006', '440204', '440204006', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204007', '440204', '440204007', '曲仁街道', 'qurenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204100', '440204', '440204100', '新韶镇', 'xinshaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204101', '440204', '440204101', '乐园镇', 'leyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204102', '440204', '440204102', '十里亭镇', 'shilitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204103', '440204', '440204103', '犁市镇', 'lishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204104', '440204', '440204104', '花坪镇', 'huapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204450', '440204', '440204450', '韶关监狱', 'shaoguanjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204451', '440204', '440204451', '北江监狱', 'beijiangjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204452', '440204', '440204452', '武江监狱', 'wujiangjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440204453', '440204', '440204453', '韶关市冶炼厂', 'shaoguanshiyelianchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205', '4402', '440205', '曲江区', 'qujiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205100', '440205', '440205100', '马坝镇', 'mabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205101', '440205', '440205101', '大塘镇', 'datangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205102', '440205', '440205102', '枫湾镇', 'fengwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205103', '440205', '440205103', '小坑镇', 'xiaokengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205104', '440205', '440205104', '沙溪镇', 'shaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205106', '440205', '440205106', '乌石镇', 'wushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205107', '440205', '440205107', '樟市镇', 'zhangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205108', '440205', '440205108', '白土镇', 'baituzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205109', '440205', '440205109', '罗坑镇', 'luokengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205450', '440205', '440205450', '韶关钢铁集团有限公司', 'shaoguangangtiejituanyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205451', '440205', '440205451', '韶关发电厂', 'shaoguanfadianchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205452', '440205', '440205452', '曲江区大宝山矿', 'qujiangqudabaoshankuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205453', '440205', '440205453', '韶关十六冶金建设公司', 'shaoguanshiliuyejinjianshegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440205454', '440205', '440205454', '消雪岭华侨农场', 'xiaoxuelinghuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222', '4402', '440222', '始兴县', 'shixingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222100', '440222', '440222100', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222101', '440222', '440222101', '马市镇', 'mashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222102', '440222', '440222102', '澄江镇', 'chengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222103', '440222', '440222103', '顿岗镇', 'dungangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222104', '440222', '440222104', '罗坝镇', 'luobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222105', '440222', '440222105', '司前镇', 'siqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222106', '440222', '440222106', '隘子镇', 'aizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222107', '440222', '440222107', '城南镇', 'chengnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222108', '440222', '440222108', '沈所镇', 'shensuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222204', '440222', '440222204', '深渡水乡', 'shendushuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440222500', '440222', '440222500', '刘张家山林场', 'liuzhangjiashanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224', '4402', '440224', '仁化县', 'renhuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224001', '440224', '440224001', '丹霞街道', 'danxiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224102', '440224', '440224102', '闻韶镇', 'wenshaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224103', '440224', '440224103', '扶溪镇', 'fuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224104', '440224', '440224104', '长江镇', 'zhangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224105', '440224', '440224105', '城口镇', 'chengkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224106', '440224', '440224106', '红山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224107', '440224', '440224107', '石塘镇', 'shitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224108', '440224', '440224108', '董塘镇', 'dongtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224109', '440224', '440224109', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224110', '440224', '440224110', '周田镇', 'zhoutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224111', '440224', '440224111', '黄坑镇', 'huangkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440224450', '440224', '440224450', '仁化林场', 'renhualinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440229', '4402', '440229', '翁源县', 'wengyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440229100', '440229', '440229100', '龙仙镇', 'longxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440229104', '440229', '440229104', '坝仔镇', 'bazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440229106', '440229', '440229106', '江尾镇', 'jiangweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440229109', '440229', '440229109', '官渡镇', 'guanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440229111', '440229', '440229111', '周陂镇', 'zhoupozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440229113', '440229', '440229113', '翁城镇', 'wengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440229114', '440229', '440229114', '新江镇', 'xinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440229450', '440229', '440229450', '铁龙林场', 'tielonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232', '4402', '440232', '乳源瑶族自治县', 'ruyuanyaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232100', '440232', '440232100', '乳城镇', 'ruchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232103', '440232', '440232103', '一六镇', 'yiliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232104', '440232', '440232104', '桂头镇', 'guitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232106', '440232', '440232106', '洛阳镇', 'luoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232108', '440232', '440232108', '大布镇', 'dabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232109', '440232', '440232109', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232111', '440232', '440232111', '东坪镇', 'dongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232112', '440232', '440232112', '游溪镇', 'youxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232113', '440232', '440232113', '必背镇', 'bibeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232450', '440232', '440232450', '天井山林场', 'tianjingshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440232451', '440232', '440232451', '乳阳林业局', 'ruyanglinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440233', '4402', '440233', '新丰县', 'xinfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440233001', '440233', '440233001', '丰城街道', 'fengchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440233101', '440233', '440233101', '黄礤镇', 'huangcazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440233102', '440233', '440233102', '马头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440233103', '440233', '440233103', '梅坑镇', 'meikengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440233104', '440233', '440233104', '沙田镇', 'shatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440233105', '440233', '440233105', '遥田镇', 'yaotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440233106', '440233', '440233106', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281', '4402', '440281', '乐昌市', 'lechangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281001', '440281', '440281001', '乐城街道', 'lechengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281102', '440281', '440281102', '北乡镇', 'beixiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281103', '440281', '440281103', '九峰镇', 'jiufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281104', '440281', '440281104', '廊田镇', 'langtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281105', '440281', '440281105', '长来镇', 'zhanglaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281106', '440281', '440281106', '梅花镇', 'meihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281107', '440281', '440281107', '三溪镇', 'sanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281108', '440281', '440281108', '坪石镇', 'pingshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281110', '440281', '440281110', '黄圃镇', 'huangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281111', '440281', '440281111', '五山镇', 'wushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281112', '440281', '440281112', '两江镇', 'liangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281113', '440281', '440281113', '沙坪镇', 'shapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281114', '440281', '440281114', '云岩镇', 'yunyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281115', '440281', '440281115', '秀水镇', 'xiushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281117', '440281', '440281117', '大源镇', 'dayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281118', '440281', '440281118', '庆云镇', 'qingyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281119', '440281', '440281119', '白石镇', 'baishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281451', '440281', '440281451', '坪石', 'pingshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281452', '440281', '440281452', '梅田', 'meitian', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281453', '440281', '440281453', '乐昌监狱', 'lechangjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440281454', '440281', '440281454', '坪石监狱', 'pingshijianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282', '4402', '440282', '南雄市', 'nanxiongshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282001', '440282', '440282001', '雄州街道', 'xiongzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282100', '440282', '440282100', '乌迳镇', 'wujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282103', '440282', '440282103', '界址镇', 'jiezhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282104', '440282', '440282104', '坪田镇', 'pingtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282105', '440282', '440282105', '黄坑镇', 'huangkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282106', '440282', '440282106', '邓坊镇', 'dengfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282107', '440282', '440282107', '油山镇', 'youshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282109', '440282', '440282109', '南亩镇', 'nanmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282110', '440282', '440282110', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282111', '440282', '440282111', '江头镇', 'jiangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282112', '440282', '440282112', '湖口镇', 'hukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282113', '440282', '440282113', '珠玑镇', 'zhujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282115', '440282', '440282115', '主田镇', 'zhutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282116', '440282', '440282116', '古市镇', 'gushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282118', '440282', '440282118', '全安镇', 'quananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282120', '440282', '440282120', '百顺镇', 'baishunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282121', '440282', '440282121', '澜河镇', 'lanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440282122', '440282', '440282122', '帽子峰镇', 'maozifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4403', '44', '4403', '深圳市', 'shenzhenshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440301', '4403', '440301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440303', '4403', '440303', '罗湖区', 'luohuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440303001', '440303', '440303001', '桂园街道', 'guiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440303002', '440303', '440303002', '黄贝街道', 'huangbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440303003', '440303', '440303003', '东门街道', 'dongmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440303004', '440303', '440303004', '翠竹街道', 'cuizhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440303005', '440303', '440303005', '南湖街道', 'nanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440303006', '440303', '440303006', '笋岗街道', 'sungangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440303007', '440303', '440303007', '东湖街道', 'donghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440303008', '440303', '440303008', '莲塘街道', 'liantangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440303009', '440303', '440303009', '东晓街道', 'dongxiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440303010', '440303', '440303010', '清水河街道', 'qingshuihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440304', '4403', '440304', '福田区', 'futianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440304001', '440304', '440304001', '南园街道', 'nanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440304002', '440304', '440304002', '园岭街道', 'yuanlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440304004', '440304', '440304004', '福田街道', 'futianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440304005', '440304', '440304005', '沙头街道', 'shatoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440304006', '440304', '440304006', '香蜜湖街道', 'xiangmihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440304007', '440304', '440304007', '梅林街道', 'meilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440304008', '440304', '440304008', '莲花街道', 'lianhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440304009', '440304', '440304009', '华富街道', 'huafujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440304400', '440304', '440304400', '福田保税区', 'futianbaoshuiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440305', '4403', '440305', '南山区', 'nanshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440305001', '440305', '440305001', '南头街道', 'nantoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440305002', '440305', '440305002', '南山街道', 'nanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440305003', '440305', '440305003', '沙河街道', 'shahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440305005', '440305', '440305005', '蛇口街道', 'shekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440305006', '440305', '440305006', '招商街道', 'zhaoshangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440305007', '440305', '440305007', '粤海街道', 'yuehaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440305008', '440305', '440305008', '桃源街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440305009', '440305', '440305009', '西丽街道', 'xilijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306', '4403', '440306', '宝安区', 'baoanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306001', '440306', '440306001', '新安街道', 'xinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306002', '440306', '440306002', '光明街道', 'guangmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306003', '440306', '440306003', '西乡街道', 'xixiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306004', '440306', '440306004', '福永街道', 'fuyongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306005', '440306', '440306005', '沙井街道', 'shajingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306006', '440306', '440306006', '松岗街道', 'songgangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306007', '440306', '440306007', '公明街道', 'gongmingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306008', '440306', '440306008', '石岩街道', 'shiyanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306010', '440306', '440306010', '观澜街道', 'guanlanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306011', '440306', '440306011', '大浪街道', 'dalangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306012', '440306', '440306012', '龙华街道', 'longhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306013', '440306', '440306013', '民治街道', 'minzhijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440306400', '440306', '440306400', '深圳宝安国际机场', 'shenzhenbaoanguojijichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307', '4403', '440307', '龙岗区', 'longgangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307003', '440307', '440307003', '平湖街道', 'pinghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307006', '440307', '440307006', '坪地街道', 'pingdijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307007', '440307', '440307007', '坪山街道', 'pingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307008', '440307', '440307008', '坑梓街道', 'kengzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307009', '440307', '440307009', '葵涌街道', 'kuiyongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307010', '440307', '440307010', '大鹏街道', 'dapengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307011', '440307', '440307011', '南澳街道', 'nanaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307012', '440307', '440307012', '南湾街道', 'nanwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307013', '440307', '440307013', '坂田街道', 'bantianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307014', '440307', '440307014', '布吉街道', 'bujijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307015', '440307', '440307015', '龙城街道', 'longchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307016', '440307', '440307016', '龙岗街道', 'longgangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307017', '440307', '440307017', '横岗街道', 'henggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440307400', '440307', '440307400', '深圳市大工业区', 'shenzhenshidagongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440308', '4403', '440308', '盐田区', 'yantianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440308001', '440308', '440308001', '梅沙街道', 'meishajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440308002', '440308', '440308002', '盐田街道', 'yantianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440308003', '440308', '440308003', '沙头角街道', 'shatoujiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440308004', '440308', '440308004', '海山街道', 'haishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440308400', '440308', '440308400', '市保税区(沙头角)', 'shibaoshuiqu(shatoujiao)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440308401', '440308', '440308401', '市保税区(盐田港)', 'shibaoshuiqu(yantiangang)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4404', '44', '4404', '珠海市', 'zhuhaishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440401', '4404', '440401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402', '4404', '440402', '香洲区', 'xiangzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402001', '440402', '440402001', '翠香街道', 'cuixiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402002', '440402', '440402002', '梅华街道', 'meihuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402003', '440402', '440402003', '前山街道办', 'qianshanjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402004', '440402', '440402004', '吉大街道', 'jidajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402005', '440402', '440402005', '拱北街道', 'gongbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402006', '440402', '440402006', '香湾街道', 'xiangwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402007', '440402', '440402007', '狮山街道', 'shishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402008', '440402', '440402008', '湾仔街道', 'wanzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402100', '440402', '440402100', '唐家湾镇', 'tangjiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402102', '440402', '440402102', '南屏镇', 'nanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402104', '440402', '440402104', '横琴镇', 'hengqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402105', '440402', '440402105', '桂山镇', 'guishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402106', '440402', '440402106', '万山镇', 'wanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402107', '440402', '440402107', '担杆镇', 'danganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402400', '440402', '440402400', '大学园区', 'daxueyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402401', '440402', '440402401', '南屏科技园', 'nanpingkejiyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440402402', '440402', '440402402', '保税区', 'baoshuiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440403', '4404', '440403', '斗门区', 'doumenqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440403100', '440403', '440403100', '莲洲镇', 'lianzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440403103', '440403', '440403103', '斗门镇', 'doumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440403105', '440403', '440403105', '乾务镇', 'qianwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440403106', '440403', '440403106', '白蕉镇', 'baijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440403107', '440403', '440403107', '井岸镇', 'jinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440403400', '440403', '440403400', '白蕉科技工业园', 'baijiaokejigongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440403401', '440403', '440403401', '龙山工业区', 'longshangongyequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440404', '4404', '440404', '金湾区', 'jinwanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440404100', '440404', '440404100', '三灶镇', 'sanzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440404101', '440404', '440404101', '南水镇', 'nanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440404103', '440404', '440404103', '红旗镇', 'hongqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440404104', '440404', '440404104', '平沙镇', 'pingshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4405', '44', '4405', '汕头市', 'shantoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440501', '4405', '440501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440507', '4405', '440507', '龙湖区', 'longhuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440507001', '440507', '440507001', '金霞街道', 'jinxiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440507003', '440507', '440507003', '珠池街道', 'zhuchijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440507004', '440507', '440507004', '新津街道', 'xinjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440507005', '440507', '440507005', '鸥汀街道', 'outingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440507008', '440507', '440507008', '龙祥街道', 'longxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440507100', '440507', '440507100', '外砂镇', 'waishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440507101', '440507', '440507101', '新溪镇', 'xinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511', '4405', '440511', '金平区', 'jinpingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511001', '440511', '440511001', '石炮台街道', 'shipaotaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511002', '440511', '440511002', '金砂街道', 'jinshajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511003', '440511', '440511003', '金厦街道', 'jinshajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511004', '440511', '440511004', '东方街道', 'dongfangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511005', '440511', '440511005', '大华街道', 'dahuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511006', '440511', '440511006', '同益街道', 'tongyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511007', '440511', '440511007', '光华街道', 'guanghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511008', '440511', '440511008', '东墩街道', 'dongdunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511009', '440511', '440511009', '广厦街道', 'guangshajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511010', '440511', '440511010', '海安街道', 'haianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511011', '440511', '440511011', '新福街道', 'xinfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511012', '440511', '440511012', '乌桥街道', 'wuqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511013', '440511', '440511013', '岐山街道', 'qishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511014', '440511', '440511014', '永祥街道', 'yongxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511015', '440511', '440511015', '鮀莲街道', 'tuolianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511016', '440511', '440511016', '鮀江街道', 'tuojiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440511017', '440511', '440511017', '月浦街道', 'yuepujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440512', '4405', '440512', '濠江区', 'haojiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440512001', '440512', '440512001', '达濠街道', 'dahaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440512002', '440512', '440512002', '马窖街道', 'majiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440512003', '440512', '440512003', '礐石街道', 'queshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440512004', '440512', '440512004', '广澳街道', 'guangaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440512005', '440512', '440512005', '滨海街道', 'binhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440512006', '440512', '440512006', '河浦街道', 'hepujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440512007', '440512', '440512007', '玉新街道', 'yuxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513', '4405', '440513', '潮阳区', 'chaoyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513001', '440513', '440513001', '文光街道', 'wenguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513002', '440513', '440513002', '棉北街道', 'mianbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513003', '440513', '440513003', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513004', '440513', '440513004', '金浦街道', 'jinpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513100', '440513', '440513100', '海门镇', 'haimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513101', '440513', '440513101', '河溪镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513102', '440513', '440513102', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513103', '440513', '440513103', '西胪镇', 'xiluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513104', '440513', '440513104', '关埠镇', 'guanbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513106', '440513', '440513106', '谷饶镇', 'guraozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513107', '440513', '440513107', '贵屿镇', 'guiyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513108', '440513', '440513108', '铜盂镇', 'tongyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440513110', '440513', '440513110', '金灶镇', 'jinzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514', '4405', '440514', '潮南区', 'chaonanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514001', '440514', '440514001', '峡山街道', 'xiashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514101', '440514', '440514101', '井都镇', 'jingdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514103', '440514', '440514103', '成田镇', 'chengtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514104', '440514', '440514104', '司马浦镇', 'simapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514105', '440514', '440514105', '陈店镇', 'chendianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514106', '440514', '440514106', '两英镇', 'liangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514107', '440514', '440514107', '仙城镇', 'xianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514108', '440514', '440514108', '胪岗镇', 'lugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514109', '440514', '440514109', '红场镇', 'hongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514110', '440514', '440514110', '雷岭镇', 'leilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440514112', '440514', '440514112', '陇田镇', 'longtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515', '4405', '440515', '澄海区', 'chenghaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515001', '440515', '440515001', '凤翔街道', 'fengxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515002', '440515', '440515002', '广益街道', 'guangyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515003', '440515', '440515003', '澄华街道', 'chenghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515100', '440515', '440515100', '上华镇', 'shanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515101', '440515', '440515101', '隆都镇', 'longdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515102', '440515', '440515102', '莲下镇', 'lianxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515103', '440515', '440515103', '莲上镇', 'lianshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515104', '440515', '440515104', '溪南镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515105', '440515', '440515105', '东里镇', 'donglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515106', '440515', '440515106', '盐鸿镇', 'yanhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440515107', '440515', '440515107', '莲华镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440523', '4405', '440523', '南澳县', 'nanaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440523100', '440523', '440523100', '后宅镇', 'houzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440523101', '440523', '440523101', '云澳镇', 'yunaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440523102', '440523', '440523102', '深澳镇', 'shenaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4406', '44', '4406', '佛山市', 'foshanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440601', '4406', '440601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440604', '4406', '440604', '禅城区', 'shanchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440604010', '440604', '440604010', '石湾镇街道', 'shiwanzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440604011', '440604', '440604011', '张槎街道', 'zhangchajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440604012', '440604', '440604012', '祖庙街道', 'zumiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440604100', '440604', '440604100', '南庄镇', 'nanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440605', '4406', '440605', '南海区', 'nanhaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440605011', '440605', '440605011', '桂城街道', 'guichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440605012', '440605', '440605012', '罗村街道', 'luocunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440605121', '440605', '440605121', '九江镇', 'jiujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440605122', '440605', '440605122', '西樵镇', 'xiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440605123', '440605', '440605123', '丹灶镇', 'danzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440605124', '440605', '440605124', '狮山镇', 'shishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440605125', '440605', '440605125', '大沥镇', 'dalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440605126', '440605', '440605126', '里水镇', 'lishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440606', '4406', '440606', '顺德区', 'shundequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440606003', '440606', '440606003', '伦教街道', 'lunjiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440606004', '440606', '440606004', '勒流街道', 'leliujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440606005', '440606', '440606005', '大良街道', 'daliangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440606006', '440606', '440606006', '容桂街道', 'rongguijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440606101', '440606', '440606101', '陈村镇', 'chencunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440606102', '440606', '440606102', '北滘镇', 'beijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440606103', '440606', '440606103', '乐从镇', 'lecongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440606104', '440606', '440606104', '龙江镇', 'longjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440606105', '440606', '440606105', '杏坛镇', 'xingtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440606106', '440606', '440606106', '均安镇', 'junanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607', '4406', '440607', '三水区', 'sanshuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607001', '440607', '440607001', '西南街道', 'xinanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607101', '440607', '440607101', '大塘镇', 'datangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607103', '440607', '440607103', '乐平镇', 'lepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607104', '440607', '440607104', '白坭镇', 'bainizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607105', '440607', '440607105', '芦苞镇', 'lubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607400', '440607', '440607400', '省三水劳教所', 'shengsanshuilaojiaosuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607401', '440607', '440607401', '省南丰劳教所', 'shengnanfenglaojiaosuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607402', '440607', '440607402', '省女子劳教所', 'shengnu:zilaojiaosuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607403', '440607', '440607403', '省第二戒毒劳教所', 'shengdierjiedulaojiaosuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607404', '440607', '440607404', '广州军区三水农场', 'guangzhoujunqusanshuinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440607405', '440607', '440607405', '迳口华侨经济区', 'jingkouhuaqiaojingjiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440608', '4406', '440608', '高明区', 'gaomingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440608004', '440608', '440608004', '荷城街道', 'hechengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440608106', '440608', '440608106', '杨和镇', 'yanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440608107', '440608', '440608107', '明城镇', 'mingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440608108', '440608', '440608108', '更合镇', 'genghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440608400', '440608', '440608400', '高明监狱', 'gaomingjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440608401', '440608', '440608401', '云勇林场', 'yunyonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440608402', '440608', '440608402', '对川茶场', 'duichuanchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440608403', '440608', '440608403', '佛山监狱', 'foshanjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4407', '44', '4407', '江门市', 'jiangmenshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440701', '4407', '440701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440703', '4407', '440703', '蓬江区', 'pengjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440703001', '440703', '440703001', '仓后街道', 'canghoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440703002', '440703', '440703002', '沙仔尾街道', 'shaziweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440703003', '440703', '440703003', '堤东街道', 'didongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440703004', '440703', '440703004', '北街街道', 'beijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440703005', '440703', '440703005', '潮连街道', 'chaolianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440703006', '440703', '440703006', '环市街道', 'huanshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440703101', '440703', '440703101', '棠下镇', 'tangxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440703102', '440703', '440703102', '荷塘镇', 'hetangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440703103', '440703', '440703103', '杜阮镇', 'duruanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440704', '4407', '440704', '江海区', 'jianghaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440704001', '440704', '440704001', '江南街道', 'jiangnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440704002', '440704', '440704002', '滘头街道', 'jiaotoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440704003', '440704', '440704003', '滘北街道', 'jiaobeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440704004', '440704', '440704004', '外海街道', 'waihaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440704005', '440704', '440704005', '礼乐街道', 'lilejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705', '4407', '440705', '新会区', 'xinhuiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705001', '440705', '440705001', '会城街道', 'huichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705101', '440705', '440705101', '大泽镇', 'dazezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705102', '440705', '440705102', '司前镇', 'siqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705103', '440705', '440705103', '罗坑镇', 'luokengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705104', '440705', '440705104', '双水镇', 'shuangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705105', '440705', '440705105', '崖门镇', 'yamenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705106', '440705', '440705106', '沙堆镇', 'shaduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705107', '440705', '440705107', '古井镇', 'gujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705108', '440705', '440705108', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705109', '440705', '440705109', '睦州镇', 'muzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705110', '440705', '440705110', '大鰲镇', 'daaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705450', '440705', '440705450', '圭峰山风景区', 'guifengshanfengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705451', '440705', '440705451', '银湖湾湿地公园', 'yinhuwanshidigongyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440705470', '440705', '440705470', '今古洲经济开发试验区', 'jinguzhoujingjikaifashiyanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781', '4407', '440781', '台山市', 'taishanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781001', '440781', '440781001', '台城街道', 'taichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781100', '440781', '440781100', '大江镇', 'dajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781101', '440781', '440781101', '水步镇', 'shuibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781102', '440781', '440781102', '四九镇', 'sijiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781103', '440781', '440781103', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781104', '440781', '440781104', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781105', '440781', '440781105', '冲蒌镇', 'chonglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781106', '440781', '440781106', '斗山镇', 'doushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781107', '440781', '440781107', '都斛镇', 'douhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781108', '440781', '440781108', '赤溪镇', 'chixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781109', '440781', '440781109', '端芬镇', 'duanfenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781110', '440781', '440781110', '广海镇', 'guanghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781111', '440781', '440781111', '海宴镇', 'haiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781112', '440781', '440781112', '汶村镇', 'wencunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781113', '440781', '440781113', '深井镇', 'shenjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781114', '440781', '440781114', '北陡镇', 'beidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781115', '440781', '440781115', '川岛镇', 'chuandaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440781401', '440781', '440781401', '华侨农场', 'huaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783', '4407', '440783', '开平市', 'kaipingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783001', '440783', '440783001', '三埠街道', 'sanbujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783002', '440783', '440783002', '长沙街道', 'zhangshajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783103', '440783', '440783103', '沙塘镇', 'shatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783104', '440783', '440783104', '苍城镇', 'cangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783105', '440783', '440783105', '龙胜镇', 'longshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783106', '440783', '440783106', '大沙镇', 'dashazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783107', '440783', '440783107', '马冈镇', 'magangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783108', '440783', '440783108', '塘口镇', 'tangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783109', '440783', '440783109', '赤坎镇', 'chikanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783110', '440783', '440783110', '百合镇', 'baihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783111', '440783', '440783111', '蚬冈镇', 'xiangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783112', '440783', '440783112', '金鸡镇', 'jinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783115', '440783', '440783115', '月山镇', 'yueshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783116', '440783', '440783116', '赤水镇', 'chishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440783117', '440783', '440783117', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784', '4407', '440784', '鹤山市', 'heshanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784100', '440784', '440784100', '沙坪镇', 'shapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784101', '440784', '440784101', '龙口镇', 'longkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784102', '440784', '440784102', '雅瑶镇', 'yayaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784103', '440784', '440784103', '古劳镇', 'gulaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784104', '440784', '440784104', '桃源镇', 'taoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784105', '440784', '440784105', '鹤城镇', 'hechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784106', '440784', '440784106', '共和镇', 'gonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784107', '440784', '440784107', '址山镇', 'zhishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784108', '440784', '440784108', '宅梧镇', 'zhaiwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784109', '440784', '440784109', '云乡镇', 'yunxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784112', '440784', '440784112', '双合镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784401', '440784', '440784401', '江门监狱', 'jiangmenjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440784402', '440784', '440784402', '四堡林场', 'sibaolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785', '4407', '440785', '恩平市', 'enpingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785001', '440785', '440785001', '恩城街道', 'enchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785003', '440785', '440785003', '平石街道', 'pingshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785100', '440785', '440785100', '横陂镇', 'hengpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785101', '440785', '440785101', '圣堂镇', 'shengtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785102', '440785', '440785102', '良西镇', 'liangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785103', '440785', '440785103', '沙湖镇', 'shahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785104', '440785', '440785104', '牛江镇', 'niujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785105', '440785', '440785105', '君堂镇', 'juntangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785106', '440785', '440785106', '大田镇', 'datianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785107', '440785', '440785107', '那吉镇', 'neijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785108', '440785', '440785108', '大槐镇', 'dahuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440785109', '440785', '440785109', '东成镇', 'dongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4408', '44', '4408', '湛江市', 'zhanjiangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440801', '4408', '440801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440802', '4408', '440802', '湛江市赤坎区', 'zhanjiangshichikanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440802001', '440802', '440802001', '中华街道', 'zhonghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440802002', '440802', '440802002', '寸金街道', 'cunjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440802003', '440802', '440802003', '民主街道', 'minzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440802004', '440802', '440802004', '中山街道', 'zhongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440802005', '440802', '440802005', '沙湾街道', 'shawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440802006', '440802', '440802006', '调顺街道', 'diaoshunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440802007', '440802', '440802007', '南桥街道', 'nanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440802008', '440802', '440802008', '北桥街道', 'beiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803', '4408', '440803', '湛江市霞山区', 'zhanjiangshixiashanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803001', '440803', '440803001', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803002', '440803', '440803002', '爱国街道', 'aiguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803003', '440803', '440803003', '工农街道', 'gongnongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803004', '440803', '440803004', '友谊街道', 'youyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803005', '440803', '440803005', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803006', '440803', '440803006', '海滨街道', 'haibinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803009', '440803', '440803009', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803010', '440803', '440803010', '东新街道', 'dongxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803011', '440803', '440803011', '新园街道', 'xinyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803012', '440803', '440803012', '海头街道', 'haitoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803070', '440803', '440803070', '泉庄街道办事处(湛江开发区)', 'quanzhuangjiedaobanshichu(zhanjiangkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440803071', '440803', '440803071', '乐华街道办事处(湛江开发区)', 'lehuajiedaobanshichu(zhanjiangkaifaqu)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440804', '4408', '440804', '湛江市坡头区', 'zhanjiangshipotouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440804001', '440804', '440804001', '南调街道', 'nandiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440804002', '440804', '440804002', '麻斜街道', 'maxiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440804100', '440804', '440804100', '南三镇', 'nansanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440804101', '440804', '440804101', '坡头镇', 'potouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440804102', '440804', '440804102', '乾塘镇', 'qiantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440804103', '440804', '440804103', '龙头镇', 'longtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440804104', '440804', '440804104', '官渡镇', 'guanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440804400', '440804', '440804400', '中国石油南海西部公司', 'zhongguoshiyounanhaixibugongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440804401', '440804', '440804401', '湛江市坡头区官渡工业园', 'zhanjiangshipotouquguandugongyeyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440811', '4408', '440811', '湛江市麻章区', 'zhanjiangshimazhangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440811100', '440811', '440811100', '麻章镇', 'mazhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440811101', '440811', '440811101', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440811102', '440811', '440811102', '湖光镇', 'huguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440811170', '440811', '440811170', '东山镇', 'dongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440811171', '440811', '440811171', '东简镇', 'dongjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440811172', '440811', '440811172', '民安镇', 'minanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440811173', '440811', '440811173', '硇洲镇', 'naozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440811450', '440811', '440811450', '湖光农场虚拟镇', 'huguangnongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823', '4408', '440823', '遂溪县', 'suixixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823100', '440823', '440823100', '遂城镇', 'suichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823101', '440823', '440823101', '黄略镇', 'huanglu:ezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823102', '440823', '440823102', '洋青镇', 'yangqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823103', '440823', '440823103', '界炮镇', 'jiepaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823104', '440823', '440823104', '乐民镇', 'leminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823105', '440823', '440823105', '江洪镇', 'jianghongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823106', '440823', '440823106', '杨柑镇', 'yangganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823107', '440823', '440823107', '城月镇', 'chengyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823108', '440823', '440823108', '乌塘镇', 'wutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823109', '440823', '440823109', '建新镇', 'jianxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823110', '440823', '440823110', '岭北镇', 'lingbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823111', '440823', '440823111', '北坡镇', 'beipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823112', '440823', '440823112', '港门镇', 'gangmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823113', '440823', '440823113', '草潭镇', 'caotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823114', '440823', '440823114', '河头镇', 'hetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823450', '440823', '440823450', '广前公司虚拟镇', 'guangqiangongsixunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440823451', '440823', '440823451', '雷州林业局虚拟镇', 'leizhoulinyejuxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825', '4408', '440825', '徐闻县', 'xuwenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825001', '440825', '440825001', '徐城街道办', 'xuchengjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825102', '440825', '440825102', '迈陈镇', 'maichenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825103', '440825', '440825103', '海安镇', 'haianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825104', '440825', '440825104', '曲界镇', 'qujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825105', '440825', '440825105', '前山镇', 'qianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825106', '440825', '440825106', '西连镇', 'xilianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825107', '440825', '440825107', '下桥镇', 'xiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825108', '440825', '440825108', '龙塘镇', 'longtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825109', '440825', '440825109', '下洋镇', 'xiayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825110', '440825', '440825110', '锦和镇', 'jinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825111', '440825', '440825111', '和安镇', 'heanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825112', '440825', '440825112', '新寮镇', 'xinliaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825113', '440825', '440825113', '南山镇', 'nanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825201', '440825', '440825201', '城北乡', 'chengbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825204', '440825', '440825204', '角尾乡', 'jiaoweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825451', '440825', '440825451', '南华农场虚拟镇', 'nanhuanongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825452', '440825', '440825452', '五一农场虚拟镇', 'wuyinongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825453', '440825', '440825453', '华海公司虚拟镇', 'huahaigongsixunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825454', '440825', '440825454', '友好农场虚拟镇', 'youhaonongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440825455', '440825', '440825455', '红星农场虚拟镇', 'hongxingnongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881', '4408', '440881', '廉江市', 'lianjiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881001', '440881', '440881001', '罗州街道办', 'luozhoujiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881002', '440881', '440881002', '城南街道办', 'chengnanjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881003', '440881', '440881003', '城北街道办', 'chengbeijiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881101', '440881', '440881101', '石城镇', 'shichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881102', '440881', '440881102', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881103', '440881', '440881103', '吉水镇', 'jishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881104', '440881', '440881104', '河唇镇', 'hechunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881105', '440881', '440881105', '石角镇', 'shijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881106', '440881', '440881106', '良垌镇', 'liangtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881107', '440881', '440881107', '横山镇', 'hengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881108', '440881', '440881108', '安铺镇', 'anpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881109', '440881', '440881109', '营仔镇', 'yingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881110', '440881', '440881110', '青平镇', 'qingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881111', '440881', '440881111', '车板镇', 'chebanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881112', '440881', '440881112', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881113', '440881', '440881113', '石岭镇', 'shilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881114', '440881', '440881114', '雅塘镇', 'yatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881115', '440881', '440881115', '石颈镇', 'shijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881116', '440881', '440881116', '长山镇', 'zhangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881117', '440881', '440881117', '塘蓬镇', 'tangpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440881118', '440881', '440881118', '和寮镇', 'heliaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882', '4408', '440882', '雷州市', 'leizhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882001', '440882', '440882001', '雷城街道办', 'leichengjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882100', '440882', '440882100', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882101', '440882', '440882101', '沈塘镇', 'shentangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882102', '440882', '440882102', '客路镇', 'keluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882103', '440882', '440882103', '杨家镇', 'yangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882104', '440882', '440882104', '唐家镇', 'tangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882105', '440882', '440882105', '企水镇', 'qishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882106', '440882', '440882106', '纪家镇', 'jijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882107', '440882', '440882107', '松竹镇', 'songzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882108', '440882', '440882108', '南兴镇', 'nanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882109', '440882', '440882109', '雷高镇', 'leigaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882110', '440882', '440882110', '东里镇', 'donglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882111', '440882', '440882111', '调风镇', 'diaofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882112', '440882', '440882112', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882113', '440882', '440882113', '英利镇', 'yinglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882114', '440882', '440882114', '北和镇', 'beihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882115', '440882', '440882115', '乌石镇', 'wushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882116', '440882', '440882116', '覃斗镇', 'tandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882117', '440882', '440882117', '附城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882450', '440882', '440882450', '华侨管理区虚拟镇', 'huaqiaoguanliquxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882451', '440882', '440882451', '丰收糖业集团有限公司虚拟镇', 'fengshoutangyejituanyouxiangongsixunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882452', '440882', '440882452', '火炬农场虚拟镇', 'huojunongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882453', '440882', '440882453', '幸福农场虚拟镇', 'xingfunongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882454', '440882', '440882454', '东方红农场虚拟镇', 'dongfanghongnongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440882455', '440882', '440882455', '金星农场虚拟镇', 'jinxingnongchangxunizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883', '4408', '440883', '吴川市', 'wuchuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883001', '440883', '440883001', '梅录街道', 'meilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883002', '440883', '440883002', '塘尾街道', 'tangweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883003', '440883', '440883003', '大山江街道', 'dashanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883004', '440883', '440883004', '博铺街道', 'bopujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883005', '440883', '440883005', '海滨街道', 'haibinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883100', '440883', '440883100', '浅水镇', 'qianshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883101', '440883', '440883101', '长岐镇', 'zhangqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883102', '440883', '440883102', '覃巴镇', 'tanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883103', '440883', '440883103', '王村港镇', 'wangcungangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883104', '440883', '440883104', '振文镇', 'zhenwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883105', '440883', '440883105', '樟铺镇', 'zhangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883106', '440883', '440883106', '吴阳镇', 'wuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883107', '440883', '440883107', '塘缀镇', 'tangzhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883109', '440883', '440883109', '黄坡镇', 'huangpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440883111', '440883', '440883111', '兰石镇', 'lanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4409', '44', '4409', '茂名市', 'maomingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440901', '4409', '440901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902', '4409', '440902', '茂南区', 'maonanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902001', '440902', '440902001', '红旗街道办', 'hongqijiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902002', '440902', '440902002', '河西街道办', 'hexijiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902003', '440902', '440902003', '河东街道办', 'hedongjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902004', '440902', '440902004', '露天矿街道办', 'lutiankuangjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902005', '440902', '440902005', '新华街道办', 'xinhuajiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902006', '440902', '440902006', '官渡街道办', 'guandujiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902007', '440902', '440902007', '站前街道办', 'zhanqianjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902100', '440902', '440902100', '金塘镇', 'jintangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902101', '440902', '440902101', '公馆镇', 'gongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902102', '440902', '440902102', '新坡镇', 'xinpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902103', '440902', '440902103', '镇盛镇', 'zhenshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902104', '440902', '440902104', '鳌头镇', 'aotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902105', '440902', '440902105', '袂花镇', 'meihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902106', '440902', '440902106', '高山镇', 'gaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902107', '440902', '440902107', '山阁镇', 'shangezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440902400', '440902', '440902400', '茂南开发区', 'maonankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440903', '4409', '440903', '茂港区', 'maogangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440903001', '440903', '440903001', '南海街道', 'nanhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440903002', '440903', '440903002', '高地街道', 'gaodijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440903101', '440903', '440903101', '羊角镇', 'yangjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440903102', '440903', '440903102', '坡心镇', 'poxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440903103', '440903', '440903103', '七迳镇', 'qijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440903104', '440903', '440903104', '小良镇', 'xiaoliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440903105', '440903', '440903105', '沙院镇', 'shayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923', '4409', '440923', '电白县', 'dianbaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923100', '440923', '440923100', '马踏镇', 'matazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923101', '440923', '440923101', '岭门镇', 'lingmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923104', '440923', '440923104', '树仔镇', 'shuzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923106', '440923', '440923106', '麻岗镇', 'magangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923107', '440923', '440923107', '旦场镇', 'danchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923115', '440923', '440923115', '霞洞镇', 'xiadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923116', '440923', '440923116', '观珠镇', 'guanzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923117', '440923', '440923117', '沙琅镇', 'shalangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923118', '440923', '440923118', '黄岭镇', 'huanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923119', '440923', '440923119', '望夫镇', 'wangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923120', '440923', '440923120', '罗坑镇', 'luokengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923121', '440923', '440923121', '那霍镇', 'neihuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923123', '440923', '440923123', '水东镇', 'shuidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923125', '440923', '440923125', '博贺镇', 'bohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923126', '440923', '440923126', '林头镇', 'lintouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923127', '440923', '440923127', '电城镇', 'dianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923450', '440923', '440923450', '陈村镇', 'chencunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923451', '440923', '440923451', '曙光农场', 'shuguangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923452', '440923', '440923452', '水丰农场', 'shuifengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923453', '440923', '440923453', '新华农场', 'xinhuanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440923454', '440923', '440923454', '电白盐场', 'dianbaiyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981', '4409', '440981', '高州市', 'gaozhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981002', '440981', '440981002', '石仔岭街道', 'shizilingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981003', '440981', '440981003', '山美街道', 'shanmeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981006', '440981', '440981006', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981007', '440981', '440981007', '潘州街道', 'panzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981008', '440981', '440981008', '宝光街道', 'baoguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981100', '440981', '440981100', '谢鸡镇', 'xiejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981101', '440981', '440981101', '新垌镇', 'xintongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981102', '440981', '440981102', '云潭镇', 'yuntanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981103', '440981', '440981103', '分界镇', 'fenjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981104', '440981', '440981104', '根子镇', 'genzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981105', '440981', '440981105', '泗水镇', 'sishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981107', '440981', '440981107', '镇江镇', 'zhenjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981109', '440981', '440981109', '沙田镇', 'shatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981110', '440981', '440981110', '南塘镇', 'nantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981111', '440981', '440981111', '荷花镇', 'hehuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981112', '440981', '440981112', '石板镇', 'shibanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981115', '440981', '440981115', '大井镇', 'dajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981116', '440981', '440981116', '潭头镇', 'tantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981119', '440981', '440981119', '大坡镇', 'dapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981120', '440981', '440981120', '平山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981121', '440981', '440981121', '深镇镇', 'shenzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981122', '440981', '440981122', '马贵镇', 'maguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981123', '440981', '440981123', '古丁镇', 'gudingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981124', '440981', '440981124', '曹江镇', 'caojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981126', '440981', '440981126', '荷塘镇', 'hetangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981127', '440981', '440981127', '石鼓镇', 'shiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981128', '440981', '440981128', '东岸镇', 'donganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981129', '440981', '440981129', '长坡镇', 'zhangpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981450', '440981', '440981450', '团结农场', 'tuanjienongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981451', '440981', '440981451', '胜利农场', 'shenglinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440981452', '440981', '440981452', '火星农场', 'huoxingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982', '4409', '440982', '化州市', 'huazhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982001', '440982', '440982001', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982002', '440982', '440982002', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982003', '440982', '440982003', '下郭街道', 'xiaguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982004', '440982', '440982004', '南盛街道', 'nanshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982005', '440982', '440982005', '石湾街道', 'shiwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982100', '440982', '440982100', '长岐镇', 'zhangqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982101', '440982', '440982101', '同庆镇', 'tongqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982102', '440982', '440982102', '杨梅镇', 'yangmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982103', '440982', '440982103', '良光镇', 'liangguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982104', '440982', '440982104', '笪桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982106', '440982', '440982106', '丽岗镇', 'ligangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982107', '440982', '440982107', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982108', '440982', '440982108', '官桥镇', 'guanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982110', '440982', '440982110', '林尘镇', 'linchenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982112', '440982', '440982112', '合江镇', 'hejiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982113', '440982', '440982113', '那务镇', 'neiwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982114', '440982', '440982114', '播扬镇', 'boyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982115', '440982', '440982115', '宝圩镇', 'baoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982116', '440982', '440982116', '平定镇', 'pingdingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982117', '440982', '440982117', '文楼镇', 'wenlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982118', '440982', '440982118', '江湖镇', 'jianghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982120', '440982', '440982120', '中垌镇', 'zhongtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982400', '440982', '440982400', '鉴江开发区', 'jianjiangkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982401', '440982', '440982401', '新时代农场', 'xinshidainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982402', '440982', '440982402', '新华农场', 'xinhuanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982403', '440982', '440982403', '和平农场', 'hepingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982404', '440982', '440982404', '红阳农场', 'hongyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982405', '440982', '440982405', '红峰农场', 'hongfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982406', '440982', '440982406', '建设农场', 'jianshenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440982407', '440982', '440982407', '茂名监狱(石滩农场)', 'maomingjianyu(shitannongchang)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983', '4409', '440983', '信宜市', 'xinyishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983001', '440983', '440983001', '东镇街道办', 'dongzhenjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983101', '440983', '440983101', '镇隆镇', 'zhenlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983102', '440983', '440983102', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983105', '440983', '440983105', '丁堡镇', 'dingbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983106', '440983', '440983106', '池洞镇', 'chidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983112', '440983', '440983112', '贵子镇', 'guizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983113', '440983', '440983113', '怀乡镇', 'huaixiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983114', '440983', '440983114', '茶山镇', 'chashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983115', '440983', '440983115', '洪冠镇', 'hongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983116', '440983', '440983116', '白石镇', 'baishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983117', '440983', '440983117', '大成镇', 'dachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983118', '440983', '440983118', '钱排镇', 'qianpaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983119', '440983', '440983119', '合水镇', 'heshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983120', '440983', '440983120', '新宝镇', 'xinbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983121', '440983', '440983121', '平塘镇', 'pingtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983122', '440983', '440983122', '思贺镇', 'sihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983123', '440983', '440983123', '金垌镇', 'jintongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983124', '440983', '440983124', '朱砂镇', 'zhushazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983125', '440983', '440983125', '北界镇', 'beijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('440983400', '440983', '440983400', '信宜市国营红旗农场', 'xinyishiguoyinghongqinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4412', '44', '4412', '肇庆市', 'zhaoqingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441201', '4412', '441201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441202', '4412', '441202', '端州区', 'duanzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441202001', '441202', '441202001', '端州区城东街道', 'duanzhouquchengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441202002', '441202', '441202002', '端州区城北街道', 'duanzhouquchengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441202003', '441202', '441202003', '端州区城西街道', 'duanzhouquchengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441202004', '441202', '441202004', '端州区城南街道', 'duanzhouquchengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441202100', '441202', '441202100', '端州区黄岗镇', 'duanzhouquhuanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441202101', '441202', '441202101', '端州区睦岗镇', 'duanzhouqumugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441202400', '441202', '441202400', '星湖风景区', 'xinghufengjingqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441203', '4412', '441203', '鼎湖区', 'dinghuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441203001', '441203', '441203001', '坑口街道', 'kengkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441203002', '441203', '441203002', '桂城街道', 'guichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441203003', '441203', '441203003', '广利街道', 'guanglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441203101', '441203', '441203101', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441203102', '441203', '441203102', '沙浦镇', 'shapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441203103', '441203', '441203103', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441203104', '441203', '441203104', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441203400', '441203', '441203400', '肇庆市劳教所', 'zhaoqingshilaojiaosuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223', '4412', '441223', '广宁县', 'guangningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223100', '441223', '441223100', '排沙镇', 'paishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223101', '441223', '441223101', '石涧镇', 'shijianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223102', '441223', '441223102', '潭布镇', 'tanbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223103', '441223', '441223103', '江屯镇', 'jiangtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223104', '441223', '441223104', '联和镇', 'lianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223105', '441223', '441223105', '螺岗镇', 'luogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223106', '441223', '441223106', '北市镇', 'beishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223107', '441223', '441223107', '坑口镇', 'kengkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223108', '441223', '441223108', '赤坑镇', 'chikengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223109', '441223', '441223109', '南街镇', 'nanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223110', '441223', '441223110', '宾亨镇', 'binhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223111', '441223', '441223111', '五和镇', 'wuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223112', '441223', '441223112', '横山镇', 'hengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223113', '441223', '441223113', '木格镇', 'mugezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223114', '441223', '441223114', '石咀镇', 'shijuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223115', '441223', '441223115', '古水镇', 'gushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441223116', '441223', '441223116', '洲仔镇', 'zhouzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224', '4412', '441224', '怀集县', 'huaijixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224100', '441224', '441224100', '怀城镇', 'huaichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224101', '441224', '441224101', '闸岗镇', 'zhagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224102', '441224', '441224102', '坳仔镇', 'aozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224103', '441224', '441224103', '汶朗镇', 'wenlangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224104', '441224', '441224104', '甘洒镇', 'gansazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224105', '441224', '441224105', '凤岗镇', 'fenggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224106', '441224', '441224106', '洽水镇', 'qiashuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224107', '441224', '441224107', '梁村镇', 'liangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224108', '441224', '441224108', '大岗镇', 'dagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224109', '441224', '441224109', '岗坪镇', 'gangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224110', '441224', '441224110', '冷坑镇', 'lengkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224111', '441224', '441224111', '马宁镇', 'maningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224112', '441224', '441224112', '蓝钟镇', 'lanzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224113', '441224', '441224113', '永固镇', 'yongguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224114', '441224', '441224114', '诗洞镇', 'shidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224115', '441224', '441224115', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224116', '441224', '441224116', '中洲镇', 'zhongzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224118', '441224', '441224118', '连麦镇', 'lianmaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224200', '441224', '441224200', '下帅壮族瑶族乡', 'xiashuaizhuangzuyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441224400', '441224', '441224400', '广东省第一监狱', 'guangdongshengdiyijianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225', '4412', '441225', '封开县', 'fengkaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225100', '441225', '441225100', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225101', '441225', '441225101', '江川镇', 'jiangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225102', '441225', '441225102', '白垢镇', 'baigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225103', '441225', '441225103', '大洲镇', 'dazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225104', '441225', '441225104', '渔涝镇', 'yulaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225105', '441225', '441225105', '河儿口镇', 'heerkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225106', '441225', '441225106', '连都镇', 'liandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225107', '441225', '441225107', '杏花镇', 'xinghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225108', '441225', '441225108', '罗董镇', 'luodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225109', '441225', '441225109', '长岗镇', 'zhanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225110', '441225', '441225110', '平凤镇', 'pingfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225111', '441225', '441225111', '南丰镇', 'nanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225112', '441225', '441225112', '大玉口镇', 'dayukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225113', '441225', '441225113', '都平镇', 'doupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225114', '441225', '441225114', '金装镇', 'jinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441225115', '441225', '441225115', '长安镇', 'zhanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226', '4412', '441226', '德庆县', 'deqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226001', '441226', '441226001', '德城街道', 'dechengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226101', '441226', '441226101', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226102', '441226', '441226102', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226103', '441226', '441226103', '官圩镇', 'guanweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226105', '441226', '441226105', '马圩镇', 'maweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226106', '441226', '441226106', '高良镇', 'gaoliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226107', '441226', '441226107', '莫村镇', 'mocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226109', '441226', '441226109', '永丰镇', 'yongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226110', '441226', '441226110', '武垄镇', 'wulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226111', '441226', '441226111', '播植镇', 'bozhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226112', '441226', '441226112', '凤村镇', 'fengcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226113', '441226', '441226113', '悦城镇', 'yuechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441226114', '441226', '441226114', '九市镇', 'jiushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283', '4412', '441283', '高要市', 'gaoyaoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283001', '441283', '441283001', '南岸街道', 'nananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283100', '441283', '441283100', '河台镇', 'hetaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283101', '441283', '441283101', '乐城镇', 'lechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283102', '441283', '441283102', '水南镇', 'shuinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283103', '441283', '441283103', '禄步镇', 'lubuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283105', '441283', '441283105', '小湘镇', 'xiaoxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283106', '441283', '441283106', '大湾镇', 'dawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283107', '441283', '441283107', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283108', '441283', '441283108', '白诸镇', 'baizhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283109', '441283', '441283109', '莲塘镇', 'liantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283110', '441283', '441283110', '活道镇', 'huodaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283111', '441283', '441283111', '蛟塘镇', 'jiaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283112', '441283', '441283112', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283113', '441283', '441283113', '白土镇', 'baituzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283114', '441283', '441283114', '金渡镇', 'jinduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283115', '441283', '441283115', '金利镇', 'jinlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441283116', '441283', '441283116', '蚬岗镇', 'xiangangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284', '4412', '441284', '四会市', 'sihuishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284001', '441284', '441284001', '城中街道', 'chengzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284002', '441284', '441284002', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284003', '441284', '441284003', '贞山街道', 'zhenshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284100', '441284', '441284100', '龙甫镇', 'longfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284101', '441284', '441284101', '地豆镇地豆镇', 'didouzhendidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284102', '441284', '441284102', '威整镇', 'weizhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284103', '441284', '441284103', '罗源镇', 'luoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284104', '441284', '441284104', '迳口镇', 'jingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284105', '441284', '441284105', '大沙镇', 'dashazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284107', '441284', '441284107', '石狗镇', 'shigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284108', '441284', '441284108', '黄田镇', 'huangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284110', '441284', '441284110', '江谷镇', 'jiangguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284113', '441284', '441284113', '下茆镇', 'xiamaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284400', '441284', '441284400', '广东省济广监狱', 'guangdongshengjiguangjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441284450', '441284', '441284450', '肇庆高新技术产业开发区', 'zhaoqinggaoxinjishuchanyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4413', '44', '4413', '惠州市', 'huizhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441301', '4413', '441301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302', '4413', '441302', '惠城区', 'huichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302001', '441302', '441302001', '桥东街道', 'qiaodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302002', '441302', '441302002', '桥西街道', 'qiaoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302003', '441302', '441302003', '江南街道', 'jiangnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302004', '441302', '441302004', '江北街道', 'jiangbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302005', '441302', '441302005', '龙丰街道', 'longfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302006', '441302', '441302006', '河南岸街道', 'henananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302007', '441302', '441302007', '惠环街道', 'huihuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302008', '441302', '441302008', '陈江街道', 'chenjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302009', '441302', '441302009', '水口街道', 'shuikoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302010', '441302', '441302010', '小金口街道', 'xiaojinkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302100', '441302', '441302100', '汝湖镇', 'ruhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302103', '441302', '441302103', '三栋镇', 'sandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302106', '441302', '441302106', '潼湖镇', 'tonghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302107', '441302', '441302107', '沥林镇', 'lilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302109', '441302', '441302109', '马安镇', 'maanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302110', '441302', '441302110', '横沥镇', 'henglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302112', '441302', '441302112', '芦洲镇', 'luzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302114', '441302', '441302114', '潼桥镇', 'tongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441302450', '441302', '441302450', '惠州市林场', 'huizhoushilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303', '4413', '441303', '惠阳区', 'huiyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303001', '441303', '441303001', '淡水街道', 'danshuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303002', '441303', '441303002', '秋长街道', 'qiuzhangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303006', '441303', '441303006', '澳头街道', 'aotoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303007', '441303', '441303007', '霞涌街道', 'xiayongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303101', '441303', '441303101', '沙田镇', 'shatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303103', '441303', '441303103', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303104', '441303', '441303104', '镇隆镇', 'zhenlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303108', '441303', '441303108', '永湖镇', 'yonghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303109', '441303', '441303109', '良井镇', 'liangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303110', '441303', '441303110', '平潭镇', 'pingtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303570', '441303', '441303570', '三和开发区', 'sanhekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441303580', '441303', '441303580', '西区街道', 'xiqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322', '4413', '441322', '博罗县', 'boluoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322100', '441322', '441322100', '石坝镇', 'shibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322102', '441322', '441322102', '麻陂镇', 'mapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322103', '441322', '441322103', '观音阁镇', 'guanyingezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322104', '441322', '441322104', '公庄镇', 'gongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322105', '441322', '441322105', '杨村镇', 'yangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322106', '441322', '441322106', '柏塘镇', 'botangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322108', '441322', '441322108', '泰美镇', 'taimeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322110', '441322', '441322110', '罗阳镇', 'luoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322113', '441322', '441322113', '湖镇镇', 'huzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322115', '441322', '441322115', '长宁镇', 'zhangningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322116', '441322', '441322116', '福田镇', 'futianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322117', '441322', '441322117', '龙华镇', 'longhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322118', '441322', '441322118', '龙溪镇', 'longxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322119', '441322', '441322119', '园洲镇', 'yuanzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322121', '441322', '441322121', '石湾镇', 'shiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322122', '441322', '441322122', '杨侨镇', 'yangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441322450', '441322', '441322450', '罗浮山管委会', 'luofushanguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323', '4413', '441323', '惠东县', 'huidongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323001', '441323', '441323001', '平山街道', 'pingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323101', '441323', '441323101', '大岭镇', 'dalingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323102', '441323', '441323102', '白花镇', 'baihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323103', '441323', '441323103', '梁化镇', 'lianghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323104', '441323', '441323104', '稔山镇', 'renshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323105', '441323', '441323105', '铁涌镇', 'tieyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323106', '441323', '441323106', '平海镇', 'pinghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323109', '441323', '441323109', '吉隆镇', 'jilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323113', '441323', '441323113', '多祝镇', 'duozhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323115', '441323', '441323115', '安墩镇', 'andunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323118', '441323', '441323118', '高潭镇', 'gaotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323120', '441323', '441323120', '宝口镇', 'baokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323121', '441323', '441323121', '白盆珠镇', 'baipenzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323401', '441323', '441323401', '国营惠东梁化林场', 'guoyinghuidonglianghualinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323402', '441323', '441323402', '国营惠东九龙峰林场', 'guoyinghuidongjiulongfenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323403', '441323', '441323403', '惠东县港口海龟湾自然保护区', 'huidongxiangangkouhaiguiwanziranbaohuqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323404', '441323', '441323404', '莲花山白盆珠省级自然保护区', 'lianhuashanbaipenzhushengjiziranbaohuqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323405', '441323', '441323405', '广东惠东古田省级自然保护区', 'guangdonghuidonggutianshengjiziranbaohuqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441323570', '441323', '441323570', '巺寮滨海旅游渡假区管理委员会', 'xunliaobinhailu:youdujiaquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324', '4413', '441324', '龙门县', 'longmenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324001', '441324', '441324001', '龙城街道', 'longchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324100', '441324', '441324100', '麻榨镇', 'mazhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324101', '441324', '441324101', '永汉镇', 'yonghanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324106', '441324', '441324106', '平陵镇', 'pinglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324115', '441324', '441324115', '龙田镇', 'longtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324116', '441324', '441324116', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324117', '441324', '441324117', '地派镇', 'dipaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324118', '441324', '441324118', '龙华镇', 'longhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324119', '441324', '441324119', '龙江镇', 'longjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324200', '441324', '441324200', '蓝田瑶族乡', 'lantianyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324450', '441324', '441324450', '国营油田林场', 'guoyingyoutianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324451', '441324', '441324451', '龙门县青年林场', 'longmenxianqingnianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324452', '441324', '441324452', '龙门县柑桔场', 'longmenxianganjiechang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324453', '441324', '441324453', '龙门县密溪林场', 'longmenxianmixilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441324570', '441324', '441324570', '南昆山生态旅游区管理委员会', 'nankunshanshengtailu:youquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4414', '44', '4414', '梅州市', 'meizhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441401', '4414', '441401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441402', '4414', '441402', '梅江区', 'meijiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441402004', '441402', '441402004', '江南街道', 'jiangnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441402006', '441402', '441402006', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441402007', '441402', '441402007', '西郊街道', 'xijiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441402102', '441402', '441402102', '三角镇', 'sanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441402103', '441402', '441402103', '长沙镇', 'zhangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441402105', '441402', '441402105', '城北镇', 'chengbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421', '4414', '441421', '梅县', 'meixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421101', '441421', '441421101', '城东镇', 'chengdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421102', '441421', '441421102', '石扇镇', 'shishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421103', '441421', '441421103', '梅西镇', 'meixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421104', '441421', '441421104', '大坪镇', 'dapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421105', '441421', '441421105', '石坑镇', 'shikengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421109', '441421', '441421109', '水车镇', 'shuichezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421110', '441421', '441421110', '梅南镇', 'meinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421113', '441421', '441421113', '丙村镇', 'bingcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421115', '441421', '441421115', '白渡镇', 'baiduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421116', '441421', '441421116', '松源镇', 'songyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421117', '441421', '441421117', '隆文镇', 'longwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421118', '441421', '441421118', '桃尧镇', 'taoyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421126', '441421', '441421126', '畲江镇', 'shejiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421127', '441421', '441421127', '程江镇', 'chengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421128', '441421', '441421128', '西阳镇', 'xiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421129', '441421', '441421129', '雁洋镇', 'yanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421130', '441421', '441421130', '松口镇', 'songkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421131', '441421', '441421131', '南口镇', 'nankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441421500', '441421', '441421500', '梅西水库', 'meixishuiku', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422', '4414', '441422', '大埔县', 'dapuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422100', '441422', '441422100', '湖寮镇', 'huliaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422103', '441422', '441422103', '青溪镇', 'qingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422105', '441422', '441422105', '三河镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422108', '441422', '441422108', '银江镇', 'yinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422109', '441422', '441422109', '洲瑞镇', 'zhouruizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422112', '441422', '441422112', '光德镇', 'guangdezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422113', '441422', '441422113', '桃源镇', 'taoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422116', '441422', '441422116', '百侯镇', 'baihouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422117', '441422', '441422117', '大东镇', 'dadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422121', '441422', '441422121', '大麻镇', 'damazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422122', '441422', '441422122', '枫朗镇', 'fenglangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422123', '441422', '441422123', '茶阳镇', 'chayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422124', '441422', '441422124', '高陂镇', 'gaopozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422125', '441422', '441422125', '西河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422400', '441422', '441422400', '丰溪林场', 'fengxilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422401', '441422', '441422401', '洲瑞林场', 'zhouruilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441422402', '441422', '441422402', '大埔林场', 'dapulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423', '4414', '441423', '丰顺县', 'fengshunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423103', '441423', '441423103', '北斗镇', 'beidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423104', '441423', '441423104', '汤西镇', 'tangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423105', '441423', '441423105', '汤南镇', 'tangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423106', '441423', '441423106', '埔寨镇', 'puzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423110', '441423', '441423110', '建桥镇', 'jianqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423111', '441423', '441423111', '龙岗镇', 'longgangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423112', '441423', '441423112', '潘田镇', 'pantianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423114', '441423', '441423114', '黄金镇', 'huangjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423122', '441423', '441423122', '小胜镇', 'xiaoshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423123', '441423', '441423123', '砂田镇', 'shatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423124', '441423', '441423124', '八乡山镇', 'baxiangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423125', '441423', '441423125', '丰良镇', 'fengliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423126', '441423', '441423126', '潭江镇', 'tanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423127', '441423', '441423127', '汤坑镇', 'tangkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423128', '441423', '441423128', '留隍镇', 'liuhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423129', '441423', '441423129', '大龙华镇', 'dalonghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441423450', '441423', '441423450', '埔寨农场', 'puzhainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424', '4414', '441424', '五华县', 'wuhuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424103', '441424', '441424103', '转水镇', 'zhuanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424108', '441424', '441424108', '潭下镇', 'tanxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424117', '441424', '441424117', '郭田镇', 'guotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424118', '441424', '441424118', '双华镇', 'shuanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424125', '441424', '441424125', '梅林镇', 'meilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424126', '441424', '441424126', '华阳镇', 'huayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424130', '441424', '441424130', '华城镇', 'huachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424131', '441424', '441424131', '周江镇', 'zhoujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424134', '441424', '441424134', '水寨镇', 'shuizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424135', '441424', '441424135', '河东镇', 'hedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424136', '441424', '441424136', '岐岭镇', 'qilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424137', '441424', '441424137', '长布镇', 'zhangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424138', '441424', '441424138', '横陂镇', 'hengpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424139', '441424', '441424139', '安流镇', 'anliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424140', '441424', '441424140', '棉洋镇', 'mianyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441424141', '441424', '441424141', '龙村镇', 'longcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426', '4414', '441426', '平远县', 'pingyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426101', '441426', '441426101', '石正镇', 'shizhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426104', '441426', '441426104', '八尺镇', 'bachizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426105', '441426', '441426105', '差干镇', 'chaganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426107', '441426', '441426107', '河头镇', 'hetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426108', '441426', '441426108', '中行镇', 'zhongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426109', '441426', '441426109', '上举镇', 'shangjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426110', '441426', '441426110', '泗水镇', 'sishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426114', '441426', '441426114', '长田镇', 'zhangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426115', '441426', '441426115', '热柘镇', 'rezhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426117', '441426', '441426117', '东石镇', 'dongshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426118', '441426', '441426118', '仁居镇', 'renjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441426119', '441426', '441426119', '大柘镇', 'dazhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441427', '4414', '441427', '蕉岭县', 'jiaolingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441427103', '441427', '441427103', '三圳镇', 'sanzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441427106', '441427', '441427106', '文福镇', 'wenfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441427107', '441427', '441427107', '广福镇', 'guangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441427112', '441427', '441427112', '新铺镇', 'xinpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441427113', '441427', '441427113', '蓝坊镇', 'lanfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441427114', '441427', '441427114', '南礤镇', 'nancazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441427115', '441427', '441427115', '蕉城镇', 'jiaochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441427116', '441427', '441427116', '长潭镇', 'zhangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441427450', '441427', '441427450', '华侨农场', 'huaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441427498', '441427', '441427498', '广东省蕉岭监狱', 'guangdongshengjiaolingjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481', '4414', '441481', '兴宁市', 'xingningshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481001', '441481', '441481001', '兴田街道', 'xingtianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481002', '441481', '441481002', '福兴街道', 'fuxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481003', '441481', '441481003', '宁新街道', 'ningxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481107', '441481', '441481107', '永和镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481111', '441481', '441481111', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481115', '441481', '441481115', '罗浮镇', 'luofuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481116', '441481', '441481116', '罗岗镇', 'luogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481117', '441481', '441481117', '黄槐镇', 'huanghuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481123', '441481', '441481123', '龙田镇', 'longtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481124', '441481', '441481124', '石马镇', 'shimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481128', '441481', '441481128', '宁中镇', 'ningzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481129', '441481', '441481129', '径南镇', 'jingnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481130', '441481', '441481130', '坭陂镇', 'nipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481131', '441481', '441481131', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481132', '441481', '441481132', '黄陂镇', 'huangpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481133', '441481', '441481133', '合水镇', 'heshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481134', '441481', '441481134', '大坪镇', 'dapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481135', '441481', '441481135', '叶塘镇', 'yetangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481136', '441481', '441481136', '新陂镇', 'xinpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441481137', '441481', '441481137', '刁坊镇', 'diaofangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4415', '44', '4415', '汕尾市', 'shanweishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441501', '4415', '441501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441502', '4415', '441502', '城区', 'chengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441502001', '441502', '441502001', '新港街道', 'xingangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441502002', '441502', '441502002', '香洲街道', 'xiangzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441502003', '441502', '441502003', '凤山街道', 'fengshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441502004', '441502', '441502004', '田墘街道', 'tianqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441502005', '441502', '441502005', '东洲街道', 'dongzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441502006', '441502', '441502006', '遮浪街道', 'zhelangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441502007', '441502', '441502007', '马宫街道', 'magongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441502100', '441502', '441502100', '红草镇', 'hongcaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441502102', '441502', '441502102', '东冲镇', 'dongchongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441502103', '441502', '441502103', '捷胜镇', 'jieshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521', '4415', '441521', '海丰县', 'haifengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521101', '441521', '441521101', '梅陇镇', 'meilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521102', '441521', '441521102', '小漠镇', 'xiaomozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521105', '441521', '441521105', '后门镇', 'houmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521106', '441521', '441521106', '联安镇', 'liananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521107', '441521', '441521107', '陶河镇', 'taohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521108', '441521', '441521108', '赤坑镇', 'chikengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521109', '441521', '441521109', '大湖镇', 'dahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521110', '441521', '441521110', '可塘镇', 'ketangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521112', '441521', '441521112', '黄羌镇', 'huangqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521113', '441521', '441521113', '平东镇', 'pingdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521115', '441521', '441521115', '海城镇', 'haichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521116', '441521', '441521116', '鹅埠镇', 'ebuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521117', '441521', '441521117', '赤石镇', 'chishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521118', '441521', '441521118', '公平镇', 'gongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521202', '441521', '441521202', '附城虚拟乡', 'fuchengxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521203', '441521', '441521203', '城东虚拟乡', 'chengdongxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441521450', '441521', '441521450', '梅陇农场', 'meilongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441523', '4415', '441523', '陆河县', 'luhexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441523100', '441523', '441523100', '河田镇', 'hetianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441523101', '441523', '441523101', '水唇镇', 'shuichunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441523102', '441523', '441523102', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441523103', '441523', '441523103', '新田镇', 'xintianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441523104', '441523', '441523104', '上护镇', 'shanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441523105', '441523', '441523105', '螺溪镇', 'luoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441523106', '441523', '441523106', '东坑镇', 'dongkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441523107', '441523', '441523107', '南万镇', 'nanwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581', '4415', '441581', '陆丰市', 'lufengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581100', '441581', '441581100', '东海镇', 'donghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581101', '441581', '441581101', '甲子镇', 'jiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581102', '441581', '441581102', '碣石镇', 'jieshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581103', '441581', '441581103', '湖东镇', 'hudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581104', '441581', '441581104', '大安镇', 'daanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581105', '441581', '441581105', '博美镇', 'bomeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581106', '441581', '441581106', '内湖镇', 'neihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581107', '441581', '441581107', '南塘镇', 'nantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581108', '441581', '441581108', '陂洋镇', 'poyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581109', '441581', '441581109', '八万镇', 'bawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581110', '441581', '441581110', '金厢镇', 'jinxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581111', '441581', '441581111', '潭西镇', 'tanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581112', '441581', '441581112', '甲东镇', 'jiadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581113', '441581', '441581113', '河西镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581114', '441581', '441581114', '城东镇', 'chengdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581115', '441581', '441581115', '河东镇', 'hedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581116', '441581', '441581116', '上英镇', 'shangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581117', '441581', '441581117', '桥冲镇', 'qiaochongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581118', '441581', '441581118', '甲西镇', 'jiaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581119', '441581', '441581119', '西南镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581202', '441581', '441581202', '华侨管理区虚拟乡', 'huaqiaoguanliquxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581450', '441581', '441581450', '铜锣湖农场', 'tongluohunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581451', '441581', '441581451', '星都经济开发试验区', 'xingdoujingjikaifashiyanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581452', '441581', '441581452', '大安场', 'daanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581453', '441581', '441581453', '罗经嶂林场', 'luojingzhanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581454', '441581', '441581454', '湖东林场', 'hudonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581455', '441581', '441581455', '东海岸林场', 'donghaianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581456', '441581', '441581456', '红岭林场', 'honglinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441581457', '441581', '441581457', '畜牧果林场', 'chumuguolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4416', '44', '4416', '河源市', 'heyuanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441601', '4416', '441601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441602', '4416', '441602', '源城区', 'yuanchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441602001', '441602', '441602001', '上城街道', 'shangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441602002', '441602', '441602002', '新江街道', 'xinjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441602003', '441602', '441602003', '东埔街道', 'dongpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441602004', '441602', '441602004', '源西街道', 'yuanxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441602100', '441602', '441602100', '源南镇', 'yuannanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441602101', '441602', '441602101', '埔前镇', 'puqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441602400', '441602', '441602400', '高埔岗农场', 'gaopugangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621', '4416', '441621', '紫金县', 'zijinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621100', '441621', '441621100', '紫城镇', 'zichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621101', '441621', '441621101', '附城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621102', '441621', '441621102', '龙窝镇', 'longwozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621103', '441621', '441621103', '九和镇', 'jiuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621104', '441621', '441621104', '上义镇', 'shangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621105', '441621', '441621105', '蓝塘镇', 'lantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621106', '441621', '441621106', '凤安镇', 'fenganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621107', '441621', '441621107', '义容镇', 'yirongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621108', '441621', '441621108', '古竹镇', 'guzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621109', '441621', '441621109', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621110', '441621', '441621110', '柏埔镇', 'bopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621111', '441621', '441621111', '黄塘镇', 'huangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621112', '441621', '441621112', '敬梓镇', 'jingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621113', '441621', '441621113', '乌石镇', 'wushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621114', '441621', '441621114', '水墩镇', 'shuidunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621115', '441621', '441621115', '南岭镇', 'nanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621116', '441621', '441621116', '苏区镇', 'suquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621117', '441621', '441621117', '瓦溪镇', 'waxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621118', '441621', '441621118', '好义镇', 'haoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441621119', '441621', '441621119', '中坝镇', 'zhongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622', '4416', '441622', '龙川县', 'longchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622100', '441622', '441622100', '老隆镇', 'laolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622101', '441622', '441622101', '附城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622102', '441622', '441622102', '义都镇', 'yidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622103', '441622', '441622103', '佗城镇', 'tuochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622104', '441622', '441622104', '鹤市镇', 'heshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622105', '441622', '441622105', '黄布镇', 'huangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622106', '441622', '441622106', '紫市镇', 'zishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622107', '441622', '441622107', '通衢镇', 'tongquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622109', '441622', '441622109', '登云镇', 'dengyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622110', '441622', '441622110', '丰稔镇', 'fengrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622111', '441622', '441622111', '四都镇', 'sidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622112', '441622', '441622112', '铁场镇', 'tiechangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622114', '441622', '441622114', '龙母镇', 'longmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622115', '441622', '441622115', '田心镇', 'tianxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622116', '441622', '441622116', '黎咀镇', 'lijuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622117', '441622', '441622117', '黄石镇', 'huangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622118', '441622', '441622118', '赤光镇', 'chiguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622119', '441622', '441622119', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622120', '441622', '441622120', '新田镇', 'xintianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622121', '441622', '441622121', '车田镇', 'chetianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622123', '441622', '441622123', '岩镇镇', 'yanzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622124', '441622', '441622124', '麻布岗镇', 'mabugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622125', '441622', '441622125', '贝岭镇', 'beilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622126', '441622', '441622126', '细坳镇', 'xiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441622127', '441622', '441622127', '上坪镇', 'shangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623', '4416', '441623', '连平县', 'lianpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623100', '441623', '441623100', '元善镇', 'yuanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623101', '441623', '441623101', '上坪镇', 'shangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623102', '441623', '441623102', '内莞镇', 'neiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623104', '441623', '441623104', '陂头镇', 'potouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623105', '441623', '441623105', '溪山镇', 'xishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623107', '441623', '441623107', '隆街镇', 'longjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623108', '441623', '441623108', '田源镇', 'tianyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623109', '441623', '441623109', '油溪镇', 'youxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623110', '441623', '441623110', '忠信镇', 'zhongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623111', '441623', '441623111', '高莞镇', 'gaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623113', '441623', '441623113', '大湖镇', 'dahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623114', '441623', '441623114', '三角镇', 'sanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441623115', '441623', '441623115', '绣缎镇', 'xiuduanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624', '4416', '441624', '和平县', 'hepingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624100', '441624', '441624100', '阳明镇', 'yangmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624101', '441624', '441624101', '大坝镇', 'dabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624102', '441624', '441624102', '长塘镇', 'zhangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624103', '441624', '441624103', '下车镇', 'xiachezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624104', '441624', '441624104', '上陵镇', 'shanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624105', '441624', '441624105', '优胜镇', 'youshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624106', '441624', '441624106', '贝墩镇', 'beidunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624107', '441624', '441624107', '古寨镇', 'guzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624108', '441624', '441624108', '彭寨镇', 'pengzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624109', '441624', '441624109', '合水镇', 'heshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624110', '441624', '441624110', '公白镇', 'gongbaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624111', '441624', '441624111', '青州镇', 'qingzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624112', '441624', '441624112', '俐源镇', 'liyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624113', '441624', '441624113', '热水镇', 'reshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624114', '441624', '441624114', '东水镇', 'dongshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624115', '441624', '441624115', '礼士镇', 'lishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441624116', '441624', '441624116', '林寨镇', 'linzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625', '4416', '441625', '东源县', 'dongyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625100', '441625', '441625100', '仙塘镇', 'xiantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625101', '441625', '441625101', '灯塔镇', 'dengtazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625102', '441625', '441625102', '骆湖镇', 'luohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625103', '441625', '441625103', '船塘镇', 'chuantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625104', '441625', '441625104', '顺天镇', 'shuntianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625105', '441625', '441625105', '上莞镇', 'shangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625106', '441625', '441625106', '曾田镇', 'cengtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625107', '441625', '441625107', '柳城镇', 'liuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625108', '441625', '441625108', '义合镇', 'yihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625109', '441625', '441625109', '蓝口镇', 'lankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625110', '441625', '441625110', '黄田镇', 'huangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625111', '441625', '441625111', '叶潭镇', 'yetanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625112', '441625', '441625112', '黄村镇', 'huangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625113', '441625', '441625113', '康禾镇', 'kanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625114', '441625', '441625114', '锡场镇', 'xichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625115', '441625', '441625115', '新港镇', 'xingangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625116', '441625', '441625116', '双江镇', 'shuangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625117', '441625', '441625117', '涧头镇', 'jiantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625121', '441625', '441625121', '新回龙镇', 'xinhuilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625122', '441625', '441625122', '半江镇', 'banjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441625200', '441625', '441625200', '漳溪乡', 'zhangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4417', '44', '4417', '阳江市', 'yangjiangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441701', '4417', '441701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702', '4417', '441702', '江城区', 'jiangchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702001', '441702', '441702001', '南恩街道', 'nanenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702002', '441702', '441702002', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702003', '441702', '441702003', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702004', '441702', '441702004', '中洲街道', 'zhongzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702006', '441702', '441702006', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702008', '441702', '441702008', '岗列街道', 'gangliejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702009', '441702', '441702009', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702011', '441702', '441702011', '白沙街道', 'baishajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702102', '441702', '441702102', '埠场镇', 'buchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702103', '441702', '441702103', '平冈镇', 'pinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702104', '441702', '441702104', '海陵镇', 'hailingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702105', '441702', '441702105', '闸坡镇', 'zhapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702106', '441702', '441702106', '双捷镇', 'shuangjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702401', '441702', '441702401', '阳江林场罗琴分场', 'yangjianglinchangluoqinfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702450', '441702', '441702450', '平冈农场', 'pinggangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441702453', '441702', '441702453', '红十月农场', 'hongshiyuenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441721', '4417', '441721', '阳西县', 'yangxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441721100', '441721', '441721100', '织贡镇', 'zhigongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441721101', '441721', '441721101', '程村镇', 'chengcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441721102', '441721', '441721102', '塘口镇', 'tangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441721103', '441721', '441721103', '上洋镇', 'shangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441721104', '441721', '441721104', '溪头镇', 'xitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441721105', '441721', '441721105', '沙扒镇', 'shabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441721106', '441721', '441721106', '儒洞镇', 'rudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441721107', '441721', '441721107', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441721501', '441721', '441721501', '织贡农场', 'zhigongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441721502', '441721', '441721502', '阳江林场儒洞分场', 'yangjianglinchangrudongfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723', '4417', '441723', '阳东县', 'yangdongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723100', '441723', '441723100', '东城镇', 'dongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723101', '441723', '441723101', '北惯镇', 'beiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723102', '441723', '441723102', '那龙镇', 'neilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723103', '441723', '441723103', '东平镇', 'dongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723104', '441723', '441723104', '雅韶镇', 'yashaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723105', '441723', '441723105', '大沟镇', 'dagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723106', '441723', '441723106', '新洲镇', 'xinzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723107', '441723', '441723107', '合山镇', 'heshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723108', '441723', '441723108', '塘坪镇', 'tangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723109', '441723', '441723109', '大八镇', 'dabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723110', '441723', '441723110', '红丰镇', 'hongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723400', '441723', '441723400', '阳江监狱', 'yangjiangjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723401', '441723', '441723401', '红五月农场', 'hongwuyuenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723402', '441723', '441723402', '鸡山农场', 'jishannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723501', '441723', '441723501', '阳江林场宝山分场', 'yangjianglinchangbaoshanfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723502', '441723', '441723502', '阳江林场田畔分场', 'yangjianglinchangtianpanfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723503', '441723', '441723503', '阳东原种场', 'yangdongyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723504', '441723', '441723504', '阳东林场', 'yangdonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441723505', '441723', '441723505', '阳江林场东岸分场', 'yangjianglinchangdonganfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781', '4417', '441781', '阳春市', 'yangchunshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781001', '441781', '441781001', '春城街道', 'chunchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781101', '441781', '441781101', '河朗镇', 'helangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781102', '441781', '441781102', '松柏镇', 'songbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781103', '441781', '441781103', '石望镇', 'shiwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781105', '441781', '441781105', '春湾镇', 'chunwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781106', '441781', '441781106', '合水镇', 'heshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781107', '441781', '441781107', '陂面镇', 'pomianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781108', '441781', '441781108', '圭岗镇', 'guigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781109', '441781', '441781109', '永宁镇', 'yongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781110', '441781', '441781110', '马水镇', 'mashuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781111', '441781', '441781111', '岗美镇', 'gangmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781112', '441781', '441781112', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781113', '441781', '441781113', '潭水镇', 'tanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781114', '441781', '441781114', '三甲镇', 'sanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781116', '441781', '441781116', '双窖镇', 'shuangjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781117', '441781', '441781117', '八甲镇', 'bajiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781401', '441781', '441781401', '岗桥管理区', 'gangqiaoguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781402', '441781', '441781402', '三叶农场', 'sanyenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781403', '441781', '441781403', '石录矿区', 'shilukuangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781404', '441781', '441781404', '花滩林场', 'huatanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781405', '441781', '441781405', '东湖林场', 'donghulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781406', '441781', '441781406', '河尾山林场', 'heweishanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781407', '441781', '441781407', '南山矿', 'nanshankuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781408', '441781', '441781408', '阳春监狱', 'yangchunjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441781410', '441781', '441781410', '硫铁矿', 'liutiekuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4418', '44', '4418', '清远市', 'qingyuanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441801', '4418', '441801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441802', '4418', '441802', '清城区', 'qingchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441802006', '441802', '441802006', '清城区凤城街道', 'qingchengqufengchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441802007', '441802', '441802007', '清城区东城街道', 'qingchengqudongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441802008', '441802', '441802008', '清城区洲心街道', 'qingchengquzhouxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441802009', '441802', '441802009', '清城区横荷街道', 'qingchengquhenghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441802103', '441802', '441802103', '清城区源潭镇', 'qingchengquyuantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441802105', '441802', '441802105', '清城区龙塘镇', 'qingchengqulongtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441802106', '441802', '441802106', '清城区石角镇', 'qingchengqushijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441802450', '441802', '441802450', '清远市国营银盏林场', 'qingyuanshiguoyingyinzhanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441821', '4418', '441821', '佛冈县', 'fogangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441821100', '441821', '441821100', '石角镇', 'shijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441821101', '441821', '441821101', '水头镇', 'shuitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441821102', '441821', '441821102', '汤塘镇', 'tangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441821103', '441821', '441821103', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441821104', '441821', '441821104', '高岗镇', 'gaogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441821107', '441821', '441821107', '迳头镇', 'jingtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823', '4418', '441823', '阳山县', 'yangshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823100', '441823', '441823100', '青莲镇', 'qinglianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823101', '441823', '441823101', '江英镇', 'jiangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823104', '441823', '441823104', '杜步镇', 'dubuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823105', '441823', '441823105', '七拱镇', 'qigongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823107', '441823', '441823107', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823108', '441823', '441823108', '杨梅镇', 'yangmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823110', '441823', '441823110', '大莨镇', 'dalangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823111', '441823', '441823111', '小江镇', 'xiaojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823113', '441823', '441823113', '岭背镇', 'lingbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823115', '441823', '441823115', '黄坌镇', 'huangbenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823116', '441823', '441823116', '黎埠镇', 'libuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823119', '441823', '441823119', '阳城镇', 'yangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441823201', '441823', '441823201', '秤架乡', 'chengjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441825', '4418', '441825', '连山县', 'lianshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441825100', '441825', '441825100', '永和镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441825104', '441825', '441825104', '吉田镇', 'jitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441825105', '441825', '441825105', '太保镇', 'taibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441825106', '441825', '441825106', '禾洞镇', 'hedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441825108', '441825', '441825108', '福堂镇', 'futangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441825109', '441825', '441825109', '小三江镇', 'xiaosanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441825111', '441825', '441825111', '上帅镇', 'shangshuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441825450', '441825', '441825450', '连山林场', 'lianshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441825451', '441825', '441825451', '禾洞农林场', 'hedongnonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441826', '4418', '441826', '连南瑶族自治县', 'liannanyaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441826100', '441826', '441826100', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441826101', '441826', '441826101', '大麦山镇', 'damaishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441826102', '441826', '441826102', '寨岗镇', 'zhaigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441826105', '441826', '441826105', '三排镇', 'sanpaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441826106', '441826', '441826106', '涡水镇', 'woshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441826108', '441826', '441826108', '大坪镇', 'dapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441826109', '441826', '441826109', '香坪镇', 'xiangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441827', '4418', '441827', '清新县', 'qingxinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441827102', '441827', '441827102', '太和镇', 'taihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441827104', '441827', '441827104', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441827105', '441827', '441827105', '山塘镇', 'shantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441827106', '441827', '441827106', '三坑镇', 'sankengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441827112', '441827', '441827112', '龙颈镇', 'longjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441827113', '441827', '441827113', '禾云镇', 'heyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441827117', '441827', '441827117', '浸潭镇', 'jintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441827118', '441827', '441827118', '石潭镇', 'shitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441827123', '441827', '441827123', '飞来峡镇', 'feilaixiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441827450', '441827', '441827450', '笔架林场', 'bijialinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881', '4418', '441881', '英德市', 'yingdeshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881001', '441881', '441881001', '英城街道', 'yingchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881101', '441881', '441881101', '沙口镇', 'shakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881102', '441881', '441881102', '望埠镇', 'wangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881103', '441881', '441881103', '横石水镇', 'hengshishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881105', '441881', '441881105', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881106', '441881', '441881106', '青塘镇', 'qingtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881108', '441881', '441881108', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881109', '441881', '441881109', '大站镇', 'dazhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881110', '441881', '441881110', '西牛镇', 'xiniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881111', '441881', '441881111', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881112', '441881', '441881112', '含光镇', 'hanguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881114', '441881', '441881114', '大湾镇', 'dawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881115', '441881', '441881115', '石灰铺镇', 'shihuipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881116', '441881', '441881116', '石牯塘镇', 'shigutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881120', '441881', '441881120', '下太镇', 'xiataizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881124', '441881', '441881124', '波罗镇', 'boluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881125', '441881', '441881125', '横石塘镇', 'hengshitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881126', '441881', '441881126', '大洞镇', 'dadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881129', '441881', '441881129', '连江口镇', 'lianjiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881130', '441881', '441881130', '黎溪镇', 'lixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881131', '441881', '441881131', '水边镇', 'shuibianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881136', '441881', '441881136', '英红镇', 'yinghongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881137', '441881', '441881137', '东华镇', 'donghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881138', '441881', '441881138', '黄花镇', 'huanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441881400', '441881', '441881400', '英德监狱', 'yingdejianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882', '4418', '441882', '连州市', 'lianzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882100', '441882', '441882100', '连州镇', 'lianzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882101', '441882', '441882101', '星子镇', 'xingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882102', '441882', '441882102', '大路边镇', 'dalubianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882103', '441882', '441882103', '龙坪镇', 'longpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882104', '441882', '441882104', '西岸镇', 'xianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882105', '441882', '441882105', '保安镇', 'baoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882106', '441882', '441882106', '丰阳镇', 'fengyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882107', '441882', '441882107', '东陂镇', 'dongpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882109', '441882', '441882109', '九陂镇', 'jiupozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882118', '441882', '441882118', '西江镇', 'xijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882200', '441882', '441882200', '瑶安瑶族乡', 'yaoanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441882201', '441882', '441882201', '三水瑶族乡', 'sanshuiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4419', '44', '4419', '东莞市', 'dongguanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900003', '441900', '441900003', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900004', '441900', '441900004', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900005', '441900', '441900005', '万江街道', 'wanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900006', '441900', '441900006', '莞城街道', 'guanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900101', '441900', '441900101', '石碣镇', 'shijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900102', '441900', '441900102', '石龙镇', 'shilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900103', '441900', '441900103', '茶山镇', 'chashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900104', '441900', '441900104', '石排镇', 'shipaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900105', '441900', '441900105', '企石镇', 'qishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900106', '441900', '441900106', '横沥镇', 'henglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900107', '441900', '441900107', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900108', '441900', '441900108', '谢岗镇', 'xiegangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900109', '441900', '441900109', '东坑镇', 'dongkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900110', '441900', '441900110', '常平镇', 'changpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900111', '441900', '441900111', '寮步镇', 'liaobuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900112', '441900', '441900112', '樟木头镇', 'zhangmutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900113', '441900', '441900113', '大朗镇', 'dalangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900114', '441900', '441900114', '黄江镇', 'huangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900115', '441900', '441900115', '清溪镇', 'qingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900116', '441900', '441900116', '塘厦镇', 'tangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900117', '441900', '441900117', '凤岗镇', 'fenggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900118', '441900', '441900118', '大岭山镇', 'dalingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900119', '441900', '441900119', '长安镇', 'zhanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900121', '441900', '441900121', '虎门镇', 'humenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900122', '441900', '441900122', '厚街镇', 'houjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900123', '441900', '441900123', '沙田镇', 'shatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900124', '441900', '441900124', '道滘镇', 'daojiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900125', '441900', '441900125', '洪梅镇', 'hongmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900126', '441900', '441900126', '麻涌镇', 'mayongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900127', '441900', '441900127', '望牛墩镇', 'wangniudunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900128', '441900', '441900128', '中堂镇', 'zhongtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900129', '441900', '441900129', '高埗镇', 'gaobuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900401', '441900', '441900401', '松山湖管委会', 'songshanhuguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('441900402', '441900', '441900402', '虎门港管委会', 'humengangguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4420', '44', '4420', '中山市', 'zhongshanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000100', '442000', '442000100', '小榄镇', 'xiaolanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000101', '442000', '442000101', '黄圃镇', 'huangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000102', '442000', '442000102', '民众镇', 'minzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000103', '442000', '442000103', '东凤镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000104', '442000', '442000104', '东升镇', 'dongshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000105', '442000', '442000105', '古镇镇', 'guzhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000106', '442000', '442000106', '沙溪镇', 'shaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000107', '442000', '442000107', '坦洲镇', 'tanzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000108', '442000', '442000108', '港口镇', 'gangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000109', '442000', '442000109', '三角镇', 'sanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000110', '442000', '442000110', '横栏镇', 'henglanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000111', '442000', '442000111', '南头镇', 'nantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000112', '442000', '442000112', '阜沙镇', 'fushazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000113', '442000', '442000113', '南朗镇', 'nanlangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000114', '442000', '442000114', '三乡镇', 'sanxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000115', '442000', '442000115', '板芙镇', 'banfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000116', '442000', '442000116', '大涌镇', 'dayongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('442000117', '442000', '442000117', '神湾镇', 'shenwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4421', '4421', '4421', '石岐区', 'shiqiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4422', '4422', '4422', '东区', 'dongqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4423', '4423', '4423', '火炬高技术产业开发区', 'huojugaojishuchanyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4424', '4424', '4424', '西区', 'xiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4425', '4425', '4425', '南区', 'nanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4426', '4426', '4426', '五桂山', 'wuguishan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4451', '44', '4451', '潮州市', 'chaozhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445101', '4451', '445101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102', '4451', '445102', '潮州市湘桥区', 'chaozhoushixiangqiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102001', '445102', '445102001', '湘桥街道', 'xiangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102002', '445102', '445102002', '西湖街道', 'xihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102003', '445102', '445102003', '金山街道', 'jinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102004', '445102', '445102004', '太平街道', 'taipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102005', '445102', '445102005', '南春街道', 'nanchunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102006', '445102', '445102006', '西新街道', 'xixinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102007', '445102', '445102007', '桥东街道', 'qiaodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102008', '445102', '445102008', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102009', '445102', '445102009', '凤新街道', 'fengxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102100', '445102', '445102100', '意溪镇', 'yixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102400', '445102', '445102400', '红山林场', 'hongshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445102401', '445102', '445102401', '开发区', 'kaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121', '4451', '445121', '潮州市潮安县', 'chaozhoushichaoanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121100', '445121', '445121100', '古巷镇', 'guxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121101', '445121', '445121101', '登塘镇', 'dengtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121103', '445121', '445121103', '凤塘镇', 'fengtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121104', '445121', '445121104', '浮洋镇', 'fuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121105', '445121', '445121105', '龙湖镇', 'longhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121106', '445121', '445121106', '金石镇', 'jinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121107', '445121', '445121107', '沙溪镇', 'shaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121108', '445121', '445121108', '彩塘镇', 'caitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121109', '445121', '445121109', '东凤镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121110', '445121', '445121110', '庵埠镇', 'anbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121111', '445121', '445121111', '磷溪镇', 'linxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121112', '445121', '445121112', '铁铺镇', 'tiepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121113', '445121', '445121113', '官塘镇', 'guantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121114', '445121', '445121114', '江东镇', 'jiangdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121115', '445121', '445121115', '归湖镇', 'guihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121116', '445121', '445121116', '文祠镇', 'wencizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121117', '445121', '445121117', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121120', '445121', '445121120', '赤凤镇', 'chifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121121', '445121', '445121121', '枫溪区', 'fengxiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121400', '445121', '445121400', '万峰林场', 'wanfenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121404', '445121', '445121404', '大坑苗圃场', 'dakengmiaopuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121405', '445121', '445121405', '东山湖农场', 'dongshanhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445121450', '445121', '445121450', '庵埠经济开发试验区', 'anbujingjikaifashiyanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122', '4451', '445122', '潮州市饶平县', 'chaozhoushiraopingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122100', '445122', '445122100', '黄冈镇', 'huanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122102', '445122', '445122102', '上饶镇', 'shangraozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122103', '445122', '445122103', '饶洋镇', 'raoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122104', '445122', '445122104', '新丰镇', 'xinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122106', '445122', '445122106', '建饶镇', 'jianraozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122107', '445122', '445122107', '三饶镇', 'sanraozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122108', '445122', '445122108', '新塘镇', 'xintangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122109', '445122', '445122109', '汤溪镇', 'tangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122110', '445122', '445122110', '浮滨镇', 'fubinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122112', '445122', '445122112', '浮山镇', 'fushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122113', '445122', '445122113', '东山镇', 'dongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122114', '445122', '445122114', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122116', '445122', '445122116', '樟溪镇', 'zhangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122117', '445122', '445122117', '钱东镇', 'qiandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122118', '445122', '445122118', '高堂镇', 'gaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122119', '445122', '445122119', '联饶镇', 'lianraozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122120', '445122', '445122120', '所城镇', 'suochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122121', '445122', '445122121', '大埕镇', 'dachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122122', '445122', '445122122', '柘林镇', 'zhelinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122123', '445122', '445122123', '井洲镇', 'jingzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122124', '445122', '445122124', '海山镇', 'haishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445122400', '445122', '445122400', '韩江林场', 'hanjianglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4452', '44', '4452', '揭阳市', 'jieyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445201', '4452', '445201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445202', '4452', '445202', '榕城区', 'rongchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445202001', '445202', '445202001', '榕华街道', 'ronghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445202002', '445202', '445202002', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445202003', '445202', '445202003', '中山街道', 'zhongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445202004', '445202', '445202004', '西马街道', 'ximajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445202005', '445202', '445202005', '东山街道', 'dongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445202006', '445202', '445202006', '榕东街道', 'rongdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445202007', '445202', '445202007', '仙桥街道', 'xianqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445202008', '445202', '445202008', '梅云街道', 'meiyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445202101', '445202', '445202101', '渔湖镇', 'yuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445202104', '445202', '445202104', '磐东镇', 'pandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221', '4452', '445221', '揭东县', 'jiedongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221001', '445221', '445221001', '曲溪街道', 'quxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221102', '445221', '445221102', '云路镇', 'yunluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221103', '445221', '445221103', '玉窖镇', 'yujiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221104', '445221', '445221104', '登岗镇', 'denggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221105', '445221', '445221105', '炮台镇', 'paotaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221106', '445221', '445221106', '地都镇', 'didouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221107', '445221', '445221107', '霖磐镇', 'linpanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221108', '445221', '445221108', '月城镇', 'yuechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221109', '445221', '445221109', '白塔镇', 'baitazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221110', '445221', '445221110', '龙尾镇', 'longweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221111', '445221', '445221111', '桂岭镇', 'guilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221112', '445221', '445221112', '锡场镇', 'xichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221113', '445221', '445221113', '新亨镇', 'xinhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221114', '445221', '445221114', '玉湖镇', 'yuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221115', '445221', '445221115', '埔田镇', 'putianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221401', '445221', '445221401', '东径茶场', 'dongjingchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445221403', '445221', '445221403', '卅岭农场', 'salingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222', '4452', '445222', '揭西县', 'jiexixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222001', '445222', '445222001', '河婆街道', 'hepojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222102', '445222', '445222102', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222103', '445222', '445222103', '南山镇', 'nanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222104', '445222', '445222104', '五经富镇', 'wujingfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222105', '445222', '445222105', '京溪园镇', 'jingxiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222106', '445222', '445222106', '灰寨镇', 'huizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222107', '445222', '445222107', '塔头镇', 'tatouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222108', '445222', '445222108', '东园镇', 'dongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222109', '445222', '445222109', '凤江镇', 'fengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222110', '445222', '445222110', '棉湖镇', 'mianhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222111', '445222', '445222111', '金和镇', 'jinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222112', '445222', '445222112', '大溪镇', 'daxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222113', '445222', '445222113', '钱坑镇', 'qiankengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222114', '445222', '445222114', '坪上镇', 'pingshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222115', '445222', '445222115', '五云镇', 'wuyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222116', '445222', '445222116', '上砂镇', 'shangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222201', '445222', '445222201', '良田乡', 'liangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222401', '445222', '445222401', '北山农林场', 'beishannonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222402', '445222', '445222402', '果林场', 'guolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222403', '445222', '445222403', '油桐林场', 'youtonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222404', '445222', '445222404', '高田农场', 'gaotiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222405', '445222', '445222405', '河輋农场', 'hejunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445222406', '445222', '445222406', '县苗圃场', 'xianmiaopuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224', '4452', '445224', '惠来县', 'huilaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224100', '445224', '445224100', '惠城镇', 'huichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224102', '445224', '445224102', '华湖镇', 'huahuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224103', '445224', '445224103', '仙庵镇', 'xiananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224104', '445224', '445224104', '靖海镇', 'jinghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224105', '445224', '445224105', '周田镇', 'zhoutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224106', '445224', '445224106', '前詹镇', 'qianzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224107', '445224', '445224107', '神泉镇', 'shenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224108', '445224', '445224108', '东陇镇', 'donglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224109', '445224', '445224109', '岐石镇', 'qishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224110', '445224', '445224110', '隆江镇', 'longjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224111', '445224', '445224111', '溪西镇', 'xixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224112', '445224', '445224112', '鳌江镇', 'aojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224113', '445224', '445224113', '东港镇', 'donggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224114', '445224', '445224114', '葵潭镇', 'kuitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224401', '445224', '445224401', '东埔农场', 'dongpunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224402', '445224', '445224402', '揭阳市大南山华侨管理区', 'jieyangshidananshanhuaqiaoguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224403', '445224', '445224403', '葵潭农场', 'kuitannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224404', '445224', '445224404', '青坑林场', 'qingkenglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224405', '445224', '445224405', '南海农林场', 'nanhainonglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224406', '445224', '445224406', '四香果林场', 'sixiangguolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445224450', '445224', '445224450', '揭阳(惠来)沿海经济开发试验区', 'jieyang(huilai)yanhaijingjikaifashiyanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281', '4452', '445281', '普宁市', 'puningshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281001', '445281', '445281001', '流沙东街道', 'liushadongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281002', '445281', '445281002', '流沙南街道', 'liushananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281003', '445281', '445281003', '流沙西街道', 'liushaxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281004', '445281', '445281004', '流沙北街道', 'liushabeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281005', '445281', '445281005', '池尾街道', 'chiweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281102', '445281', '445281102', '赤岗镇', 'chigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281103', '445281', '445281103', '大坝镇', 'dabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281104', '445281', '445281104', '洪阳镇', 'hongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281105', '445281', '445281105', '南溪镇', 'nanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281106', '445281', '445281106', '广太镇', 'guangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281107', '445281', '445281107', '麒麟镇', 'qilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281108', '445281', '445281108', '南径镇', 'nanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281109', '445281', '445281109', '占陇镇', 'zhanlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281110', '445281', '445281110', '军埠镇', 'junbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281111', '445281', '445281111', '下架山镇', 'xiajiashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281112', '445281', '445281112', '大南山镇', 'dananshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281113', '445281', '445281113', '高埔镇', 'gaopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281114', '445281', '445281114', '云落镇', 'yunluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281115', '445281', '445281115', '大坪镇', 'dapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281116', '445281', '445281116', '船埔镇', 'chuanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281117', '445281', '445281117', '梅林镇', 'meilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281119', '445281', '445281119', '里湖镇', 'lihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281121', '445281', '445281121', '梅塘镇', 'meitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281122', '445281', '445281122', '燎原镇', 'liaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281201', '445281', '445281201', '后溪乡', 'houxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281401', '445281', '445281401', '大池农场', 'dachinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281402', '445281', '445281402', '马鞍山农场', 'maanshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281403', '445281', '445281403', '大坪农场', 'dapingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281404', '445281', '445281404', '普侨区', 'puqiaoqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281405', '445281', '445281405', '三坑农场', 'sankengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445281406', '445281', '445281406', '乌石农场', 'wushinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4453', '44', '4453', '云浮市', 'yunfushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445301', '4453', '445301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445302', '4453', '445302', '云城区', 'yunchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445302001', '445302', '445302001', '云城街道', 'yunchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445302002', '445302', '445302002', '高峰街道', 'gaofengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445302003', '445302', '445302003', '河口街道', 'hekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445302004', '445302', '445302004', '安塘街道', 'antangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445302102', '445302', '445302102', '腰古镇', 'yaoguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445302103', '445302', '445302103', '思劳镇', 'silaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445302104', '445302', '445302104', '都杨镇', 'douyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321', '4453', '445321', '新兴县', 'xinxingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321100', '445321', '445321100', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321101', '445321', '445321101', '车岗镇', 'chegangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321103', '445321', '445321103', '水台镇', 'shuitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321104', '445321', '445321104', '稔村镇', 'rencunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321105', '445321', '445321105', '东成镇', 'dongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321107', '445321', '445321107', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321108', '445321', '445321108', '里洞镇', 'lidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321109', '445321', '445321109', '六祖镇', 'liuzuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321110', '445321', '445321110', '大江镇', 'dajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321112', '445321', '445321112', '天堂镇', 'tiantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321113', '445321', '445321113', '河头镇', 'hetouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321114', '445321', '445321114', '勒竹镇', 'lezhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321401', '445321', '445321401', '国营良洞迳林场', 'guoyingliangdongjinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321402', '445321', '445321402', '国营水台林场', 'guoyingshuitailinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445321403', '445321', '445321403', '国营岩头林场', 'guoyingyantoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322', '4453', '445322', '郁南县', 'yunanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322100', '445322', '445322100', '都城镇', 'douchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322101', '445322', '445322101', '平台镇', 'pingtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322102', '445322', '445322102', '桂圩镇', 'guiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322104', '445322', '445322104', '通门镇', 'tongmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322105', '445322', '445322105', '建城镇', 'jianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322106', '445322', '445322106', '宝珠镇', 'baozhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322108', '445322', '445322108', '大方镇', 'dafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322110', '445322', '445322110', '千官镇', 'qianguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322111', '445322', '445322111', '大湾镇', 'dawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322112', '445322', '445322112', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322113', '445322', '445322113', '宋桂镇', 'songguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322114', '445322', '445322114', '东坝镇', 'dongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322115', '445322', '445322115', '连滩镇', 'liantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322116', '445322', '445322116', '历洞镇', 'lidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322117', '445322', '445322117', '南江口镇', 'nanjiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322401', '445322', '445322401', '西江林场', 'xijianglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322402', '445322', '445322402', '通门林场', 'tongmenlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322403', '445322', '445322403', '大历林场', 'dalilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445322404', '445322', '445322404', '同乐林场', 'tonglelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445323', '4453', '445323', '云安县', 'yunanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445323100', '445323', '445323100', '六都镇', 'liudouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445323101', '445323', '445323101', '高村镇', 'gaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445323102', '445323', '445323102', '白石镇', 'baishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445323103', '445323', '445323103', '镇安镇', 'zhenanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445323104', '445323', '445323104', '富林镇', 'fulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445323107', '445323', '445323107', '南盛镇', 'nanshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445323108', '445323', '445323108', '前锋镇', 'qianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445323109', '445323', '445323109', '石城镇', 'shichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381', '4453', '445381', '罗定市', 'luodingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381001', '445381', '445381001', '罗城街道', 'luochengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381002', '445381', '445381002', '素龙街道', 'sulongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381003', '445381', '445381003', '附城街道', 'fuchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381004', '445381', '445381004', '双东镇街道', 'shuangdongzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381100', '445381', '445381100', '罗镜镇', 'luojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381101', '445381', '445381101', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381102', '445381', '445381102', '分界镇', 'fenjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381104', '445381', '445381104', '罗平镇', 'luopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381105', '445381', '445381105', '船步镇', 'chuanbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381106', '445381', '445381106', '满塘镇', 'mantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381107', '445381', '445381107', '苹塘镇', 'pingtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381108', '445381', '445381108', '金鸡镇', 'jinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381109', '445381', '445381109', '围底镇', 'weidizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381110', '445381', '445381110', '华石镇', 'huashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381111', '445381', '445381111', '林滨镇', 'linbinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381113', '445381', '445381113', '黎少镇', 'lishaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381114', '445381', '445381114', '生江镇', 'shengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381115', '445381', '445381115', '连州镇', 'lianzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381116', '445381', '445381116', '泗纶镇', 'silunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381118', '445381', '445381118', '加益镇', 'jiayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381119', '445381', '445381119', '龙湾镇', 'longwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('445381120', '445381', '445381120', '罗平农场', 'luopingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('45', '-1', '45', '广西壮族自治区', 'guangxizhuangzuzizhiqu', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4501', '45', '4501', '南宁市', 'nanningshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450101', '4501', '450101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450102', '4501', '450102', '兴宁区', 'xingningqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450102001', '450102', '450102001', '民生街道', 'minshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450102002', '450102', '450102002', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450102101', '450102', '450102101', '三塘镇', 'santangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450102102', '450102', '450102102', '五塘镇', 'wutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450102104', '450102', '450102104', '昆仑镇', 'kunlunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450102450', '450102', '450102450', '九曲湾农场', 'jiuquwannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103', '4501', '450103', '青秀区', 'qingxiuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103001', '450103', '450103001', '新竹街道', 'xinzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103002', '450103', '450103002', '中山街道', 'zhongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103003', '450103', '450103003', '建政街道', 'jianzhengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103004', '450103', '450103004', '南湖街道', 'nanhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103005', '450103', '450103005', '津头街道', 'jintoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103100', '450103', '450103100', '刘圩镇', 'liuweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103101', '450103', '450103101', '南阳镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103102', '450103', '450103102', '伶俐镇', 'linglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103103', '450103', '450103103', '长塘镇', 'zhangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103450', '450103', '450103450', '仙葫经济开发区', 'xianhujingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450103451', '450103', '450103451', '青秀山管理委员会', 'qingxiushanguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450105', '4501', '450105', '江南区', 'jiangnanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450105001', '450105', '450105001', '福建园街道', 'fujianyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450105002', '450105', '450105002', '江南街道', 'jiangnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450105003', '450105', '450105003', '沙井街道', 'shajingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450105004', '450105', '450105004', '那洪街道', 'neihongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450105102', '450105', '450105102', '吴圩镇', 'wuweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450105103', '450105', '450105103', '苏圩镇', 'suweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450105104', '450105', '450105104', '延安镇', 'yananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450105105', '450105', '450105105', '江西镇', 'jiangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450105450', '450105', '450105450', '经济技术开发区', 'jingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107', '4501', '450107', '西乡塘区', 'xixiangtangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107001', '450107', '450107001', '衡阳街道', 'hengyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107002', '450107', '450107002', '北湖街道', 'beihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107003', '450107', '450107003', '西乡塘街道', 'xixiangtangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107004', '450107', '450107004', '安吉街道', 'anjijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107005', '450107', '450107005', '华强街道', 'huaqiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107006', '450107', '450107006', '新阳街道', 'xinyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107007', '450107', '450107007', '上尧街道', 'shangyaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107008', '450107', '450107008', '安宁街道', 'anningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107009', '450107', '450107009', '石埠街道', 'shibujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107010', '450107', '450107010', '心圩街道', 'xinweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107100', '450107', '450107100', '金陵镇', 'jinlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107101', '450107', '450107101', '双定镇', 'shuangdingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107105', '450107', '450107105', '坛洛镇', 'tanluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107450', '450107', '450107450', '那龙矿务局', 'neilongkuangwuju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107451', '450107', '450107451', '罗文农场', 'luowennongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107452', '450107', '450107452', '石埠奶场', 'shibunaichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450107453', '450107', '450107453', '金光农场', 'jinguangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450108', '4501', '450108', '良庆区', 'liangqingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450108100', '450108', '450108100', '良庆镇', 'liangqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450108101', '450108', '450108101', '那马镇', 'neimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450108102', '450108', '450108102', '那陈镇', 'neichenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450108103', '450108', '450108103', '大塘镇', 'datangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450108104', '450108', '450108104', '南晓镇', 'nanxiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450108450', '450108', '450108450', '大沙田经济开发区', 'dashatianjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450108451', '450108', '450108451', '沿海经济开发区', 'yanhaijingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450109', '4501', '450109', '邕宁区', 'yongningqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450109100', '450109', '450109100', '蒲庙镇', 'pumiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450109101', '450109', '450109101', '那楼镇', 'neilouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450109102', '450109', '450109102', '新江镇', 'xinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450109200', '450109', '450109200', '百济乡', 'baijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450109202', '450109', '450109202', '中和乡', 'zhonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122', '4501', '450122', '武鸣县', 'wumingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122100', '450122', '450122100', '城厢镇', 'chengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122102', '450122', '450122102', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122103', '450122', '450122103', '双桥镇', 'shuangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122104', '450122', '450122104', '宁武镇', 'ningwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122105', '450122', '450122105', '锣圩镇', 'luoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122106', '450122', '450122106', '仙湖镇', 'xianhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122107', '450122', '450122107', '府城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122108', '450122', '450122108', '陆斡镇', 'luwozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122109', '450122', '450122109', '两江镇', 'liangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122110', '450122', '450122110', '罗波镇', 'luobozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122111', '450122', '450122111', '灵马镇', 'lingmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122112', '450122', '450122112', '甘圩镇', 'ganweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122113', '450122', '450122113', '马头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122450', '450122', '450122450', '百合农场', 'baihenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122451', '450122', '450122451', '华侨投资区', 'huaqiaotouziqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450122452', '450122', '450122452', '东风农场', 'dongfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123', '4501', '450123', '隆安县', 'longanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123100', '450123', '450123100', '城厢镇', 'chengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123101', '450123', '450123101', '南圩镇', 'nanweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123102', '450123', '450123102', '雁江镇', 'yanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123103', '450123', '450123103', '那桐镇', 'neitongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123104', '450123', '450123104', '乔建镇', 'qiaojianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123105', '450123', '450123105', '丁当镇', 'dingdangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123201', '450123', '450123201', '古潭乡', 'gutanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123203', '450123', '450123203', '都结乡', 'doujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123204', '450123', '450123204', '布泉乡', 'buquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123205', '450123', '450123205', '屏山乡', 'pingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450123450', '450123', '450123450', '隆安华侨经济区管理委员会', 'longanhuaqiaojingjiquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124', '4501', '450124', '马山县', 'mashanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124100', '450124', '450124100', '白山镇', 'baishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124101', '450124', '450124101', '百龙滩镇', 'bailongtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124102', '450124', '450124102', '林圩镇', 'linweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124103', '450124', '450124103', '古零镇', 'gulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124104', '450124', '450124104', '金钗镇', 'jinchaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124105', '450124', '450124105', '周鹿镇', 'zhouluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124106', '450124', '450124106', '永州镇', 'yongzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124200', '450124', '450124200', '乔利乡', 'qiaolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124201', '450124', '450124201', '加方乡', 'jiafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124202', '450124', '450124202', '古寨瑶族乡', 'guzhaiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124203', '450124', '450124203', '里当瑶族乡', 'lidangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450124450', '450124', '450124450', '马山县光明山林场', 'mashanxianguangmingshanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125', '4501', '450125', '上林县', 'shanglinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125100', '450125', '450125100', '大丰镇', 'dafengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125101', '450125', '450125101', '明亮镇', 'mingliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125102', '450125', '450125102', '巷贤镇', 'xiangxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125103', '450125', '450125103', '白圩镇', 'baiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125104', '450125', '450125104', '三里镇', 'sanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125105', '450125', '450125105', '乔贤镇', 'qiaoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125106', '450125', '450125106', '西燕镇', 'xiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125200', '450125', '450125200', '澄泰乡', 'chengtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125202', '450125', '450125202', '木山乡', 'mushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125203', '450125', '450125203', '塘红乡', 'tanghongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450125205', '450125', '450125205', '镇圩瑶族乡', 'zhenweiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126', '4501', '450126', '宾阳县', 'binyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126100', '450126', '450126100', '芦圩镇', 'luweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126101', '450126', '450126101', '黎塘镇', 'litangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126102', '450126', '450126102', '甘棠镇', 'gantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126103', '450126', '450126103', '思陇镇', 'silongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126104', '450126', '450126104', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126105', '450126', '450126105', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126106', '450126', '450126106', '邹圩镇', 'zouweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126107', '450126', '450126107', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126108', '450126', '450126108', '武陵镇', 'wulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126109', '450126', '450126109', '中华镇', 'zhonghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126110', '450126', '450126110', '古辣镇', 'gulazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126111', '450126', '450126111', '露圩镇', 'luweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126112', '450126', '450126112', '王灵镇', 'wanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126113', '450126', '450126113', '和吉镇', 'hejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126114', '450126', '450126114', '洋桥镇', 'yangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126200', '450126', '450126200', '陈平乡', 'chenpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450126451', '450126', '450126451', '廖平农场', 'liaopingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127', '4501', '450127', '横县', 'hengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127100', '450127', '450127100', '横州镇', 'hengzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127101', '450127', '450127101', '百合镇', 'baihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127102', '450127', '450127102', '那阳镇', 'neiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127103', '450127', '450127103', '南乡镇', 'nanxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127104', '450127', '450127104', '新福镇', 'xinfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127105', '450127', '450127105', '莲塘镇', 'liantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127106', '450127', '450127106', '平马镇', 'pingmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127107', '450127', '450127107', '峦城镇', 'luanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127108', '450127', '450127108', '六景镇', 'liujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127110', '450127', '450127110', '石塘镇', 'shitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127112', '450127', '450127112', '陶圩镇', 'taoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127113', '450127', '450127113', '校椅镇', 'xiaoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127114', '450127', '450127114', '云表镇', 'yunbiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127115', '450127', '450127115', '马岭镇', 'malingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127200', '450127', '450127200', '马山乡', 'mashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127203', '450127', '450127203', '平朗乡', 'pinglangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127204', '450127', '450127204', '镇龙乡', 'zhenlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450127450', '450127', '450127450', '广西农垦国有良圻农场', 'guangxinongkenguoyouliangqinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4502', '45', '4502', '柳州市', 'liuzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450201', '4502', '450201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450202', '4502', '450202', '城中区', 'chengzhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450202001', '450202', '450202001', '城中街道', 'chengzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450202002', '450202', '450202002', '公园街道', 'gongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450202003', '450202', '450202003', '中南街道', 'zhongnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450202004', '450202', '450202004', '水上街道', 'shuishangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450202005', '450202', '450202005', '潭中街道', 'tanzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450202006', '450202', '450202006', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450202007', '450202', '450202007', '静兰街道', 'jinglanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450203', '4502', '450203', '鱼峰区', 'yufengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450203001', '450203', '450203001', '天马街道', 'tianmajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450203002', '450203', '450203002', '驾鹤街道', 'jiahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450203003', '450203', '450203003', '箭盘街道', 'jianpanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450203004', '450203', '450203004', '五里亭街道', 'wulitingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450203005', '450203', '450203005', '荣军街道', 'rongjunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450203006', '450203', '450203006', '白莲街道', 'bailianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450203007', '450203', '450203007', '麒麟街道', 'qilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450203008', '450203', '450203008', '阳和街道', 'yanghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450204', '4502', '450204', '柳南区', 'liunanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450204001', '450204', '450204001', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450204002', '450204', '450204002', '南站街道', 'nanzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450204003', '450204', '450204003', '鹅山街道', 'eshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450204004', '450204', '450204004', '柳南街道', 'liunanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450204005', '450204', '450204005', '柳石街道', 'liushijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450204006', '450204', '450204006', '银山街道', 'yinshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450204007', '450204', '450204007', '潭西街道', 'tanxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450204008', '450204', '450204008', '南环街道', 'nanhuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450204100', '450204', '450204100', '太阳村镇', 'taiyangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205', '4502', '450205', '柳北区', 'liubeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205001', '450205', '450205001', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205002', '450205', '450205002', '雅儒街道', 'yarujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205003', '450205', '450205003', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205004', '450205', '450205004', '雀儿山街道', 'queershanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205005', '450205', '450205005', '钢城街道', 'gangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205006', '450205', '450205006', '锦绣街道', 'jinxiujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205007', '450205', '450205007', '白露街道', 'bailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205008', '450205', '450205008', '柳长街道', 'liuzhangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205100', '450205', '450205100', '石碑坪镇', 'shibeipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205101', '450205', '450205101', '沙塘镇', 'shatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205102', '450205', '450205102', '长塘镇', 'zhangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450205103', '450205', '450205103', '洛埠镇', 'luobuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221', '4502', '450221', '柳江县', 'liujiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221100', '450221', '450221100', '拉堡镇', 'labaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221101', '450221', '450221101', '里雍镇', 'liyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221102', '450221', '450221102', '百朋镇', 'baipengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221103', '450221', '450221103', '成团镇', 'chengtuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221104', '450221', '450221104', '洛满镇', 'luomanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221105', '450221', '450221105', '流山镇', 'liushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221106', '450221', '450221106', '三都镇', 'sandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221107', '450221', '450221107', '里高镇', 'ligaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221108', '450221', '450221108', '进德镇', 'jindezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221109', '450221', '450221109', '穿山镇', 'chuanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221110', '450221', '450221110', '土博镇', 'tubozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450221200', '450221', '450221200', '白沙乡', 'baishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222', '4502', '450222', '柳城县', 'liuchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222100', '450222', '450222100', '大埔镇', 'dapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222101', '450222', '450222101', '龙头镇', 'longtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222102', '450222', '450222102', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222103', '450222', '450222103', '沙埔镇', 'shapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222104', '450222', '450222104', '东泉镇', 'dongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222105', '450222', '450222105', '凤山镇', 'fengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222106', '450222', '450222106', '六塘镇', 'liutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222107', '450222', '450222107', '冲脉镇', 'chongmaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222108', '450222', '450222108', '寨隆镇', 'zhailongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222200', '450222', '450222200', '古砦仫佬族乡', 'guzhaimulaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222201', '450222', '450222201', '马山乡', 'mashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450222202', '450222', '450222202', '社冲乡', 'shechongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450223', '4502', '450223', '鹿寨县', 'luzhaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450223100', '450223', '450223100', '鹿寨镇', 'luzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450223101', '450223', '450223101', '雒容镇', 'luorongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450223102', '450223', '450223102', '中渡镇', 'zhongduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450223103', '450223', '450223103', '寨沙镇', 'zhaishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450223104', '450223', '450223104', '平山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450223200', '450223', '450223200', '黄冕乡', 'huangmianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450223201', '450223', '450223201', '江口乡', 'jiangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450223202', '450223', '450223202', '导江乡', 'daojiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450223203', '450223', '450223203', '拉沟乡', 'lagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450223204', '450223', '450223204', '四排乡', 'sipaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224', '4502', '450224', '融安县', 'ronganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224100', '450224', '450224100', '长安镇', 'zhanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224101', '450224', '450224101', '浮石镇', 'fushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224102', '450224', '450224102', '泗顶镇', 'sidingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224103', '450224', '450224103', '板榄镇', 'banlanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224104', '450224', '450224104', '大将镇', 'dajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224105', '450224', '450224105', '大良镇', 'daliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224200', '450224', '450224200', '雅瑶乡', 'yayaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224201', '450224', '450224201', '大坡乡', 'dapoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224202', '450224', '450224202', '东起乡', 'dongqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224203', '450224', '450224203', '沙子乡', 'shazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224204', '450224', '450224204', '桥板乡', 'qiaobanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450224205', '450224', '450224205', '潭头乡', 'tantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225', '4502', '450225', '融水苗族自治县', 'rongshuimiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225100', '450225', '450225100', '融水镇', 'rongshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225101', '450225', '450225101', '和睦镇', 'hemuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225102', '450225', '450225102', '三防镇', 'sanfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225103', '450225', '450225103', '怀宝镇', 'huaibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225200', '450225', '450225200', '永乐乡', 'yonglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225201', '450225', '450225201', '四荣乡', 'sirongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225202', '450225', '450225202', '香粉乡', 'xiangfenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225203', '450225', '450225203', '安太乡', 'antaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225204', '450225', '450225204', '洞头乡', 'dongtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225205', '450225', '450225205', '汪洞乡', 'wangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225206', '450225', '450225206', '同练瑶族乡', 'tonglianyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225207', '450225', '450225207', '滚贝侗族乡', 'gunbeidongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225208', '450225', '450225208', '杆洞乡', 'gandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225209', '450225', '450225209', '安陲乡', 'anchuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225210', '450225', '450225210', '大浪乡', 'dalangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225211', '450225', '450225211', '白云乡', 'baiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225212', '450225', '450225212', '红水乡', 'hongshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225213', '450225', '450225213', '拱洞乡', 'gongdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225214', '450225', '450225214', '良寨乡', 'liangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450225215', '450225', '450225215', '大年乡', 'danianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226', '4502', '450226', '三江侗族自治县', 'sanjiangdongzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226100', '450226', '450226100', '古宜镇', 'guyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226101', '450226', '450226101', '斗江镇', 'doujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226102', '450226', '450226102', '丹洲镇', 'danzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226200', '450226', '450226200', '独峒乡', 'dutongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226201', '450226', '450226201', '八江乡', 'bajiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226202', '450226', '450226202', '林溪乡', 'linxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226203', '450226', '450226203', '同乐苗族乡', 'tonglemiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226204', '450226', '450226204', '梅林乡', 'meilinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226205', '450226', '450226205', '富禄苗族乡', 'fulumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226206', '450226', '450226206', '洋溪乡', 'yangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226207', '450226', '450226207', '良口乡', 'liangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226208', '450226', '450226208', '老堡乡', 'laobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226209', '450226', '450226209', '高基瑶族乡', 'gaojiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226210', '450226', '450226210', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450226211', '450226', '450226211', '程村乡', 'chengcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4503', '45', '4503', '桂林市', 'guilinshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450301', '4503', '450301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450302', '4503', '450302', '秀峰区', 'xiufengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450302001', '450302', '450302001', '秀峰街道', 'xiufengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450302002', '450302', '450302002', '丽君街道', 'lijunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450302003', '450302', '450302003', '甲山街道', 'jiashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450303', '4503', '450303', '叠彩区', 'diecaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450303001', '450303', '450303001', '叠彩街道', 'diecaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450303002', '450303', '450303002', '北门街道', 'beimenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450303200', '450303', '450303200', '大河乡', 'dahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450304', '4503', '450304', '象山区', 'xiangshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450304001', '450304', '450304001', '南门街道', 'nanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450304002', '450304', '450304002', '象山街道', 'xiangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450304003', '450304', '450304003', '平山街道', 'pingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450304200', '450304', '450304200', '二塘乡', 'ertangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450305', '4503', '450305', '七星区', 'qixingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450305001', '450305', '450305001', '七星区街道', 'qixingqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450305002', '450305', '450305002', '东江街道', 'dongjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450305003', '450305', '450305003', '穿山街道', 'chuanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450305200', '450305', '450305200', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450305450', '450305', '450305450', '桂林华侨农场', 'guilinhuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450311', '4503', '450311', '雁山区', 'yanshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450311001', '450311', '450311001', '雁山街道', 'yanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450311100', '450311', '450311100', '雁山镇', 'yanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450311101', '450311', '450311101', '柘木镇', 'zhemuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450311200', '450311', '450311200', '大埠乡', 'dabuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450311201', '450311', '450311201', '草坪回族乡', 'caopinghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450321', '4503', '450321', '阳朔县', 'yangshuoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450321100', '450321', '450321100', '阳朔镇', 'yangshuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450321101', '450321', '450321101', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450321102', '450321', '450321102', '福利镇', 'fulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450321103', '450321', '450321103', '兴坪镇', 'xingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450321104', '450321', '450321104', '葡萄镇', 'putaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450321105', '450321', '450321105', '高田镇', 'gaotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450321200', '450321', '450321200', '金宝乡', 'jinbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450321201', '450321', '450321201', '普益乡', 'puyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450321202', '450321', '450321202', '杨堤乡', 'yangdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322', '4503', '450322', '临桂县', 'linguixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322100', '450322', '450322100', '临桂镇', 'linguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322101', '450322', '450322101', '六塘镇', 'liutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322102', '450322', '450322102', '会仙镇', 'huixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322103', '450322', '450322103', '两江镇', 'liangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322104', '450322', '450322104', '五通镇', 'wutongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322200', '450322', '450322200', '南边山乡', 'nanbianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322201', '450322', '450322201', '四塘乡', 'sitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322202', '450322', '450322202', '茶洞乡', 'chadongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322203', '450322', '450322203', '中庸乡', 'zhongyongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322204', '450322', '450322204', '宛田瑶族乡', 'wantianyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450322205', '450322', '450322205', '黄沙瑶族乡', 'huangshayaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323', '4503', '450323', '灵川县', 'lingchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323100', '450323', '450323100', '灵川镇', 'lingchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323101', '450323', '450323101', '大圩镇', 'daweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323102', '450323', '450323102', '定江镇', 'dingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323103', '450323', '450323103', '三街镇', 'sanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323104', '450323', '450323104', '潭下镇', 'tanxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323105', '450323', '450323105', '青狮潭镇', 'qingshitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323200', '450323', '450323200', '潮田乡', 'chaotianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323201', '450323', '450323201', '大境瑶族乡', 'dajingyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323202', '450323', '450323202', '海洋乡', 'haiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323203', '450323', '450323203', '灵田乡', 'lingtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450323204', '450323', '450323204', '兰田瑶族乡', 'lantianyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324', '4503', '450324', '全州县', 'quanzhouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324100', '450324', '450324100', '全州镇', 'quanzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324101', '450324', '450324101', '黄沙河镇', 'huangshahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324102', '450324', '450324102', '庙头镇', 'miaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324103', '450324', '450324103', '文桥镇', 'wenqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324104', '450324', '450324104', '大西江镇', 'daxijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324105', '450324', '450324105', '龙水镇', 'longshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324106', '450324', '450324106', '才湾镇', 'caiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324107', '450324', '450324107', '绍水镇', 'shaoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324108', '450324', '450324108', '石塘镇', 'shitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324200', '450324', '450324200', '永岁乡', 'yongsuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324201', '450324', '450324201', '枧塘乡', 'jiantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324202', '450324', '450324202', '咸水乡', 'xianshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324203', '450324', '450324203', '凤凰乡', 'fenghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324204', '450324', '450324204', '蕉江瑶族乡', 'jiaojiangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324205', '450324', '450324205', '安和乡', 'anhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324206', '450324', '450324206', '两河乡', 'lianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324207', '450324', '450324207', '白宝乡', 'baibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450324208', '450324', '450324208', '东山瑶族乡', 'dongshanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450325', '4503', '450325', '兴安县', 'xinganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450325100', '450325', '450325100', '兴安镇', 'xinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450325101', '450325', '450325101', '湘漓镇', 'xianglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450325102', '450325', '450325102', '界首镇', 'jieshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450325103', '450325', '450325103', '高尚镇', 'gaoshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450325104', '450325', '450325104', '严关镇', 'yanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450325105', '450325', '450325105', '溶江镇', 'rongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450325200', '450325', '450325200', '漠川乡', 'mochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450325201', '450325', '450325201', '白石乡', 'baishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450325202', '450325', '450325202', '崔家乡', 'cuijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450325203', '450325', '450325203', '华江瑶族乡', 'huajiangyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450326', '4503', '450326', '永福县', 'yongfuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450326100', '450326', '450326100', '永福镇', 'yongfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450326101', '450326', '450326101', '罗锦镇', 'luojinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450326102', '450326', '450326102', '百寿镇', 'baishouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450326103', '450326', '450326103', '苏桥镇', 'suqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450326201', '450326', '450326201', '堡里乡', 'baolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450326202', '450326', '450326202', '广福乡', 'guangfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450326203', '450326', '450326203', '三皇乡', 'sanhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450326204', '450326', '450326204', '永安乡', 'yonganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450326205', '450326', '450326205', '龙江乡', 'longjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450327', '4503', '450327', '灌阳县', 'guanyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450327100', '450327', '450327100', '灌阳镇', 'guanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450327101', '450327', '450327101', '黄关镇', 'huangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450327102', '450327', '450327102', '文市镇', 'wenshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450327200', '450327', '450327200', '洞井瑶族乡', 'dongjingyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450327201', '450327', '450327201', '观音阁乡', 'guanyingexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450327202', '450327', '450327202', '西山瑶族乡', 'xishanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450327203', '450327', '450327203', '新街乡', 'xinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450327204', '450327', '450327204', '新圩乡', 'xinweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450327205', '450327', '450327205', '水车乡', 'shuichexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450328', '4503', '450328', '龙胜各族自治县', 'longshenggezuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450328100', '450328', '450328100', '龙胜镇', 'longshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450328101', '450328', '450328101', '瓢里镇', 'piaolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450328102', '450328', '450328102', '三门镇', 'sanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450328200', '450328', '450328200', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450328201', '450328', '450328201', '泗水乡', 'sishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450328202', '450328', '450328202', '江底乡', 'jiangdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450328203', '450328', '450328203', '马堤乡', 'madixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450328204', '450328', '450328204', '伟江乡', 'weijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450328205', '450328', '450328205', '平等乡', 'pingdengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450328206', '450328', '450328206', '乐江乡', 'lejiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450329', '4503', '450329', '资源县', 'ziyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450329100', '450329', '450329100', '资源镇', 'ziyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450329200', '450329', '450329200', '中峰乡', 'zhongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450329201', '450329', '450329201', '梅溪乡', 'meixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450329202', '450329', '450329202', '瓜里乡', 'gualixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450329203', '450329', '450329203', '车田苗族乡', 'chetianmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450329204', '450329', '450329204', '两水苗族乡', 'liangshuimiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450329205', '450329', '450329205', '河口瑶族乡', 'hekouyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450330', '4503', '450330', '平乐县', 'pinglexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450330100', '450330', '450330100', '平乐镇', 'pinglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450330101', '450330', '450330101', '二塘镇', 'ertangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450330102', '450330', '450330102', '沙子镇', 'shazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450330103', '450330', '450330103', '同安镇', 'tonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450330104', '450330', '450330104', '张家镇', 'zhangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450330105', '450330', '450330105', '源头镇', 'yuantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450330200', '450330', '450330200', '阳安乡', 'yanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450330201', '450330', '450330201', '青龙乡', 'qinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450330202', '450330', '450330202', '桥亭乡', 'qiaotingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450330203', '450330', '450330203', '大发瑶族乡', 'dafayaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331', '4503', '450331', '荔浦县', 'lipuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331100', '450331', '450331100', '荔城镇', 'lichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331101', '450331', '450331101', '东昌镇', 'dongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331102', '450331', '450331102', '新坪镇', 'xinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331103', '450331', '450331103', '杜莫镇', 'dumozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331104', '450331', '450331104', '青山镇', 'qingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331105', '450331', '450331105', '修仁镇', 'xiurenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331106', '450331', '450331106', '大塘镇', 'datangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331107', '450331', '450331107', '花箦镇', 'huazezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331108', '450331', '450331108', '双江镇', 'shuangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331109', '450331', '450331109', '马岭镇', 'malingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331200', '450331', '450331200', '龙怀乡', 'longhuaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331201', '450331', '450331201', '茶城乡', 'chachengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450331202', '450331', '450331202', '蒲芦瑶族乡', 'puluyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450332', '4503', '450332', '恭城县', 'gongchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450332100', '450332', '450332100', '恭城镇', 'gongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450332101', '450332', '450332101', '栗木镇', 'limuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450332102', '450332', '450332102', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450332200', '450332', '450332200', '平安乡', 'pinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450332201', '450332', '450332201', '三江乡', 'sanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450332202', '450332', '450332202', '嘉会乡', 'jiahuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450332203', '450332', '450332203', '西岭乡', 'xilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450332204', '450332', '450332204', '观音乡', 'guanyinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450332205', '450332', '450332205', '龙虎乡', 'longhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4504', '45', '4504', '梧州市', 'wuzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450401', '4504', '450401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450403', '4504', '450403', '万秀区', 'wanxiuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450403001', '450403', '450403001', '城东', 'chengdong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450403002', '450403', '450403002', '城南', 'chengnan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450403003', '450403', '450403003', '城中', 'chengzhong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450403004', '450403', '450403004', '城北', 'chengbei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450403101', '450403', '450403101', '城东镇', 'chengdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450403102', '450403', '450403102', '旺甫镇', 'wangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450404', '4504', '450404', '蝶山区', 'dieshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450404001', '450404', '450404001', '角嘴街道', 'jiaozuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450404002', '450404', '450404002', '东兴街道', 'dongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450404003', '450404', '450404003', '富民街道', 'fuminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450404101', '450404', '450404101', '龙湖镇', 'longhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450404102', '450404', '450404102', '夏郢镇', 'xiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450405', '4504', '450405', '长洲区', 'zhangzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450405001', '450405', '450405001', '大塘街道', 'datangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450405002', '450405', '450405002', '兴龙街道', 'xinglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450405101', '450405', '450405101', '长洲镇', 'zhangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450405102', '450405', '450405102', '倒水镇', 'daoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421', '4504', '450421', '苍梧县', 'cangwuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421100', '450421', '450421100', '龙圩镇', 'longweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421101', '450421', '450421101', '大坡镇', 'dapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421102', '450421', '450421102', '广平镇', 'guangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421103', '450421', '450421103', '新地镇', 'xindizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421105', '450421', '450421105', '岭脚镇', 'lingjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421108', '450421', '450421108', '京南镇', 'jingnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421109', '450421', '450421109', '狮寨镇', 'shizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421112', '450421', '450421112', '六堡镇', 'liubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421113', '450421', '450421113', '梨埠镇', 'libuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421114', '450421', '450421114', '木双镇', 'mushuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421115', '450421', '450421115', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450421116', '450421', '450421116', '沙头镇', 'shatouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422', '4504', '450422', '藤县', 'tengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422100', '450422', '450422100', '藤州镇', 'tengzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422103', '450422', '450422103', '塘步镇', 'tangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422104', '450422', '450422104', '垠南镇', 'yinnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422105', '450422', '450422105', '同心镇', 'tongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422106', '450422', '450422106', '金鸡镇', 'jinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422107', '450422', '450422107', '新庆镇', 'xinqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422108', '450422', '450422108', '象棋镇', 'xiangqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422109', '450422', '450422109', '岭景镇', 'lingjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422110', '450422', '450422110', '天平镇', 'tianpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422111', '450422', '450422111', '蒙江镇', 'mengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422112', '450422', '450422112', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422113', '450422', '450422113', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422114', '450422', '450422114', '古龙镇', 'gulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422115', '450422', '450422115', '东荣镇', 'dongrongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422116', '450422', '450422116', '大黎镇', 'dalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450422200', '450422', '450422200', '平福乡', 'pingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450423', '4504', '450423', '蒙山县', 'mengshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450423100', '450423', '450423100', '蒙山镇', 'mengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450423101', '450423', '450423101', '西河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450423102', '450423', '450423102', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450423103', '450423', '450423103', '文圩镇', 'wenweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450423104', '450423', '450423104', '黄村镇', 'huangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450423105', '450423', '450423105', '陈塘镇', 'chentangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450423200', '450423', '450423200', '汉豪乡', 'hanhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450423201', '450423', '450423201', '长坪瑶族乡', 'zhangpingyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450423202', '450423', '450423202', '夏宜瑶族乡', 'xiayiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481', '4504', '450481', '岑溪市', 'cenxishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481100', '450481', '450481100', '岑城镇', 'cenchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481102', '450481', '450481102', '马路镇', 'maluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481103', '450481', '450481103', '南渡镇', 'nanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481105', '450481', '450481105', '水汶镇', 'shuiwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481106', '450481', '450481106', '大隆镇', 'dalongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481107', '450481', '450481107', '梨木镇', 'limuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481108', '450481', '450481108', '大业镇', 'dayezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481109', '450481', '450481109', '筋竹镇', 'jinzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481110', '450481', '450481110', '城谏镇', 'chengjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481111', '450481', '450481111', '归义镇', 'guiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481112', '450481', '450481112', '糯垌镇', 'nuotongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481113', '450481', '450481113', '安平镇', 'anpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481114', '450481', '450481114', '三堡镇', 'sanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450481115', '450481', '450481115', '波塘镇', 'botangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4505', '45', '4505', '北海市', 'beihaishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450501', '4505', '450501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450502', '4505', '450502', '海城区', 'haichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450502001', '450502', '450502001', '中街街道', 'zhongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450502002', '450502', '450502002', '东街街道', 'dongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450502003', '450502', '450502003', '西街街道', 'xijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450502004', '450502', '450502004', '海角街道', 'haijiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450502005', '450502', '450502005', '地角街道', 'dijiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450502006', '450502', '450502006', '高德街道', 'gaodejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450502007', '450502', '450502007', '驿马街道', 'yimajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450502100', '450502', '450502100', '涠州镇', 'weizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450503', '4505', '450503', '银海区', 'yinhaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450503100', '450503', '450503100', '福成镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450503101', '450503', '450503101', '银滩镇', 'yintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450503102', '450503', '450503102', '平阳镇', 'pingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450503103', '450503', '450503103', '侨港镇', 'qiaogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450512', '4505', '450512', '铁山港区', 'tieshangangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450512100', '450512', '450512100', '南康镇', 'nankangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450512101', '450512', '450512101', '营盘镇', 'yingpanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450512102', '450512', '450512102', '兴港镇', 'xinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521', '4505', '450521', '合浦县', 'hepuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521100', '450521', '450521100', '廉州镇', 'lianzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521101', '450521', '450521101', '党江镇', 'dangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521102', '450521', '450521102', '西场镇', 'xichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521103', '450521', '450521103', '沙岗镇', 'shagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521104', '450521', '450521104', '乌家镇', 'wujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521105', '450521', '450521105', '闸口镇', 'zhakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521106', '450521', '450521106', '公馆镇', 'gongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521107', '450521', '450521107', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521108', '450521', '450521108', '山口镇', 'shankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521109', '450521', '450521109', '沙田镇', 'shatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521110', '450521', '450521110', '石湾镇', 'shiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521111', '450521', '450521111', '石康镇', 'shikangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521112', '450521', '450521112', '常乐镇', 'changlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521200', '450521', '450521200', '曲樟乡', 'quzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450521201', '450521', '450521201', '星岛湖乡', 'xingdaohuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4506', '45', '4506', '防城港市', 'fangchenggangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450601', '4506', '450601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450602', '4506', '450602', '港口区', 'gangkouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450602001', '450602', '450602001', '港口区渔州坪街道', 'gangkouquyuzhoupingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450602002', '450602', '450602002', '港口区白沙万街道', 'gangkouqubaishawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450602100', '450602', '450602100', '港口区企沙镇', 'gangkouquqishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450602101', '450602', '450602101', '港口区光坡镇', 'gangkouquguangpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450602102', '450602', '450602102', '港口区公车镇', 'gangkouqugongchezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603', '4506', '450603', '防城区', 'fangchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603100', '450603', '450603100', '防城区防城镇', 'fangchengqufangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603101', '450603', '450603101', '防城区大菉镇', 'fangchengqudaluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603102', '450603', '450603102', '防城区华石镇', 'fangchengquhuashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603103', '450603', '450603103', '防城区那梭镇', 'fangchengquneisuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603104', '450603', '450603104', '防城区那良镇', 'fangchengquneiliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603105', '450603', '450603105', '防城区峒中镇', 'fangchengqutongzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603201', '450603', '450603201', '防城区茅岭乡', 'fangchengqumaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603202', '450603', '450603202', '防城区扶隆乡', 'fangchengqufulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603203', '450603', '450603203', '防城区滩营乡', 'fangchengqutanyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603204', '450603', '450603204', '防城区江山乡', 'fangchengqujiangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603450', '450603', '450603450', '小峰经济作物场', 'xiaofengjingjizuowuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603451', '450603', '450603451', '荣光农场', 'rongguangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603452', '450603', '450603452', '十万山华侨林场', 'shiwanshanhuaqiaolinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603453', '450603', '450603453', '垌美农场', 'tongmeinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450603454', '450603', '450603454', '那梭农场', 'neisuonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450621', '4506', '450621', '上思县', 'shangsixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450621100', '450621', '450621100', '思阳镇', 'siyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450621101', '450621', '450621101', '在妙镇', 'zaimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450621201', '450621', '450621201', '叫安乡', 'jiaoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450621202', '450621', '450621202', '华兰乡', 'hualanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450621203', '450621', '450621203', '南屏瑶族乡', 'nanpingyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450621204', '450621', '450621204', '平福乡', 'pingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450621205', '450621', '450621205', '那琴乡', 'neiqinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450621206', '450621', '450621206', '公正乡', 'gongzhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450621450', '450621', '450621450', '广西农垦国有昌菱农场', 'guangxinongkenguoyouchanglingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450681', '4506', '450681', '东兴市', 'dongxingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450681100', '450681', '450681100', '东兴镇', 'dongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450681101', '450681', '450681101', '江平镇', 'jiangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450681102', '450681', '450681102', '马路镇', 'maluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4507', '45', '4507', '钦州市', 'qinzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450701', '4507', '450701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702', '4507', '450702', '钦南区', 'qinnanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702001', '450702', '450702001', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702002', '450702', '450702002', '水东街道', 'shuidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702003', '450702', '450702003', '文峰街道', 'wenfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702004', '450702', '450702004', '南珠街道', 'nanzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702100', '450702', '450702100', '沙埠镇', 'shabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702101', '450702', '450702101', '康熙岭镇', 'kangxilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702102', '450702', '450702102', '黄屋屯镇', 'huangwutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702103', '450702', '450702103', '尖山镇', 'jianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702104', '450702', '450702104', '大番坡镇', 'dafanpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702105', '450702', '450702105', '龙门港镇', 'longmengangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702106', '450702', '450702106', '犀牛脚镇', 'xiniujiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702107', '450702', '450702107', '久隆镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702108', '450702', '450702108', '东场镇', 'dongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702109', '450702', '450702109', '那丽镇', 'neilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702110', '450702', '450702110', '那彭镇', 'neipengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702111', '450702', '450702111', '那思镇', 'neisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702400', '450702', '450702400', '丽光华侨农场', 'liguanghuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450702401', '450702', '450702401', '钦州港经济开发区', 'qinzhougangjingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703', '4507', '450703', '钦北区', 'qinbeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703100', '450703', '450703100', '大垌镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703101', '450703', '450703101', '平吉镇', 'pingjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703102', '450703', '450703102', '青塘镇', 'qingtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703103', '450703', '450703103', '小董镇', 'xiaodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703104', '450703', '450703104', '板城镇', 'banchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703105', '450703', '450703105', '那蒙镇', 'neimengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703106', '450703', '450703106', '长滩镇', 'zhangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703107', '450703', '450703107', '新棠镇', 'xintangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703108', '450703', '450703108', '大直镇', 'dazhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703109', '450703', '450703109', '大寺镇', 'dasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703110', '450703', '450703110', '贵台镇', 'guitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450703400', '450703', '450703400', '钦州市矿务局', 'qinzhoushikuangwuju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721', '4507', '450721', '灵山县', 'lingshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721100', '450721', '450721100', '灵城镇', 'lingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721101', '450721', '450721101', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721102', '450721', '450721102', '丰塘镇', 'fengtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721103', '450721', '450721103', '平山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721104', '450721', '450721104', '石塘镇', 'shitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721105', '450721', '450721105', '佛子镇', 'fozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721106', '450721', '450721106', '平南镇', 'pingnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721107', '450721', '450721107', '烟墩镇', 'yandunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721108', '450721', '450721108', '檀圩镇', 'tanweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721109', '450721', '450721109', '那隆镇', 'neilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721110', '450721', '450721110', '三隆镇', 'sanlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721111', '450721', '450721111', '陆屋镇', 'luwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721112', '450721', '450721112', '旧州镇', 'jiuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721113', '450721', '450721113', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721114', '450721', '450721114', '沙坪镇', 'shapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721115', '450721', '450721115', '武利镇', 'wulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721116', '450721', '450721116', '文利镇', 'wenlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721117', '450721', '450721117', '伯劳镇', 'bolaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721400', '450721', '450721400', '国营新光农场', 'guoyingxinguangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450721401', '450721', '450721401', '国营华山农场', 'guoyinghuashannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722', '4507', '450722', '浦北县', 'pubeixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722100', '450722', '450722100', '小江镇', 'xiaojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722101', '450722', '450722101', '泉水镇', 'quanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722102', '450722', '450722102', '石埇镇', 'shiyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722103', '450722', '450722103', '安石镇', 'anshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722104', '450722', '450722104', '张黄镇', 'zhanghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722105', '450722', '450722105', '大成镇', 'dachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722106', '450722', '450722106', '白石水镇', 'baishishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722107', '450722', '450722107', '北通镇', 'beitongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722108', '450722', '450722108', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722109', '450722', '450722109', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722110', '450722', '450722110', '福旺镇', 'fuwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722111', '450722', '450722111', '寨圩镇', 'zhaiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722112', '450722', '450722112', '乐民镇', 'leminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722113', '450722', '450722113', '六硍镇', 'liukenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722114', '450722', '450722114', '平睦镇', 'pingmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450722115', '450722', '450722115', '官垌镇', 'guantongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4508', '45', '4508', '贵港市', 'guigangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450801', '4508', '450801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450802', '4508', '450802', '港北区', 'gangbeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450802001', '450802', '450802001', '贵城街道', 'guichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450802100', '450802', '450802100', '港城镇', 'gangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450802101', '450802', '450802101', '大圩镇', 'daweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450802102', '450802', '450802102', '庆丰镇', 'qingfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450802200', '450802', '450802200', '奇石乡', 'qishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450802201', '450802', '450802201', '中里乡', 'zhonglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450802202', '450802', '450802202', '根竹乡', 'genzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450802203', '450802', '450802203', '武乐乡', 'wulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450803', '4508', '450803', '港南区', 'gangnanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450803001', '450803', '450803001', '江南', 'jiangnan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450803100', '450803', '450803100', '桥圩镇', 'qiaoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450803101', '450803', '450803101', '木格镇', 'mugezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450803102', '450803', '450803102', '木梓镇', 'muzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450803103', '450803', '450803103', '湛江镇', 'zhanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450803104', '450803', '450803104', '东津镇', 'dongjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450803105', '450803', '450803105', '八塘镇', 'batangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450803200', '450803', '450803200', '新塘乡', 'xintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450803201', '450803', '450803201', '瓦塘乡', 'watangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450804', '4508', '450804', '覃塘区', 'tantangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450804100', '450804', '450804100', '覃塘镇', 'tantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450804101', '450804', '450804101', '东龙镇', 'donglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450804102', '450804', '450804102', '三里镇', 'sanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450804103', '450804', '450804103', '黄练镇', 'huanglianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450804104', '450804', '450804104', '石卡镇', 'shikazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450804105', '450804', '450804105', '五里镇', 'wulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450804200', '450804', '450804200', '山北乡', 'shanbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450804201', '450804', '450804201', '樟木乡', 'zhangmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450804203', '450804', '450804203', '蒙公乡', 'menggongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450804204', '450804', '450804204', '大岭乡', 'dalingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821', '4508', '450821', '平南县', 'pingnanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821100', '450821', '450821100', '平南镇', 'pingnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821101', '450821', '450821101', '平山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821102', '450821', '450821102', '寺面镇', 'simianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821103', '450821', '450821103', '六陈镇', 'liuchenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821104', '450821', '450821104', '大新镇', 'daxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821105', '450821', '450821105', '大安镇', 'daanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821106', '450821', '450821106', '武林镇', 'wulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821107', '450821', '450821107', '大坡镇', 'dapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821108', '450821', '450821108', '大洲镇', 'dazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821109', '450821', '450821109', '镇隆镇', 'zhenlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821110', '450821', '450821110', '上渡镇', 'shangduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821112', '450821', '450821112', '安怀镇', 'anhuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821113', '450821', '450821113', '丹竹镇', 'danzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821114', '450821', '450821114', '官成镇', 'guanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821115', '450821', '450821115', '思旺镇', 'siwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821116', '450821', '450821116', '大鹏镇', 'dapengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821117', '450821', '450821117', '同和镇', 'tonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821202', '450821', '450821202', '东华乡', 'donghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821204', '450821', '450821204', '思界乡', 'sijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821205', '450821', '450821205', '国安瑶族乡', 'guoanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450821206', '450821', '450821206', '马练瑶族乡', 'malianyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881', '4508', '450881', '桂平市', 'guipingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881101', '450881', '450881101', '木乐镇', 'mulezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881102', '450881', '450881102', '木圭镇', 'muguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881103', '450881', '450881103', '石咀镇', 'shijuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881104', '450881', '450881104', '油麻镇', 'youmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881105', '450881', '450881105', '社坡镇', 'shepozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881106', '450881', '450881106', '罗秀镇', 'luoxiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881107', '450881', '450881107', '麻垌镇', 'matongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881108', '450881', '450881108', '社步镇', 'shebuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881109', '450881', '450881109', '下湾镇', 'xiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881110', '450881', '450881110', '木根镇', 'mugenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881111', '450881', '450881111', '中沙镇', 'zhongshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881113', '450881', '450881113', '大洋镇', 'dayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881114', '450881', '450881114', '大湾镇', 'dawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881115', '450881', '450881115', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881116', '450881', '450881116', '石龙镇', 'shilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881117', '450881', '450881117', '蒙圩镇', 'mengweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881118', '450881', '450881118', '西山镇', 'xishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881119', '450881', '450881119', '南木镇', 'nanmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881120', '450881', '450881120', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881121', '450881', '450881121', '金田镇', 'jintianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881122', '450881', '450881122', '紫荆镇', 'zijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881200', '450881', '450881200', '马皮乡', 'mapixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881202', '450881', '450881202', '寻旺乡', 'xunwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881203', '450881', '450881203', '罗播乡', 'luoboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881204', '450881', '450881204', '厚禄乡', 'houluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450881206', '450881', '450881206', '垌心乡', 'tongxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4509', '45', '4509', '玉林市', 'yulinshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450901', '4509', '450901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902', '4509', '450902', '玉州区', 'yuzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902001', '450902', '450902001', '玉城街道', 'yuchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902002', '450902', '450902002', '南江街道', 'nanjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902003', '450902', '450902003', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902004', '450902', '450902004', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902005', '450902', '450902005', '名山街道', 'mingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902100', '450902', '450902100', '大塘镇', 'datangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902105', '450902', '450902105', '茂林镇', 'maolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902106', '450902', '450902106', '仁东镇', 'rendongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902107', '450902', '450902107', '福绵镇', 'fumianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902108', '450902', '450902108', '成均镇', 'chengjunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902109', '450902', '450902109', '樟木镇', 'zhangmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902110', '450902', '450902110', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902111', '450902', '450902111', '沙田镇', 'shatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902112', '450902', '450902112', '石和镇', 'shihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450902113', '450902', '450902113', '仁厚镇', 'renhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921', '4509', '450921', '容县', 'rongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921100', '450921', '450921100', '容州镇', 'rongzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921102', '450921', '450921102', '杨梅镇', 'yangmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921103', '450921', '450921103', '灵山镇', 'lingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921104', '450921', '450921104', '六王镇', 'liuwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921105', '450921', '450921105', '黎村镇', 'licunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921106', '450921', '450921106', '杨村镇', 'yangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921107', '450921', '450921107', '县底镇', 'xiandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921108', '450921', '450921108', '自良镇', 'ziliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921109', '450921', '450921109', '松山镇', 'songshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921110', '450921', '450921110', '罗江镇', 'luojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921111', '450921', '450921111', '石头镇', 'shitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921112', '450921', '450921112', '石寨镇', 'shizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921200', '450921', '450921200', '容西乡', 'rongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921201', '450921', '450921201', '十里乡', 'shilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450921202', '450921', '450921202', '浪水乡', 'langshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922', '4509', '450922', '陆川县', 'luchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922101', '450922', '450922101', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922102', '450922', '450922102', '米场镇', 'michangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922103', '450922', '450922103', '马坡镇', 'mapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922104', '450922', '450922104', '珊罗镇', 'shanluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922105', '450922', '450922105', '平乐镇', 'pinglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922106', '450922', '450922106', '沙坡镇', 'shapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922107', '450922', '450922107', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922108', '450922', '450922108', '乌石镇', 'wushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922109', '450922', '450922109', '良田镇', 'liangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922110', '450922', '450922110', '清湖镇', 'qinghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922111', '450922', '450922111', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922200', '450922', '450922200', '沙湖乡', 'shahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922201', '450922', '450922201', '横山乡', 'hengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450922203', '450922', '450922203', '滩面乡', 'tanmianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923', '4509', '450923', '博白县', 'bobaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923100', '450923', '450923100', '博白镇', 'bobaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923102', '450923', '450923102', '双凤镇', 'shuangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923105', '450923', '450923105', '顿谷镇', 'dunguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923106', '450923', '450923106', '水鸣镇', 'shuimingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923107', '450923', '450923107', '那林镇', 'neilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923108', '450923', '450923108', '江宁镇', 'jiangningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923109', '450923', '450923109', '三滩镇', 'santanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923110', '450923', '450923110', '黄凌镇', 'huanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923111', '450923', '450923111', '亚山镇', 'yashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923112', '450923', '450923112', '旺茂镇', 'wangmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923114', '450923', '450923114', '东平镇', 'dongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923115', '450923', '450923115', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923116', '450923', '450923116', '菱角镇', 'lingjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923117', '450923', '450923117', '新田镇', 'xintianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923118', '450923', '450923118', '凤山镇', 'fengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923119', '450923', '450923119', '宁潭镇', 'ningtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923120', '450923', '450923120', '文地镇', 'wendizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923121', '450923', '450923121', '英桥镇', 'yingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923122', '450923', '450923122', '那卜镇', 'neibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923123', '450923', '450923123', '大垌镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923124', '450923', '450923124', '沙陂镇', 'shapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923125', '450923', '450923125', '双旺镇', 'shuangwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923126', '450923', '450923126', '松旺镇', 'songwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923127', '450923', '450923127', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923128', '450923', '450923128', '大坝镇', 'dabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923129', '450923', '450923129', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923130', '450923', '450923130', '径口镇', 'jingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450923201', '450923', '450923201', '浪平乡', 'langpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924', '4509', '450924', '兴业县', 'xingyexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924100', '450924', '450924100', '石南镇', 'shinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924101', '450924', '450924101', '大平山镇', 'dapingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924102', '450924', '450924102', '葵阳镇', 'kuiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924103', '450924', '450924103', '城隍镇', 'chenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924104', '450924', '450924104', '山心镇', 'shanxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924105', '450924', '450924105', '沙塘镇', 'shatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924106', '450924', '450924106', '蒲塘镇', 'putangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924107', '450924', '450924107', '北市镇', 'beishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924108', '450924', '450924108', '龙安镇', 'longanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924109', '450924', '450924109', '高峰镇', 'gaofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924110', '450924', '450924110', '小平山镇', 'xiaopingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924111', '450924', '450924111', '卖酒镇', 'maijiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450924202', '450924', '450924202', '洛阳乡', 'luoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981', '4509', '450981', '北流市', 'beiliushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981001', '450981', '450981001', '陵城街道', 'lingchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981002', '450981', '450981002', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981003', '450981', '450981003', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981100', '450981', '450981100', '北流镇', 'beiliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981101', '450981', '450981101', '新荣镇', 'xinrongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981102', '450981', '450981102', '民安镇', 'minanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981103', '450981', '450981103', '山围镇', 'shanweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981104', '450981', '450981104', '民乐镇', 'minlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981105', '450981', '450981105', '西垠镇', 'xiyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981106', '450981', '450981106', '新圩镇', 'xinweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981107', '450981', '450981107', '大里镇', 'dalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981108', '450981', '450981108', '塘岸镇', 'tanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981109', '450981', '450981109', '清水口镇', 'qingshuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981110', '450981', '450981110', '隆盛镇', 'longshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981111', '450981', '450981111', '大坡外镇', 'dapowaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981112', '450981', '450981112', '六麻镇', 'liumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981113', '450981', '450981113', '新丰镇', 'xinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981114', '450981', '450981114', '沙垌镇', 'shatongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981115', '450981', '450981115', '平政镇', 'pingzhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981116', '450981', '450981116', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981117', '450981', '450981117', '大伦镇', 'dalunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981118', '450981', '450981118', '扶新镇', 'fuxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981119', '450981', '450981119', '六靖镇', 'liujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981120', '450981', '450981120', '石窝镇', 'shiwozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('450981121', '450981', '450981121', '清湾镇', 'qingwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4510', '45', '4510', '百色市', 'baiseshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451001', '4510', '451001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451002', '4510', '451002', '右江区', 'youjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451002001', '451002', '451002001', '百城街道', 'baichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451002002', '451002', '451002002', '龙景街道', 'longjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451002101', '451002', '451002101', '阳圩镇', 'yangweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451002102', '451002', '451002102', '四塘镇', 'sitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451002103', '451002', '451002103', '龙川镇', 'longchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451002201', '451002', '451002201', '永乐乡', 'yonglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451002202', '451002', '451002202', '汪甸瑶族乡', 'wangdianyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451002203', '451002', '451002203', '大楞乡', 'dalengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451002204', '451002', '451002204', '泮水乡', 'panshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451021', '4510', '451021', '田阳县', 'tianyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451021100', '451021', '451021100', '田州镇', 'tianzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451021101', '451021', '451021101', '那坡镇', 'neipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451021102', '451021', '451021102', '坡洪镇', 'pohongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451021103', '451021', '451021103', '那满镇', 'neimanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451021104', '451021', '451021104', '百育镇', 'baiyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451021105', '451021', '451021105', '玉凤镇', 'yufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451021106', '451021', '451021106', '头塘镇', 'toutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451021202', '451021', '451021202', '洞靖乡', 'dongjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451021204', '451021', '451021204', '巴别乡', 'babiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451021205', '451021', '451021205', '五村乡', 'wucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451022', '4510', '451022', '田东县', 'tiandongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451022100', '451022', '451022100', '平马镇', 'pingmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451022101', '451022', '451022101', '祥周镇', 'xiangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451022103', '451022', '451022103', '林逢镇', 'linfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451022105', '451022', '451022105', '思林镇', 'silinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451022106', '451022', '451022106', '印茶镇', 'yinchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451022107', '451022', '451022107', '江城镇', 'jiangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451022108', '451022', '451022108', '朔良镇', 'shuoliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451022109', '451022', '451022109', '义圩镇', 'yiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451022110', '451022', '451022110', '那拔镇', 'neibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451022201', '451022', '451022201', '作登瑶族乡', 'zuodengyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023', '4510', '451023', '平果县', 'pingguoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023100', '451023', '451023100', '马头镇', 'matouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023101', '451023', '451023101', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023102', '451023', '451023102', '果化镇', 'guohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023103', '451023', '451023103', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023104', '451023', '451023104', '坡造镇', 'pozaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023105', '451023', '451023105', '四塘镇', 'sitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023106', '451023', '451023106', '旧城镇', 'jiuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023107', '451023', '451023107', '榜圩镇', 'bangweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023200', '451023', '451023200', '海城乡', 'haichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023201', '451023', '451023201', '凤梧乡', 'fengwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023202', '451023', '451023202', '黎明乡', 'limingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023203', '451023', '451023203', '同老乡', 'tonglaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451023450', '451023', '451023450', '平果铝', 'pingguolu:', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024', '4510', '451024', '德保县', 'debaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024100', '451024', '451024100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024101', '451024', '451024101', '足荣镇', 'zurongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024102', '451024', '451024102', '隆桑镇', 'longsangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024103', '451024', '451024103', '敬德镇', 'jingdezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024200', '451024', '451024200', '都安乡', 'douanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024201', '451024', '451024201', '马隘乡', 'maaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024202', '451024', '451024202', '那甲乡', 'neijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024203', '451024', '451024203', '荣华乡', 'ronghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024204', '451024', '451024204', '燕峒乡', 'yantongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024205', '451024', '451024205', '龙光乡', 'longguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024206', '451024', '451024206', '巴头乡', 'batouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024207', '451024', '451024207', '东凌乡', 'donglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451024450', '451024', '451024450', '桂西华银氧化铝厂', 'guixihuayinyanghualu:chang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025', '4510', '451025', '靖西县', 'jingxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025100', '451025', '451025100', '新靖镇', 'xinjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025101', '451025', '451025101', '化峒镇', 'huatongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025102', '451025', '451025102', '湖润镇', 'hurunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025103', '451025', '451025103', '安德镇', 'andezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025104', '451025', '451025104', '龙临镇', 'longlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025105', '451025', '451025105', '渠洋镇', 'quyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025106', '451025', '451025106', '岳圩镇', 'yueweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025107', '451025', '451025107', '龙邦镇', 'longbangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025200', '451025', '451025200', '同德乡', 'tongdexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025201', '451025', '451025201', '壬庄乡', 'renzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025202', '451025', '451025202', '安宁乡', 'anningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025203', '451025', '451025203', '地州乡', 'dizhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025204', '451025', '451025204', '禄峒乡', 'lutongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025206', '451025', '451025206', '南坡乡', 'nanpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025207', '451025', '451025207', '吞盘乡', 'tunpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025209', '451025', '451025209', '果乐乡', 'guolexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025211', '451025', '451025211', '新甲乡', 'xinjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025212', '451025', '451025212', '武平乡', 'wupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451025215', '451025', '451025215', '魁圩乡', 'kuiweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451026', '4510', '451026', '那坡县', 'neipoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451026100', '451026', '451026100', '城厢镇', 'chengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451026101', '451026', '451026101', '平孟镇', 'pingmengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451026200', '451026', '451026200', '坡荷乡', 'pohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451026201', '451026', '451026201', '龙合乡', 'longhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451026203', '451026', '451026203', '德隆乡', 'delongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451026204', '451026', '451026204', '百合乡', 'baihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451026205', '451026', '451026205', '百南乡', 'bainanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451026207', '451026', '451026207', '百省乡', 'baishengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451026208', '451026', '451026208', '百都乡', 'baidouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451027', '4510', '451027', '凌云县', 'lingyunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451027100', '451027', '451027100', '泗城镇', 'sichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451027101', '451027', '451027101', '逻楼镇', 'luolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451027102', '451027', '451027102', '加尤镇', 'jiayouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451027200', '451027', '451027200', '下甲乡', 'xiajiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451027201', '451027', '451027201', '伶站瑶族乡', 'lingzhanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451027202', '451027', '451027202', '朝里瑶族乡', 'chaoliyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451027203', '451027', '451027203', '沙里乡', 'shalixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451027205', '451027', '451027205', '玉洪瑶族乡', 'yuhongyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451028', '4510', '451028', '乐业县', 'leyexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451028100', '451028', '451028100', '同乐镇', 'tonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451028101', '451028', '451028101', '甘田镇', 'gantianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451028102', '451028', '451028102', '新化镇', 'xinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451028103', '451028', '451028103', '花坪镇', 'huapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451028201', '451028', '451028201', '逻沙乡', 'luoshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451028203', '451028', '451028203', '逻西乡', 'luoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451028204', '451028', '451028204', '幼平乡', 'youpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451028205', '451028', '451028205', '雅长乡', 'yazhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029', '4510', '451029', '田林县', 'tianlinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029100', '451029', '451029100', '乐里镇', 'lelizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029101', '451029', '451029101', '旧州镇', 'jiuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029102', '451029', '451029102', '定安镇', 'dinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029103', '451029', '451029103', '六隆镇', 'liulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029200', '451029', '451029200', '潞城瑶族乡', 'luchengyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029201', '451029', '451029201', '利周瑶族乡', 'lizhouyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029202', '451029', '451029202', '平塘乡', 'pingtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029203', '451029', '451029203', '浪平乡', 'langpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029204', '451029', '451029204', '八桂瑶族乡', 'baguiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029205', '451029', '451029205', '八渡瑶族乡', 'baduyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029206', '451029', '451029206', '那比乡', 'neibixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029207', '451029', '451029207', '高龙乡', 'gaolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029208', '451029', '451029208', '百乐乡', 'bailexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451029209', '451029', '451029209', '者苗乡', 'zhemiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451030', '4510', '451030', '西林县', 'xilinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451030100', '451030', '451030100', '八达镇', 'badazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451030101', '451030', '451030101', '古障镇', 'guzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451030200', '451030', '451030200', '马蚌乡', 'mabangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451030203', '451030', '451030203', '普合苗族乡', 'puhemiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451030204', '451030', '451030204', '西平乡', 'xipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451030206', '451030', '451030206', '那佐苗族乡', 'neizuomiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451030207', '451030', '451030207', '那劳乡', 'neilaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451030208', '451030', '451030208', '足别瑶族苗族乡', 'zubieyaozumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031', '4510', '451031', '隆林各族自治县', 'longlingezuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031100', '451031', '451031100', '新州镇', 'xinzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031101', '451031', '451031101', '桠杈镇', 'yachazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031102', '451031', '451031102', '天生桥镇', 'tianshengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031103', '451031', '451031103', '平班镇', 'pingbanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031200', '451031', '451031200', '沙梨乡', 'shalixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031201', '451031', '451031201', '隆或乡', 'longhuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031203', '451031', '451031203', '者保乡', 'zhebaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031204', '451031', '451031204', '者浪乡', 'zhelangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031205', '451031', '451031205', '革步乡', 'gebuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031206', '451031', '451031206', '金钟山乡', 'jinzhongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031207', '451031', '451031207', '德峨乡', 'deexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031208', '451031', '451031208', '猪场乡', 'zhuchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031210', '451031', '451031210', '蛇场乡', 'shechangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031211', '451031', '451031211', '克长乡', 'kezhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031213', '451031', '451031213', '岩茶乡', 'yanchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451031215', '451031', '451031215', '介廷乡', 'jietingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4511', '45', '4511', '贺州市', 'hezhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451101', '4511', '451101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102', '4511', '451102', '八步区', 'babuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102001', '451102', '451102001', '八步街道', 'babujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102002', '451102', '451102002', '西湾街道', 'xiwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102101', '451102', '451102101', '贺街镇', 'hejiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102102', '451102', '451102102', '步头镇', 'butouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102103', '451102', '451102103', '莲塘镇', 'liantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102104', '451102', '451102104', '大宁镇', 'daningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102105', '451102', '451102105', '南乡镇', 'nanxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102106', '451102', '451102106', '桂岭镇', 'guilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102107', '451102', '451102107', '开山镇', 'kaishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102108', '451102', '451102108', '黄田镇', 'huangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102109', '451102', '451102109', '里松镇', 'lisongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102110', '451102', '451102110', '鹅塘镇', 'etangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102111', '451102', '451102111', '沙田镇', 'shatianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102112', '451102', '451102112', '公会镇', 'gonghuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102113', '451102', '451102113', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102114', '451102', '451102114', '信都镇', 'xindouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102115', '451102', '451102115', '灵峰镇', 'lingfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102116', '451102', '451102116', '仁义镇', 'renyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102117', '451102', '451102117', '铺门镇', 'pumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102200', '451102', '451102200', '黄洞瑶族乡', 'huangdongyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451102201', '451102', '451102201', '大平瑶族乡', 'dapingyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121', '4511', '451121', '昭平县', 'zhaopingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121100', '451121', '451121100', '昭平镇', 'zhaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121101', '451121', '451121101', '文竹镇', 'wenzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121102', '451121', '451121102', '黄姚镇', 'huangyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121103', '451121', '451121103', '富罗镇', 'fuluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121104', '451121', '451121104', '北陀镇', 'beituozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121105', '451121', '451121105', '马江镇', 'majiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121107', '451121', '451121107', '五将镇', 'wujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121201', '451121', '451121201', '仙回瑶族乡', 'xianhuiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121202', '451121', '451121202', '走马乡', 'zoumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121205', '451121', '451121205', '樟木林乡', 'zhangmulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121206', '451121', '451121206', '凤凰乡', 'fenghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451121208', '451121', '451121208', '木格乡', 'mugexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122', '4511', '451122', '钟山县', 'zhongshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122100', '451122', '451122100', '钟山镇', 'zhongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122102', '451122', '451122102', '望高镇', 'wanggaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122103', '451122', '451122103', '羊头镇', 'yangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122104', '451122', '451122104', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122105', '451122', '451122105', '石龙镇', 'shilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122106', '451122', '451122106', '凤翔镇', 'fengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122107', '451122', '451122107', '珊瑚镇', 'shanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122108', '451122', '451122108', '同古镇', 'tongguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122109', '451122', '451122109', '公安镇', 'gonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122111', '451122', '451122111', '清塘镇', 'qingtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122112', '451122', '451122112', '燕塘镇', 'yantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122113', '451122', '451122113', '红花镇', 'honghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122200', '451122', '451122200', '花山瑶族乡', 'huashanyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451122201', '451122', '451122201', '两安瑶族乡', 'lianganyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123', '4511', '451123', '富川瑶族自治县', 'fuchuanyaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123100', '451123', '451123100', '富阳镇', 'fuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123101', '451123', '451123101', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123102', '451123', '451123102', '莲山镇', 'lianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123103', '451123', '451123103', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123104', '451123', '451123104', '福利镇', 'fulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123105', '451123', '451123105', '麦岭镇', 'mailingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123106', '451123', '451123106', '葛坡镇', 'gepozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123107', '451123', '451123107', '城北镇', 'chengbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123108', '451123', '451123108', '朝东镇', 'chaodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123200', '451123', '451123200', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123201', '451123', '451123201', '石家乡', 'shijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451123203', '451123', '451123203', '柳家乡', 'liujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4512', '45', '4512', '河池市', 'hechishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451201', '4512', '451201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202', '4512', '451202', '金城江区', 'jinchengjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202001', '451202', '451202001', '金城江街道', 'jinchengjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202101', '451202', '451202101', '东江镇', 'dongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202102', '451202', '451202102', '六圩镇', 'liuweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202103', '451202', '451202103', '六甲镇', 'liujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202104', '451202', '451202104', '河池镇', 'hechizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202105', '451202', '451202105', '拔贡镇', 'bagongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202106', '451202', '451202106', '九圩镇', 'jiuweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202107', '451202', '451202107', '五圩镇', 'wuweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202200', '451202', '451202200', '白土乡', 'baituxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202203', '451202', '451202203', '侧岭乡', 'celingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202204', '451202', '451202204', '保平乡', 'baopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451202205', '451202', '451202205', '长老乡', 'zhanglaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221', '4512', '451221', '南丹县', 'nandanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221100', '451221', '451221100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221101', '451221', '451221101', '大厂镇', 'dachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221102', '451221', '451221102', '车河镇', 'chehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221103', '451221', '451221103', '芒场镇', 'mangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221104', '451221', '451221104', '六寨镇', 'liuzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221105', '451221', '451221105', '月里镇', 'yuelizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221106', '451221', '451221106', '吾隘镇', 'wuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221200', '451221', '451221200', '罗富乡', 'luofuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221202', '451221', '451221202', '中堡苗族乡', 'zhongbaomiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221203', '451221', '451221203', '八圩瑶族乡', 'baweiyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451221204', '451221', '451221204', '里湖瑶族乡', 'lihuyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451222', '4512', '451222', '天峨县', 'tianexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451222100', '451222', '451222100', '六排镇', 'liupaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451222101', '451222', '451222101', '向阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451222200', '451222', '451222200', '岜暮乡', 'bamuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451222201', '451222', '451222201', '八腊瑶族乡', 'balayaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451222203', '451222', '451222203', '纳直乡', 'nazhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451222204', '451222', '451222204', '更新乡', 'gengxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451222206', '451222', '451222206', '下老乡', 'xialaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451222207', '451222', '451222207', '坡结乡', 'pojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451222208', '451222', '451222208', '三堡乡', 'sanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451223', '4512', '451223', '凤山县', 'fengshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451223100', '451223', '451223100', '凤城镇', 'fengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451223200', '451223', '451223200', '袍里乡', 'paolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451223201', '451223', '451223201', '砦牙乡', 'zhaiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451223202', '451223', '451223202', '长洲乡', 'zhangzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451223203', '451223', '451223203', '乔音乡', 'qiaoyinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451223205', '451223', '451223205', '金牙瑶族乡', 'jinyayaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451223207', '451223', '451223207', '中亭乡', 'zhongtingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451223208', '451223', '451223208', '平乐瑶族乡', 'pingleyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451223209', '451223', '451223209', '江洲瑶族乡', 'jiangzhouyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224', '4512', '451224', '东兰县', 'donglanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224100', '451224', '451224100', '东兰镇', 'donglanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224101', '451224', '451224101', '隘洞镇', 'aidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224102', '451224', '451224102', '长乐镇', 'zhanglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224103', '451224', '451224103', '三石镇', 'sanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224104', '451224', '451224104', '武篆镇', 'wuzhuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224200', '451224', '451224200', '泗孟乡', 'simengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224201', '451224', '451224201', '兰木乡', 'lanmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224202', '451224', '451224202', '长江乡', 'zhangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224203', '451224', '451224203', '巴畴乡', 'bachouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224204', '451224', '451224204', '金谷乡', 'jinguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224205', '451224', '451224205', '三弄瑶族乡', 'sannongyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224206', '451224', '451224206', '大同乡', 'datongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224207', '451224', '451224207', '花香乡', 'huaxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451224208', '451224', '451224208', '切学乡', 'qiexuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225', '4512', '451225', '罗城仫佬族自治县', 'luochengmulaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225100', '451225', '451225100', '东门镇', 'dongmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225101', '451225', '451225101', '龙岸镇', 'longanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225102', '451225', '451225102', '黄金镇', 'huangjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225103', '451225', '451225103', '小长安镇', 'xiaozhanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225105', '451225', '451225105', '四把镇', 'sibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225106', '451225', '451225106', '天河镇', 'tianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225107', '451225', '451225107', '怀群镇', 'huaiqunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225200', '451225', '451225200', '宝坛乡', 'baotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225202', '451225', '451225202', '乔善乡', 'qiaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225203', '451225', '451225203', '纳翁乡', 'nawengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451225204', '451225', '451225204', '兼爱乡', 'jianaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226', '4512', '451226', '环江毛南族自治县', 'huanjiangmaonanzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226100', '451226', '451226100', '思恩镇', 'sienzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226101', '451226', '451226101', '水源镇', 'shuiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226102', '451226', '451226102', '洛阳镇', 'luoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226103', '451226', '451226103', '川山镇', 'chuanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226104', '451226', '451226104', '明伦镇', 'minglunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226105', '451226', '451226105', '东兴镇', 'dongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226200', '451226', '451226200', '大才乡', 'dacaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226202', '451226', '451226202', '下南乡', 'xiananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226204', '451226', '451226204', '大安乡', 'daanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226205', '451226', '451226205', '长美乡', 'zhangmeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226206', '451226', '451226206', '龙岩乡', 'longyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451226207', '451226', '451226207', '驯乐苗族乡', 'xunlemiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451227', '4512', '451227', '巴马瑶族自治县', 'bamayaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451227100', '451227', '451227100', '巴马镇', 'bamazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451227200', '451227', '451227200', '燕洞乡', 'yandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451227201', '451227', '451227201', '甲篆乡', 'jiazhuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451227202', '451227', '451227202', '那社乡', 'neishexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451227203', '451227', '451227203', '所略乡', 'suolu:exiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451227205', '451227', '451227205', '西山乡', 'xishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451227207', '451227', '451227207', '东山乡', 'dongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451227208', '451227', '451227208', '凤凰乡', 'fenghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451227209', '451227', '451227209', '百林乡', 'bailinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451227210', '451227', '451227210', '那桃乡', 'neitaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228', '4512', '451228', '都安瑶族自治县', 'douanyaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228100', '451228', '451228100', '安阳镇', 'anyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228101', '451228', '451228101', '高岭镇', 'gaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228200', '451228', '451228200', '澄江乡', 'chengjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228202', '451228', '451228202', '地苏乡', 'disuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228204', '451228', '451228204', '东庙乡', 'dongmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228206', '451228', '451228206', '大兴乡', 'daxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228207', '451228', '451228207', '下坳乡', 'xiaaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228208', '451228', '451228208', '隆福乡', 'longfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228209', '451228', '451228209', '保安乡', 'baoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228210', '451228', '451228210', '板岭乡', 'banlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228211', '451228', '451228211', '永安乡', 'yonganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228212', '451228', '451228212', '三只羊乡', 'sanzhiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228213', '451228', '451228213', '龙湾乡', 'longwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228214', '451228', '451228214', '菁盛乡', 'jingshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228215', '451228', '451228215', '拉烈乡', 'laliexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228216', '451228', '451228216', '百旺乡', 'baiwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228217', '451228', '451228217', '加贵乡', 'jiaguixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228218', '451228', '451228218', '拉仁乡', 'larenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451228219', '451228', '451228219', '九渡乡', 'jiuduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229', '4512', '451229', '大化瑶族自治县', 'dahuayaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229100', '451229', '451229100', '大化镇', 'dahuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229101', '451229', '451229101', '都阳镇', 'douyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229102', '451229', '451229102', '岩滩镇', 'yantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229200', '451229', '451229200', '共和乡', 'gonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229201', '451229', '451229201', '贡川乡', 'gongchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229202', '451229', '451229202', '百马乡', 'baimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229203', '451229', '451229203', '古河乡', 'guhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229204', '451229', '451229204', '古文乡', 'guwenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229205', '451229', '451229205', '江南乡', 'jiangnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229206', '451229', '451229206', '羌圩乡', 'qiangweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229207', '451229', '451229207', '乙圩乡', 'yiweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229208', '451229', '451229208', '北景乡', 'beijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229210', '451229', '451229210', '板升乡', 'banshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229211', '451229', '451229211', '七百弄乡', 'qibainongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229213', '451229', '451229213', '雅龙乡', 'yalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451229214', '451229', '451229214', '六也乡', 'liuyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281', '4512', '451281', '宜州市', 'yizhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281100', '451281', '451281100', '庆远镇', 'qingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281101', '451281', '451281101', '三岔镇', 'sanchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281102', '451281', '451281102', '洛西镇', 'luoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281103', '451281', '451281103', '怀远镇', 'huaiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281104', '451281', '451281104', '德胜镇', 'deshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281105', '451281', '451281105', '石别镇', 'shibiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281106', '451281', '451281106', '北山镇', 'beishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281200', '451281', '451281200', '祥贝乡', 'xiangbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281201', '451281', '451281201', '刘三姐乡', 'liusanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281203', '451281', '451281203', '屏南乡', 'pingnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281204', '451281', '451281204', '洛东乡', 'luodongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281207', '451281', '451281207', '福龙瑶族乡', 'fulongyaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281208', '451281', '451281208', '北牙瑶族乡', 'beiyayaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281210', '451281', '451281210', '同德乡', 'tongdexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281211', '451281', '451281211', '安马乡', 'anmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451281213', '451281', '451281213', '龙头乡', 'longtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4513', '45', '4513', '来宾市', 'laibinshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451301', '4513', '451301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302', '4513', '451302', '兴宾区', 'xingbinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302001', '451302', '451302001', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302002', '451302', '451302002', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302003', '451302', '451302003', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302101', '451302', '451302101', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302102', '451302', '451302102', '良江镇', 'liangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302103', '451302', '451302103', '小平阳镇', 'xiaopingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302104', '451302', '451302104', '迁江镇', 'qianjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302105', '451302', '451302105', '石陵镇', 'shilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302106', '451302', '451302106', '平阳镇', 'pingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302201', '451302', '451302201', '三五乡', 'sanwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302202', '451302', '451302202', '五山乡', 'wushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302203', '451302', '451302203', '陶邓乡', 'taodengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302204', '451302', '451302204', '桥巩乡', 'qiaogongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302205', '451302', '451302205', '良塘乡', 'liangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302206', '451302', '451302206', '七洞乡', 'qidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302209', '451302', '451302209', '城厢乡', 'chengxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302210', '451302', '451302210', '蒙村乡', 'mengcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302211', '451302', '451302211', '寺山乡', 'sishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302212', '451302', '451302212', '石牙乡', 'shiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302213', '451302', '451302213', '南泗乡', 'nansixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302214', '451302', '451302214', '高安乡', 'gaoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302215', '451302', '451302215', '大湾乡', 'dawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451302216', '451302', '451302216', '正龙乡', 'zhenglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321', '4513', '451321', '忻城县', 'xinchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321100', '451321', '451321100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321101', '451321', '451321101', '大塘镇', 'datangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321102', '451321', '451321102', '思练镇', 'silianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321103', '451321', '451321103', '红渡镇', 'hongduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321104', '451321', '451321104', '古蓬镇', 'gupengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321201', '451321', '451321201', '马泗乡', 'masixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321202', '451321', '451321202', '欧洞乡', 'oudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321203', '451321', '451321203', '安东乡', 'andongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321204', '451321', '451321204', '果遂乡', 'guosuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321205', '451321', '451321205', '新圩乡', 'xinweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321206', '451321', '451321206', '遂意乡', 'suiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451321207', '451321', '451321207', '北更乡', 'beigengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322', '4513', '451322', '象州县', 'xiangzhouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322100', '451322', '451322100', '象州镇', 'xiangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322101', '451322', '451322101', '石龙镇', 'shilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322102', '451322', '451322102', '运江镇', 'yunjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322103', '451322', '451322103', '寺村镇', 'sicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322104', '451322', '451322104', '中平镇', 'zhongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322105', '451322', '451322105', '罗秀镇', 'luoxiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322106', '451322', '451322106', '大乐镇', 'dalezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322200', '451322', '451322200', '马坪乡', 'mapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322201', '451322', '451322201', '妙皇乡', 'miaohuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322202', '451322', '451322202', '百丈乡', 'baizhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451322203', '451322', '451322203', '水晶乡', 'shuijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451323', '4513', '451323', '武宣县', 'wuxuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451323100', '451323', '451323100', '武宣镇', 'wuxuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451323101', '451323', '451323101', '桐岭镇', 'tonglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451323102', '451323', '451323102', '通挽镇', 'tongwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451323103', '451323', '451323103', '东乡镇', 'dongxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451323104', '451323', '451323104', '三里镇', 'sanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451323105', '451323', '451323105', '二塘镇', 'ertangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451323106', '451323', '451323106', '黄茆镇', 'huangmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451323201', '451323', '451323201', '禄新乡', 'luxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451323202', '451323', '451323202', '思灵乡', 'silingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451323204', '451323', '451323204', '金鸡乡', 'jinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451324', '4513', '451324', '金秀瑶族自治县', 'jinxiuyaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451324100', '451324', '451324100', '金秀镇', 'jinxiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451324101', '451324', '451324101', '桐木镇', 'tongmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451324102', '451324', '451324102', '头排镇', 'toupaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451324200', '451324', '451324200', '三角乡', 'sanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451324201', '451324', '451324201', '忠良乡', 'zhongliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451324202', '451324', '451324202', '罗香乡', 'luoxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451324203', '451324', '451324203', '长垌乡', 'zhangtongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451324204', '451324', '451324204', '大樟乡', 'dazhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451324205', '451324', '451324205', '六巷乡', 'liuxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451324207', '451324', '451324207', '三江乡', 'sanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451381', '4513', '451381', '合山市', 'heshanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451381100', '451381', '451381100', '岭南镇', 'lingnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451381200', '451381', '451381200', '北泗乡', 'beisixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451381201', '451381', '451381201', '河里乡', 'helixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4514', '45', '4514', '崇左市', 'chongzuoshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451401', '4514', '451401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451402', '4514', '451402', '江州区', 'jiangzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451402100', '451402', '451402100', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451402101', '451402', '451402101', '新和镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451402102', '451402', '451402102', '濑湍镇', 'laituanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451402103', '451402', '451402103', '江州镇', 'jiangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451402104', '451402', '451402104', '左州镇', 'zuozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451402105', '451402', '451402105', '那隆镇', 'neilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451402106', '451402', '451402106', '驮卢镇', 'tuoluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451402201', '451402', '451402201', '罗白乡', 'luobaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451402202', '451402', '451402202', '板利乡', 'banlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421', '4514', '451421', '扶绥县', 'fusuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421100', '451421', '451421100', '新宁镇', 'xinningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421101', '451421', '451421101', '渠黎镇', 'qulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421102', '451421', '451421102', '渠旧镇', 'qujiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421103', '451421', '451421103', '柳桥镇', 'liuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421104', '451421', '451421104', '东门镇', 'dongmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421105', '451421', '451421105', '山圩镇', 'shanweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421106', '451421', '451421106', '中东镇', 'zhongdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421107', '451421', '451421107', '东罗镇', 'dongluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421201', '451421', '451421201', '龙头乡', 'longtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421202', '451421', '451421202', '岜盆乡', 'bapenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451421203', '451421', '451421203', '昌平乡', 'changpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422', '4514', '451422', '宁明县', 'ningmingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422100', '451422', '451422100', '城中镇', 'chengzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422101', '451422', '451422101', '爱店镇', 'aidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422102', '451422', '451422102', '明江镇', 'mingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422103', '451422', '451422103', '海渊镇', 'haiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422201', '451422', '451422201', '亭亮乡', 'tingliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422202', '451422', '451422202', '寨安乡', 'zhaianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422203', '451422', '451422203', '峙浪乡', 'zhilangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422204', '451422', '451422204', '东安乡', 'donganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422205', '451422', '451422205', '板棍乡', 'bangunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422206', '451422', '451422206', '北江乡', 'beijiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422207', '451422', '451422207', '桐棉乡', 'tongmianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422208', '451422', '451422208', '那堪乡', 'neikanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451422209', '451422', '451422209', '那楠乡', 'neinanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423', '4514', '451423', '龙州县', 'longzhouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423100', '451423', '451423100', '龙州镇', 'longzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423101', '451423', '451423101', '下冻镇', 'xiadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423102', '451423', '451423102', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423103', '451423', '451423103', '金龙镇', 'jinlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423104', '451423', '451423104', '响水镇', 'xiangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423201', '451423', '451423201', '八角乡', 'bajiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423202', '451423', '451423202', '上降乡', 'shangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423203', '451423', '451423203', '彬桥乡', 'binqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423204', '451423', '451423204', '上龙乡', 'shanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423205', '451423', '451423205', '武德乡', 'wudexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423206', '451423', '451423206', '逐卜乡', 'zhubuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451423207', '451423', '451423207', '上金乡', 'shangjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424', '4514', '451424', '大新县', 'daxinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424100', '451424', '451424100', '桃城镇', 'taochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424101', '451424', '451424101', '全茗镇', 'quanmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424102', '451424', '451424102', '雷平镇', 'leipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424103', '451424', '451424103', '硕龙镇', 'shuolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424104', '451424', '451424104', '下雷镇', 'xialeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424200', '451424', '451424200', '五山乡', 'wushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424201', '451424', '451424201', '龙门乡', 'longmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424202', '451424', '451424202', '昌明乡', 'changmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424203', '451424', '451424203', '福隆乡', 'fulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424204', '451424', '451424204', '那岭乡', 'neilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424205', '451424', '451424205', '恩城乡', 'enchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424206', '451424', '451424206', '榄圩乡', 'lanweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424207', '451424', '451424207', '宝圩乡', 'baoweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451424208', '451424', '451424208', '堪圩乡', 'kanweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425', '4514', '451425', '天等县', 'tiandengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425100', '451425', '451425100', '天等镇', 'tiandengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425101', '451425', '451425101', '龙茗镇', 'longmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425102', '451425', '451425102', '进结镇', 'jinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425103', '451425', '451425103', '向都镇', 'xiangdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425200', '451425', '451425200', '都康乡', 'doukangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425201', '451425', '451425201', '宁干乡', 'ningganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425202', '451425', '451425202', '驮堪乡', 'tuokanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425203', '451425', '451425203', '福新乡', 'fuxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425204', '451425', '451425204', '东平乡', 'dongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425205', '451425', '451425205', '进远乡', 'jinyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425206', '451425', '451425206', '上映乡', 'shangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425207', '451425', '451425207', '把荷乡', 'bahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451425208', '451425', '451425208', '小山乡', 'xiaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451481', '4514', '451481', '凭祥市', 'pingxiangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451481100', '451481', '451481100', '凭祥镇', 'pingxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451481101', '451481', '451481101', '友谊镇', 'youyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451481102', '451481', '451481102', '上石镇', 'shangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('451481103', '451481', '451481103', '夏石镇', 'xiashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('46', '-1', '46', '海南省', 'hainansheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4601', '46', '4601', '海口市', 'haikoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460101', '4601', '460101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460105', '4601', '460105', '秀英区', 'xiuyingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460105001', '460105', '460105001', '秀英街道', 'xiuyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460105002', '460105', '460105002', '海秀街道办', 'haixiujiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460105100', '460105', '460105100', '长流镇', 'zhangliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460105101', '460105', '460105101', '西秀镇', 'xixiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460105102', '460105', '460105102', '海秀镇', 'haixiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460105103', '460105', '460105103', '石山镇', 'shishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460105104', '460105', '460105104', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460105105', '460105', '460105105', '东山镇', 'dongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106', '4601', '460106', '龙华区', 'longhuaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106001', '460106', '460106001', '中山街道', 'zhongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106002', '460106', '460106002', '滨海街道', 'binhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106003', '460106', '460106003', '金贸街道', 'jinmaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106004', '460106', '460106004', '大同街道', 'datongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106005', '460106', '460106005', '海垦街道', 'haikenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106006', '460106', '460106006', '金宇街道', 'jinyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106100', '460106', '460106100', '城西镇', 'chengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106101', '460106', '460106101', '龙桥镇', 'longqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106102', '460106', '460106102', '新坡镇', 'xinpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106103', '460106', '460106103', '遵谭镇', 'zuntanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460106104', '460106', '460106104', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107', '4601', '460107', '琼山区', 'qiongshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107001', '460107', '460107001', '国兴街道办', 'guoxingjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107100', '460107', '460107100', '府城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107101', '460107', '460107101', '龙塘镇', 'longtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107102', '460107', '460107102', '云龙镇', 'yunlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107103', '460107', '460107103', '红旗镇', 'hongqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107104', '460107', '460107104', '三门坡镇', 'sanmenpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107105', '460107', '460107105', '大坡镇', 'dapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107106', '460107', '460107106', '甲子镇', 'jiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107107', '460107', '460107107', '旧州镇', 'jiuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107400', '460107', '460107400', '国营红明农场', 'guoyinghongmingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107401', '460107', '460107401', '国营东昌农场', 'guoyingdongchangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107500', '460107', '460107500', '省岭脚热带作物场', 'shenglingjiaoredaizuowuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460107501', '460107', '460107501', '省长昌煤矿', 'shengzhangchangmeikuang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108', '4601', '460108', '美兰区', 'meilanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108001', '460108', '460108001', '海府街道', 'haifujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108002', '460108', '460108002', '蓝天街道', 'lantianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108003', '460108', '460108003', '博爱街道', 'boaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108004', '460108', '460108004', '海甸街道', 'haidianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108005', '460108', '460108005', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108006', '460108', '460108006', '白龙街道', 'bailongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108007', '460108', '460108007', '和平南街道', 'hepingnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108008', '460108', '460108008', '白沙街道', 'baishajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108009', '460108', '460108009', '新埠街道', 'xinbujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108101', '460108', '460108101', '灵山镇', 'lingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108102', '460108', '460108102', '演丰镇', 'yanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108103', '460108', '460108103', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108104', '460108', '460108104', '大致坡镇', 'dazhipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108400', '460108', '460108400', '国营桂林洋农场', 'guoyingguilinyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108401', '460108', '460108401', '国营三江农场', 'guoyingsanjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460108500', '460108', '460108500', '罗牛山农场', 'luoniushannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4602', '46', '4602', '三亚市', 'sanyashi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201', '4602', '460201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201001', '460201', '460201001', '河西区(虚拟街道办)', 'hexiqu(xunijiedaoban)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201002', '460201', '460201002', '河东区(虚拟街道办)', 'hedongqu(xunijiedaoban)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201100', '460201', '460201100', '海棠湾镇', 'haitangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201101', '460201', '460201101', '田独镇', 'tianduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201102', '460201', '460201102', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201103', '460201', '460201103', '崖城镇', 'yachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201104', '460201', '460201104', '天涯镇', 'tianyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201105', '460201', '460201105', '育才镇', 'yucaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201400', '460201', '460201400', '国营南田农场', 'guoyingnantiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201401', '460201', '460201401', '国营南新农场', 'guoyingnanxinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201402', '460201', '460201402', '国营南岛农场', 'guoyingnandaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201403', '460201', '460201403', '国营立才农场', 'guoyinglicainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('460201404', '460201', '460201404', '国营南滨农场', 'guoyingnanbinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4690', '46', '4690', '省属虚拟市', 'shengshuxunishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469001', '4690', '469001', '五指山市', 'wuzhishanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469001100', '469001', '469001100', '冲山镇', 'chongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469001101', '469001', '469001101', '南圣镇', 'nanshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469001102', '469001', '469001102', '毛阳镇', 'maoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469001103', '469001', '469001103', '番阳镇', 'fanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469001200', '469001', '469001200', '畅好乡', 'changhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469001201', '469001', '469001201', '毛道乡', 'maodaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469001202', '469001', '469001202', '水满乡', 'shuimanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469001400', '469001', '469001400', '国营畅好农场', 'guoyingchanghaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002', '4690', '469002', '琼海市', 'qionghaishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002100', '469002', '469002100', '嘉积镇', 'jiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002101', '469002', '469002101', '万泉镇', 'wanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002102', '469002', '469002102', '石壁镇', 'shibizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002103', '469002', '469002103', '中原镇', 'zhongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002104', '469002', '469002104', '博敖镇', 'boaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002105', '469002', '469002105', '阳江镇', 'yangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002106', '469002', '469002106', '龙江镇', 'longjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002107', '469002', '469002107', '潭门镇', 'tanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002108', '469002', '469002108', '塔洋镇', 'tayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002109', '469002', '469002109', '长坡镇', 'zhangpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002110', '469002', '469002110', '大路镇', 'daluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002111', '469002', '469002111', '会山镇', 'huishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002400', '469002', '469002400', '国营东太农场', 'guoyingdongtainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002401', '469002', '469002401', '国营东平农场', 'guoyingdongpingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002402', '469002', '469002402', '国营东红农场', 'guoyingdonghongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002403', '469002', '469002403', '国营东升农场', 'guoyingdongshengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002404', '469002', '469002404', '国营南俸农场', 'guoyingnanfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469002500', '469002', '469002500', '彬村山华侨农场', 'bincunshanhuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003', '4690', '469003', '儋州市', 'danzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003100', '469003', '469003100', '那大镇', 'neidazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003101', '469003', '469003101', '和庆镇', 'heqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003102', '469003', '469003102', '南丰镇', 'nanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003103', '469003', '469003103', '大成镇', 'dachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003104', '469003', '469003104', '雅星镇', 'yaxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003105', '469003', '469003105', '兰洋镇', 'lanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003106', '469003', '469003106', '光村镇', 'guangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003107', '469003', '469003107', '木棠镇', 'mutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003108', '469003', '469003108', '海头镇', 'haitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003109', '469003', '469003109', '峨蔓镇', 'emanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003110', '469003', '469003110', '三都镇', 'sandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003111', '469003', '469003111', '王五镇', 'wangwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003112', '469003', '469003112', '白马井镇', 'baimajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003113', '469003', '469003113', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003114', '469003', '469003114', '排浦镇', 'paipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003115', '469003', '469003115', '东成镇', 'dongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003116', '469003', '469003116', '新州镇', 'xinzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003400', '469003', '469003400', '国营西培农场', 'guoyingxipeinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003401', '469003', '469003401', '国营西华农场', 'guoyingxihuanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003402', '469003', '469003402', '国营西庆农场', 'guoyingxiqingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003403', '469003', '469003403', '国营西流农场', 'guoyingxiliunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003404', '469003', '469003404', '国营西联农场', 'guoyingxiliannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003405', '469003', '469003405', '国营蓝洋农场', 'guoyinglanyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003406', '469003', '469003406', '国营新盈农场', 'guoyingxinyingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003407', '469003', '469003407', '国营八一农场东山分场', 'guoyingbayinongchangdongshanfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003408', '469003', '469003408', '国营八一农场金川分场', 'guoyingbayinongchangjinchuanfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003409', '469003', '469003409', '国营八一农场长岭分场', 'guoyingbayinongchangzhanglingfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003410', '469003', '469003410', '国营八一农场英岛分场', 'guoyingbayinongchangyingdaofenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003411', '469003', '469003411', '国营八一农场春江分场', 'guoyingbayinongchangchunjiangfenchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003412', '469003', '469003412', '国营八一农场强打管区', 'guoyingbayinongchangqiangdaguanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003413', '469003', '469003413', '国营龙山农场', 'guoyinglongshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003414', '469003', '469003414', '国营红岭农场', 'guoyinghonglingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003415', '469003', '469003415', '洋浦经济开发区', 'yangpujingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469003500', '469003', '469003500', '华南热作学院', 'huananrezuoxueyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005', '4690', '469005', '文昌市', 'wenchangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005100', '469005', '469005100', '文城镇', 'wenchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005101', '469005', '469005101', '重兴镇', 'zhongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005102', '469005', '469005102', '蓬莱镇', 'penglaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005103', '469005', '469005103', '会文镇', 'huiwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005104', '469005', '469005104', '东路镇', 'dongluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005105', '469005', '469005105', '潭牛镇', 'tanniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005106', '469005', '469005106', '东阁镇', 'donggezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005107', '469005', '469005107', '文教镇', 'wenjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005108', '469005', '469005108', '东郊镇', 'dongjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005109', '469005', '469005109', '龙楼镇', 'longlouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005110', '469005', '469005110', '昌洒镇', 'changsazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005111', '469005', '469005111', '翁田镇', 'wengtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005112', '469005', '469005112', '抱罗镇', 'baoluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005113', '469005', '469005113', '冯坡镇', 'fengpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005114', '469005', '469005114', '锦山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005115', '469005', '469005115', '铺前镇', 'puqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005400', '469005', '469005400', '国营东路农场', 'guoyingdonglunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005401', '469005', '469005401', '国营南阳农场', 'guoyingnanyangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005402', '469005', '469005402', '国营罗豆农场', 'guoyingluodounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469005403', '469005', '469005403', '国营文昌橡胶研究所', 'guoyingwenchangxiangjiaoyanjiusuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006', '4690', '469006', '万宁市', 'wanningshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006100', '469006', '469006100', '万城镇', 'wanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006101', '469006', '469006101', '龙滚镇', 'longgunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006102', '469006', '469006102', '和乐镇', 'helezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006103', '469006', '469006103', '后安镇', 'houanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006104', '469006', '469006104', '大茂镇', 'damaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006105', '469006', '469006105', '东澳镇', 'dongaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006106', '469006', '469006106', '礼纪镇', 'lijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006107', '469006', '469006107', '长丰镇', 'zhangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006108', '469006', '469006108', '山根镇', 'shangenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006109', '469006', '469006109', '北大镇', 'beidazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006110', '469006', '469006110', '南桥镇', 'nanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006111', '469006', '469006111', '三更罗镇', 'sangengluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006400', '469006', '469006400', '国营东兴农场', 'guoyingdongxingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006401', '469006', '469006401', '国营东和农场', 'guoyingdonghenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006402', '469006', '469006402', '国营东岭农场', 'guoyingdonglingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006403', '469006', '469006403', '国营南林农场', 'guoyingnanlinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006404', '469006', '469006404', '国营新中农场', 'guoyingxinzhongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006500', '469006', '469006500', '兴隆华侨农场', 'xinglonghuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469006501', '469006', '469006501', '地方国营六连林场', 'difangguoyingliulianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007', '4690', '469007', '东方市', 'dongfangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007100', '469007', '469007100', '八所镇', 'basuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007101', '469007', '469007101', '东河镇', 'donghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007102', '469007', '469007102', '大田镇', 'datianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007103', '469007', '469007103', '感城镇', 'ganchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007104', '469007', '469007104', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007105', '469007', '469007105', '三家镇', 'sanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007106', '469007', '469007106', '四更镇', 'sigengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007107', '469007', '469007107', '新龙镇', 'xinlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007200', '469007', '469007200', '天安乡', 'tiananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007201', '469007', '469007201', '江边乡', 'jiangbianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007400', '469007', '469007400', '国营广坝农场', 'guoyingguangbanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007401', '469007', '469007401', '国营公爱农场', 'guoyinggongainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007402', '469007', '469007402', '国营红泉农场', 'guoyinghongquannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469007500', '469007', '469007500', '省国营东方华侨农场', 'shengguoyingdongfanghuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025', '4690', '469025', '定安县', 'dinganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025100', '469025', '469025100', '定城镇', 'dingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025101', '469025', '469025101', '新竹镇', 'xinzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025102', '469025', '469025102', '龙湖镇', 'longhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025103', '469025', '469025103', '黄竹镇', 'huangzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025104', '469025', '469025104', '雷鸣镇', 'leimingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025105', '469025', '469025105', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025106', '469025', '469025106', '龙河镇', 'longhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025107', '469025', '469025107', '岭口镇', 'lingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025108', '469025', '469025108', '翰林镇', 'hanlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025109', '469025', '469025109', '富文镇', 'fuwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025400', '469025', '469025400', '国营中瑞农场', 'guoyingzhongruinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025401', '469025', '469025401', '国营南海农场', 'guoyingnanhainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025402', '469025', '469025402', '国营金鸡岭农场', 'guoyingjinjilingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469025403', '469025', '469025403', '定安热作研究所', 'dinganrezuoyanjiusuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026', '4690', '469026', '屯昌县', 'tunchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026100', '469026', '469026100', '屯城镇', 'tunchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026101', '469026', '469026101', '新兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026102', '469026', '469026102', '枫木镇', 'fengmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026103', '469026', '469026103', '乌坡镇', 'wupozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026104', '469026', '469026104', '南吕镇', 'nanlu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026105', '469026', '469026105', '南坤镇', 'nankunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026106', '469026', '469026106', '坡心镇', 'poxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026107', '469026', '469026107', '西昌镇', 'xichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026400', '469026', '469026400', '国营中建农场', 'guoyingzhongjiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026401', '469026', '469026401', '国营中坤农场', 'guoyingzhongkunnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026402', '469026', '469026402', '国营黄岭农场', 'guoyinghuanglingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026403', '469026', '469026403', '国营南吕农场', 'guoyingnanlu:nongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026404', '469026', '469026404', '国营广青农场', 'guoyingguangqingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469026405', '469026', '469026405', '国营晨星农场', 'guoyingchenxingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027', '4690', '469027', '澄迈县', 'chengmaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027100', '469027', '469027100', '金江镇', 'jinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027101', '469027', '469027101', '老城镇', 'laochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027102', '469027', '469027102', '瑞溪镇', 'ruixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027103', '469027', '469027103', '永发镇', 'yongfazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027104', '469027', '469027104', '加乐镇', 'jialezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027105', '469027', '469027105', '文儒镇', 'wenruzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027106', '469027', '469027106', '中兴镇', 'zhongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027107', '469027', '469027107', '仁兴镇', 'renxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027108', '469027', '469027108', '福山镇', 'fushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027109', '469027', '469027109', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027400', '469027', '469027400', '国营红光农场', 'guoyinghongguangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027401', '469027', '469027401', '国营红岗农场', 'guoyinghonggangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027402', '469027', '469027402', '国营西达农场', 'guoyingxidanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027403', '469027', '469027403', '国营昆仑农场', 'guoyingkunlunnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027404', '469027', '469027404', '国营和岭农场', 'guoyinghelingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027405', '469027', '469027405', '国营金安农场', 'guoyingjinannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469027500', '469027', '469027500', '澄迈县华侨农场', 'chengmaixianhuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028', '4690', '469028', '临高县', 'lingaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028100', '469028', '469028100', '临城镇', 'linchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028101', '469028', '469028101', '波莲镇', 'bolianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028102', '469028', '469028102', '东英镇', 'dongyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028103', '469028', '469028103', '博厚镇', 'bohouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028104', '469028', '469028104', '皇桐镇', 'huangtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028105', '469028', '469028105', '多文镇', 'duowenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028106', '469028', '469028106', '和舍镇', 'heshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028107', '469028', '469028107', '南宝镇', 'nanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028108', '469028', '469028108', '新盈镇', 'xinyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028109', '469028', '469028109', '调楼镇', 'diaolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028400', '469028', '469028400', '国营红华农场', 'guoyinghonghuanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469028401', '469028', '469028401', '国营加来农场', 'guoyingjialainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030', '4690', '469030', '白沙黎族自治县', 'baishalizuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030100', '469030', '469030100', '牙叉镇', 'yachazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030101', '469030', '469030101', '七坊镇', 'qifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030102', '469030', '469030102', '邦溪镇', 'bangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030103', '469030', '469030103', '打安镇', 'daanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030200', '469030', '469030200', '细水乡', 'xishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030201', '469030', '469030201', '元门乡', 'yuanmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030202', '469030', '469030202', '南开乡', 'nankaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030203', '469030', '469030203', '阜龙乡', 'fulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030204', '469030', '469030204', '青松乡', 'qingsongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030205', '469030', '469030205', '金波乡', 'jinboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030206', '469030', '469030206', '荣邦乡', 'rongbangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030400', '469030', '469030400', '国营金波农场', 'guoyingjinbonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030401', '469030', '469030401', '国营白沙农场', 'guoyingbaishanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030402', '469030', '469030402', '国营牙叉农场', 'guoyingyachanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030403', '469030', '469030403', '国营卫星农场', 'guoyingweixingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030404', '469030', '469030404', '国营龙江农场', 'guoyinglongjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030405', '469030', '469030405', '国营珠碧江农场', 'guoyingzhubijiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030406', '469030', '469030406', '国营芙蓉田农场', 'guoyingfurongtiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030407', '469030', '469030407', '国营大岭农场', 'guoyingdalingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469030408', '469030', '469030408', '国营邦溪农场', 'guoyingbangxinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031', '4690', '469031', '昌江黎族自治县', 'changjianglizuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031100', '469031', '469031100', '石碌镇', 'shiliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031101', '469031', '469031101', '叉河镇', 'chahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031102', '469031', '469031102', '十月田镇', 'shiyuetianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031103', '469031', '469031103', '乌烈镇', 'wuliezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031104', '469031', '469031104', '昌化镇', 'changhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031105', '469031', '469031105', '海尾镇', 'haiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031106', '469031', '469031106', '七叉镇', 'qichazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031200', '469031', '469031200', '王下乡', 'wangxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031400', '469031', '469031400', '国营红田农场', 'guoyinghongtiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031401', '469031', '469031401', '国营红林农场', 'guoyinghonglinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031500', '469031', '469031500', '国营坝王岭林场', 'guoyingbawanglinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469031501', '469031', '469031501', '海南钢铁公司', 'hainangangtiegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033', '4690', '469033', '乐东黎族自治县', 'ledonglizuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033100', '469033', '469033100', '抱由镇', 'baoyouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033101', '469033', '469033101', '万冲镇', 'wanchongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033102', '469033', '469033102', '大安镇', 'daanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033103', '469033', '469033103', '志仲镇', 'zhizhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033104', '469033', '469033104', '千家镇', 'qianjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033105', '469033', '469033105', '九所镇', 'jiusuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033106', '469033', '469033106', '利国镇', 'liguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033107', '469033', '469033107', '黄流镇', 'huangliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033108', '469033', '469033108', '佛罗镇', 'foluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033109', '469033', '469033109', '尖峰镇', 'jianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033110', '469033', '469033110', '莺歌海镇', 'yinggehaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033400', '469033', '469033400', '国营乐中农场', 'guoyinglezhongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033401', '469033', '469033401', '国营山荣农场', 'guoyingshanrongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033402', '469033', '469033402', '国营乐光农场', 'guoyingleguangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033403', '469033', '469033403', '国营报伦农场', 'guoyingbaolunnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033404', '469033', '469033404', '国营福报农场', 'guoyingfubaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033405', '469033', '469033405', '国营保国农场', 'guoyingbaoguonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033406', '469033', '469033406', '国营保显农场', 'guoyingbaoxiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033500', '469033', '469033500', '国营尖峰岭林业公司', 'guoyingjianfenglinglinyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469033501', '469033', '469033501', '国营莺歌海盐场', 'guoyingyinggehaiyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034', '4690', '469034', '陵水黎族自治县', 'lingshuilizuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034100', '469034', '469034100', '椰林镇', 'yelinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034101', '469034', '469034101', '光坡镇', 'guangpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034102', '469034', '469034102', '三才镇', 'sancaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034103', '469034', '469034103', '英州镇', 'yingzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034104', '469034', '469034104', '隆广镇', 'longguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034105', '469034', '469034105', '文罗镇', 'wenluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034106', '469034', '469034106', '本号镇', 'benhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034107', '469034', '469034107', '新村镇', 'xincunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034108', '469034', '469034108', '黎安镇', 'lianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034200', '469034', '469034200', '提蒙乡', 'timengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034201', '469034', '469034201', '群英乡', 'qunyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034400', '469034', '469034400', '国营岭门农场', 'guoyinglingmennongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034401', '469034', '469034401', '国营南平农场', 'guoyingnanpingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469034500', '469034', '469034500', '国营吊罗山林业公司', 'guoyingdiaoluoshanlinyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035', '4690', '469035', '保亭黎族苗族自治县', 'baotinglizumiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035100', '469035', '469035100', '保城镇', 'baochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035101', '469035', '469035101', '什玲镇', 'shenlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035102', '469035', '469035102', '加茂镇', 'jiamaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035103', '469035', '469035103', '响水镇', 'xiangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035104', '469035', '469035104', '新政镇', 'xinzhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035105', '469035', '469035105', '三道镇', 'sandaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035200', '469035', '469035200', '六弓乡', 'liugongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035201', '469035', '469035201', '南林乡', 'nanlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035202', '469035', '469035202', '毛感乡', 'maoganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035400', '469035', '469035400', '国营五指山茶场', 'guoyingwuzhishanchachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035401', '469035', '469035401', '国营新星农场', 'guoyingxinxingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035402', '469035', '469035402', '国营保亭热作所', 'guoyingbaotingrezuosuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035403', '469035', '469035403', '国营金江农场', 'guoyingjinjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035404', '469035', '469035404', '国营南茂农场', 'guoyingnanmaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469035405', '469035', '469035405', '国营三道农场', 'guoyingsandaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036', '4690', '469036', '琼中黎族苗族自治县', 'qiongzhonglizumiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036100', '469036', '469036100', '营根镇', 'yinggenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036101', '469036', '469036101', '湾岭镇', 'wanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036102', '469036', '469036102', '黎母山镇', 'limushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036103', '469036', '469036103', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036104', '469036', '469036104', '长征镇', 'zhangzhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036105', '469036', '469036105', '红毛镇', 'hongmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036106', '469036', '469036106', '中平镇', 'zhongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036200', '469036', '469036200', '吊罗山乡', 'diaoluoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036201', '469036', '469036201', '上安乡', 'shanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036202', '469036', '469036202', '什运乡', 'shenyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036400', '469036', '469036400', '国营新进农场', 'guoyingxinjinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036401', '469036', '469036401', '国营大丰农场', 'guoyingdafengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036402', '469036', '469036402', '国营阳江农场', 'guoyingyangjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036403', '469036', '469036403', '国营乌石农场', 'guoyingwushinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036404', '469036', '469036404', '国营南方农场', 'guoyingnanfangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036405', '469036', '469036405', '国营岭头农场', 'guoyinglingtounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036406', '469036', '469036406', '国营加钗农场', 'guoyingjiachainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036407', '469036', '469036407', '国营长征农场', 'guoyingzhangzhengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036408', '469036', '469036408', '国营乘坡农场', 'guoyingchengponongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036409', '469036', '469036409', '国营太平农场', 'guoyingtaipingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036410', '469036', '469036410', '国营新伟农场', 'guoyingxinweinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469036500', '469036', '469036500', '国营黎母山林业公司', 'guoyinglimushanlinyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469037', '4690', '469037', '西沙群岛', 'xishaqundao', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469037100', '469037', '469037100', '永兴岛(虚拟镇)', 'yongxingdao(xunizhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469038', '4690', '469038', '南沙群岛', 'nanshaqundao', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469038100', '469038', '469038100', '永署礁(虚拟镇)', 'yongshujiao(xunizhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469039', '4690', '469039', '中沙群岛的岛礁及其海域', 'zhongshaqundaodedaojiaojiqihaiyu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('469039100', '469039', '469039100', '中沙岛礁(虚拟镇)', 'zhongshadaojiao(xunizhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('4c9cbcd546b64cb7801d90ddd3c204b3', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, 'admin', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('50', '-1', '50', '重庆市', 'zhongqingshi', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5001', '50', '5001', '市辖区', 'shixiaqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101', '5001', '500101', '万州区', 'wanzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101001', '500101', '500101001', '高笋塘街道', 'gaosuntangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101017', '500101', '500101017', '太白街道', 'taibaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101018', '500101', '500101018', '牌楼街道', 'pailoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101019', '500101', '500101019', '双河口街道', 'shuanghekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101020', '500101', '500101020', '龙都街道', 'longdoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101021', '500101', '500101021', '周家坝街道', 'zhoujiabajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101022', '500101', '500101022', '沙河街道', 'shahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101023', '500101', '500101023', '钟鼓楼街道', 'zhongguloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101024', '500101', '500101024', '百安坝街道', 'baianbajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101025', '500101', '500101025', '五桥街道', 'wuqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101026', '500101', '500101026', '陈家坝街道', 'chenjiabajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101109', '500101', '500101109', '小周镇', 'xiaozhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101110', '500101', '500101110', '大周镇', 'dazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101123', '500101', '500101123', '新乡镇', 'xinxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101132', '500101', '500101132', '孙家镇', 'sunjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101134', '500101', '500101134', '高峰镇', 'gaofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101135', '500101', '500101135', '龙沙镇', 'longshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101136', '500101', '500101136', '响水镇', 'xiangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101137', '500101', '500101137', '武陵镇', 'wulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101138', '500101', '500101138', '壤渡镇', 'rangduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101139', '500101', '500101139', '甘宁镇', 'ganningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101140', '500101', '500101140', '天城镇', 'tianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101141', '500101', '500101141', '熊家镇', 'xiongjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101142', '500101', '500101142', '高梁镇', 'gaoliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101143', '500101', '500101143', '李河镇', 'lihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101144', '500101', '500101144', '分水镇', 'fenshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101145', '500101', '500101145', '余家镇', 'yujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101146', '500101', '500101146', '后山镇', 'houshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101147', '500101', '500101147', '弹子镇', 'danzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101148', '500101', '500101148', '长岭镇', 'zhanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101149', '500101', '500101149', '新田镇', 'xintianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101150', '500101', '500101150', '白羊镇', 'baiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101151', '500101', '500101151', '龙驹镇', 'longjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101152', '500101', '500101152', '走马镇', 'zoumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101153', '500101', '500101153', '罗田镇', 'luotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101154', '500101', '500101154', '太龙镇', 'tailongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101155', '500101', '500101155', '长滩镇', 'zhangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101156', '500101', '500101156', '太安镇', 'taianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101157', '500101', '500101157', '白土镇', 'baituzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101201', '500101', '500101201', '柱山乡', 'zhushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101212', '500101', '500101212', '铁峰乡', 'tiefengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101225', '500101', '500101225', '溪口乡', 'xikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101226', '500101', '500101226', '长坪乡', 'zhangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101227', '500101', '500101227', '燕山乡', 'yanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101234', '500101', '500101234', '梨树乡', 'lishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101237', '500101', '500101237', '普子乡', 'puzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101238', '500101', '500101238', '地宝乡', 'dibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101239', '500101', '500101239', '恒合土家族乡', 'henghetujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101244', '500101', '500101244', '黄柏乡', 'huangboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101245', '500101', '500101245', '九池乡', 'jiuchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101246', '500101', '500101246', '郭村乡', 'guocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500101247', '500101', '500101247', '茨竹乡', 'cizhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102', '5001', '500102', '涪陵区', 'fulingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102001', '500102', '500102001', '敦仁街道', 'dunrenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102002', '500102', '500102002', '崇义街道', 'chongyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102003', '500102', '500102003', '荔枝街道', 'lizhijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102004', '500102', '500102004', '江北街道', 'jiangbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102005', '500102', '500102005', '江东街道', 'jiangdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102100', '500102', '500102100', '百胜镇', 'baishengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102101', '500102', '500102101', '珍溪镇', 'zhenxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102102', '500102', '500102102', '清溪镇', 'qingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102103', '500102', '500102103', '南沱镇', 'nantuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102104', '500102', '500102104', '焦石镇', 'jiaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102105', '500102', '500102105', '白涛镇', 'baitaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102106', '500102', '500102106', '马武镇', 'mawuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102107', '500102', '500102107', '青羊镇', 'qingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102108', '500102', '500102108', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102109', '500102', '500102109', '堡子镇', 'baozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102110', '500102', '500102110', '龙桥镇', 'longqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102111', '500102', '500102111', '蔺市镇', 'linshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102112', '500102', '500102112', '新妙镇', 'xinmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102113', '500102', '500102113', '石沱镇', 'shituozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102114', '500102', '500102114', '镇安镇', 'zhenanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102115', '500102', '500102115', '义和镇', 'yihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102116', '500102', '500102116', '李渡镇', 'liduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102117', '500102', '500102117', '致韩镇', 'zhihanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102200', '500102', '500102200', '丛林乡', 'conglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102201', '500102', '500102201', '中峰乡', 'zhongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102202', '500102', '500102202', '仁义乡', 'renyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102203', '500102', '500102203', '土地坡乡', 'tudipoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102204', '500102', '500102204', '罗云乡', 'luoyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102205', '500102', '500102205', '卷洞乡', 'juandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102206', '500102', '500102206', '大木乡', 'damuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102207', '500102', '500102207', '山窝乡', 'shanwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102208', '500102', '500102208', '武陵山乡', 'wulingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102209', '500102', '500102209', '天台乡', 'tiantaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102210', '500102', '500102210', '梓里乡', 'zilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102211', '500102', '500102211', '酒店乡', 'jiudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102212', '500102', '500102212', '太和乡', 'taihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102213', '500102', '500102213', '同乐乡', 'tonglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102214', '500102', '500102214', '聚宝乡', 'jubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102215', '500102', '500102215', '新村乡', 'xincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102216', '500102', '500102216', '明家乡', 'mingjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102217', '500102', '500102217', '增福乡', 'zengfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102218', '500102', '500102218', '惠民乡', 'huiminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102219', '500102', '500102219', '两汇乡', 'lianghuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102220', '500102', '500102220', '石和乡', 'shihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102221', '500102', '500102221', '石龙乡', 'shilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500102400', '500102', '500102400', '桥南开发区', 'qiaonankaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103', '5001', '500103', '渝中区', 'yuzhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103001', '500103', '500103001', '七星岗街道', 'qixinggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103003', '500103', '500103003', '解放碑街道', 'jiefangbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103004', '500103', '500103004', '两路口街道', 'lianglukoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103005', '500103', '500103005', '上清寺街道', 'shangqingsijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103007', '500103', '500103007', '菜园坝街道', 'caiyuanbajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103008', '500103', '500103008', '南纪门街道', 'nanjimenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103009', '500103', '500103009', '望龙门街道', 'wanglongmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103010', '500103', '500103010', '朝天门街道', 'chaotianmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103011', '500103', '500103011', '大溪沟街道', 'daxigoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103012', '500103', '500103012', '大坪街道', 'dapingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103013', '500103', '500103013', '化龙桥街道', 'hualongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500103014', '500103', '500103014', '石油路街道', 'shiyoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500104', '5001', '500104', '大渡口区', 'dadukouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500104001', '500104', '500104001', '新山村街道', 'xinshancunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500104002', '500104', '500104002', '跃进村街道', 'yuejincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500104003', '500104', '500104003', '九宫庙街道', 'jiugongmiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500104004', '500104', '500104004', '茄子溪街道', 'qiezixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500104005', '500104', '500104005', '春晖路街道', 'chunhuilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500104101', '500104', '500104101', '八桥镇', 'baqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500104102', '500104', '500104102', '建胜镇', 'jianshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500104103', '500104', '500104103', '跳磴镇', 'tiaodengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105', '5001', '500105', '江北区', 'jiangbeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105001', '500105', '500105001', '华新街街道', 'huaxinjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105002', '500105', '500105002', '江北城街道', 'jiangbeichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105003', '500105', '500105003', '石马河街道', 'shimahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105004', '500105', '500105004', '大石坝街道', 'dashibajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105005', '500105', '500105005', '寸滩街道', 'cuntanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105006', '500105', '500105006', '观音桥街道', 'guanyinqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105007', '500105', '500105007', '五里店街道', 'wulidianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105008', '500105', '500105008', '郭家沱街道', 'guojiatuojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105009', '500105', '500105009', '铁山坪街道', 'tieshanpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105100', '500105', '500105100', '鱼嘴镇人民政府', 'yuzuizhenrenminzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105101', '500105', '500105101', '复盛镇人民政府', 'fushengzhenrenminzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500105102', '500105', '500105102', '五宝镇人民政府', 'wubaozhenrenminzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106', '5001', '500106', '沙坪坝区', 'shapingbaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106001', '500106', '500106001', '小龙坎街道', 'xiaolongkanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106002', '500106', '500106002', '沙坪坝街道', 'shapingbajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106003', '500106', '500106003', '渝碚路街道', 'yubeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106004', '500106', '500106004', '磁器口街道', 'ciqikoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106005', '500106', '500106005', '童家桥街道', 'tongjiaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106006', '500106', '500106006', '石井坡街道', 'shijingpojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106007', '500106', '500106007', '詹家溪街道', 'zhanjiaxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106008', '500106', '500106008', '井口街道', 'jingkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106009', '500106', '500106009', '歌乐山街道', 'geleshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106010', '500106', '500106010', '山洞街道', 'shandongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106011', '500106', '500106011', '新桥街道', 'xinqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106012', '500106', '500106012', '天星桥街道', 'tianxingqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106013', '500106', '500106013', '土湾街道', 'tuwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106101', '500106', '500106101', '覃家岗镇', 'tanjiagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106102', '500106', '500106102', '井口镇', 'jingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106103', '500106', '500106103', '歌乐山镇', 'geleshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106104', '500106', '500106104', '青木关镇', 'qingmuguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106105', '500106', '500106105', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106106', '500106', '500106106', '回龙坝镇', 'huilongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106107', '500106', '500106107', '陈家桥镇', 'chenjiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106108', '500106', '500106108', '曾家镇', 'cengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106109', '500106', '500106109', '虎溪镇', 'huxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106110', '500106', '500106110', '西永镇', 'xiyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106111', '500106', '500106111', '土主镇', 'tuzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106112', '500106', '500106112', '中梁镇', 'zhongliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500106113', '500106', '500106113', '联芳园区镇', 'lianfangyuanquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107', '5001', '500107', '九龙坡区', 'jiulongpoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107001', '500107', '500107001', '杨家坪街道', 'yangjiapingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107002', '500107', '500107002', '黄桷坪街道', 'huangjuepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107003', '500107', '500107003', '谢家湾街道', 'xiejiawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107004', '500107', '500107004', '石坪桥街道', 'shipingqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107005', '500107', '500107005', '石桥铺街道', 'shiqiaopujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107006', '500107', '500107006', '中梁山街道', 'zhongliangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107007', '500107', '500107007', '渝州路街道', 'yuzhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107100', '500107', '500107100', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107102', '500107', '500107102', '华岩镇', 'huayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107103', '500107', '500107103', '含谷镇', 'hanguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107104', '500107', '500107104', '金凤镇', 'jinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107105', '500107', '500107105', '白市驿镇', 'baishiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107106', '500107', '500107106', '走马镇', 'zoumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107107', '500107', '500107107', '石板镇', 'shibanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107108', '500107', '500107108', '巴福镇', 'bafuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107109', '500107', '500107109', '陶家镇', 'taojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107110', '500107', '500107110', '西彭镇', 'xipengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500107111', '500107', '500107111', '铜罐驿镇', 'tongguanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108', '5001', '500108', '南岸区', 'nananqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108001', '500108', '500108001', '铜元局街道', 'tongyuanjujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108002', '500108', '500108002', '花园路街道', 'huayuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108003', '500108', '500108003', '南坪街道', 'nanpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108004', '500108', '500108004', '海棠溪街道', 'haitangxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108005', '500108', '500108005', '龙门浩街道', 'longmenhaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108006', '500108', '500108006', '弹子石街道', 'danzishijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108007', '500108', '500108007', '南山街道', 'nanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108101', '500108', '500108101', '南坪镇', 'nanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108102', '500108', '500108102', '涂山镇', 'tushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108103', '500108', '500108103', '鸡冠石镇', 'jiguanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108105', '500108', '500108105', '峡口镇', 'xiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108106', '500108', '500108106', '长生桥镇', 'zhangshengqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108107', '500108', '500108107', '迎龙镇', 'yinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500108108', '500108', '500108108', '广阳镇', 'guangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109', '5001', '500109', '北碚区', 'beibeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109001', '500109', '500109001', '天生街道', 'tianshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109002', '500109', '500109002', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109003', '500109', '500109003', '北温泉街道', 'beiwenquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109004', '500109', '500109004', '东阳街道', 'dongyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109005', '500109', '500109005', '龙凤桥街道', 'longfengqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109101', '500109', '500109101', '歇马镇', 'xiemazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109102', '500109', '500109102', '澄江镇', 'chengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109103', '500109', '500109103', '蔡家岗镇', 'caijiagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109104', '500109', '500109104', '童家溪镇', 'tongjiaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109105', '500109', '500109105', '天府镇', 'tianfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109108', '500109', '500109108', '施家梁镇', 'shijialiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109109', '500109', '500109109', '水土镇', 'shuituzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109110', '500109', '500109110', '静观镇', 'jingguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109111', '500109', '500109111', '柳荫镇', 'liuyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109112', '500109', '500109112', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109113', '500109', '500109113', '三圣镇', 'sanshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500109116', '500109', '500109116', '金刀峡镇', 'jindaoxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500110', '5001', '500110', '万盛区', 'wanshengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500110001', '500110', '500110001', '万盛街道', 'wanshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500110002', '500110', '500110002', '东林街道', 'donglinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500110100', '500110', '500110100', '万东镇', 'wandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500110101', '500110', '500110101', '南桐镇', 'nantongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500110102', '500110', '500110102', '青年镇', 'qingnianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500110103', '500110', '500110103', '关坝镇', 'guanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500110104', '500110', '500110104', '丛林镇', 'conglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500110105', '500110', '500110105', '石林镇', 'shilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500110106', '500110', '500110106', '金桥镇', 'jinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500110107', '500110', '500110107', '黑山镇', 'heishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500111', '5001', '500111', '双桥区', 'shuangqiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500111001', '500111', '500111001', '龙滩子街道', 'longtanzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500111100', '500111', '500111100', '双路镇', 'shuangluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500111101', '500111', '500111101', '通桥镇', 'tongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112', '5001', '500112', '渝北区', 'yubeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112002', '500112', '500112002', '双龙湖街道', 'shuanglonghujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112003', '500112', '500112003', '龙溪街道', 'longxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112004', '500112', '500112004', '回兴街道', 'huixingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112005', '500112', '500112005', '双凤桥街道', 'shuangfengqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112007', '500112', '500112007', '鸳鸯街道', 'yuanyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112008', '500112', '500112008', '翠云街道', 'cuiyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112009', '500112', '500112009', '人和街道', 'renhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112010', '500112', '500112010', '天宫殿街道', 'tiangongdianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112102', '500112', '500112102', '大竹林镇', 'dazhulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112103', '500112', '500112103', '礼嘉镇', 'lijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112106', '500112', '500112106', '悦来镇', 'yuelaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112110', '500112', '500112110', '王家镇', 'wangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112118', '500112', '500112118', '御临镇', 'yulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112120', '500112', '500112120', '石船镇', 'shichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112123', '500112', '500112123', '大盛镇', 'dashengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112124', '500112', '500112124', '麻柳沱镇', 'maliutuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112125', '500112', '500112125', '洛碛镇', 'luoqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112126', '500112', '500112126', '古路镇', 'guluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112127', '500112', '500112127', '高嘴镇', 'gaozuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112129', '500112', '500112129', '石坪镇', 'shipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112130', '500112', '500112130', '玉峰山镇', 'yufengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112131', '500112', '500112131', '龙兴镇', 'longxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112132', '500112', '500112132', '张关镇', 'zhangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112133', '500112', '500112133', '统景镇', 'tongjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112134', '500112', '500112134', '明月镇', 'mingyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112135', '500112', '500112135', '大湾镇', 'dawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112136', '500112', '500112136', '华蓥山镇', 'huayingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112137', '500112', '500112137', '茨竹镇', 'cizhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112138', '500112', '500112138', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500112139', '500112', '500112139', '木耳镇', 'muerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113', '5001', '500113', '巴南区', 'bananqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113001', '500113', '500113001', '鱼洞街道', 'yudongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113002', '500113', '500113002', '李家沱街道', 'lijiatuojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113101', '500113', '500113101', '花溪镇', 'huaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113102', '500113', '500113102', '南泉镇', 'nanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113103', '500113', '500113103', '界石镇', 'jieshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113104', '500113', '500113104', '一品镇', 'yipinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113105', '500113', '500113105', '南彭镇', 'nanpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113106', '500113', '500113106', '惠民镇', 'huiminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113107', '500113', '500113107', '安澜镇', 'anlanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113108', '500113', '500113108', '跳石镇', 'tiaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113109', '500113', '500113109', '木洞镇', 'mudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113110', '500113', '500113110', '双河口镇', 'shuanghekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113111', '500113', '500113111', '麻柳嘴镇', 'maliuzuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113112', '500113', '500113112', '丰盛镇', 'fengshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113113', '500113', '500113113', '二圣镇', 'ershengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113114', '500113', '500113114', '东泉镇', 'dongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113115', '500113', '500113115', '姜家镇', 'jiangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113116', '500113', '500113116', '天星寺镇', 'tianxingsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113117', '500113', '500113117', '接龙镇', 'jielongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113118', '500113', '500113118', '石滩镇', 'shitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500113119', '500113', '500113119', '石龙镇', 'shilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114', '5001', '500114', '黔江区', 'qianjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114001', '500114', '500114001', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114002', '500114', '500114002', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114003', '500114', '500114003', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114105', '500114', '500114105', '两河镇', 'lianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114106', '500114', '500114106', '石会镇', 'shihuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114107', '500114', '500114107', '黑溪镇', 'heixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114108', '500114', '500114108', '黄溪镇', 'huangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114109', '500114', '500114109', '黎水镇', 'lishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114110', '500114', '500114110', '金溪镇', 'jinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114111', '500114', '500114111', '马喇镇', 'malazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114112', '500114', '500114112', '濯水镇', 'zhuoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114113', '500114', '500114113', '石家河镇', 'shijiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114114', '500114', '500114114', '鹅池镇', 'echizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114115', '500114', '500114115', '正阳镇', 'zhengyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114116', '500114', '500114116', '舟白镇', 'zhoubaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114117', '500114', '500114117', '小南海镇', 'xiaonanhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114118', '500114', '500114118', '冯家镇', 'fengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114119', '500114', '500114119', '邻鄂镇', 'linezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114245', '500114', '500114245', '中塘乡', 'zhongtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114246', '500114', '500114246', '蓬东乡', 'pengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114247', '500114', '500114247', '沙坝乡', 'shabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114248', '500114', '500114248', '白石乡', 'baishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114249', '500114', '500114249', '杉岭乡', 'shanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114250', '500114', '500114250', '太极乡', 'taijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114251', '500114', '500114251', '水田乡', 'shuitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114252', '500114', '500114252', '白土乡', 'baituxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114253', '500114', '500114253', '金洞乡', 'jindongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114254', '500114', '500114254', '五里乡', 'wulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114255', '500114', '500114255', '水市乡', 'shuishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500114256', '500114', '500114256', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115', '5001', '500115', '长寿区', 'zhangshouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115001', '500115', '500115001', '凤城街道', 'fengchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115002', '500115', '500115002', '晏家街道', 'yanjiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115122', '500115', '500115122', '江南镇', 'jiangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115123', '500115', '500115123', '邻封镇', 'linfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115124', '500115', '500115124', '但渡镇', 'danduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115125', '500115', '500115125', '云集镇', 'yunjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115126', '500115', '500115126', '长寿湖镇', 'zhangshouhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115127', '500115', '500115127', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115128', '500115', '500115128', '龙河镇', 'longhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115129', '500115', '500115129', '石堰镇', 'shiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115130', '500115', '500115130', '云台镇', 'yuntaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115131', '500115', '500115131', '海棠镇', 'haitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115132', '500115', '500115132', '葛兰镇', 'gelanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115133', '500115', '500115133', '新市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115134', '500115', '500115134', '渡舟镇', 'duzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115135', '500115', '500115135', '八颗镇', 'bakezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115136', '500115', '500115136', '洪湖镇', 'honghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500115137', '500115', '500115137', '万顺镇', 'wanshunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116', '5001', '500116', '江津区', 'jiangjinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116001', '500116', '500116001', '几江街道', 'jijiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116002', '500116', '500116002', '德感街道', 'deganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116003', '500116', '500116003', '支坪街道', 'zhipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116100', '500116', '500116100', '双福镇', 'shuangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116101', '500116', '500116101', '油溪镇', 'youxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116102', '500116', '500116102', '吴滩镇', 'wutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116103', '500116', '500116103', '石门镇', 'shimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116104', '500116', '500116104', '朱杨镇', 'zhuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116105', '500116', '500116105', '石蟆镇', 'shimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116106', '500116', '500116106', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116107', '500116', '500116107', '塘河镇', 'tanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116108', '500116', '500116108', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116109', '500116', '500116109', '龙华镇', 'longhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116110', '500116', '500116110', '李市镇', 'lishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116111', '500116', '500116111', '慈云镇', 'ciyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116112', '500116', '500116112', '蔡家镇', 'caijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116113', '500116', '500116113', '中山镇', 'zhongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116114', '500116', '500116114', '嘉平镇', 'jiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116115', '500116', '500116115', '柏林镇', 'bolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116116', '500116', '500116116', '先锋镇', 'xianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116117', '500116', '500116117', '珞璜镇', 'luohuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116118', '500116', '500116118', '贾嗣镇', 'jiasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116119', '500116', '500116119', '夏坝镇', 'xiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116120', '500116', '500116120', '西湖镇', 'xihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116121', '500116', '500116121', '杜市镇', 'dushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116122', '500116', '500116122', '广兴镇', 'guangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500116400', '500116', '500116400', '四面山风景管理委员会', 'simianshanfengjingguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117', '5001', '500117', '合川区', 'hechuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117001', '500117', '500117001', '合阳城街道', 'heyangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117002', '500117', '500117002', '钓鱼城街道', 'diaoyuchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117003', '500117', '500117003', '南津街街道', 'nanjinjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117100', '500117', '500117100', '沙鱼镇', 'shayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117101', '500117', '500117101', '官渡镇', 'guanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117102', '500117', '500117102', '涞滩镇', 'laitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117103', '500117', '500117103', '肖家镇', 'xiaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117104', '500117', '500117104', '古楼镇', 'gulouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117105', '500117', '500117105', '三庙镇', 'sanmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117106', '500117', '500117106', '二郎镇', 'erlangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117107', '500117', '500117107', '龙凤镇', 'longfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117108', '500117', '500117108', '隆兴镇', 'longxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117109', '500117', '500117109', '铜溪镇', 'tongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117110', '500117', '500117110', '盐井镇', 'yanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117111', '500117', '500117111', '草街镇', 'caojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117112', '500117', '500117112', '双凤镇', 'shuangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117113', '500117', '500117113', '狮滩镇', 'shitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117114', '500117', '500117114', '清平镇', 'qingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117115', '500117', '500117115', '土场镇', 'tuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117116', '500117', '500117116', '小沔镇', 'xiaomianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117117', '500117', '500117117', '三汇镇', 'sanhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117118', '500117', '500117118', '香龙镇', 'xianglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117119', '500117', '500117119', '云门镇', 'yunmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117120', '500117', '500117120', '钱塘镇', 'qiantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117121', '500117', '500117121', '龙市镇', 'longshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117122', '500117', '500117122', '大石镇', 'dashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117123', '500117', '500117123', '燕窝镇', 'yanwozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117124', '500117', '500117124', '太和镇', 'taihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117125', '500117', '500117125', '渭沱镇', 'weituozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500117126', '500117', '500117126', '双槐镇', 'shuanghuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118', '5001', '500118', '永川区', 'yongchuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118001', '500118', '500118001', '中山路街道', 'zhongshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118002', '500118', '500118002', '胜利路街道', 'shenglilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118003', '500118', '500118003', '南大街街道', 'nandajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118100', '500118', '500118100', '青峰镇', 'qingfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118101', '500118', '500118101', '大安镇', 'daanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118102', '500118', '500118102', '金龙镇', 'jinlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118103', '500118', '500118103', '陈食镇', 'chenshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118104', '500118', '500118104', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118105', '500118', '500118105', '双竹镇', 'shuangzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118106', '500118', '500118106', '何埂镇', 'hegengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118107', '500118', '500118107', '松既镇', 'songjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118108', '500118', '500118108', '仙龙镇', 'xianlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118109', '500118', '500118109', '吉安镇', 'jianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118110', '500118', '500118110', '五间镇', 'wujianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118111', '500118', '500118111', '来苏镇', 'laisuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118112', '500118', '500118112', '宝峰镇', 'baofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118113', '500118', '500118113', '双石镇', 'shuangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118114', '500118', '500118114', '红炉镇', 'hongluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118115', '500118', '500118115', '永荣镇', 'yongrongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118116', '500118', '500118116', '三教镇', 'sanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118117', '500118', '500118117', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500118118', '500118', '500118118', '朱沱镇', 'zhutuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119', '5001', '500119', '南川区', 'nanchuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119001', '500119', '500119001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119002', '500119', '500119002', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119003', '500119', '500119003', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119100', '500119', '500119100', '三泉镇', 'sanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119101', '500119', '500119101', '南平镇', 'nanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119102', '500119', '500119102', '神童镇', 'shentongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119103', '500119', '500119103', '鸣玉镇', 'mingyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119104', '500119', '500119104', '大观镇', 'daguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119105', '500119', '500119105', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119106', '500119', '500119106', '太平场镇', 'taipingchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119107', '500119', '500119107', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119108', '500119', '500119108', '水江镇', 'shuijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119109', '500119', '500119109', '石墙镇', 'shiqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119110', '500119', '500119110', '金山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119111', '500119', '500119111', '头渡镇', 'touduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119112', '500119', '500119112', '大有镇', 'dayouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119113', '500119', '500119113', '合溪镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119200', '500119', '500119200', '石莲乡', 'shilianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119201', '500119', '500119201', '木凉乡', 'muliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119202', '500119', '500119202', '河图乡', 'hetuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119203', '500119', '500119203', '土溪乡', 'tuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119204', '500119', '500119204', '乾丰乡', 'qianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119205', '500119', '500119205', '骑龙乡', 'qilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119206', '500119', '500119206', '鱼泉乡', 'yuquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119207', '500119', '500119207', '中桥乡', 'zhongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119208', '500119', '500119208', '铁村乡', 'tiecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119209', '500119', '500119209', '德隆乡', 'delongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119210', '500119', '500119210', '庆元乡', 'qingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119211', '500119', '500119211', '古花乡', 'guhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119212', '500119', '500119212', '峰岩乡', 'fengyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119213', '500119', '500119213', '民主乡', 'minzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119214', '500119', '500119214', '冷水关乡', 'lengshuiguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119215', '500119', '500119215', '石溪乡', 'shixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500119216', '500119', '500119216', '福寿乡', 'fushouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5002', '50', '5002', '县', 'xian', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222', '5002', '500222', '綦江县', 'qijiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222100', '500222', '500222100', '古南镇', 'gunanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222101', '500222', '500222101', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222102', '500222', '500222102', '石角镇', 'shijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222103', '500222', '500222103', '东溪镇', 'dongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222104', '500222', '500222104', '赶水镇', 'ganshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222105', '500222', '500222105', '打通镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222106', '500222', '500222106', '石壕镇', 'shihaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222107', '500222', '500222107', '永新镇', 'yongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222108', '500222', '500222108', '三角镇', 'sanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222109', '500222', '500222109', '隆盛镇', 'longshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222110', '500222', '500222110', '郭扶镇', 'guofuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222111', '500222', '500222111', '篆塘镇', 'zhuantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222112', '500222', '500222112', '丁山镇', 'dingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222113', '500222', '500222113', '安稳镇', 'anwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222114', '500222', '500222114', '扶欢镇', 'fuhuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222115', '500222', '500222115', '永城镇', 'yongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222116', '500222', '500222116', '新盛镇', 'xinshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222117', '500222', '500222117', '中峰镇', 'zhongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500222118', '500222', '500222118', '横山镇', 'hengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223', '5002', '500223', '潼南县', 'tongnanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223001', '500223', '500223001', '桂林街道', 'guilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223002', '500223', '500223002', '梓潼街道', 'zitongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223101', '500223', '500223101', '上和镇', 'shanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223102', '500223', '500223102', '龙形镇', 'longxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223103', '500223', '500223103', '古溪镇', 'guxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223104', '500223', '500223104', '宝龙镇', 'baolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223107', '500223', '500223107', '玉溪镇', 'yuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223108', '500223', '500223108', '米心镇', 'mixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223109', '500223', '500223109', '群力镇', 'qunlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223110', '500223', '500223110', '双江镇', 'shuangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223112', '500223', '500223112', '花岩镇', 'huayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223113', '500223', '500223113', '柏梓镇', 'bozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223114', '500223', '500223114', '崇龛镇', 'chongkanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223115', '500223', '500223115', '塘坝镇', 'tangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223116', '500223', '500223116', '新胜镇', 'xinshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223117', '500223', '500223117', '太安镇', 'taianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223119', '500223', '500223119', '小渡镇', 'xiaoduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223120', '500223', '500223120', '卧佛镇', 'wofozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223121', '500223', '500223121', '五桂镇', 'wuguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223200', '500223', '500223200', '田家乡', 'tianjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223203', '500223', '500223203', '别口乡', 'biekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500223208', '500223', '500223208', '寿桥乡', 'shouqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224', '5002', '500224', '铜梁县', 'tongliangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224001', '500224', '500224001', '巴川街道', 'bachuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224002', '500224', '500224002', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224003', '500224', '500224003', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224101', '500224', '500224101', '土桥镇', 'tuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224103', '500224', '500224103', '二坪镇', 'erpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224104', '500224', '500224104', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224105', '500224', '500224105', '安居镇', 'anjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224106', '500224', '500224106', '白羊镇', 'baiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224107', '500224', '500224107', '平滩镇', 'pingtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224110', '500224', '500224110', '石鱼镇', 'shiyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224111', '500224', '500224111', '福果镇', 'fuguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224113', '500224', '500224113', '维新镇', 'weixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224114', '500224', '500224114', '高楼镇', 'gaolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224115', '500224', '500224115', '大庙镇', 'damiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224116', '500224', '500224116', '围龙镇', 'weilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224117', '500224', '500224117', '华兴镇', 'huaxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224120', '500224', '500224120', '永嘉镇', 'yongjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224121', '500224', '500224121', '安溪镇', 'anxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224122', '500224', '500224122', '西河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224124', '500224', '500224124', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224125', '500224', '500224125', '旧县镇', 'jiuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224126', '500224', '500224126', '虎峰镇', 'hufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224127', '500224', '500224127', '少云镇', 'shaoyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224128', '500224', '500224128', '蒲吕镇', 'pulu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224129', '500224', '500224129', '侣俸镇', 'lu:fengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224201', '500224', '500224201', '小林乡', 'xiaolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224202', '500224', '500224202', '双山乡', 'shuangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500224205', '500224', '500224205', '庆隆乡', 'qinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225', '5002', '500225', '大足县', 'dazuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225001', '500225', '500225001', '龙岗街道', 'longgangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225002', '500225', '500225002', '棠香街道', 'tangxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225100', '500225', '500225100', '龙水镇', 'longshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225101', '500225', '500225101', '智凤镇', 'zhifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225102', '500225', '500225102', '宝顶镇', 'baodingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225103', '500225', '500225103', '中敖镇', 'zhongaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225104', '500225', '500225104', '三驱镇', 'sanquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225105', '500225', '500225105', '宝兴镇', 'baoxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225106', '500225', '500225106', '玉龙镇', 'yulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225107', '500225', '500225107', '石马镇', 'shimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225108', '500225', '500225108', '拾万镇', 'shiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225109', '500225', '500225109', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225110', '500225', '500225110', '金山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225111', '500225', '500225111', '万古镇', 'wanguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225112', '500225', '500225112', '国梁镇', 'guoliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225113', '500225', '500225113', '雍溪镇', 'yongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225114', '500225', '500225114', '珠溪镇', 'zhuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225115', '500225', '500225115', '龙石镇', 'longshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225116', '500225', '500225116', '邮亭镇', 'youtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225117', '500225', '500225117', '铁山镇', 'tieshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225118', '500225', '500225118', '高升镇', 'gaoshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225119', '500225', '500225119', '季家镇', 'jijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225200', '500225', '500225200', '古龙乡', 'gulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500225201', '500225', '500225201', '高坪乡', 'gaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226', '5002', '500226', '荣昌县', 'rongchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226100', '500226', '500226100', '昌元镇', 'changyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226101', '500226', '500226101', '广顺镇', 'guangshunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226102', '500226', '500226102', '峰高镇', 'fenggaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226103', '500226', '500226103', '直升镇', 'zhishengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226104', '500226', '500226104', '路孔镇', 'lukongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226105', '500226', '500226105', '安富镇', 'anfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226106', '500226', '500226106', '清江镇', 'qingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226107', '500226', '500226107', '仁义镇', 'renyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226108', '500226', '500226108', '河包镇', 'hebaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226109', '500226', '500226109', '古昌镇', 'guchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226110', '500226', '500226110', '吴家镇', 'wujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226111', '500226', '500226111', '观胜镇', 'guanshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226112', '500226', '500226112', '铜鼓镇', 'tongguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226113', '500226', '500226113', '清流镇', 'qingliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226114', '500226', '500226114', '盘龙镇', 'panlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226115', '500226', '500226115', '远觉镇', 'yuanjuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226116', '500226', '500226116', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226117', '500226', '500226117', '清升镇', 'qingshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226118', '500226', '500226118', '荣隆镇', 'ronglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500226119', '500226', '500226119', '龙集镇', 'longjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227', '5002', '500227', '璧山县', 'bishanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227001', '500227', '500227001', '璧城街道', 'bichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227002', '500227', '500227002', '青杠街道', 'qinggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227100', '500227', '500227100', '八塘镇', 'batangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227101', '500227', '500227101', '七塘镇', 'qitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227102', '500227', '500227102', '大路镇', 'daluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227103', '500227', '500227103', '河边镇', 'hebianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227104', '500227', '500227104', '福禄镇', 'fuluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227105', '500227', '500227105', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227106', '500227', '500227106', '正兴镇', 'zhengxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227107', '500227', '500227107', '丁家镇', 'dingjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227108', '500227', '500227108', '广普镇', 'guangpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227109', '500227', '500227109', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500227200', '500227', '500227200', '健龙乡', 'jianlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228', '5002', '500228', '梁平县', 'liangpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228100', '500228', '500228100', '梁山镇', 'liangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228101', '500228', '500228101', '仁贤镇', 'renxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228102', '500228', '500228102', '礼让镇', 'lirangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228103', '500228', '500228103', '云龙镇', 'yunlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228104', '500228', '500228104', '屏锦镇', 'pingjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228106', '500228', '500228106', '袁驿镇', 'yuanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228107', '500228', '500228107', '新盛镇', 'xinshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228108', '500228', '500228108', '福禄镇', 'fuluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228109', '500228', '500228109', '金带镇', 'jindaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228110', '500228', '500228110', '聚奎镇', 'jukuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228111', '500228', '500228111', '明达镇', 'mingdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228112', '500228', '500228112', '荫平镇', 'yinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228113', '500228', '500228113', '和林镇', 'helinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228114', '500228', '500228114', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228115', '500228', '500228115', '碧山镇', 'bishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228116', '500228', '500228116', '虎城镇', 'huchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228117', '500228', '500228117', '七星镇', 'qixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228118', '500228', '500228118', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228119', '500228', '500228119', '文化镇', 'wenhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228120', '500228', '500228120', '合兴镇', 'hexingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228121', '500228', '500228121', '石安镇', 'shianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228122', '500228', '500228122', '柏家镇', 'bojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228123', '500228', '500228123', '大观镇', 'daguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228124', '500228', '500228124', '竹山镇', 'zhushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228125', '500228', '500228125', '蟠龙镇', 'panlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228200', '500228', '500228200', '安胜乡', 'anshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228201', '500228', '500228201', '铁门乡', 'tiemenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228202', '500228', '500228202', '龙胜乡', 'longshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228203', '500228', '500228203', '复平乡', 'fupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228204', '500228', '500228204', '城东乡', 'chengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228205', '500228', '500228205', '紫照乡', 'zizhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228206', '500228', '500228206', '城北乡', 'chengbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228207', '500228', '500228207', '曲水乡', 'qushuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228400', '500228', '500228400', '梁平县农场', 'liangpingxiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500228401', '500228', '500228401', '梁平县双桂工业园区', 'liangpingxianshuangguigongyeyuanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229', '5002', '500229', '城口县', 'chengkouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229100', '500229', '500229100', '葛城镇', 'gechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229102', '500229', '500229102', '巴山镇', 'bashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229103', '500229', '500229103', '坪坝镇', 'pingbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229104', '500229', '500229104', '庙坝镇', 'miaobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229105', '500229', '500229105', '明通镇', 'mingtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229106', '500229', '500229106', '修齐镇', 'xiuqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229107', '500229', '500229107', '高观镇', 'gaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229200', '500229', '500229200', '高燕乡', 'gaoyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229201', '500229', '500229201', '龙田乡', 'longtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229202', '500229', '500229202', '北屏乡', 'beipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229204', '500229', '500229204', '高楠乡', 'gaonanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229205', '500229', '500229205', '左岚乡', 'zuolanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229208', '500229', '500229208', '沿河乡', 'yanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229210', '500229', '500229210', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229211', '500229', '500229211', '蓼子乡', 'liaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229212', '500229', '500229212', '鸡鸣乡', 'jimingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229213', '500229', '500229213', '咸宜乡', 'xianyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229214', '500229', '500229214', '周溪乡', 'zhouxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229216', '500229', '500229216', '明中乡', 'mingzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229217', '500229', '500229217', '治平乡', 'zhipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229219', '500229', '500229219', '岚天乡', 'lantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229220', '500229', '500229220', '厚坪乡', 'houpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229221', '500229', '500229221', '河鱼乡', 'heyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500229223', '500229', '500229223', '东安乡', 'donganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230', '5002', '500230', '丰都县', 'fengdouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230100', '500230', '500230100', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230101', '500230', '500230101', '虎威镇', 'huweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230102', '500230', '500230102', '社坛镇', 'shetanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230103', '500230', '500230103', '三元镇', 'sanyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230104', '500230', '500230104', '许明寺镇', 'xumingsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230105', '500230', '500230105', '董家镇', 'dongjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230106', '500230', '500230106', '树人镇', 'shurenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230107', '500230', '500230107', '十直镇', 'shizhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230108', '500230', '500230108', '镇江镇', 'zhenjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230109', '500230', '500230109', '高家镇', 'gaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230110', '500230', '500230110', '兴义镇', 'xingyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230111', '500230', '500230111', '双路镇', 'shuangluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230112', '500230', '500230112', '江池镇', 'jiangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230113', '500230', '500230113', '龙河镇', 'longhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230114', '500230', '500230114', '武平镇', 'wupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230115', '500230', '500230115', '包鸾镇', 'baoluanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230116', '500230', '500230116', '湛普镇', 'zhanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230117', '500230', '500230117', '名山镇', 'mingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230118', '500230', '500230118', '南天湖镇', 'nantianhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230200', '500230', '500230200', '崇兴乡', 'chongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230201', '500230', '500230201', '仁沙乡', 'renshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230202', '500230', '500230202', '青龙乡', 'qinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230203', '500230', '500230203', '双龙场乡', 'shuanglongchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230204', '500230', '500230204', '保合乡', 'baohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230205', '500230', '500230205', '龙孔乡', 'longkongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230206', '500230', '500230206', '太平坝乡', 'taipingbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230207', '500230', '500230207', '都督乡', 'douduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230208', '500230', '500230208', '暨龙乡', 'jilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230209', '500230', '500230209', '栗子乡', 'lizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230210', '500230', '500230210', '三建乡', 'sanjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500230211', '500230', '500230211', '三坝乡', 'sanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231', '5002', '500231', '垫江县', 'dianjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231100', '500231', '500231100', '桂溪镇', 'guixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231101', '500231', '500231101', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231102', '500231', '500231102', '沙坪镇', 'shapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231103', '500231', '500231103', '周嘉镇', 'zhoujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231104', '500231', '500231104', '普顺镇', 'pushunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231105', '500231', '500231105', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231106', '500231', '500231106', '高安镇', 'gaoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231107', '500231', '500231107', '高峰镇', 'gaofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231108', '500231', '500231108', '五洞镇', 'wudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231109', '500231', '500231109', '澄溪镇', 'chengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231110', '500231', '500231110', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231111', '500231', '500231111', '鹤游镇', 'heyouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231112', '500231', '500231112', '坪山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231113', '500231', '500231113', '砚台镇', 'yantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231200', '500231', '500231200', '曹回乡', 'caohuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231201', '500231', '500231201', '长龙乡', 'zhanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231202', '500231', '500231202', '沙河乡', 'shahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231203', '500231', '500231203', '杠家乡', 'gangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231204', '500231', '500231204', '大石乡', 'dashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231205', '500231', '500231205', '黄沙乡', 'huangshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231206', '500231', '500231206', '包家乡', 'baojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231207', '500231', '500231207', '白家乡', 'baijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231208', '500231', '500231208', '永平乡', 'yongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231209', '500231', '500231209', '三溪乡', 'sanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500231210', '500231', '500231210', '裴兴乡', 'peixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232', '5002', '500232', '武隆县', 'wulongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232100', '500232', '500232100', '巷口镇', 'xiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232101', '500232', '500232101', '火炉镇', 'huoluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232102', '500232', '500232102', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232103', '500232', '500232103', '鸭江镇', 'yajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232104', '500232', '500232104', '长坝镇', 'zhangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232105', '500232', '500232105', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232106', '500232', '500232106', '平桥镇', 'pingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232107', '500232', '500232107', '羊角镇', 'yangjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232108', '500232', '500232108', '仙女山镇', 'xiannu:shanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232109', '500232', '500232109', '桐梓镇', 'tongzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232110', '500232', '500232110', '土坎镇', 'tukanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232200', '500232', '500232200', '凤来乡', 'fenglaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232201', '500232', '500232201', '和顺乡', 'heshunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232202', '500232', '500232202', '庙垭乡', 'miaoyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232203', '500232', '500232203', '石桥乡', 'shiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232204', '500232', '500232204', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232205', '500232', '500232205', '黄莺乡', 'huangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232206', '500232', '500232206', '沧沟乡', 'canggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232207', '500232', '500232207', '文复乡', 'wenfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232208', '500232', '500232208', '土地乡', 'tudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232209', '500232', '500232209', '白云乡', 'baiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232210', '500232', '500232210', '后坪乡', 'houpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232211', '500232', '500232211', '浩口乡', 'haokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232212', '500232', '500232212', '接龙乡', 'jielongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232213', '500232', '500232213', '赵家乡', 'zhaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500232214', '500232', '500232214', '铁矿乡', 'tiekuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233', '5002', '500233', '忠县', 'zhongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233100', '500233', '500233100', '忠州镇', 'zhongzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233101', '500233', '500233101', '新生镇', 'xinshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233102', '500233', '500233102', '任家镇', 'renjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233103', '500233', '500233103', '乌杨镇', 'wuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233104', '500233', '500233104', '洋渡镇', 'yangduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233105', '500233', '500233105', '东溪镇', 'dongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233106', '500233', '500233106', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233107', '500233', '500233107', '石宝镇', 'shibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233108', '500233', '500233108', '汝溪镇', 'ruxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233109', '500233', '500233109', '野鹤镇', 'yehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233110', '500233', '500233110', '官坝镇', 'guanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233111', '500233', '500233111', '石黄镇', 'shihuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233112', '500233', '500233112', '马灌镇', 'maguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233113', '500233', '500233113', '金鸡镇', 'jinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233114', '500233', '500233114', '新立镇', 'xinlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233115', '500233', '500233115', '双桂镇', 'shuangguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233116', '500233', '500233116', '拔山镇', 'bashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233117', '500233', '500233117', '花桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233118', '500233', '500233118', '永丰镇', 'yongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233119', '500233', '500233119', '三汇镇', 'sanhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233120', '500233', '500233120', '白石镇', 'baishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233122', '500233', '500233122', '黄金镇', 'huangjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233201', '500233', '500233201', '善广乡', 'shanguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233203', '500233', '500233203', '石子乡', 'shizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233204', '500233', '500233204', '磨子土家族自治乡', 'mozitujiazuzizhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233206', '500233', '500233206', '涂井乡', 'tujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233208', '500233', '500233208', '金声乡', 'jinshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500233210', '500233', '500233210', '兴峰乡', 'xingfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234', '5002', '500234', '开县', 'kaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234001', '500234', '500234001', '汉丰街道', 'hanfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234002', '500234', '500234002', '镇东街道', 'zhendongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234003', '500234', '500234003', '丰乐街道', 'fenglejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234004', '500234', '500234004', '白鹤街道', 'baihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234103', '500234', '500234103', '郭家镇', 'guojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234106', '500234', '500234106', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234107', '500234', '500234107', '铁桥镇', 'tieqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234112', '500234', '500234112', '南雅镇', 'nanyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234114', '500234', '500234114', '和谦镇', 'heqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234116', '500234', '500234116', '镇安镇', 'zhenanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234118', '500234', '500234118', '竹溪镇', 'zhuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234119', '500234', '500234119', '渠口镇', 'qukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234120', '500234', '500234120', '厚坝镇', 'houbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234122', '500234', '500234122', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234127', '500234', '500234127', '义和镇', 'yihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234128', '500234', '500234128', '大进镇', 'dajinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234129', '500234', '500234129', '长沙镇', 'zhangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234130', '500234', '500234130', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234131', '500234', '500234131', '赵家镇', 'zhaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234132', '500234', '500234132', '敦好镇', 'dunhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234133', '500234', '500234133', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234134', '500234', '500234134', '岳溪镇', 'yuexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234135', '500234', '500234135', '南门镇', 'nanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234136', '500234', '500234136', '河堰镇', 'heyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234137', '500234', '500234137', '九龙山镇', 'jiulongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234202', '500234', '500234202', '白泉乡', 'baiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234203', '500234', '500234203', '关面乡', 'guanmianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234204', '500234', '500234204', '满月乡', 'manyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234211', '500234', '500234211', '五通乡', 'wutongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234214', '500234', '500234214', '白桥乡', 'baiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234215', '500234', '500234215', '麻柳乡', 'maliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234216', '500234', '500234216', '紫水乡', 'zishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234224', '500234', '500234224', '天和乡', 'tianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234225', '500234', '500234225', '三汇口乡', 'sanhuikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234226', '500234', '500234226', '金峰乡', 'jinfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234227', '500234', '500234227', '谭家乡', 'tanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234228', '500234', '500234228', '巫山乡', 'wushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500234229', '500234', '500234229', '大德乡', 'dadexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235', '5002', '500235', '云阳县', 'yunyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235100', '500235', '500235100', '云阳镇', 'yunyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235101', '500235', '500235101', '云安镇', 'yunanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235102', '500235', '500235102', '双江镇', 'shuangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235105', '500235', '500235105', '龙角镇', 'longjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235107', '500235', '500235107', '故陵镇', 'gulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235108', '500235', '500235108', '红狮镇', 'hongshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235115', '500235', '500235115', '路阳镇', 'luyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235116', '500235', '500235116', '农坝镇', 'nongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235118', '500235', '500235118', '渠马镇', 'qumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235121', '500235', '500235121', '黄石镇', 'huangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235122', '500235', '500235122', '巴阳镇', 'bayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235123', '500235', '500235123', '沙市镇', 'shashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235124', '500235', '500235124', '鱼泉镇', 'yuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235125', '500235', '500235125', '凤鸣镇', 'fengmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235126', '500235', '500235126', '盘龙镇', 'panlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235127', '500235', '500235127', '宝坪镇', 'baopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235128', '500235', '500235128', '南溪镇', 'nanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235129', '500235', '500235129', '双土镇', 'shuangtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235130', '500235', '500235130', '桑坪镇', 'sangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235131', '500235', '500235131', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235132', '500235', '500235132', '高阳镇', 'gaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235133', '500235', '500235133', '平安镇', 'pinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235134', '500235', '500235134', '人和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235202', '500235', '500235202', '栖霞乡', 'qixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235208', '500235', '500235208', '外郎乡', 'wailangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235209', '500235', '500235209', '泥溪乡', 'nixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235210', '500235', '500235210', '耀灵乡', 'yaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235213', '500235', '500235213', '票草乡', 'piaocaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235214', '500235', '500235214', '堰坪乡', 'yanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235215', '500235', '500235215', '新津乡', 'xinjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235216', '500235', '500235216', '普安乡', 'puanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235217', '500235', '500235217', '龙洞乡', 'longdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235218', '500235', '500235218', '洞鹿乡', 'dongluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235219', '500235', '500235219', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235220', '500235', '500235220', '大阳乡', 'dayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235229', '500235', '500235229', '后叶乡', 'houyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235235', '500235', '500235235', '养鹿乡', 'yangluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235236', '500235', '500235236', '水口乡', 'shuikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235239', '500235', '500235239', '上坝乡', 'shangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235240', '500235', '500235240', '云硐乡', 'yundongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235241', '500235', '500235241', '毛坝乡', 'maobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235242', '500235', '500235242', '清水土家族自治乡', 'qingshuitujiazuzizhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500235243', '500235', '500235243', '双龙乡', 'shuanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236', '5002', '500236', '奉节县', 'fengjiexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236116', '500236', '500236116', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236117', '500236', '500236117', '白帝镇', 'baidizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236118', '500236', '500236118', '草堂镇', 'caotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236119', '500236', '500236119', '汾河镇', 'fenhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236120', '500236', '500236120', '康乐镇', 'kanglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236121', '500236', '500236121', '大树镇', 'dashuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236122', '500236', '500236122', '竹园镇', 'zhuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236123', '500236', '500236123', '公平镇', 'gongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236124', '500236', '500236124', '朱衣镇', 'zhuyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236125', '500236', '500236125', '甲高镇', 'jiagaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236126', '500236', '500236126', '羊市镇', 'yangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236127', '500236', '500236127', '吐祥镇', 'tuxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236128', '500236', '500236128', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236129', '500236', '500236129', '青龙镇', 'qinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236130', '500236', '500236130', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236131', '500236', '500236131', '永乐镇', 'yonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236265', '500236', '500236265', '岩湾乡', 'yanwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236266', '500236', '500236266', '平安乡', 'pinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236267', '500236', '500236267', '红土乡', 'hongtuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236268', '500236', '500236268', '新政乡', 'xinzhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236269', '500236', '500236269', '石岗乡', 'shigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236270', '500236', '500236270', '康坪乡', 'kangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236271', '500236', '500236271', '五马乡', 'wumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236272', '500236', '500236272', '太和乡', 'taihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236273', '500236', '500236273', '安坪乡', 'anpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236274', '500236', '500236274', '鹤峰乡', 'hefengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236275', '500236', '500236275', '冯坪乡', 'fengpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236276', '500236', '500236276', '长安土家族乡', 'zhangantujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236277', '500236', '500236277', '龙桥土家族乡', 'longqiaotujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500236278', '500236', '500236278', '云雾土家族乡', 'yunwutujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237', '5002', '500237', '巫山县', 'wushanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237100', '500237', '500237100', '巫峡镇', 'wuxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237101', '500237', '500237101', '庙宇镇', 'miaoyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237102', '500237', '500237102', '大昌镇', 'dachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237103', '500237', '500237103', '福田镇', 'futianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237104', '500237', '500237104', '龙溪镇', 'longxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237105', '500237', '500237105', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237106', '500237', '500237106', '官阳镇', 'guanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237107', '500237', '500237107', '骡坪镇', 'luopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237108', '500237', '500237108', '抱龙镇', 'baolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237109', '500237', '500237109', '官渡镇', 'guanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237110', '500237', '500237110', '铜鼓镇', 'tongguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237200', '500237', '500237200', '红椿乡', 'hongchunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237205', '500237', '500237205', '龙井乡', 'longjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237207', '500237', '500237207', '两坪乡', 'liangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237208', '500237', '500237208', '曲尺乡', 'quchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237210', '500237', '500237210', '建坪乡', 'jianpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237211', '500237', '500237211', '大溪乡', 'daxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237214', '500237', '500237214', '金坪乡', 'jinpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237216', '500237', '500237216', '平河乡', 'pinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237218', '500237', '500237218', '庙堂乡', 'miaotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237219', '500237', '500237219', '当阳乡', 'dangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237222', '500237', '500237222', '竹贤乡', 'zhuxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237225', '500237', '500237225', '三溪乡', 'sanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237227', '500237', '500237227', '培石乡', 'peishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237229', '500237', '500237229', '笃坪乡', 'dupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500237231', '500237', '500237231', '邓家乡', 'dengjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238', '5002', '500238', '巫溪县', 'wuxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238100', '500238', '500238100', '城厢镇', 'chengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238101', '500238', '500238101', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238102', '500238', '500238102', '宁厂镇', 'ningchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238103', '500238', '500238103', '上磺镇', 'shanghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238104', '500238', '500238104', '古路镇', 'guluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238105', '500238', '500238105', '文峰镇', 'wenfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238106', '500238', '500238106', '徐家镇', 'xujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238107', '500238', '500238107', '白鹿镇', 'bailuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238108', '500238', '500238108', '尖山镇', 'jianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238109', '500238', '500238109', '下堡镇', 'xiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238204', '500238', '500238204', '胜利乡', 'shenglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238205', '500238', '500238205', '菱角乡', 'lingjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238207', '500238', '500238207', '大河乡', 'dahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238208', '500238', '500238208', '天星乡', 'tianxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238210', '500238', '500238210', '长桂乡', 'zhangguixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238212', '500238', '500238212', '蒲莲乡', 'pulianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238213', '500238', '500238213', '峰灵乡', 'fenglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238216', '500238', '500238216', '塘坊乡', 'tangfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238220', '500238', '500238220', '朝阳洞乡', 'chaoyangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238226', '500238', '500238226', '鱼鳞乡', 'yulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238227', '500238', '500238227', '乌龙乡', 'wulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238229', '500238', '500238229', '田坝乡', 'tianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238234', '500238', '500238234', '中岗乡', 'zhonggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238236', '500238', '500238236', '通城乡', 'tongchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238237', '500238', '500238237', '花台乡', 'huataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238239', '500238', '500238239', '兰英乡', 'lanyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238240', '500238', '500238240', '双阳乡', 'shuangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238242', '500238', '500238242', '中梁乡', 'zhongliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238243', '500238', '500238243', '天元乡', 'tianyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238245', '500238', '500238245', '土城乡', 'tuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500238400', '500238', '500238400', '红池坝经济开发区', 'hongchibajingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240', '5002', '500240', '石柱县', 'shizhuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240100', '500240', '500240100', '南宾镇', 'nanbinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240101', '500240', '500240101', '西沱镇', 'xituozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240102', '500240', '500240102', '下路镇', 'xialuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240103', '500240', '500240103', '悦崃镇', 'yuelaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240104', '500240', '500240104', '临溪镇', 'linxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240105', '500240', '500240105', '黄水镇', 'huangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240106', '500240', '500240106', '马武镇', 'mawuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240107', '500240', '500240107', '沙子镇', 'shazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240108', '500240', '500240108', '王场镇', 'wangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240109', '500240', '500240109', '沿溪镇', 'yanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240110', '500240', '500240110', '龙沙镇', 'longshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240111', '500240', '500240111', '鱼池镇', 'yuchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240200', '500240', '500240200', '大歇乡', 'daxiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240201', '500240', '500240201', '三河乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240202', '500240', '500240202', '万朝乡', 'wanchaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240203', '500240', '500240203', '黎场乡', 'lichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240204', '500240', '500240204', '三星乡', 'sanxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240205', '500240', '500240205', '六塘乡', 'liutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240206', '500240', '500240206', '桥头乡', 'qiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240207', '500240', '500240207', '三益乡', 'sanyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240208', '500240', '500240208', '王家乡', 'wangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240209', '500240', '500240209', '河嘴乡', 'hezuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240210', '500240', '500240210', '石家乡', 'shijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240211', '500240', '500240211', '冷水乡', 'lengshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240212', '500240', '500240212', '枫木乡', 'fengmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240213', '500240', '500240213', '中益乡', 'zhongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240214', '500240', '500240214', '洗新乡', 'xixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240215', '500240', '500240215', '黄鹤乡', 'huanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240216', '500240', '500240216', '龙潭乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240217', '500240', '500240217', '新乐乡', 'xinlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240218', '500240', '500240218', '金铃乡', 'jinlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500240219', '500240', '500240219', '金竹乡', 'jinzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241', '5002', '500241', '秀山土家族苗族自治县', 'xiushantujiazumiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241100', '500241', '500241100', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241101', '500241', '500241101', '平凯镇', 'pingkaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241102', '500241', '500241102', '清溪场镇', 'qingxichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241103', '500241', '500241103', '隘口镇', 'aikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241104', '500241', '500241104', '溶溪镇', 'rongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241105', '500241', '500241105', '官庄镇', 'guanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241106', '500241', '500241106', '龙池镇', 'longchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241107', '500241', '500241107', '石堤镇', 'shidizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241108', '500241', '500241108', '峨溶镇', 'erongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241109', '500241', '500241109', '洪安镇', 'honganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241110', '500241', '500241110', '雅江镇', 'yajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241111', '500241', '500241111', '石耶镇', 'shiyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241112', '500241', '500241112', '梅江镇', 'meijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241113', '500241', '500241113', '兰桥镇', 'lanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241200', '500241', '500241200', '官舟乡', 'guanzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241201', '500241', '500241201', '孝溪乡', 'xiaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241202', '500241', '500241202', '塘坳乡', 'tangaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241203', '500241', '500241203', '膏田乡', 'gaotianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241204', '500241', '500241204', '溪口乡', 'xikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241205', '500241', '500241205', '妙泉乡', 'miaoquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241206', '500241', '500241206', '宋农乡', 'songnongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241207', '500241', '500241207', '海洋乡', 'haiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241208', '500241', '500241208', '大溪乡', 'daxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241209', '500241', '500241209', '保安乡', 'baoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241210', '500241', '500241210', '里仁乡', 'lirenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241211', '500241', '500241211', '涌洞乡', 'yongdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241212', '500241', '500241212', '干川乡', 'ganchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241213', '500241', '500241213', '平马乡', 'pingmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241214', '500241', '500241214', '中平乡', 'zhongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241215', '500241', '500241215', '岑溪乡', 'cenxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241216', '500241', '500241216', '钟灵乡', 'zhonglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500241217', '500241', '500241217', '巴家乡', 'bajiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242', '5002', '500242', '酉阳土家族苗族自治县', 'youyangtujiazumiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242100', '500242', '500242100', '钟多镇', 'zhongduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242101', '500242', '500242101', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242102', '500242', '500242102', '麻旺镇', 'mawangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242103', '500242', '500242103', '酉酬镇', 'youchouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242104', '500242', '500242104', '大溪镇', 'daxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242105', '500242', '500242105', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242106', '500242', '500242106', '黑水镇', 'heishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242107', '500242', '500242107', '丁市镇', 'dingshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242108', '500242', '500242108', '龚滩镇', 'gongtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242109', '500242', '500242109', '李溪镇', 'lixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242110', '500242', '500242110', '泔溪镇', 'ganxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242111', '500242', '500242111', '后溪镇', 'houxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242112', '500242', '500242112', '苍岭镇', 'canglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242113', '500242', '500242113', '小河镇', 'xiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242200', '500242', '500242200', '涂市乡', 'tushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242201', '500242', '500242201', '板溪乡', 'banxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242202', '500242', '500242202', '铜鼓乡', 'tongguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242203', '500242', '500242203', '江丰乡', 'jiangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242204', '500242', '500242204', '可大乡', 'kedaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242205', '500242', '500242205', '偏柏乡', 'pianboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242206', '500242', '500242206', '五福乡', 'wufuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242207', '500242', '500242207', '木叶乡', 'muyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242208', '500242', '500242208', '毛坝乡', 'maobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242209', '500242', '500242209', '花田乡', 'huatianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242210', '500242', '500242210', '后坪乡', 'houpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242211', '500242', '500242211', '天馆乡', 'tianguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242212', '500242', '500242212', '宜居乡', 'yijuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242213', '500242', '500242213', '万木乡', 'wanmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242214', '500242', '500242214', '两罾乡', 'liangzengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242215', '500242', '500242215', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242216', '500242', '500242216', '官清乡', 'guanqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242217', '500242', '500242217', '南腰界乡', 'nanyaojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242218', '500242', '500242218', '车田乡', 'chetianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242219', '500242', '500242219', '腴地乡', 'yudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242220', '500242', '500242220', '清泉乡', 'qingquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242221', '500242', '500242221', '庙溪乡', 'miaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242222', '500242', '500242222', '浪坪乡', 'langpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242223', '500242', '500242223', '双泉乡', 'shuangquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500242224', '500242', '500242224', '楠木乡', 'nanmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243', '5002', '500243', '彭水苗族土家族自治县', 'pengshuimiaozutujiazuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243100', '500243', '500243100', '汉葭镇', 'hanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243101', '500243', '500243101', '保家镇', 'baojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243102', '500243', '500243102', '郁山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243103', '500243', '500243103', '高谷镇', 'gaoguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243104', '500243', '500243104', '桑柘镇', 'sangzhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243105', '500243', '500243105', '鹿角镇', 'lujiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243106', '500243', '500243106', '黄家镇', 'huangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243107', '500243', '500243107', '普子镇', 'puzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243108', '500243', '500243108', '龙射镇', 'longshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243109', '500243', '500243109', '连湖镇', 'lianhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243200', '500243', '500243200', '靛水乡', 'dianshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243201', '500243', '500243201', '岩东乡', 'yandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243202', '500243', '500243202', '鹿鸣乡', 'lumingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243203', '500243', '500243203', '平安乡', 'pinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243204', '500243', '500243204', '棣棠乡', 'ditangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243205', '500243', '500243205', '太原乡', 'taiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243206', '500243', '500243206', '三义乡', 'sanyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243207', '500243', '500243207', '联合乡', 'lianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243208', '500243', '500243208', '石柳乡', 'shiliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243209', '500243', '500243209', '龙溪乡', 'longxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243210', '500243', '500243210', '走马乡', 'zoumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243211', '500243', '500243211', '芦塘乡', 'lutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243212', '500243', '500243212', '长滩乡', 'zhangtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243213', '500243', '500243213', '乔梓乡', 'qiaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243214', '500243', '500243214', '迁桥乡', 'qianqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243215', '500243', '500243215', '新田乡', 'xintianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243216', '500243', '500243216', '梅子垭乡', 'meiziyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243217', '500243', '500243217', '诸佛乡', 'zhufoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243218', '500243', '500243218', '小厂乡', 'xiaochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243219', '500243', '500243219', '桐楼乡', 'tonglouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243220', '500243', '500243220', '万足乡', 'wanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243221', '500243', '500243221', '鞍子乡', 'anzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243222', '500243', '500243222', '善感乡', 'shanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243223', '500243', '500243223', '双龙乡', 'shuanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243224', '500243', '500243224', '石盘乡', 'shipanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243225', '500243', '500243225', '大垭乡', 'dayaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243226', '500243', '500243226', '润溪乡', 'runxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243227', '500243', '500243227', '朗溪乡', 'langxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('500243228', '500243', '500243228', '龙塘乡', 'longtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('51', '-1', '51', '四川省', 'sichuansheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5101', '51', '5101', '成都市', 'chengdoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510101', '5101', '510101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104', '5101', '510104', '锦江区', 'jinjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104020', '510104', '510104020', '督院街街道', 'duyuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104021', '510104', '510104021', '盐市口街道', 'yanshikoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104022', '510104', '510104022', '春熙路街道', 'chunxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104023', '510104', '510104023', '书院街街道', 'shuyuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104024', '510104', '510104024', '合江亭街道', 'hejiangtingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104025', '510104', '510104025', '水井坊街道', 'shuijingfangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104026', '510104', '510104026', '牛市口街道', 'niushikoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104027', '510104', '510104027', '龙舟路街道', 'longzhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104028', '510104', '510104028', '双桂路街道', 'shuangguilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104029', '510104', '510104029', '莲新街道', 'lianxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104030', '510104', '510104030', '沙河街道', 'shahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104031', '510104', '510104031', '东光街道', 'dongguangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104032', '510104', '510104032', '狮子山街道', 'shizishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104035', '510104', '510104035', '成龙路街道', 'chenglonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104036', '510104', '510104036', '柳江街道', 'liujiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510104037', '510104', '510104037', '三圣街道', 'sanshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105', '5101', '510105', '青羊区', 'qingyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105001', '510105', '510105001', '太升路街道', 'taishenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105002', '510105', '510105002', '草市街街道', 'caoshijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105003', '510105', '510105003', '西御河街道', 'xiyuhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105004', '510105', '510105004', '汪家拐街道', 'wangjiaguaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105005', '510105', '510105005', '少城街街道', 'shaochengjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105006', '510105', '510105006', '新华西路街道', 'xinhuaxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105007', '510105', '510105007', '草堂路街道', 'caotanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105008', '510105', '510105008', '府南街道', 'funanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105009', '510105', '510105009', '光华街道', 'guanghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105010', '510105', '510105010', '东坡街道', 'dongpojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105011', '510105', '510105011', '金沙街道', 'jinshajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105012', '510105', '510105012', '黄田坝街道', 'huangtianbajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105013', '510105', '510105013', '苏坡街道', 'supojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510105014', '510105', '510105014', '文家街道', 'wenjiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106', '5101', '510106', '金牛区', 'jinniuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106024', '510106', '510106024', '西安路街道', 'xianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106025', '510106', '510106025', '西华街道', 'xihuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106026', '510106', '510106026', '人民北路街道', 'renminbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106027', '510106', '510106027', '荷花池街道', 'hehuachijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106030', '510106', '510106030', '驷马桥街道', 'simaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106031', '510106', '510106031', '茶店子街道', 'chadianzijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106032', '510106', '510106032', '抚琴街道', 'fuqinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106035', '510106', '510106035', '九里堤街道', 'jiulidijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106036', '510106', '510106036', '五块石街道', 'wukuaishijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106037', '510106', '510106037', '黄忠街道', 'huangzhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106038', '510106', '510106038', '营门口街道', 'yingmenkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106040', '510106', '510106040', '金泉街道', 'jinquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106041', '510106', '510106041', '沙河源街道', 'shaheyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106042', '510106', '510106042', '天回镇街道', 'tianhuizhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510106043', '510106', '510106043', '凤凰山街道', 'fenghuangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107', '5101', '510107', '武侯区', 'wuhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107001', '510107', '510107001', '浆洗街街道', 'jiangxijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107002', '510107', '510107002', '小天竺街道', 'xiaotianzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107003', '510107', '510107003', '致民路街道', 'zhiminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107004', '510107', '510107004', '望江路街道', 'wangjianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107005', '510107', '510107005', '玉林街道', 'yulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107006', '510107', '510107006', '跳伞塔街道', 'tiaosantajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107007', '510107', '510107007', '火车南站街道', 'huochenanzhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107008', '510107', '510107008', '双楠街道', 'shuangnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107009', '510107', '510107009', '晋阳街道', 'jinyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107010', '510107', '510107010', '红牌楼街道', 'hongpailoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107011', '510107', '510107011', '簇桥街道', 'cuqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107012', '510107', '510107012', '机投桥街道', 'jitouqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107013', '510107', '510107013', '金花桥街道', 'jinhuaqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107061', '510107', '510107061', '芳草街道', 'fangcaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107062', '510107', '510107062', '肖家河街道', 'xiaojiahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107063', '510107', '510107063', '石羊场街道', 'shiyangchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510107064', '510107', '510107064', '桂溪街道', 'guixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108', '5101', '510108', '成华区', 'chenghuaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108002', '510108', '510108002', '猛追街道', 'mengzhuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108004', '510108', '510108004', '双桥街道', 'shuangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108005', '510108', '510108005', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108006', '510108', '510108006', '府青街道', 'fuqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108007', '510108', '510108007', '二仙街道', 'erxianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108008', '510108', '510108008', '跳蹬街道', 'tiaodengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108009', '510108', '510108009', '新鸿街道', 'xinhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108010', '510108', '510108010', '双水碾街道', 'shuangshuinianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108011', '510108', '510108011', '万年街道', 'wannianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108012', '510108', '510108012', '桃蹊街道', 'taoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108013', '510108', '510108013', '圣灯街道', 'shengdengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108014', '510108', '510108014', '保和街道', 'baohejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108015', '510108', '510108015', '青龙街道', 'qinglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510108016', '510108', '510108016', '龙潭街道', 'longtanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112', '5101', '510112', '龙泉驿区', 'longquanyiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112001', '510112', '510112001', '龙泉街道', 'longquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112002', '510112', '510112002', '大面街道', 'damianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112003', '510112', '510112003', '十陵街道', 'shilingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112004', '510112', '510112004', '同安街道', 'tonganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112102', '510112', '510112102', '洛带镇', 'luodaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112104', '510112', '510112104', '西河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112108', '510112', '510112108', '洪安镇', 'honganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112109', '510112', '510112109', '柏合镇', 'bohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112110', '510112', '510112110', '茶店镇', 'chadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112111', '510112', '510112111', '黄土镇', 'huangtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112115', '510112', '510112115', '山泉镇', 'shanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510112200', '510112', '510112200', '万兴乡', 'wanxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113', '5101', '510113', '青白江区', 'qingbaijiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113001', '510113', '510113001', '红阳街道', 'hongyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113002', '510113', '510113002', '大弯街道', 'dawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113102', '510113', '510113102', '弥牟镇', 'mimouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113103', '510113', '510113103', '大同镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113104', '510113', '510113104', '城厢镇', 'chengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113105', '510113', '510113105', '祥福镇', 'xiangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113106', '510113', '510113106', '姚渡镇', 'yaoduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113108', '510113', '510113108', '清泉镇', 'qingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113110', '510113', '510113110', '龙王镇', 'longwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113202', '510113', '510113202', '福洪乡', 'fuhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510113203', '510113', '510113203', '人和乡', 'renhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114', '5101', '510114', '新都区', 'xindouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114001', '510114', '510114001', '大丰街道', 'dafengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114003', '510114', '510114003', '三河街道', 'sanhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114100', '510114', '510114100', '新都镇', 'xindouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114102', '510114', '510114102', '石板滩镇', 'shibantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114103', '510114', '510114103', '新繁镇', 'xinfanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114104', '510114', '510114104', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114106', '510114', '510114106', '泰兴镇', 'taixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114108', '510114', '510114108', '斑竹园镇', 'banzhuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114109', '510114', '510114109', '清流镇', 'qingliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114111', '510114', '510114111', '马家镇', 'majiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114112', '510114', '510114112', '龙桥镇', 'longqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114114', '510114', '510114114', '木兰镇', 'mulanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510114116', '510114', '510114116', '军屯镇', 'juntunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510115', '5101', '510115', '温江区', 'wenjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510115001', '510115', '510115001', '柳城街道', 'liuchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510115002', '510115', '510115002', '公平街道', 'gongpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510115003', '510115', '510115003', '涌泉街道', 'yongquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510115004', '510115', '510115004', '天府街道', 'tianfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510115005', '510115', '510115005', '金马街道', 'jinmajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510115006', '510115', '510115006', '永宁街道', 'yongningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510115007', '510115', '510115007', '万春街道', 'wanchunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510115101', '510115', '510115101', '和盛镇', 'heshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510115102', '510115', '510115102', '永盛镇', 'yongshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510115106', '510115', '510115106', '寿安镇', 'shouanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121', '5101', '510121', '金堂县', 'jintangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121100', '510121', '510121100', '赵镇', 'zhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121101', '510121', '510121101', '三星镇', 'sanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121102', '510121', '510121102', '清江镇', 'qingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121103', '510121', '510121103', '官仓镇', 'guancangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121104', '510121', '510121104', '淮口镇', 'huaikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121105', '510121', '510121105', '白果镇', 'baiguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121106', '510121', '510121106', '五凤镇', 'wufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121108', '510121', '510121108', '高板镇', 'gaobanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121109', '510121', '510121109', '三溪镇', 'sanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121110', '510121', '510121110', '福兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121111', '510121', '510121111', '金龙镇', 'jinlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121112', '510121', '510121112', '赵家镇', 'zhaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121113', '510121', '510121113', '竹篙镇', 'zhugaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121114', '510121', '510121114', '广兴镇', 'guangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121115', '510121', '510121115', '隆盛镇', 'longshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121116', '510121', '510121116', '转龙镇', 'zhuanlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121117', '510121', '510121117', '土桥镇', 'tuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121118', '510121', '510121118', '云合镇', 'yunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121119', '510121', '510121119', '又新镇', 'youxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121200', '510121', '510121200', '栖贤乡', 'qixianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510121203', '510121', '510121203', '平桥乡', 'pingqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122', '5101', '510122', '双流县', 'shuangliuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122001', '510122', '510122001', '东升街道', 'dongshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122002', '510122', '510122002', '西航港街道', 'xihanggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122003', '510122', '510122003', '华阳街道', 'huayangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122004', '510122', '510122004', '中和街道', 'zhonghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122101', '510122', '510122101', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122102', '510122', '510122102', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122106', '510122', '510122106', '籍田镇', 'jitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122107', '510122', '510122107', '正兴镇', 'zhengxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122108', '510122', '510122108', '彭镇', 'pengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122109', '510122', '510122109', '大林镇', 'dalinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122110', '510122', '510122110', '煎茶镇', 'jianchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122111', '510122', '510122111', '黄龙溪镇', 'huanglongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122112', '510122', '510122112', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122114', '510122', '510122114', '九江镇', 'jiujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122115', '510122', '510122115', '黄水镇', 'huangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122116', '510122', '510122116', '金桥镇', 'jinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122117', '510122', '510122117', '黄甲镇', 'huangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122118', '510122', '510122118', '公兴镇', 'gongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122119', '510122', '510122119', '胜利镇', 'shenglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122120', '510122', '510122120', '新兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122121', '510122', '510122121', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122122', '510122', '510122122', '万安镇', 'wananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122123', '510122', '510122123', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122124', '510122', '510122124', '三星镇', 'sanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510122125', '510122', '510122125', '合江镇', 'hejiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124', '5101', '510124', '郫县', 'pixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124100', '510124', '510124100', '郫筒镇', 'pitongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124101', '510124', '510124101', '团结镇', 'tuanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124102', '510124', '510124102', '犀浦镇', 'xipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124103', '510124', '510124103', '花园镇', 'huayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124104', '510124', '510124104', '唐昌镇', 'tangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124105', '510124', '510124105', '安德镇', 'andezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124106', '510124', '510124106', '三道堰镇', 'sandaoyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124107', '510124', '510124107', '安靖镇', 'anjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124108', '510124', '510124108', '红光镇', 'hongguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124110', '510124', '510124110', '新民场镇', 'xinminchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124112', '510124', '510124112', '德源镇', 'deyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124115', '510124', '510124115', '友爱镇', 'youaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124117', '510124', '510124117', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124118', '510124', '510124118', '唐元镇', 'tangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510124119', '510124', '510124119', '合作镇', 'hezuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129', '5101', '510129', '大邑县', 'dayixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129100', '510129', '510129100', '晋原镇', 'jinyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129101', '510129', '510129101', '王泗镇', 'wangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129103', '510129', '510129103', '新场镇', 'xinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129104', '510129', '510129104', '悦来镇', 'yuelaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129105', '510129', '510129105', '安仁镇', 'anrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129106', '510129', '510129106', '出江镇', 'chujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129107', '510129', '510129107', '花水湾镇', 'huashuiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129108', '510129', '510129108', '西岭镇', 'xilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129109', '510129', '510129109', '斜源镇', 'xieyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129110', '510129', '510129110', '董场镇', 'dongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129111', '510129', '510129111', '韩场镇', 'hanchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129112', '510129', '510129112', '三岔镇', 'sanchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129113', '510129', '510129113', '上安镇', 'shanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129114', '510129', '510129114', '苏家镇', 'sujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129115', '510129', '510129115', '青霞镇', 'qingxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129116', '510129', '510129116', '沙渠镇', 'shaquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129118', '510129', '510129118', '蔡场镇', 'caichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129202', '510129', '510129202', '雾山乡', 'wushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129203', '510129', '510129203', '金星乡', 'jinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510129205', '510129', '510129205', '鹤鸣乡', 'hemingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131', '5101', '510131', '蒲江县', 'pujiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131100', '510131', '510131100', '鹤山镇', 'heshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131101', '510131', '510131101', '大塘镇', 'datangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131102', '510131', '510131102', '寿安镇', 'shouanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131103', '510131', '510131103', '朝阳湖镇', 'chaoyanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131104', '510131', '510131104', '西来镇', 'xilaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131105', '510131', '510131105', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131106', '510131', '510131106', '甘溪镇', 'ganxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131107', '510131', '510131107', '成佳镇', 'chengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131200', '510131', '510131200', '复兴乡', 'fuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131201', '510131', '510131201', '光明乡', 'guangmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131202', '510131', '510131202', '白云乡', 'baiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510131203', '510131', '510131203', '长秋乡', 'zhangqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132', '5101', '510132', '新津县', 'xinjinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132100', '510132', '510132100', '五津镇', 'wujinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132101', '510132', '510132101', '花桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132102', '510132', '510132102', '花源镇', 'huayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132103', '510132', '510132103', '金华镇', 'jinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132104', '510132', '510132104', '普兴镇', 'puxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132105', '510132', '510132105', '兴义镇', 'xingyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132106', '510132', '510132106', '新平镇', 'xinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132107', '510132', '510132107', '方兴镇', 'fangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132108', '510132', '510132108', '安西镇', 'anxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132109', '510132', '510132109', '永商镇', 'yongshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132110', '510132', '510132110', '邓双镇', 'dengshuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510132202', '510132', '510132202', '文井乡', 'wenjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181', '5101', '510181', '都江堰市', 'doujiangyanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181100', '510181', '510181100', '灌口镇', 'guankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181101', '510181', '510181101', '幸福镇', 'xingfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181102', '510181', '510181102', '蒲阳镇', 'puyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181103', '510181', '510181103', '聚源镇', 'juyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181104', '510181', '510181104', '崇义镇', 'chongyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181105', '510181', '510181105', '天马镇', 'tianmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181106', '510181', '510181106', '石羊镇', 'shiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181107', '510181', '510181107', '柳街镇', 'liujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181108', '510181', '510181108', '玉堂镇', 'yutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181109', '510181', '510181109', '中兴镇', 'zhongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181110', '510181', '510181110', '青城山镇', 'qingchengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181111', '510181', '510181111', '龙池镇', 'longchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181112', '510181', '510181112', '胥家镇', 'xujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181113', '510181', '510181113', '安龙镇', 'anlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181114', '510181', '510181114', '大观镇', 'daguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181115', '510181', '510181115', '紫坪铺镇', 'zipingpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181116', '510181', '510181116', '翠月湖镇', 'cuiyuehuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181202', '510181', '510181202', '向峨乡', 'xiangexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510181211', '510181', '510181211', '虹口乡', 'hongkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182', '5101', '510182', '彭州市', 'pengzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182100', '510182', '510182100', '天彭镇', 'tianpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182101', '510182', '510182101', '龙门山镇', 'longmenshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182102', '510182', '510182102', '新兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182103', '510182', '510182103', '丽春镇', 'lichunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182104', '510182', '510182104', '九尺镇', 'jiuchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182105', '510182', '510182105', '蒙阳镇', 'mengyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182106', '510182', '510182106', '通济镇', 'tongjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182107', '510182', '510182107', '丹景山镇', 'danjingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182108', '510182', '510182108', '隆丰镇', 'longfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182109', '510182', '510182109', '敖平镇', 'aopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182110', '510182', '510182110', '磁峰镇', 'cifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182111', '510182', '510182111', '桂花镇', 'guihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182113', '510182', '510182113', '军乐镇', 'junlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182114', '510182', '510182114', '三界镇', 'sanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182116', '510182', '510182116', '小渔洞镇', 'xiaoyudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182118', '510182', '510182118', '红岩镇', 'hongyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182120', '510182', '510182120', '升平镇', 'shengpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182121', '510182', '510182121', '白鹿镇', 'bailuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182123', '510182', '510182123', '葛仙山镇', 'gexianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510182126', '510182', '510182126', '致和镇', 'zhihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183', '5101', '510183', '邛崃市', 'qionglaishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183100', '510183', '510183100', '临邛镇', 'linqiongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183101', '510183', '510183101', '羊安镇', 'yanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183102', '510183', '510183102', '牟礼镇', 'moulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183103', '510183', '510183103', '桑园镇', 'sangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183104', '510183', '510183104', '平乐镇', 'pinglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183105', '510183', '510183105', '夹关镇', 'jiaguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183106', '510183', '510183106', '火井镇', 'huojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183107', '510183', '510183107', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183108', '510183', '510183108', '固驿镇', 'guyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183109', '510183', '510183109', '冉义镇', 'ranyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183110', '510183', '510183110', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183111', '510183', '510183111', '高埂镇', 'gaogengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183112', '510183', '510183112', '前进镇', 'qianjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183113', '510183', '510183113', '高何镇', 'gaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183115', '510183', '510183115', '临济镇', 'linjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183116', '510183', '510183116', '卧龙镇', 'wolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183118', '510183', '510183118', '天台山镇', 'tiantaishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183120', '510183', '510183120', '宝林镇', 'baolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183201', '510183', '510183201', '茶园乡', 'chayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183206', '510183', '510183206', '道佐乡', 'daozuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183209', '510183', '510183209', '油榨乡', 'youzhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183211', '510183', '510183211', '南宝乡', 'nanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183212', '510183', '510183212', '大同乡', 'datongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510183214', '510183', '510183214', '孔明乡', 'kongmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184', '5101', '510184', '崇州市', 'chongzhoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184100', '510184', '510184100', '崇阳镇', 'chongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184101', '510184', '510184101', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184102', '510184', '510184102', '江源镇', 'jiangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184103', '510184', '510184103', '羊马镇', 'yangmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184104', '510184', '510184104', '廖家镇', 'liaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184105', '510184', '510184105', '元通镇', 'yuantongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184106', '510184', '510184106', '观胜镇', 'guanshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184107', '510184', '510184107', '怀远镇', 'huaiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184108', '510184', '510184108', '三郎镇', 'sanlangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184109', '510184', '510184109', '街子镇', 'jiezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184110', '510184', '510184110', '文井江镇', 'wenjingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184111', '510184', '510184111', '王场镇', 'wangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184112', '510184', '510184112', '白头镇', 'baitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184113', '510184', '510184113', '道明镇', 'daomingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184114', '510184', '510184114', '隆兴镇', 'longxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184116', '510184', '510184116', '大划镇', 'dahuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184117', '510184', '510184117', '崇平镇', 'chongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184118', '510184', '510184118', '梓潼镇', 'zitongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184119', '510184', '510184119', '桤泉镇', 'qiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184201', '510184', '510184201', '锦江乡', 'jinjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184202', '510184', '510184202', '公议乡', 'gongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184206', '510184', '510184206', '鸡冠山乡', 'jiguanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184208', '510184', '510184208', '济协乡', 'jixiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184209', '510184', '510184209', '燎原乡', 'liaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510184211', '510184', '510184211', '集贤乡', 'jixianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5103', '51', '5103', '自贡市', 'zigongshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510301', '5103', '510301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302', '5103', '510302', '自流井区', 'ziliujingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302001', '510302', '510302001', '五星街街道', 'wuxingjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302002', '510302', '510302002', '东兴寺街道', 'dongxingsijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302003', '510302', '510302003', '新街街道', 'xinjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302004', '510302', '510302004', '郭家坳街街道', 'guojiaaojiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302005', '510302', '510302005', '丹桂街道', 'danguijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302006', '510302', '510302006', '学苑街道', 'xueyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302101', '510302', '510302101', '仲权镇', 'zhongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302102', '510302', '510302102', '舒坪镇', 'shupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302103', '510302', '510302103', '荣边镇', 'rongbianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302201', '510302', '510302201', '红旗乡', 'hongqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302202', '510302', '510302202', '高峰乡', 'gaofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302203', '510302', '510302203', '农团乡', 'nongtuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510302204', '510302', '510302204', '漆树乡', 'qishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303', '5103', '510303', '贡井区', 'gongjingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303001', '510303', '510303001', '筱溪街道', 'xiaoxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303002', '510303', '510303002', '贡井街道', 'gongjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303100', '510303', '510303100', '艾叶镇', 'aiyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303101', '510303', '510303101', '建设镇', 'jianshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303102', '510303', '510303102', '长土镇', 'zhangtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303104', '510303', '510303104', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303105', '510303', '510303105', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303106', '510303', '510303106', '五宝镇', 'wubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303107', '510303', '510303107', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303108', '510303', '510303108', '成佳镇', 'chengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303109', '510303', '510303109', '白庙镇', 'baimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303200', '510303', '510303200', '章佳乡', 'zhangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510303201', '510303', '510303201', '牛尾乡', 'niuweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304', '5103', '510304', '大安区', 'daanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304001', '510304', '510304001', '大安街道', 'daanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304002', '510304', '510304002', '龙井街道', 'longjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304003', '510304', '510304003', '马冲口街道', 'machongkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304004', '510304', '510304004', '凉高山街道', 'lianggaoshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304100', '510304', '510304100', '大山铺镇', 'dashanpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304102', '510304', '510304102', '团结镇', 'tuanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304103', '510304', '510304103', '三多寨镇', 'sanduozhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304104', '510304', '510304104', '何市镇', 'heshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304105', '510304', '510304105', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304106', '510304', '510304106', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304107', '510304', '510304107', '牛佛镇', 'niufozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304108', '510304', '510304108', '庙坝镇', 'miaobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304109', '510304', '510304109', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304204', '510304', '510304204', '永嘉乡', 'yongjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304205', '510304', '510304205', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510304207', '510304', '510304207', '凤凰乡', 'fenghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311', '5103', '510311', '沿滩区', 'yantanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311100', '510311', '510311100', '沿滩镇', 'yantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311101', '510311', '510311101', '卫坪镇', 'weipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311102', '510311', '510311102', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311105', '510311', '510311105', '富全镇', 'fuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311106', '510311', '510311106', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311107', '510311', '510311107', '联络镇', 'lianluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311108', '510311', '510311108', '邓关镇', 'dengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311109', '510311', '510311109', '王井镇', 'wangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311110', '510311', '510311110', '黄市镇', 'huangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311111', '510311', '510311111', '瓦市镇', 'washizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311112', '510311', '510311112', '仙市镇', 'xianshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311203', '510311', '510311203', '刘山乡', 'liushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510311204', '510311', '510311204', '九洪乡', 'jiuhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321', '5103', '510321', '荣县', 'rongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321100', '510321', '510321100', '旭阳镇', 'xuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321102', '510321', '510321102', '双石镇', 'shuangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321103', '510321', '510321103', '望佳镇', 'wangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321107', '510321', '510321107', '鼎新镇', 'dingxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321110', '510321', '510321110', '乐德镇', 'ledezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321111', '510321', '510321111', '过水镇', 'guoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321112', '510321', '510321112', '古文镇', 'guwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321113', '510321', '510321113', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321114', '510321', '510321114', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321115', '510321', '510321115', '正紫镇', 'zhengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321116', '510321', '510321116', '度佳镇', 'dujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321117', '510321', '510321117', '东佳镇', 'dongjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321118', '510321', '510321118', '长山镇', 'zhangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321119', '510321', '510321119', '保华镇', 'baohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321120', '510321', '510321120', '留佳镇', 'liujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321121', '510321', '510321121', '来牟镇', 'laimouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321122', '510321', '510321122', '双古镇', 'shuangguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321123', '510321', '510321123', '观山镇', 'guanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321124', '510321', '510321124', '高山镇', 'gaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321125', '510321', '510321125', '东兴镇', 'dongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321126', '510321', '510321126', '铁厂镇', 'tiechangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321202', '510321', '510321202', '金花乡', 'jinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321203', '510321', '510321203', '雷音乡', 'leiyinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321204', '510321', '510321204', '古佳乡', 'gujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321205', '510321', '510321205', '于佳乡', 'yujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321206', '510321', '510321206', '复兴乡', 'fuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510321207', '510321', '510321207', '墨林乡', 'molinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322', '5103', '510322', '富顺县', 'fushunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322100', '510322', '510322100', '富世镇', 'fushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322101', '510322', '510322101', '东湖镇', 'donghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322102', '510322', '510322102', '琵琶镇', 'pipazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322103', '510322', '510322103', '狮市镇', 'shishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322104', '510322', '510322104', '骑龙镇', 'qilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322107', '510322', '510322107', '互助镇', 'huzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322111', '510322', '510322111', '代寺镇', 'daisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322112', '510322', '510322112', '中石镇', 'zhongshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322113', '510322', '510322113', '童寺镇', 'tongsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322114', '510322', '510322114', '古佛镇', 'gufozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322115', '510322', '510322115', '永年镇', 'yongnianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322116', '510322', '510322116', '彭庙镇', 'pengmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322117', '510322', '510322117', '兜山镇', 'doushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322118', '510322', '510322118', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322119', '510322', '510322119', '福善镇', 'fushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322120', '510322', '510322120', '李桥镇', 'liqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322121', '510322', '510322121', '赵化镇', 'zhaohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322122', '510322', '510322122', '安溪镇', 'anxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322123', '510322', '510322123', '万寿镇', 'wanshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322124', '510322', '510322124', '飞龙镇', 'feilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322125', '510322', '510322125', '怀德镇', 'huaidezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322126', '510322', '510322126', '长滩镇', 'zhangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322200', '510322', '510322200', '龙万乡', 'longwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322201', '510322', '510322201', '宝庆乡', 'baoqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322202', '510322', '510322202', '富和乡', 'fuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510322203', '510322', '510322203', '石道乡', 'shidaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5104', '51', '5104', '攀枝花市', 'panzhihuashi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510401', '5104', '510401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510402', '5104', '510402', '攀枝花东区', 'panzhihuadongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510402001', '510402', '510402001', '大渡口街道', 'dadukoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510402002', '510402', '510402002', '炳草岗街道', 'bingcaogangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510402003', '510402', '510402003', '南山街道', 'nanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510402004', '510402', '510402004', '向阳村街道', 'xiangyangcunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510402005', '510402', '510402005', '弄弄坪街道', 'nongnongpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510402006', '510402', '510402006', '枣子坪街道', 'zaozipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510402007', '510402', '510402007', '长寿路街道', 'zhangshoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510402008', '510402', '510402008', '密地街道', 'midijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510402009', '510402', '510402009', '瓜子坪街道', 'guazipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510402100', '510402', '510402100', '银江镇', 'yinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510403', '5104', '510403', '西区', 'xiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510403001', '510403', '510403001', '清香坪街道', 'qingxiangpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510403002', '510403', '510403002', '玉泉街道', 'yuquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510403003', '510403', '510403003', '河门口街道', 'hemenkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510403004', '510403', '510403004', '陶家渡街道', 'taojiadujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510403005', '510403', '510403005', '摩梭河街道', 'mosuohejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510403006', '510403', '510403006', '大宝鼎街道', 'dabaodingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510403100', '510403', '510403100', '格里坪镇', 'gelipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411', '5104', '510411', '仁和区', 'renhequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411001', '510411', '510411001', '大河中路街道', 'dahezhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411100', '510411', '510411100', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411101', '510411', '510411101', '平地镇', 'pingdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411102', '510411', '510411102', '大田镇', 'datianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411103', '510411', '510411103', '福田镇', 'futianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411104', '510411', '510411104', '同德镇', 'tongdezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411105', '510411', '510411105', '金江镇', 'jinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411106', '510411', '510411106', '布德镇', 'budezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411107', '510411', '510411107', '前进镇', 'qianjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411200', '510411', '510411200', '大龙潭彝族乡', 'dalongtanyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411201', '510411', '510411201', '啊喇彝族乡', 'alayizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411202', '510411', '510411202', '总发乡', 'zongfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411203', '510411', '510411203', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411204', '510411', '510411204', '务本乡', 'wubenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510411205', '510411', '510411205', '中坝乡', 'zhongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421', '5104', '510421', '米易县', 'miyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421100', '510421', '510421100', '攀莲镇', 'panlianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421101', '510421', '510421101', '丙谷镇', 'bingguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421102', '510421', '510421102', '得石镇', 'deshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421103', '510421', '510421103', '撒莲镇', 'salianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421104', '510421', '510421104', '垭口镇', 'yakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421105', '510421', '510421105', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421106', '510421', '510421106', '普威镇', 'puweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421200', '510421', '510421200', '草场乡', 'caochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421201', '510421', '510421201', '湾丘彝族乡', 'wanqiuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421202', '510421', '510421202', '白坡彝族乡', 'baipoyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421203', '510421', '510421203', '麻陇彝族乡', 'malongyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421204', '510421', '510421204', '新山傈僳族乡', 'xinshanlisuzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510421400', '510421', '510421400', '攀钢集团湾丘基地', 'pangangjituanwanqiujidi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422', '5104', '510422', '盐边县', 'yanbianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422100', '510422', '510422100', '桐子林镇', 'tongzilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422101', '510422', '510422101', '红格镇', 'honggezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422102', '510422', '510422102', '渔门镇', 'yumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422103', '510422', '510422103', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422200', '510422', '510422200', '益民乡', 'yiminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422201', '510422', '510422201', '新九乡', 'xinjiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422202', '510422', '510422202', '和爱彝族乡', 'heaiyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422203', '510422', '510422203', '红果彝族乡', 'hongguoyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422204', '510422', '510422204', '鳡鱼彝族乡', 'ganyuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422205', '510422', '510422205', '共和乡', 'gonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422206', '510422', '510422206', '国胜乡', 'guoshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422207', '510422', '510422207', '红宝苗族乡', 'hongbaomiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422208', '510422', '510422208', '惠民乡', 'huiminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422209', '510422', '510422209', '箐河彝族乡', 'qingheyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422210', '510422', '510422210', '温泉彝族乡', 'wenquanyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510422211', '510422', '510422211', '格萨拉彝族乡', 'gesalayizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5105', '51', '5105', '泸州市', 'luzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510501', '5105', '510501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502', '5105', '510502', '江阳区', 'jiangyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502001', '510502', '510502001', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502002', '510502', '510502002', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502003', '510502', '510502003', '大山坪街道', 'dashanpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502004', '510502', '510502004', '邻玉街道', 'linyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502005', '510502', '510502005', '蓝田街道', 'lantianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502006', '510502', '510502006', '茜草街道', 'qiancaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502007', '510502', '510502007', '华阳街道', 'huayangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502102', '510502', '510502102', '泰安镇', 'taianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502103', '510502', '510502103', '黄舣镇', 'huangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502104', '510502', '510502104', '弥陀镇', 'mituozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502105', '510502', '510502105', '况场镇', 'kuangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502106', '510502', '510502106', '通滩镇', 'tongtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502107', '510502', '510502107', '江北镇', 'jiangbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502108', '510502', '510502108', '方山镇', 'fangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502200', '510502', '510502200', '丹林乡', 'danlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502202', '510502', '510502202', '分水岭乡', 'fenshuilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510502203', '510502', '510502203', '石寨乡', 'shizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503', '5105', '510503', '纳溪区', 'naxiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503001', '510503', '510503001', '安富街道', 'anfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503002', '510503', '510503002', '永宁街道', 'yongningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503100', '510503', '510503100', '大渡口镇', 'dadukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503101', '510503', '510503101', '护国镇', 'huguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503102', '510503', '510503102', '打古镇', 'daguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503103', '510503', '510503103', '上马镇', 'shangmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503104', '510503', '510503104', '合面镇', 'hemianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503105', '510503', '510503105', '新乐镇', 'xinlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503106', '510503', '510503106', '丰乐镇', 'fenglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503107', '510503', '510503107', '白节镇', 'baijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503108', '510503', '510503108', '天仙镇', 'tianxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503109', '510503', '510503109', '渠坝镇', 'qubazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503110', '510503', '510503110', '龙车镇', 'longchezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510503111', '510503', '510503111', '棉花坡镇', 'mianhuapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504', '5105', '510504', '龙马潭区', 'longmatanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504001', '510504', '510504001', '小市街道', 'xiaoshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504002', '510504', '510504002', '高坝街道', 'gaobajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504003', '510504', '510504003', '红星街道', 'hongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504004', '510504', '510504004', '莲花池街道', 'lianhuachijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504100', '510504', '510504100', '罗汉镇', 'luohanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504101', '510504', '510504101', '鱼塘镇', 'yutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504102', '510504', '510504102', '石洞镇', 'shidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504103', '510504', '510504103', '胡市镇', 'hushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504104', '510504', '510504104', '特兴镇', 'texingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504105', '510504', '510504105', '安宁镇', 'anningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504106', '510504', '510504106', '双加镇', 'shuangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504200', '510504', '510504200', '金龙乡', 'jinlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510504201', '510504', '510504201', '长安乡', 'zhanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521', '5105', '510521', '泸县', 'luxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521100', '510521', '510521100', '福集镇', 'fujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521101', '510521', '510521101', '嘉明镇', 'jiamingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521102', '510521', '510521102', '喻寺镇', 'yusizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521103', '510521', '510521103', '得胜镇', 'deshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521105', '510521', '510521105', '牛滩镇', 'niutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521106', '510521', '510521106', '兆雅镇', 'zhaoyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521107', '510521', '510521107', '玄滩镇', 'xuantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521108', '510521', '510521108', '太伏镇', 'taifuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521109', '510521', '510521109', '云龙镇', 'yunlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521110', '510521', '510521110', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521111', '510521', '510521111', '毗卢镇', 'piluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521112', '510521', '510521112', '奇峰镇', 'qifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521113', '510521', '510521113', '潮河镇', 'chaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521114', '510521', '510521114', '云锦镇', 'yunjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521115', '510521', '510521115', '立石镇', 'lishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521116', '510521', '510521116', '百和镇', 'baihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521117', '510521', '510521117', '天兴镇', 'tianxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521118', '510521', '510521118', '方洞镇', 'fangdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510521123', '510521', '510521123', '海潮镇', 'haichaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522', '5105', '510522', '合江县', 'hejiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522100', '510522', '510522100', '合江镇', 'hejiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522101', '510522', '510522101', '望龙镇', 'wanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522102', '510522', '510522102', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522103', '510522', '510522103', '佛荫镇', 'foyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522104', '510522', '510522104', '先市镇', 'xianshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522105', '510522', '510522105', '尧坝镇', 'yaobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522106', '510522', '510522106', '九支镇', 'jiuzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522107', '510522', '510522107', '五通镇', 'wutongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522108', '510522', '510522108', '凤鸣镇', 'fengmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522109', '510522', '510522109', '榕山镇', 'rongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522110', '510522', '510522110', '白鹿镇', 'bailuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522111', '510522', '510522111', '甘雨镇', 'ganyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522112', '510522', '510522112', '福宝镇', 'fubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522113', '510522', '510522113', '先滩镇', 'xiantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522114', '510522', '510522114', '自怀镇', 'zihuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522115', '510522', '510522115', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522116', '510522', '510522116', '车辋镇', 'chewangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522200', '510522', '510522200', '密溪乡', 'mixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522201', '510522', '510522201', '白米乡', 'baimixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522202', '510522', '510522202', '焦滩乡', 'jiaotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522203', '510522', '510522203', '参宝乡', 'canbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522206', '510522', '510522206', '二里乡', 'erlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522208', '510522', '510522208', '实录乡', 'shiluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522209', '510522', '510522209', '虎头乡', 'hutouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522210', '510522', '510522210', '榕右乡', 'rongyouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522212', '510522', '510522212', '南滩乡', 'nantanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510522213', '510522', '510522213', '石龙乡', 'shilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524', '5105', '510524', '叙永县', 'xuyongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524100', '510524', '510524100', '叙永镇', 'xuyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524101', '510524', '510524101', '江门镇', 'jiangmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524102', '510524', '510524102', '马岭镇', 'malingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524103', '510524', '510524103', '天池镇', 'tianchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524104', '510524', '510524104', '水尾镇', 'shuiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524105', '510524', '510524105', '两河镇', 'lianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524106', '510524', '510524106', '落卜镇', 'luobuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524107', '510524', '510524107', '后山镇', 'houshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524108', '510524', '510524108', '分水镇', 'fenshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524109', '510524', '510524109', '摩尼镇', 'monizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524110', '510524', '510524110', '赤水镇', 'chishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524200', '510524', '510524200', '向林乡', 'xianglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524201', '510524', '510524201', '大石乡', 'dashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524202', '510524', '510524202', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524203', '510524', '510524203', '龙凤乡', 'longfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524204', '510524', '510524204', '正东乡', 'zhengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524206', '510524', '510524206', '黄坭乡', 'huangnixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524207', '510524', '510524207', '营山乡', 'yingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524208', '510524', '510524208', '麻城乡', 'machengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524209', '510524', '510524209', '观兴乡', 'guanxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524210', '510524', '510524210', '合乐乡', 'helexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524211', '510524', '510524211', '白腊乡', 'bailaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524212', '510524', '510524212', '枧槽乡', 'jiancaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524213', '510524', '510524213', '水潦乡', 'shuiliaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524214', '510524', '510524214', '石坝乡', 'shibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524400', '510524', '510524400', '三八菜蔬场', 'sanbacaishuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524401', '510524', '510524401', '红星菜蔬场', 'hongxingcaishuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510524402', '510524', '510524402', '叙永农场', 'xuyongnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525', '5105', '510525', '古蔺县', 'gulinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525100', '510525', '510525100', '古蔺镇', 'gulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525101', '510525', '510525101', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525102', '510525', '510525102', '永乐镇', 'yonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525103', '510525', '510525103', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525104', '510525', '510525104', '二郎镇', 'erlangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525105', '510525', '510525105', '大村镇', 'dacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525106', '510525', '510525106', '石宝镇', 'shibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525107', '510525', '510525107', '丹桂镇', 'danguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525108', '510525', '510525108', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525109', '510525', '510525109', '观文镇', 'guanwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525110', '510525', '510525110', '双沙镇', 'shuangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525111', '510525', '510525111', '德跃镇', 'deyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525201', '510525', '510525201', '护家乡', 'hujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525202', '510525', '510525202', '鱼化乡', 'yuhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525203', '510525', '510525203', '石屏乡', 'shipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525204', '510525', '510525204', '东新乡', 'dongxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525205', '510525', '510525205', '土城乡', 'tuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525206', '510525', '510525206', '金星乡', 'jinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525207', '510525', '510525207', '白泥乡', 'bainixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525208', '510525', '510525208', '椒园乡', 'jiaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525209', '510525', '510525209', '马嘶苗族乡', 'masimiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525211', '510525', '510525211', '马蹄乡', 'matixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525212', '510525', '510525212', '箭竹苗族乡', 'jianzhumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525214', '510525', '510525214', '大寨苗族乡', 'dazhaimiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525215', '510525', '510525215', '桂花乡', 'guihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510525216', '510525', '510525216', '黄荆乡', 'huangjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5106', '51', '5106', '德阳市', 'deyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510601', '5106', '510601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603', '5106', '510603', '旌阳区', 'jingyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603001', '510603', '510603001', '旌阳街道', 'jingyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603002', '510603', '510603002', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603003', '510603', '510603003', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603004', '510603', '510603004', '旌东街道', 'jingdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603005', '510603', '510603005', '工农街道', 'gongnongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603100', '510603', '510603100', '黄许镇', 'huangxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603101', '510603', '510603101', '孝泉镇', 'xiaoquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603102', '510603', '510603102', '八角井镇', 'bajiaojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603103', '510603', '510603103', '柏隆镇', 'bolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603104', '510603', '510603104', '孝感镇', 'xiaoganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603105', '510603', '510603105', '天元镇', 'tianyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603107', '510603', '510603107', '扬嘉镇', 'yangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603108', '510603', '510603108', '德新镇', 'dexinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603110', '510603', '510603110', '双东镇', 'shuangdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603111', '510603', '510603111', '新中镇', 'xinzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603117', '510603', '510603117', '和新镇', 'hexinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510603201', '510603', '510603201', '东湖乡', 'donghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623', '5106', '510623', '中江县', 'zhongjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623100', '510623', '510623100', '凯江镇', 'kaijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623101', '510623', '510623101', '南华镇', 'nanhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623102', '510623', '510623102', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623103', '510623', '510623103', '通济镇', 'tongjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623104', '510623', '510623104', '永太镇', 'yongtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623105', '510623', '510623105', '黄鹿镇', 'huangluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623106', '510623', '510623106', '集凤镇', 'jifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623107', '510623', '510623107', '富兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623108', '510623', '510623108', '辑庆镇', 'jiqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623109', '510623', '510623109', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623110', '510623', '510623110', '龙台镇', 'longtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623111', '510623', '510623111', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623112', '510623', '510623112', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623113', '510623', '510623113', '玉兴镇', 'yuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623114', '510623', '510623114', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623115', '510623', '510623115', '悦来镇', 'yuelaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623116', '510623', '510623116', '继光镇', 'jiguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623117', '510623', '510623117', '仓山镇', 'cangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623118', '510623', '510623118', '广福镇', 'guangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623119', '510623', '510623119', '会龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623120', '510623', '510623120', '万福镇', 'wanfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623121', '510623', '510623121', '普兴镇', 'puxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623122', '510623', '510623122', '联合镇', 'lianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623123', '510623', '510623123', '冯店镇', 'fengdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623124', '510623', '510623124', '积金镇', 'jijinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623125', '510623', '510623125', '太安镇', 'taianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623127', '510623', '510623127', '杰兴镇', 'jiexingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623130', '510623', '510623130', '南山镇', 'nanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623132', '510623', '510623132', '东北镇', 'dongbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623200', '510623', '510623200', '古店乡', 'gudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623201', '510623', '510623201', '青市乡', 'qingshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623203', '510623', '510623203', '瓦店乡', 'wadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623204', '510623', '510623204', '石泉乡', 'shiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623206', '510623', '510623206', '柏树乡', 'boshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623207', '510623', '510623207', '白果乡', 'baiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623208', '510623', '510623208', '清河乡', 'qinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623209', '510623', '510623209', '高店乡', 'gaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623210', '510623', '510623210', '石笋乡', 'shisunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623211', '510623', '510623211', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623212', '510623', '510623212', '民主乡', 'minzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623214', '510623', '510623214', '永丰乡', 'yongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623216', '510623', '510623216', '元兴乡', 'yuanxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623218', '510623', '510623218', '通山乡', 'tongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623219', '510623', '510623219', '石龙乡', 'shilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510623221', '510623', '510623221', '合兴乡', 'hexingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510626', '5106', '510626', '罗江县', 'luojiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510626100', '510626', '510626100', '万安镇', 'wananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510626101', '510626', '510626101', '鄢家镇', 'yanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510626102', '510626', '510626102', '金山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510626103', '510626', '510626103', '略坪镇', 'lu:epingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510626104', '510626', '510626104', '御营镇', 'yuyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510626105', '510626', '510626105', '慧觉镇', 'huijuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510626106', '510626', '510626106', '调元镇', 'diaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510626107', '510626', '510626107', '新盛镇', 'xinshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510626108', '510626', '510626108', '蟠龙镇', 'panlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510626113', '510626', '510626113', '白马关镇', 'baimaguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681', '5106', '510681', '广汉市', 'guanghanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681100', '510681', '510681100', '雒城镇', 'luochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681101', '510681', '510681101', '三水镇', 'sanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681102', '510681', '510681102', '连山镇', 'lianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681103', '510681', '510681103', '高坪镇', 'gaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681104', '510681', '510681104', '南兴镇', 'nanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681105', '510681', '510681105', '向阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681106', '510681', '510681106', '小汉镇', 'xiaohanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681107', '510681', '510681107', '金轮镇', 'jinlunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681108', '510681', '510681108', '新丰镇', 'xinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681109', '510681', '510681109', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681110', '510681', '510681110', '新华镇', 'xinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681112', '510681', '510681112', '和兴镇', 'hexingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681113', '510681', '510681113', '松林镇', 'songlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681114', '510681', '510681114', '金鱼镇', 'jinyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681115', '510681', '510681115', '新平镇', 'xinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681116', '510681', '510681116', '南丰镇', 'nanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681119', '510681', '510681119', '西高镇', 'xigaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681200', '510681', '510681200', '北外乡', 'beiwaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510681202', '510681', '510681202', '西外乡', 'xiwaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682', '5106', '510682', '什邡市', 'shenfangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682001', '510682', '510682001', '方亭街道', 'fangtingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682002', '510682', '510682002', '皂角街道', 'zaojiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682101', '510682', '510682101', '元石镇', 'yuanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682103', '510682', '510682103', '洄澜镇', 'huilanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682105', '510682', '510682105', '洛水镇', 'luoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682106', '510682', '510682106', '禾丰镇', 'hefengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682107', '510682', '510682107', '双盛镇', 'shuangshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682108', '510682', '510682108', '马祖镇', 'mazuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682109', '510682', '510682109', '隐丰镇', 'yinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682110', '510682', '510682110', '马井镇', 'majingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682111', '510682', '510682111', '蓥华镇', 'yinghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682113', '510682', '510682113', '南泉镇', 'nanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682116', '510682', '510682116', '湔氐镇', 'jiandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682118', '510682', '510682118', '红白镇', 'hongbaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682119', '510682', '510682119', '八角镇', 'bajiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510682120', '510682', '510682120', '师古镇', 'shiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683', '5106', '510683', '绵竹市', 'mianzhushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683100', '510683', '510683100', '剑南镇', 'jiannanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683101', '510683', '510683101', '东北镇', 'dongbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683102', '510683', '510683102', '西南镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683103', '510683', '510683103', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683104', '510683', '510683104', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683105', '510683', '510683105', '遵道镇', 'zundaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683106', '510683', '510683106', '汉旺镇', 'hanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683108', '510683', '510683108', '拱星镇', 'gongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683109', '510683', '510683109', '土门镇', 'tumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683110', '510683', '510683110', '广济镇', 'guangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683111', '510683', '510683111', '金花镇', 'jinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683112', '510683', '510683112', '玉泉镇', 'yuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683113', '510683', '510683113', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683115', '510683', '510683115', '新市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683116', '510683', '510683116', '孝德镇', 'xiaodezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683119', '510683', '510683119', '富新镇', 'fuxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683121', '510683', '510683121', '齐天镇', 'qitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683122', '510683', '510683122', '什地镇', 'shendizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683123', '510683', '510683123', '绵远镇', 'mianyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683200', '510683', '510683200', '清平乡', 'qingpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510683201', '510683', '510683201', '天池乡', 'tianchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5107', '51', '5107', '绵阳市', 'mianyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510701', '5107', '510701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703', '5107', '510703', '涪城区', 'fuchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703001', '510703', '510703001', '城厢街道', 'chengxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703002', '510703', '510703002', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703003', '510703', '510703003', '工区街道', 'gongqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703004', '510703', '510703004', '南山街道', 'nanshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703005', '510703', '510703005', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703006', '510703', '510703006', '高新街道', 'gaoxinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703007', '510703', '510703007', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703009', '510703', '510703009', '创业园街道', 'chuangyeyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703010', '510703', '510703010', '塘讯街道', 'tangxunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703100', '510703', '510703100', '丰谷镇', 'fengguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703101', '510703', '510703101', '关帝镇', 'guandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703103', '510703', '510703103', '青义镇', 'qingyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703104', '510703', '510703104', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703105', '510703', '510703105', '石塘镇', 'shitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703106', '510703', '510703106', '吴家镇', 'wujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703107', '510703', '510703107', '杨家镇', 'yangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703108', '510703', '510703108', '金峰镇', 'jinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703109', '510703', '510703109', '玉皇镇', 'yuhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703110', '510703', '510703110', '新皂镇', 'xinzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703111', '510703', '510703111', '河边镇', 'hebianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703112', '510703', '510703112', '磨家镇', 'mojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703113', '510703', '510703113', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703200', '510703', '510703200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510703201', '510703', '510703201', '石洞乡', 'shidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704', '5107', '510704', '游仙区', 'youxianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704001', '510704', '510704001', '涪江街道', 'fujiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704002', '510704', '510704002', '科学城街道', 'kexuechengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704003', '510704', '510704003', '富乐街道', 'fulejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704100', '510704', '510704100', '游仙镇', 'youxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704101', '510704', '510704101', '石马镇', 'shimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704102', '510704', '510704102', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704103', '510704', '510704103', '小枧沟镇', 'xiaojiangouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704104', '510704', '510704104', '魏城镇', 'weichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704105', '510704', '510704105', '沉抗镇', 'chenkangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704106', '510704', '510704106', '忠兴镇', 'zhongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704107', '510704', '510704107', '柏林镇', 'bolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704108', '510704', '510704108', '徐家镇', 'xujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704109', '510704', '510704109', '石板镇', 'shibanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704110', '510704', '510704110', '刘家镇', 'liujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704111', '510704', '510704111', '玉河镇', 'yuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704112', '510704', '510704112', '松垭镇', 'songyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704200', '510704', '510704200', '白蝉乡', 'baichanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704201', '510704', '510704201', '观太乡', 'guantaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704202', '510704', '510704202', '建华乡', 'jianhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704203', '510704', '510704203', '云凤乡', 'yunfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704204', '510704', '510704204', '东林乡', 'donglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704205', '510704', '510704205', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704206', '510704', '510704206', '梓棉乡', 'zimianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704207', '510704', '510704207', '朝真乡', 'chaozhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704208', '510704', '510704208', '东宣乡', 'dongxuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704209', '510704', '510704209', '街子乡', 'jiezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704210', '510704', '510704210', '凤凰乡', 'fenghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510704400', '510704', '510704400', '四川省新华劳动教育管理所', 'sichuanshengxinhualaodongjiaoyuguanlisuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722', '5107', '510722', '三台县', 'santaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722100', '510722', '510722100', '北坝镇', 'beibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722101', '510722', '510722101', '潼川镇', 'tongchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722102', '510722', '510722102', '东塔镇', 'dongtazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722103', '510722', '510722103', '百顷镇', 'baiqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722104', '510722', '510722104', '塔山镇', 'tashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722105', '510722', '510722105', '柳池镇', 'liuchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722106', '510722', '510722106', '龙树镇', 'longshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722107', '510722', '510722107', '石安镇', 'shianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722108', '510722', '510722108', '富顺镇', 'fushunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722109', '510722', '510722109', '三元镇', 'sanyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722110', '510722', '510722110', '秋林镇', 'qiulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722111', '510722', '510722111', '永新镇', 'yongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722112', '510722', '510722112', '新德镇', 'xindezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722113', '510722', '510722113', '新生镇', 'xinshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722114', '510722', '510722114', '鲁班镇', 'lubanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722115', '510722', '510722115', '景福镇', 'jingfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722116', '510722', '510722116', '紫河镇', 'zihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722117', '510722', '510722117', '安居镇', 'anjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722118', '510722', '510722118', '观桥镇', 'guanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722119', '510722', '510722119', '嘀江镇', 'dijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722120', '510722', '510722120', '中新镇', 'zhongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722121', '510722', '510722121', '古井镇', 'gujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722122', '510722', '510722122', '万安镇', 'wananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722123', '510722', '510722123', '西平镇', 'xipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722124', '510722', '510722124', '八洞镇', 'badongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722125', '510722', '510722125', '凯河镇', 'kaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722126', '510722', '510722126', '乐安镇', 'leanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722127', '510722', '510722127', '建平镇', 'jianpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722128', '510722', '510722128', '前锋镇', 'qianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722129', '510722', '510722129', '建设镇', 'jianshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722130', '510722', '510722130', '光辉镇', 'guanghuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722131', '510722', '510722131', '中太镇', 'zhongtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722132', '510722', '510722132', '金石镇', 'jinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722133', '510722', '510722133', '新鲁镇', 'xinluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722134', '510722', '510722134', '黎曙镇', 'lishuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722135', '510722', '510722135', '刘营镇', 'liuyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722136', '510722', '510722136', '灵兴镇', 'lingxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722137', '510722', '510722137', '芦溪镇', 'luxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722138', '510722', '510722138', '立新镇', 'lixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722139', '510722', '510722139', '花园镇', 'huayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722140', '510722', '510722140', '永明镇', 'yongmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722200', '510722', '510722200', '高堰乡', 'gaoyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722201', '510722', '510722201', '忠孝乡', 'zhongxiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722202', '510722', '510722202', '双胜乡', 'shuangshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722203', '510722', '510722203', '金鼓乡', 'jinguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722204', '510722', '510722204', '断石乡', 'duanshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722205', '510722', '510722205', '玉林乡', 'yulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722206', '510722', '510722206', '乐加乡', 'lejiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722207', '510722', '510722207', '曙光乡', 'shuguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722208', '510722', '510722208', '建中乡', 'jianzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722209', '510722', '510722209', '宝泉乡', 'baoquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722210', '510722', '510722210', '广利乡', 'guanglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722211', '510722', '510722211', '协和乡', 'xiehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722212', '510722', '510722212', '双乐乡', 'shuanglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722213', '510722', '510722213', '菊河乡', 'juhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722214', '510722', '510722214', '幸福乡', 'xingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722215', '510722', '510722215', '下新乡', 'xiaxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722216', '510722', '510722216', '进都乡', 'jindouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722217', '510722', '510722217', '上新乡', 'shangxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722218', '510722', '510722218', '老马乡', 'laomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722219', '510722', '510722219', '里程乡', 'lichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722220', '510722', '510722220', '争胜乡', 'zhengshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510722221', '510722', '510722221', '云同乡', 'yuntongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723', '5107', '510723', '盐亭县', 'yantingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723100', '510723', '510723100', '云溪镇', 'yunxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723101', '510723', '510723101', '玉龙镇', 'yulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723102', '510723', '510723102', '富驿镇', 'fuyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723103', '510723', '510723103', '金孔镇', 'jinkongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723104', '510723', '510723104', '两河镇', 'lianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723105', '510723', '510723105', '黄甸镇', 'huangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723106', '510723', '510723106', '柏梓镇', 'bozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723107', '510723', '510723107', '八角镇', 'bajiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723108', '510723', '510723108', '黑坪镇', 'heipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723109', '510723', '510723109', '高灯镇', 'gaodengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723110', '510723', '510723110', '金鸡镇', 'jinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723111', '510723', '510723111', '安家镇', 'anjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723112', '510723', '510723112', '林农镇', 'linnongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723113', '510723', '510723113', '巨龙镇', 'julongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723200', '510723', '510723200', '龙泉乡', 'longquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723201', '510723', '510723201', '折弓乡', 'zhegongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723202', '510723', '510723202', '麻秧乡', 'mayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723203', '510723', '510723203', '三元乡', 'sanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723204', '510723', '510723204', '五龙乡', 'wulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723205', '510723', '510723205', '茶亭乡', 'chatingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723206', '510723', '510723206', '金安乡', 'jinanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723207', '510723', '510723207', '洗泽乡', 'xizexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723208', '510723', '510723208', '毛公乡', 'maogongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723209', '510723', '510723209', '冯河乡', 'fenghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723210', '510723', '510723210', '石牛庙乡', 'shiniumiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723211', '510723', '510723211', '大兴回族乡', 'daxinghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723212', '510723', '510723212', '宗海乡', 'zonghaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723213', '510723', '510723213', '两岔河乡', 'liangchahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723214', '510723', '510723214', '剑河乡', 'jianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723215', '510723', '510723215', '来龙乡', 'lailongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723216', '510723', '510723216', '永泰乡', 'yongtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723217', '510723', '510723217', '黄溪乡', 'huangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723218', '510723', '510723218', '榉溪乡', 'juxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723219', '510723', '510723219', '双碑乡', 'shuangbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723220', '510723', '510723220', '林山乡', 'linshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510723221', '510723', '510723221', '新农乡', 'xinnongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724', '5107', '510724', '安县', 'anxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724100', '510724', '510724100', '安昌镇', 'anchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724101', '510724', '510724101', '桑枣镇', 'sangzaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724102', '510724', '510724102', '花悄镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724103', '510724', '510724103', '黄土镇', 'huangtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724104', '510724', '510724104', '塔水镇', 'tashuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724105', '510724', '510724105', '秀水镇', 'xiushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724106', '510724', '510724106', '河清镇', 'heqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724107', '510724', '510724107', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724108', '510724', '510724108', '界牌镇', 'jiepaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724109', '510724', '510724109', '永河镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724110', '510724', '510724110', '雎水镇', 'jushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724111', '510724', '510724111', '清泉镇', 'qingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724112', '510724', '510724112', '宝林镇', 'baolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724113', '510724', '510724113', '沸水镇', 'feishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724114', '510724', '510724114', '晓坝镇', 'xiaobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724115', '510724', '510724115', '乐兴镇', 'lexingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724200', '510724', '510724200', '茶坪乡', 'chapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724201', '510724', '510724201', '兴仁乡', 'xingrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724202', '510724', '510724202', '高川乡', 'gaochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510724203', '510724', '510724203', '迎新乡', 'yingxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725', '5107', '510725', '梓潼县', 'zitongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725100', '510725', '510725100', '文昌镇', 'wenchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725101', '510725', '510725101', '长卿镇', 'zhangqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725102', '510725', '510725102', '许州镇', 'xuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725103', '510725', '510725103', '黎雅镇', 'liyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725104', '510725', '510725104', '白云镇', 'baiyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725105', '510725', '510725105', '卧龙镇', 'wolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725106', '510725', '510725106', '观义镇', 'guanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725107', '510725', '510725107', '玛瑙镇', 'manaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725108', '510725', '510725108', '石牛镇', 'shiniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725109', '510725', '510725109', '自强镇', 'ziqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725110', '510725', '510725110', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725200', '510725', '510725200', '东石乡', 'dongshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725201', '510725', '510725201', '三泉乡', 'sanquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725202', '510725', '510725202', '宏仁乡', 'hongrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725203', '510725', '510725203', '小垭乡', 'xiaoyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725204', '510725', '510725204', '演武乡', 'yanwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725205', '510725', '510725205', '仙峰乡', 'xianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725206', '510725', '510725206', '双板乡', 'shuangbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725207', '510725', '510725207', '豢龙乡', 'huanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725208', '510725', '510725208', '双峰乡', 'shuangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725209', '510725', '510725209', '交泰乡', 'jiaotaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725210', '510725', '510725210', '金龙场乡', 'jinlongchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725211', '510725', '510725211', '石台乡', 'shitaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725212', '510725', '510725212', '仙鹅乡', 'xianexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725213', '510725', '510725213', '马鸣乡', 'mamingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725214', '510725', '510725214', '马迎乡', 'mayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725215', '510725', '510725215', '二洞乡', 'erdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725216', '510725', '510725216', '建兴乡', 'jianxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725217', '510725', '510725217', '宝石乡', 'baoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725218', '510725', '510725218', '定远乡', 'dingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725219', '510725', '510725219', '大新乡', 'daxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510725220', '510725', '510725220', '文兴乡', 'wenxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726', '5107', '510726', '北川羌族自治县', 'beichuanqiangzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726100', '510726', '510726100', '曲山镇', 'qushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726101', '510726', '510726101', '擂鼓镇', 'leiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726102', '510726', '510726102', '通口镇', 'tongkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726200', '510726', '510726200', '香泉乡', 'xiangquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726201', '510726', '510726201', '陈家坝乡', 'chenjiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726202', '510726', '510726202', '桂溪乡', 'guixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726203', '510726', '510726203', '贯岭乡', 'guanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726204', '510726', '510726204', '禹里乡', 'yulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726205', '510726', '510726205', '漩坪乡', 'xuanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726206', '510726', '510726206', '白坭乡', 'bainixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726207', '510726', '510726207', '小坝乡', 'xiaobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726208', '510726', '510726208', '片口乡', 'piankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726209', '510726', '510726209', '开坪乡', 'kaipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726210', '510726', '510726210', '坝底乡', 'badixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726211', '510726', '510726211', '白什乡', 'baishenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726212', '510726', '510726212', '青片乡', 'qingpianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726213', '510726', '510726213', '都坝乡', 'doubaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726214', '510726', '510726214', '桃龙藏族乡', 'taolongzangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726215', '510726', '510726215', '墩上乡', 'dunshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510726216', '510726', '510726216', '马槽乡', 'macaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727', '5107', '510727', '平武县', 'pingwuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727100', '510727', '510727100', '龙安镇', 'longanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727101', '510727', '510727101', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727102', '510727', '510727102', '南坝镇', 'nanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727103', '510727', '510727103', '响岩镇', 'xiangyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727104', '510727', '510727104', '平通镇', 'pingtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727105', '510727', '510727105', '豆叩镇', 'doukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727106', '510727', '510727106', '大印镇', 'dayinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727107', '510727', '510727107', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727108', '510727', '510727108', '水晶镇', 'shuijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727200', '510727', '510727200', '高村乡', 'gaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727201', '510727', '510727201', '水田乡', 'shuitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727202', '510727', '510727202', '坝子乡', 'bazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727203', '510727', '510727203', '水观乡', 'shuiguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727204', '510727', '510727204', '平南羌族乡', 'pingnanqiangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727205', '510727', '510727205', '徐塘羌族乡', 'xutangqiangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727206', '510727', '510727206', '锁江羌族乡', 'suojiangqiangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727207', '510727', '510727207', '土城乡', 'tuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727208', '510727', '510727208', '旧堡乡', 'jiubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727209', '510727', '510727209', '阔达乡', 'kuodaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727210', '510727', '510727210', '黄羊关藏族乡', 'huangyangguanzangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727211', '510727', '510727211', '虎牙藏族乡', 'huyazangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727212', '510727', '510727212', '泗耳藏族乡', 'sierzangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727213', '510727', '510727213', '白马藏族乡', 'baimazangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727214', '510727', '510727214', '木座藏族乡', 'muzuozangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510727215', '510727', '510727215', '木皮藏族乡', 'mupizangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781', '5107', '510781', '江油市', 'jiangyoushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781001', '510781', '510781001', '长钢街道', 'zhanggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781002', '510781', '510781002', '武都长钢街道', 'wudouzhanggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781003', '510781', '510781003', '含增长钢街道', 'hanzengzhanggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781004', '510781', '510781004', '华坪', 'huaping', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781100', '510781', '510781100', '中坝镇', 'zhongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781101', '510781', '510781101', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781102', '510781', '510781102', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781103', '510781', '510781103', '含增镇', 'hanzengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781104', '510781', '510781104', '青莲镇', 'qinglianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781105', '510781', '510781105', '彰明镇', 'zhangmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781106', '510781', '510781106', '龙凤镇', 'longfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781107', '510781', '510781107', '武都镇', 'wudouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781108', '510781', '510781108', '大康镇', 'dakangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781109', '510781', '510781109', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781110', '510781', '510781110', '战旗镇', 'zhanqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781111', '510781', '510781111', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781112', '510781', '510781112', '永胜镇', 'yongshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781113', '510781', '510781113', '小溪坝镇', 'xiaoxibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781114', '510781', '510781114', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781115', '510781', '510781115', '重华镇', 'zhonghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781116', '510781', '510781116', '厚坝镇', 'houbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781117', '510781', '510781117', '二郎庙镇', 'erlangmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781118', '510781', '510781118', '马角镇', 'majiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781119', '510781', '510781119', '雁门镇', 'yanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781120', '510781', '510781120', '九岭镇', 'jiulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781200', '510781', '510781200', '八一乡', 'bayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781201', '510781', '510781201', '方水乡', 'fangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781202', '510781', '510781202', '西屏乡', 'xipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781203', '510781', '510781203', '香水乡', 'xiangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781204', '510781', '510781204', '大堰乡', 'dayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781205', '510781', '510781205', '东兴乡', 'dongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781207', '510781', '510781207', '义新乡', 'yixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781208', '510781', '510781208', '贯山乡', 'guanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781209', '510781', '510781209', '新兴乡', 'xinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781210', '510781', '510781210', '新春乡', 'xinchunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781211', '510781', '510781211', '东安乡', 'donganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781212', '510781', '510781212', '铜星乡', 'tongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781213', '510781', '510781213', '文胜乡', 'wenshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781214', '510781', '510781214', '重兴乡', 'zhongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781215', '510781', '510781215', '云集乡', 'yunjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781216', '510781', '510781216', '石元乡', 'shiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781217', '510781', '510781217', '敬元乡', 'jingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781218', '510781', '510781218', '六合乡', 'liuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510781219', '510781', '510781219', '枫顺乡', 'fengshunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5108', '51', '5108', '广元市', 'guangyuanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510801', '5108', '510801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802', '5108', '510802', '市中区', 'shizhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802001', '510802', '510802001', '东坝街道', 'dongbajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802002', '510802', '510802002', '嘉陵街道', 'jialingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802003', '510802', '510802003', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802100', '510802', '510802100', '荣山镇', 'rongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802101', '510802', '510802101', '大石镇', 'dashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802102', '510802', '510802102', '盘龙镇', 'panlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802103', '510802', '510802103', '宝轮镇', 'baolunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802104', '510802', '510802104', '赤化镇', 'chihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802105', '510802', '510802105', '三堆镇', 'sanduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802106', '510802', '510802106', '工农镇', 'gongnongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802200', '510802', '510802200', '白朝乡', 'baichaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802201', '510802', '510802201', '金洞乡', 'jindongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802202', '510802', '510802202', '龙潭乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802400', '510802', '510802400', '雪峰', 'xuefeng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802401', '510802', '510802401', '南河', 'nanhe', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802402', '510802', '510802402', '回龙河', 'huilonghe', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802404', '510802', '510802404', '上西', 'shangxi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802405', '510802', '510802405', '袁家坝', 'yuanjiaba', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802406', '510802', '510802406', '杨家岩', 'yangjiayan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510802407', '510802', '510802407', '下西街道', 'xiaxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811', '5108', '510811', '元坝区', 'yuanbaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811100', '510811', '510811100', '元坝镇', 'yuanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811101', '510811', '510811101', '卫子镇', 'weizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811102', '510811', '510811102', '王家镇', 'wangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811103', '510811', '510811103', '磨滩镇', 'motanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811104', '510811', '510811104', '柏林沟镇', 'bolingouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811105', '510811', '510811105', '太公镇', 'taigongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811106', '510811', '510811106', '虎跳镇', 'hutiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811107', '510811', '510811107', '红岩镇', 'hongyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811108', '510811', '510811108', '昭化镇', 'zhaohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811200', '510811', '510811200', '晋贤乡', 'jinxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811201', '510811', '510811201', '文村乡', 'wencunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811202', '510811', '510811202', '清水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811203', '510811', '510811203', '张家乡', 'zhangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811204', '510811', '510811204', '香溪乡', 'xiangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811205', '510811', '510811205', '青牛乡', 'qingniuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811206', '510811', '510811206', '陈江乡', 'chenjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811207', '510811', '510811207', '丁家乡', 'dingjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811208', '510811', '510811208', '黄龙乡', 'huanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811209', '510811', '510811209', '石井铺乡', 'shijingpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811210', '510811', '510811210', '白果乡', 'baiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811211', '510811', '510811211', '梅树乡', 'meishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811212', '510811', '510811212', '明觉乡', 'mingjuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811213', '510811', '510811213', '射箭乡', 'shejianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811214', '510811', '510811214', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811215', '510811', '510811215', '大朝乡', 'dachaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811216', '510811', '510811216', '沙坝乡', 'shabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811217', '510811', '510811217', '柳桥乡', 'liuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811218', '510811', '510811218', '紫云乡', 'ziyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510811400', '510811', '510811400', '拣银岩社区街道', 'jianyinyanshequjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812', '5108', '510812', '朝天区', 'chaotianqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812100', '510812', '510812100', '朝天镇', 'chaotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812101', '510812', '510812101', '大滩镇', 'datanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812102', '510812', '510812102', '羊木镇', 'yangmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812103', '510812', '510812103', '曾家镇', 'cengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812104', '510812', '510812104', '中子镇', 'zhongzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812105', '510812', '510812105', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812200', '510812', '510812200', '陈家乡', 'chenjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812201', '510812', '510812201', '小安乡', 'xiaoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812202', '510812', '510812202', '鱼洞乡', 'yudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812203', '510812', '510812203', '东溪河乡', 'dongxihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812204', '510812', '510812204', '花石乡', 'huashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812205', '510812', '510812205', '蒲家乡', 'pujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812206', '510812', '510812206', '西北乡', 'xibeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812207', '510812', '510812207', '宣河乡', 'xuanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812208', '510812', '510812208', '转斗乡', 'zhuandouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812209', '510812', '510812209', '青林乡', 'qinglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812210', '510812', '510812210', '平溪乡', 'pingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812211', '510812', '510812211', '两河口乡', 'lianghekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812212', '510812', '510812212', '李家乡', 'lijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812213', '510812', '510812213', '汪家乡', 'wangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812214', '510812', '510812214', '麻柳乡', 'maliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812215', '510812', '510812215', '临溪乡', 'linxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812216', '510812', '510812216', '文安乡', 'wenanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812217', '510812', '510812217', '马家坝乡', 'majiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510812218', '510812', '510812218', '柏杨乡', 'boyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821', '5108', '510821', '旺苍县', 'wangcangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821100', '510821', '510821100', '东河镇', 'donghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821101', '510821', '510821101', '嘉川镇', 'jiachuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821102', '510821', '510821102', '木门镇', 'mumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821103', '510821', '510821103', '白水镇', 'baishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821104', '510821', '510821104', '尚武镇', 'shangwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821105', '510821', '510821105', '张华镇', 'zhanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821106', '510821', '510821106', '黄洋镇', 'huangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821107', '510821', '510821107', '普济镇', 'pujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821108', '510821', '510821108', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821109', '510821', '510821109', '金溪镇', 'jinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821110', '510821', '510821110', '五权镇', 'wuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821111', '510821', '510821111', '高阳镇', 'gaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821112', '510821', '510821112', '双汇镇', 'shuanghuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821113', '510821', '510821113', '英萃镇', 'yingcuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821114', '510821', '510821114', '国华镇', 'guohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821200', '510821', '510821200', '龙凤乡', 'longfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821201', '510821', '510821201', '大河乡', 'dahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821202', '510821', '510821202', '九龙乡', 'jiulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821203', '510821', '510821203', '万家乡', 'wanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821204', '510821', '510821204', '燕子乡', 'yanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821205', '510821', '510821205', '水磨乡', 'shuimoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821206', '510821', '510821206', '鼓城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821207', '510821', '510821207', '檬子乡', 'mengzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821208', '510821', '510821208', '福庆乡', 'fuqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821209', '510821', '510821209', '枣林乡', 'zaolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821210', '510821', '510821210', '麻英乡', 'mayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821211', '510821', '510821211', '柳溪乡', 'liuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821212', '510821', '510821212', '农建乡', 'nongjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821213', '510821', '510821213', '化龙乡', 'hualongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821214', '510821', '510821214', '大两乡', 'daliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821215', '510821', '510821215', '万山乡', 'wanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821216', '510821', '510821216', '正源乡', 'zhengyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821217', '510821', '510821217', '天星乡', 'tianxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821218', '510821', '510821218', '盐河乡', 'yanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821219', '510821', '510821219', '大德乡', 'dadexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821400', '510821', '510821400', '静乐寺社区街道', 'jinglesishequjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821401', '510821', '510821401', '陈家岭社区街道', 'chenjialingshequjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510821402', '510821', '510821402', '磨岩社区街道', 'moyanshequjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822', '5108', '510822', '青川县', 'qingchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822100', '510822', '510822100', '乔庄镇', 'qiaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822101', '510822', '510822101', '青溪镇', 'qingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822102', '510822', '510822102', '房石镇', 'fangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822103', '510822', '510822103', '关庄镇', 'guanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822104', '510822', '510822104', '凉水镇', 'liangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822105', '510822', '510822105', '竹园镇', 'zhuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822106', '510822', '510822106', '木鱼镇', 'muyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822107', '510822', '510822107', '沙州镇', 'shazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822108', '510822', '510822108', '姚渡镇', 'yaoduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822200', '510822', '510822200', '黄坪乡', 'huangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822201', '510822', '510822201', '瓦砾乡', 'walixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822202', '510822', '510822202', '孔溪乡', 'kongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822203', '510822', '510822203', '茶坝乡', 'chabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822204', '510822', '510822204', '大坝乡', 'dabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822205', '510822', '510822205', '桥楼乡', 'qiaolouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822206', '510822', '510822206', '三锅乡', 'sanguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822207', '510822', '510822207', '蒿溪回族乡', 'haoxihuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822208', '510822', '510822208', '乐安寺乡', 'leansixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822209', '510822', '510822209', '前进乡', 'qianjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822210', '510822', '510822210', '曲河乡', 'quhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822211', '510822', '510822211', '马公乡', 'magongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822212', '510822', '510822212', '石坝乡', 'shibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822213', '510822', '510822213', '红光乡', 'hongguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822214', '510822', '510822214', '苏河乡', 'suhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822215', '510822', '510822215', '茅坝乡', 'maobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822216', '510822', '510822216', '大院回族乡', 'dayuanhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822217', '510822', '510822217', '楼子乡', 'louzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822218', '510822', '510822218', '金子山乡', 'jinzishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822219', '510822', '510822219', '马鹿乡', 'maluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822220', '510822', '510822220', '七佛乡', 'qifoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822221', '510822', '510822221', '建峰乡', 'jianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822222', '510822', '510822222', '白家乡', 'baijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822223', '510822', '510822223', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822224', '510822', '510822224', '骑马乡', 'qimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822225', '510822', '510822225', '观音店乡', 'guanyindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822227', '510822', '510822227', '营盘乡', 'yingpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510822400', '510822', '510822400', '唐家河国家级自然保护区', 'tangjiaheguojiajiziranbaohuqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823', '5108', '510823', '剑阁县', 'jiangexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823100', '510823', '510823100', '普安镇', 'puanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823101', '510823', '510823101', '龙源镇', 'longyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823102', '510823', '510823102', '城北镇', 'chengbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823103', '510823', '510823103', '盐店镇', 'yandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823104', '510823', '510823104', '柳沟镇', 'liugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823105', '510823', '510823105', '武连镇', 'wulianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823106', '510823', '510823106', '东宝镇', 'dongbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823107', '510823', '510823107', '开封镇', 'kaifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823108', '510823', '510823108', '元山镇', 'yuanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823109', '510823', '510823109', '演圣镇', 'yanshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823110', '510823', '510823110', '王河镇', 'wanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823111', '510823', '510823111', '公兴镇', 'gongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823112', '510823', '510823112', '金仙镇', 'jinxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823113', '510823', '510823113', '香沉镇', 'xiangchenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823114', '510823', '510823114', '白龙镇', 'bailongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823115', '510823', '510823115', '鹤龄镇', 'helingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823116', '510823', '510823116', '杨村镇', 'yangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823117', '510823', '510823117', '羊岭镇', 'yanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823118', '510823', '510823118', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823119', '510823', '510823119', '木马镇', 'mumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823120', '510823', '510823120', '剑门关镇', 'jianmenguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823121', '510823', '510823121', '汉阳镇', 'hanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823122', '510823', '510823122', '下寺镇', 'xiasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823200', '510823', '510823200', '江石乡', 'jiangshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823201', '510823', '510823201', '田家乡', 'tianjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823202', '510823', '510823202', '闻溪乡', 'wenxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823203', '510823', '510823203', '姚家乡', 'yaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823204', '510823', '510823204', '北庙乡', 'beimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823205', '510823', '510823205', '西庙乡', 'ximiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823206', '510823', '510823206', '义兴乡', 'yixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823207', '510823', '510823207', '毛坝乡', 'maobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823208', '510823', '510823208', '凉山乡', 'liangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823209', '510823', '510823209', '垂泉乡', 'chuiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823210', '510823', '510823210', '秀钟乡', 'xiuzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823211', '510823', '510823211', '正兴乡', 'zhengxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823212', '510823', '510823212', '马灯乡', 'madengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823213', '510823', '510823213', '高池乡', 'gaochixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823214', '510823', '510823214', '碗泉乡', 'wanquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823215', '510823', '510823215', '迎水乡', 'yingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823216', '510823', '510823216', '国光乡', 'guoguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823217', '510823', '510823217', '柘坝乡', 'zhebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823218', '510823', '510823218', '公店乡', 'gongdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823219', '510823', '510823219', '吼狮乡', 'houshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823220', '510823', '510823220', '长岭乡', 'zhanglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823221', '510823', '510823221', '涂山乡', 'tushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823222', '510823', '510823222', '圈龙乡', 'quanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823223', '510823', '510823223', '碑垭乡', 'beiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823224', '510823', '510823224', '广坪乡', 'guangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823225', '510823', '510823225', '禾丰乡', 'hefengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823226', '510823', '510823226', '店子乡', 'dianzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823227', '510823', '510823227', '摇铃乡', 'yaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823228', '510823', '510823228', '樵店乡', 'qiaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823229', '510823', '510823229', '锦屏乡', 'jinpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823230', '510823', '510823230', '柏垭乡', 'boyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823231', '510823', '510823231', '高观乡', 'gaoguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823232', '510823', '510823232', '张王乡', 'zhangwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510823233', '510823', '510823233', '上寺乡', 'shangsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824', '5108', '510824', '苍溪县', 'cangxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824100', '510824', '510824100', '陵江镇', 'lingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824102', '510824', '510824102', '云峰镇', 'yunfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824104', '510824', '510824104', '东青镇', 'dongqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824105', '510824', '510824105', '白桥镇', 'baiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824106', '510824', '510824106', '八庙镇', 'bamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824107', '510824', '510824107', '五龙镇', 'wulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824108', '510824', '510824108', '永宁镇', 'yongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824109', '510824', '510824109', '鸳溪镇', 'yuanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824110', '510824', '510824110', '三川镇', 'sanchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824111', '510824', '510824111', '龙王镇', 'longwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824112', '510824', '510824112', '元坝镇', 'yuanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824113', '510824', '510824113', '唤马镇', 'huanmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824114', '510824', '510824114', '歧坪镇', 'qipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824115', '510824', '510824115', '白驿镇', 'baiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824116', '510824', '510824116', '漓江镇', 'lijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824117', '510824', '510824117', '文昌镇', 'wenchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824118', '510824', '510824118', '岳东镇', 'yuedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824119', '510824', '510824119', '石马镇', 'shimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824120', '510824', '510824120', '运山镇', 'yunshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824121', '510824', '510824121', '东溪镇', 'dongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824122', '510824', '510824122', '高坡镇', 'gaopozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824123', '510824', '510824123', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824202', '510824', '510824202', '禅林乡', 'shanlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824204', '510824', '510824204', '亭子乡', 'tingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824208', '510824', '510824208', '白鹤乡', 'baihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824209', '510824', '510824209', '浙水乡', 'zheshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824210', '510824', '510824210', '雍河乡', 'yonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824212', '510824', '510824212', '新观乡', 'xinguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824214', '510824', '510824214', '中土乡', 'zhongtuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824216', '510824', '510824216', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824223', '510824', '510824223', '月山乡', 'yueshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824226', '510824', '510824226', '白山乡', 'baishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824228', '510824', '510824228', '彭店乡', 'pengdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824229', '510824', '510824229', '桥溪乡', 'qiaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824232', '510824', '510824232', '龙洞乡', 'longdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824233', '510824', '510824233', '黄猫乡', 'huangmaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824234', '510824', '510824234', '石灶乡', 'shizaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824238', '510824', '510824238', '河地乡', 'hedixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824240', '510824', '510824240', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824400', '510824', '510824400', '九龙山农场', 'jiulongshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510824401', '510824', '510824401', '三溪口林场', 'sanxikoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5109', '51', '5109', '遂宁市', 'suiningshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510901', '5109', '510901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903', '5109', '510903', '船山区', 'chuanshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903001', '510903', '510903001', '南津路街道', 'nanjinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903002', '510903', '510903002', '凯旋路街道', 'kaixuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903003', '510903', '510903003', '高升街街道', 'gaoshengjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903004', '510903', '510903004', '镇江寺街道', 'zhenjiangsijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903005', '510903', '510903005', '育才路街道', 'yucailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903006', '510903', '510903006', '介福路街道', 'jiefulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903007', '510903', '510903007', '嘉禾街道', 'jiahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903008', '510903', '510903008', '广德寺街道', 'guangdesijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903009', '510903', '510903009', '富源路街道', 'fuyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903010', '510903', '510903010', '龙坪街道', 'longpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903011', '510903', '510903011', '灵泉寺街道', 'lingquansijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903012', '510903', '510903012', '慈音街道', 'ciyinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903013', '510903', '510903013', '九莲街道', 'jiulianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903100', '510903', '510903100', '南强镇', 'nanqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903101', '510903', '510903101', '仁里镇', 'renlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903102', '510903', '510903102', '复桥镇', 'fuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903103', '510903', '510903103', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903104', '510903', '510903104', '河沙镇', 'heshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903105', '510903', '510903105', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903106', '510903', '510903106', '桂花镇', 'guihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903200', '510903', '510903200', '西宁乡', 'xiningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903201', '510903', '510903201', '老池乡', 'laochixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903202', '510903', '510903202', '保升乡', 'baoshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903203', '510903', '510903203', '唐家乡', 'tangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510903204', '510903', '510903204', '北固乡', 'beiguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904', '5109', '510904', '安居区', 'anjuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904100', '510904', '510904100', '安居镇', 'anjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904101', '510904', '510904101', '东禅镇', 'dongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904102', '510904', '510904102', '分水镇', 'fenshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904103', '510904', '510904103', '石洞镇', 'shidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904104', '510904', '510904104', '拦江镇', 'lanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904105', '510904', '510904105', '保石镇', 'baoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904106', '510904', '510904106', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904107', '510904', '510904107', '中兴镇', 'zhongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904108', '510904', '510904108', '横山镇', 'hengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904109', '510904', '510904109', '会龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904110', '510904', '510904110', '三家镇', 'sanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904111', '510904', '510904111', '玉丰镇', 'yufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904112', '510904', '510904112', '西眉镇', 'ximeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904113', '510904', '510904113', '磨溪镇', 'moxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904200', '510904', '510904200', '聚贤乡', 'juxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904201', '510904', '510904201', '莲花乡', 'lianhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904202', '510904', '510904202', '观音乡', 'guanyinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904203', '510904', '510904203', '步云乡', 'buyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904204', '510904', '510904204', '常理乡', 'changlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904205', '510904', '510904205', '大安乡', 'daanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510904206', '510904', '510904206', '马家乡', 'majiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921', '5109', '510921', '蓬溪县', 'pengxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921100', '510921', '510921100', '赤城镇', 'chichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921101', '510921', '510921101', '新会镇', 'xinhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921102', '510921', '510921102', '文井镇', 'wenjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921103', '510921', '510921103', '明月镇', 'mingyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921104', '510921', '510921104', '常乐镇', 'changlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921105', '510921', '510921105', '天福镇', 'tianfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921106', '510921', '510921106', '红江镇', 'hongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921107', '510921', '510921107', '宝梵镇', 'baofanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921108', '510921', '510921108', '大石镇', 'dashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921109', '510921', '510921109', '吉祥镇', 'jixiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921110', '510921', '510921110', '鸣凤镇', 'mingfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921111', '510921', '510921111', '任隆镇', 'renlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921112', '510921', '510921112', '三凤镇', 'sanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921113', '510921', '510921113', '高坪镇', 'gaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921114', '510921', '510921114', '蓬南镇', 'pengnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921115', '510921', '510921115', '群利镇', 'qunlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921200', '510921', '510921200', '下东乡', 'xiadongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921201', '510921', '510921201', '新星乡', 'xinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921202', '510921', '510921202', '罗戈乡', 'luogexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921203', '510921', '510921203', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921204', '510921', '510921204', '槐花乡', 'huaihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921205', '510921', '510921205', '吉星乡', 'jixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921206', '510921', '510921206', '黄泥乡', 'huangnixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921207', '510921', '510921207', '荷叶乡', 'heyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921208', '510921', '510921208', '金龙乡', 'jinlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921209', '510921', '510921209', '农兴乡', 'nongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921210', '510921', '510921210', '新胜乡', 'xinshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921211', '510921', '510921211', '回水乡', 'huishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921212', '510921', '510921212', '群力乡', 'qunlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921213', '510921', '510921213', '高升乡', 'gaoshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510921214', '510921', '510921214', '金桥乡', 'jinqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922', '5109', '510922', '射洪县', 'shehongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922100', '510922', '510922100', '太和镇', 'taihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922101', '510922', '510922101', '大榆镇', 'dayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922102', '510922', '510922102', '广兴镇', 'guangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922103', '510922', '510922103', '金华镇', 'jinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922104', '510922', '510922104', '柳树镇', 'liushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922105', '510922', '510922105', '太乙镇', 'taiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922106', '510922', '510922106', '金家镇', 'jinjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922107', '510922', '510922107', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922108', '510922', '510922108', '天仙镇', 'tianxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922109', '510922', '510922109', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922110', '510922', '510922110', '青岗镇', 'qinggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922111', '510922', '510922111', '洋溪镇', 'yangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922112', '510922', '510922112', '香山镇', 'xiangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922113', '510922', '510922113', '明星镇', 'mingxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922114', '510922', '510922114', '涪西镇', 'fuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922115', '510922', '510922115', '陈古镇', 'chenguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922116', '510922', '510922116', '凤来镇', 'fenglaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922117', '510922', '510922117', '潼射镇', 'tongshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922118', '510922', '510922118', '曹碑镇', 'caobeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922119', '510922', '510922119', '官升镇', 'guanshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922200', '510922', '510922200', '瞿河乡', 'juhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922201', '510922', '510922201', '伏河乡', 'fuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922202', '510922', '510922202', '青堤乡', 'qingdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922203', '510922', '510922203', '双溪乡', 'shuangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922204', '510922', '510922204', '文升乡', 'wenshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922205', '510922', '510922205', '万林乡', 'wanlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922206', '510922', '510922206', '太兴乡', 'taixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922207', '510922', '510922207', '东岳乡', 'dongyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922208', '510922', '510922208', '金鹤乡', 'jinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510922209', '510922', '510922209', '玉太乡', 'yutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923', '5109', '510923', '大英县', 'dayingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923100', '510923', '510923100', '蓬莱镇', 'penglaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923101', '510923', '510923101', '隆盛镇', 'longshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923102', '510923', '510923102', '回马镇', 'huimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923103', '510923', '510923103', '天保镇', 'tianbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923104', '510923', '510923104', '河边镇', 'hebianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923105', '510923', '510923105', '卓筒井镇', 'zhuotongjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923106', '510923', '510923106', '玉峰镇', 'yufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923107', '510923', '510923107', '象山镇', 'xiangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923200', '510923', '510923200', '通仙乡', 'tongxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923201', '510923', '510923201', '金元乡', 'jinyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('510923202', '510923', '510923202', '智水乡', 'zhishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5110', '51', '5110', '内江市', 'neijiangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511001', '5110', '511001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002', '5110', '511002', '市中区', 'shizhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002001', '511002', '511002001', '城东街道', 'chengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002002', '511002', '511002002', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002003', '511002', '511002003', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002004', '511002', '511002004', '玉溪街道', 'yuxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002005', '511002', '511002005', '牌楼街道', 'pailoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002006', '511002', '511002006', '壕子口街道', 'haozikoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002100', '511002', '511002100', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002101', '511002', '511002101', '史家镇', 'shijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002102', '511002', '511002102', '凌家镇', 'lingjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002103', '511002', '511002103', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002104', '511002', '511002104', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002105', '511002', '511002105', '全安镇', 'quananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002106', '511002', '511002106', '靖民镇', 'jingminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002107', '511002', '511002107', '乐贤镇', 'lexianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002200', '511002', '511002200', '沱江乡', 'tuojiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002201', '511002', '511002201', '交通乡', 'jiaotongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002202', '511002', '511002202', '四合乡', 'sihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002203', '511002', '511002203', '凤鸣乡', 'fengmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002204', '511002', '511002204', '伏龙乡', 'fulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511002205', '511002', '511002205', '龚家乡', 'gongjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011', '5110', '511011', '东兴区', 'dongxingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011001', '511011', '511011001', '东兴街道', 'dongxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011002', '511011', '511011002', '西林街道', 'xilinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011003', '511011', '511011003', '新江街道', 'xinjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011100', '511011', '511011100', '田家镇', 'tianjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011101', '511011', '511011101', '郭北镇', 'guobeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011102', '511011', '511011102', '高梁镇', 'gaoliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011103', '511011', '511011103', '白合镇', 'baihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011104', '511011', '511011104', '顺河镇', 'shunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011105', '511011', '511011105', '胜利镇', 'shenglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011106', '511011', '511011106', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011107', '511011', '511011107', '双才镇', 'shuangcaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011108', '511011', '511011108', '小河口镇', 'xiaohekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011109', '511011', '511011109', '杨家镇', 'yangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011110', '511011', '511011110', '碑木镇', 'beimuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011111', '511011', '511011111', '石子镇', 'shizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011200', '511011', '511011200', '太安乡', 'taianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011201', '511011', '511011201', '苏家乡', 'sujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011202', '511011', '511011202', '富溪乡', 'fuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011203', '511011', '511011203', '同福乡', 'tongfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011204', '511011', '511011204', '碑南乡', 'beinanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011205', '511011', '511011205', '永东乡', 'yongdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011206', '511011', '511011206', '永福乡', 'yongfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011207', '511011', '511011207', '新店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011208', '511011', '511011208', '双桥乡', 'shuangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011209', '511011', '511011209', '平坦乡', 'pingtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011210', '511011', '511011210', '中山乡', 'zhongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011211', '511011', '511011211', '大治乡', 'dazhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011212', '511011', '511011212', '柳桥乡', 'liuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511011213', '511011', '511011213', '三烈乡', 'sanliexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024', '5110', '511024', '威远县', 'weiyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024100', '511024', '511024100', '严陵镇', 'yanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024101', '511024', '511024101', '铺子湾镇', 'puziwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024102', '511024', '511024102', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024103', '511024', '511024103', '向义镇', 'xiangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024104', '511024', '511024104', '界牌镇', 'jiepaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024105', '511024', '511024105', '龙会镇', 'longhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024106', '511024', '511024106', '高石镇', 'gaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024107', '511024', '511024107', '东联镇', 'donglianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024108', '511024', '511024108', '靖和镇', 'jinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024109', '511024', '511024109', '镇西镇', 'zhenxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024110', '511024', '511024110', '庆卫镇', 'qingweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024111', '511024', '511024111', '山王镇', 'shanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024112', '511024', '511024112', '黄荆沟镇', 'huangjinggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024113', '511024', '511024113', '观英滩镇', 'guanyingtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024114', '511024', '511024114', '新场镇', 'xinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024115', '511024', '511024115', '连界镇', 'lianjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024116', '511024', '511024116', '越溪镇', 'yuexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024117', '511024', '511024117', '两河镇', 'lianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024118', '511024', '511024118', '碗厂镇', 'wanchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511024119', '511024', '511024119', '小河镇', 'xiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025', '5110', '511025', '资中县', 'zizhongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025100', '511025', '511025100', '重龙镇', 'zhonglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025101', '511025', '511025101', '甘露镇', 'ganluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025102', '511025', '511025102', '归德镇', 'guidezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025103', '511025', '511025103', '鱼溪镇', 'yuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025104', '511025', '511025104', '金李井镇', 'jinlijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025105', '511025', '511025105', '铁佛镇', 'tiefozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025106', '511025', '511025106', '球溪镇', 'qiuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025107', '511025', '511025107', '顺河场镇', 'shunhechangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025108', '511025', '511025108', '龙结镇', 'longjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025109', '511025', '511025109', '罗泉镇', 'luoquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025110', '511025', '511025110', '发轮镇', 'falunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025111', '511025', '511025111', '兴隆街镇', 'xinglongjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025112', '511025', '511025112', '银山镇', 'yinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025113', '511025', '511025113', '宋家镇', 'songjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025114', '511025', '511025114', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025115', '511025', '511025115', '骝马镇', 'liumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025116', '511025', '511025116', '水南镇', 'shuinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025117', '511025', '511025117', '苏家湾镇', 'sujiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025118', '511025', '511025118', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025119', '511025', '511025119', '明心寺镇', 'mingxinsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025120', '511025', '511025120', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025121', '511025', '511025121', '公民镇', 'gongminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025122', '511025', '511025122', '龙江镇', 'longjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025123', '511025', '511025123', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025124', '511025', '511025124', '高楼镇', 'gaolouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025125', '511025', '511025125', '陈家镇', 'chenjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025126', '511025', '511025126', '配龙镇', 'peilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025127', '511025', '511025127', '走马镇', 'zoumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025128', '511025', '511025128', '孟塘镇', 'mengtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025129', '511025', '511025129', '马鞍镇', 'maanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025130', '511025', '511025130', '狮子镇', 'shizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025200', '511025', '511025200', '板栗桠乡', 'banliyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511025201', '511025', '511025201', '龙山乡', 'longshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028', '5110', '511028', '隆昌县', 'longchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028100', '511028', '511028100', '金鹅镇', 'jinezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028101', '511028', '511028101', '山川镇', 'shanchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028102', '511028', '511028102', '响石镇', 'xiangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028103', '511028', '511028103', '圣灯镇', 'shengdengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028104', '511028', '511028104', '黄家镇', 'huangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028105', '511028', '511028105', '双凤镇', 'shuangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028106', '511028', '511028106', '龙市镇', 'longshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028107', '511028', '511028107', '迎祥镇', 'yingxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028108', '511028', '511028108', '界市镇', 'jieshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028109', '511028', '511028109', '石碾镇', 'shinianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028110', '511028', '511028110', '周兴镇', 'zhouxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028111', '511028', '511028111', '渔箭镇', 'yujianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028112', '511028', '511028112', '石燕桥镇', 'shiyanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028113', '511028', '511028113', '李市镇', 'lishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028114', '511028', '511028114', '胡家镇', 'hujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028115', '511028', '511028115', '云顶镇', 'yundingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028200', '511028', '511028200', '桂花井乡', 'guihuajingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511028201', '511028', '511028201', '普润乡', 'purunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5111', '51', '5111', '乐山市', 'leshanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511101', '5111', '511101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102', '5111', '511102', '市中区', 'shizhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102001', '511102', '511102001', '张公桥街道', 'zhanggongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102002', '511102', '511102002', '泊水街道', 'boshuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102003', '511102', '511102003', '上河街道', 'shanghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102004', '511102', '511102004', '篦子街道', 'bizijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102100', '511102', '511102100', '通江镇', 'tongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102101', '511102', '511102101', '牟子镇', 'mouzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102102', '511102', '511102102', '土主镇', 'tuzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102103', '511102', '511102103', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102104', '511102', '511102104', '茅桥镇', 'maoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102105', '511102', '511102105', '青平镇', 'qingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102106', '511102', '511102106', '苏稽镇', 'sujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102107', '511102', '511102107', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102108', '511102', '511102108', '安谷镇', 'anguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102109', '511102', '511102109', '棉竹镇', 'mianzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102110', '511102', '511102110', '全福镇', 'quanfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102111', '511102', '511102111', '童家镇', 'tongjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102112', '511102', '511102112', '九峰镇', 'jiufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102113', '511102', '511102113', '罗汉镇', 'luohanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102114', '511102', '511102114', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102115', '511102', '511102115', '车子镇', 'chezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102200', '511102', '511102200', '悦来乡', 'yuelaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102201', '511102', '511102201', '关庙乡', 'guanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102202', '511102', '511102202', '石龙乡', 'shilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102203', '511102', '511102203', '剑峰乡', 'jianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102204', '511102', '511102204', '凌云乡', 'lingyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102205', '511102', '511102205', '迎阳乡', 'yingyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102206', '511102', '511102206', '九龙乡', 'jiulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102207', '511102', '511102207', '普仁乡', 'purenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102208', '511102', '511102208', '平兴乡', 'pingxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511102209', '511102', '511102209', '杨湾乡', 'yangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111', '5111', '511111', '沙湾区', 'shawanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111100', '511111', '511111100', '沙湾镇', 'shawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111101', '511111', '511111101', '嘉农镇', 'jianongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111102', '511111', '511111102', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111103', '511111', '511111103', '福禄镇', 'fuluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111104', '511111', '511111104', '牛石镇', 'niushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111105', '511111', '511111105', '龚嘴镇', 'gongzuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111106', '511111', '511111106', '葫芦镇', 'huluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111107', '511111', '511111107', '踏水镇', 'tashuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111200', '511111', '511111200', '谭坝乡', 'tanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111201', '511111', '511111201', '轸溪乡', 'zhenxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111202', '511111', '511111202', '范店乡', 'fandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111203', '511111', '511111203', '铜茨乡', 'tongcixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111204', '511111', '511111204', '碧山乡', 'bishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511111400', '511111', '511111400', '沫江', 'mojiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112', '5111', '511112', '五通桥区', 'wutongqiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112100', '511112', '511112100', '竹根镇', 'zhugenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112101', '511112', '511112101', '牛华镇', 'niuhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112102', '511112', '511112102', '杨柳镇', 'yangliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112103', '511112', '511112103', '桥沟镇', 'qiaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112104', '511112', '511112104', '金粟镇', 'jinsuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112105', '511112', '511112105', '金山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112106', '511112', '511112106', '辉山镇', 'huishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112107', '511112', '511112107', '西坝镇', 'xibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112108', '511112', '511112108', '冠英镇', 'guanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112109', '511112', '511112109', '蔡金镇', 'caijinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112110', '511112', '511112110', '石麟镇', 'shilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511112200', '511112', '511112200', '新云乡', 'xinyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511113', '5111', '511113', '金口河区', 'jinkouhequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511113100', '511113', '511113100', '永和镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511113101', '511113', '511113101', '金河镇', 'jinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511113200', '511113', '511113200', '和平彝族乡', 'hepingyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511113201', '511113', '511113201', '共安彝族乡', 'gonganyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511113202', '511113', '511113202', '吉星乡', 'jixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511113203', '511113', '511113203', '永胜乡', 'yongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123', '5111', '511123', '犍为县', 'jianweixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123100', '511123', '511123100', '玉津镇', 'yujinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123101', '511123', '511123101', '孝姑镇', 'xiaoguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123102', '511123', '511123102', '石溪镇', 'shixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123103', '511123', '511123103', '清溪镇', 'qingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123104', '511123', '511123104', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123105', '511123', '511123105', '罗城镇', 'luochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123106', '511123', '511123106', '芭沟镇', 'bagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123107', '511123', '511123107', '龙孔镇', 'longkongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123108', '511123', '511123108', '定文镇', 'dingwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123109', '511123', '511123109', '敖家镇', 'aojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123110', '511123', '511123110', '金石井镇', 'jinshijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123111', '511123', '511123111', '泉水镇', 'quanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123200', '511123', '511123200', '双溪乡', 'shuangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123201', '511123', '511123201', '九井乡', 'jiujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123202', '511123', '511123202', '同兴乡', 'tongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123203', '511123', '511123203', '榨鼓乡', 'zhaguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123204', '511123', '511123204', '铁炉乡', 'tieluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123205', '511123', '511123205', '大兴乡', 'daxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123206', '511123', '511123206', '南阳乡', 'nanyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123207', '511123', '511123207', '纪家乡', 'jijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123208', '511123', '511123208', '新盛乡', 'xinshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123209', '511123', '511123209', '寿保乡', 'shoubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123210', '511123', '511123210', '舞雩乡', 'wuyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123211', '511123', '511123211', '下渡乡', 'xiaduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123212', '511123', '511123212', '玉屏乡', 'yupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123213', '511123', '511123213', '岷东乡', 'mindongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123214', '511123', '511123214', '塘坝乡', 'tangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123215', '511123', '511123215', '马庙乡', 'mamiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123216', '511123', '511123216', '公平乡', 'gongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511123217', '511123', '511123217', '伏龙乡', 'fulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124', '5111', '511124', '井研县', 'jingyanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124100', '511124', '511124100', '研城镇', 'yanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124101', '511124', '511124101', '马踏镇', 'matazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124102', '511124', '511124102', '竹园镇', 'zhuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124103', '511124', '511124103', '研经镇', 'yanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124104', '511124', '511124104', '周坡镇', 'zhoupozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124105', '511124', '511124105', '千佛镇', 'qianfozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124106', '511124', '511124106', '王村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124107', '511124', '511124107', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124108', '511124', '511124108', '东林镇', 'donglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124109', '511124', '511124109', '磨池镇', 'mochizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124200', '511124', '511124200', '集益乡', 'jiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124201', '511124', '511124201', '纯复乡', 'chunfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124202', '511124', '511124202', '三教乡', 'sanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124203', '511124', '511124203', '高滩乡', 'gaotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124204', '511124', '511124204', '宝五乡', 'baowuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124205', '511124', '511124205', '四合乡', 'sihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124206', '511124', '511124206', '黄钵乡', 'huangboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124207', '511124', '511124207', '胜泉乡', 'shengquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124208', '511124', '511124208', '门坎乡', 'menkanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124209', '511124', '511124209', '石牛乡', 'shiniuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124210', '511124', '511124210', '高凤乡', 'gaofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124211', '511124', '511124211', '金峰乡', 'jinfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124212', '511124', '511124212', '分全乡', 'fenquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124213', '511124', '511124213', '镇阳乡', 'zhenyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124214', '511124', '511124214', '天云乡', 'tianyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124215', '511124', '511124215', '乌抛乡', 'wupaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511124216', '511124', '511124216', '大佛乡', 'dafoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126', '5111', '511126', '夹江县', 'jiajiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126100', '511126', '511126100', '焉城镇', 'yanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126101', '511126', '511126101', '黄土镇', 'huangtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126102', '511126', '511126102', '甘江镇', 'ganjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126103', '511126', '511126103', '界牌镇', 'jiepaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126104', '511126', '511126104', '中兴镇', 'zhongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126105', '511126', '511126105', '三洞镇', 'sandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126106', '511126', '511126106', '吴场镇', 'wuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126107', '511126', '511126107', '木城镇', 'muchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126108', '511126', '511126108', '华头镇', 'huatouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126109', '511126', '511126109', '甘霖镇', 'ganlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126110', '511126', '511126110', '新场镇', 'xinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126200', '511126', '511126200', '顺河乡', 'shunhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126201', '511126', '511126201', '马村乡', 'macunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126202', '511126', '511126202', '土门乡', 'tumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126203', '511126', '511126203', '青州乡', 'qingzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126204', '511126', '511126204', '梧凤乡', 'wufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126205', '511126', '511126205', '永青乡', 'yongqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126206', '511126', '511126206', '迎江乡', 'yingjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126207', '511126', '511126207', '龙沱乡', 'longtuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126208', '511126', '511126208', '南安乡', 'nananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126209', '511126', '511126209', '歇马乡', 'xiemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511126210', '511126', '511126210', '麻柳乡', 'maliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129', '5111', '511129', '沐川县', 'muchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129100', '511129', '511129100', '沐溪镇', 'muxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129101', '511129', '511129101', '永福镇', 'yongfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129102', '511129', '511129102', '大楠镇', 'dananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129103', '511129', '511129103', '箭板镇', 'jianbanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129104', '511129', '511129104', '舟坝镇', 'zhoubazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129105', '511129', '511129105', '黄丹镇', 'huangdanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129106', '511129', '511129106', '利店镇', 'lidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129200', '511129', '511129200', '建和乡', 'jianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129201', '511129', '511129201', '幸福乡', 'xingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129202', '511129', '511129202', '新凡乡', 'xinfanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129203', '511129', '511129203', '富和乡', 'fuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129204', '511129', '511129204', '炭库乡', 'tankuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129205', '511129', '511129205', '底堡乡', 'dibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129206', '511129', '511129206', '杨村乡', 'yangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129207', '511129', '511129207', '高笋乡', 'gaosunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129208', '511129', '511129208', '茨竹乡', 'cizhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129209', '511129', '511129209', '海云乡', 'haiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129210', '511129', '511129210', '武圣乡', 'wushengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129211', '511129', '511129211', '凤村乡', 'fengcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511129400', '511129', '511129400', '五马坪监狱', 'wumapingjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132', '5111', '511132', '峨边彝族自治县', 'ebianyizuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132100', '511132', '511132100', '沙坪镇', 'shapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132101', '511132', '511132101', '大堡镇', 'dabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132102', '511132', '511132102', '毛坪镇', 'maopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132103', '511132', '511132103', '五渡镇', 'wuduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132104', '511132', '511132104', '新林镇', 'xinlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132105', '511132', '511132105', '黑竹沟镇', 'heizhugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132200', '511132', '511132200', '红花乡', 'honghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132201', '511132', '511132201', '宜坪乡', 'yipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132202', '511132', '511132202', '杨村乡', 'yangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132203', '511132', '511132203', '白杨乡', 'baiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132204', '511132', '511132204', '觉莫乡', 'juemoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132205', '511132', '511132205', '万坪乡', 'wanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132206', '511132', '511132206', '杨河乡', 'yanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132207', '511132', '511132207', '共和乡', 'gonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132208', '511132', '511132208', '新场乡', 'xinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132209', '511132', '511132209', '平等乡', 'pingdengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132210', '511132', '511132210', '哈曲乡', 'haquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132211', '511132', '511132211', '金岩乡', 'jinyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511132212', '511132', '511132212', '勒乌乡', 'lewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133', '5111', '511133', '马边彝族自治县', 'mabianyizuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133100', '511133', '511133100', '民建镇', 'minjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133101', '511133', '511133101', '荣丁镇', 'rongdingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133200', '511133', '511133200', '劳动乡', 'laodongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133201', '511133', '511133201', '建设乡', 'jianshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133203', '511133', '511133203', '石梁乡', 'shiliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133204', '511133', '511133204', '荞坝乡', 'qiaobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133206', '511133', '511133206', '民主乡', 'minzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133207', '511133', '511133207', '老河坝乡', 'laohebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133208', '511133', '511133208', '下溪乡', 'xiaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133209', '511133', '511133209', '雪口山乡', 'xuekoushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133210', '511133', '511133210', '镇江庙乡', 'zhenjiangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133211', '511133', '511133211', '大竹堡乡', 'dazhubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133213', '511133', '511133213', '苏坝乡', 'subaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133214', '511133', '511133214', '烟峰乡', 'yanfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133215', '511133', '511133215', '袁家溪乡', 'yuanjiaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133216', '511133', '511133216', '沙腔乡', 'shaqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133217', '511133', '511133217', '三河口乡', 'sanhekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133221', '511133', '511133221', '梅子坝乡', 'meizibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133223', '511133', '511133223', '高卓营乡', 'gaozhuoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511133226', '511133', '511133226', '永红乡', 'yonghongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181', '5111', '511181', '峨眉山市', 'emeishanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181100', '511181', '511181100', '绥山镇', 'suishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181101', '511181', '511181101', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181102', '511181', '511181102', '罗目镇', 'luomuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181103', '511181', '511181103', '九里镇', 'jiulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181104', '511181', '511181104', '龙池镇', 'longchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181105', '511181', '511181105', '乐都镇', 'ledouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181106', '511181', '511181106', '符溪镇', 'fuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181107', '511181', '511181107', '峨山镇', 'eshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181108', '511181', '511181108', '双福镇', 'shuangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181109', '511181', '511181109', '桂花桥镇', 'guihuaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181110', '511181', '511181110', '大为镇', 'daweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181111', '511181', '511181111', '胜利镇', 'shenglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181200', '511181', '511181200', '龙门乡', 'longmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181201', '511181', '511181201', '川主乡', 'chuanzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181202', '511181', '511181202', '沙溪乡', 'shaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181203', '511181', '511181203', '新平乡', 'xinpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181204', '511181', '511181204', '普兴乡', 'puxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511181205', '511181', '511181205', '黄湾乡', 'huangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5113', '51', '5113', '南充市', 'nanchongshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511301', '5113', '511301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302', '5113', '511302', '顺庆区', 'shunqingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302001', '511302', '511302001', '中城街道', 'zhongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302002', '511302', '511302002', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302003', '511302', '511302003', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302004', '511302', '511302004', '东南街道', 'dongnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302005', '511302', '511302005', '舞凤街道', 'wufengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302006', '511302', '511302006', '新建街道', 'xinjianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302007', '511302', '511302007', '华凤街道', 'huafengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302008', '511302', '511302008', '和平路街道', 'hepinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302103', '511302', '511302103', '潆溪镇', 'yingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302104', '511302', '511302104', '共兴镇', 'gongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302105', '511302', '511302105', '金台镇', 'jintaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302106', '511302', '511302106', '芦溪镇', 'luxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302107', '511302', '511302107', '李家镇', 'lijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302108', '511302', '511302108', '双桥镇', 'shuangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302109', '511302', '511302109', '荆溪镇', 'jingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302110', '511302', '511302110', '搬罾镇', 'banzengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302200', '511302', '511302200', '新复乡', 'xinfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302201', '511302', '511302201', '同仁乡', 'tongrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302204', '511302', '511302204', '大林乡', 'dalinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302205', '511302', '511302205', '梵殿乡', 'fandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302206', '511302', '511302206', '顺河乡', 'shunhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302207', '511302', '511302207', '灯台乡', 'dengtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302208', '511302', '511302208', '辉景乡', 'huijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302209', '511302', '511302209', '龙桂乡', 'longguixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302210', '511302', '511302210', '永丰乡', 'yongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302211', '511302', '511302211', '桂花乡', 'guihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302212', '511302', '511302212', '凤山乡', 'fengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511302213', '511302', '511302213', '渔溪乡', 'yuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303', '5113', '511303', '高坪区', 'gaopingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303001', '511303', '511303001', '白塔街道', 'baitajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303002', '511303', '511303002', '清溪街道', 'qingxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303101', '511303', '511303101', '小龙镇', 'xiaolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303102', '511303', '511303102', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303103', '511303', '511303103', '江陵镇', 'jianglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303104', '511303', '511303104', '擦耳镇', 'caerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303105', '511303', '511303105', '老君镇', 'laojunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303106', '511303', '511303106', '东观镇', 'dongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303107', '511303', '511303107', '长乐镇', 'zhanglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303108', '511303', '511303108', '胜观镇', 'shengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303109', '511303', '511303109', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303110', '511303', '511303110', '阙家镇', 'quejiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303111', '511303', '511303111', '石圭镇', 'shiguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303112', '511303', '511303112', '青居镇', 'qingjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303113', '511303', '511303113', '青莲镇', 'qinglianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303114', '511303', '511303114', '都京镇', 'doujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303115', '511303', '511303115', '会龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303116', '511303', '511303116', '螺溪镇', 'luoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303201', '511303', '511303201', '走马乡', 'zoumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303202', '511303', '511303202', '喻家乡', 'yujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303203', '511303', '511303203', '马家乡', 'majiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303204', '511303', '511303204', '黄溪乡', 'huangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303205', '511303', '511303205', '万家乡', 'wanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303207', '511303', '511303207', '御史乡', 'yushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303208', '511303', '511303208', '隆兴乡', 'longxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303209', '511303', '511303209', '斑竹乡', 'banzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303210', '511303', '511303210', '鄢家乡', 'yanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303211', '511303', '511303211', '浸水乡', 'jinshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303212', '511303', '511303212', '溪头乡', 'xitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303213', '511303', '511303213', '青松乡', 'qingsongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303215', '511303', '511303215', '凤凰乡', 'fenghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511303218', '511303', '511303218', '南江乡', 'nanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304', '5113', '511304', '嘉陵区', 'jialingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304001', '511304', '511304001', '火花街道', 'huohuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304101', '511304', '511304101', '曲水镇', 'qushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304102', '511304', '511304102', '李渡镇', 'liduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304103', '511304', '511304103', '吉安镇', 'jianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304104', '511304', '511304104', '龙岭镇', 'longlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304105', '511304', '511304105', '金凤镇', 'jinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304106', '511304', '511304106', '安福镇', 'anfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304107', '511304', '511304107', '安平镇', 'anpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304108', '511304', '511304108', '世阳镇', 'shiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304109', '511304', '511304109', '大通镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304110', '511304', '511304110', '一立镇', 'yilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304111', '511304', '511304111', '龙蟠镇', 'longpanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304112', '511304', '511304112', '里坝镇', 'libazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304113', '511304', '511304113', '集凤镇', 'jifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304114', '511304', '511304114', '金宝镇', 'jinbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304115', '511304', '511304115', '三会镇', 'sanhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304116', '511304', '511304116', '西兴镇', 'xixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304117', '511304', '511304117', '双桂镇', 'shuangguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304118', '511304', '511304118', '文峰镇', 'wenfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304119', '511304', '511304119', '七宝寺镇', 'qibaosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304120', '511304', '511304120', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304201', '511304', '511304201', '河西乡', 'hexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304202', '511304', '511304202', '移山乡', 'yishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304203', '511304', '511304203', '木老乡', 'mulaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304205', '511304', '511304205', '新场乡', 'xinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304207', '511304', '511304207', '土门乡', 'tumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304208', '511304', '511304208', '临江乡', 'linjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304209', '511304', '511304209', '双店乡', 'shuangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304211', '511304', '511304211', '白家乡', 'baijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304212', '511304', '511304212', '华兴乡', 'huaxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304213', '511304', '511304213', '大同乡', 'datongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304215', '511304', '511304215', '盐溪乡', 'yanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304216', '511304', '511304216', '桥龙乡', 'qiaolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304218', '511304', '511304218', '天星乡', 'tianxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304219', '511304', '511304219', '大观乡', 'daguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304220', '511304', '511304220', '大兴乡', 'daxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304221', '511304', '511304221', '新庙乡', 'xinmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304222', '511304', '511304222', '桃园乡', 'taoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304223', '511304', '511304223', '太和乡', 'taihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304226', '511304', '511304226', '积善乡', 'jishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304228', '511304', '511304228', '石楼乡', 'shilouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304229', '511304', '511304229', '礼乐乡', 'lilexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511304230', '511304', '511304230', '花园乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321', '5113', '511321', '南部县', 'nanbuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321100', '511321', '511321100', '南隆镇', 'nanlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321101', '511321', '511321101', '河东镇', 'hedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321102', '511321', '511321102', '老鸦镇', 'laoyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321103', '511321', '511321103', '永定镇', 'yongdingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321104', '511321', '511321104', '碑院镇', 'beiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321105', '511321', '511321105', '谢河镇', 'xiehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321106', '511321', '511321106', '盘龙镇', 'panlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321107', '511321', '511321107', '铁佛塘镇', 'tiefotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321108', '511321', '511321108', '石河镇', 'shihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321109', '511321', '511321109', '王家镇', 'wangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321110', '511321', '511321110', '富利镇', 'fulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321111', '511321', '511321111', '楠木镇', 'nanmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321112', '511321', '511321112', '长坪镇', 'zhangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321113', '511321', '511321113', '东坝镇', 'dongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321114', '511321', '511321114', '河坝镇', 'hebazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321115', '511321', '511321115', '定水镇', 'dingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321116', '511321', '511321116', '大王镇', 'dawangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321117', '511321', '511321117', '黄金镇', 'huangjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321118', '511321', '511321118', '流马镇', 'liumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321119', '511321', '511321119', '建兴镇', 'jianxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321120', '511321', '511321120', '三官镇', 'sanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321121', '511321', '511321121', '伏虎镇', 'fuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321122', '511321', '511321122', '双佛镇', 'shuangfozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321123', '511321', '511321123', '花罐镇', 'huaguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321124', '511321', '511321124', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321125', '511321', '511321125', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321126', '511321', '511321126', '万年镇', 'wannianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321127', '511321', '511321127', '升钟镇', 'shengzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321128', '511321', '511321128', '升水镇', 'shengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321129', '511321', '511321129', '大坪镇', 'dapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321130', '511321', '511321130', '神坝镇', 'shenbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321200', '511321', '511321200', '碾盘乡', 'nianpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321201', '511321', '511321201', '火峰乡', 'huofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321202', '511321', '511321202', '群龙乡', 'qunlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321204', '511321', '511321204', '大富乡', 'dafuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321205', '511321', '511321205', '光华乡', 'guanghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321206', '511321', '511321206', '碧龙乡', 'bilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321208', '511321', '511321208', '三清乡', 'sanqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321209', '511321', '511321209', '中心乡', 'zhongxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321210', '511321', '511321210', '五灵乡', 'wulingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321211', '511321', '511321211', '平桥乡', 'pingqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321212', '511321', '511321212', '梅家乡', 'meijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321213', '511321', '511321213', '龙庙乡', 'longmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321214', '511321', '511321214', '马王乡', 'mawangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321215', '511321', '511321215', '大堰乡', 'dayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321216', '511321', '511321216', '窑场乡', 'yaochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321217', '511321', '511321217', '太华乡', 'taihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321218', '511321', '511321218', '兴盛乡', 'xingshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321220', '511321', '511321220', '寒坡乡', 'hanpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321222', '511321', '511321222', '肖家乡', 'xiaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321225', '511321', '511321225', '四龙乡', 'silongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321226', '511321', '511321226', '碾垭乡', 'nianyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321227', '511321', '511321227', '千秋乡', 'qianqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321228', '511321', '511321228', '玉镇乡', 'yuzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321229', '511321', '511321229', '小元乡', 'xiaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321230', '511321', '511321230', '柳驿乡', 'liuyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321231', '511321', '511321231', '石泉乡', 'shiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321232', '511321', '511321232', '雄狮乡', 'xiongshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321233', '511321', '511321233', '宏观乡', 'hongguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321234', '511321', '511321234', '永庆乡', 'yongqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321235', '511321', '511321235', '永红乡', 'yonghongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321236', '511321', '511321236', '柳树乡', 'liushuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321237', '511321', '511321237', '保城乡', 'baochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321238', '511321', '511321238', '双峰乡', 'shuangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321239', '511321', '511321239', '皂角乡', 'zaojiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321240', '511321', '511321240', '丘垭乡', 'qiuyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321241', '511321', '511321241', '光中乡', 'guangzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321242', '511321', '511321242', '铁鞭乡', 'tiebianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321243', '511321', '511321243', '太霞乡', 'taixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321244', '511321', '511321244', '店垭乡', 'dianyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321245', '511321', '511321245', '桐坪乡', 'tongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511321246', '511321', '511321246', '西河乡', 'xihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322', '5113', '511322', '营山县', 'yingshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322100', '511322', '511322100', '朗池镇', 'langchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322101', '511322', '511322101', '渌井镇', 'lujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322102', '511322', '511322102', '东升镇', 'dongshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322103', '511322', '511322103', '骆市镇', 'luoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322104', '511322', '511322104', '黄渡镇', 'huangduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322105', '511322', '511322105', '小桥镇', 'xiaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322106', '511322', '511322106', '灵鹫镇', 'lingjiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322107', '511322', '511322107', '老林镇', 'laolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322108', '511322', '511322108', '木垭镇', 'muyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322109', '511322', '511322109', '消水镇', 'xiaoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322110', '511322', '511322110', '双流镇', 'shuangliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322111', '511322', '511322111', '绿水镇', 'lu:shuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322112', '511322', '511322112', '三兴镇', 'sanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322113', '511322', '511322113', '蓼叶镇', 'liaoyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322114', '511322', '511322114', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322115', '511322', '511322115', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322116', '511322', '511322116', '星火镇', 'xinghuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322117', '511322', '511322117', '西桥镇', 'xiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322118', '511322', '511322118', '城南镇', 'chengnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322201', '511322', '511322201', '济川乡', 'jichuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322202', '511322', '511322202', '茶盘乡', 'chapanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322204', '511322', '511322204', '双溪乡', 'shuangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322206', '511322', '511322206', '带河乡', 'daihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322207', '511322', '511322207', '四喜乡', 'sixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322210', '511322', '511322210', '玲珑乡', 'linglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322211', '511322', '511322211', '涌泉乡', 'yongquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322212', '511322', '511322212', '木顶乡', 'mudingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322213', '511322', '511322213', '清源乡', 'qingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322214', '511322', '511322214', '龙伏乡', 'longfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322215', '511322', '511322215', '双林乡', 'shuanglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322216', '511322', '511322216', '明德乡', 'mingdexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322217', '511322', '511322217', '普岭乡', 'pulingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322218', '511322', '511322218', '三元乡', 'sanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322219', '511322', '511322219', '太蓬乡', 'taipengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322221', '511322', '511322221', '柏林乡', 'bolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322222', '511322', '511322222', '孔雀乡', 'kongquexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322223', '511322', '511322223', '合兴乡', 'hexingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322224', '511322', '511322224', '六合乡', 'liuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322225', '511322', '511322225', '悦中乡', 'yuezhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322227', '511322', '511322227', '高码乡', 'gaomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322228', '511322', '511322228', '安固乡', 'anguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322230', '511322', '511322230', '大庙乡', 'damiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322231', '511322', '511322231', '通天乡', 'tongtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322232', '511322', '511322232', '安化乡', 'anhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322233', '511322', '511322233', '法堂乡', 'fatangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322234', '511322', '511322234', '增产乡', 'zengchanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322236', '511322', '511322236', '丰产乡', 'fengchanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322237', '511322', '511322237', '清水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322238', '511322', '511322238', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322239', '511322', '511322239', '福源乡', 'fuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322240', '511322', '511322240', '柏坪乡', 'bopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322241', '511322', '511322241', '七涧乡', 'qijianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511322243', '511322', '511322243', '凉风乡', 'liangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323', '5113', '511323', '蓬安县', 'penganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323101', '511323', '511323101', '锦屏镇', 'jinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323102', '511323', '511323102', '巨龙镇', 'julongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323103', '511323', '511323103', '正源镇', 'zhengyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323104', '511323', '511323104', '龙云镇', 'longyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323105', '511323', '511323105', '金溪镇', 'jinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323106', '511323', '511323106', '徐家镇', 'xujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323107', '511323', '511323107', '河舒镇', 'heshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323108', '511323', '511323108', '利溪镇', 'lixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323109', '511323', '511323109', '龙蚕镇', 'longcanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323110', '511323', '511323110', '杨家镇', 'yangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323111', '511323', '511323111', '罗家镇', 'luojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323112', '511323', '511323112', '福德镇', 'fudezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323113', '511323', '511323113', '银汉镇', 'yinhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323114', '511323', '511323114', '兴旺镇', 'xingwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323115', '511323', '511323115', '相如镇', 'xiangruzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323201', '511323', '511323201', '高庙乡', 'gaomiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323202', '511323', '511323202', '群乐乡', 'qunlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323203', '511323', '511323203', '长梁乡', 'zhangliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323204', '511323', '511323204', '两路乡', 'liangluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323205', '511323', '511323205', '睦坝乡', 'mubaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323207', '511323', '511323207', '石梁乡', 'shiliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323208', '511323', '511323208', '平头乡', 'pingtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323209', '511323', '511323209', '鲜店乡', 'xiandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323211', '511323', '511323211', '茶亭乡', 'chatingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323212', '511323', '511323212', '诸家乡', 'zhujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323214', '511323', '511323214', '骑龙乡', 'qilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323215', '511323', '511323215', '金甲乡', 'jinjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323217', '511323', '511323217', '新园乡', 'xinyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323218', '511323', '511323218', '三坝乡', 'sanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323220', '511323', '511323220', '碧溪乡', 'bixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323221', '511323', '511323221', '柳滩乡', 'liutanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323222', '511323', '511323222', '石孔乡', 'shikongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323223', '511323', '511323223', '开元乡', 'kaiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323225', '511323', '511323225', '新河乡', 'xinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323226', '511323', '511323226', '南燕乡', 'nanyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323227', '511323', '511323227', '天成乡', 'tianchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323228', '511323', '511323228', '海田乡', 'haitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323229', '511323', '511323229', '济渡乡', 'jiduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511323230', '511323', '511323230', '凤石乡', 'fengshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324', '5113', '511324', '仪陇县', 'yilongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324100', '511324', '511324100', '金城镇', 'jinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324101', '511324', '511324101', '新政镇', 'xinzhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324102', '511324', '511324102', '马鞍镇', 'maanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324103', '511324', '511324103', '永乐镇', 'yonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324104', '511324', '511324104', '日兴镇', 'rixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324105', '511324', '511324105', '土门镇', 'tumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324106', '511324', '511324106', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324107', '511324', '511324107', '观紫镇', 'guanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324108', '511324', '511324108', '先锋镇', 'xianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324109', '511324', '511324109', '三蛟镇', 'sanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324110', '511324', '511324110', '回春镇', 'huichunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324111', '511324', '511324111', '柳垭镇', 'liuyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324112', '511324', '511324112', '义路镇', 'yiluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324113', '511324', '511324113', '立山镇', 'lishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324114', '511324', '511324114', '三河镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324115', '511324', '511324115', '瓦子镇', 'wazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324116', '511324', '511324116', '大寅镇', 'dayinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324117', '511324', '511324117', '二道镇', 'erdaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324118', '511324', '511324118', '赛金镇', 'saijinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324119', '511324', '511324119', '丁字桥镇', 'dingziqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324120', '511324', '511324120', '大仪镇', 'dayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324121', '511324', '511324121', '张公镇', 'zhanggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324122', '511324', '511324122', '五福镇', 'wufuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324123', '511324', '511324123', '周河镇', 'zhouhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324124', '511324', '511324124', '杨桥镇', 'yangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324125', '511324', '511324125', '保平镇', 'baopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324126', '511324', '511324126', '文星镇', 'wenxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324127', '511324', '511324127', '双胜镇', 'shuangshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324128', '511324', '511324128', '度门镇', 'dumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324200', '511324', '511324200', '老木乡', 'laomuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324201', '511324', '511324201', '檬垭乡', 'mengyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324202', '511324', '511324202', '铜鼓乡', 'tongguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324205', '511324', '511324205', '中坝乡', 'zhongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324206', '511324', '511324206', '双盘乡', 'shuangpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324207', '511324', '511324207', '凤仪乡', 'fengyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324208', '511324', '511324208', '双庆乡', 'shuangqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324209', '511324', '511324209', '大风乡', 'dafengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324210', '511324', '511324210', '福临乡', 'fulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324212', '511324', '511324212', '来仪乡', 'laiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324213', '511324', '511324213', '碧泉乡', 'biquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324214', '511324', '511324214', '乐兴乡', 'lexingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324216', '511324', '511324216', '石佛乡', 'shifoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324217', '511324', '511324217', '思德乡', 'sidexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324218', '511324', '511324218', '秋垭乡', 'qiuyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324219', '511324', '511324219', '大罗乡', 'daluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324220', '511324', '511324220', '义门乡', 'yimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324221', '511324', '511324221', '合作乡', 'hezuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324222', '511324', '511324222', '阳通乡', 'yangtongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324223', '511324', '511324223', '茶房乡', 'chafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324225', '511324', '511324225', '龙桥乡', 'longqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324226', '511324', '511324226', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324227', '511324', '511324227', '永光乡', 'yongguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324228', '511324', '511324228', '炬光乡', 'juguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324229', '511324', '511324229', '九龙乡', 'jiulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324230', '511324', '511324230', '芭蕉乡', 'bajiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324231', '511324', '511324231', '灯塔乡', 'dengtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324232', '511324', '511324232', '武棚乡', 'wupengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511324241', '511324', '511324241', '柴井乡', 'chaijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325', '5113', '511325', '西充县', 'xichongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325100', '511325', '511325100', '晋城镇', 'jinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325101', '511325', '511325101', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325102', '511325', '511325102', '大全镇', 'daquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325103', '511325', '511325103', '仙林镇', 'xianlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325104', '511325', '511325104', '古楼镇', 'gulouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325105', '511325', '511325105', '义兴镇', 'yixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325106', '511325', '511325106', '关文镇', 'guanwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325107', '511325', '511325107', '凤鸣镇', 'fengmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325108', '511325', '511325108', '青狮镇', 'qingshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325109', '511325', '511325109', '槐树镇', 'huaishuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325110', '511325', '511325110', '鸣龙镇', 'minglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325111', '511325', '511325111', '双凤镇', 'shuangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325112', '511325', '511325112', '高院镇', 'gaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325113', '511325', '511325113', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325114', '511325', '511325114', '多扶镇', 'duofuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325202', '511325', '511325202', '常林乡', 'changlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325203', '511325', '511325203', '占山乡', 'zhanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325204', '511325', '511325204', '莲池乡', 'lianchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325205', '511325', '511325205', '宏桥乡', 'hongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325207', '511325', '511325207', '金泉乡', 'jinquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325208', '511325', '511325208', '华光乡', 'huaguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325209', '511325', '511325209', '金源乡', 'jinyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325210', '511325', '511325210', '岱林乡', 'dailinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325211', '511325', '511325211', '李桥乡', 'liqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325212', '511325', '511325212', '中岭乡', 'zhonglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325213', '511325', '511325213', '西碾乡', 'xinianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325214', '511325', '511325214', '紫岩乡', 'ziyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325215', '511325', '511325215', '复安乡', 'fuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325216', '511325', '511325216', '观凤乡', 'guanfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325217', '511325', '511325217', '青龙乡', 'qinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325218', '511325', '511325218', '双洛乡', 'shuangluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325219', '511325', '511325219', '义和乡', 'yihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325220', '511325', '511325220', '罐垭乡', 'guanyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325221', '511325', '511325221', '中南乡', 'zhongnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325222', '511325', '511325222', '双江乡', 'shuangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325223', '511325', '511325223', '凤和乡', 'fenghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325224', '511325', '511325224', '东岱乡', 'dongdaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325225', '511325', '511325225', '同德乡', 'tongdexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325226', '511325', '511325226', '祥龙乡', 'xianglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325227', '511325', '511325227', '车龙乡', 'chelongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325228', '511325', '511325228', '扶君乡', 'fujunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325229', '511325', '511325229', '东太乡', 'dongtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325230', '511325', '511325230', '永清乡', 'yongqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511325231', '511325', '511325231', '金山乡', 'jinshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381', '5113', '511381', '阆中市', 'langzhongshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381001', '511381', '511381001', '保宁街道', 'baoningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381003', '511381', '511381003', '沙溪街道', 'shaxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381004', '511381', '511381004', '七里街道', 'qilijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381101', '511381', '511381101', '江南镇', 'jiangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381103', '511381', '511381103', '彭城镇', 'pengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381104', '511381', '511381104', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381105', '511381', '511381105', '柏垭镇', 'boyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381106', '511381', '511381106', '飞凤镇', 'feifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381107', '511381', '511381107', '思依镇', 'siyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381108', '511381', '511381108', '文成镇', 'wenchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381109', '511381', '511381109', '二龙镇', 'erlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381110', '511381', '511381110', '石滩镇', 'shitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381111', '511381', '511381111', '老观镇', 'laoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381112', '511381', '511381112', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381113', '511381', '511381113', '千佛镇', 'qianfozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381114', '511381', '511381114', '望垭镇', 'wangyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381115', '511381', '511381115', '河溪镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381116', '511381', '511381116', '妙高镇', 'miaogaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381117', '511381', '511381117', '洪山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381118', '511381', '511381118', '石龙镇', 'shilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381119', '511381', '511381119', '宝马镇', 'baomazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381120', '511381', '511381120', '水观镇', 'shuiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381121', '511381', '511381121', '金垭镇', 'jinyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381122', '511381', '511381122', '玉台镇', 'yutaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381201', '511381', '511381201', '垭口乡', 'yakouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381202', '511381', '511381202', '治平乡', 'zhipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381208', '511381', '511381208', '天宫乡', 'tiangongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381209', '511381', '511381209', '天林乡', 'tianlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381210', '511381', '511381210', '枣碧乡', 'zaobixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381211', '511381', '511381211', '北门乡', 'beimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381212', '511381', '511381212', '桥楼乡', 'qiaolouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381213', '511381', '511381213', '河楼乡', 'helouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381215', '511381', '511381215', '木兰乡', 'mulanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381216', '511381', '511381216', '东兴乡', 'dongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381217', '511381', '511381217', '清泉乡', 'qingquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381219', '511381', '511381219', '博树回族乡', 'boshuhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381221', '511381', '511381221', '凉水乡', 'liangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381224', '511381', '511381224', '解元乡', 'jieyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381225', '511381', '511381225', '西山乡', 'xishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381226', '511381', '511381226', '方山乡', 'fangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381232', '511381', '511381232', '金子乡', 'jinzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381233', '511381', '511381233', '三庙乡', 'sanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381234', '511381', '511381234', '峰占乡', 'fengzhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381235', '511381', '511381235', '鹤丰乡', 'hefengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381239', '511381', '511381239', '金城乡', 'jinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381241', '511381', '511381241', '五马乡', 'wumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381243', '511381', '511381243', '朱镇乡', 'zhuzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381245', '511381', '511381245', '宝台乡', 'baotaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511381247', '511381', '511381247', '福星乡', 'fuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5114', '51', '5114', '眉山市', 'meishanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511401', '5114', '511401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402', '5114', '511402', '东坡区', 'dongpoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402001', '511402', '511402001', '通惠街道', 'tonghuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402002', '511402', '511402002', '大石桥街道', 'dashiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402003', '511402', '511402003', '苏祠街道', 'sucijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402100', '511402', '511402100', '白马镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402101', '511402', '511402101', '象耳镇', 'xiangerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402102', '511402', '511402102', '太和镇', 'taihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402103', '511402', '511402103', '悦兴镇', 'yuexingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402104', '511402', '511402104', '尚义镇', 'shangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402105', '511402', '511402105', '多悦镇', 'duoyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402106', '511402', '511402106', '秦家镇', 'qinjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402107', '511402', '511402107', '万胜镇', 'wanshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402108', '511402', '511402108', '崇仁镇', 'chongrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402109', '511402', '511402109', '思蒙镇', 'simengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402110', '511402', '511402110', '修文镇', 'xiuwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402112', '511402', '511402112', '松江镇', 'songjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402113', '511402', '511402113', '崇礼镇', 'chonglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402114', '511402', '511402114', '富牛镇', 'funiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402115', '511402', '511402115', '永寿镇', 'yongshouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402204', '511402', '511402204', '三苏乡', 'sansuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402205', '511402', '511402205', '广济乡', 'guangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402206', '511402', '511402206', '盘鳌乡', 'panaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402210', '511402', '511402210', '土地乡', 'tudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402211', '511402', '511402211', '复盛乡', 'fushengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402212', '511402', '511402212', '复兴乡', 'fuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402213', '511402', '511402213', '金花乡', 'jinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511402214', '511402', '511402214', '柳圣乡', 'liushengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421', '5114', '511421', '仁寿县', 'renshouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421102', '511421', '511421102', '文宫镇', 'wengongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421112', '511421', '511421112', '禾加镇', 'hejiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421116', '511421', '511421116', '龙马镇', 'longmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421117', '511421', '511421117', '方加镇', 'fangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421123', '511421', '511421123', '文林镇', 'wenlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421124', '511421', '511421124', '大化镇', 'dahuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421125', '511421', '511421125', '高家镇', 'gaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421126', '511421', '511421126', '中农镇', 'zhongnongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421127', '511421', '511421127', '禄加镇', 'lujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421128', '511421', '511421128', '宝飞镇', 'baofeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421129', '511421', '511421129', '彰加镇', 'zhangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421130', '511421', '511421130', '慈航镇', 'cihangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421131', '511421', '511421131', '汪洋镇', 'wangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421132', '511421', '511421132', '钟祥镇', 'zhongxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421133', '511421', '511421133', '始建镇', 'shijianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421134', '511421', '511421134', '满井镇', 'manjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421135', '511421', '511421135', '富加镇', 'fujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421136', '511421', '511421136', '龙正镇', 'longzhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421137', '511421', '511421137', '黑龙滩镇', 'heilongtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421138', '511421', '511421138', '清水镇', 'qingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421139', '511421', '511421139', '视高镇', 'shigaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421140', '511421', '511421140', '北斗镇', 'beidouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421200', '511421', '511421200', '于丞乡', 'yuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421203', '511421', '511421203', '青岗乡', 'qinggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421209', '511421', '511421209', '古佛乡', 'gufoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421210', '511421', '511421210', '板燕乡', 'banyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421218', '511421', '511421218', '石咀乡', 'shijuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421219', '511421', '511421219', '藕塘乡', 'outangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421222', '511421', '511421222', '玉龙乡', 'yulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421232', '511421', '511421232', '合兴乡', 'hexingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421239', '511421', '511421239', '促进乡', 'cujinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421251', '511421', '511421251', '鸭池乡', 'yachixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421254', '511421', '511421254', '双堡乡', 'shuangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421258', '511421', '511421258', '河口乡', 'hekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421259', '511421', '511421259', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421268', '511421', '511421268', '元通乡', 'yuantongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421269', '511421', '511421269', '向家乡', 'xiangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421276', '511421', '511421276', '里仁乡', 'lirenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421277', '511421', '511421277', '兴盛乡', 'xingshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421281', '511421', '511421281', '兆嘉乡', 'zhaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421287', '511421', '511421287', '宝马乡', 'baomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421288', '511421', '511421288', '珠嘉乡', 'zhujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421289', '511421', '511421289', '鳌陵乡', 'aolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421290', '511421', '511421290', '观寺乡', 'guansixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421291', '511421', '511421291', '中岗乡', 'zhonggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421292', '511421', '511421292', '龙桥乡', 'longqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421293', '511421', '511421293', '曲江乡', 'qujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421294', '511421', '511421294', '城堰乡', 'chengyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421295', '511421', '511421295', '谢安乡', 'xieanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421296', '511421', '511421296', '新店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421297', '511421', '511421297', '天峨乡', 'tianexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421298', '511421', '511421298', '识经乡', 'shijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421299', '511421', '511421299', '凤陵乡', 'fenglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421300', '511421', '511421300', '涂加乡', 'tujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421301', '511421', '511421301', '四公乡', 'sigongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421302', '511421', '511421302', '松峰乡', 'songfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421303', '511421', '511421303', '曹家乡', 'caojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421304', '511421', '511421304', '景贤乡', 'jingxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421305', '511421', '511421305', '农旺乡', 'nongwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511421306', '511421', '511421306', '洪峰乡', 'hongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422', '5114', '511422', '彭山县', 'pengshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422100', '511422', '511422100', '凤鸣镇', 'fengmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422101', '511422', '511422101', '青龙镇', 'qinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422103', '511422', '511422103', '公义镇', 'gongyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422105', '511422', '511422105', '观音镇', 'guanyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422106', '511422', '511422106', '灵石镇', 'lingshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422107', '511422', '511422107', '彭溪镇', 'pengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422108', '511422', '511422108', '黄丰镇', 'huangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422109', '511422', '511422109', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422110', '511422', '511422110', '谢家镇', 'xiejiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422205', '511422', '511422205', '保胜乡', 'baoshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422209', '511422', '511422209', '皇陵乡', 'huanglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422210', '511422', '511422210', '武阳乡', 'wuyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511422211', '511422', '511422211', '义和乡', 'yihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423', '5114', '511423', '洪雅县', 'hongyaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423101', '511423', '511423101', '止戈镇', 'zhigezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423102', '511423', '511423102', '三宝镇', 'sanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423108', '511423', '511423108', '花溪镇', 'huaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423112', '511423', '511423112', '洪川镇', 'hongchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423113', '511423', '511423113', '余坪镇', 'yupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423114', '511423', '511423114', '槽渔滩镇', 'caoyutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423115', '511423', '511423115', '中保镇', 'zhongbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423116', '511423', '511423116', '东岳镇', 'dongyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423117', '511423', '511423117', '柳江镇', 'liujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423118', '511423', '511423118', '高庙镇', 'gaomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423119', '511423', '511423119', '瓦屋山镇', 'wawushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423200', '511423', '511423200', '中山乡', 'zhongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423201', '511423', '511423201', '将军乡', 'jiangjunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423205', '511423', '511423205', '汉王乡', 'hanwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511423212', '511423', '511423212', '桃源乡', 'taoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511424', '5114', '511424', '丹棱县', 'danlengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511424102', '511424', '511424102', '仁美镇', 'renmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511424105', '511424', '511424105', '丹棱镇', 'danlengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511424106', '511424', '511424106', '杨场镇', 'yangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511424107', '511424', '511424107', '双桥镇', 'shuangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511424108', '511424', '511424108', '张场镇', 'zhangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511424200', '511424', '511424200', '石桥乡', 'shiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511424204', '511424', '511424204', '顺龙乡', 'shunlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511425', '5114', '511425', '青神县', 'qingshenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511425102', '511425', '511425102', '汉阳镇', 'hanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511425105', '511425', '511425105', '河坝子镇', 'hebazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511425106', '511425', '511425106', '南城镇', 'nanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511425107', '511425', '511425107', '青城镇', 'qingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511425108', '511425', '511425108', '瑞峰镇', 'ruifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511425109', '511425', '511425109', '黑龙镇', 'heilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511425110', '511425', '511425110', '西龙镇', 'xilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511425205', '511425', '511425205', '高台乡', 'gaotaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511425217', '511425', '511425217', '白果乡', 'baiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511425218', '511425', '511425218', '罗波乡', 'luoboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5115', '51', '5115', '宜宾市', 'yibinshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511501', '5115', '511501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502', '5115', '511502', '翠屏区', 'cuipingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502001', '511502', '511502001', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502002', '511502', '511502002', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502003', '511502', '511502003', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502004', '511502', '511502004', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502005', '511502', '511502005', '南岸街道', 'nananjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502006', '511502', '511502006', '西郊街道', 'xijiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502007', '511502', '511502007', '安阜街道', 'anfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502008', '511502', '511502008', '白沙湾街道', 'baishawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502009', '511502', '511502009', '赵场街道', 'zhaochangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502010', '511502', '511502010', '象鼻街道', 'xiangbijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502100', '511502', '511502100', '南广镇', 'nanguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502101', '511502', '511502101', '李庄镇', 'lizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502102', '511502', '511502102', '菜坝镇', 'caibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502104', '511502', '511502104', '金坪镇', 'jinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502106', '511502', '511502106', '高店镇', 'gaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502107', '511502', '511502107', '沙坪镇', 'shapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502108', '511502', '511502108', '牟坪镇', 'moupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502109', '511502', '511502109', '李端镇', 'liduanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502200', '511502', '511502200', '宋家乡', 'songjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502201', '511502', '511502201', '明威乡', 'mingweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502202', '511502', '511502202', '凉姜乡', 'liangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502203', '511502', '511502203', '邱场乡', 'qiuchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502204', '511502', '511502204', '思坡乡', 'sipoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511502205', '511502', '511502205', '宗场乡', 'zongchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521', '5115', '511521', '宜宾县', 'yibinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521100', '511521', '511521100', '柏溪镇', 'boxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521101', '511521', '511521101', '喜捷镇', 'xijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521102', '511521', '511521102', '观音镇', 'guanyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521103', '511521', '511521103', '横江镇', 'hengjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521104', '511521', '511521104', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521105', '511521', '511521105', '白花镇', 'baihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521106', '511521', '511521106', '柳嘉镇', 'liujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521107', '511521', '511521107', '泥溪镇', 'nixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521108', '511521', '511521108', '蕨溪镇', 'juexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521109', '511521', '511521109', '商州镇', 'shangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521110', '511521', '511521110', '高场镇', 'gaochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521111', '511521', '511521111', '安边镇', 'anbianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521112', '511521', '511521112', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521113', '511521', '511521113', '李场镇', 'lichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521114', '511521', '511521114', '合什镇', 'heshenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521115', '511521', '511521115', '古罗镇', 'guluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521116', '511521', '511521116', '孔滩镇', 'kongtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521117', '511521', '511521117', '复龙镇', 'fulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521200', '511521', '511521200', '古柏乡', 'guboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521201', '511521', '511521201', '王场乡', 'wangchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521202', '511521', '511521202', '双谊乡', 'shuangyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521203', '511521', '511521203', '隆兴乡', 'longxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521204', '511521', '511521204', '泥南乡', 'ninanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521205', '511521', '511521205', '龙池乡', 'longchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521207', '511521', '511521207', '普安乡', 'puanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511521209', '511521', '511521209', '凤仪乡', 'fengyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522', '5115', '511522', '南溪县', 'nanxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522100', '511522', '511522100', '南溪镇', 'nanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522101', '511522', '511522101', '罗龙镇', 'luolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522102', '511522', '511522102', '刘家镇', 'liujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522103', '511522', '511522103', '江南镇', 'jiangnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522104', '511522', '511522104', '大观镇', 'daguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522105', '511522', '511522105', '汪家镇', 'wangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522106', '511522', '511522106', '黄沙镇', 'huangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522107', '511522', '511522107', '仙临镇', 'xianlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522108', '511522', '511522108', '长兴镇', 'zhangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522200', '511522', '511522200', '裴石乡', 'peishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522201', '511522', '511522201', '马家乡', 'majiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522203', '511522', '511522203', '大坪乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522204', '511522', '511522204', '石鼓乡', 'shiguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522205', '511522', '511522205', '林丰乡', 'linfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511522206', '511522', '511522206', '留宾乡', 'liubinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523', '5115', '511523', '江安县', 'jianganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523100', '511523', '511523100', '江安镇', 'jianganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523101', '511523', '511523101', '红桥镇', 'hongqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523102', '511523', '511523102', '桐梓镇', 'tongzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523103', '511523', '511523103', '井口镇', 'jingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523104', '511523', '511523104', '怡乐镇', 'yilezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523105', '511523', '511523105', '留耕镇', 'liugengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523106', '511523', '511523106', '底蓬镇', 'dipengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523108', '511523', '511523108', '五矿镇', 'wukuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523109', '511523', '511523109', '迎安镇', 'yinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523110', '511523', '511523110', '夕佳山镇', 'xijiashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523111', '511523', '511523111', '水清镇', 'shuiqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523112', '511523', '511523112', '铁清镇', 'tieqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523113', '511523', '511523113', '四面山镇', 'simianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523114', '511523', '511523114', '大井镇', 'dajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523200', '511523', '511523200', '大妙乡', 'damiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523203', '511523', '511523203', '蟠龙乡', 'panlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523204', '511523', '511523204', '滥坝乡', 'lanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511523205', '511523', '511523205', '仁和乡', 'renhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524', '5115', '511524', '长宁县', 'zhangningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524100', '511524', '511524100', '长宁镇', 'zhangningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524101', '511524', '511524101', '梅硐镇', 'meidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524102', '511524', '511524102', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524103', '511524', '511524103', '硐底镇', 'dongdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524104', '511524', '511524104', '花滩镇', 'huatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524105', '511524', '511524105', '竹海镇', 'zhuhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524106', '511524', '511524106', '老翁镇', 'laowengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524107', '511524', '511524107', '古河镇', 'guhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524108', '511524', '511524108', '下长镇', 'xiazhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524110', '511524', '511524110', '龙头镇', 'longtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524200', '511524', '511524200', '铜锣乡', 'tongluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524201', '511524', '511524201', '桃坪乡', 'taopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524203', '511524', '511524203', '铜鼓乡', 'tongguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524204', '511524', '511524204', '井江乡', 'jingjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524205', '511524', '511524205', '三元乡', 'sanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524206', '511524', '511524206', '开佛乡', 'kaifoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524207', '511524', '511524207', '富兴乡', 'fuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511524208', '511524', '511524208', '梅白乡', 'meibaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525', '5115', '511525', '高县', 'gaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525100', '511525', '511525100', '文江镇', 'wenjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525101', '511525', '511525101', '庆符镇', 'qingfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525102', '511525', '511525102', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525103', '511525', '511525103', '嘉乐镇', 'jialezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525104', '511525', '511525104', '大窝镇', 'dawozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525105', '511525', '511525105', '罗场镇', 'luochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525106', '511525', '511525106', '蕉村镇', 'jiaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525107', '511525', '511525107', '可久镇', 'kejiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525108', '511525', '511525108', '来复镇', 'laifuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525109', '511525', '511525109', '月江镇', 'yuejiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525110', '511525', '511525110', '胜天镇', 'shengtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525111', '511525', '511525111', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525203', '511525', '511525203', '趱滩乡', 'zantanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525204', '511525', '511525204', '羊田乡', 'yangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525205', '511525', '511525205', '落润乡', 'luorunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525206', '511525', '511525206', '潆溪乡', 'yingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525207', '511525', '511525207', '庆岭乡', 'qinglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525208', '511525', '511525208', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511525210', '511525', '511525210', '四烈乡', 'siliexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526', '5115', '511526', '珙县', 'gongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526100', '511526', '511526100', '珙泉镇', 'gongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526101', '511526', '511526101', '巡场镇', 'xunchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526102', '511526', '511526102', '孝儿镇', 'xiaoerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526103', '511526', '511526103', '底洞镇', 'didongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526104', '511526', '511526104', '上罗镇', 'shangluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526105', '511526', '511526105', '洛表镇', 'luobiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526106', '511526', '511526106', '洛亥镇', 'luohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526107', '511526', '511526107', '王家镇', 'wangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526200', '511526', '511526200', '恒丰乡', 'hengfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526202', '511526', '511526202', '沐滩乡', 'mutanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526203', '511526', '511526203', '仁义乡', 'renyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526205', '511526', '511526205', '玉和苗族乡', 'yuhemiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526207', '511526', '511526207', '下罗乡', 'xialuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526209', '511526', '511526209', '罗渡苗族乡', 'luodumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526210', '511526', '511526210', '曹营乡', 'caoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526211', '511526', '511526211', '石碑乡', 'shibeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511526212', '511526', '511526212', '观斗苗族乡', 'guandoumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527', '5115', '511527', '筠连县', 'yunlianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527100', '511527', '511527100', '筠连镇', 'yunlianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527101', '511527', '511527101', '腾达镇', 'tengdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527102', '511527', '511527102', '巡司镇', 'xunsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527103', '511527', '511527103', '双腾镇', 'shuangtengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527104', '511527', '511527104', '沐爱镇', 'muaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527105', '511527', '511527105', '维新镇', 'weixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527107', '511527', '511527107', '镇舟镇', 'zhenzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527108', '511527', '511527108', '蒿坝镇', 'haobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527109', '511527', '511527109', '大雪山镇', 'daxueshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527200', '511527', '511527200', '武德乡', 'wudexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527202', '511527', '511527202', '塘坝乡', 'tangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527203', '511527', '511527203', '龙镇乡', 'longzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527204', '511527', '511527204', '孔雀乡', 'kongquexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527205', '511527', '511527205', '乐义乡', 'leyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527206', '511527', '511527206', '高坎乡', 'gaokanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527208', '511527', '511527208', '团林苗族乡', 'tuanlinmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527209', '511527', '511527209', '联合苗族乡', 'lianhemiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511527210', '511527', '511527210', '高坪苗族乡', 'gaopingmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528', '5115', '511528', '兴文县', 'xingwenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528100', '511528', '511528100', '古宋镇', 'gusongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528101', '511528', '511528101', '僰王山镇', 'bowangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528103', '511528', '511528103', '共乐镇', 'gonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528105', '511528', '511528105', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528107', '511528', '511528107', '九丝城镇', 'jiusichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528108', '511528', '511528108', '石海镇', 'shihaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528109', '511528', '511528109', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528110', '511528', '511528110', '周家镇', 'zhoujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528200', '511528', '511528200', '大坝苗族乡', 'dabamiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528201', '511528', '511528201', '毓秀苗族乡', 'yuxiumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528202', '511528', '511528202', '玉屏乡', 'yupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528205', '511528', '511528205', '大河苗族乡', 'dahemiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528206', '511528', '511528206', '麒麟苗族乡', 'qilinmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528207', '511528', '511528207', '仙峰苗族乡', 'xianfengmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511528208', '511528', '511528208', '五星乡', 'wuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529', '5115', '511529', '屏山县', 'pingshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529100', '511529', '511529100', '锦屏镇', 'jinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529101', '511529', '511529101', '新市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529102', '511529', '511529102', '中都镇', 'zhongdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529103', '511529', '511529103', '龙华镇', 'longhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529104', '511529', '511529104', '大乘镇', 'dachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529105', '511529', '511529105', '福延镇', 'fuyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529106', '511529', '511529106', '富荣镇', 'furongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529107', '511529', '511529107', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529202', '511529', '511529202', '楼东乡', 'loudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529203', '511529', '511529203', '鸭池乡', 'yachixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529204', '511529', '511529204', '龙溪乡', 'longxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529205', '511529', '511529205', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529208', '511529', '511529208', '夏溪乡', 'xiaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529210', '511529', '511529210', '屏边彝族乡', 'pingbianyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529211', '511529', '511529211', '清平彝族乡', 'qingpingyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511529212', '511529', '511529212', '新发乡', 'xinfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5116', '51', '5116', '广安市', 'guanganshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511601', '5116', '511601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602', '5116', '511602', '广安区', 'guanganqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602001', '511602', '511602001', '浓洄街道', 'nonghuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602002', '511602', '511602002', '北辰街道', 'beichenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602003', '511602', '511602003', '奎阁街道', 'kuigejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602004', '511602', '511602004', '广福街道', 'guangfujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602005', '511602', '511602005', '万盛街道', 'wanshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602006', '511602', '511602006', '中桥街道', 'zhongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602100', '511602', '511602100', '枣山镇', 'zaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602101', '511602', '511602101', '官盛镇', 'guanshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602102', '511602', '511602102', '协兴镇', 'xiexingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602103', '511602', '511602103', '浓溪镇', 'nongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602104', '511602', '511602104', '悦来镇', 'yuelaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602105', '511602', '511602105', '兴平镇', 'xingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602106', '511602', '511602106', '井河镇', 'jinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602107', '511602', '511602107', '花桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602108', '511602', '511602108', '龙台镇', 'longtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602109', '511602', '511602109', '肖溪镇', 'xiaoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602110', '511602', '511602110', '恒升镇', 'hengshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602111', '511602', '511602111', '石笋镇', 'shisunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602112', '511602', '511602112', '白市镇', 'baishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602113', '511602', '511602113', '大安镇', 'daanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602114', '511602', '511602114', '观阁镇', 'guangezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602115', '511602', '511602115', '广兴镇', 'guangxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602116', '511602', '511602116', '前锋镇', 'qianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602117', '511602', '511602117', '桂兴镇', 'guixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602118', '511602', '511602118', '代市镇', 'daishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602119', '511602', '511602119', '观塘镇', 'guantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602120', '511602', '511602120', '护安镇', 'huanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602200', '511602', '511602200', '穿石乡', 'chuanshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602201', '511602', '511602201', '广门乡', 'guangmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602202', '511602', '511602202', '广罗乡', 'guangluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602203', '511602', '511602203', '方坪乡', 'fangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602204', '511602', '511602204', '化龙乡', 'hualongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602205', '511602', '511602205', '大龙乡', 'dalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602206', '511602', '511602206', '崇望乡', 'chongwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602207', '511602', '511602207', '龙安乡', 'longanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602208', '511602', '511602208', '彭家乡', 'pengjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602209', '511602', '511602209', '杨坪乡', 'yangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602210', '511602', '511602210', '郑山乡', 'zhengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602211', '511602', '511602211', '蒲莲乡', 'pulianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602212', '511602', '511602212', '大有乡', 'dayouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602213', '511602', '511602213', '消河乡', 'xiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602214', '511602', '511602214', '东岳乡', 'dongyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602215', '511602', '511602215', '苏溪乡', 'suxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602216', '511602', '511602216', '白马乡', 'baimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602217', '511602', '511602217', '光辉乡', 'guanghuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602218', '511602', '511602218', '龙滩乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602219', '511602', '511602219', '小井乡', 'xiaojingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602220', '511602', '511602220', '新桥乡', 'xinqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511602222', '511602', '511602222', '虎城乡', 'huchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621', '5116', '511621', '岳池县', 'yuechixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621100', '511621', '511621100', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621101', '511621', '511621101', '花园镇', 'huayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621102', '511621', '511621102', '坪滩镇', 'pingtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621103', '511621', '511621103', '龙孔镇', 'longkongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621104', '511621', '511621104', '镇裕镇', 'zhenyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621105', '511621', '511621105', '白庙镇', 'baimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621106', '511621', '511621106', '酉溪镇', 'youxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621107', '511621', '511621107', '同兴镇', 'tongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621108', '511621', '511621108', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621109', '511621', '511621109', '秦溪镇', 'qinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621110', '511621', '511621110', '顾县镇', 'guxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621111', '511621', '511621111', '苟角镇', 'goujiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621112', '511621', '511621112', '天平镇', 'tianpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621113', '511621', '511621113', '石垭镇', 'shiyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621114', '511621', '511621114', '乔家镇', 'qiaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621115', '511621', '511621115', '罗渡镇', 'luoduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621116', '511621', '511621116', '裕民镇', 'yuminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621117', '511621', '511621117', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621118', '511621', '511621118', '新场镇', 'xinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621119', '511621', '511621119', '普安镇', 'puanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621120', '511621', '511621120', '赛龙镇', 'sailongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621121', '511621', '511621121', '临溪镇', 'linxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621200', '511621', '511621200', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621201', '511621', '511621201', '北城乡', 'beichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621202', '511621', '511621202', '镇龙乡', 'zhenlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621203', '511621', '511621203', '粽粑乡', 'zongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621205', '511621', '511621205', '排楼乡', 'pailouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621206', '511621', '511621206', '西板乡', 'xibanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621207', '511621', '511621207', '嘉陵乡', 'jialingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621208', '511621', '511621208', '石鼓乡', 'shiguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621209', '511621', '511621209', '平安乡', 'pinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621210', '511621', '511621210', '恐龙乡', 'konglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621211', '511621', '511621211', '团结乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621212', '511621', '511621212', '黄龙乡', 'huanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621213', '511621', '511621213', '双鄢乡', 'shuangyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621214', '511621', '511621214', '东板乡', 'dongbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621215', '511621', '511621215', '长田乡', 'zhangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621216', '511621', '511621216', '鱼峰乡', 'yufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621218', '511621', '511621218', '大石乡', 'dashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621219', '511621', '511621219', '花板乡', 'huabanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621220', '511621', '511621220', '大佛乡', 'dafoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621222', '511621', '511621222', '齐福乡', 'qifuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511621223', '511621', '511621223', '伏龙乡', 'fulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622', '5116', '511622', '武胜县', 'wushengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622100', '511622', '511622100', '沿口镇', 'yankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622101', '511622', '511622101', '中心镇', 'zhongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622102', '511622', '511622102', '烈面镇', 'liemianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622103', '511622', '511622103', '飞龙镇', 'feilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622104', '511622', '511622104', '乐善镇', 'leshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622105', '511622', '511622105', '万善镇', 'wanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622106', '511622', '511622106', '龙女镇', 'longnu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622107', '511622', '511622107', '三溪镇', 'sanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622108', '511622', '511622108', '赛马镇', 'saimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622109', '511622', '511622109', '胜利镇', 'shenglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622110', '511622', '511622110', '金牛镇', 'jinniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622111', '511622', '511622111', '清平镇', 'qingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622112', '511622', '511622112', '街子镇', 'jiezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622113', '511622', '511622113', '万隆镇', 'wanlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622114', '511622', '511622114', '礼安镇', 'lianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622115', '511622', '511622115', '华封镇', 'huafengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622200', '511622', '511622200', '鸣钟乡', 'mingzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622201', '511622', '511622201', '真静乡', 'zhenjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622202', '511622', '511622202', '猛山乡', 'mengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622203', '511622', '511622203', '双星乡', 'shuangxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622204', '511622', '511622204', '龙庭乡', 'longtingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622205', '511622', '511622205', '石盘乡', 'shipanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622207', '511622', '511622207', '旧县乡', 'jiuxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622208', '511622', '511622208', '鼓匠乡', 'gujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622209', '511622', '511622209', '白坪乡', 'baipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622210', '511622', '511622210', '永胜乡', 'yongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622211', '511622', '511622211', '新学乡', 'xinxuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622212', '511622', '511622212', '宝箴塞乡', 'baozhensaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622213', '511622', '511622213', '金光乡', 'jinguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622214', '511622', '511622214', '八一乡', 'bayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511622215', '511622', '511622215', '高石乡', 'gaoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623', '5116', '511623', '邻水县', 'linshuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623100', '511623', '511623100', '鼎屏镇', 'dingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623101', '511623', '511623101', '城北镇', 'chengbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623102', '511623', '511623102', '城南镇', 'chengnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623103', '511623', '511623103', '柑子镇', 'ganzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623104', '511623', '511623104', '龙安镇', 'longanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623105', '511623', '511623105', '观音桥镇', 'guanyinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623106', '511623', '511623106', '牟家镇', 'moujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623107', '511623', '511623107', '合流镇', 'heliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623108', '511623', '511623108', '坛同镇', 'tantongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623109', '511623', '511623109', '高滩镇', 'gaotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623110', '511623', '511623110', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623111', '511623', '511623111', '幺滩镇', 'yaotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623112', '511623', '511623112', '袁市镇', 'yuanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623113', '511623', '511623113', '丰禾镇', 'fenghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623114', '511623', '511623114', '八耳镇', 'baerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623115', '511623', '511623115', '石永镇', 'shiyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623116', '511623', '511623116', '兴仁镇', 'xingrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623117', '511623', '511623117', '王家镇', 'wangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623200', '511623', '511623200', '太和乡', 'taihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623201', '511623', '511623201', '新镇乡', 'xinzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623202', '511623', '511623202', '冷家乡', 'lengjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623203', '511623', '511623203', '长安乡', 'zhanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623204', '511623', '511623204', '西天乡', 'xitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623205', '511623', '511623205', '梁板乡', 'liangbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623206', '511623', '511623206', '甘坝乡', 'ganbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623207', '511623', '511623207', '四海乡', 'sihaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623208', '511623', '511623208', '九峰乡', 'jiufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623209', '511623', '511623209', '椿木乡', 'chunmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623210', '511623', '511623210', '华蓥乡', 'huayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623211', '511623', '511623211', '子中乡', 'zizhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623212', '511623', '511623212', '风垭乡', 'fengyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623213', '511623', '511623213', '黎家乡', 'lijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623214', '511623', '511623214', '龙桥乡', 'longqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623215', '511623', '511623215', '关河乡', 'guanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623216', '511623', '511623216', '两河乡', 'lianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623217', '511623', '511623217', '长滩乡', 'zhangtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623218', '511623', '511623218', '凉山乡', 'liangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623219', '511623', '511623219', '复盛乡', 'fushengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623220', '511623', '511623220', '古路乡', 'guluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623221', '511623', '511623221', '荆坪乡', 'jingpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623222', '511623', '511623222', '柳塘乡', 'liutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623223', '511623', '511623223', '石滓乡', 'shizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623224', '511623', '511623224', '护邻乡', 'hulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623225', '511623', '511623225', '同石乡', 'tongshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511623226', '511623', '511623226', '三古乡', 'sanguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681', '5116', '511681', '华蓥市', 'huayingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681001', '511681', '511681001', '双河街道', 'shuanghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681002', '511681', '511681002', '古桥街道', 'guqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681003', '511681', '511681003', '华龙街道', 'hualongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681101', '511681', '511681101', '天池镇', 'tianchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681102', '511681', '511681102', '禄市镇', 'lushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681103', '511681', '511681103', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681104', '511681', '511681104', '明月镇', 'mingyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681105', '511681', '511681105', '阳和镇', 'yanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681106', '511681', '511681106', '高兴镇', 'gaoxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681107', '511681', '511681107', '观音溪镇', 'guanyinxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681108', '511681', '511681108', '溪口镇', 'xikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681109', '511681', '511681109', '庆华镇', 'qinghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511681200', '511681', '511681200', '红岩乡', 'hongyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5117', '51', '5117', '达州市', 'dazhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511701', '5117', '511701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702', '5117', '511702', '通川区', 'tongchuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702001', '511702', '511702001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702002', '511702', '511702002', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702003', '511702', '511702003', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702100', '511702', '511702100', '西外镇', 'xiwaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702101', '511702', '511702101', '北外镇', 'beiwaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702102', '511702', '511702102', '罗江镇', 'luojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702103', '511702', '511702103', '蒲家镇', 'pujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702104', '511702', '511702104', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702105', '511702', '511702105', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702106', '511702', '511702106', '魏兴镇', 'weixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702200', '511702', '511702200', '盘石乡', 'panshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702201', '511702', '511702201', '东岳乡', 'dongyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511702202', '511702', '511702202', '新村乡', 'xincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721', '5117', '511721', '达县', 'daxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721100', '511721', '511721100', '南外镇', 'nanwaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721101', '511721', '511721101', '亭子镇', 'tingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721102', '511721', '511721102', '福善镇', 'fushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721103', '511721', '511721103', '麻柳镇', 'maliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721104', '511721', '511721104', '檀木镇', 'tanmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721105', '511721', '511721105', '大树镇', 'dashuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721106', '511721', '511721106', '南岳镇', 'nanyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721107', '511721', '511721107', '万家镇', 'wanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721108', '511721', '511721108', '景市镇', 'jingshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721109', '511721', '511721109', '百节镇', 'baijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721110', '511721', '511721110', '赵家镇', 'zhaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721111', '511721', '511721111', '河市镇', 'heshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721112', '511721', '511721112', '石板镇', 'shibanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721113', '511721', '511721113', '金垭镇', 'jinyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721114', '511721', '511721114', '渡市镇', 'dushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721115', '511721', '511721115', '管村镇', 'guancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721116', '511721', '511721116', '石梯镇', 'shitizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721117', '511721', '511721117', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721118', '511721', '511721118', '堡子镇', 'baozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721119', '511721', '511721119', '江陵镇', 'jianglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721120', '511721', '511721120', '碑庙镇', 'beimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721200', '511721', '511721200', '大风乡', 'dafengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721201', '511721', '511721201', '江阳乡', 'jiangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721202', '511721', '511721202', '东兴乡', 'dongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721203', '511721', '511721203', '安仁乡', 'anrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721204', '511721', '511721204', '葫芦乡', 'huluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721205', '511721', '511721205', '大滩乡', 'datanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721206', '511721', '511721206', '花红乡', 'huahongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721207', '511721', '511721207', '黄庭乡', 'huangtingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721208', '511721', '511721208', '黄都乡', 'huangdouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721209', '511721', '511721209', '平滩乡', 'pingtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721210', '511721', '511721210', '碑高乡', 'beigaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721211', '511721', '511721211', '马家乡', 'majiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721212', '511721', '511721212', '木子乡', 'muzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721213', '511721', '511721213', '双庙乡', 'shuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721214', '511721', '511721214', '斌郎乡', 'binlangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721215', '511721', '511721215', '幺塘乡', 'yaotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721216', '511721', '511721216', '陈家乡', 'chenjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721217', '511721', '511721217', '龙会乡', 'longhuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721218', '511721', '511721218', '罐子乡', 'guanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721219', '511721', '511721219', '申家乡', 'shenjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721220', '511721', '511721220', '草兴乡', 'caoxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721221', '511721', '511721221', '木头乡', 'mutouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721222', '511721', '511721222', '金檀乡', 'jintanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721223', '511721', '511721223', '大堰乡', 'dayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721224', '511721', '511721224', '赵固乡', 'zhaoguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721225', '511721', '511721225', '九岭乡', 'jiulingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721226', '511721', '511721226', '桥湾乡', 'qiaowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721227', '511721', '511721227', '五四乡', 'wusixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721228', '511721', '511721228', '银铁乡', 'yintiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721229', '511721', '511721229', '沿河乡', 'yanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721230', '511721', '511721230', '香隆乡', 'xianglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721231', '511721', '511721231', '永进乡', 'yongjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721232', '511721', '511721232', '洛车乡', 'luochexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721233', '511721', '511721233', '道让乡', 'daorangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721234', '511721', '511721234', '虎让乡', 'hurangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721235', '511721', '511721235', '米城乡', 'michengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721236', '511721', '511721236', '龙滩乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721237', '511721', '511721237', '梓桐乡', 'zitongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721238', '511721', '511721238', '北山乡', 'beishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721239', '511721', '511721239', '金石乡', 'jinshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721240', '511721', '511721240', '安云乡', 'anyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721241', '511721', '511721241', '青宁乡', 'qingningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511721242', '511721', '511721242', '檬双乡', 'mengshuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722', '5117', '511722', '宣汉县', 'xuanhanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722100', '511722', '511722100', '东乡镇', 'dongxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722101', '511722', '511722101', '君塘镇', 'juntangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722102', '511722', '511722102', '清溪镇', 'qingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722103', '511722', '511722103', '普光镇', 'puguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722104', '511722', '511722104', '天生镇', 'tianshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722105', '511722', '511722105', '柏树镇', 'boshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722106', '511722', '511722106', '芭蕉镇', 'bajiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722107', '511722', '511722107', '南坝镇', 'nanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722108', '511722', '511722108', '五宝镇', 'wubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722109', '511722', '511722109', '峰城镇', 'fengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722110', '511722', '511722110', '土黄镇', 'tuhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722111', '511722', '511722111', '华景镇', 'huajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722112', '511722', '511722112', '樊哙镇', 'fankuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722113', '511722', '511722113', '新华镇', 'xinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722114', '511722', '511722114', '黄金镇', 'huangjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722115', '511722', '511722115', '胡家镇', 'hujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722116', '511722', '511722116', '毛坝镇', 'maobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722117', '511722', '511722117', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722118', '511722', '511722118', '大成镇', 'dachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722200', '511722', '511722200', '明月乡', 'mingyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722201', '511722', '511722201', '红岭乡', 'honglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722202', '511722', '511722202', '柳池乡', 'liuchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722203', '511722', '511722203', '三河乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722204', '511722', '511722204', '老君乡', 'laojunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722205', '511722', '511722205', '黄石乡', 'huangshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722206', '511722', '511722206', '七里乡', 'qilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722207', '511722', '511722207', '庙安乡', 'miaoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722208', '511722', '511722208', '天宝乡', 'tianbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722209', '511722', '511722209', '东林乡', 'donglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722210', '511722', '511722210', '下八乡', 'xiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722211', '511722', '511722211', '凉风乡', 'liangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722212', '511722', '511722212', '上峡乡', 'shangxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722213', '511722', '511722213', '塔河乡', 'tahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722214', '511722', '511722214', '茶河乡', 'chahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722215', '511722', '511722215', '天台乡', 'tiantaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722216', '511722', '511722216', '观山乡', 'guanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722217', '511722', '511722217', '南坪乡', 'nanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722218', '511722', '511722218', '凤林乡', 'fenglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722219', '511722', '511722219', '桃花乡', 'taohuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722220', '511722', '511722220', '白马乡', 'baimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722221', '511722', '511722221', '漆碑乡', 'qibeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722222', '511722', '511722222', '三墩乡', 'sandunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722223', '511722', '511722223', '漆树乡', 'qishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722224', '511722', '511722224', '龙泉乡', 'longquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722225', '511722', '511722225', '渡口乡', 'dukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722226', '511722', '511722226', '石铁乡', 'shitiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722227', '511722', '511722227', '厂溪乡', 'changxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722228', '511722', '511722228', '红峰乡', 'hongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722229', '511722', '511722229', '凤鸣乡', 'fengmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722230', '511722', '511722230', '花池乡', 'huachixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722231', '511722', '511722231', '土主乡', 'tuzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722232', '511722', '511722232', '庆云乡', 'qingyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722233', '511722', '511722233', '马渡乡', 'maduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511722234', '511722', '511722234', '隘口乡', 'aikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723', '5117', '511723', '开江县', 'kaijiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723100', '511723', '511723100', '新宁镇', 'xinningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723101', '511723', '511723101', '普安镇', 'puanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723102', '511723', '511723102', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723103', '511723', '511723103', '天师镇', 'tianshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723104', '511723', '511723104', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723105', '511723', '511723105', '讲治镇', 'jiangzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723106', '511723', '511723106', '甘棠镇', 'gantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723107', '511723', '511723107', '任市镇', 'renshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723108', '511723', '511723108', '广福镇', 'guangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723109', '511723', '511723109', '长岭镇', 'zhanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723200', '511723', '511723200', '长田乡', 'zhangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723201', '511723', '511723201', '骑龙乡', 'qilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723202', '511723', '511723202', '新太乡', 'xintaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723203', '511723', '511723203', '灵岩乡', 'lingyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723204', '511723', '511723204', '沙坝场乡', 'shabachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723205', '511723', '511723205', '梅家乡', 'meijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723206', '511723', '511723206', '宝石乡', 'baoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723207', '511723', '511723207', '靖安乡', 'jinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723208', '511723', '511723208', '新街乡', 'xinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511723209', '511723', '511723209', '拔妙乡', 'bamiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724', '5117', '511724', '大竹县', 'dazhuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724100', '511724', '511724100', '竹阳镇', 'zhuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724101', '511724', '511724101', '乌木镇', 'wumuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724102', '511724', '511724102', '团坝镇', 'tuanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724103', '511724', '511724103', '杨家镇', 'yangjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724104', '511724', '511724104', '清河镇', 'qinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724105', '511724', '511724105', '柏林镇', 'bolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724106', '511724', '511724106', '石河镇', 'shihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724107', '511724', '511724107', '双拱镇', 'shuanggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724108', '511724', '511724108', '石桥铺镇', 'shiqiaopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724109', '511724', '511724109', '观音镇', 'guanyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724110', '511724', '511724110', '周家镇', 'zhoujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724111', '511724', '511724111', '石子镇', 'shizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724112', '511724', '511724112', '文星镇', 'wenxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724113', '511724', '511724113', '妈妈镇', 'mamazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724114', '511724', '511724114', '高穴镇', 'gaoxuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724115', '511724', '511724115', '欧家镇', 'oujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724116', '511724', '511724116', '庙坝镇', 'miaobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724117', '511724', '511724117', '清水镇', 'qingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724200', '511724', '511724200', '城西乡', 'chengxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724201', '511724', '511724201', '竹北乡', 'zhubeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724202', '511724', '511724202', '东柳乡', 'dongliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724203', '511724', '511724203', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724204', '511724', '511724204', '人和乡', 'renhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724205', '511724', '511724205', '中华乡', 'zhonghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724206', '511724', '511724206', '黄家乡', 'huangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724207', '511724', '511724207', '柏家乡', 'bojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724208', '511724', '511724208', '李家乡', 'lijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724209', '511724', '511724209', '余华乡', 'yuhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724210', '511724', '511724210', '二郎乡', 'erlangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724211', '511724', '511724211', '蒲包乡', 'pubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724212', '511724', '511724212', '永胜乡', 'yongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724213', '511724', '511724213', '新生乡', 'xinshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724214', '511724', '511724214', '安吉乡', 'anjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724215', '511724', '511724215', '白坝乡', 'baibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724216', '511724', '511724216', '双溪乡', 'shuangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724217', '511724', '511724217', '高明乡', 'gaomingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724218', '511724', '511724218', '八渡乡', 'baduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724219', '511724', '511724219', '中和乡', 'zhonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724220', '511724', '511724220', '杨通乡', 'yangtongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724221', '511724', '511724221', '天城乡', 'tianchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724222', '511724', '511724222', '四合乡', 'sihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724223', '511724', '511724223', '张家乡', 'zhangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724224', '511724', '511724224', '童家乡', 'tongjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724225', '511724', '511724225', '神合乡', 'shenhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724226', '511724', '511724226', '金鸡乡', 'jinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724227', '511724', '511724227', '黄滩乡', 'huangtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724228', '511724', '511724228', '牌坊乡', 'paifangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724229', '511724', '511724229', '姚市乡', 'yaoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724230', '511724', '511724230', '莲印乡', 'lianyinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511724231', '511724', '511724231', '川主乡', 'chuanzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725', '5117', '511725', '渠县', 'quxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725100', '511725', '511725100', '渠江镇', 'qujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725101', '511725', '511725101', '天星镇', 'tianxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725102', '511725', '511725102', '临巴镇', 'linbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725103', '511725', '511725103', '土溪镇', 'tuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725104', '511725', '511725104', '三汇镇', 'sanhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725105', '511725', '511725105', '文崇镇', 'wenchongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725106', '511725', '511725106', '涌兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725107', '511725', '511725107', '贵福镇', 'guifuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725108', '511725', '511725108', '岩峰镇', 'yanfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725109', '511725', '511725109', '静边镇', 'jingbianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725110', '511725', '511725110', '清溪场镇', 'qingxichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725111', '511725', '511725111', '宝城镇', 'baochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725112', '511725', '511725112', '有庆镇', 'youqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725113', '511725', '511725113', '鲜渡镇', 'xianduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725114', '511725', '511725114', '琅琊镇', 'langyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725200', '511725', '511725200', '渠南乡', 'qunanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725201', '511725', '511725201', '渠北乡', 'qubeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725202', '511725', '511725202', '青龙乡', 'qinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725203', '511725', '511725203', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725204', '511725', '511725204', '锡溪乡', 'xixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725205', '511725', '511725205', '龙潭乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725206', '511725', '511725206', '河东乡', 'hedongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725207', '511725', '511725207', '李馥乡', 'lifuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725208', '511725', '511725208', '青神乡', 'qingshenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725209', '511725', '511725209', '流溪乡', 'liuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725210', '511725', '511725210', '东安乡', 'donganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725211', '511725', '511725211', '汇东乡', 'huidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725212', '511725', '511725212', '汇南乡', 'huinanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725213', '511725', '511725213', '汇北乡', 'huibeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725214', '511725', '511725214', '丰乐乡', 'fenglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725215', '511725', '511725215', '报恩乡', 'baoenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725216', '511725', '511725216', '安北乡', 'anbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725217', '511725', '511725217', '平安乡', 'pinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725218', '511725', '511725218', '千佛乡', 'qianfoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725219', '511725', '511725219', '柏水乡', 'boshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725220', '511725', '511725220', '大义乡', 'dayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725221', '511725', '511725221', '义和乡', 'yihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725222', '511725', '511725222', '水口乡', 'shuikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725223', '511725', '511725223', '三板乡', 'sanbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725224', '511725', '511725224', '巨光乡', 'juguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725225', '511725', '511725225', '蔡合乡', 'caihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725226', '511725', '511725226', '鹤林乡', 'helinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725227', '511725', '511725227', '白兔乡', 'baituxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725228', '511725', '511725228', '青丝乡', 'qingsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725229', '511725', '511725229', '万寿乡', 'wanshouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725230', '511725', '511725230', '射洪乡', 'shehongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725231', '511725', '511725231', '望江乡', 'wangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725232', '511725', '511725232', '和乐乡', 'helexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725233', '511725', '511725233', '龙凤乡', 'longfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725234', '511725', '511725234', '新市乡', 'xinshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725235', '511725', '511725235', '宋家乡', 'songjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725236', '511725', '511725236', '拱市乡', 'gongshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725237', '511725', '511725237', '中滩乡', 'zhongtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725238', '511725', '511725238', '屏西乡', 'pingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725239', '511725', '511725239', '定远乡', 'dingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725240', '511725', '511725240', '嘉禾乡', 'jiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725241', '511725', '511725241', '李渡乡', 'liduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725242', '511725', '511725242', '望溪乡', 'wangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725243', '511725', '511725243', '双土乡', 'shuangtuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511725244', '511725', '511725244', '卷硐乡', 'juandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781', '5117', '511781', '万源市', 'wanyuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781100', '511781', '511781100', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781101', '511781', '511781101', '青花镇', 'qinghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781102', '511781', '511781102', '旧院镇', 'jiuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781103', '511781', '511781103', '罗文镇', 'luowenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781104', '511781', '511781104', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781105', '511781', '511781105', '草坝镇', 'caobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781106', '511781', '511781106', '竹峪镇', 'zhuyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781107', '511781', '511781107', '大竹镇', 'dazhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781108', '511781', '511781108', '黄钟镇', 'huangzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781109', '511781', '511781109', '官渡镇', 'guanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781110', '511781', '511781110', '沙镇', 'shazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781111', '511781', '511781111', '沙滩镇', 'shatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781200', '511781', '511781200', '茶垭乡', 'chayaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781201', '511781', '511781201', '长石乡', 'zhangshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781202', '511781', '511781202', '白羊乡', 'baiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781203', '511781', '511781203', '铁矿乡', 'tiekuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781204', '511781', '511781204', '固军乡', 'gujunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781205', '511781', '511781205', '井溪乡', 'jingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781206', '511781', '511781206', '堰塘乡', 'yantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781207', '511781', '511781207', '蜂桶乡', 'fengtongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781208', '511781', '511781208', '花楼乡', 'hualouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781209', '511781', '511781209', '长坝乡', 'zhangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781210', '511781', '511781210', '曾家乡', 'cengjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781211', '511781', '511781211', '大沙乡', 'dashaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781212', '511781', '511781212', '秦河乡', 'qinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781213', '511781', '511781213', '庙垭乡', 'miaoyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781214', '511781', '511781214', '鹰背乡', 'yingbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781215', '511781', '511781215', '石窝乡', 'shiwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781216', '511781', '511781216', '玉带乡', 'yudaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781217', '511781', '511781217', '新店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781218', '511781', '511781218', '魏家乡', 'weijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781219', '511781', '511781219', '柳黄乡', 'liuhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781220', '511781', '511781220', '溪口乡', 'xikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781221', '511781', '511781221', '永宁乡', 'yongningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781222', '511781', '511781222', '虹桥乡', 'hongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781223', '511781', '511781223', '康乐乡', 'kanglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781224', '511781', '511781224', '白果乡', 'baiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781225', '511781', '511781225', '钟亭乡', 'zhongtingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781226', '511781', '511781226', '庙子乡', 'miaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781227', '511781', '511781227', '临河乡', 'linhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781228', '511781', '511781228', '紫溪乡', 'zixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781229', '511781', '511781229', '庙坡乡', 'miaopoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781230', '511781', '511781230', '梨树乡', 'lishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781231', '511781', '511781231', '皮窝乡', 'piwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781232', '511781', '511781232', '丝罗乡', 'siluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781233', '511781', '511781233', '罐坝乡', 'guanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781234', '511781', '511781234', '石人乡', 'shirenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781235', '511781', '511781235', '赵塘乡', 'zhaotangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781236', '511781', '511781236', '中坪乡', 'zhongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781237', '511781', '511781237', '八台乡', 'bataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781238', '511781', '511781238', '花萼乡', 'huaexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781239', '511781', '511781239', '曹家乡', 'caojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511781240', '511781', '511781240', '石塘乡', 'shitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5118', '51', '5118', '雅安市', 'yaanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511801', '5118', '511801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802', '5118', '511802', '雨城区', 'yuchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802001', '511802', '511802001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802002', '511802', '511802002', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802003', '511802', '511802003', '河北街道', 'hebeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802004', '511802', '511802004', '青江街道', 'qingjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802100', '511802', '511802100', '北郊镇', 'beijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802101', '511802', '511802101', '草坝镇', 'caobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802102', '511802', '511802102', '合江镇', 'hejiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802103', '511802', '511802103', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802104', '511802', '511802104', '对岩镇', 'duiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802105', '511802', '511802105', '沙坪镇', 'shapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802106', '511802', '511802106', '中里镇', 'zhonglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802107', '511802', '511802107', '上里镇', 'shanglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802108', '511802', '511802108', '严桥镇', 'yanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802109', '511802', '511802109', '晏场镇', 'yanchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802110', '511802', '511802110', '多营镇', 'duoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802111', '511802', '511802111', '碧峰峡镇', 'bifengxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802200', '511802', '511802200', '南郊乡', 'nanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802201', '511802', '511802201', '八步乡', 'babuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802202', '511802', '511802202', '观化乡', 'guanhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802203', '511802', '511802203', '孔坪乡', 'kongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802204', '511802', '511802204', '凤鸣乡', 'fengmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511802205', '511802', '511802205', '望鱼乡', 'wangyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821', '5118', '511821', '名山县', 'mingshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821100', '511821', '511821100', '蒙阳镇', 'mengyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821101', '511821', '511821101', '百丈镇', 'baizhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821102', '511821', '511821102', '车岭镇', 'chelingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821103', '511821', '511821103', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821104', '511821', '511821104', '马岭镇', 'malingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821105', '511821', '511821105', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821106', '511821', '511821106', '蒙顶山镇', 'mengdingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821107', '511821', '511821107', '黑竹镇', 'heizhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821108', '511821', '511821108', '红星镇', 'hongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821200', '511821', '511821200', '城东乡', 'chengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821201', '511821', '511821201', '前进乡', 'qianjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821202', '511821', '511821202', '中峰乡', 'zhongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821203', '511821', '511821203', '联江乡', 'lianjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821204', '511821', '511821204', '廖场乡', 'liaochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821205', '511821', '511821205', '万古乡', 'wanguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821206', '511821', '511821206', '红岩乡', 'hongyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821207', '511821', '511821207', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821208', '511821', '511821208', '建山乡', 'jianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821209', '511821', '511821209', '解放乡', 'jiefangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511821210', '511821', '511821210', '茅河乡', 'maohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822', '5118', '511822', '荥经县', 'yingjingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822100', '511822', '511822100', '严道镇', 'yandaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822101', '511822', '511822101', '花滩镇', 'huatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822200', '511822', '511822200', '六合乡', 'liuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822201', '511822', '511822201', '烈太乡', 'lietaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822202', '511822', '511822202', '安靖乡', 'anjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822203', '511822', '511822203', '民建乡', 'minjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822204', '511822', '511822204', '烈士乡', 'lieshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822205', '511822', '511822205', '荥河乡', 'yinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822206', '511822', '511822206', '新建乡', 'xinjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822207', '511822', '511822207', '泗坪乡', 'sipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822208', '511822', '511822208', '新庙乡', 'xinmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822209', '511822', '511822209', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822210', '511822', '511822210', '大田坝乡', 'datianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822211', '511822', '511822211', '天凤乡', 'tianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822212', '511822', '511822212', '宝峰乡', 'baofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822213', '511822', '511822213', '新添乡', 'xintianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822214', '511822', '511822214', '附城乡', 'fuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822215', '511822', '511822215', '五宪乡', 'wuxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822216', '511822', '511822216', '烟竹乡', 'yanzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822217', '511822', '511822217', '青龙乡', 'qinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511822218', '511822', '511822218', '龙苍沟乡', 'longcanggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823', '5118', '511823', '汉源县', 'hanyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823100', '511823', '511823100', '富林镇', 'fulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823101', '511823', '511823101', '九襄镇', 'jiuxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823102', '511823', '511823102', '乌斯河镇', 'wusihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823103', '511823', '511823103', '宜东镇', 'yidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823104', '511823', '511823104', '富庄镇', 'fuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823105', '511823', '511823105', '清溪镇', 'qingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823106', '511823', '511823106', '大树镇', 'dashuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823107', '511823', '511823107', '皇木镇', 'huangmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823200', '511823', '511823200', '大田乡', 'datianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823201', '511823', '511823201', '唐家乡', 'tangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823202', '511823', '511823202', '富春乡', 'fuchunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823203', '511823', '511823203', '河西乡', 'hexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823204', '511823', '511823204', '大岭乡', 'dalingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823205', '511823', '511823205', '前域乡', 'qianyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823206', '511823', '511823206', '后域乡', 'houyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823207', '511823', '511823207', '大堰乡', 'dayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823208', '511823', '511823208', '两河乡', 'lianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823209', '511823', '511823209', '富乡乡', 'fuxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823210', '511823', '511823210', '梨园乡', 'liyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823211', '511823', '511823211', '三交乡', 'sanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823212', '511823', '511823212', '双溪乡', 'shuangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823213', '511823', '511823213', '西溪乡', 'xixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823214', '511823', '511823214', '建黎乡', 'jianlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823215', '511823', '511823215', '市荣乡', 'shirongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823216', '511823', '511823216', '富泉乡', 'fuquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823217', '511823', '511823217', '万工乡', 'wangongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823218', '511823', '511823218', '安乐乡', 'anlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823219', '511823', '511823219', '万里乡', 'wanlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823220', '511823', '511823220', '马烈乡', 'maliexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823221', '511823', '511823221', '白岩乡', 'baiyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823222', '511823', '511823222', '青富乡', 'qingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823223', '511823', '511823223', '桂贤乡', 'guixianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823224', '511823', '511823224', '河南乡', 'henanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823225', '511823', '511823225', '晒经乡', 'shaijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823226', '511823', '511823226', '料林乡', 'liaolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823227', '511823', '511823227', '小堡藏族彝族乡', 'xiaobaozangzuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823228', '511823', '511823228', '片马彝族乡', 'pianmayizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823229', '511823', '511823229', '坭美彝族乡', 'nimeiyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823230', '511823', '511823230', '永利彝族乡', 'yongliyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511823231', '511823', '511823231', '顺河彝族乡', 'shunheyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824', '5118', '511824', '石棉县', 'shimianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824001', '511824', '511824001', '棉城街道', 'mianchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824100', '511824', '511824100', '新棉镇', 'xinmianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824200', '511824', '511824200', '安顺彝族乡', 'anshunyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824201', '511824', '511824201', '先锋藏族乡', 'xianfengzangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824202', '511824', '511824202', '蟹螺藏族乡', 'xieluozangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824203', '511824', '511824203', '永和乡', 'yonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824204', '511824', '511824204', '回隆彝族乡', 'huilongyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824205', '511824', '511824205', '擦罗彝族乡', 'caluoyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824206', '511824', '511824206', '栗子坪彝族乡', 'lizipingyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824207', '511824', '511824207', '美罗乡', 'meiluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824208', '511824', '511824208', '迎政乡', 'yingzhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824209', '511824', '511824209', '宰羊乡', 'zaiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824210', '511824', '511824210', '丰乐乡', 'fenglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824211', '511824', '511824211', '新民藏族彝族乡', 'xinminzangzuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824212', '511824', '511824212', '挖角彝族藏族乡', 'wajiaoyizuzangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824213', '511824', '511824213', '田湾彝族乡', 'tianwanyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511824214', '511824', '511824214', '草科藏族乡', 'caokezangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825', '5118', '511825', '天全县', 'tianquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825100', '511825', '511825100', '城厢镇', 'chengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825101', '511825', '511825101', '始阳镇', 'shiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825200', '511825', '511825200', '小河乡', 'xiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825201', '511825', '511825201', '思经乡', 'sijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825202', '511825', '511825202', '鱼泉乡', 'yuquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825203', '511825', '511825203', '紫石乡', 'zishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825204', '511825', '511825204', '两路乡', 'liangluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825205', '511825', '511825205', '大坪乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825206', '511825', '511825206', '乐英乡', 'leyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825207', '511825', '511825207', '多功乡', 'duogongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825208', '511825', '511825208', '仁义乡', 'renyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825209', '511825', '511825209', '老场乡', 'laochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825210', '511825', '511825210', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825211', '511825', '511825211', '新场乡', 'xinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511825212', '511825', '511825212', '兴业乡', 'xingyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511826', '5118', '511826', '芦山县', 'lushanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511826100', '511826', '511826100', '芦阳镇', 'luyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511826101', '511826', '511826101', '飞仙关镇', 'feixianguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511826102', '511826', '511826102', '双石镇', 'shuangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511826103', '511826', '511826103', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511826104', '511826', '511826104', '大川镇', 'dachuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511826200', '511826', '511826200', '思延乡', 'siyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511826201', '511826', '511826201', '清仁乡', 'qingrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511826202', '511826', '511826202', '龙门乡', 'longmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511826203', '511826', '511826203', '宝盛乡', 'baoshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511827', '5118', '511827', '宝兴县', 'baoxingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511827100', '511827', '511827100', '穆坪镇', 'mupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511827101', '511827', '511827101', '灵关镇', 'lingguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511827102', '511827', '511827102', '陇东镇', 'longdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511827201', '511827', '511827201', '蜂蛹寨乡', 'fengyongzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511827202', '511827', '511827202', '硗碛乡', 'qiaoqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511827203', '511827', '511827203', '永富乡', 'yongfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511827204', '511827', '511827204', '明礼乡', 'minglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511827205', '511827', '511827205', '五龙乡', 'wulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511827206', '511827', '511827206', '大溪乡', 'daxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5119', '51', '5119', '巴中市', 'bazhongshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511901', '5119', '511901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902', '5119', '511902', '巴州区', 'bazhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902001', '511902', '511902001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902002', '511902', '511902002', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902003', '511902', '511902003', '回风街道', 'huifengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902004', '511902', '511902004', '江北街道', 'jiangbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902100', '511902', '511902100', '巴州镇', 'bazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902101', '511902', '511902101', '清江镇', 'qingjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902102', '511902', '511902102', '兴文镇', 'xingwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902103', '511902', '511902103', '水宁寺镇', 'shuiningsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902104', '511902', '511902104', '化成镇', 'huachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902105', '511902', '511902105', '曾口镇', 'cengkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902106', '511902', '511902106', '梁永镇', 'liangyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902107', '511902', '511902107', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902108', '511902', '511902108', '鼎山镇', 'dingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902109', '511902', '511902109', '大罗镇', 'daluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902110', '511902', '511902110', '玉山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902111', '511902', '511902111', '恩阳镇', 'enyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902112', '511902', '511902112', '渔溪镇', 'yuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902113', '511902', '511902113', '三河场镇', 'sanhechangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902114', '511902', '511902114', '青木镇', 'qingmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902115', '511902', '511902115', '花丛镇', 'huacongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902116', '511902', '511902116', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902117', '511902', '511902117', '下八庙镇', 'xiabamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902118', '511902', '511902118', '茶坝镇', 'chabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902119', '511902', '511902119', '观音井镇', 'guanyinjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902120', '511902', '511902120', '三汇镇', 'sanhuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902121', '511902', '511902121', '上八庙镇', 'shangbamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902122', '511902', '511902122', '枣林镇', 'zaolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902200', '511902', '511902200', '平梁乡', 'pingliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902201', '511902', '511902201', '光辉乡', 'guanghuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902202', '511902', '511902202', '花溪乡', 'huaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902203', '511902', '511902203', '大和乡', 'dahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902204', '511902', '511902204', '白庙乡', 'baimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902205', '511902', '511902205', '关渡乡', 'guanduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902206', '511902', '511902206', '凌云乡', 'lingyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902207', '511902', '511902207', '寺岭乡', 'silingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902208', '511902', '511902208', '梓桐庙乡', 'zitongmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902209', '511902', '511902209', '金碑乡', 'jinbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902210', '511902', '511902210', '羊凤乡', 'yangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902211', '511902', '511902211', '凤溪乡', 'fengxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902212', '511902', '511902212', '龙背乡', 'longbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902213', '511902', '511902213', '三星乡', 'sanxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902214', '511902', '511902214', '关公乡', 'guangongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902215', '511902', '511902215', '舞凤乡', 'wufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902216', '511902', '511902216', '兴隆场乡', 'xinglongchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902217', '511902', '511902217', '石城乡', 'shichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902218', '511902', '511902218', '九镇乡', 'jiuzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902219', '511902', '511902219', '尹家乡', 'yinjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902220', '511902', '511902220', '双胜乡', 'shuangshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902221', '511902', '511902221', '群乐乡', 'qunlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902222', '511902', '511902222', '万安乡', 'wananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902223', '511902', '511902223', '玉井乡', 'yujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511902224', '511902', '511902224', '义兴乡', 'yixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921', '5119', '511921', '通江县', 'tongjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921100', '511921', '511921100', '诺江镇', 'nuojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921101', '511921', '511921101', '民胜镇', 'minshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921102', '511921', '511921102', '火炬镇', 'huojuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921103', '511921', '511921103', '广纳镇', 'guangnazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921104', '511921', '511921104', '铁佛镇', 'tiefozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921105', '511921', '511921105', '麻石镇', 'mashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921106', '511921', '511921106', '至诚镇', 'zhichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921107', '511921', '511921107', '洪口镇', 'hongkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921108', '511921', '511921108', '沙溪镇', 'shaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921109', '511921', '511921109', '瓦室镇', 'washizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921110', '511921', '511921110', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921111', '511921', '511921111', '铁溪镇', 'tiexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921112', '511921', '511921112', '涪阳镇', 'fuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921113', '511921', '511921113', '诺水河镇', 'nuoshuihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921200', '511921', '511921200', '杨柏乡', 'yangboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921201', '511921', '511921201', '大兴乡', 'daxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921202', '511921', '511921202', '东山乡', 'dongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921203', '511921', '511921203', '三溪乡', 'sanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921204', '511921', '511921204', '双泉乡', 'shuangquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921205', '511921', '511921205', '文峰乡', 'wenfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921206', '511921', '511921206', '春在乡', 'chunzaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921207', '511921', '511921207', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921208', '511921', '511921208', '云昙乡', 'yuntanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921209', '511921', '511921209', '唱歌乡', 'changgexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921210', '511921', '511921210', '芝苞乡', 'zhibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921211', '511921', '511921211', '龙凤场乡', 'longfengchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921212', '511921', '511921212', '董溪乡', 'dongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921213', '511921', '511921213', '澌波乡', 'siboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921214', '511921', '511921214', '松溪乡', 'songxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921215', '511921', '511921215', '九层乡', 'jiucengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921216', '511921', '511921216', '胜利乡', 'shenglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921217', '511921', '511921217', '板凳乡', 'bandengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921218', '511921', '511921218', '文胜乡', 'wenshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921219', '511921', '511921219', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921220', '511921', '511921220', '毛裕乡', 'maoyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921221', '511921', '511921221', '泥溪乡', 'nixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921222', '511921', '511921222', '烟溪乡', 'yanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921223', '511921', '511921223', '沙坪乡', 'shapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921224', '511921', '511921224', '朱元乡', 'zhuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921225', '511921', '511921225', '长坪乡', 'zhangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921226', '511921', '511921226', '两河口乡', 'lianghekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921227', '511921', '511921227', '空山乡', 'kongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921228', '511921', '511921228', '青浴乡', 'qingyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921229', '511921', '511921229', '板桥口乡', 'banqiaokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921230', '511921', '511921230', '铁厂乡', 'tiechangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921231', '511921', '511921231', '新场乡', 'xinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921232', '511921', '511921232', '陈河乡', 'chenhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921233', '511921', '511921233', '草池乡', 'caochixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511921234', '511921', '511921234', '回林乡', 'huilinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922', '5119', '511922', '南江县', 'nanjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922100', '511922', '511922100', '南江镇', 'nanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922101', '511922', '511922101', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922102', '511922', '511922102', '乐坝镇', 'lebazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922103', '511922', '511922103', '长赤镇', 'zhangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922104', '511922', '511922104', '正直镇', 'zhengzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922105', '511922', '511922105', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922106', '511922', '511922106', '光雾山镇', 'guangwushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922107', '511922', '511922107', '东榆镇', 'dongyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922108', '511922', '511922108', '下两镇', 'xialiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922109', '511922', '511922109', '赶场镇', 'ganchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922110', '511922', '511922110', '杨坝镇', 'yangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922200', '511922', '511922200', '赤溪乡', 'chixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922201', '511922', '511922201', '燕山乡', 'yanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922202', '511922', '511922202', '八庙乡', 'bamiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922203', '511922', '511922203', '高塔乡', 'gaotaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922204', '511922', '511922204', '团结乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922205', '511922', '511922205', '红光乡', 'hongguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922206', '511922', '511922206', '傅家乡', 'fujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922207', '511922', '511922207', '红四乡', 'hongsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922208', '511922', '511922208', '天池乡', 'tianchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922209', '511922', '511922209', '侯家乡', 'houjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922210', '511922', '511922210', '双桂乡', 'shuangguixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922211', '511922', '511922211', '凤仪乡', 'fengyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922212', '511922', '511922212', '朱公乡', 'zhugongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922213', '511922', '511922213', '黑潭乡', 'heitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922214', '511922', '511922214', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922215', '511922', '511922215', '双流乡', 'shuangliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922216', '511922', '511922216', '元潭乡', 'yuantanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922217', '511922', '511922217', '高桥乡', 'gaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922218', '511922', '511922218', '平岗乡', 'pinggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922219', '511922', '511922219', '仁和乡', 'renhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922220', '511922', '511922220', '石滩乡', 'shitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922221', '511922', '511922221', '关门乡', 'guanmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922222', '511922', '511922222', '兴马乡', 'xingmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922223', '511922', '511922223', '北极乡', 'beijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922224', '511922', '511922224', '关路乡', 'guanluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922225', '511922', '511922225', '关田乡', 'guantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922226', '511922', '511922226', '红岩乡', 'hongyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922227', '511922', '511922227', '桥亭乡', 'qiaotingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922228', '511922', '511922228', '贵民乡', 'guiminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922229', '511922', '511922229', '沙坝乡', 'shabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922230', '511922', '511922230', '柳湾乡', 'liuwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922231', '511922', '511922231', '汇滩乡', 'huitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922232', '511922', '511922232', '上两乡', 'shangliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922233', '511922', '511922233', '关坝乡', 'guanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922234', '511922', '511922234', '寨坡乡', 'zhaipoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922235', '511922', '511922235', '坪河乡', 'pinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511922236', '511922', '511922236', '流坝乡', 'liubaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923', '5119', '511923', '平昌县', 'pingchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923100', '511923', '511923100', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923101', '511923', '511923101', '响滩镇', 'xiangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923102', '511923', '511923102', '西兴镇', 'xixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923103', '511923', '511923103', '佛楼镇', 'folouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923104', '511923', '511923104', '白衣镇', 'baiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923105', '511923', '511923105', '涵水镇', 'hanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923106', '511923', '511923106', '岳家镇', 'yuejiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923107', '511923', '511923107', '兰草镇', 'lancaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923108', '511923', '511923108', '驷马镇', 'simazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923109', '511923', '511923109', '坦溪镇', 'tanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923110', '511923', '511923110', '元山镇', 'yuanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923111', '511923', '511923111', '云台镇', 'yuntaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923112', '511923', '511923112', '邱家镇', 'qiujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923113', '511923', '511923113', '笔山镇', 'bishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923114', '511923', '511923114', '镇龙镇', 'zhenlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923115', '511923', '511923115', '得胜镇', 'deshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923116', '511923', '511923116', '鹿鸣镇', 'lumingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923200', '511923', '511923200', '青云乡', 'qingyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923201', '511923', '511923201', '元石乡', 'yuanshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923202', '511923', '511923202', '六门乡', 'liumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923203', '511923', '511923203', '大寨乡', 'dazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923204', '511923', '511923204', '龙岗乡', 'longgangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923205', '511923', '511923205', '土兴乡', 'tuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923206', '511923', '511923206', '板庙乡', 'banmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923207', '511923', '511923207', '泥龙乡', 'nilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923208', '511923', '511923208', '岩口乡', 'yankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923209', '511923', '511923209', '望京乡', 'wangjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923210', '511923', '511923210', '喜神乡', 'xishenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923211', '511923', '511923211', '土垭乡', 'tuyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923212', '511923', '511923212', '石垭乡', 'shiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923213', '511923', '511923213', '青凤乡', 'qingfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923214', '511923', '511923214', '澌岸乡', 'sianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923215', '511923', '511923215', '马鞍乡', 'maanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923216', '511923', '511923216', '五木乡', 'wumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923217', '511923', '511923217', '灵山乡', 'lingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923218', '511923', '511923218', '界牌乡', 'jiepaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923219', '511923', '511923219', '粉壁乡', 'fenbixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923220', '511923', '511923220', '澌滩乡', 'sitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923221', '511923', '511923221', '高峰乡', 'gaofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923222', '511923', '511923222', '南风乡', 'nanfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923223', '511923', '511923223', '福申乡', 'fushenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923224', '511923', '511923224', '双鹿乡', 'shuangluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('511923225', '511923', '511923225', '黑水乡', 'heishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5120', '51', '5120', '资阳市', 'ziyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512001', '5120', '512001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002', '5120', '512002', '雁江区', 'yanjiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002001', '512002', '512002001', '莲花办街道事处', 'lianhuabanjiedaoshichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002002', '512002', '512002002', '三贤祠街道', 'sanxiancijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002003', '512002', '512002003', '资溪街道', 'zixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002004', '512002', '512002004', '狮子山街道', 'shizishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002100', '512002', '512002100', '雁江镇', 'yanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002101', '512002', '512002101', '松涛镇', 'songtaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002102', '512002', '512002102', '宝台镇', 'baotaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002103', '512002', '512002103', '临江镇', 'linjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002104', '512002', '512002104', '保和镇', 'baohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002105', '512002', '512002105', '老君镇', 'laojunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002106', '512002', '512002106', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002107', '512002', '512002107', '丹山镇', 'danshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002108', '512002', '512002108', '小院镇', 'xiaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002109', '512002', '512002109', '堪嘉镇', 'kanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002110', '512002', '512002110', '伍隍镇', 'wuhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002111', '512002', '512002111', '石岭镇', 'shilingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002112', '512002', '512002112', '东峰镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002113', '512002', '512002113', '南津镇', 'nanjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002114', '512002', '512002114', '忠义镇', 'zhongyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002115', '512002', '512002115', '碑记镇', 'beijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002116', '512002', '512002116', '丰裕镇', 'fengyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002117', '512002', '512002117', '迎接镇', 'yingjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002118', '512002', '512002118', '祥符镇', 'xiangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002200', '512002', '512002200', '新场乡', 'xinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002201', '512002', '512002201', '回龙乡', 'huilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002202', '512002', '512002202', '清水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512002400', '512002', '512002400', '四川大堰劳动教养管理所', 'sichuandayanlaodongjiaoyangguanlisuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021', '5120', '512021', '安岳县', 'anyuexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021100', '512021', '512021100', '岳阳镇', 'yueyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021101', '512021', '512021101', '鸳大镇', 'yuandazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021102', '512021', '512021102', '石桥铺镇', 'shiqiaopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021103', '512021', '512021103', '通贤镇', 'tongxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021104', '512021', '512021104', '龙台镇', 'longtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021105', '512021', '512021105', '姚市镇', 'yaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021106', '512021', '512021106', '林凤镇', 'linfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021107', '512021', '512021107', '毛家镇', 'maojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021108', '512021', '512021108', '永清镇', 'yongqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021109', '512021', '512021109', '永顺镇', 'yongshunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021110', '512021', '512021110', '石羊镇', 'shiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021111', '512021', '512021111', '两板桥镇', 'liangbanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021112', '512021', '512021112', '护龙镇', 'hulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021113', '512021', '512021113', '李家镇', 'lijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021114', '512021', '512021114', '元坝镇', 'yuanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021115', '512021', '512021115', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021116', '512021', '512021116', '天林镇', 'tianlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021117', '512021', '512021117', '镇子镇', 'zhenzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021118', '512021', '512021118', '文化镇', 'wenhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021119', '512021', '512021119', '周礼镇', 'zhoulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021120', '512021', '512021120', '驯龙镇', 'xunlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021121', '512021', '512021121', '华严镇', 'huayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021200', '512021', '512021200', '城北乡', 'chengbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021201', '512021', '512021201', '城西乡', 'chengxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021202', '512021', '512021202', '思贤乡', 'sixianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021203', '512021', '512021203', '石鼓乡', 'shiguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021204', '512021', '512021204', '八庙乡', 'bamiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021205', '512021', '512021205', '来凤乡', 'laifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021206', '512021', '512021206', '天马乡', 'tianmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021207', '512021', '512021207', '人和乡', 'renhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021208', '512021', '512021208', '长河碥乡', 'zhanghebianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021209', '512021', '512021209', '团结乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021210', '512021', '512021210', '悦来乡', 'yuelaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021211', '512021', '512021211', '白水乡', 'baishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021212', '512021', '512021212', '云峰乡', 'yunfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021213', '512021', '512021213', '岳新乡', 'yuexinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021214', '512021', '512021214', '偏岩乡', 'pianyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021215', '512021', '512021215', '东胜乡', 'dongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021216', '512021', '512021216', '坪河乡', 'pinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021217', '512021', '512021217', '乾龙乡', 'qianlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021218', '512021', '512021218', '高升乡', 'gaoshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021219', '512021', '512021219', '横庙乡', 'hengmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021220', '512021', '512021220', '瑞云乡', 'ruiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021221', '512021', '512021221', '白塔寺乡', 'baitasixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021222', '512021', '512021222', '双龙街乡', 'shuanglongjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021223', '512021', '512021223', '顶新乡', 'dingxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021224', '512021', '512021224', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021225', '512021', '512021225', '高屋乡', 'gaowuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021226', '512021', '512021226', '忠义乡', 'zhongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021227', '512021', '512021227', '合义乡', 'heyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021228', '512021', '512021228', '努力乡', 'nulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021229', '512021', '512021229', '护建乡', 'hujianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021230', '512021', '512021230', '清流乡', 'qingliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021231', '512021', '512021231', '共和乡', 'gonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021232', '512021', '512021232', '天宝乡', 'tianbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021233', '512021', '512021233', '协和乡', 'xiehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021234', '512021', '512021234', '鱼龙乡', 'yulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021235', '512021', '512021235', '建华乡', 'jianhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021236', '512021', '512021236', '大平乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021237', '512021', '512021237', '九龙乡', 'jiulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021238', '512021', '512021238', '岳源乡', 'yueyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021239', '512021', '512021239', '龙桥乡', 'longqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021240', '512021', '512021240', '千佛乡', 'qianfoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021241', '512021', '512021241', '拱桥乡', 'gongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021242', '512021', '512021242', '宝华乡', 'baohuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021243', '512021', '512021243', '南薰乡', 'nanxunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021244', '512021', '512021244', '自治乡', 'zizhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021245', '512021', '512021245', '大埝乡', 'danianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512021246', '512021', '512021246', '朝阳乡', 'chaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022', '5120', '512022', '乐至县', 'lezhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022100', '512022', '512022100', '天池镇', 'tianchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022101', '512022', '512022101', '石佛镇', 'shifozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022102', '512022', '512022102', '回澜镇', 'huilanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022103', '512022', '512022103', '石湍镇', 'shituanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022104', '512022', '512022104', '童家镇', 'tongjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022105', '512022', '512022105', '宝林镇', 'baolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022106', '512022', '512022106', '大佛镇', 'dafozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022107', '512022', '512022107', '良安镇', 'lianganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022108', '512022', '512022108', '金顺镇', 'jinshunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022109', '512022', '512022109', '中和场镇', 'zhonghechangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022110', '512022', '512022110', '劳动镇', 'laodongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022111', '512022', '512022111', '中天镇', 'zhongtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022112', '512022', '512022112', '佛星镇', 'foxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022113', '512022', '512022113', '蟠龙镇', 'panlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022114', '512022', '512022114', '东山镇', 'dongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022115', '512022', '512022115', '通旅镇', 'tonglu:zhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022116', '512022', '512022116', '高寺镇', 'gaosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022200', '512022', '512022200', '龙溪乡', 'longxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022201', '512022', '512022201', '全胜乡', 'quanshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022202', '512022', '512022202', '孔雀乡', 'kongquexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022203', '512022', '512022203', '龙门乡', 'longmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022204', '512022', '512022204', '双河场乡', 'shuanghechangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022205', '512022', '512022205', '放生乡', 'fangshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022206', '512022', '512022206', '盛池乡', 'shengchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512022207', '512022', '512022207', '凉水乡', 'liangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081', '5120', '512081', '简阳市', 'jianyangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081100', '512081', '512081100', '简城镇', 'jianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081101', '512081', '512081101', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081102', '512081', '512081102', '新市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081103', '512081', '512081103', '石盘镇', 'shipanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081104', '512081', '512081104', '东溪镇', 'dongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081105', '512081', '512081105', '平泉镇', 'pingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081106', '512081', '512081106', '禾丰镇', 'hefengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081107', '512081', '512081107', '云龙镇', 'yunlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081108', '512081', '512081108', '三星镇', 'sanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081109', '512081', '512081109', '养马镇', 'yangmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081110', '512081', '512081110', '贾家镇', 'jiajiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081111', '512081', '512081111', '石板凳镇', 'shibandengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081112', '512081', '512081112', '三岔镇', 'sanchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081113', '512081', '512081113', '镇金镇', 'zhenjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081114', '512081', '512081114', '石钟镇', 'shizhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081115', '512081', '512081115', '施家镇', 'shijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081116', '512081', '512081116', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081117', '512081', '512081117', '平武镇', 'pingwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081118', '512081', '512081118', '金马镇', 'jinmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081119', '512081', '512081119', '踏水镇', 'tashuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081120', '512081', '512081120', '江源镇', 'jiangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081121', '512081', '512081121', '涌泉镇', 'yongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081122', '512081', '512081122', '芦葭镇', 'lujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081123', '512081', '512081123', '草池镇', 'caochizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081124', '512081', '512081124', '太平桥镇', 'taipingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081125', '512081', '512081125', '青龙镇', 'qinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081200', '512081', '512081200', '老君井乡', 'laojunjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081201', '512081', '512081201', '福田乡', 'futianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081202', '512081', '512081202', '宏缘乡', 'hongyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081203', '512081', '512081203', '周家乡', 'zhoujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081204', '512081', '512081204', '平窝乡', 'pingwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081205', '512081', '512081205', '武庙乡', 'wumiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081206', '512081', '512081206', '高明乡', 'gaomingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081207', '512081', '512081207', '玉成乡', 'yuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081208', '512081', '512081208', '丹景乡', 'danjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081209', '512081', '512081209', '望水乡', 'wangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081210', '512081', '512081210', '清风乡', 'qingfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081211', '512081', '512081211', '董家埂乡', 'dongjiagengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081212', '512081', '512081212', '五星乡', 'wuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081213', '512081', '512081213', '飞龙乡', 'feilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081214', '512081', '512081214', '灵仙乡', 'lingxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081215', '512081', '512081215', '五指乡', 'wuzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081216', '512081', '512081216', '新民乡', 'xinminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081217', '512081', '512081217', '新星乡', 'xinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081218', '512081', '512081218', '同合乡', 'tonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081219', '512081', '512081219', '老龙乡', 'laolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081220', '512081', '512081220', '壮溪乡', 'zhuangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081221', '512081', '512081221', '海螺乡', 'hailuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081222', '512081', '512081222', '坛罐乡', 'tanguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081223', '512081', '512081223', '雷家乡', 'leijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081224', '512081', '512081224', '安乐乡', 'anlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081225', '512081', '512081225', '普安乡', 'puanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081226', '512081', '512081226', '平息乡', 'pingxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081227', '512081', '512081227', '五合乡', 'wuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('512081228', '512081', '512081228', '永宁乡', 'yongningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5132', '51', '5132', '阿坝州', 'abazhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221', '5132', '513221', '汶川县', 'wenchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221100', '513221', '513221100', '威州镇', 'weizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221101', '513221', '513221101', '绵虒镇', 'mianzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221102', '513221', '513221102', '映秀镇', 'yingxiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221103', '513221', '513221103', '卧龙镇', 'wolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221105', '513221', '513221105', '水磨镇', 'shuimozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221106', '513221', '513221106', '漩口镇', 'xuankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221200', '513221', '513221200', '龙溪乡', 'longxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221201', '513221', '513221201', '克枯乡', 'kekuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221202', '513221', '513221202', '雁门乡', 'yanmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221203', '513221', '513221203', '草坡乡', 'caopoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221204', '513221', '513221204', '银杏乡', 'yinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221205', '513221', '513221205', '耿达乡', 'gengdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513221207', '513221', '513221207', '三江乡', 'sanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222', '5132', '513222', '理县', 'lixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222100', '513222', '513222100', '杂谷脑镇', 'zagunaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222101', '513222', '513222101', '米亚罗镇', 'miyaluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222102', '513222', '513222102', '古尔沟镇', 'guergouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222103', '513222', '513222103', '薛城镇', 'xuechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222200', '513222', '513222200', '夹壁乡', 'jiabixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222201', '513222', '513222201', '朴头乡', 'potouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222202', '513222', '513222202', '甘堡乡', 'ganbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222203', '513222', '513222203', '蒲溪乡', 'puxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222204', '513222', '513222204', '上孟乡', 'shangmengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222205', '513222', '513222205', '下孟乡', 'xiamengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222206', '513222', '513222206', '木卡乡', 'mukaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222207', '513222', '513222207', '通化乡', 'tonghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513222208', '513222', '513222208', '桃坪乡', 'taopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223', '5132', '513223', '茂县', 'maoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223100', '513223', '513223100', '凤仪镇', 'fengyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223101', '513223', '513223101', '南新镇', 'nanxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223102', '513223', '513223102', '叠溪镇', 'diexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223201', '513223', '513223201', '渭门乡', 'weimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223202', '513223', '513223202', '永和乡', 'yonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223203', '513223', '513223203', '沟口乡', 'goukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223204', '513223', '513223204', '光明乡', 'guangmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223205', '513223', '513223205', '富顺乡', 'fushunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223206', '513223', '513223206', '土门乡', 'tumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223207', '513223', '513223207', '东兴乡', 'dongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223208', '513223', '513223208', '黑虎乡', 'heihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223209', '513223', '513223209', '飞虹乡', 'feihongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223210', '513223', '513223210', '回龙乡', 'huilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223211', '513223', '513223211', '三龙乡', 'sanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223212', '513223', '513223212', '白溪乡', 'baixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223213', '513223', '513223213', '洼底乡', 'wadixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223214', '513223', '513223214', '石大关乡', 'shidaguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223215', '513223', '513223215', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223216', '513223', '513223216', '松坪沟乡', 'songpinggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223217', '513223', '513223217', '曲谷乡', 'quguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223218', '513223', '513223218', '雅都乡', 'yadouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513223219', '513223', '513223219', '维城乡', 'weichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224', '5132', '513224', '松潘县', 'songpanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224100', '513224', '513224100', '进安镇', 'jinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224101', '513224', '513224101', '川主寺镇', 'chuanzhusizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224200', '513224', '513224200', '进安回族乡', 'jinanhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224201', '513224', '513224201', '十里回族乡', 'shilihuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224202', '513224', '513224202', '青云乡', 'qingyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224203', '513224', '513224203', '安宏乡', 'anhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224204', '513224', '513224204', '大寨乡', 'dazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224205', '513224', '513224205', '牟尼乡', 'mounixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224206', '513224', '513224206', '镇江关乡', 'zhenjiangguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224207', '513224', '513224207', '镇坪乡', 'zhenpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224208', '513224', '513224208', '岷江乡', 'minjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224209', '513224', '513224209', '大姓乡', 'daxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224210', '513224', '513224210', '白羊乡', 'baiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224211', '513224', '513224211', '红土乡', 'hongtuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224212', '513224', '513224212', '红扎乡', 'hongzhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224213', '513224', '513224213', '小姓乡', 'xiaoxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224214', '513224', '513224214', '燕云乡', 'yanyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224215', '513224', '513224215', '山巴乡', 'shanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224216', '513224', '513224216', '水晶乡', 'shuijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224217', '513224', '513224217', '小河乡', 'xiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224218', '513224', '513224218', '施家堡乡', 'shijiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224219', '513224', '513224219', '黄龙乡', 'huanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224220', '513224', '513224220', '上八寨乡', 'shangbazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224221', '513224', '513224221', '下八寨乡', 'xiabazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224222', '513224', '513224222', '草原乡', 'caoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224400', '513224', '513224400', '国营牧场', 'guoyingmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513224401', '513224', '513224401', '松潘林业局', 'songpanlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225', '5132', '513225', '九寨沟县', 'jiuzhaigouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225100', '513225', '513225100', '永乐镇', 'yonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225101', '513225', '513225101', '漳扎镇', 'zhangzhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225200', '513225', '513225200', '永丰乡', 'yongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225201', '513225', '513225201', '永和乡', 'yonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225202', '513225', '513225202', '安乐乡', 'anlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225203', '513225', '513225203', '白河乡', 'baihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225204', '513225', '513225204', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225205', '513225', '513225205', '保华乡府', 'baohuaxiangfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225206', '513225', '513225206', '罗依乡', 'luoyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225207', '513225', '513225207', '勿角乡', 'wujiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225208', '513225', '513225208', '马家乡', 'majiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225209', '513225', '513225209', '郭元乡', 'guoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225210', '513225', '513225210', '草地乡', 'caodixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225211', '513225', '513225211', '陵江乡', 'lingjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225212', '513225', '513225212', '黑河乡', 'heihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225213', '513225', '513225213', '玉瓦乡', 'yuwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225214', '513225', '513225214', '大录乡', 'daluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513225400', '513225', '513225400', '大录九寨沟县国营牧场', 'dalujiuzhaigouxianguoyingmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226', '5132', '513226', '金川县', 'jinchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226100', '513226', '513226100', '金川镇', 'jinchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226101', '513226', '513226101', '观音桥镇', 'guanyinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226200', '513226', '513226200', '沙耳乡', 'shaerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226201', '513226', '513226201', '庆宁乡', 'qingningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226202', '513226', '513226202', '咯尔乡', 'geerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226203', '513226', '513226203', '勒乌乡', 'lewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226204', '513226', '513226204', '万林乡', 'wanlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226205', '513226', '513226205', '河东乡', 'hedongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226206', '513226', '513226206', '河西乡', 'hexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226207', '513226', '513226207', '集沐乡', 'jimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226208', '513226', '513226208', '撒瓦脚乡', 'sawajiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226209', '513226', '513226209', '卡拉足乡', 'kalazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226210', '513226', '513226210', '俄热乡', 'erexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226211', '513226', '513226211', '太阳河乡', 'taiyanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226212', '513226', '513226212', '二嘎里乡', 'ergalixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226213', '513226', '513226213', '阿科里乡', 'akelixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226214', '513226', '513226214', '安宁乡', 'anningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226215', '513226', '513226215', '卡撒乡', 'kasaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226216', '513226', '513226216', '曾达乡', 'cengdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226217', '513226', '513226217', '独松乡', 'dusongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226218', '513226', '513226218', '马尔邦乡', 'maerbangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226219', '513226', '513226219', '马奈乡', 'manaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513226220', '513226', '513226220', '毛日乡', 'maorixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227', '5132', '513227', '小金县', 'xiaojinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227100', '513227', '513227100', '美兴镇', 'meixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227101', '513227', '513227101', '日隆镇', 'rilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227200', '513227', '513227200', '老营乡', 'laoyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227201', '513227', '513227201', '崇德乡', 'chongdexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227202', '513227', '513227202', '新桥乡', 'xinqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227203', '513227', '513227203', '美沃乡', 'meiwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227204', '513227', '513227204', '沙龙乡', 'shalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227205', '513227', '513227205', '宅垄乡', 'zhailongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227206', '513227', '513227206', '新格乡', 'xingexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227207', '513227', '513227207', '达维乡', 'daweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227208', '513227', '513227208', '日尔乡', 'rierxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227209', '513227', '513227209', '结斯乡', 'jiesixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227210', '513227', '513227210', '沃日乡', 'worixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227211', '513227', '513227211', '木坡乡', 'mupoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227212', '513227', '513227212', '两河乡', 'lianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227213', '513227', '513227213', '抚边乡', 'fubianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227214', '513227', '513227214', '八角乡', 'bajiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227215', '513227', '513227215', '双柏乡', 'shuangboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227216', '513227', '513227216', '窝底乡', 'wodixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227217', '513227', '513227217', '汗牛乡', 'hanniuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513227218', '513227', '513227218', '潘安乡', 'pananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228', '5132', '513228', '黑水县', 'heishuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228100', '513228', '513228100', '芦花镇', 'luhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228101', '513228', '513228101', '卡龙镇', 'kalongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228200', '513228', '513228200', '沙石多乡', 'shashiduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228201', '513228', '513228201', '红岩乡', 'hongyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228202', '513228', '513228202', '麻窝乡', 'mawoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228203', '513228', '513228203', '双溜索乡', 'shuangliusuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228204', '513228', '513228204', '瓦钵梁子乡', 'waboliangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228205', '513228', '513228205', '色尔古乡', 'seerguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228206', '513228', '513228206', '石碉楼乡', 'shidiaolouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228207', '513228', '513228207', '龙坝乡', 'longbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228208', '513228', '513228208', '洛多乡', 'luoduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228209', '513228', '513228209', '木苏乡', 'musuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228210', '513228', '513228210', '维古乡', 'weiguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228211', '513228', '513228211', '知木林乡', 'zhimulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228212', '513228', '513228212', '扎窝乡', 'zhawoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228213', '513228', '513228213', '晴朗乡', 'qinglangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513228214', '513228', '513228214', '慈坝乡', 'cibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229', '5132', '513229', '马尔康县', 'maerkangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229100', '513229', '513229100', '马尔康镇', 'maerkangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229101', '513229', '513229101', '卓克基镇', 'zhuokejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229102', '513229', '513229102', '松岗镇', 'songgangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229200', '513229', '513229200', '梭磨乡', 'suomoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229201', '513229', '513229201', '白湾乡', 'baiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229202', '513229', '513229202', '党坝乡', 'dangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229203', '513229', '513229203', '木尔宗乡', 'muerzongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229204', '513229', '513229204', '脚木足乡', 'jiaomuzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229205', '513229', '513229205', '沙尔宗乡', 'shaerzongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229206', '513229', '513229206', '龙尔甲乡', 'longerjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229207', '513229', '513229207', '大藏乡', 'dazangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229208', '513229', '513229208', '康山乡', 'kangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229209', '513229', '513229209', '草登乡', 'caodengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229210', '513229', '513229210', '日部乡', 'ribuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513229400', '513229', '513229400', '马尔康县国营牧场', 'maerkangxianguoyingmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230', '5132', '513230', '壤塘县', 'rangtangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230100', '513230', '513230100', '壤柯镇', 'rangkezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230200', '513230', '513230200', '蒲西乡', 'puxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230201', '513230', '513230201', '宗科乡', 'zongkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230202', '513230', '513230202', '石里乡', 'shilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230203', '513230', '513230203', '吾依乡', 'wuyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230204', '513230', '513230204', '岗木达乡', 'gangmudaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230205', '513230', '513230205', '上杜柯乡', 'shangdukexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230206', '513230', '513230206', '茸木达乡', 'rongmudaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230207', '513230', '513230207', '南木达乡', 'nanmudaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230208', '513230', '513230208', '尕多乡', 'gaduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230209', '513230', '513230209', '中壤塘乡', 'zhongrangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513230210', '513230', '513230210', '上壤塘乡', 'shangrangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231', '5132', '513231', '阿坝县', 'abaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231100', '513231', '513231100', '阿坝镇', 'abazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231200', '513231', '513231200', '哇尔玛乡', 'waermaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231201', '513231', '513231201', '麦昆乡', 'maikunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231202', '513231', '513231202', '河支乡', 'hezhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231203', '513231', '513231203', '龙藏乡', 'longzangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231204', '513231', '513231204', '求吉玛乡', 'qiujimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231205', '513231', '513231205', '甲尔多乡', 'jiaerduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231206', '513231', '513231206', '各莫乡', 'gemoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231207', '513231', '513231207', '德格乡', 'degexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231208', '513231', '513231208', '四洼乡', 'siwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231209', '513231', '513231209', '安斗乡', 'andouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231210', '513231', '513231210', '柯河乡', 'kehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231211', '513231', '513231211', '垮沙乡', 'kuashaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231212', '513231', '513231212', '安羌乡', 'anqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231213', '513231', '513231213', '查理乡', 'chalixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231214', '513231', '513231214', '茸安乡', 'ronganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231215', '513231', '513231215', '洛尔达乡', 'luoerdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231216', '513231', '513231216', '麦尔玛乡', 'maiermaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231217', '513231', '513231217', '贾洛乡', 'jialuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231400', '513231', '513231400', '若柯河农场', 'ruokehenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513231401', '513231', '513231401', '贾柯河牧场', 'jiakehemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232', '5132', '513232', '若尔盖县', 'ruoergaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232100', '513232', '513232100', '达扎寺镇', 'dazhasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232200', '513232', '513232200', '班佑乡', 'banyouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232201', '513232', '513232201', '阿西乡', 'axixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232202', '513232', '513232202', '唐克乡', 'tangkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232203', '513232', '513232203', '辖曼乡', 'xiamanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232204', '513232', '513232204', '红星乡', 'hongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232205', '513232', '513232205', '麦溪乡', 'maixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232206', '513232', '513232206', '嫩哇乡', 'nenwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232207', '513232', '513232207', '冻列乡', 'dongliexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232208', '513232', '513232208', '崇尔乡', 'chongerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232209', '513232', '513232209', '热尔乡', 'reerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232210', '513232', '513232210', '占哇乡', 'zhanwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232211', '513232', '513232211', '降扎乡', 'jiangzhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232212', '513232', '513232212', '巴西乡', 'baxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232213', '513232', '513232213', '阿西茸乡', 'axirongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232214', '513232', '513232214', '求吉乡', 'qiujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232215', '513232', '513232215', '包座乡', 'baozuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232400', '513232', '513232400', '白河牧场', 'baihemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232401', '513232', '513232401', '若尔盖县辖曼牧场', 'ruoergaixianxiamanmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513232402', '513232', '513232402', '若尔盖县黑河牧场', 'ruoergaixianheihemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233', '5132', '513233', '红原县', 'hongyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233100', '513233', '513233100', '邛溪镇', 'qiongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233101', '513233', '513233101', '刷经寺镇', 'shuajingsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233200', '513233', '513233200', '安曲乡', 'anquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233201', '513233', '513233201', '龙日乡', 'longrixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233202', '513233', '513233202', '江茸乡', 'jiangrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233203', '513233', '513233203', '查尔玛乡', 'chaermaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233204', '513233', '513233204', '瓦切乡', 'waqiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233205', '513233', '513233205', '阿木乡', 'amuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233206', '513233', '513233206', '壤口乡', 'rangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233207', '513233', '513233207', '麦洼乡', 'maiwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513233208', '513233', '513233208', '色地乡', 'sedixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5133', '51', '5133', '甘孜藏族自治州', 'ganzizangzuzizhizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321', '5133', '513321', '康定县', 'kangdingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321100', '513321', '513321100', '炉城镇', 'luchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321101', '513321', '513321101', '姑咱镇', 'guzanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321102', '513321', '513321102', '新都桥镇', 'xindouqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321201', '513321', '513321201', '雅拉乡', 'yalaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321202', '513321', '513321202', '时济乡', 'shijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321203', '513321', '513321203', '前溪乡', 'qianxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321204', '513321', '513321204', '舍联乡', 'shelianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321205', '513321', '513321205', '麦崩乡', 'maibengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321206', '513321', '513321206', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321207', '513321', '513321207', '金汤乡', 'jintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321208', '513321', '513321208', '捧塔乡', 'pengtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321209', '513321', '513321209', '沙德乡', 'shadexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321210', '513321', '513321210', '贡嘎山乡', 'gonggashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321211', '513321', '513321211', '普沙绒乡', 'pusharongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321212', '513321', '513321212', '吉居乡', 'jijuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321213', '513321', '513321213', '瓦泽乡', 'wazexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321214', '513321', '513321214', '呷巴乡', 'xiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321215', '513321', '513321215', '甲根坝乡', 'jiagenbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321216', '513321', '513321216', '朋布西乡', 'pengbuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321217', '513321', '513321217', '塔公乡', 'tagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513321218', '513321', '513321218', '孔玉乡', 'kongyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322', '5133', '513322', '泸定县', 'ludingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322100', '513322', '513322100', '泸桥镇', 'luqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322101', '513322', '513322101', '冷碛镇', 'lengqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322102', '513322', '513322102', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322103', '513322', '513322103', '磨西镇', 'moxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322200', '513322', '513322200', '岚安乡', 'lananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322201', '513322', '513322201', '烹坝乡', 'pengbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322202', '513322', '513322202', '田坝乡', 'tianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322203', '513322', '513322203', '杵坭乡', 'chunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322204', '513322', '513322204', '加郡乡', 'jiajunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322205', '513322', '513322205', '德威乡', 'deweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322206', '513322', '513322206', '新兴乡', 'xinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513322207', '513322', '513322207', '得妥乡', 'detuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323', '5133', '513323', '丹巴县', 'danbaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323100', '513323', '513323100', '章谷镇', 'zhangguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323200', '513323', '513323200', '巴底乡', 'badixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323201', '513323', '513323201', '巴旺乡', 'bawangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323202', '513323', '513323202', '聂呷乡', 'niexiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323203', '513323', '513323203', '革什扎乡', 'geshenzhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323204', '513323', '513323204', '边耳乡', 'bianerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323205', '513323', '513323205', '丹东乡', 'dandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323206', '513323', '513323206', '东谷乡', 'dongguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323207', '513323', '513323207', '水子乡', 'shuizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323208', '513323', '513323208', '格宗乡', 'gezongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323209', '513323', '513323209', '梭坡乡', 'suopoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323210', '513323', '513323210', '中路乡', 'zhongluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323211', '513323', '513323211', '岳扎乡', 'yuezhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323212', '513323', '513323212', '半扇门乡', 'banshanmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513323213', '513323', '513323213', '太平桥乡', 'taipingqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324', '5133', '513324', '九龙县', 'jiulongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324100', '513324', '513324100', '呷尔镇', 'xiaerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324200', '513324', '513324200', '汤古乡', 'tangguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324201', '513324', '513324201', '斜卡乡', 'xiekaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324202', '513324', '513324202', '三岩龙乡', 'sanyanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324203', '513324', '513324203', '上团乡', 'shangtuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324204', '513324', '513324204', '八窝龙乡', 'bawolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324205', '513324', '513324205', '乃渠乡', 'naiquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324206', '513324', '513324206', '乌拉溪乡', 'wulaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324207', '513324', '513324207', '烟袋乡', 'yandaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324208', '513324', '513324208', '魁多乡', 'kuiduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324209', '513324', '513324209', '子耳彝族乡', 'zieryizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324210', '513324', '513324210', '三垭彝族乡', 'sanyayizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324211', '513324', '513324211', '俄尔彝族乡', 'eeryizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324212', '513324', '513324212', '小金彝族乡', 'xiaojinyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324213', '513324', '513324213', '朵洛彝族乡', 'duoluoyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324214', '513324', '513324214', '踏卡彝族乡', 'takayizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324215', '513324', '513324215', '湾坝彝族乡', 'wanbayizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513324216', '513324', '513324216', '洪坝乡', 'hongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325', '5133', '513325', '雅江县', 'yajiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325100', '513325', '513325100', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325200', '513325', '513325200', '呷拉乡', 'xialaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325201', '513325', '513325201', '八角楼乡', 'bajiaolouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325202', '513325', '513325202', '普巴绒乡', 'pubarongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325203', '513325', '513325203', '祝桑乡', 'zhusangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325204', '513325', '513325204', '米龙乡', 'milongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325205', '513325', '513325205', '八衣绒乡', 'bayirongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325206', '513325', '513325206', '波斯河乡', 'bosihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325207', '513325', '513325207', '恶古乡', 'eguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325208', '513325', '513325208', '牙衣河乡', 'yayihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325209', '513325', '513325209', '西俄洛乡', 'xieluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325210', '513325', '513325210', '麻郎错乡', 'malangcuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325211', '513325', '513325211', '德差乡', 'dechaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325212', '513325', '513325212', '红龙乡', 'honglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325213', '513325', '513325213', '柯拉乡', 'kelaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325214', '513325', '513325214', '瓦多乡', 'waduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513325215', '513325', '513325215', '木绒乡', 'murongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326', '5133', '513326', '道孚县', 'daofuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326100', '513326', '513326100', '鲜水镇', 'xianshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326101', '513326', '513326101', '八美镇', 'bameizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326200', '513326', '513326200', '格西乡', 'gexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326201', '513326', '513326201', '麻孜乡', 'mazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326202', '513326', '513326202', '孔色乡', 'kongsexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326203', '513326', '513326203', '葛卡乡', 'gekaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326204', '513326', '513326204', '亚卓乡', 'yazhuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326205', '513326', '513326205', '仲尼乡', 'zhongnixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326206', '513326', '513326206', '红顶乡', 'hongdingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326207', '513326', '513326207', '扎拖乡', 'zhatuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326208', '513326', '513326208', '下拖乡', 'xiatuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326209', '513326', '513326209', '瓦日乡', 'warixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326210', '513326', '513326210', '木茹乡', 'muruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326211', '513326', '513326211', '甲斯孔乡', 'jiasikongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326212', '513326', '513326212', '甲宗乡', 'jiazongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326213', '513326', '513326213', '七美乡', 'qimeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326214', '513326', '513326214', '银恩乡', 'yinenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326215', '513326', '513326215', '维它乡', 'weitaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326216', '513326', '513326216', '龙灯乡', 'longdengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326217', '513326', '513326217', '协德乡', 'xiedexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326218', '513326', '513326218', '色卡乡', 'sekaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513326219', '513326', '513326219', '沙冲乡', 'shachongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327', '5133', '513327', '炉霍县', 'luhuoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327100', '513327', '513327100', '新都镇', 'xindouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327200', '513327', '513327200', '泥巴乡', 'nibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327201', '513327', '513327201', '雅德乡', 'yadexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327202', '513327', '513327202', '洛秋乡', 'luoqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327203', '513327', '513327203', '斯木乡', 'simuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327204', '513327', '513327204', '宜木乡', 'yimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327205', '513327', '513327205', '仁达乡', 'rendaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327206', '513327', '513327206', '朱倭乡', 'zhuwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327207', '513327', '513327207', '旦都乡', 'dandouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327208', '513327', '513327208', '充古乡', 'chongguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327209', '513327', '513327209', '更知乡', 'gengzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327210', '513327', '513327210', '卡娘乡', 'kaniangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327211', '513327', '513327211', '宗塔乡', 'zongtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327212', '513327', '513327212', '宗麦乡', 'zongmaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327213', '513327', '513327213', '上罗柯马乡', 'shangluokemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513327214', '513327', '513327214', '下罗柯马乡', 'xialuokemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328', '5133', '513328', '甘孜县', 'ganzixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328100', '513328', '513328100', '甘孜镇', 'ganzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328200', '513328', '513328200', '呷拉乡', 'xialaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328201', '513328', '513328201', '色西底乡', 'sexidixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328202', '513328', '513328202', '南多乡', 'nanduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328203', '513328', '513328203', '生康乡', 'shengkangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328204', '513328', '513328204', '贡隆乡', 'gonglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328205', '513328', '513328205', '扎科乡', 'zhakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328206', '513328', '513328206', '来马乡', 'laimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328207', '513328', '513328207', '昔色乡', 'xisexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328208', '513328', '513328208', '卡攻乡', 'kagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328209', '513328', '513328209', '仁果乡', 'renguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328210', '513328', '513328210', '拖坝乡', 'tuobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328211', '513328', '513328211', '斯俄乡', 'siexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328212', '513328', '513328212', '庭卡乡', 'tingkaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328213', '513328', '513328213', '下雄乡', 'xiaxiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328214', '513328', '513328214', '四通达乡', 'sitongdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328215', '513328', '513328215', '夺多乡', 'duoduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328216', '513328', '513328216', '泥柯乡', 'nikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328217', '513328', '513328217', '茶扎乡', 'chazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328218', '513328', '513328218', '大德乡', 'dadexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328219', '513328', '513328219', '卡龙乡', 'kalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513328220', '513328', '513328220', '查龙乡', 'chalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329', '5133', '513329', '新龙县', 'xinlongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329100', '513329', '513329100', '如龙镇', 'rulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329200', '513329', '513329200', '沙堆乡', 'shaduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329201', '513329', '513329201', '乐安乡', 'leanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329202', '513329', '513329202', '大盖乡', 'dagaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329203', '513329', '513329203', '绕鲁乡', 'raoluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329204', '513329', '513329204', '色威乡', 'seweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329205', '513329', '513329205', '甲拉西乡', 'jialaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329206', '513329', '513329206', '拉日马乡', 'larimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329207', '513329', '513329207', '博美乡', 'bomeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329208', '513329', '513329208', '尤拉西乡', 'youlaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329209', '513329', '513329209', '子拖西乡', 'zituoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329210', '513329', '513329210', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329211', '513329', '513329211', '洛古乡', 'luoguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329212', '513329', '513329212', '雄龙西乡', 'xionglongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329213', '513329', '513329213', '麻日乡', 'marixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329214', '513329', '513329214', '通宵乡', 'tongxiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329215', '513329', '513329215', '友谊乡', 'youyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329216', '513329', '513329216', '皮擦乡', 'picaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513329217', '513329', '513329217', '银多乡', 'yinduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330', '5133', '513330', '德格县', 'degexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330100', '513330', '513330100', '更庆镇', 'gengqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330200', '513330', '513330200', '达马乡', 'damaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330201', '513330', '513330201', '普马乡', 'pumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330202', '513330', '513330202', '岳巴乡', 'yuebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330203', '513330', '513330203', '八帮乡', 'babangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330204', '513330', '513330204', '龚垭乡', 'gongyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330205', '513330', '513330205', '白垭乡', 'baiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330206', '513330', '513330206', '汪布顶乡', 'wangbudingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330207', '513330', '513330207', '柯洛洞乡', 'keluodongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330208', '513330', '513330208', '卡松渡乡', 'kasongduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330209', '513330', '513330209', '俄南乡', 'enanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330210', '513330', '513330210', '竹庆乡', 'zhuqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330211', '513330', '513330211', '俄支乡', 'ezhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330212', '513330', '513330212', '马尼干戈乡', 'manigangexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330213', '513330', '513330213', '玉隆乡', 'yulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330214', '513330', '513330214', '错阿乡', 'cuoaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330215', '513330', '513330215', '中扎科乡', 'zhongzhakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330216', '513330', '513330216', '然姑乡', 'ranguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330217', '513330', '513330217', '窝公乡', 'wogongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330218', '513330', '513330218', '温拖乡', 'wentuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330219', '513330', '513330219', '年古乡', 'nianguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330220', '513330', '513330220', '浪多乡', 'langduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330221', '513330', '513330221', '阿须乡', 'axuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330222', '513330', '513330222', '打滚乡', 'dagunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330223', '513330', '513330223', '亚丁乡', 'yadingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513330224', '513330', '513330224', '所巴乡', 'suobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331', '5133', '513331', '白玉县', 'baiyuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331100', '513331', '513331100', '建设镇', 'jianshezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331200', '513331', '513331200', '金沙乡', 'jinshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331201', '513331', '513331201', '绒盖乡', 'ronggaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331202', '513331', '513331202', '章都乡', 'zhangdouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331203', '513331', '513331203', '麻绒乡', 'marongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331204', '513331', '513331204', '河坡乡', 'hepoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331205', '513331', '513331205', '热加乡', 'rejiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331206', '513331', '513331206', '登龙乡', 'denglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331207', '513331', '513331207', '赠科乡', 'zengkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331208', '513331', '513331208', '阿察乡', 'achaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331209', '513331', '513331209', '麻邛乡', 'maqiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331210', '513331', '513331210', '辽西乡', 'liaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331211', '513331', '513331211', '纳塔乡', 'nataxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331212', '513331', '513331212', '安孜乡', 'anzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331213', '513331', '513331213', '盖玉乡', 'gaiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331214', '513331', '513331214', '沙马乡', 'shamaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513331215', '513331', '513331215', '山岩乡', 'shanyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332', '5133', '513332', '石渠县', 'shiquxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332100', '513332', '513332100', '尼呷镇', 'nixiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332101', '513332', '513332101', '洛须镇', 'luoxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332200', '513332', '513332200', '真达乡', 'zhendaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332201', '513332', '513332201', '奔达乡', 'bendaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332202', '513332', '513332202', '正科乡', 'zhengkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332203', '513332', '513332203', '麻呷乡', 'maxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332204', '513332', '513332204', '德荣马乡', 'derongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332205', '513332', '513332205', '俄多马乡', 'eduomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332206', '513332', '513332206', '长沙贡马乡', 'zhangshagongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332207', '513332', '513332207', '呷衣乡', 'xiayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332208', '513332', '513332208', '格孟乡', 'gemengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332209', '513332', '513332209', '蒙宜乡', 'mengyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332210', '513332', '513332210', '新荣乡', 'xinrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332211', '513332', '513332211', '宜牛乡', 'yiniuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332212', '513332', '513332212', '虾扎乡', 'xiazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332213', '513332', '513332213', '起坞乡', 'qiwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332214', '513332', '513332214', '阿日扎乡', 'arizhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332215', '513332', '513332215', '长须贡马乡', 'zhangxugongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332216', '513332', '513332216', '长沙干马乡', 'zhangshaganmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332217', '513332', '513332217', '长须干马乡', 'zhangxuganmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332218', '513332', '513332218', '温波乡', 'wenboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513332219', '513332', '513332219', '瓦须乡', 'waxuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333', '5133', '513333', '色达县', 'sedaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333100', '513333', '513333100', '色柯镇', 'sekezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333101', '513333', '513333101', '翁达镇', 'wengdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333200', '513333', '513333200', '泥朵乡', 'niduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333201', '513333', '513333201', '克戈乡', 'kegexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333202', '513333', '513333202', '然充乡', 'ranchongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333203', '513333', '513333203', '康勒乡', 'kanglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333204', '513333', '513333204', '大章乡', 'dazhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333205', '513333', '513333205', '大则乡', 'dazexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333206', '513333', '513333206', '亚龙乡', 'yalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333207', '513333', '513333207', '塔子乡', 'tazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333208', '513333', '513333208', '年龙乡', 'nianlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333209', '513333', '513333209', '洛若乡', 'luoruoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333210', '513333', '513333210', '霍西乡', 'huoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333211', '513333', '513333211', '旭日乡', 'xurixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333212', '513333', '513333212', '杨各乡', 'yanggexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333213', '513333', '513333213', '甲学乡', 'jiaxuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513333214', '513333', '513333214', '歌乐沱乡', 'geletuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334', '5133', '513334', '理塘县', 'litangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334100', '513334', '513334100', '高城镇', 'gaochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334200', '513334', '513334200', '君坝乡', 'junbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334201', '513334', '513334201', '哈依乡', 'hayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334202', '513334', '513334202', '觉吾乡', 'juewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334203', '513334', '513334203', '莫坝乡', 'mobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334204', '513334', '513334204', '亚火乡', 'yahuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334205', '513334', '513334205', '绒坝乡', 'rongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334206', '513334', '513334206', '呷柯乡', 'xiakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334207', '513334', '513334207', '奔戈乡', 'bengexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334208', '513334', '513334208', '村戈乡', 'cungexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334209', '513334', '513334209', '禾尼乡', 'henixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334210', '513334', '513334210', '曲登乡', 'qudengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334211', '513334', '513334211', '喇嘛垭乡', 'lamayaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334212', '513334', '513334212', '章纳乡', 'zhangnaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334213', '513334', '513334213', '上木拉乡', 'shangmulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334214', '513334', '513334214', '下木拉乡', 'xiamulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334215', '513334', '513334215', '中木拉乡', 'zhongmulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334216', '513334', '513334216', '雄坝乡', 'xiongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334217', '513334', '513334217', '甲洼乡', 'jiawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334218', '513334', '513334218', '藏坝乡', 'zangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334219', '513334', '513334219', '格木乡', 'gemuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334220', '513334', '513334220', '拉波乡', 'laboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334221', '513334', '513334221', '麦洼乡', 'maiwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513334222', '513334', '513334222', '德巫乡', 'dewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335', '5133', '513335', '巴塘县', 'batangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335100', '513335', '513335100', '夏邛镇', 'xiaqiongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335200', '513335', '513335200', '拉哇乡', 'lawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335201', '513335', '513335201', '党巴乡', 'dangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335202', '513335', '513335202', '竹巴龙乡', 'zhubalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335203', '513335', '513335203', '中心绒乡', 'zhongxinrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335204', '513335', '513335204', '苏哇龙乡', 'suwalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335205', '513335', '513335205', '昌波乡', 'changboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335206', '513335', '513335206', '地巫乡', 'diwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335207', '513335', '513335207', '中咱乡', 'zhongzanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335208', '513335', '513335208', '亚日贡乡', 'yarigongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335209', '513335', '513335209', '波密乡', 'bomixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335210', '513335', '513335210', '莫多乡', 'moduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335211', '513335', '513335211', '松多乡', 'songduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335212', '513335', '513335212', '波戈溪乡', 'bogexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335213', '513335', '513335213', '甲英乡', 'jiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335214', '513335', '513335214', '措拉乡', 'cuolaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335215', '513335', '513335215', '茶洛乡', 'chaluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335216', '513335', '513335216', '列衣乡', 'lieyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513335217', '513335', '513335217', '德达乡', 'dedaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336', '5133', '513336', '乡城县', 'xiangchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336100', '513336', '513336100', '香巴拉镇', 'xiangbalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336200', '513336', '513336200', '尼斯乡', 'nisixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336201', '513336', '513336201', '沙贡乡', 'shagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336202', '513336', '513336202', '水洼乡', 'shuiwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336203', '513336', '513336203', '青德乡', 'qingdexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336204', '513336', '513336204', '青麦乡', 'qingmaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336205', '513336', '513336205', '然乌乡', 'ranwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336206', '513336', '513336206', '洞松乡', 'dongsongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336207', '513336', '513336207', '热打乡', 'redaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336208', '513336', '513336208', '定波乡', 'dingboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336209', '513336', '513336209', '正斗乡', 'zhengdouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513336210', '513336', '513336210', '白依乡', 'baiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337', '5133', '513337', '稻城县', 'daochengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337100', '513337', '513337100', '金珠镇', 'jinzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337200', '513337', '513337200', '桑堆乡', 'sangduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337201', '513337', '513337201', '省母乡', 'shengmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337202', '513337', '513337202', '傍河乡', 'banghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337203', '513337', '513337203', '色拉乡', 'selaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337204', '513337', '513337204', '巨龙乡', 'julongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337205', '513337', '513337205', '邓波乡', 'dengboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337206', '513337', '513337206', '木拉乡', 'mulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337207', '513337', '513337207', '赤土乡', 'chituxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337208', '513337', '513337208', '香格里拉乡', 'xianggelilaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337209', '513337', '513337209', '蒙自乡', 'mengzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337210', '513337', '513337210', '各卡乡', 'gekaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337211', '513337', '513337211', '吉呷乡', 'jixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513337212', '513337', '513337212', '俄牙同乡', 'eyatongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338', '5133', '513338', '得荣县', 'derongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338100', '513338', '513338100', '松麦镇', 'songmaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338200', '513338', '513338200', '斯闸乡', 'sizhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338201', '513338', '513338201', '徐龙乡', 'xulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338202', '513338', '513338202', '日龙乡', 'rilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338203', '513338', '513338203', '曲雅贡乡', 'quyagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338204', '513338', '513338204', '奔都乡', 'bendouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338205', '513338', '513338205', '八日乡', 'barixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338206', '513338', '513338206', '古学乡', 'guxuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338207', '513338', '513338207', '子庚乡', 'zigengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338208', '513338', '513338208', '贡波乡', 'gongboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338209', '513338', '513338209', '白松乡', 'baisongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513338210', '513338', '513338210', '茨巫乡', 'ciwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5134', '51', '5134', '凉山州', 'liangshanzhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401', '5134', '513401', '西昌市', 'xichangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401001', '513401', '513401001', '北城街道', 'beichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401002', '513401', '513401002', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401003', '513401', '513401003', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401004', '513401', '513401004', '长安街道', 'zhanganjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401005', '513401', '513401005', '新村街道', 'xincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401006', '513401', '513401006', '长宁街道', 'zhangningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401100', '513401', '513401100', '马道镇', 'madaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401101', '513401', '513401101', '礼州镇', 'lizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401102', '513401', '513401102', '安宁镇', 'anningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401103', '513401', '513401103', '川兴镇', 'chuanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401104', '513401', '513401104', '黄联关镇', 'huanglianguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401105', '513401', '513401105', '佑君镇', 'youjunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401106', '513401', '513401106', '太和镇', 'taihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401107', '513401', '513401107', '安哈镇', 'anhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401200', '513401', '513401200', '西郊乡', 'xijiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401201', '513401', '513401201', '高枧乡', 'gaojianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401202', '513401', '513401202', '小庙乡', 'xiaomiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401203', '513401', '513401203', '四合乡', 'sihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401204', '513401', '513401204', '月华乡', 'yuehuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401205', '513401', '513401205', '兴胜乡', 'xingshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401206', '513401', '513401206', '琅环乡', 'langhuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401207', '513401', '513401207', '民胜乡', 'minshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401208', '513401', '513401208', '西乡乡', 'xixiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401209', '513401', '513401209', '樟木箐乡', 'zhangmuqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401210', '513401', '513401210', '响水乡', 'xiangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401211', '513401', '513401211', '开元乡', 'kaiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401212', '513401', '513401212', '大兴乡', 'daxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401213', '513401', '513401213', '海南乡', 'hainanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401214', '513401', '513401214', '大箐乡', 'daqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401215', '513401', '513401215', '经久乡', 'jingjiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401216', '513401', '513401216', '西溪乡', 'xixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401217', '513401', '513401217', '黄水乡', 'huangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401218', '513401', '513401218', '洛古波乡', 'luoguboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401219', '513401', '513401219', '裕隆回族乡', 'yulonghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401220', '513401', '513401220', '高草回族乡', 'gaocaohuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401221', '513401', '513401221', '中坝乡', 'zhongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401222', '513401', '513401222', '阿七乡', 'aqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401223', '513401', '513401223', '荞地乡', 'qiaodixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401224', '513401', '513401224', '磨盘乡', 'mopanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401225', '513401', '513401225', '巴汝乡', 'baruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401226', '513401', '513401226', '银厂乡', 'yinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401227', '513401', '513401227', '白马乡', 'baimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513401228', '513401', '513401228', '马鞍山乡', 'maanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422', '5134', '513422', '木里藏族自治县', 'mulizangzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422100', '513422', '513422100', '乔瓦镇', 'qiaowazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422200', '513422', '513422200', '桃巴乡', 'taobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422201', '513422', '513422201', '博科乡', 'bokexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422202', '513422', '513422202', '宁朗乡', 'ninglangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422203', '513422', '513422203', '依吉乡', 'yijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422204', '513422', '513422204', '俄亚乡', 'eyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422205', '513422', '513422205', '水洛乡', 'shuiluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422206', '513422', '513422206', '牦牛坪乡', 'maoniupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422207', '513422', '513422207', '屋脚乡', 'wujiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422208', '513422', '513422208', '项脚乡', 'xiangjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422209', '513422', '513422209', '李子坪乡', 'lizipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422210', '513422', '513422210', '列瓦乡', 'liewaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422211', '513422', '513422211', '芽租乡', 'yazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422212', '513422', '513422212', '下麦地乡', 'xiamaidixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422213', '513422', '513422213', '西秋乡', 'xiqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422214', '513422', '513422214', '克尔乡', 'keerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422215', '513422', '513422215', '白碉乡', 'baidiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422216', '513422', '513422216', '三桷桠乡', 'sanjueyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422217', '513422', '513422217', '倮波乡', 'luoboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422218', '513422', '513422218', '卡拉乡', 'kalaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422219', '513422', '513422219', '后所乡', 'housuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422220', '513422', '513422220', '沙湾乡', 'shawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422221', '513422', '513422221', '东子乡', 'dongzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422222', '513422', '513422222', '固增乡', 'guzengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422223', '513422', '513422223', '麦日乡', 'mairixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422224', '513422', '513422224', '东朗乡', 'donglangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422225', '513422', '513422225', '唐央乡', 'tangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422226', '513422', '513422226', '博窝乡', 'bowoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513422227', '513422', '513422227', '麦地龙乡', 'maidilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423', '5134', '513423', '盐源县', 'yanyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423100', '513423', '513423100', '盐井镇', 'yanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423101', '513423', '513423101', '卫城镇', 'weichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423102', '513423', '513423102', '梅雨镇', 'meiyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423103', '513423', '513423103', '白乌镇', 'baiwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423104', '513423', '513423104', '树河镇', 'shuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423105', '513423', '513423105', '黄草镇', 'huangcaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423106', '513423', '513423106', '平川镇', 'pingchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423107', '513423', '513423107', '泸沽湖镇', 'luguhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423200', '513423', '513423200', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423201', '513423', '513423201', '干海乡', 'ganhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423202', '513423', '513423202', '下海乡', 'xiahaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423203', '513423', '513423203', '棉桠乡', 'mianyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423204', '513423', '513423204', '甘塘乡', 'gantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423205', '513423', '513423205', '马鹿乡', 'maluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423206', '513423', '513423206', '藤桥乡', 'tengqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423207', '513423', '513423207', '田湾乡', 'tianwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423208', '513423', '513423208', '德石乡', 'deshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423209', '513423', '513423209', '大河乡', 'dahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423210', '513423', '513423210', '盐塘乡', 'yantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423211', '513423', '513423211', '巫木乡', 'wumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423212', '513423', '513423212', '大草乡', 'dacaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423213', '513423', '513423213', '博大乡', 'bodaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423214', '513423', '513423214', '金河乡', 'jinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423215', '513423', '513423215', '右所乡', 'yousuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423216', '513423', '513423216', '巴折乡', 'bazhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423217', '513423', '513423217', '阿萨乡', 'asaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423218', '513423', '513423218', '长柏乡', 'zhangboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423219', '513423', '513423219', '桃子乡', 'taozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423220', '513423', '513423220', '盖租乡', 'gaizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423221', '513423', '513423221', '前所乡', 'qiansuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423222', '513423', '513423222', '沃底乡', 'wodixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423223', '513423', '513423223', '大坡蒙古族乡', 'dapomengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423224', '513423', '513423224', '洼里乡', 'walixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513423225', '513423', '513423225', '梅子坪乡', 'meizipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424', '5134', '513424', '德昌', 'dechang', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424100', '513424', '513424100', '德州镇', 'dezhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424101', '513424', '513424101', '永郎镇', 'yonglangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424102', '513424', '513424102', '乐跃镇', 'leyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424200', '513424', '513424200', '麻栗乡', 'malixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424201', '513424', '513424201', '阿月乡', 'ayuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424202', '513424', '513424202', '王所乡', 'wangsuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424203', '513424', '513424203', '六所乡', 'liusuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424204', '513424', '513424204', '巴洞乡', 'badongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424205', '513424', '513424205', '宽裕乡', 'kuanyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424206', '513424', '513424206', '茨达乡', 'cidaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424207', '513424', '513424207', '小高乡', 'xiaogaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424208', '513424', '513424208', '锦川乡', 'jinchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424209', '513424', '513424209', '老碾乡', 'laonianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424210', '513424', '513424210', '大湾乡', 'dawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424211', '513424', '513424211', '马安乡', 'maanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424212', '513424', '513424212', '铁炉乡', 'tieluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424213', '513424', '513424213', '前山乡', 'qianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424214', '513424', '513424214', '大山乡', 'dashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424215', '513424', '513424215', '大六槽乡', 'daliucaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424216', '513424', '513424216', '热河乡', 'rehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424217', '513424', '513424217', '南山傈傈族乡', 'nanshanlilizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424218', '513424', '513424218', '金沙傈傈族乡', 'jinshalilizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513424219', '513424', '513424219', '银鹿乡', 'yinluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425', '5134', '513425', '会理县', 'huilixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425100', '513425', '513425100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425101', '513425', '513425101', '鹿厂镇', 'luchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425102', '513425', '513425102', '黎溪镇', 'lixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425103', '513425', '513425103', '通安镇', 'tonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425104', '513425', '513425104', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425105', '513425', '513425105', '益门镇', 'yimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425200', '513425', '513425200', '果元乡', 'guoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425201', '513425', '513425201', '南阁乡', 'nangexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425202', '513425', '513425202', '内东乡', 'neidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425203', '513425', '513425203', '老街乡', 'laojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425204', '513425', '513425204', '外北乡', 'waibeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425205', '513425', '513425205', '彰冠乡', 'zhangguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425206', '513425', '513425206', '爱民乡', 'aiminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425207', '513425', '513425207', '爱国乡', 'aiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425208', '513425', '513425208', '凤营乡', 'fengyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425209', '513425', '513425209', '白鸡乡', 'baijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425210', '513425', '513425210', '矮郎乡', 'ailangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425211', '513425', '513425211', '小黑箐乡', 'xiaoheiqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425212', '513425', '513425212', '河口乡', 'hekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425213', '513425', '513425213', '中厂乡', 'zhongchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425214', '513425', '513425214', '关河乡', 'guanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425215', '513425', '513425215', '鱼乍乡', 'yuzhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425216', '513425', '513425216', '绿水乡', 'lu:shuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425217', '513425', '513425217', '黎洪乡', 'lihongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425218', '513425', '513425218', '金雨乡', 'jinyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425219', '513425', '513425219', '树堡乡', 'shubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425220', '513425', '513425220', '江竹乡', 'jiangzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425221', '513425', '513425221', '新安傣族乡', 'xinandaizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425222', '513425', '513425222', '普隆乡', 'pulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425223', '513425', '513425223', '竹箐乡', 'zhuqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425224', '513425', '513425224', '新发乡', 'xinfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425225', '513425', '513425225', '杨家坝乡', 'yangjiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425226', '513425', '513425226', '江普乡', 'jiangpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425227', '513425', '513425227', '木古乡', 'muguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425228', '513425', '513425228', '富乐乡', 'fulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425229', '513425', '513425229', '海潮乡', 'haichaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425230', '513425', '513425230', '芭蕉乡', 'bajiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425231', '513425', '513425231', '横山乡', 'hengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425232', '513425', '513425232', '马宗乡', 'mazongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425233', '513425', '513425233', '法坪乡', 'fapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425234', '513425', '513425234', '槽元乡', 'caoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425235', '513425', '513425235', '黄柏乡', 'huangboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425236', '513425', '513425236', '云甸乡', 'yundianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425237', '513425', '513425237', '仓田乡', 'cangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425238', '513425', '513425238', '白果湾乡', 'baiguowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425239', '513425', '513425239', '下村乡', 'xiacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425240', '513425', '513425240', '龙泉乡', 'longquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425241', '513425', '513425241', '六华乡', 'liuhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425242', '513425', '513425242', '三地乡', 'sandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513425243', '513425', '513425243', '六民乡', 'liuminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426', '5134', '513426', '会东县', 'huidongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426100', '513426', '513426100', '会东镇', 'huidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426101', '513426', '513426101', '铅锌镇', 'qianxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426200', '513426', '513426200', '小岔河乡', 'xiaochahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426201', '513426', '513426201', '撒者邑乡', 'sazheyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426202', '513426', '513426202', '新云乡', 'xinyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426203', '513426', '513426203', '长新乡', 'zhangxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426204', '513426', '513426204', '火山乡', 'huoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426205', '513426', '513426205', '堵格乡', 'dugexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426206', '513426', '513426206', '坪塘乡', 'pingtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426207', '513426', '513426207', '姜州乡', 'jiangzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426208', '513426', '513426208', '中心乡', 'zhongxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426209', '513426', '513426209', '小坝乡', 'xiaobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426210', '513426', '513426210', '火石乡', 'huoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426211', '513426', '513426211', '铁柳乡', 'tieliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426212', '513426', '513426212', '龙树乡', 'longshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426213', '513426', '513426213', '可河乡', 'kehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426214', '513426', '513426214', '嘎吉乡', 'gajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426215', '513426', '513426215', '柏岩乡', 'boyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426216', '513426', '513426216', '海坝乡', 'haibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426217', '513426', '513426217', '洛佐乡', 'luozuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426218', '513426', '513426218', '新马乡', 'xinmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426219', '513426', '513426219', '淌塘乡', 'tangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426220', '513426', '513426220', '普咩乡', 'pumiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426221', '513426', '513426221', '岩坝乡', 'yanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426222', '513426', '513426222', '鹿鹤村乡', 'luhecunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426223', '513426', '513426223', '新田乡', 'xintianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426224', '513426', '513426224', '江西街乡', 'jiangxijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426225', '513426', '513426225', '岔河乡', 'chahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426226', '513426', '513426226', '双堰乡', 'shuangyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426227', '513426', '513426227', '发箐乡', 'faqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426228', '513426', '513426228', '铁厂沟乡', 'tiechanggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426229', '513426', '513426229', '新街乡', 'xinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426230', '513426', '513426230', '马龙乡', 'malongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426231', '513426', '513426231', '新龙乡', 'xinlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426232', '513426', '513426232', '红岩乡', 'hongyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426233', '513426', '513426233', '红果乡', 'hongguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426234', '513426', '513426234', '鲁吉乡', 'lujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426235', '513426', '513426235', '溜姑乡', 'liuguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426236', '513426', '513426236', '大崇乡', 'dachongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426237', '513426', '513426237', '黑嘎乡', 'heigaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426238', '513426', '513426238', '文箐乡', 'wenqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426239', '513426', '513426239', '野牛坪乡', 'yeniupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426240', '513426', '513426240', '松坪乡', 'songpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426241', '513426', '513426241', '新山乡', 'xinshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426242', '513426', '513426242', '小街乡', 'xiaojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426243', '513426', '513426243', '老口乡', 'laokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426244', '513426', '513426244', '干海子乡', 'ganhaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426245', '513426', '513426245', '黄坪乡', 'huangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426246', '513426', '513426246', '野租乡', 'yezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426247', '513426', '513426247', '拉马乡', 'lamaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426248', '513426', '513426248', '鲁南乡', 'lunanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426249', '513426', '513426249', '雪山乡', 'xueshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513426250', '513426', '513426250', '柏杉乡', 'boshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427', '5134', '513427', '宁南县', 'ningnanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427100', '513427', '513427100', '披砂镇', 'pishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427101', '513427', '513427101', '松新镇', 'songxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427102', '513427', '513427102', '竹寿镇', 'zhushouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427103', '513427', '513427103', '华弹镇', 'huadanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427104', '513427', '513427104', '白鹤滩镇', 'baihetanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427105', '513427', '513427105', '葫芦口镇', 'hulukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427200', '513427', '513427200', '景星乡', 'jingxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427201', '513427', '513427201', '俱乐乡', 'julexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427202', '513427', '513427202', '新村乡', 'xincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427203', '513427', '513427203', '幸福乡', 'xingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427204', '513427', '513427204', '海子乡', 'haizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427205', '513427', '513427205', '六铁乡', 'liutiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427206', '513427', '513427206', '新建乡', 'xinjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427207', '513427', '513427207', '稻谷乡', 'daoguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427208', '513427', '513427208', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427209', '513427', '513427209', '石梨乡', 'shilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427210', '513427', '513427210', '松林乡', 'songlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427211', '513427', '513427211', '杉树乡', 'shanshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427212', '513427', '513427212', '梁子乡', 'liangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427213', '513427', '513427213', '大同乡', 'datongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427214', '513427', '513427214', '西瑶乡', 'xiyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427215', '513427', '513427215', '红星乡', 'hongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427216', '513427', '513427216', '骑骡沟乡', 'qiluogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427217', '513427', '513427217', '倮格乡', 'luogexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513427218', '513427', '513427218', '跑马乡', 'paomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428', '5134', '513428', '普格县', 'pugexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428100', '513428', '513428100', '普基镇', 'pujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428101', '513428', '513428101', '荞窝镇', 'qiaowozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428102', '513428', '513428102', '螺髻山镇', 'luojishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428200', '513428', '513428200', '永安乡', 'yonganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428201', '513428', '513428201', '向阳乡', 'xiangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428202', '513428', '513428202', '文坪乡', 'wenpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428203', '513428', '513428203', '黎安乡', 'lianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428204', '513428', '513428204', '花山乡', 'huashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428205', '513428', '513428205', '东山乡', 'dongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428206', '513428', '513428206', '大坪乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428207', '513428', '513428207', '辉隆乡', 'huilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428208', '513428', '513428208', '洛乌沟乡', 'luowugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428209', '513428', '513428209', '雨水乡', 'yushuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428210', '513428', '513428210', '甘天地乡', 'gantiandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428211', '513428', '513428211', '洛乌乡', 'luowuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428212', '513428', '513428212', '孟甘乡', 'mengganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428213', '513428', '513428213', '特兹乡', 'tezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428214', '513428', '513428214', '吉乐乡', 'jilexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428215', '513428', '513428215', '特口乡', 'tekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428216', '513428', '513428216', '耶底乡', 'yedixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428217', '513428', '513428217', '夹铁乡', 'jiatiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428218', '513428', '513428218', '瓦洛乡', 'waluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428219', '513428', '513428219', '哈力洛乡', 'haliluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428220', '513428', '513428220', '菜子乡', 'caizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428221', '513428', '513428221', '祝联乡', 'zhulianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428222', '513428', '513428222', '刘家坪乡', 'liujiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428223', '513428', '513428223', '月吾乡', 'yuewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428224', '513428', '513428224', '特补乡', 'tebuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428225', '513428', '513428225', '五道箐乡', 'wudaoqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428226', '513428', '513428226', '特尔果乡', 'teerguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428227', '513428', '513428227', '大槽乡', 'dacaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428228', '513428', '513428228', '马洪乡', 'mahongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428229', '513428', '513428229', '洛甘乡', 'luoganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513428230', '513428', '513428230', '红莫依达乡', 'hongmoyidaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429', '5134', '513429', '布拖县', 'butuoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429100', '513429', '513429100', '特木里镇', 'temulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429101', '513429', '513429101', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429102', '513429', '513429102', '拖觉镇', 'tuojuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429200', '513429', '513429200', '木尔乡', 'muerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429201', '513429', '513429201', '九都乡', 'jiudouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429202', '513429', '513429202', '拉达乡', 'ladaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429203', '513429', '513429203', '乌科乡', 'wukexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429204', '513429', '513429204', '沙洛乡', 'shaluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429205', '513429', '513429205', '洛古乡', 'luoguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429206', '513429', '513429206', '补尔乡', 'buerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429207', '513429', '513429207', '觉撒乡', 'juesaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429208', '513429', '513429208', '美撒乡', 'meisaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429209', '513429', '513429209', '拉果乡', 'laguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429210', '513429', '513429210', '乌依乡', 'wuyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429211', '513429', '513429211', '浪珠乡', 'langzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429212', '513429', '513429212', '包谷坪乡', 'baogupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429213', '513429', '513429213', '合井乡', 'hejingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429214', '513429', '513429214', '罗家坪乡', 'luojiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429215', '513429', '513429215', '牛角湾乡', 'niujiaowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429216', '513429', '513429216', '补洛乡', 'buluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429217', '513429', '513429217', '火烈乡', 'huoliexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429218', '513429', '513429218', '乐安乡', 'leanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429219', '513429', '513429219', '四棵乡', 'sikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429220', '513429', '513429220', '地洛乡', 'diluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429221', '513429', '513429221', '俄里坪乡', 'elipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429222', '513429', '513429222', '瓦都乡', 'wadouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429223', '513429', '513429223', '采哈乡', 'caihaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429224', '513429', '513429224', '委只洛乡', 'weizhiluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429225', '513429', '513429225', '联补乡', 'lianbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513429226', '513429', '513429226', '基只乡', 'jizhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430', '5134', '513430', '金阳县', 'jinyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430100', '513430', '513430100', '天地坝镇', 'tiandibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430101', '513430', '513430101', '派来镇', 'pailaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430102', '513430', '513430102', '芦稿镇', 'lugaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430103', '513430', '513430103', '对坪镇', 'duipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430200', '513430', '513430200', '桃坪乡', 'taopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430201', '513430', '513430201', '热水河乡', 'reshuihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430202', '513430', '513430202', '马依足乡', 'mayizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430203', '513430', '513430203', '红峰乡', 'hongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430204', '513430', '513430204', '尔觉西乡', 'erjuexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430205', '513430', '513430205', '热柯觉乡', 'rekejuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430206', '513430', '513430206', '甲依乡', 'jiayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430207', '513430', '513430207', '木府乡', 'mufuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430208', '513430', '513430208', '寨子乡', 'zhaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430209', '513430', '513430209', '则祖乡', 'zezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430210', '513430', '513430210', '基觉乡', 'jijuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430211', '513430', '513430211', '小银木乡', 'xiaoyinmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430212', '513430', '513430212', '春江乡', 'chunjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430213', '513430', '513430213', '红联乡', 'honglianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430214', '513430', '513430214', '青松乡', 'qingsongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430215', '513430', '513430215', '放马坪乡', 'fangmapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430216', '513430', '513430216', '梗堡乡', 'gengbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430217', '513430', '513430217', '山江乡', 'shanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430218', '513430', '513430218', '洛觉乡', 'luojuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430219', '513430', '513430219', '向岭乡', 'xianglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430220', '513430', '513430220', '谷德乡', 'gudexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430221', '513430', '513430221', '高峰乡', 'gaofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430222', '513430', '513430222', '老寨子乡', 'laozhaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430223', '513430', '513430223', '德溪乡', 'dexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430224', '513430', '513430224', '南瓦乡', 'nanwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430225', '513430', '513430225', '依莫合乡', 'yimohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430226', '513430', '513430226', '土沟乡', 'tugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430227', '513430', '513430227', '丙底乡', 'bingdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430228', '513430', '513430228', '依达乡', 'yidaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513430229', '513430', '513430229', '丝窝乡', 'siwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431', '5134', '513431', '昭觉县', 'zhaojuexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431100', '513431', '513431100', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431200', '513431', '513431200', '城北乡', 'chengbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431201', '513431', '513431201', '树坪乡', 'shupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431202', '513431', '513431202', '谷曲乡', 'guquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431203', '513431', '513431203', '达洛乡', 'daluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431204', '513431', '513431204', '龙恩乡', 'longenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431205', '513431', '513431205', '美甘乡', 'meiganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431206', '513431', '513431206', '四开乡', 'sikaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431207', '513431', '513431207', '大坝乡', 'dabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431208', '513431', '513431208', '地莫乡', 'dimoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431209', '513431', '513431209', '柳且乡', 'liuqiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431210', '513431', '513431210', '博洛乡', 'boluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431211', '513431', '513431211', '库莫乡', 'kumoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431212', '513431', '513431212', '解放乡', 'jiefangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431213', '513431', '513431213', '三岗乡', 'sangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431214', '513431', '513431214', '洒拉地坡乡', 'saladipoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431215', '513431', '513431215', '三岔河乡', 'sanchahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431216', '513431', '513431216', '尼地乡', 'nidixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431217', '513431', '513431217', '碗厂乡', 'wanchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431218', '513431', '513431218', '普诗乡', 'pushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431219', '513431', '513431219', '玛增依乌乡', 'mazengyiwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431220', '513431', '513431220', '塘且乡', 'tangqiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431221', '513431', '513431221', '久特洛古乡', 'jiuteluoguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431222', '513431', '513431222', '齿可波西乡', 'chikeboxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431223', '513431', '513431223', '特口甲谷乡', 'tekoujiaguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431224', '513431', '513431224', '竹核乡', 'zhuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431225', '513431', '513431225', '阿并洛古乡', 'abingluoguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431226', '513431', '513431226', '格吾乡', 'gewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431227', '513431', '513431227', '特布洛乡', 'tebuluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431228', '513431', '513431228', '庆恒乡', 'qinghengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431229', '513431', '513431229', '拉一木乡', 'layimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431230', '513431', '513431230', '色底乡', 'sedixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431231', '513431', '513431231', '补约乡', 'buyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431232', '513431', '513431232', '比尔乡', 'bierxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431233', '513431', '513431233', '库依乡', 'kuyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431234', '513431', '513431234', '金曲乡', 'jinquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431235', '513431', '513431235', '宜牧地乡', 'yimudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431236', '513431', '513431236', '波洛乡', 'boluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431237', '513431', '513431237', '央摩租乡', 'yangmozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431238', '513431', '513431238', '则普乡', 'zepuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431239', '513431', '513431239', '永乐乡', 'yonglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431240', '513431', '513431240', '且莫乡', 'qiemoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431241', '513431', '513431241', '甘多洛古乡', 'ganduoluoguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431242', '513431', '513431242', '支尔莫乡', 'zhiermoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431243', '513431', '513431243', '龙沟乡', 'longgouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431244', '513431', '513431244', '日哈乡', 'rihaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513431245', '513431', '513431245', '哈甘乡', 'haganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432', '5134', '513432', '喜德县', 'xidexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432100', '513432', '513432100', '光明镇', 'guangmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432101', '513432', '513432101', '冕山镇', 'mianshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432102', '513432', '513432102', '红莫镇', 'hongmozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432103', '513432', '513432103', '两河口镇', 'lianghekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432104', '513432', '513432104', '米市镇', 'mishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432105', '513432', '513432105', '洛哈镇', 'luohazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432106', '513432', '513432106', '尼波镇', 'nibozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432200', '513432', '513432200', '拉克乡', 'lakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432201', '513432', '513432201', '则约乡', 'zeyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432202', '513432', '513432202', '贺波洛乡', 'heboluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432203', '513432', '513432203', '鲁基乡', 'lujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432204', '513432', '513432204', '李子乡', 'lizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432205', '513432', '513432205', '北山乡', 'beishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432206', '513432', '513432206', '西河乡', 'xihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432207', '513432', '513432207', '东河乡', 'donghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432208', '513432', '513432208', '且拖乡', 'qietuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432209', '513432', '513432209', '博洛拉达乡', 'boluoladaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432210', '513432', '513432210', '沙马拉达乡', 'shamaladaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432211', '513432', '513432211', '巴久乡', 'bajiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432212', '513432', '513432212', '洛莫乡', 'luomoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432213', '513432', '513432213', '依洛乡', 'yiluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432214', '513432', '513432214', '热柯依达乡', 'rekeyidaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432215', '513432', '513432215', '额尼乡', 'enixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513432216', '513432', '513432216', '乐武乡', 'lewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433', '5134', '513433', '冕宁县', 'mianningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433100', '513433', '513433100', '城厢镇', 'chengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433101', '513433', '513433101', '漫水湾镇', 'manshuiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433102', '513433', '513433102', '大桥镇', 'daqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433103', '513433', '513433103', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433104', '513433', '513433104', '泸沽镇', 'luguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433105', '513433', '513433105', '沙坝镇', 'shabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433200', '513433', '513433200', '回坪乡', 'huipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433201', '513433', '513433201', '回龙乡', 'huilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433202', '513433', '513433202', '哈哈乡', 'hahaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433203', '513433', '513433203', '森荣乡', 'senrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433204', '513433', '513433204', '林里乡', 'linlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433205', '513433', '513433205', '石龙乡', 'shilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433206', '513433', '513433206', '铁厂乡', 'tiechangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433207', '513433', '513433207', '河边乡', 'hebianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433208', '513433', '513433208', '河里乡', 'helixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433209', '513433', '513433209', '冶勒乡', 'yelexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433210', '513433', '513433210', '拖乌乡', 'tuowuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433211', '513433', '513433211', '彝海乡', 'yihaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433212', '513433', '513433212', '曹古乡', 'caoguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433213', '513433', '513433213', '惠安乡', 'huianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433214', '513433', '513433214', '后山乡', 'houshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433215', '513433', '513433215', '宏模乡', 'hongmoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433216', '513433', '513433216', '先锋乡', 'xianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433217', '513433', '513433217', '泽远乡', 'zeyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433218', '513433', '513433218', '里庄乡', 'lizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433219', '513433', '513433219', '金林乡', 'jinlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433220', '513433', '513433220', '腊窝乡', 'lawoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433221', '513433', '513433221', '联合乡', 'lianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433222', '513433', '513433222', '麦地沟乡', 'maidigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433223', '513433', '513433223', '锦屏乡', 'jinpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433224', '513433', '513433224', '南河乡', 'nanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433225', '513433', '513433225', '青纳乡', 'qingnaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433226', '513433', '513433226', '和爱藏族乡', 'heaizangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433227', '513433', '513433227', '棉沙湾乡', 'mianshawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433228', '513433', '513433228', '马头乡', 'matouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433229', '513433', '513433229', '窝堡乡', 'wobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433230', '513433', '513433230', '新兴乡', 'xinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513433231', '513433', '513433231', '健美乡', 'jianmeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434', '5134', '513434', '越西县', 'yuexixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434100', '513434', '513434100', '越城镇', 'yuechengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434101', '513434', '513434101', '中所镇', 'zhongsuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434102', '513434', '513434102', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434103', '513434', '513434103', '乃托镇', 'naituozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434104', '513434', '513434104', '普雄镇', 'puxiongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434200', '513434', '513434200', '新乡乡', 'xinxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434201', '513434', '513434201', '马拖乡', 'matuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434202', '513434', '513434202', '大瑞乡', 'daruixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434203', '513434', '513434203', '南箐乡', 'nanqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434204', '513434', '513434204', '丁山乡', 'dingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434205', '513434', '513434205', '大花乡', 'dahuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434206', '513434', '513434206', '河东乡', 'hedongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434207', '513434', '513434207', '西山乡', 'xishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434208', '513434', '513434208', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434209', '513434', '513434209', '瓦岩乡', 'wayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434210', '513434', '513434210', '大屯乡', 'datunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434211', '513434', '513434211', '保安藏族乡', 'baoanzangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434212', '513434', '513434212', '白果乡', 'baiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434213', '513434', '513434213', '梅花乡', 'meihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434214', '513434', '513434214', '拉普乡', 'lapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434215', '513434', '513434215', '铁西乡', 'tiexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434216', '513434', '513434216', '尔觉乡', 'erjuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434217', '513434', '513434217', '四甘普乡', 'siganpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434218', '513434', '513434218', '贡莫乡', 'gongmoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434219', '513434', '513434219', '拉白乡', 'labaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434220', '513434', '513434220', '乐青地乡', 'leqingdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434221', '513434', '513434221', '德吉乡', 'dejixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434222', '513434', '513434222', '依洛地坝乡', 'yiluodibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434223', '513434', '513434223', '尔赛乡', 'ersaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434224', '513434', '513434224', '古二乡', 'guerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434225', '513434', '513434225', '竹阿觉乡', 'zhuajuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434226', '513434', '513434226', '保石乡', 'baoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434227', '513434', '513434227', '五里箐乡', 'wuliqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434228', '513434', '513434228', '书古乡', 'shuguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434229', '513434', '513434229', '瓦普莫乡', 'wapumoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434230', '513434', '513434230', '申果乡', 'shenguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434231', '513434', '513434231', '瓦曲觉乡', 'waqujuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434232', '513434', '513434232', '申普乡', 'shenpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434233', '513434', '513434233', '瓦曲乃乌乡', 'waqunaiwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434234', '513434', '513434234', '瓦里觉乡', 'walijuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513434235', '513434', '513434235', '拉吉乡', 'lajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435', '5134', '513435', '甘洛县', 'ganluoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435100', '513435', '513435100', '新市坝镇', 'xinshibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435101', '513435', '513435101', '田坝镇', 'tianbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435102', '513435', '513435102', '海棠镇', 'haitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435103', '513435', '513435103', '吉米镇', 'jimizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435104', '513435', '513435104', '斯觉镇', 'sijuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435105', '513435', '513435105', '普昌镇', 'puchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435106', '513435', '513435106', '玉田镇', 'yutianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435200', '513435', '513435200', '前进乡', 'qianjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435201', '513435', '513435201', '胜利乡', 'shenglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435202', '513435', '513435202', '新茶乡', 'xinchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435203', '513435', '513435203', '两河乡', 'lianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435204', '513435', '513435204', '里克乡', 'likexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435205', '513435', '513435205', '尼尔觉乡', 'nierjuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435206', '513435', '513435206', '拉莫乡', 'lamoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435207', '513435', '513435207', '波波乡', 'boboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435208', '513435', '513435208', '阿嘎乡', 'agaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435209', '513435', '513435209', '阿尔乡', 'aerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435210', '513435', '513435210', '石海乡', 'shihaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435211', '513435', '513435211', '团结乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435212', '513435', '513435212', '嘎日乡', 'garixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435213', '513435', '513435213', '则拉乡', 'zelaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435214', '513435', '513435214', '坪坝乡', 'pingbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435215', '513435', '513435215', '蓼坪乡', 'liaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435216', '513435', '513435216', '阿兹觉乡', 'azijuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435217', '513435', '513435217', '乌史大桥乡', 'wushidaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435218', '513435', '513435218', '黑马乡', 'heimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435219', '513435', '513435219', '沙岱乡', 'shadaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513435220', '513435', '513435220', '苏雄乡', 'suxiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436', '5134', '513436', '美姑县', 'meiguxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436100', '513436', '513436100', '巴普镇', 'bapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436200', '513436', '513436200', '觉洛乡', 'jueluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436201', '513436', '513436201', '井叶特西乡', 'jingyetexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436202', '513436', '513436202', '合姑洛乡', 'heguluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436203', '513436', '513436203', '巴古乡', 'baguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436204', '513436', '513436204', '农作乡', 'nongzuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436205', '513436', '513436205', '佐戈依达乡', 'zuogeyidaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436206', '513436', '513436206', '子威乡', 'ziweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436207', '513436', '513436207', '依洛拉达乡', 'yiluoladaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436208', '513436', '513436208', '典补乡', 'dianbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436209', '513436', '513436209', '哈洛乡', 'haluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436210', '513436', '513436210', '牛牛坝乡', 'niuniubaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436211', '513436', '513436211', '尔合乡', 'erhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436212', '513436', '513436212', '竹库乡', 'zhukuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436213', '513436', '513436213', '候古莫乡', 'hougumoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436214', '513436', '513436214', '候播乃拖乡', 'houbonaituoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436215', '513436', '513436215', '采红乡', 'caihongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436216', '513436', '513436216', '苏洛乡', 'suluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436217', '513436', '513436217', '九口乡', 'jiukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436218', '513436', '513436218', '洛俄依甘乡', 'luoeyiganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436219', '513436', '513436219', '拉木阿觉乡', 'lamuajuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436220', '513436', '513436220', '洛莫依达乡', 'luomoyidaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436221', '513436', '513436221', '柳洪乡', 'liuhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436222', '513436', '513436222', '乐约乡', 'leyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436223', '513436', '513436223', '尔其乡', 'erqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436224', '513436', '513436224', '瓦古乡', 'waguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436225', '513436', '513436225', '峨曲古乡', 'equguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436226', '513436', '513436226', '炳途乡', 'bingtuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436227', '513436', '513436227', '拖木乡', 'tuomuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436228', '513436', '513436228', '尼哈乡', 'nihaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436229', '513436', '513436229', '龙门乡', 'longmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436230', '513436', '513436230', '依果觉乡', 'yiguojuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436231', '513436', '513436231', '洒库乡', 'sakuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436232', '513436', '513436232', '瓦西乡', 'waxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436233', '513436', '513436233', '树窝乡', 'shuwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513436234', '513436', '513436234', '龙窝乡', 'longwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437', '5134', '513437', '雷波县', 'leiboxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437100', '513437', '513437100', '锦城镇', 'jinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437101', '513437', '513437101', '西宁镇', 'xiningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437102', '513437', '513437102', '汶水镇', 'wenshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437103', '513437', '513437103', '黄琅镇', 'huanglangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437200', '513437', '513437200', '南田乡', 'nantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437201', '513437', '513437201', '海湾乡', 'haiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437202', '513437', '513437202', '杉树堡乡', 'shanshubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437203', '513437', '513437203', '箐口乡', 'qingkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437204', '513437', '513437204', '帕哈乡', 'pahaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437205', '513437', '513437205', '永盛乡', 'yongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437206', '513437', '513437206', '溪洛米乡', 'xiluomixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437207', '513437', '513437207', '白铁坝乡', 'baitiebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437208', '513437', '513437208', '顺河乡', 'shunhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437209', '513437', '513437209', '渡口乡', 'dukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437210', '513437', '513437210', '回龙场乡', 'huilongchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437211', '513437', '513437211', '马湖乡', 'mahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437212', '513437', '513437212', '中田乡', 'zhongtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437213', '513437', '513437213', '谷米乡', 'gumixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437214', '513437', '513437214', '柑子乡', 'ganzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437215', '513437', '513437215', '双河口乡', 'shuanghekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437216', '513437', '513437216', '罗山溪乡', 'luoshanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437217', '513437', '513437217', '桂花乡', 'guihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437218', '513437', '513437218', '烂坝子乡', 'lanbazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437219', '513437', '513437219', '沙沱乡', 'shatuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437220', '513437', '513437220', '山棱岗乡', 'shanlenggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437221', '513437', '513437221', '长河乡', 'zhanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437222', '513437', '513437222', '谷堆乡', 'guduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437223', '513437', '513437223', '八寨乡', 'bazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437224', '513437', '513437224', '拉咪乡', 'lamixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437225', '513437', '513437225', '松树乡', 'songshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437226', '513437', '513437226', '曲依乡', 'quyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437227', '513437', '513437227', '千万贯乡', 'qianwanguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437228', '513437', '513437228', '五官乡', 'wuguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437229', '513437', '513437229', '上田坝乡', 'shangtianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437230', '513437', '513437230', '大坪子乡', 'dapingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437231', '513437', '513437231', '簸箕梁子乡', 'bojiliangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437232', '513437', '513437232', '小沟乡', 'xiaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437233', '513437', '513437233', '莫红乡', 'mohongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437234', '513437', '513437234', '克觉乡', 'kejuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437235', '513437', '513437235', '坪头乡', 'pingtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437236', '513437', '513437236', '雷池乡', 'leichixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437237', '513437', '513437237', '巴姑乡', 'baguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437238', '513437', '513437238', '咪姑乡', 'miguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437239', '513437', '513437239', '一车乡', 'yichexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437240', '513437', '513437240', '斯古溪乡', 'siguxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437241', '513437', '513437241', '卡哈洛乡', 'kahaluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437242', '513437', '513437242', '元宝山乡', 'yuanbaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437243', '513437', '513437243', '大岩洞乡', 'dayandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('513437244', '513437', '513437244', '岩脚乡', 'yanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('52', '-1', '52', '贵州省', 'guizhousheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5201', '52', '5201', '贵阳市', 'guiyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520101', '5201', '520101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102', '5201', '520102', '南明区', 'nanmingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102001', '520102', '520102001', '新华路街道', 'xinhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102002', '520102', '520102002', '西湖路街道', 'xihulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102003', '520102', '520102003', '大南门街道', 'dananmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102004', '520102', '520102004', '中华南路街道', 'zhonghuananlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102005', '520102', '520102005', '市府路街道', 'shifulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102006', '520102', '520102006', '河滨街道', 'hebinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102007', '520102', '520102007', '遵义路街道', 'zunyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102008', '520102', '520102008', '兴关路街道', 'xingguanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102009', '520102', '520102009', '沙冲路街道', 'shachonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102010', '520102', '520102010', '太慈桥街道', 'taiciqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102011', '520102', '520102011', '花果园街道', 'huaguoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102012', '520102', '520102012', '油榨街街道', 'youzhajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102013', '520102', '520102013', '中曹司街道', 'zhongcaosijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102014', '520102', '520102014', '二戈寨街道', 'ergezhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102015', '520102', '520102015', '龙洞堡街道', 'longdongbaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102200', '520102', '520102200', '后巢乡', 'houchaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520102201', '520102', '520102201', '云关乡', 'yunguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103', '5201', '520103', '云岩区', 'yunyanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103001', '520103', '520103001', '中华中路街道', 'zhonghuazhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103002', '520103', '520103002', '中山东路街道', 'zhongshandonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103003', '520103', '520103003', '中山西路街道', 'zhongshanxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103004', '520103', '520103004', '中华北路街道', 'zhonghuabeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103005', '520103', '520103005', '北京路街道', 'beijinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103006', '520103', '520103006', '延安中路街道', 'yananzhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103007', '520103', '520103007', '市西路街道', 'shixilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103008', '520103', '520103008', '普陀路街道', 'putuolujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103009', '520103', '520103009', '环城北路街道', 'huanchengbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103010', '520103', '520103010', '贵乌路街道', 'guiwulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103011', '520103', '520103011', '黔灵东路街道', 'qianlingdonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103012', '520103', '520103012', '威清路街道', 'weiqinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103013', '520103', '520103013', '头桥街道', 'touqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103014', '520103', '520103014', '三桥街道', 'sanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103015', '520103', '520103015', '宅吉路街道', 'zhaijilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520103100', '520103', '520103100', '黔灵镇', 'qianlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111', '5201', '520111', '花溪区', 'huaxiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111001', '520111', '520111001', '贵筑街道', 'guizhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111002', '520111', '520111002', '清溪街道', 'qingxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111003', '520111', '520111003', '溪北街道', 'xibeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111101', '520111', '520111101', '青岩镇', 'qingyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111102', '520111', '520111102', '石板镇', 'shibanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111201', '520111', '520111201', '孟关苗族布依族乡', 'mengguanmiaozubuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111202', '520111', '520111202', '小碧布依族苗族乡', 'xiaobibuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111203', '520111', '520111203', '党武乡', 'dangwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111204', '520111', '520111204', '湖潮苗族布依族乡', 'huchaomiaozubuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111205', '520111', '520111205', '久安乡', 'jiuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111206', '520111', '520111206', '麦坪乡', 'maipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111207', '520111', '520111207', '高坡苗族乡', 'gaopomiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111208', '520111', '520111208', '黔陶布依族苗族乡', 'qiantaobuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111209', '520111', '520111209', '马铃布依族苗族乡', 'malingbuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111210', '520111', '520111210', '燕楼乡', 'yanlouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520111400', '520111', '520111400', '羊艾农场', 'yangainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112', '5201', '520112', '乌当区', 'wudangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112001', '520112', '520112001', '新添街道', 'xintianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112002', '520112', '520112002', '高新路街道', 'gaoxinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112003', '520112', '520112003', '金阳街道', 'jinyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112100', '520112', '520112100', '朱昌镇', 'zhuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112101', '520112', '520112101', '东风镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112102', '520112', '520112102', '水田镇', 'shuitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112103', '520112', '520112103', '羊昌镇', 'yangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112104', '520112', '520112104', '金华镇', 'jinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112201', '520112', '520112201', '永乐乡', 'yonglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112202', '520112', '520112202', '下坝乡', 'xiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112203', '520112', '520112203', '新堡布依族乡', 'xinbaobuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112204', '520112', '520112204', '新场乡', 'xinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112205', '520112', '520112205', '百宜乡', 'baiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112206', '520112', '520112206', '偏坡布依族乡', 'pianpobuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520112400', '520112', '520112400', '贵阳市三江农场', 'guiyangshisanjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520113', '5201', '520113', '白云区', 'baiyunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520113001', '520113', '520113001', '大山洞街道', 'dashandongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520113002', '520113', '520113002', '龚家寨街道', 'gongjiazhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520113003', '520113', '520113003', '艳山红街道', 'yanshanhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520113004', '520113', '520113004', '都拉营街道', 'doulayingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520113100', '520113', '520113100', '艳山红镇', 'yanshanhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520113101', '520113', '520113101', '麦架镇', 'maijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520113102', '520113', '520113102', '沙文镇', 'shawenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520113200', '520113', '520113200', '都拉布依族乡', 'doulabuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520113201', '520113', '520113201', '牛场布依族乡', 'niuchangbuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520114', '5201', '520114', '小河区', 'xiaohequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520114550', '520114', '520114550', '黄河社区', 'huangheshequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520114551', '520114', '520114551', '平桥社区', 'pingqiaoshequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520114552', '520114', '520114552', '金竹社区', 'jinzhushequ', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121', '5201', '520121', '开阳县', 'kaiyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121100', '520121', '520121100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121101', '520121', '520121101', '双流镇', 'shuangliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121102', '520121', '520121102', '金中镇', 'jinzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121103', '520121', '520121103', '冯三镇', 'fengsanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121104', '520121', '520121104', '楠木渡镇', 'nanmuduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121105', '520121', '520121105', '龙岗镇', 'longgangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121200', '520121', '520121200', '南龙乡', 'nanlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121201', '520121', '520121201', '永温乡', 'yongwenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121202', '520121', '520121202', '宅吉乡', 'zhaijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121203', '520121', '520121203', '花梨乡', 'hualixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121204', '520121', '520121204', '龙水乡', 'longshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121205', '520121', '520121205', '米坪乡', 'mipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121206', '520121', '520121206', '禾丰乡', 'hefengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121207', '520121', '520121207', '南江乡', 'nanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121208', '520121', '520121208', '高寨乡', 'gaozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520121209', '520121', '520121209', '毛云乡', 'maoyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520122', '5201', '520122', '息烽县', 'xifengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520122100', '520122', '520122100', '永靖镇', 'yongjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520122101', '520122', '520122101', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520122102', '520122', '520122102', '九庄镇', 'jiuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520122103', '520122', '520122103', '小寨坝镇', 'xiaozhaibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520122200', '520122', '520122200', '青山苗族乡', 'qingshanmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520122201', '520122', '520122201', '西山乡', 'xishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520122202', '520122', '520122202', '养龙司乡', 'yanglongsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520122203', '520122', '520122203', '石硐乡', 'shidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520122204', '520122', '520122204', '鹿窝乡', 'luwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520122205', '520122', '520122205', '流长乡', 'liuzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520123', '5201', '520123', '修文县', 'xiuwenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520123100', '520123', '520123100', '龙场镇', 'longchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520123101', '520123', '520123101', '扎佐镇', 'zhazuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520123102', '520123', '520123102', '久长镇', 'jiuzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520123103', '520123', '520123103', '六广镇', 'liuguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520123200', '520123', '520123200', '谷堡乡', 'gubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520123201', '520123', '520123201', '六屯乡', 'liutunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520123202', '520123', '520123202', '小箐乡', 'xiaoqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520123203', '520123', '520123203', '洒坪乡', 'sapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520123204', '520123', '520123204', '大石布依族乡', 'dashibuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520123205', '520123', '520123205', '六桶乡', 'liutongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181', '5201', '520181', '清镇市', 'qingzhenshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181001', '520181', '520181001', '青龙街道', 'qinglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181100', '520181', '520181100', '红枫湖镇', 'hongfenghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181101', '520181', '520181101', '站街镇', 'zhanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181102', '520181', '520181102', '卫城镇', 'weichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181103', '520181', '520181103', '新店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181200', '520181', '520181200', '百花湖乡', 'baihuahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181201', '520181', '520181201', '麦格苗族布依族乡', 'maigemiaozubuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181202', '520181', '520181202', '暗流乡', 'anliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181203', '520181', '520181203', '王庄布依族苗族乡', 'wangzhuangbuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181204', '520181', '520181204', '流长苗族乡', 'liuzhangmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520181205', '520181', '520181205', '犁倭乡', 'liwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5202', '52', '5202', '六盘水市', 'liupanshuishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520201', '5202', '520201', '钟山区', 'zhongshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520201001', '520201', '520201001', '黄土坡街道', 'huangtupojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520201002', '520201', '520201002', '荷城街道', 'hechengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520201003', '520201', '520201003', '凤凰街道', 'fenghuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520201004', '520201', '520201004', '德坞街道', 'dewujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520201100', '520201', '520201100', '老鹰山镇', 'laoyingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520201101', '520201', '520201101', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520201102', '520201', '520201102', '汪家寨镇', 'wangjiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520201103', '520201', '520201103', '大湾镇', 'dawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520201200', '520201', '520201200', '月照彝族回族苗族乡', 'yuezhaoyizuhuizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203', '5202', '520203', '六枝特区', 'liuzhitequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203100', '520203', '520203100', '平寨镇', 'pingzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203101', '520203', '520203101', '郎岱镇', 'langdaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203102', '520203', '520203102', '岩脚镇', 'yanjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203103', '520203', '520203103', '木岗镇', 'mugangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203104', '520203', '520203104', '大用镇', 'dayongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203200', '520203', '520203200', '新窑乡', 'xinyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203201', '520203', '520203201', '落别布依族彝族乡', 'luobiebuyizuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203202', '520203', '520203202', '折溪彝族乡', 'zhexiyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203203', '520203', '520203203', '牛场苗族彝族乡', 'niuchangmiaozuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203204', '520203', '520203204', '新场乡', 'xinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203205', '520203', '520203205', '中寨苗族彝族布依族乡', 'zhongzhaimiaozuyizubuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203206', '520203', '520203206', '堕却乡', 'duoquexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203207', '520203', '520203207', '箐口彝族仡佬族布依族乡', 'qingkouyizugelaozubuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203208', '520203', '520203208', '洒志彝族布依族苗族乡', 'sazhiyizubuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203209', '520203', '520203209', '毛口布依族苗族乡', 'maokoubuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203210', '520203', '520203210', '龙场乡', 'longchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203211', '520203', '520203211', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203212', '520203', '520203212', '梭戛苗族彝族回族乡', 'suojiamiaozuyizuhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520203213', '520203', '520203213', '陇脚布依族乡', 'longjiaobuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221', '5202', '520221', '水城县', 'shuichengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221100', '520221', '520221100', '滥坝镇', 'lanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221200', '520221', '520221200', '董地乡', 'dongdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221201', '520221', '520221201', '陡箐乡', 'douqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221202', '520221', '520221202', '比德乡', 'bidexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221203', '520221', '520221203', '化乐乡', 'hualexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221204', '520221', '520221204', '南开乡', 'nankaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221205', '520221', '520221205', '青林乡', 'qinglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221206', '520221', '520221206', '保华乡', 'baohuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221207', '520221', '520221207', '金盆乡', 'jinpenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221208', '520221', '520221208', '木果乡', 'muguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221209', '520221', '520221209', '发箐乡', 'faqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221210', '520221', '520221210', '双戛乡', 'shuangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221211', '520221', '520221211', '玉舍乡', 'yushexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221212', '520221', '520221212', '勺米乡', 'shaomixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221213', '520221', '520221213', '纸厂乡', 'zhichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221214', '520221', '520221214', '坪寨乡', 'pingzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221215', '520221', '520221215', '发耳乡', 'faerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221216', '520221', '520221216', '都格乡', 'dougexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221217', '520221', '520221217', '鸡场乡', 'jichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221218', '520221', '520221218', '龙场乡', 'longchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221219', '520221', '520221219', '营盘乡', 'yingpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221220', '520221', '520221220', '顺场乡', 'shunchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221221', '520221', '520221221', '花嘎乡', 'huagaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221222', '520221', '520221222', '杨梅乡', 'yangmeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221223', '520221', '520221223', '新街乡', 'xinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221224', '520221', '520221224', '野钟乡', 'yezhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221225', '520221', '520221225', '果布嘎乡', 'guobugaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221226', '520221', '520221226', '米箩乡', 'miluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221227', '520221', '520221227', '阿戛乡', 'ajiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221228', '520221', '520221228', '盐井乡', 'yanjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221229', '520221', '520221229', '蟠龙乡', 'panlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221230', '520221', '520221230', '猴场乡', 'houchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520221231', '520221', '520221231', '红岩乡', 'hongyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222', '5202', '520222', '盘县', 'panxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222100', '520222', '520222100', '红果镇', 'hongguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222101', '520222', '520222101', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222102', '520222', '520222102', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222103', '520222', '520222103', '水塘镇', 'shuitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222104', '520222', '520222104', '民主镇', 'minzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222105', '520222', '520222105', '大山镇', 'dashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222106', '520222', '520222106', '保田镇', 'baotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222107', '520222', '520222107', '老厂镇', 'laochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222108', '520222', '520222108', '玛依镇', 'mayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222109', '520222', '520222109', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222110', '520222', '520222110', '平关镇', 'pingguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222111', '520222', '520222111', '响水镇', 'xiangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222112', '520222', '520222112', '火铺镇', 'huopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222113', '520222', '520222113', '乐民镇', 'leminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222114', '520222', '520222114', '西冲镇', 'xichongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222115', '520222', '520222115', '断江镇', 'duanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222116', '520222', '520222116', '盘江镇', 'panjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222117', '520222', '520222117', '柏果镇', 'boguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222118', '520222', '520222118', '洒基镇', 'sajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222119', '520222', '520222119', '刘官镇', 'liuguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222200', '520222', '520222200', '忠义乡', 'zhongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222201', '520222', '520222201', '新民乡', 'xinminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222202', '520222', '520222202', '普田回族乡', 'putianhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222203', '520222', '520222203', '珠东乡', 'zhudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222204', '520222', '520222204', '两河乡', 'lianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222205', '520222', '520222205', '滑石乡', 'huashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222206', '520222', '520222206', '鸡场坪彝族乡', 'jichangpingyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222207', '520222', '520222207', '松河彝族乡', 'songheyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222208', '520222', '520222208', '坪地彝族乡', 'pingdiyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222209', '520222', '520222209', '四格彝族乡', 'sigeyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222210', '520222', '520222210', '淤泥彝族乡', 'yuniyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222211', '520222', '520222211', '普古彝族苗族乡', 'puguyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222212', '520222', '520222212', '旧营白族彝族苗族乡', 'jiuyingbaizuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222213', '520222', '520222213', '羊场布依族白族苗族乡', 'yangchangbuyizubaizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222214', '520222', '520222214', '保基苗族彝族乡', 'baojimiaozuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222215', '520222', '520222215', '英武乡', 'yingwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520222216', '520222', '520222216', '马场彝族苗族乡', 'machangyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5203', '52', '5203', '遵义市', 'zunyishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520301', '5203', '520301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302', '5203', '520302', '红花岗区', 'honghuagangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302001', '520302', '520302001', '老城街道', 'laochengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302002', '520302', '520302002', '万里路街道', 'wanlilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302003', '520302', '520302003', '中华路街道', 'zhonghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302004', '520302', '520302004', '南门关街道', 'nanmenguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302005', '520302', '520302005', '延安路街道', 'yananlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302006', '520302', '520302006', '舟水桥街道', 'zhoushuiqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302007', '520302', '520302007', '中山路街道', 'zhongshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302008', '520302', '520302008', '北京路街道', 'beijinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302100', '520302', '520302100', '长征镇', 'zhangzhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302101', '520302', '520302101', '巷口镇', 'xiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302102', '520302', '520302102', '南关镇', 'nanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302103', '520302', '520302103', '忠庄镇', 'zhongzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302104', '520302', '520302104', '海龙镇', 'hailongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302105', '520302', '520302105', '深溪镇', 'shenxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302106', '520302', '520302106', '金鼎山镇', 'jindingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520302107', '520302', '520302107', '新蒲镇', 'xinpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520303', '5203', '520303', '汇川区', 'huichuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520303001', '520303', '520303001', '上海路街道', 'shanghailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520303002', '520303', '520303002', '洗马路街道', 'ximalujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520303003', '520303', '520303003', '大连路街道', 'dalianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520303100', '520303', '520303100', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520303101', '520303', '520303101', '董公寺镇', 'donggongsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520303102', '520303', '520303102', '团泽镇', 'tuanzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520303103', '520303', '520303103', '高坪镇', 'gaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520303104', '520303', '520303104', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520303105', '520303', '520303105', '泗渡镇', 'siduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321', '5203', '520321', '遵义县', 'zunyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321100', '520321', '520321100', '南白镇', 'nanbaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321101', '520321', '520321101', '龙坑镇', 'longkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321102', '520321', '520321102', '三岔镇', 'sanchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321103', '520321', '520321103', '苟江镇', 'goujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321104', '520321', '520321104', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321105', '520321', '520321105', '乌江镇', 'wujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321106', '520321', '520321106', '虾子镇', 'xiazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321107', '520321', '520321107', '三渡镇', 'sanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321108', '520321', '520321108', '新舟镇', 'xinzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321109', '520321', '520321109', '永乐镇', 'yonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321110', '520321', '520321110', '龙坪镇', 'longpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321111', '520321', '520321111', '喇叭镇', 'labazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321112', '520321', '520321112', '团溪镇', 'tuanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321113', '520321', '520321113', '铁厂镇', 'tiechangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321114', '520321', '520321114', '西坪镇', 'xipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321115', '520321', '520321115', '尚嵇镇', 'shangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321116', '520321', '520321116', '茅栗镇', 'maolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321117', '520321', '520321117', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321118', '520321', '520321118', '鸭溪镇', 'yaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321119', '520321', '520321119', '石板镇', 'shibanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321120', '520321', '520321120', '乐山镇', 'leshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321121', '520321', '520321121', '枫香镇', 'fengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321122', '520321', '520321122', '泮水镇', 'panshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321123', '520321', '520321123', '马蹄镇', 'matizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321124', '520321', '520321124', '沙湾镇', 'shawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321125', '520321', '520321125', '松林镇', 'songlinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321126', '520321', '520321126', '毛石镇', 'maoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321127', '520321', '520321127', '山盆镇', 'shanpenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321128', '520321', '520321128', '芝麻镇', 'zhimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321200', '520321', '520321200', '平正乡', 'pingzhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520321201', '520321', '520321201', '洪关乡', 'hongguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322', '5203', '520322', '桐梓县', 'tongzixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322100', '520322', '520322100', '娄山关镇', 'loushanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322101', '520322', '520322101', '楚米镇', 'chumizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322102', '520322', '520322102', '新站镇', 'xinzhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322103', '520322', '520322103', '松坎镇', 'songkanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322104', '520322', '520322104', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322105', '520322', '520322105', '水坝塘镇', 'shuibatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322106', '520322', '520322106', '官仓镇', 'guancangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322107', '520322', '520322107', '花秋镇', 'huaqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322108', '520322', '520322108', '羊磴镇', 'yangdengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322109', '520322', '520322109', '九坝镇', 'jiubazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322110', '520322', '520322110', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322111', '520322', '520322111', '夜郎镇', 'yelangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322112', '520322', '520322112', '木瓜镇', 'muguazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322113', '520322', '520322113', '坡渡镇', 'poduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322114', '520322', '520322114', '燎原镇', 'liaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322115', '520322', '520322115', '狮溪镇', 'shixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322200', '520322', '520322200', '茅石乡', 'maoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322201', '520322', '520322201', '风水乡', 'fengshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322202', '520322', '520322202', '容光乡', 'rongguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322203', '520322', '520322203', '小水乡', 'xiaoshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322204', '520322', '520322204', '天坪乡', 'tianpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322205', '520322', '520322205', '黄莲乡', 'huanglianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322206', '520322', '520322206', '芭蕉乡', 'bajiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520322207', '520322', '520322207', '马鬃苗族乡', 'mazongmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323', '5203', '520323', '绥阳县', 'suiyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323100', '520323', '520323100', '洋川镇', 'yangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323101', '520323', '520323101', '郑场镇', 'zhengchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323102', '520323', '520323102', '旺草镇', 'wangcaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323103', '520323', '520323103', '蒲场镇', 'puchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323104', '520323', '520323104', '风华镇', 'fenghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323105', '520323', '520323105', '茅垭镇', 'maoyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323106', '520323', '520323106', '枧坝镇', 'jianbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323107', '520323', '520323107', '宽阔镇', 'kuankuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323108', '520323', '520323108', '黄杨镇', 'huangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323109', '520323', '520323109', '青杠塘镇', 'qinggangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323110', '520323', '520323110', '太白镇', 'taibaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323111', '520323', '520323111', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323200', '520323', '520323200', '大路槽乡', 'dalucaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323201', '520323', '520323201', '小关乡', 'xiaoguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520323202', '520323', '520323202', '坪乐乡', 'pinglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324', '5203', '520324', '正安县', 'zhenganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324100', '520324', '520324100', '凤仪镇', 'fengyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324101', '520324', '520324101', '瑞溪镇', 'ruixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324102', '520324', '520324102', '和溪镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324103', '520324', '520324103', '安场镇', 'anchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324104', '520324', '520324104', '土坪镇', 'tupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324105', '520324', '520324105', '流渡镇', 'liuduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324106', '520324', '520324106', '格林镇', 'gelinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324107', '520324', '520324107', '新州镇', 'xinzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324108', '520324', '520324108', '庙塘镇', 'miaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324109', '520324', '520324109', '小雅镇', 'xiaoyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324110', '520324', '520324110', '中观镇', 'zhongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324200', '520324', '520324200', '碧峰乡', 'bifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324201', '520324', '520324201', '乐俭乡', 'lejianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324202', '520324', '520324202', '谢坝乡', 'xiebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324203', '520324', '520324203', '市坪乡', 'shipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324204', '520324', '520324204', '俭坪乡', 'jianpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324205', '520324', '520324205', '杨兴乡', 'yangxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324206', '520324', '520324206', '桴焉乡', 'fuyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520324207', '520324', '520324207', '班竹乡', 'banzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325', '5203', '520325', '道真仡佬族苗族自治县', 'daozhengelaozumiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325100', '520325', '520325100', '玉溪镇', 'yuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325101', '520325', '520325101', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325102', '520325', '520325102', '隆兴镇', 'longxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325103', '520325', '520325103', '旧城镇', 'jiuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325104', '520325', '520325104', '忠信镇', 'zhongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325105', '520325', '520325105', '洛龙镇', 'luolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325106', '520325', '520325106', '阳溪镇', 'yangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325107', '520325', '520325107', '三桥镇', 'sanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325108', '520325', '520325108', '大矸镇', 'daganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325109', '520325', '520325109', '平模镇', 'pingmozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325200', '520325', '520325200', '上坝土家族乡', 'shangbatujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325201', '520325', '520325201', '棕坪乡', 'zongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325202', '520325', '520325202', '桃源乡', 'taoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520325203', '520325', '520325203', '河口乡', 'hekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326', '5203', '520326', '务川仡佬族苗族自治县', 'wuchuangelaozumiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326100', '520326', '520326100', '都濡镇', 'douruzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326101', '520326', '520326101', '丰乐镇', 'fenglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326102', '520326', '520326102', '黄都镇', 'huangdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326103', '520326', '520326103', '涪洋镇', 'fuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326104', '520326', '520326104', '镇南镇', 'zhennanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326105', '520326', '520326105', '砚山镇', 'yanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326106', '520326', '520326106', '浞水镇', 'zhuoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326107', '520326', '520326107', '茅天镇', 'maotianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326108', '520326', '520326108', '柏村镇', 'bocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326109', '520326', '520326109', '大坪镇', 'dapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326200', '520326', '520326200', '泥高乡', 'nigaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326201', '520326', '520326201', '分水乡', 'fenshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326202', '520326', '520326202', '蕉坝乡', 'jiaobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326203', '520326', '520326203', '红丝乡', 'hongsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520326204', '520326', '520326204', '石朝乡', 'shichaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327', '5203', '520327', '凤冈县', 'fenggangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327100', '520327', '520327100', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327101', '520327', '520327101', '进化镇', 'jinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327102', '520327', '520327102', '琊川镇', 'yachuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327103', '520327', '520327103', '蜂岩镇', 'fengyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327104', '520327', '520327104', '永和镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327105', '520327', '520327105', '花坪镇', 'huapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327106', '520327', '520327106', '绥阳镇', 'suiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327107', '520327', '520327107', '土溪镇', 'tuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327108', '520327', '520327108', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327200', '520327', '520327200', '何坝乡', 'hebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327201', '520327', '520327201', '天桥乡', 'tianqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327202', '520327', '520327202', '王寨乡', 'wangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327203', '520327', '520327203', '石径乡', 'shijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520327204', '520327', '520327204', '新建乡', 'xinjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328', '5203', '520328', '湄潭县', 'meitanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328100', '520328', '520328100', '湄江镇', 'meijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328101', '520328', '520328101', '永兴镇', 'yongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328102', '520328', '520328102', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328103', '520328', '520328103', '马山镇', 'mashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328104', '520328', '520328104', '鱼泉镇', 'yuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328105', '520328', '520328105', '黄家坝镇', 'huangjiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328106', '520328', '520328106', '高台镇', 'gaotaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328107', '520328', '520328107', '茅坪镇', 'maopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328108', '520328', '520328108', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328200', '520328', '520328200', '西河乡', 'xihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328201', '520328', '520328201', '洗马乡', 'ximaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328202', '520328', '520328202', '新南乡', 'xinnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328203', '520328', '520328203', '石莲乡', 'shilianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328204', '520328', '520328204', '抄乐乡', 'chaolexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520328205', '520328', '520328205', '天城乡', 'tianchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520329', '5203', '520329', '余庆县', 'yuqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520329100', '520329', '520329100', '白泥镇', 'bainizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520329101', '520329', '520329101', '小腮镇', 'xiaosaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520329102', '520329', '520329102', '龙溪镇', 'longxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520329103', '520329', '520329103', '构皮滩镇', 'goupitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520329104', '520329', '520329104', '大乌江镇', 'dawujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520329105', '520329', '520329105', '敖溪镇', 'aoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520329106', '520329', '520329106', '龙家镇', 'longjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520329107', '520329', '520329107', '松烟镇', 'songyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520329108', '520329', '520329108', '关兴镇', 'guanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520329200', '520329', '520329200', '花山苗族乡', 'huashanmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330', '5203', '520330', '习水县', 'xishuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330100', '520330', '520330100', '东皇镇', 'donghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330101', '520330', '520330101', '土城镇', 'tuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330102', '520330', '520330102', '同民镇', 'tongminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330103', '520330', '520330103', '醒民镇', 'xingminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330104', '520330', '520330104', '隆兴镇', 'longxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330105', '520330', '520330105', '习酒镇', 'xijiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330106', '520330', '520330106', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330107', '520330', '520330107', '桑木镇', 'sangmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330108', '520330', '520330108', '永安镇', 'yonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330109', '520330', '520330109', '良村镇', 'liangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330110', '520330', '520330110', '温水镇', 'wenshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330111', '520330', '520330111', '仙源镇', 'xianyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330112', '520330', '520330112', '官店镇', 'guandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330113', '520330', '520330113', '寨坝镇', 'zhaibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330200', '520330', '520330200', '民化乡', 'minhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330201', '520330', '520330201', '二郎乡', 'erlangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330202', '520330', '520330202', '二里乡', 'erlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330203', '520330', '520330203', '三岔河乡', 'sanchahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330204', '520330', '520330204', '大坡乡', 'dapoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330205', '520330', '520330205', '双龙乡', 'shuanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330206', '520330', '520330206', '桃林乡', 'taolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330207', '520330', '520330207', '坭坝乡', 'nibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520330208', '520330', '520330208', '程寨乡', 'chengzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381', '5203', '520381', '赤水市', 'chishuishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381001', '520381', '520381001', '市中街道', 'shizhongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381002', '520381', '520381002', '文华街道', 'wenhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381003', '520381', '520381003', '金华街道', 'jinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381100', '520381', '520381100', '天台镇', 'tiantaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381101', '520381', '520381101', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381102', '520381', '520381102', '大同镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381103', '520381', '520381103', '旺隆镇', 'wanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381104', '520381', '520381104', '葫市镇', 'hushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381105', '520381', '520381105', '元厚镇', 'yuanhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381106', '520381', '520381106', '官渡镇', 'guanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381107', '520381', '520381107', '长期镇', 'zhangqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381108', '520381', '520381108', '长沙镇', 'zhangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381200', '520381', '520381200', '两河口乡', 'lianghekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381201', '520381', '520381201', '丙安乡', 'binganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381202', '520381', '520381202', '宝源乡', 'baoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381203', '520381', '520381203', '石堡乡', 'shibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520381204', '520381', '520381204', '白云乡', 'baiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382', '5203', '520382', '仁怀市', 'renhuaishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382001', '520382', '520382001', '中枢街道', 'zhongshujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382100', '520382', '520382100', '茅台镇', 'maotaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382101', '520382', '520382101', '坛厂镇', 'tanchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382102', '520382', '520382102', '长岗镇', 'zhanggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382103', '520382', '520382103', '鲁班镇', 'lubanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382104', '520382', '520382104', '五马镇', 'wumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382105', '520382', '520382105', '茅坝镇', 'maobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382106', '520382', '520382106', '九仓镇', 'jiucangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382107', '520382', '520382107', '喜头镇', 'xitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382108', '520382', '520382108', '大坝镇', 'dabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382109', '520382', '520382109', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382110', '520382', '520382110', '合马镇', 'hemazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382111', '520382', '520382111', '二合镇', 'erhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382200', '520382', '520382200', '龙井乡', 'longjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382201', '520382', '520382201', '后山乡', 'houshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382202', '520382', '520382202', '学孔乡', 'xuekongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382203', '520382', '520382203', '高大坪乡', 'gaodapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382204', '520382', '520382204', '火石岗乡', 'huoshigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520382205', '520382', '520382205', '沙滩乡', 'shatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5204', '52', '5204', '安顺市', 'anshunshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520401', '5204', '520401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402', '5204', '520402', '西秀区', 'xixiuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402001', '520402', '520402001', '南街街道', 'nanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402002', '520402', '520402002', '东街街道', 'dongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402003', '520402', '520402003', '西街街道', 'xijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402004', '520402', '520402004', '北街街道', 'beijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402005', '520402', '520402005', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402006', '520402', '520402006', '华西街道', 'huaxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402007', '520402', '520402007', '西航街道', 'xihangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402100', '520402', '520402100', '宋旗镇', 'songqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402101', '520402', '520402101', '幺铺镇', 'yaopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402102', '520402', '520402102', '宁谷镇', 'ningguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402103', '520402', '520402103', '龙宫镇', 'longgongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402104', '520402', '520402104', '双堡镇', 'shuangbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402105', '520402', '520402105', '大西桥镇', 'daxiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402106', '520402', '520402106', '七眼桥镇', 'qiyanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402107', '520402', '520402107', '蔡官镇', 'caiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402108', '520402', '520402108', '轿子山镇', 'jiaozishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402109', '520402', '520402109', '旧州镇', 'jiuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402200', '520402', '520402200', '新场布依族苗族乡', 'xinchangbuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402201', '520402', '520402201', '岩腊苗族布依族乡', 'yanlamiaozubuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402202', '520402', '520402202', '鸡场布依族苗族乡', 'jichangbuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402203', '520402', '520402203', '杨武布依族苗族乡', 'yangwubuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402204', '520402', '520402204', '东屯乡', 'dongtunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402205', '520402', '520402205', '黄腊布依族苗族乡', 'huanglabuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520402206', '520402', '520402206', '刘官乡', 'liuguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520421', '5204', '520421', '平坝县', 'pingbaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520421100', '520421', '520421100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520421101', '520421', '520421101', '白云镇', 'baiyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520421102', '520421', '520421102', '高峰镇', 'gaofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520421103', '520421', '520421103', '天龙镇', 'tianlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520421104', '520421', '520421104', '夏云镇', 'xiayunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520421105', '520421', '520421105', '马场镇', 'machangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520421200', '520421', '520421200', '乐平乡', 'lepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520421201', '520421', '520421201', '齐伯乡', 'qiboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520421202', '520421', '520421202', '十字回族苗族乡', 'shizihuizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520421203', '520421', '520421203', '羊昌布依族苗族乡', 'yangchangbuyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422', '5204', '520422', '普定县', 'pudingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422100', '520422', '520422100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422101', '520422', '520422101', '马官镇', 'maguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422102', '520422', '520422102', '化处镇', 'huachuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422103', '520422', '520422103', '马场镇', 'machangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422104', '520422', '520422104', '白岩镇', 'baiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422200', '520422', '520422200', '龙场乡', 'longchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422201', '520422', '520422201', '鸡场坡乡', 'jichangpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422202', '520422', '520422202', '坪上苗族彝族布依族乡', 'pingshangmiaozuyizubuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422203', '520422', '520422203', '补郎苗族乡', 'bulangmiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422204', '520422', '520422204', '猴场苗族仡佬族乡', 'houchangmiaozugelaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520422205', '520422', '520422205', '猫洞苗族仡佬族乡', 'maodongmiaozugelaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423', '5204', '520423', '镇宁布依族苗族自治县', 'zhenningbuyizumiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423100', '520423', '520423100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423101', '520423', '520423101', '丁旗镇', 'dingqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423102', '520423', '520423102', '黄果树镇', 'huangguoshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423103', '520423', '520423103', '江龙镇', 'jianglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423200', '520423', '520423200', '大山乡', 'dashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423201', '520423', '520423201', '扁担山乡', 'biandanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423202', '520423', '520423202', '募役乡', 'muyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423203', '520423', '520423203', '马厂乡', 'machangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423204', '520423', '520423204', '沙子乡', 'shazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423205', '520423', '520423205', '朵卜陇乡', 'duobulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423206', '520423', '520423206', '革利乡', 'gelixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423207', '520423', '520423207', '本寨乡', 'benzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423208', '520423', '520423208', '六马乡', 'liumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423209', '520423', '520423209', '良田乡', 'liangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423210', '520423', '520423210', '简嘎乡', 'jiangaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520423211', '520423', '520423211', '打帮乡', 'dabangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424', '5204', '520424', '关岭自治县', 'guanlingzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424100', '520424', '520424100', '关索镇', 'guansuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424101', '520424', '520424101', '花江镇', 'huajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424102', '520424', '520424102', '永宁镇', 'yongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424103', '520424', '520424103', '岗乌镇', 'gangwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424104', '520424', '520424104', '上关镇', 'shangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424105', '520424', '520424105', '坡贡镇', 'pogongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424106', '520424', '520424106', '断桥镇', 'duanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424107', '520424', '520424107', '白水镇', 'baishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424200', '520424', '520424200', '八德乡', 'badexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424201', '520424', '520424201', '顶云乡', 'dingyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424202', '520424', '520424202', '普利乡', 'pulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424203', '520424', '520424203', '板贵乡', 'banguixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424204', '520424', '520424204', '新铺乡', 'xinpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520424205', '520424', '520424205', '沙营乡', 'shayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425', '5204', '520425', '紫云苗族布依族自治县', 'ziyunmiaozubuyizuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425100', '520425', '520425100', '松山镇', 'songshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425101', '520425', '520425101', '水塘镇', 'shuitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425102', '520425', '520425102', '猴场镇', 'houchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425103', '520425', '520425103', '猫营镇', 'maoyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425104', '520425', '520425104', '板当镇', 'bandangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425200', '520425', '520425200', '白石岩乡', 'baishiyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425201', '520425', '520425201', '宗地乡', 'zongdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425202', '520425', '520425202', '大营乡', 'dayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425203', '520425', '520425203', '四大寨乡', 'sidazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425204', '520425', '520425204', '坝羊乡', 'bayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425205', '520425', '520425205', '火花乡', 'huohuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('520425206', '520425', '520425206', '达帮乡', 'dabangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5219fcb5c3384c0099a0cb85c8fffebd', '110228', '110228001', '鼓楼街道', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5222', '52', '5222', '铜仁地区', 'tongrendiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201', '5222', '522201', '铜仁市', 'tongrenshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201001', '522201', '522201001', '河西', 'hexi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201002', '522201', '522201002', '环北', 'huanbei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201003', '522201', '522201003', '谢桥', 'xieqiao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201004', '522201', '522201004', '市中', 'shizhong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201005', '522201', '522201005', '灯塔', 'dengta', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201100', '522201', '522201100', '云场坪镇', 'yunchangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201101', '522201', '522201101', '川硐镇', 'chuandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201102', '522201', '522201102', '坝黄镇', 'bahuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201103', '522201', '522201103', '茶店镇', 'chadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201104', '522201', '522201104', '漾头镇', 'yangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201200', '522201', '522201200', '桐木坪侗族乡', 'tongmupingdongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201201', '522201', '522201201', '鱼塘侗族苗族乡', 'yutangdongzumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201202', '522201', '522201202', '大坪侗族苗族土家族乡', 'dapingdongzumiaozutujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201203', '522201', '522201203', '和平土家族侗族乡', 'hepingtujiazudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201204', '522201', '522201204', '滑石侗族苗族土家族乡', 'huashidongzumiaozutujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201205', '522201', '522201205', '瓦屋侗族乡', 'wawudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522201206', '522201', '522201206', '六龙山侗族土家族乡', 'liulongshandongzutujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522222', '5222', '522222', '江口县', 'jiangkouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522222100', '522222', '522222100', '双江镇', 'shuangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522222101', '522222', '522222101', '闵孝镇', 'minxiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522222200', '522222', '522222200', '太平土家族苗族乡', 'taipingtujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522222201', '522222', '522222201', '坝盘土家族侗族苗族乡', 'bapantujiazudongzumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522222202', '522222', '522222202', '德旺土家族苗族乡', 'dewangtujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522222203', '522222', '522222203', '民和侗族土家族苗族乡', 'minhedongzutujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522222204', '522222', '522222204', '官和侗族土家族苗族乡', 'guanhedongzutujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522222205', '522222', '522222205', '桃映土家族苗族乡', 'taoyingtujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522222206', '522222', '522222206', '怒溪土家族苗族乡', 'nuxitujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522223', '5222', '522223', '玉屏侗族自治县', 'yupingdongzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522223100', '522223', '522223100', '平溪镇', 'pingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522223101', '522223', '522223101', '大龙镇', 'dalongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522223102', '522223', '522223102', '朱家场镇', 'zhujiachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522223103', '522223', '522223103', '田坪镇', 'tianpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522223200', '522223', '522223200', '新店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522223201', '522223', '522223201', '亚鱼乡', 'yayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224', '5222', '522224', '石阡县', 'shiqianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224100', '522224', '522224100', '汤山镇', 'tangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224101', '522224', '522224101', '本庄镇', 'benzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224102', '522224', '522224102', '白沙镇', 'baishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224103', '522224', '522224103', '龙塘镇', 'longtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224104', '522224', '522224104', '花桥镇', 'huaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224105', '522224', '522224105', '五德镇', 'wudezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224106', '522224', '522224106', '中坝镇', 'zhongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224200', '522224', '522224200', '河坝场乡', 'hebachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224201', '522224', '522224201', '国荣乡', 'guorongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224202', '522224', '522224202', '聚凤仡佬族侗族乡', 'jufenggelaozudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224203', '522224', '522224203', '龙井仡佬族侗族乡', 'longjinggelaozudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224204', '522224', '522224204', '大沙坝仡佬族侗族乡', 'dashabagelaozudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224205', '522224', '522224205', '枫香仡佬族侗族乡', 'fengxianggelaozudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224206', '522224', '522224206', '青阳苗族仡佬族侗族乡', 'qingyangmiaozugelaozudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224207', '522224', '522224207', '石固仡佬族侗族乡', 'shigugelaozudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224208', '522224', '522224208', '坪地场仡佬族侗族乡', 'pingdichanggelaozudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224209', '522224', '522224209', '甘溪仡佬族侗族乡', 'ganxigelaozudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522224210', '522224', '522224210', '坪山仡佬族侗族乡', 'pingshangelaozudongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225', '5222', '522225', '思南县', 'sinanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225100', '522225', '522225100', '思唐镇', 'sitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225101', '522225', '522225101', '塘头镇', 'tangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225102', '522225', '522225102', '许家坝镇', 'xujiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225103', '522225', '522225103', '大坝场镇', 'dabachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225104', '522225', '522225104', '文家店镇', 'wenjiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225105', '522225', '522225105', '鹦鹉溪镇', 'yingwuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225106', '522225', '522225106', '合朋溪镇', 'hepengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225107', '522225', '522225107', '张家寨镇', 'zhangjiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225108', '522225', '522225108', '孙家坝镇', 'sunjiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225109', '522225', '522225109', '青杠坡镇', 'qinggangpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225110', '522225', '522225110', '瓮溪镇', 'wengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225111', '522225', '522225111', '凉水井镇', 'liangshuijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225112', '522225', '522225112', '邵家桥镇', 'shaojiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225200', '522225', '522225200', '大河坝土家族苗族乡', 'dahebatujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225201', '522225', '522225201', '思林土家族苗族乡', 'silintujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225202', '522225', '522225202', '东华土家族苗族乡', 'donghuatujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225203', '522225', '522225203', '胡家湾苗族土家族乡', 'hujiawanmiaozutujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225204', '522225', '522225204', '宽坪土家族苗族乡', 'kuanpingtujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225205', '522225', '522225205', '亭子坝土家族苗族乡', 'tingzibatujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225206', '522225', '522225206', '枫芸土家族苗族乡', 'fengyuntujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225207', '522225', '522225207', '香坝土家族苗族乡', 'xiangbatujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225208', '522225', '522225208', '长坝苗族土家族乡', 'zhangbamiaozutujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225209', '522225', '522225209', '板桥苗族土家族乡', 'banqiaomiaozutujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225210', '522225', '522225210', '三道水土家族苗族乡', 'sandaoshuitujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225211', '522225', '522225211', '天桥土家族苗族乡', 'tianqiaotujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225212', '522225', '522225212', '兴隆土家族苗族乡', 'xinglongtujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522225213', '522225', '522225213', '杨家坳苗族土家族乡', 'yangjiaaomiaozutujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226', '5222', '522226', '印江土家族苗族自治县', 'yinjiangtujiazumiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226100', '522226', '522226100', '峨岭镇', 'elingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226101', '522226', '522226101', '板溪镇', 'banxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226102', '522226', '522226102', '沙子坡镇', 'shazipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226103', '522226', '522226103', '天堂镇', 'tiantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226104', '522226', '522226104', '木黄镇', 'muhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226105', '522226', '522226105', '合水镇', 'heshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226106', '522226', '522226106', '朗溪镇', 'langxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226107', '522226', '522226107', '缠溪镇', 'chanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226108', '522226', '522226108', '洋溪镇', 'yangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226200', '522226', '522226200', '新寨乡', 'xinzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226201', '522226', '522226201', '中坝乡', 'zhongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226202', '522226', '522226202', '杉树乡', 'shanshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226203', '522226', '522226203', '刀坝乡', 'daobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226204', '522226', '522226204', '新业乡', 'xinyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226205', '522226', '522226205', '永义乡', 'yongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226206', '522226', '522226206', '罗场乡', 'luochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522226207', '522226', '522226207', '杨柳乡', 'yangliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227', '5222', '522227', '德江县', 'dejiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227100', '522227', '522227100', '青龙镇', 'qinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227101', '522227', '522227101', '煎茶镇', 'jianchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227102', '522227', '522227102', '潮砥镇', 'chaodizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227103', '522227', '522227103', '枫香溪镇', 'fengxiangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227104', '522227', '522227104', '稳坪镇', 'wenpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227200', '522227', '522227200', '共和土家族乡', 'gonghetujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227201', '522227', '522227201', '堰塘土家族乡', 'yantangtujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227202', '522227', '522227202', '龙泉土家族乡', 'longquantujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227203', '522227', '522227203', '钱家土家族乡', 'qianjiatujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227204', '522227', '522227204', '沙溪土家族乡', 'shaxitujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227205', '522227', '522227205', '楠杆土家族乡', 'nangantujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227206', '522227', '522227206', '平原土家族乡', 'pingyuantujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227207', '522227', '522227207', '复兴土家族苗族乡', 'fuxingtujiazumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227208', '522227', '522227208', '合兴土家族乡', 'hexingtujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227209', '522227', '522227209', '长堡土家族乡', 'zhangbaotujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227210', '522227', '522227210', '桶井土家族乡', 'tongjingtujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227211', '522227', '522227211', '荆角土家族乡', 'jingjiaotujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227212', '522227', '522227212', '长丰土家族乡', 'zhangfengtujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227213', '522227', '522227213', '高山土家族乡', 'gaoshantujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522227214', '522227', '522227214', '泉口土家族乡', 'quankoutujiazuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228', '5222', '522228', '沿河土家族自治县', 'yanhetujiazuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228100', '522228', '522228100', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228101', '522228', '522228101', '沙子镇', 'shazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228102', '522228', '522228102', '谯家镇', 'qiaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228103', '522228', '522228103', '夹石镇', 'jiashizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228104', '522228', '522228104', '淇滩镇', 'qitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228105', '522228', '522228105', '官舟镇', 'guanzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228106', '522228', '522228106', '土地坳镇', 'tudiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228107', '522228', '522228107', '思渠镇', 'siquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228108', '522228', '522228108', '客田镇', 'ketianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228109', '522228', '522228109', '洪渡镇', 'hongduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228200', '522228', '522228200', '黑獭乡', 'heitaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228201', '522228', '522228201', '黑水乡', 'heishuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228202', '522228', '522228202', '中界乡', 'zhongjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228203', '522228', '522228203', '晓景乡', 'xiaojingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228204', '522228', '522228204', '甘溪乡', 'ganxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228205', '522228', '522228205', '板场乡', 'banchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228206', '522228', '522228206', '泉坝乡', 'quanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228207', '522228', '522228207', '中寨乡', 'zhongzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228208', '522228', '522228208', '黄土乡', 'huangtuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228209', '522228', '522228209', '新景乡', 'xinjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228210', '522228', '522228210', '塘坝乡', 'tangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522228211', '522228', '522228211', '后坪乡', 'houpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229', '5222', '522229', '松桃苗族自治县', 'songtaomiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229100', '522229', '522229100', '蓼皋镇', 'liaogaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229101', '522229', '522229101', '盘石镇', 'panshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229102', '522229', '522229102', '盘信镇', 'panxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229103', '522229', '522229103', '大坪场镇', 'dapingchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229104', '522229', '522229104', '普觉镇', 'pujuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229105', '522229', '522229105', '寨英镇', 'zhaiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229106', '522229', '522229106', '孟溪镇', 'mengxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229107', '522229', '522229107', '乌罗镇', 'wuluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229108', '522229', '522229108', '甘龙镇', 'ganlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229109', '522229', '522229109', '长兴堡镇', 'zhangxingbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229110', '522229', '522229110', '迓驾镇', 'yajiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229111', '522229', '522229111', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229112', '522229', '522229112', '牛郎镇', 'niulangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229200', '522229', '522229200', '九江乡', 'jiujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229201', '522229', '522229201', '世昌乡', 'shichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229202', '522229', '522229202', '正大乡', 'zhengdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229203', '522229', '522229203', '长坪乡', 'zhangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229204', '522229', '522229204', '太平营乡', 'taipingyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229205', '522229', '522229205', '平头乡', 'pingtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229206', '522229', '522229206', '大路乡', 'daluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229207', '522229', '522229207', '妙隘乡', 'miaoaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229208', '522229', '522229208', '冷水溪乡', 'lengshuixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229209', '522229', '522229209', '石梁乡', 'shiliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229210', '522229', '522229210', '瓦溪乡', 'waxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229211', '522229', '522229211', '永安乡', 'yonganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229212', '522229', '522229212', '木树乡', 'mushuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229213', '522229', '522229213', '黄板乡', 'huangbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522229214', '522229', '522229214', '沙坝河乡', 'shabahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522230', '5222', '522230', '万山特区', 'wanshantequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522230100', '522230', '522230100', '万山镇', 'wanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522230200', '522230', '522230200', '高楼坪侗族乡', 'gaoloupingdongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522230201', '522230', '522230201', '黄道侗族乡', 'huangdaodongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522230202', '522230', '522230202', '敖寨侗族乡', 'aozhaidongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522230203', '522230', '522230203', '下溪侗族乡', 'xiaxidongzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5223', '52', '5223', '黔西南州', 'qianxinanzhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301', '5223', '522301', '兴义市', 'xingyishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301001', '522301', '522301001', '黄草街道', 'huangcaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301002', '522301', '522301002', '桔山街道', 'jieshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301003', '522301', '522301003', '坪东街道', 'pingdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301004', '522301', '522301004', '下五屯街道', 'xiawutunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301100', '522301', '522301100', '敬南镇', 'jingnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301101', '522301', '522301101', '泥凼镇', 'nidangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301102', '522301', '522301102', '巴结镇', 'bajiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301103', '522301', '522301103', '捧乍镇', 'pengzhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301104', '522301', '522301104', '鲁布格镇', 'lubugezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301105', '522301', '522301105', '三江口镇', 'sanjiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301106', '522301', '522301106', '乌沙镇', 'wushazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301107', '522301', '522301107', '白碗窑镇', 'baiwanyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301108', '522301', '522301108', '马岭镇', 'malingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301109', '522301', '522301109', '威舍镇', 'weishezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301110', '522301', '522301110', '清水河镇', 'qingshuihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301111', '522301', '522301111', '顶效镇', 'dingxiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301112', '522301', '522301112', '郑屯镇', 'zhengtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301113', '522301', '522301113', '万屯镇', 'wantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301114', '522301', '522301114', '鲁屯镇', 'lutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301115', '522301', '522301115', '仓更镇', 'canggengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301116', '522301', '522301116', '七舍镇', 'qishezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301200', '522301', '522301200', '则戎乡', 'zerongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301201', '522301', '522301201', '沧江乡', 'cangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301202', '522301', '522301202', '洛万乡', 'luowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301203', '522301', '522301203', '猪场坪乡', 'zhuchangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522301204', '522301', '522301204', '雄武乡', 'xiongwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322', '5223', '522322', '兴仁县', 'xingrenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322100', '522322', '522322100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322101', '522322', '522322101', '屯脚镇', 'tunjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322102', '522322', '522322102', '巴铃镇', 'balingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322103', '522322', '522322103', '百德镇', 'baidezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322104', '522322', '522322104', '雨樟镇', 'yuzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322105', '522322', '522322105', '潘家庄镇', 'panjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322106', '522322', '522322106', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322107', '522322', '522322107', '下山镇', 'xiashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322108', '522322', '522322108', '新龙场镇', 'xinlongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322200', '522322', '522322200', '大山乡', 'dashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322201', '522322', '522322201', '新马场乡', 'xinmachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322202', '522322', '522322202', '四联乡', 'silianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322203', '522322', '522322203', '李关乡', 'liguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322204', '522322', '522322204', '田湾乡', 'tianwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322205', '522322', '522322205', '鲁础营乡', 'luchuyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522322206', '522322', '522322206', '民建乡', 'minjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323', '5223', '522323', '普安县', 'puanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323100', '522323', '522323100', '盘水镇', 'panshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323101', '522323', '522323101', '龙吟镇', 'longyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323102', '522323', '522323102', '罐子窑镇', 'guanziyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323103', '522323', '522323103', '江西坡镇', 'jiangxipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323104', '522323', '522323104', '三板桥镇', 'sanbanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323105', '522323', '522323105', '地瓜镇', 'diguazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323106', '522323', '522323106', '青山镇', 'qingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323107', '522323', '522323107', '楼下镇', 'louxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323200', '522323', '522323200', '白沙乡', 'baishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323201', '522323', '522323201', '高棉乡', 'gaomianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323202', '522323', '522323202', '窝沿乡', 'woyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323203', '522323', '522323203', '罗汉乡', 'luohanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323204', '522323', '522323204', '新店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522323205', '522323', '522323205', '雪浦乡', 'xuepuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324', '5223', '522324', '晴隆县', 'qinglongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324100', '522324', '522324100', '莲城镇', 'lianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324101', '522324', '522324101', '沙子镇', 'shazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324102', '522324', '522324102', '碧痕镇', 'bihenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324103', '522324', '522324103', '大厂镇', 'dachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324104', '522324', '522324104', '鸡场镇', 'jichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324105', '522324', '522324105', '花贡镇', 'huagongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324106', '522324', '522324106', '中营镇', 'zhongyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324107', '522324', '522324107', '光照镇', 'guangzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324200', '522324', '522324200', '长流乡', 'zhangliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324201', '522324', '522324201', '大田乡', 'datianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324202', '522324', '522324202', '马场乡', 'machangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324204', '522324', '522324204', '紫马乡', 'zimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324205', '522324', '522324205', '安谷乡', 'anguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522324206', '522324', '522324206', '三宝彝族乡', 'sanbaoyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325', '5223', '522325', '贞丰县', 'zhenfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325100', '522325', '522325100', '珉谷镇', 'minguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325101', '522325', '522325101', '龙场镇', 'longchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325102', '522325', '522325102', '者相镇', 'zhexiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325103', '522325', '522325103', '北盘江镇', 'beipanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325104', '522325', '522325104', '白层镇', 'baicengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325105', '522325', '522325105', '鲁贡镇', 'lugongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325200', '522325', '522325200', '连环乡', 'lianhuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325201', '522325', '522325201', '挽澜乡', 'wanlanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325202', '522325', '522325202', '小屯乡', 'xiaotunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325203', '522325', '522325203', '长田乡', 'zhangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325204', '522325', '522325204', '平街乡', 'pingjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325205', '522325', '522325205', '鲁容乡', 'lurongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522325206', '522325', '522325206', '沙坪乡', 'shapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326', '5223', '522326', '望谟县', 'wangmoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326100', '522326', '522326100', '复兴镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326101', '522326', '522326101', '乐元镇', 'leyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326102', '522326', '522326102', '打易镇', 'dayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326103', '522326', '522326103', '乐旺镇', 'lewangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326104', '522326', '522326104', '桑郎镇', 'sanglangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326105', '522326', '522326105', '纳夜镇', 'nayezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326106', '522326', '522326106', '新屯镇', 'xintunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326107', '522326', '522326107', '石屯镇', 'shitunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326200', '522326', '522326200', '坎边乡', 'kanbianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326201', '522326', '522326201', '岜饶乡', 'baraoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326202', '522326', '522326202', '郊纳乡', 'jiaonaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326203', '522326', '522326203', '大观乡', 'daguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326204', '522326', '522326204', '蔗香乡', 'zhexiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326205', '522326', '522326205', '昂武乡', 'angwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326206', '522326', '522326206', '油迈乡', 'youmaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326207', '522326', '522326207', '麻山乡', 'mashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522326208', '522326', '522326208', '打尖乡', 'dajianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327', '5223', '522327', '册亨县', 'cehengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327100', '522327', '522327100', '者楼镇', 'zhelouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327101', '522327', '522327101', '坡妹镇', 'pomeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327102', '522327', '522327102', '冗渡镇', 'rongduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327103', '522327', '522327103', '丫他镇', 'yatazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327104', '522327', '522327104', '巧马镇', 'qiaomazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327105', '522327', '522327105', '秧坝镇', 'yangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327106', '522327', '522327106', '双江镇', 'shuangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327107', '522327', '522327107', '岩架镇', 'yanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327108', '522327', '522327108', '八渡镇', 'baduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327200', '522327', '522327200', '庆坪乡', 'qingpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327201', '522327', '522327201', '达央乡', 'dayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327202', '522327', '522327202', '威旁乡', 'weipangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327203', '522327', '522327203', '弼佑乡', 'biyouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522327204', '522327', '522327204', '百口乡', 'baikouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328', '5223', '522328', '安龙县', 'anlongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328100', '522328', '522328100', '新安镇', 'xinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328101', '522328', '522328101', '龙广镇', 'longguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328102', '522328', '522328102', '德卧镇', 'dewozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328103', '522328', '522328103', '万峰湖镇', 'wanfenghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328104', '522328', '522328104', '木咱镇', 'muzanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328105', '522328', '522328105', '洒雨镇', 'sayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328106', '522328', '522328106', '普坪镇', 'pupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328107', '522328', '522328107', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328108', '522328', '522328108', '戈塘镇', 'getangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328109', '522328', '522328109', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328110', '522328', '522328110', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328200', '522328', '522328200', '海子乡', 'haizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328201', '522328', '522328201', '笃山乡', 'dushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328202', '522328', '522328202', '平乐乡', 'pinglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328203', '522328', '522328203', '钱相乡', 'qianxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522328204', '522328', '522328204', '坡脚乡', 'pojiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5224', '52', '5224', '毕节地区', 'bijiediqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401', '5224', '522401', '毕节市', 'bijieshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401001', '522401', '522401001', '市西街道', 'shixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401002', '522401', '522401002', '市东街道', 'shidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401003', '522401', '522401003', '三板桥街道', 'sanbanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401004', '522401', '522401004', '流沧桥街道', 'liucangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401005', '522401', '522401005', '大新桥街道', 'daxinqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401006', '522401', '522401006', '观音桥街道', 'guanyinqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401100', '522401', '522401100', '鸭池镇', 'yachizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401101', '522401', '522401101', '梨树镇', 'lishuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401102', '522401', '522401102', '岔河镇', 'chahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401103', '522401', '522401103', '朱昌镇', 'zhuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401104', '522401', '522401104', '田坝镇', 'tianbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401105', '522401', '522401105', '长春堡镇', 'zhangchunbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401106', '522401', '522401106', '撒拉溪镇', 'salaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401107', '522401', '522401107', '杨家湾镇', 'yangjiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401108', '522401', '522401108', '放珠镇', 'fangzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401109', '522401', '522401109', '青场镇', 'qingchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401110', '522401', '522401110', '水箐镇', 'shuiqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401111', '522401', '522401111', '何官屯镇', 'heguantunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401112', '522401', '522401112', '对坡镇', 'duipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401113', '522401', '522401113', '大银镇', 'dayinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401114', '522401', '522401114', '林口镇', 'linkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401115', '522401', '522401115', '生机镇', 'shengjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401116', '522401', '522401116', '清水铺镇', 'qingshuipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401117', '522401', '522401117', '亮岩镇', 'liangyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401118', '522401', '522401118', '燕子口镇', 'yanzikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401119', '522401', '522401119', '八寨镇', 'bazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401120', '522401', '522401120', '田坝桥镇', 'tianbaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401121', '522401', '522401121', '海子街镇', 'haizijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401122', '522401', '522401122', '小坝镇', 'xiaobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401123', '522401', '522401123', '层台镇', 'cengtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401124', '522401', '522401124', '小吉场镇', 'xiaojichangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401125', '522401', '522401125', '普宜镇', 'puyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401126', '522401', '522401126', '龙场营镇', 'longchangyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401200', '522401', '522401200', '千溪乡', 'qianxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401201', '522401', '522401201', '阴底乡', 'yindixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401202', '522401', '522401202', '野角乡', 'yejiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401203', '522401', '522401203', '大河乡', 'dahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401204', '522401', '522401204', '团结乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401205', '522401', '522401205', '阿市乡', 'ashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401206', '522401', '522401206', '大屯乡', 'datunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522401207', '522401', '522401207', '田坎乡', 'tiankanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422', '5224', '522422', '大方县', 'dafangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422100', '522422', '522422100', '大方镇', 'dafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422101', '522422', '522422101', '双山镇', 'shuangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422102', '522422', '522422102', '猫场镇', 'maochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422103', '522422', '522422103', '马场镇', 'machangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422104', '522422', '522422104', '羊场镇', 'yangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422105', '522422', '522422105', '黄泥塘镇', 'huangnitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422106', '522422', '522422106', '六龙镇', 'liulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422107', '522422', '522422107', '达溪镇', 'daxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422108', '522422', '522422108', '瓢井镇', 'piaojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422109', '522422', '522422109', '长石镇', 'zhangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422200', '522422', '522422200', '东关乡', 'dongguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422201', '522422', '522422201', '竹园乡', 'zhuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422202', '522422', '522422202', '响水乡', 'xiangshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422203', '522422', '522422203', '文阁乡', 'wengexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422204', '522422', '522422204', '绿塘乡', 'lu:tangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422205', '522422', '522422205', '鼎新乡', 'dingxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422206', '522422', '522422206', '牛场乡', 'niuchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422207', '522422', '522422207', '高店乡', 'gaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422208', '522422', '522422208', '小屯乡', 'xiaotunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422209', '522422', '522422209', '理化乡', 'lihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422210', '522422', '522422210', '鸡场乡', 'jichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422211', '522422', '522422211', '凤山乡', 'fengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422212', '522422', '522422212', '安乐乡', 'anlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422213', '522422', '522422213', '核桃乡', 'hetaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422214', '522422', '522422214', '八堡乡', 'babaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422215', '522422', '522422215', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422216', '522422', '522422216', '果瓦乡', 'guowaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422217', '522422', '522422217', '大山乡', 'dashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422218', '522422', '522422218', '雨冲乡', 'yuchongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422219', '522422', '522422219', '黄泥乡', 'huangnixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422220', '522422', '522422220', '大水乡', 'dashuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422221', '522422', '522422221', '沙厂乡', 'shachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422222', '522422', '522422222', '普底乡', 'pudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422223', '522422', '522422223', '百纳乡', 'bainaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422224', '522422', '522422224', '三元乡', 'sanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522422225', '522422', '522422225', '星宿乡', 'xingsuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423', '5224', '522423', '黔西县', 'qianxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423100', '522423', '522423100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423101', '522423', '522423101', '金碧镇', 'jinbizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423102', '522423', '522423102', '雨朵镇', 'yuduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423103', '522423', '522423103', '大关镇', 'daguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423104', '522423', '522423104', '谷里镇', 'gulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423105', '522423', '522423105', '素朴镇', 'supozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423106', '522423', '522423106', '中坪镇', 'zhongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423107', '522423', '522423107', '重新镇', 'zhongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423108', '522423', '522423108', '林泉镇', 'linquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423200', '522423', '522423200', '五里乡', 'wulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423201', '522423', '522423201', '沙井乡', 'shajingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423202', '522423', '522423202', '羊场乡', 'yangchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423203', '522423', '522423203', '绿化乡', 'lu:huaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423204', '522423', '522423204', '新仁乡', 'xinrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423205', '522423', '522423205', '钟山乡', 'zhongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423206', '522423', '522423206', '铁石乡', 'tieshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423207', '522423', '522423207', '协和乡', 'xiehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423208', '522423', '522423208', '太来乡', 'tailaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423209', '522423', '522423209', '甘棠乡', 'gantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423210', '522423', '522423210', '永燊乡', 'yongshenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423211', '522423', '522423211', '中建乡', 'zhongjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423212', '522423', '522423212', '花溪乡', 'huaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423213', '522423', '522423213', '定新乡', 'dingxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423214', '522423', '522423214', '洪水乡', 'hongshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423215', '522423', '522423215', '金坡乡', 'jinpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423216', '522423', '522423216', '仁和乡', 'renhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423217', '522423', '522423217', '红林乡', 'honglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522423218', '522423', '522423218', '锦星乡', 'jinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424', '5224', '522424', '金沙县', 'jinshaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424100', '522424', '522424100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424101', '522424', '522424101', '安底镇', 'andizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424102', '522424', '522424102', '沙土镇', 'shatuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424103', '522424', '522424103', '岩孔镇', 'yankongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424104', '522424', '522424104', '禹谟镇', 'yumozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424105', '522424', '522424105', '岚头镇', 'lantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424106', '522424', '522424106', '清池镇', 'qingchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424200', '522424', '522424200', '平坝乡', 'pingbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424201', '522424', '522424201', '西洛乡', 'xiluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424202', '522424', '522424202', '石场乡', 'shichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424203', '522424', '522424203', '桂花乡', 'guihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424204', '522424', '522424204', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424205', '522424', '522424205', '箐门乡', 'qingmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424206', '522424', '522424206', '龙坝乡', 'longbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424207', '522424', '522424207', '高坪乡', 'gaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424208', '522424', '522424208', '化觉乡', 'huajuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424209', '522424', '522424209', '茶园乡', 'chayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424210', '522424', '522424210', '木孔乡', 'mukongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424211', '522424', '522424211', '长坝乡', 'zhangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424212', '522424', '522424212', '源村委会乡', 'yuancunweihuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424213', '522424', '522424213', '官田乡', 'guantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424214', '522424', '522424214', '后山乡', 'houshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424215', '522424', '522424215', '安洛乡', 'anluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424216', '522424', '522424216', '新化乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424217', '522424', '522424217', '大田乡', 'datianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522424218', '522424', '522424218', '马路乡', 'maluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425', '5224', '522425', '织金县', 'zhijinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425100', '522425', '522425100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425101', '522425', '522425101', '桂果镇', 'guiguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425102', '522425', '522425102', '牛场镇', 'niuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425103', '522425', '522425103', '猫场镇', 'maochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425104', '522425', '522425104', '化起镇', 'huaqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425105', '522425', '522425105', '龙场镇', 'longchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425106', '522425', '522425106', '八步镇', 'babuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425107', '522425', '522425107', '以那镇', 'yineizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425108', '522425', '522425108', '三塘镇', 'santangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425109', '522425', '522425109', '阿弓镇', 'agongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425110', '522425', '522425110', '珠藏镇', 'zhuzangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425200', '522425', '522425200', '三甲乡', 'sanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425201', '522425', '522425201', '自强乡', 'ziqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425202', '522425', '522425202', '大平乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425203', '522425', '522425203', '官寨乡', 'guanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425204', '522425', '522425204', '茶店乡', 'chadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425205', '522425', '522425205', '金龙乡', 'jinlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425206', '522425', '522425206', '后寨乡', 'houzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425207', '522425', '522425207', '鸡场乡', 'jichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425208', '522425', '522425208', '中寨乡', 'zhongzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425209', '522425', '522425209', '绮陌乡', 'qimoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425210', '522425', '522425210', '普翁乡', 'puwengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425211', '522425', '522425211', '实兴乡', 'shixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425212', '522425', '522425212', '马场乡', 'machangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425213', '522425', '522425213', '上坪寨乡', 'shangpingzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425214', '522425', '522425214', '营合乡', 'yinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425215', '522425', '522425215', '纳雍乡', 'nayongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425216', '522425', '522425216', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425217', '522425', '522425217', '白泥乡', 'bainixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425218', '522425', '522425218', '少普乡', 'shaopuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425219', '522425', '522425219', '熊家场乡', 'xiongjiachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522425220', '522425', '522425220', '黑土乡', 'heituxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426', '5224', '522426', '纳雍县', 'nayongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426100', '522426', '522426100', '雍熙镇', 'yongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426101', '522426', '522426101', '中岭镇', 'zhonglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426102', '522426', '522426102', '阳长镇', 'yangzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426103', '522426', '522426103', '维新镇', 'weixinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426104', '522426', '522426104', '龙场镇', 'longchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426105', '522426', '522426105', '乐治镇', 'lezhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426106', '522426', '522426106', '王家寨镇', 'wangjiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426107', '522426', '522426107', '百兴镇', 'baixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426108', '522426', '522426108', '张家湾镇', 'zhangjiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426200', '522426', '522426200', '勺窝乡', 'shaowoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426201', '522426', '522426201', '新房乡', 'xinfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426202', '522426', '522426202', '厍东关乡', 'shedongguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426203', '522426', '522426203', '董地乡', 'dongdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426204', '522426', '522426204', '寨乐乡', 'zhailexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426205', '522426', '522426205', '化作乡', 'huazuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426206', '522426', '522426206', '老凹坝乡', 'laoaobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426207', '522426', '522426207', '沙包乡', 'shabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426208', '522426', '522426208', '水东乡', 'shuidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426209', '522426', '522426209', '曙光乡', 'shuguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426210', '522426', '522426210', '姑开乡', 'gukaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426211', '522426', '522426211', '羊场乡', 'yangchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426212', '522426', '522426212', '锅圈岩乡', 'guoquanyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426213', '522426', '522426213', '昆寨乡', 'kunzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426214', '522426', '522426214', '左鸠戛乡', 'zuojiujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522426215', '522426', '522426215', '猪场乡', 'zhuchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427', '5224', '522427', '威宁彝族回族苗族自治县', 'weiningyizuhuizumiaozuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427100', '522427', '522427100', '草海镇', 'caohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427101', '522427', '522427101', '么站镇', 'mezhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427102', '522427', '522427102', '金钟镇', 'jinzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427103', '522427', '522427103', '炉山镇', 'lushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427104', '522427', '522427104', '龙场镇', 'longchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427105', '522427', '522427105', '黑石镇', 'heishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427106', '522427', '522427106', '哲觉镇', 'zhejuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427107', '522427', '522427107', '观风海镇', 'guanfenghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427108', '522427', '522427108', '牛棚镇', 'niupengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427109', '522427', '522427109', '迤那镇', 'yineizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427110', '522427', '522427110', '中水镇', 'zhongshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427111', '522427', '522427111', '龙街镇', 'longjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427112', '522427', '522427112', '雪山镇', 'xueshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427113', '522427', '522427113', '羊街镇', 'yangjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427114', '522427', '522427114', '小海镇', 'xiaohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427115', '522427', '522427115', '盐仓镇', 'yancangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427116', '522427', '522427116', '东风镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427117', '522427', '522427117', '二塘镇', 'ertangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427118', '522427', '522427118', '猴场镇', 'houchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427200', '522427', '522427200', '金斗乡', 'jindouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427201', '522427', '522427201', '新发布依族乡', 'xinfabuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427202', '522427', '522427202', '岔河乡', 'chahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427203', '522427', '522427203', '麻乍乡', 'mazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427204', '522427', '522427204', '海拉乡', 'hailaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427205', '522427', '522427205', '哈喇河乡', 'halahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427206', '522427', '522427206', '秀水乡', 'xiushuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427207', '522427', '522427207', '斗古乡', 'douguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427208', '522427', '522427208', '玉龙乡', 'yulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427209', '522427', '522427209', '黑土河乡', 'heituhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427210', '522427', '522427210', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427211', '522427', '522427211', '云贵乡', 'yunguixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427212', '522427', '522427212', '兔街乡', 'tujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427213', '522427', '522427213', '双龙乡', 'shuanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427214', '522427', '522427214', '板底乡', 'bandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522427215', '522427', '522427215', '大街乡', 'dajiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428', '5224', '522428', '赫章县', 'hezhangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428100', '522428', '522428100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428101', '522428', '522428101', '白果镇', 'baiguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428102', '522428', '522428102', '妈姑镇', 'maguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428103', '522428', '522428103', '财神镇', 'caishenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428104', '522428', '522428104', '六曲河镇', 'liuquhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428105', '522428', '522428105', '野马川镇', 'yemachuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428200', '522428', '522428200', '达依乡', 'dayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428201', '522428', '522428201', '水塘堡乡', 'shuitangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428202', '522428', '522428202', '兴发乡', 'xingfaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428203', '522428', '522428203', '松林坡乡', 'songlinpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428204', '522428', '522428204', '雉街乡', 'zhijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428205', '522428', '522428205', '珠市乡', 'zhushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428206', '522428', '522428206', '罗州乡', 'luozhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428207', '522428', '522428207', '双坪乡', 'shuangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428208', '522428', '522428208', '铁匠乡', 'tiejiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428209', '522428', '522428209', '辅处乡', 'fuchuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428210', '522428', '522428210', '可乐乡', 'kelexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428211', '522428', '522428211', '河镇乡', 'hezhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428212', '522428', '522428212', '德卓乡', 'dezhuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428213', '522428', '522428213', '安乐溪乡', 'anlexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428214', '522428', '522428214', '朱明乡', 'zhumingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428215', '522428', '522428215', '结构乡', 'jiegouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428216', '522428', '522428216', '古基乡', 'gujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428217', '522428', '522428217', '哲庄乡', 'zhezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428218', '522428', '522428218', '平山乡', 'pingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428219', '522428', '522428219', '古达乡', 'gudaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522428220', '522428', '522428220', '威奢乡', 'weishexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5226', '52', '5226', '黔东南苗族侗族自治州', 'qiandongnanmiaozudongzuzizhizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601', '5226', '522601', '凯里市', 'kailishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601001', '522601', '522601001', '城西街道', 'chengxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601002', '522601', '522601002', '大十字街道', 'dashizijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601003', '522601', '522601003', '西门街道', 'ximenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601004', '522601', '522601004', '洗马河街道', 'ximahejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601005', '522601', '522601005', '湾溪街道', 'wanxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601100', '522601', '522601100', '三棵树镇', 'sankeshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601101', '522601', '522601101', '舟溪镇', 'zhouxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601102', '522601', '522601102', '鸭塘镇', 'yatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601103', '522601', '522601103', '旁海镇', 'panghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601104', '522601', '522601104', '湾水镇', 'wanshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601105', '522601', '522601105', '炉山镇', 'lushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601106', '522601', '522601106', '万潮镇', 'wanchaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601107', '522601', '522601107', '龙场镇', 'longchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601200', '522601', '522601200', '凯棠乡', 'kaitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522601201', '522601', '522601201', '大风洞乡', 'dafengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622', '5226', '522622', '黄平县', 'huangpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622100', '522622', '522622100', '新州镇', 'xinzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622101', '522622', '522622101', '旧州镇', 'jiuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622102', '522622', '522622102', '重安镇', 'zhonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622103', '522622', '522622103', '谷陇镇', 'gulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622104', '522622', '522622104', '平溪镇', 'pingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622200', '522622', '522622200', '野洞河乡', 'yedonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622201', '522622', '522622201', '黄飘乡', 'huangpiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622202', '522622', '522622202', '上塘乡', 'shangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622203', '522622', '522622203', '一碗水乡', 'yiwanshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622204', '522622', '522622204', '纸房乡', 'zhifangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622205', '522622', '522622205', '浪洞乡', 'langdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622206', '522622', '522622206', '翁坪乡', 'wengpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622207', '522622', '522622207', '重兴乡', 'zhongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522622208', '522622', '522622208', '苗陇乡', 'miaolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522623', '5226', '522623', '施秉县', 'shibingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522623100', '522623', '522623100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522623101', '522623', '522623101', '杨柳塘镇', 'yangliutangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522623102', '522623', '522623102', '双井镇', 'shuangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522623103', '522623', '522623103', '牛大场镇', 'niudachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522623200', '522623', '522623200', '白垛乡', 'baiduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522623201', '522623', '522623201', '甘溪乡', 'ganxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522623202', '522623', '522623202', '马号乡', 'mahaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522623203', '522623', '522623203', '马溪乡', 'maxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522624', '5226', '522624', '三穗县', 'sansuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522624100', '522624', '522624100', '八弓镇', 'bagongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522624101', '522624', '522624101', '台烈镇', 'tailiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522624102', '522624', '522624102', '瓦寨镇', 'wazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522624103', '522624', '522624103', '桐林镇', 'tonglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522624104', '522624', '522624104', '雪洞镇', 'xuedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522624200', '522624', '522624200', '滚马乡', 'gunmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522624201', '522624', '522624201', '长吉乡', 'zhangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522624202', '522624', '522624202', '款场乡', 'kuanchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522624203', '522624', '522624203', '良上乡', 'liangshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625', '5226', '522625', '镇远县', 'zhenyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625100', '522625', '522625100', '舞阳镇', 'wuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625101', '522625', '522625101', '蕉溪镇', 'jiaoxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625102', '522625', '522625102', '青溪镇', 'qingxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625103', '522625', '522625103', '羊坪镇', 'yangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625104', '522625', '522625104', '羊场镇', 'yangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625105', '522625', '522625105', '都坪镇', 'doupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625200', '522625', '522625200', '江古乡', 'jiangguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625201', '522625', '522625201', '涌溪乡', 'yongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625202', '522625', '522625202', '金堡乡', 'jinbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625203', '522625', '522625203', '报京乡', 'baojingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625204', '522625', '522625204', '大地乡', 'dadixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522625205', '522625', '522625205', '尚寨乡', 'shangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626', '5226', '522626', '岑巩县', 'cengongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626100', '522626', '522626100', '思旸镇', 'siyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626101', '522626', '522626101', '水尾镇', 'shuiweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626102', '522626', '522626102', '天马镇', 'tianmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626103', '522626', '522626103', '龙田镇', 'longtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626200', '522626', '522626200', '大有乡', 'dayouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626201', '522626', '522626201', '注溪乡', 'zhuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626202', '522626', '522626202', '天星乡', 'tianxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626203', '522626', '522626203', '羊桥乡', 'yangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626204', '522626', '522626204', '凯本乡', 'kaibenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626205', '522626', '522626205', '平庄乡', 'pingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522626206', '522626', '522626206', '客楼乡', 'kelouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627', '5226', '522627', '天柱县', 'tianzhuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627100', '522627', '522627100', '凤城镇', 'fengchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627101', '522627', '522627101', '邦洞镇', 'bangdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627102', '522627', '522627102', '坪地镇', 'pingdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627103', '522627', '522627103', '兰田镇', 'lantianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627104', '522627', '522627104', '瓮洞镇', 'wengdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627105', '522627', '522627105', '高酿镇', 'gaoniangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627106', '522627', '522627106', '石洞镇', 'shidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627107', '522627', '522627107', '远口镇', 'yuankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627108', '522627', '522627108', '坌处镇', 'benchuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627109', '522627', '522627109', '白市镇', 'baishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627200', '522627', '522627200', '社学乡', 'shexuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627201', '522627', '522627201', '渡马乡', 'dumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627202', '522627', '522627202', '注溪乡', 'zhuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627203', '522627', '522627203', '地湖乡', 'dihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627204', '522627', '522627204', '竹林乡', 'zhulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522627205', '522627', '522627205', '江东乡', 'jiangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628', '5226', '522628', '锦屏县', 'jinpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628100', '522628', '522628100', '三江镇', 'sanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628101', '522628', '522628101', '茅坪镇', 'maopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628102', '522628', '522628102', '敦寨镇', 'dunzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628103', '522628', '522628103', '启蒙镇', 'qimengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628104', '522628', '522628104', '平秋镇', 'pingqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628105', '522628', '522628105', '铜鼓镇', 'tongguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628106', '522628', '522628106', '平略镇', 'pinglu:ezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628200', '522628', '522628200', '大同乡', 'datongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628201', '522628', '522628201', '新化乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628202', '522628', '522628202', '隆里乡', 'longlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628203', '522628', '522628203', '钟灵乡', 'zhonglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628204', '522628', '522628204', '偶里乡', 'oulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628205', '522628', '522628205', '固本乡', 'gubenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628206', '522628', '522628206', '河口乡', 'hekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522628207', '522628', '522628207', '彦洞乡', 'yandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629', '5226', '522629', '剑河县', 'jianhexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629100', '522629', '522629100', '柳川镇', 'liuchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629101', '522629', '522629101', '岑松镇', 'censongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629102', '522629', '522629102', '南加镇', 'nanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629103', '522629', '522629103', '南明镇', 'nanmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629104', '522629', '522629104', '革东镇', 'gedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629200', '522629', '522629200', '久仰乡', 'jiuyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629201', '522629', '522629201', '太拥乡', 'taiyongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629202', '522629', '522629202', '南哨乡', 'nanshaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629203', '522629', '522629203', '南寨乡', 'nanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629204', '522629', '522629204', '盘溪乡', 'panxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629205', '522629', '522629205', '敏洞乡', 'mindongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522629206', '522629', '522629206', '观么乡', 'guanmexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522630', '5226', '522630', '台江县', 'taijiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522630100', '522630', '522630100', '台拱镇', 'taigongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522630101', '522630', '522630101', '施洞镇', 'shidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522630200', '522630', '522630200', '南宫乡', 'nangongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522630201', '522630', '522630201', '排羊乡', 'paiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522630202', '522630', '522630202', '台盘乡', 'taipanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522630203', '522630', '522630203', '革一乡', 'geyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522630204', '522630', '522630204', '老屯乡', 'laotunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522630205', '522630', '522630205', '方召乡', 'fangzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631', '5226', '522631', '黎平县', 'lipingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631100', '522631', '522631100', '德凤镇', 'defengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631101', '522631', '522631101', '高屯镇', 'gaotunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631102', '522631', '522631102', '中潮镇', 'zhongchaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631103', '522631', '522631103', '孟彦镇', 'mengyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631104', '522631', '522631104', '敖市镇', 'aoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631105', '522631', '522631105', '九潮镇', 'jiuchaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631106', '522631', '522631106', '岩洞镇', 'yandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631107', '522631', '522631107', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631108', '522631', '522631108', '洪州镇', 'hongzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631109', '522631', '522631109', '尚重镇', 'shangzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631200', '522631', '522631200', '顺化乡', 'shunhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631201', '522631', '522631201', '雷洞乡', 'leidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631202', '522631', '522631202', '永从乡', 'yongcongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631203', '522631', '522631203', '罗里乡', 'luolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631204', '522631', '522631204', '茅贡乡', 'maogongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631205', '522631', '522631205', '坝寨乡', 'bazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631206', '522631', '522631206', '口江乡', 'koujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631207', '522631', '522631207', '双江乡', 'shuangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631208', '522631', '522631208', '肇兴乡', 'zhaoxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631209', '522631', '522631209', '龙额乡', 'longexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631210', '522631', '522631210', '地坪乡', 'dipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631211', '522631', '522631211', '德顺乡', 'deshunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631212', '522631', '522631212', '大稼乡', 'dajiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631213', '522631', '522631213', '平寨乡', 'pingzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522631214', '522631', '522631214', '德化乡', 'dehuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632', '5226', '522632', '榕江县', 'rongjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632100', '522632', '522632100', '古州镇', 'guzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632101', '522632', '522632101', '忠诚镇', 'zhongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632102', '522632', '522632102', '寨蒿镇', 'zhaihaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632103', '522632', '522632103', '平永镇', 'pingyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632104', '522632', '522632104', '乐里镇', 'lelizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632105', '522632', '522632105', '朗洞镇', 'langdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632201', '522632', '522632201', '栽麻乡', 'zaimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632202', '522632', '522632202', '崇义乡', 'chongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632203', '522632', '522632203', '平江乡', 'pingjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632204', '522632', '522632204', '三江乡', 'sanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632205', '522632', '522632205', '仁里乡', 'renlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632206', '522632', '522632206', '塔石乡', 'tashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632207', '522632', '522632207', '八开乡', 'bakaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632208', '522632', '522632208', '定威乡', 'dingweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632209', '522632', '522632209', '兴华乡', 'xinghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632210', '522632', '522632210', '计划乡', 'jihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632211', '522632', '522632211', '水尾乡', 'shuiweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632212', '522632', '522632212', '平阳乡', 'pingyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522632213', '522632', '522632213', '两汪乡', 'liangwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633', '5226', '522633', '从江县', 'congjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633100', '522633', '522633100', '丙妹镇', 'bingmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633101', '522633', '522633101', '贯洞镇', 'guandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633102', '522633', '522633102', '洛香镇', 'luoxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633103', '522633', '522633103', '下江镇', 'xiajiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633104', '522633', '522633104', '宰便镇', 'zaibianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633105', '522633', '522633105', '西山镇', 'xishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633106', '522633', '522633106', '停洞镇', 'tingdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633200', '522633', '522633200', '高增乡', 'gaozengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633201', '522633', '522633201', '谷坪乡', 'gupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633202', '522633', '522633202', '雍里乡', 'yonglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633203', '522633', '522633203', '庆云乡', 'qingyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633204', '522633', '522633204', '刚边乡', 'gangbianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633205', '522633', '522633205', '加榜乡', 'jiabangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633206', '522633', '522633206', '秀塘乡', 'xiutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633207', '522633', '522633207', '斗里乡', 'doulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633208', '522633', '522633208', '翠里乡', 'cuilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633209', '522633', '522633209', '往洞乡', 'wangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633210', '522633', '522633210', '东朗乡', 'donglangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633211', '522633', '522633211', '加鸠乡', 'jiajiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633212', '522633', '522633212', '加勉乡', 'jiamianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522633213', '522633', '522633213', '光辉乡', 'guanghuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522634', '5226', '522634', '雷山县', 'leishanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522634100', '522634', '522634100', '丹江镇', 'danjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522634101', '522634', '522634101', '西江镇', 'xijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522634102', '522634', '522634102', '永乐镇', 'yonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522634103', '522634', '522634103', '郎德镇', 'langdezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522634200', '522634', '522634200', '望丰乡', 'wangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522634201', '522634', '522634201', '大塘乡', 'datangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522634202', '522634', '522634202', '桃江乡', 'taojiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522634203', '522634', '522634203', '达地水族乡', 'dadishuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522634204', '522634', '522634204', '方祥乡', 'fangxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522635', '5226', '522635', '麻江县', 'majiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522635100', '522635', '522635100', '杏山镇', 'xingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522635101', '522635', '522635101', '谷硐镇', 'gudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522635102', '522635', '522635102', '下司镇', 'xiasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522635103', '522635', '522635103', '宣威镇', 'xuanweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522635200', '522635', '522635200', '碧波乡', 'biboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522635201', '522635', '522635201', '龙山乡', 'longshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522635202', '522635', '522635202', '贤昌布依族乡', 'xianchangbuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522635203', '522635', '522635203', '坝芒布依族乡', 'bamangbuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522635204', '522635', '522635204', '景阳布依族乡', 'jingyangbuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522636', '5226', '522636', '丹寨县', 'danzhaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522636100', '522636', '522636100', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522636101', '522636', '522636101', '兴仁镇', 'xingrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522636102', '522636', '522636102', '排调镇', 'paidiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522636200', '522636', '522636200', '长青乡', 'zhangqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522636201', '522636', '522636201', '扬武乡', 'yangwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522636202', '522636', '522636202', '雅灰乡', 'yahuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522636203', '522636', '522636203', '南皋乡', 'nangaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5227', '52', '5227', '黔南布依族苗族自治州', 'qiannanbuyizumiaozuzizhizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701', '5227', '522701', '都匀市', 'douyunshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701001', '522701', '522701001', '广惠', 'guanghui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701002', '522701', '522701002', '文峰', 'wenfeng', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701003', '522701', '522701003', '新华', 'xinhua', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701004', '522701', '522701004', '小围寨', 'xiaoweizhai', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701005', '522701', '522701005', '沙包堡', 'shabaobao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701100', '522701', '522701100', '杨柳街镇', 'yangliujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701101', '522701', '522701101', '甘塘镇', 'gantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701102', '522701', '522701102', '洛邦镇', 'luobangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701103', '522701', '522701103', '坝固镇', 'baguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701104', '522701', '522701104', '大坪镇', 'dapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701105', '522701', '522701105', '王司镇', 'wangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701106', '522701', '522701106', '墨冲镇', 'mochongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701107', '522701', '522701107', '平浪镇', 'pinglangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701108', '522701', '522701108', '凯口镇', 'kaikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701109', '522701', '522701109', '江洲镇', 'jiangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701200', '522701', '522701200', '奉合水族乡', 'fengheshuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701201', '522701', '522701201', '阳和水族乡', 'yangheshuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701202', '522701', '522701202', '基场水族乡', 'jichangshuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701203', '522701', '522701203', '良亩乡', 'liangmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701204', '522701', '522701204', '河阳乡', 'heyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701205', '522701', '522701205', '沙寨乡', 'shazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701206', '522701', '522701206', '石龙乡', 'shilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522701207', '522701', '522701207', '摆忙乡', 'baimangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702', '5227', '522702', '福泉市', 'fuquanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702001', '522702', '522702001', '金山', 'jinshan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702002', '522702', '522702002', '马场坪', 'machangping', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702100', '522702', '522702100', '城厢镇', 'chengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702101', '522702', '522702101', '黄丝镇', 'huangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702102', '522702', '522702102', '凤山镇', 'fengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702103', '522702', '522702103', '陆坪镇', 'lupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702104', '522702', '522702104', '地松镇', 'disongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702105', '522702', '522702105', '龙昌镇', 'longchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702106', '522702', '522702106', '牛场镇', 'niuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702107', '522702', '522702107', '道坪镇', 'daopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702108', '522702', '522702108', '高坪镇', 'gaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702200', '522702', '522702200', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702201', '522702', '522702201', '藜山乡', 'lishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702202', '522702', '522702202', '岔河乡', 'chahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702203', '522702', '522702203', '仙桥乡', 'xianqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702204', '522702', '522702204', '高石乡', 'gaoshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522702205', '522702', '522702205', '谷汪乡', 'guwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722', '5227', '522722', '荔波县', 'liboxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722100', '522722', '522722100', '玉屏镇', 'yupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722101', '522722', '522722101', '朝阳镇', 'chaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722102', '522722', '522722102', '茂兰镇', 'maolanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722103', '522722', '522722103', '立化镇', 'lihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722104', '522722', '522722104', '甲良镇', 'jialiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722105', '522722', '522722105', '佳荣镇', 'jiarongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722200', '522722', '522722200', '永康乡', 'yongkangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722201', '522722', '522722201', '水尧乡', 'shuiyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722202', '522722', '522722202', '水利乡', 'shuilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722203', '522722', '522722203', '瑶山乡', 'yaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722204', '522722', '522722204', '捞村乡', 'laocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722205', '522722', '522722205', '翁昂乡', 'wengangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722206', '522722', '522722206', '驾欧乡', 'jiaouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722207', '522722', '522722207', '瑶麓乡', 'yaoluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722208', '522722', '522722208', '洞塘乡', 'dongtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722209', '522722', '522722209', '方村乡', 'fangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522722210', '522722', '522722210', '播尧乡', 'boyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723', '5227', '522723', '贵定县', 'guidingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723100', '522723', '522723100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723101', '522723', '522723101', '德新镇', 'dexinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723102', '522723', '522723102', '新巴镇', 'xinbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723103', '522723', '522723103', '盘江镇', 'panjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723104', '522723', '522723104', '沿山镇', 'yanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723105', '522723', '522723105', '旧治镇', 'jiuzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723106', '522723', '522723106', '昌明镇', 'changmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723107', '522723', '522723107', '云雾镇', 'yunwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723200', '522723', '522723200', '新铺乡', 'xinpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723201', '522723', '522723201', '落北河乡', 'luobeihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723202', '522723', '522723202', '马场河乡', 'machanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723203', '522723', '522723203', '定东乡', 'dingdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723204', '522723', '522723204', '定南乡', 'dingnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723205', '522723', '522723205', '巩固乡', 'gongguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723206', '522723', '522723206', '都六乡', 'douliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723207', '522723', '522723207', '岩下乡', 'yanxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723208', '522723', '522723208', '猴场堡乡', 'houchangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723209', '522723', '522723209', '抱管乡', 'baoguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723210', '522723', '522723210', '铁厂乡', 'tiechangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522723211', '522723', '522723211', '窑上乡', 'yaoshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725', '5227', '522725', '瓮安县', 'wenganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725100', '522725', '522725100', '雍阳镇', 'yongyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725101', '522725', '522725101', '平定营镇', 'pingdingyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725102', '522725', '522725102', '草塘镇', 'caotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725103', '522725', '522725103', '中坪镇', 'zhongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725104', '522725', '522725104', '建中镇', 'jianzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725105', '522725', '522725105', '永和镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725106', '522725', '522725106', '珠藏镇', 'zhuzangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725107', '522725', '522725107', '玉山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725108', '522725', '522725108', '天文镇', 'tianwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725200', '522725', '522725200', '玉华乡', 'yuhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725201', '522725', '522725201', '银盏乡', 'yinzhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725202', '522725', '522725202', '松坪乡', 'songpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725203', '522725', '522725203', '小河山乡', 'xiaoheshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725204', '522725', '522725204', '白沙乡', 'baishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725205', '522725', '522725205', '岚关乡', 'languanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725206', '522725', '522725206', '老坟嘴乡', 'laofenzuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725207', '522725', '522725207', '高水乡', 'gaoshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725208', '522725', '522725208', '木引槽乡', 'muyincaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725209', '522725', '522725209', '铜锣乡', 'tongluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725210', '522725', '522725210', '牛场坝乡', 'niuchangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725211', '522725', '522725211', '鱼河乡', 'yuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725212', '522725', '522725212', '龙塘乡', 'longtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522725213', '522725', '522725213', '木老坪乡', 'mulaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726', '5227', '522726', '独山县', 'dushanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726100', '522726', '522726100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726101', '522726', '522726101', '兔场镇', 'tuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726102', '522726', '522726102', '麻万镇', 'mawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726103', '522726', '522726103', '基长镇', 'jizhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726104', '522726', '522726104', '上司镇', 'shangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726105', '522726', '522726105', '下司镇', 'xiasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726106', '522726', '522726106', '甲里镇', 'jializhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726107', '522726', '522726107', '麻尾镇', 'maweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726200', '522726', '522726200', '尧梭乡', 'yaosuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726201', '522726', '522726201', '羊凤乡', 'yangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726202', '522726', '522726202', '甲定水族乡', 'jiadingshuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726203', '522726', '522726203', '翁台水族乡', 'wengtaishuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726204', '522726', '522726204', '本寨水族乡', 'benzhaishuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726205', '522726', '522726205', '水岩乡', 'shuiyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726206', '522726', '522726206', '打羊乡', 'dayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726207', '522726', '522726207', '尧棒乡', 'yaobangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726208', '522726', '522726208', '黄后乡', 'huanghouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522726209', '522726', '522726209', '董岭乡', 'donglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727', '5227', '522727', '平塘县', 'pingtangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727100', '522727', '522727100', '平湖镇', 'pinghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727101', '522727', '522727101', '牙舟镇', 'yazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727102', '522727', '522727102', '通州镇', 'tongzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727103', '522727', '522727103', '大塘镇', 'datangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727104', '522727', '522727104', '克度镇', 'keduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727105', '522727', '522727105', '塘边镇', 'tangbianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727106', '522727', '522727106', '摆茹镇', 'bairuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727107', '522727', '522727107', '者密镇', 'zhemizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727108', '522727', '522727108', '四寨镇', 'sizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727200', '522727', '522727200', '苗二河乡', 'miaoerhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727201', '522727', '522727201', '卡蒲毛南族乡', 'kapumaonanzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727202', '522727', '522727202', '白龙乡', 'bailongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727203', '522727', '522727203', '甘寨乡', 'ganzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727204', '522727', '522727204', '卡罗乡', 'kaluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727205', '522727', '522727205', '谷硐乡', 'gudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727206', '522727', '522727206', '鼠场乡', 'shuchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727207', '522727', '522727207', '新塘乡', 'xintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727208', '522727', '522727208', '掌布乡', 'zhangbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522727209', '522727', '522727209', '西凉乡', 'xiliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728', '5227', '522728', '罗甸县', 'luodianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728100', '522728', '522728100', '龙坪镇', 'longpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728101', '522728', '522728101', '边阳镇', 'bianyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728102', '522728', '522728102', '逢亭镇', 'fengtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728103', '522728', '522728103', '沫阳镇', 'moyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728104', '522728', '522728104', '茂井镇', 'maojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728105', '522728', '522728105', '罗悃镇', 'luokunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728106', '522728', '522728106', '红水河镇', 'hongshuihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728200', '522728', '522728200', '板庚乡', 'bangengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728201', '522728', '522728201', '云干乡', 'yunganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728202', '522728', '522728202', '八总乡', 'bazongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728203', '522728', '522728203', '栗木乡', 'limuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728204', '522728', '522728204', '罗沙乡', 'luoshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728205', '522728', '522728205', '交砚乡', 'jiaoyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728206', '522728', '522728206', '董王乡', 'dongwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728207', '522728', '522728207', '木引乡', 'muyinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728208', '522728', '522728208', '纳坪乡', 'napingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728209', '522728', '522728209', '董当乡', 'dongdangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728210', '522728', '522728210', '董架乡', 'dongjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728211', '522728', '522728211', '平岩乡', 'pingyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728212', '522728', '522728212', '凤亭乡', 'fengtingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728213', '522728', '522728213', '大亭乡', 'datingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728214', '522728', '522728214', '班仁乡', 'banrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728215', '522728', '522728215', '罗苏乡', 'luosuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728216', '522728', '522728216', '罗暮乡', 'luomuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728217', '522728', '522728217', '沟亭乡', 'goutingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522728218', '522728', '522728218', '罗妥乡', 'luotuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729', '5227', '522729', '长顺县', 'zhangshunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729100', '522729', '522729100', '长寨镇', 'zhangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729101', '522729', '522729101', '广顺镇', 'guangshunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729102', '522729', '522729102', '威远镇', 'weiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729103', '522729', '522729103', '摆所镇', 'baisuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729104', '522729', '522729104', '代化镇', 'daihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729105', '522729', '522729105', '改尧镇', 'gaiyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729106', '522729', '522729106', '鼓扬镇', 'guyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729200', '522729', '522729200', '马路乡', 'maluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729201', '522729', '522729201', '凯佐乡', 'kaizuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729202', '522729', '522729202', '摆塘乡', 'baitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729203', '522729', '522729203', '种获乡', 'zhonghuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729204', '522729', '522729204', '新寨乡', 'xinzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729205', '522729', '522729205', '营盘乡', 'yingpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729206', '522729', '522729206', '中坝乡', 'zhongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729207', '522729', '522729207', '睦化乡', 'muhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729208', '522729', '522729208', '交麻乡', 'jiaomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729209', '522729', '522729209', '敦操乡', 'duncaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522729501', '522729', '522729501', '贵州省广顺茶叶果树场', 'guizhoushengguangshunchayeguoshuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730', '5227', '522730', '龙里县', 'longlixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730100', '522730', '522730100', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730101', '522730', '522730101', '三元镇', 'sanyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730102', '522730', '522730102', '醒狮镇', 'xingshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730103', '522730', '522730103', '谷脚镇', 'gujiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730104', '522730', '522730104', '羊场镇', 'yangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730105', '522730', '522730105', '洗马镇', 'ximazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730200', '522730', '522730200', '草原乡', 'caoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730201', '522730', '522730201', '麻芝乡', 'mazhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730202', '522730', '522730202', '水场乡', 'shuichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730203', '522730', '522730203', '湾寨乡', 'wanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730204', '522730', '522730204', '摆省乡', 'baishengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730205', '522730', '522730205', '巴江乡', 'bajiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730206', '522730', '522730206', '谷龙乡', 'gulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522730207', '522730', '522730207', '哪嗙乡', 'napangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731', '5227', '522731', '惠水县', 'huishuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731100', '522731', '522731100', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731101', '522731', '522731101', '高镇镇', 'gaozhenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731102', '522731', '522731102', '三都镇', 'sandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731103', '522731', '522731103', '摆金镇', 'baijinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731104', '522731', '522731104', '雅水镇', 'yashuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731105', '522731', '522731105', '断杉镇', 'duanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731106', '522731', '522731106', '芦山镇', 'lushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731107', '522731', '522731107', '王佑镇', 'wangyouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731200', '522731', '522731200', '长田乡', 'zhangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731201', '522731', '522731201', '摆榜乡', 'baibangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731202', '522731', '522731202', '斗底乡', 'doudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731203', '522731', '522731203', '甲烈乡', 'jialiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731204', '522731', '522731204', '岗度乡', 'gangduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731205', '522731', '522731205', '宁旺乡', 'ningwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731206', '522731', '522731206', '鸭绒乡', 'yarongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731207', '522731', '522731207', '太阳乡', 'taiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731208', '522731', '522731208', '羡塘乡', 'xiantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731209', '522731', '522731209', '甲戎乡', 'jiarongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731210', '522731', '522731210', '抵季乡', 'dijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731211', '522731', '522731211', '大龙乡', 'dalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731212', '522731', '522731212', '大坝乡', 'dabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731213', '522731', '522731213', '抵麻乡', 'dimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731214', '522731', '522731214', '长安乡', 'zhanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731215', '522731', '522731215', '打引乡', 'dayinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522731216', '522731', '522731216', '好花红乡', 'haohuahongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732', '5227', '522732', '三都水族自治县', 'sandoushuizuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732100', '522732', '522732100', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732101', '522732', '522732101', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732102', '522732', '522732102', '合江镇', 'hejiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732103', '522732', '522732103', '丰乐镇', 'fenglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732104', '522732', '522732104', '普安镇', 'puanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732105', '522732', '522732105', '都江镇', 'doujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732106', '522732', '522732106', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732107', '522732', '522732107', '周覃镇', 'zhoutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732108', '522732', '522732108', '廷牌镇', 'tingpaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732109', '522732', '522732109', '九阡镇', 'jiuqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732200', '522732', '522732200', '交梨乡', 'jiaolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732201', '522732', '522732201', '拉揽乡', 'lalanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732202', '522732', '522732202', '打鱼乡', 'dayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732203', '522732', '522732203', '坝街乡', 'bajiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732204', '522732', '522732204', '羊福乡', 'yangfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732205', '522732', '522732205', '巫不乡', 'wubuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732206', '522732', '522732206', '水龙乡', 'shuilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732207', '522732', '522732207', '塘州乡', 'tangzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732208', '522732', '522732208', '三洞乡', 'sandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732209', '522732', '522732209', '恒丰乡', 'hengfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('522732210', '522732', '522732210', '扬拱乡', 'yanggongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('53', '-1', '53', '云南省', 'yunnansheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5301', '53', '5301', '昆明市', 'kunmingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530101', '5301', '530101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102', '5301', '530102', '五华区', 'wuhuaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102001', '530102', '530102001', '华山街道', 'huashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102002', '530102', '530102002', '护国街道', 'huguojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102003', '530102', '530102003', '大观街道', 'daguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102004', '530102', '530102004', '龙翔街道', 'longxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102005', '530102', '530102005', '丰宁街道', 'fengningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102006', '530102', '530102006', '莲华街道', 'lianhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102007', '530102', '530102007', '红云街道', 'hongyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102008', '530102', '530102008', '黑林铺街道', 'heilinpujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102009', '530102', '530102009', '普吉街道', 'pujijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102201', '530102', '530102201', '沙朗乡', 'shalangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530102202', '530102', '530102202', '厂口乡', 'changkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530103', '5301', '530103', '盘龙区', 'panlongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530103001', '530103', '530103001', '拓东街道', 'tuodongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530103002', '530103', '530103002', '鼓楼街道', 'guloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530103003', '530103', '530103003', '东华街道', 'donghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530103004', '530103', '530103004', '联盟街道', 'lianmengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530103005', '530103', '530103005', '金辰街道', 'jinchenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530103006', '530103', '530103006', '青云街道', 'qingyunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530103007', '530103', '530103007', '龙泉街道', 'longquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530103008', '530103', '530103008', '茨坝街道', 'cibajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530103201', '530103', '530103201', '双龙乡', 'shuanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530103202', '530103', '530103202', '松华乡', 'songhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111', '5301', '530111', '官渡区', 'guanduqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111001', '530111', '530111001', '关上街道', 'guanshangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111002', '530111', '530111002', '太和街道', 'taihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111003', '530111', '530111003', '吴井街道', 'wujingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111004', '530111', '530111004', '金马街道', 'jinmajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111101', '530111', '530111101', '小板桥镇', 'xiaobanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111102', '530111', '530111102', '官渡镇', 'guanduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111103', '530111', '530111103', '大板桥镇', 'dabanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111201', '530111', '530111201', '阿拉乡', 'alaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111202', '530111', '530111202', '矣六乡', 'yiliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111203', '530111', '530111203', '六甲乡', 'liujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530111501', '530111', '530111501', '昆明经济技术开发区', 'kunmingjingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530112', '5301', '530112', '西山区', 'xishanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530112001', '530112', '530112001', '西苑街道', 'xiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530112002', '530112', '530112002', '马街街道', 'majiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530112003', '530112', '530112003', '金碧街道', 'jinbijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530112004', '530112', '530112004', '永昌街道', 'yongchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530112005', '530112', '530112005', '前卫街道', 'qianweijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530112006', '530112', '530112006', '福海街道', 'fuhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530112007', '530112', '530112007', '棕树营街道', 'zongshuyingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530112101', '530112', '530112101', '碧鸡镇', 'bijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530112102', '530112', '530112102', '海口镇', 'haikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530112103', '530112', '530112103', '团结镇', 'tuanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530113', '5301', '530113', '东川区', 'dongchuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530113101', '530113', '530113101', '铜都镇', 'tongdouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530113103', '530113', '530113103', '汤丹镇', 'tangdanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530113104', '530113', '530113104', '因民镇', 'yinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530113105', '530113', '530113105', '阿旺镇', 'awangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530113106', '530113', '530113106', '乌龙镇', 'wulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530113107', '530113', '530113107', '红土地镇', 'hongtudizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530113108', '530113', '530113108', '拖布卡镇', 'tuobukazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530113210', '530113', '530113210', '舍块乡', 'shekuaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530121', '5301', '530121', '呈贡县', 'chenggongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530121101', '530121', '530121101', '龙城镇', 'longchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530121102', '530121', '530121102', '洛羊镇', 'luoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530121103', '530121', '530121103', '斗南镇', 'dounanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530121201', '530121', '530121201', '大渔乡', 'dayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530121202', '530121', '530121202', '吴家营乡', 'wujiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530121203', '530121', '530121203', '马金铺乡', 'majinpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530121204', '530121', '530121204', '七甸乡', 'qidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530122', '5301', '530122', '晋宁县', 'jinningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530122101', '530122', '530122101', '昆阳镇', 'kunyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530122103', '530122', '530122103', '晋城镇', 'jinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530122104', '530122', '530122104', '宝峰镇', 'baofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530122201', '530122', '530122201', '二街乡', 'erjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530122203', '530122', '530122203', '新街乡', 'xinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530122204', '530122', '530122204', '双河彝族乡', 'shuangheyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530122205', '530122', '530122205', '夕阳彝族乡', 'xiyangyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530122206', '530122', '530122206', '上蒜乡', 'shangsuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530122207', '530122', '530122207', '六街乡', 'liujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530124', '5301', '530124', '富民县', 'fuminxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530124101', '530124', '530124101', '永定镇', 'yongdingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530124102', '530124', '530124102', '大营镇', 'dayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530124203', '530124', '530124203', '罗免乡', 'luomianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530124204', '530124', '530124204', '赤鹫乡', 'chijiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530124205', '530124', '530124205', '东村乡', 'dongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530124206', '530124', '530124206', '款庄乡', 'kuanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530124207', '530124', '530124207', '散旦乡', 'sandanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530125', '5301', '530125', '宜良县', 'yiliangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530125101', '530125', '530125101', '匡远镇', 'kuangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530125102', '530125', '530125102', '北古城镇', 'beiguchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530125103', '530125', '530125103', '南羊镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530125104', '530125', '530125104', '狗街镇', 'goujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530125105', '530125', '530125105', '汤池镇', 'tangchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530125203', '530125', '530125203', '竹山乡', 'zhushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530125204', '530125', '530125204', '马街乡', 'majiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530125205', '530125', '530125205', '耿家营乡', 'gengjiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530125206', '530125', '530125206', '九乡乡', 'jiuxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530126', '5301', '530126', '石林县', 'shilinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530126101', '530126', '530126101', '鹿阜镇', 'lufuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530126102', '530126', '530126102', '石林镇', 'shilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530126103', '530126', '530126103', '路美邑镇', 'lumeiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530126104', '530126', '530126104', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530126105', '530126', '530126105', '西街口镇', 'xijiekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530126106', '530126', '530126106', '长湖镇', 'zhanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530126107', '530126', '530126107', '圭山镇', 'guishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530126203', '530126', '530126203', '大可乡', 'dakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530127', '5301', '530127', '嵩明县', 'songmingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530127101', '530127', '530127101', '嵩阳镇', 'songyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530127102', '530127', '530127102', '小街镇', 'xiaojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530127103', '530127', '530127103', '杨林镇', 'yanglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530127104', '530127', '530127104', '牛栏江镇', 'niulanjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530127105', '530127', '530127105', '滇源镇', 'dianyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530127201', '530127', '530127201', '杨桥乡', 'yangqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530127205', '530127', '530127205', '阿子营乡', 'aziyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128', '5301', '530128', '禄劝县', 'luquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128101', '530128', '530128101', '屏山镇', 'pingshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128102', '530128', '530128102', '撒营盘镇', 'sayingpanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128103', '530128', '530128103', '转龙镇', 'zhuanlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128202', '530128', '530128202', '茂山乡', 'maoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128203', '530128', '530128203', '翠华乡', 'cuihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128204', '530128', '530128204', '团街乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128205', '530128', '530128205', '云龙乡', 'yunlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128206', '530128', '530128206', '中屏乡', 'zhongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128208', '530128', '530128208', '皎西乡', 'jiaoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128209', '530128', '530128209', '汤郎乡', 'tanglangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128210', '530128', '530128210', '马鹿塘乡', 'malutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128211', '530128', '530128211', '大松树乡', 'dasongshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128212', '530128', '530128212', '九龙乡', 'jiulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128213', '530128', '530128213', '则黑乡', 'zeheixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128214', '530128', '530128214', '乌蒙乡', 'wumengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530128215', '530128', '530128215', '雪山乡', 'xueshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129', '5301', '530129', '寻甸县', 'xundianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129101', '530129', '530129101', '仁德镇', 'rendezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129102', '530129', '530129102', '塘子镇', 'tangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129103', '530129', '530129103', '羊街镇', 'yangjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129104', '530129', '530129104', '柯渡镇', 'keduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129105', '530129', '530129105', '倘甸镇', 'tangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129106', '530129', '530129106', '功山镇', 'gongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129201', '530129', '530129201', '河口乡', 'hekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129202', '530129', '530129202', '七星乡', 'qixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129204', '530129', '530129204', '金所乡', 'jinsuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129205', '530129', '530129205', '先锋乡', 'xianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129206', '530129', '530129206', '六哨乡', 'liushaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129207', '530129', '530129207', '鸡街乡', 'jijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129208', '530129', '530129208', '凤仪乡', 'fengyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129209', '530129', '530129209', '联合乡', 'lianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129210', '530129', '530129210', '金源乡', 'jinyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530129211', '530129', '530129211', '甸沙乡', 'dianshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530181', '5301', '530181', '安宁市', 'anningshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530181101', '530181', '530181101', '连然镇', 'lianranzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530181102', '530181', '530181102', '八街镇', 'bajiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530181103', '530181', '530181103', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530181104', '530181', '530181104', '青龙镇', 'qinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530181105', '530181', '530181105', '禄脿镇', 'lubiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530181106', '530181', '530181106', '草铺镇', 'caopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530181107', '530181', '530181107', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530181108', '530181', '530181108', '县街镇', 'xianjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5303', '53', '5303', '曲靖市', 'qujingshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530301', '5303', '530301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302', '5303', '530302', '麒麟区', 'qilinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302001', '530302', '530302001', '南宁街道', 'nanningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302002', '530302', '530302002', '建宁街道', 'jianningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302003', '530302', '530302003', '白石江街道', 'baishijiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302004', '530302', '530302004', '廖廓街道', 'liaokuojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302005', '530302', '530302005', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302101', '530302', '530302101', '三宝镇', 'sanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302102', '530302', '530302102', '越州镇', 'yuezhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302103', '530302', '530302103', '东山镇', 'dongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302202', '530302', '530302202', '珠街乡', 'zhujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302203', '530302', '530302203', '沿江乡', 'yanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530302205', '530302', '530302205', '茨营乡', 'ciyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530321', '5303', '530321', '马龙县', 'malongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530321101', '530321', '530321101', '通泉镇', 'tongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530321102', '530321', '530321102', '旧县镇', 'jiuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530321103', '530321', '530321103', '马过河镇', 'maguohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530321104', '530321', '530321104', '王家庄镇', 'wangjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530321105', '530321', '530321105', '纳章镇', 'nazhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530321201', '530321', '530321201', '马鸣乡', 'mamingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530321203', '530321', '530321203', '大庄乡', 'dazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530321204', '530321', '530321204', '月望乡', 'yuewangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530322', '5303', '530322', '陆良县', 'luliangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530322101', '530322', '530322101', '中枢镇', 'zhongshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530322102', '530322', '530322102', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530322103', '530322', '530322103', '三岔河镇', 'sanchahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530322104', '530322', '530322104', '马街镇', 'majiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530322105', '530322', '530322105', '召夸镇', 'zhaokuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530322106', '530322', '530322106', '大莫古镇', 'damoguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530322107', '530322', '530322107', '芳华镇', 'fanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530322108', '530322', '530322108', '小百户镇', 'xiaobaihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530322201', '530322', '530322201', '活水乡', 'huoshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530322203', '530322', '530322203', '龙海乡', 'longhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530323', '5303', '530323', '师宗县', 'shizongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530323101', '530323', '530323101', '丹凤镇', 'danfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530323102', '530323', '530323102', '雄壁镇', 'xiongbizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530323104', '530323', '530323104', '葵山镇', 'kuishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530323105', '530323', '530323105', '彩云镇', 'caiyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530323201', '530323', '530323201', '竹基乡', 'zhujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530323202', '530323', '530323202', '龙庆乡', 'longqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530323203', '530323', '530323203', '五龙乡', 'wulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530323204', '530323', '530323204', '高良乡', 'gaoliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324', '5303', '530324', '罗平县', 'luopingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324101', '530324', '530324101', '罗雄镇', 'luoxiongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324102', '530324', '530324102', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324103', '530324', '530324103', '马街镇', 'majiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324104', '530324', '530324104', '富乐镇', 'fulezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324105', '530324', '530324105', '九龙镇', 'jiulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324106', '530324', '530324106', '阿岗镇', 'agangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324202', '530324', '530324202', '大水井乡', 'dashuijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324203', '530324', '530324203', '鲁布革乡', 'lubugexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324204', '530324', '530324204', '旧屋基乡', 'jiuwujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324205', '530324', '530324205', '钟山乡', 'zhongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324206', '530324', '530324206', '长底乡', 'zhangdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530324208', '530324', '530324208', '老厂乡', 'laochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325', '5303', '530325', '富源县', 'fuyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325101', '530325', '530325101', '中安镇', 'zhonganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325102', '530325', '530325102', '营上镇', 'yingshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325103', '530325', '530325103', '黄泥河镇', 'huangnihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325104', '530325', '530325104', '竹园镇', 'zhuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325105', '530325', '530325105', '后所镇', 'housuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325106', '530325', '530325106', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325107', '530325', '530325107', '墨红镇', 'mohongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325108', '530325', '530325108', '富村镇', 'fucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325201', '530325', '530325201', '古敢乡', 'guganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325202', '530325', '530325202', '十八连山乡', 'shibalianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530325203', '530325', '530325203', '老厂乡', 'laochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326', '5303', '530326', '会泽县', 'huizexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326101', '530326', '530326101', '金钟镇', 'jinzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326102', '530326', '530326102', '娜姑镇', 'naguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326103', '530326', '530326103', '迤车镇', 'yichezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326104', '530326', '530326104', '乐业镇', 'leyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326105', '530326', '530326105', '矿山镇', 'kuangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326106', '530326', '530326106', '者海镇', 'zhehaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326107', '530326', '530326107', '待补镇', 'daibuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326108', '530326', '530326108', '大井镇', 'dajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326201', '530326', '530326201', '纸厂乡', 'zhichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326203', '530326', '530326203', '马路乡', 'maluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326204', '530326', '530326204', '火红乡', 'huohongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326206', '530326', '530326206', '新街乡', 'xinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326207', '530326', '530326207', '雨碌乡', 'yuliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326208', '530326', '530326208', '大海乡', 'dahaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326209', '530326', '530326209', '鲁纳乡', 'lunaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326210', '530326', '530326210', '老厂乡', 'laochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326211', '530326', '530326211', '上村乡', 'shangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326212', '530326', '530326212', '五星乡', 'wuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326213', '530326', '530326213', '驾车乡', 'jiachexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326214', '530326', '530326214', '大桥乡', 'daqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530326215', '530326', '530326215', '田坝乡', 'tianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530328', '5303', '530328', '沾益县', 'zhanyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530328101', '530328', '530328101', '西平镇', 'xipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530328103', '530328', '530328103', '白水镇', 'baishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530328104', '530328', '530328104', '盘江镇', 'panjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530328203', '530328', '530328203', '炎方乡', 'yanfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530328204', '530328', '530328204', '播乐乡', 'bolexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530328205', '530328', '530328205', '大坡乡', 'dapoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530328206', '530328', '530328206', '菱角乡', 'lingjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530328207', '530328', '530328207', '德泽乡', 'dezexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381', '5303', '530381', '宣威市', 'xuanweishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381001', '530381', '530381001', '宛水街道', 'wanshuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381002', '530381', '530381002', '西宁街道', 'xiningjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381003', '530381', '530381003', '双龙街道', 'shuanglongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381004', '530381', '530381004', '虹桥街道', 'hongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381101', '530381', '530381101', '来宾镇', 'laibinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381102', '530381', '530381102', '格宜镇', 'geyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381103', '530381', '530381103', '田坝镇', 'tianbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381104', '530381', '530381104', '羊场镇', 'yangchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381105', '530381', '530381105', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381106', '530381', '530381106', '倘塘镇', 'tangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381107', '530381', '530381107', '落水镇', 'luoshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381108', '530381', '530381108', '务德镇', 'wudezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381109', '530381', '530381109', '海岱镇', 'haidaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381110', '530381', '530381110', '龙场镇', 'longchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381111', '530381', '530381111', '龙潭镇', 'longtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381113', '530381', '530381113', '热水镇', 'reshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381114', '530381', '530381114', '宝山镇', 'baoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381115', '530381', '530381115', '东山镇', 'dongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381201', '530381', '530381201', '普立乡', 'pulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381202', '530381', '530381202', '西泽乡', 'xizexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381203', '530381', '530381203', '得禄乡', 'deluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381204', '530381', '530381204', '杨柳乡', 'yangliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381205', '530381', '530381205', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381206', '530381', '530381206', '乐丰乡', 'lefengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381207', '530381', '530381207', '文兴乡', 'wenxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530381208', '530381', '530381208', '阿都乡', 'adouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5304', '53', '5304', '玉溪市', 'yuxishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530401', '5304', '530401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402', '5304', '530402', '红塔区', 'hongtaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402001', '530402', '530402001', '玉兴路街道', 'yuxinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402002', '530402', '530402002', '凤凰路街道', 'fenghuanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402003', '530402', '530402003', '玉带路街道', 'yudailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402101', '530402', '530402101', '北城镇', 'beichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402102', '530402', '530402102', '春和镇', 'chunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402103', '530402', '530402103', '李棋镇', 'liqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402104', '530402', '530402104', '大营街镇', 'dayingjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402105', '530402', '530402105', '研和镇', 'yanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402106', '530402', '530402106', '高仓镇', 'gaocangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402201', '530402', '530402201', '小石桥乡', 'xiaoshiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530402202', '530402', '530402202', '洛河乡', 'luohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530421', '5304', '530421', '江川县', 'jiangchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530421101', '530421', '530421101', '大街镇', 'dajiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530421102', '530421', '530421102', '江城镇', 'jiangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530421103', '530421', '530421103', '前卫镇', 'qianweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530421104', '530421', '530421104', '九溪镇', 'jiuxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530421105', '530421', '530421105', '路居镇', 'lujuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530421201', '530421', '530421201', '安化乡', 'anhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530421202', '530421', '530421202', '雄关乡', 'xiongguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530422', '5304', '530422', '澄江县', 'chengjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530422101', '530422', '530422101', '凤麓镇', 'fengluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530422102', '530422', '530422102', '龙街镇', 'longjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530422103', '530422', '530422103', '阳宗镇', 'yangzongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530422104', '530422', '530422104', '右所镇', 'yousuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530422105', '530422', '530422105', '海口镇', 'haikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530422106', '530422', '530422106', '九村镇', 'jiucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530423', '5304', '530423', '通海县', 'tonghaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530423101', '530423', '530423101', '秀山镇', 'xiushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530423102', '530423', '530423102', '杨广镇', 'yangguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530423103', '530423', '530423103', '九街镇', 'jiujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530423104', '530423', '530423104', '河西镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530423105', '530423', '530423105', '四街镇', 'sijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530423106', '530423', '530423106', '纳古镇', 'naguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530423201', '530423', '530423201', '里山乡', 'lishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530423202', '530423', '530423202', '高大乡', 'gaodaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530423203', '530423', '530423203', '兴蒙乡', 'xingmengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530424', '5304', '530424', '华宁县', 'huaningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530424101', '530424', '530424101', '宁州镇', 'ningzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530424102', '530424', '530424102', '盘溪镇', 'panxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530424103', '530424', '530424103', '华溪镇', 'huaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530424104', '530424', '530424104', '青龙镇', 'qinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530424201', '530424', '530424201', '通红甸乡', 'tonghongdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530425', '5304', '530425', '易门县', 'yimenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530425101', '530425', '530425101', '龙泉镇', 'longquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530425102', '530425', '530425102', '六街镇', 'liujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530425103', '530425', '530425103', '绿汁镇', 'lu:zhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530425201', '530425', '530425201', '浦贝乡', 'pubeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530425202', '530425', '530425202', '十街乡', 'shijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530425203', '530425', '530425203', '铜厂乡', 'tongchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530425204', '530425', '530425204', '小街乡', 'xiaojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530426', '5304', '530426', '峨山县', 'eshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530426101', '530426', '530426101', '双江镇', 'shuangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530426102', '530426', '530426102', '小街镇', 'xiaojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530426103', '530426', '530426103', '甸中镇', 'dianzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530426104', '530426', '530426104', '化念镇', 'huanianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530426105', '530426', '530426105', '塔甸镇', 'tadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530426201', '530426', '530426201', '岔河乡', 'chahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530426202', '530426', '530426202', '大龙潭乡', 'dalongtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530426203', '530426', '530426203', '富良棚乡', 'fuliangpengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530426401', '530426', '530426401', '化念农场', 'huaniannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427', '5304', '530427', '新平县', 'xinpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427101', '530427', '530427101', '桂山镇', 'guishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427102', '530427', '530427102', '扬武镇', 'yangwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427103', '530427', '530427103', '漠沙镇', 'moshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427104', '530427', '530427104', '戛洒镇', 'jiasazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427105', '530427', '530427105', '水塘镇', 'shuitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427106', '530427', '530427106', '腰街镇', 'yaojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427201', '530427', '530427201', '平甸乡', 'pingdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427202', '530427', '530427202', '新化乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427203', '530427', '530427203', '建兴乡', 'jianxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427204', '530427', '530427204', '老厂乡', 'laochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427205', '530427', '530427205', '者竜乡', 'zhelongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530427206', '530427', '530427206', '平掌乡', 'pingzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530428', '5304', '530428', '元江县', 'yuanjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530428101', '530428', '530428101', '澧江镇', 'lijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530428102', '530428', '530428102', '因远镇', 'yinyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530428103', '530428', '530428103', '青龙厂镇', 'qinglongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530428104', '530428', '530428104', '东峨镇', 'dongezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530428201', '530428', '530428201', '羊岔街乡', 'yangchajiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530428202', '530428', '530428202', '羊街乡', 'yangjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530428203', '530428', '530428203', '那诺乡', 'neinuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530428204', '530428', '530428204', '洼垤乡', 'wadiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530428205', '530428', '530428205', '咪哩乡', 'milixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530428206', '530428', '530428206', '龙潭乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5305', '53', '5305', '保山市', 'baoshanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530501', '5305', '530501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502', '5305', '530502', '隆阳区', 'longyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502001', '530502', '530502001', '永昌街道', 'yongchangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502002', '530502', '530502002', '兰城街道', 'lanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502102', '530502', '530502102', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502103', '530502', '530502103', '河图镇', 'hetuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502104', '530502', '530502104', '汉庄镇', 'hanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502105', '530502', '530502105', '蒲缥镇', 'pupiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502106', '530502', '530502106', '瓦窑镇', 'wayaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502107', '530502', '530502107', '潞江镇', 'lujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502201', '530502', '530502201', '金鸡乡', 'jinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502202', '530502', '530502202', '辛街乡', 'xinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502203', '530502', '530502203', '西邑乡', 'xiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502204', '530502', '530502204', '丙麻乡', 'bingmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502205', '530502', '530502205', '瓦渡乡', 'waduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502206', '530502', '530502206', '水寨乡', 'shuizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502209', '530502', '530502209', '瓦马乡', 'wamaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502211', '530502', '530502211', '瓦房乡', 'wafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502212', '530502', '530502212', '杨柳乡', 'yangliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502215', '530502', '530502215', '芒宽乡', 'mangkuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502401', '530502', '530502401', '潞江农场', 'lujiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530502402', '530502', '530502402', '新城农场', 'xinchengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521', '5305', '530521', '施甸县', 'shidianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521101', '530521', '530521101', '甸阳镇', 'dianyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521102', '530521', '530521102', '由旺镇', 'youwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521103', '530521', '530521103', '姚关镇', 'yaoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521104', '530521', '530521104', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521105', '530521', '530521105', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521203', '530521', '530521203', '万兴乡', 'wanxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521204', '530521', '530521204', '摆榔乡', 'bailangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521205', '530521', '530521205', '酒房乡', 'jiufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521206', '530521', '530521206', '旧城乡', 'jiuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521207', '530521', '530521207', '木老元乡', 'mulaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521208', '530521', '530521208', '老麦乡', 'laomaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521209', '530521', '530521209', '何元乡', 'heyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530521210', '530521', '530521210', '水长乡', 'shuizhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522', '5305', '530522', '腾冲县', 'tengchongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522101', '530522', '530522101', '腾越镇', 'tengyuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522102', '530522', '530522102', '固东镇', 'gudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522104', '530522', '530522104', '滇滩镇', 'diantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522105', '530522', '530522105', '猴桥镇', 'houqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522106', '530522', '530522106', '和顺镇', 'heshunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522201', '530522', '530522201', '界头乡', 'jietouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522202', '530522', '530522202', '曲石乡', 'qushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522203', '530522', '530522203', '明光乡', 'mingguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522204', '530522', '530522204', '马站乡', 'mazhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522205', '530522', '530522205', '北海乡', 'beihaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522207', '530522', '530522207', '中和乡', 'zhonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522208', '530522', '530522208', '清水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522210', '530522', '530522210', '芒棒乡', 'mangbangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522211', '530522', '530522211', '五合乡', 'wuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522212', '530522', '530522212', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522213', '530522', '530522213', '蒲川乡', 'puchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522214', '530522', '530522214', '团田乡', 'tuantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530522215', '530522', '530522215', '荷花乡', 'hehuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530523', '5305', '530523', '龙陵县', 'longlingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530523101', '530523', '530523101', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530523102', '530523', '530523102', '镇安镇', 'zhenanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530523103', '530523', '530523103', '勐糯镇', 'mengnuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530523202', '530523', '530523202', '龙江乡', 'longjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530523203', '530523', '530523203', '腊勐乡', 'lamengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530523204', '530523', '530523204', '碧寨乡', 'bizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530523206', '530523', '530523206', '龙新乡', 'longxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530523207', '530523', '530523207', '象达乡', 'xiangdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530523208', '530523', '530523208', '平达乡', 'pingdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530523209', '530523', '530523209', '木城乡', 'muchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524', '5305', '530524', '昌宁县', 'changningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524101', '530524', '530524101', '田园镇', 'tianyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524103', '530524', '530524103', '漭水镇', 'mangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524104', '530524', '530524104', '柯街镇', 'kejiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524105', '530524', '530524105', '卡斯镇', 'kasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524106', '530524', '530524106', '勐统镇', 'mengtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524201', '530524', '530524201', '温泉乡', 'wenquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524202', '530524', '530524202', '大田坝乡', 'datianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524203', '530524', '530524203', '鸡飞乡', 'jifeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524204', '530524', '530524204', '翁堵乡', 'wengduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524205', '530524', '530524205', '湾甸乡', 'wandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524206', '530524', '530524206', '更戛乡', 'gengjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524207', '530524', '530524207', '珠街乡', 'zhujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530524208', '530524', '530524208', '苟街乡', 'goujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5306', '53', '5306', '昭通市', 'zhaotongshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530601', '5306', '530601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602', '5306', '530602', '昭阳区', 'zhaoyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602001', '530602', '530602001', '龙泉街道', 'longquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602002', '530602', '530602002', '凤凰街道', 'fenghuangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602003', '530602', '530602003', '太平街道', 'taipingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602102', '530602', '530602102', '旧圃镇', 'jiupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602103', '530602', '530602103', '永丰镇', 'yongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602104', '530602', '530602104', '北闸镇', 'beizhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602203', '530602', '530602203', '布嘎乡', 'bugaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602204', '530602', '530602204', '守望乡', 'shouwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602206', '530602', '530602206', '小龙洞乡', 'xiaolongdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602207', '530602', '530602207', '盘河乡', 'panhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602208', '530602', '530602208', '靖安乡', 'jinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602209', '530602', '530602209', '青岗岭乡', 'qingganglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602210', '530602', '530602210', '洒渔乡', 'sayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602211', '530602', '530602211', '乐居乡', 'lejuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602212', '530602', '530602212', '苏家院乡', 'sujiayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602213', '530602', '530602213', '苏甲乡', 'sujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602214', '530602', '530602214', '大山包乡', 'dashanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602215', '530602', '530602215', '大寨子乡', 'dazhaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602216', '530602', '530602216', '炎山乡', 'yanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530602217', '530602', '530602217', '田坝乡', 'tianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621', '5306', '530621', '鲁甸县', 'ludianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621101', '530621', '530621101', '文屏镇', 'wenpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621102', '530621', '530621102', '水磨镇', 'shuimozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621103', '530621', '530621103', '龙头山镇', 'longtoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621201', '530621', '530621201', '桃源乡', 'taoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621202', '530621', '530621202', '茨院乡', 'ciyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621203', '530621', '530621203', '小寨乡', 'xiaozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621204', '530621', '530621204', '江底乡', 'jiangdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621205', '530621', '530621205', '火德红乡', 'huodehongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621208', '530621', '530621208', '龙树乡', 'longshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621209', '530621', '530621209', '新街乡', 'xinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621210', '530621', '530621210', '梭山乡', 'suoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530621211', '530621', '530621211', '乐红乡', 'lehongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622', '5306', '530622', '巧家县', 'qiaojiaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622101', '530622', '530622101', '白鹤滩镇', 'baihetanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622102', '530622', '530622102', '大寨镇', 'dazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622103', '530622', '530622103', '小河镇', 'xiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622104', '530622', '530622104', '药山镇', 'yaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622105', '530622', '530622105', '马树镇', 'mashuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622106', '530622', '530622106', '老店镇', 'laodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622201', '530622', '530622201', '茂租乡', 'maozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622202', '530622', '530622202', '东坪乡', 'dongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622203', '530622', '530622203', '红山乡', 'hongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622205', '530622', '530622205', '新店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622207', '530622', '530622207', '包谷垴乡', 'baogunaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622210', '530622', '530622210', '中寨乡', 'zhongzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622211', '530622', '530622211', '崇溪乡', 'chongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622212', '530622', '530622212', '金塘乡', 'jintangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622213', '530622', '530622213', '炉房乡', 'lufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530622214', '530622', '530622214', '蒙姑乡', 'mengguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530623', '5306', '530623', '盐津县', 'yanjinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530623101', '530623', '530623101', '盐井镇', 'yanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530623102', '530623', '530623102', '普洱镇', 'puerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530623103', '530623', '530623103', '豆沙镇', 'doushazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530623104', '530623', '530623104', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530623203', '530623', '530623203', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530623205', '530623', '530623205', '落雁乡', 'luoyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530623206', '530623', '530623206', '滩头乡', 'tantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530623207', '530623', '530623207', '牛寨乡', 'niuzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530623208', '530623', '530623208', '庙坝乡', 'miaobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530623209', '530623', '530623209', '柿子乡', 'shizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530624', '5306', '530624', '大关县', 'daguanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530624101', '530624', '530624101', '翠华镇', 'cuihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530624102', '530624', '530624102', '玉碗镇', 'yuwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530624103', '530624', '530624103', '吉利镇', 'jilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530624104', '530624', '530624104', '天星镇', 'tianxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530624105', '530624', '530624105', '木杆镇', 'muganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530624106', '530624', '530624106', '悦乐镇', 'yuelezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530624201', '530624', '530624201', '上高桥乡', 'shanggaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530624205', '530624', '530624205', '寿山乡', 'shoushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530624206', '530624', '530624206', '高桥乡', 'gaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625', '5306', '530625', '永善县', 'yongshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625101', '530625', '530625101', '溪洛渡镇', 'xiluoduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625102', '530625', '530625102', '桧溪镇', 'guixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625103', '530625', '530625103', '黄华镇', 'huanghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625104', '530625', '530625104', '茂林镇', 'maolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625105', '530625', '530625105', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625106', '530625', '530625106', '莲峰镇', 'lianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625202', '530625', '530625202', '团结乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625203', '530625', '530625203', '细沙乡', 'xishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625204', '530625', '530625204', '青胜乡', 'qingshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625205', '530625', '530625205', '务基乡', 'wujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625207', '530625', '530625207', '马楠乡', 'mananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625208', '530625', '530625208', '水竹乡', 'shuizhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625211', '530625', '530625211', '墨翰乡', 'mohanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625212', '530625', '530625212', '伍寨乡', 'wuzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530625213', '530625', '530625213', '码口乡', 'makouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530626', '5306', '530626', '绥江县', 'suijiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530626101', '530626', '530626101', '中城镇', 'zhongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530626102', '530626', '530626102', '南岸镇', 'nananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530626104', '530626', '530626104', '新滩镇', 'xintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530626105', '530626', '530626105', '会仪镇', 'huiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530626201', '530626', '530626201', '板栗乡', 'banlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627', '5306', '530627', '镇雄县', 'zhenxiongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627101', '530627', '530627101', '乌峰镇', 'wufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627102', '530627', '530627102', '泼机镇', 'pojizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627103', '530627', '530627103', '黑树镇', 'heishuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627104', '530627', '530627104', '母享镇', 'muxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627106', '530627', '530627106', '大湾镇', 'dawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627107', '530627', '530627107', '以勒镇', 'yilezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627108', '530627', '530627108', '赤水源镇', 'chishuiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627109', '530627', '530627109', '芒部镇', 'mangbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627110', '530627', '530627110', '雨河镇', 'yuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627111', '530627', '530627111', '罗坎镇', 'luokanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627112', '530627', '530627112', '牛场镇', 'niuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627113', '530627', '530627113', '五德镇', 'wudezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627114', '530627', '530627114', '坡头镇', 'potouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627115', '530627', '530627115', '以古镇', 'yiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627116', '530627', '530627116', '场坝镇', 'changbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627117', '530627', '530627117', '塘房镇', 'tangfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627201', '530627', '530627201', '中屯乡', 'zhongtunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627203', '530627', '530627203', '鱼洞乡', 'yudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627206', '530627', '530627206', '花朗乡', 'hualangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627208', '530627', '530627208', '尖山乡', 'jianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627209', '530627', '530627209', '木卓乡', 'muzhuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627212', '530627', '530627212', '盐源乡', 'yanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627213', '530627', '530627213', '碗厂乡', 'wanchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627214', '530627', '530627214', '杉树乡', 'shanshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627215', '530627', '530627215', '花山乡', 'huashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627216', '530627', '530627216', '坪上乡', 'pingshangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627220', '530627', '530627220', '果珠乡', 'guozhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530627222', '530627', '530627222', '林口乡', 'linkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628', '5306', '530628', '彝良县', 'yiliangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628101', '530628', '530628101', '角奎镇', 'jiaokuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628102', '530628', '530628102', '洛泽河镇', 'luozehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628103', '530628', '530628103', '牛街镇', 'niujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628203', '530628', '530628203', '龙街苗族彝族乡', 'longjiemiaozuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628204', '530628', '530628204', '奎香苗族彝族乡', 'kuixiangmiaozuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628205', '530628', '530628205', '树林彝族苗族乡', 'shulinyizumiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628206', '530628', '530628206', '海子乡', 'haizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628208', '530628', '530628208', '荞山乡', 'qiaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628209', '530628', '530628209', '龙安乡', 'longanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628210', '530628', '530628210', '钟鸣乡', 'zhongmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628211', '530628', '530628211', '两河乡', 'lianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628212', '530628', '530628212', '小草坝乡', 'xiaocaobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628213', '530628', '530628213', '龙海乡', 'longhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628214', '530628', '530628214', '柳溪苗族乡', 'liuximiaozuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530628215', '530628', '530628215', '洛旺乡', 'luowangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530629', '5306', '530629', '威信县', 'weixinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530629101', '530629', '530629101', '扎西镇', 'zhaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530629102', '530629', '530629102', '旧城镇', 'jiuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530629202', '530629', '530629202', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530629203', '530629', '530629203', '高田乡', 'gaotianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530629204', '530629', '530629204', '罗布乡', 'luobuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530629205', '530629', '530629205', '林凤乡', 'linfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530629206', '530629', '530629206', '长安乡', 'zhanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530629207', '530629', '530629207', '庙沟乡', 'miaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530629208', '530629', '530629208', '三桃乡', 'santaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530629209', '530629', '530629209', '水田乡', 'shuitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530630', '5306', '530630', '水富县', 'shuifuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530630101', '530630', '530630101', '向家坝镇', 'xiangjiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530630201', '530630', '530630201', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530630202', '530630', '530630202', '两碗乡', 'liangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5307', '53', '5307', '丽江市', 'lijiangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530701', '5307', '530701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530702', '5307', '530702', '古城区', 'guchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530702001', '530702', '530702001', '大研街道', 'dayanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530702002', '530702', '530702002', '祥和街道', 'xianghejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530702003', '530702', '530702003', '西安街道', 'xianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530702004', '530702', '530702004', '束河街道', 'shuhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530702201', '530702', '530702201', '金安乡', 'jinanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530702202', '530702', '530702202', '七河乡', 'qihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530702203', '530702', '530702203', '大东乡', 'dadongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530702204', '530702', '530702204', '金山乡', 'jinshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530702205', '530702', '530702205', '金江乡', 'jinjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721', '5307', '530721', '玉龙县', 'yulongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721101', '530721', '530721101', '黄山镇', 'huangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721102', '530721', '530721102', '石鼓镇', 'shiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721103', '530721', '530721103', '巨甸镇', 'judianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721201', '530721', '530721201', '白沙乡', 'baishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721202', '530721', '530721202', '拉市乡', 'lashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721203', '530721', '530721203', '太安乡', 'taianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721204', '530721', '530721204', '龙蟠乡', 'longpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721205', '530721', '530721205', '黎明乡', 'limingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721206', '530721', '530721206', '鲁甸乡', 'ludianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721207', '530721', '530721207', '塔城乡', 'tachengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721208', '530721', '530721208', '大具乡', 'dajuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721209', '530721', '530721209', '宝山乡', 'baoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721210', '530721', '530721210', '奉科乡', 'fengkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721211', '530721', '530721211', '鸣音乡', 'mingyinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721212', '530721', '530721212', '石头乡', 'shitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530721215', '530721', '530721215', '九河乡', 'jiuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722', '5307', '530722', '永胜县', 'yongshengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722101', '530722', '530722101', '永北镇', 'yongbeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722102', '530722', '530722102', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722103', '530722', '530722103', '期纳镇', 'qinazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722104', '530722', '530722104', '三川镇', 'sanchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722106', '530722', '530722106', '程海镇', 'chenghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722201', '530722', '530722201', '羊坪乡', 'yangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722202', '530722', '530722202', '六德乡', 'liudexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722203', '530722', '530722203', '东山乡', 'dongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722204', '530722', '530722204', '东风乡', 'dongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722205', '530722', '530722205', '涛源乡', 'taoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722207', '530722', '530722207', '片角乡', 'pianjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722208', '530722', '530722208', '光华乡', 'guanghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722209', '530722', '530722209', '松坪乡', 'songpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722210', '530722', '530722210', '大安乡', 'daanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530722211', '530722', '530722211', '顺州乡', 'shunzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530723', '5307', '530723', '华坪县', 'huapingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530723101', '530723', '530723101', '中心镇', 'zhongxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530723102', '530723', '530723102', '荣将镇', 'rongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530723103', '530723', '530723103', '兴泉镇', 'xingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530723203', '530723', '530723203', '石龙坝乡', 'shilongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530723205', '530723', '530723205', '新庄乡', 'xinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530723206', '530723', '530723206', '通达乡', 'tongdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530723207', '530723', '530723207', '永兴乡', 'yongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530723208', '530723', '530723208', '船房乡', 'chuanfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724', '5307', '530724', '宁蒗县', 'ninglangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724101', '530724', '530724101', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724201', '530724', '530724201', '拉伯乡', 'laboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724202', '530724', '530724202', '永宁乡', 'yongningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724203', '530724', '530724203', '翠玉乡', 'cuiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724204', '530724', '530724204', '红桥乡', 'hongqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724206', '530724', '530724206', '宁利乡', 'ninglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724207', '530724', '530724207', '金棉乡', 'jinmianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724208', '530724', '530724208', '西川乡', 'xichuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724209', '530724', '530724209', '西布河乡', 'xibuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724210', '530724', '530724210', '战河乡', 'zhanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724211', '530724', '530724211', '永宁坪乡', 'yongningpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724212', '530724', '530724212', '跑马坪乡', 'paomapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724213', '530724', '530724213', '蝉战河乡', 'chanzhanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724214', '530724', '530724214', '新营盘乡', 'xinyingpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530724215', '530724', '530724215', '烂泥箐乡', 'lanniqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5308', '53', '5308', '思茅市', 'simaoshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530801', '5308', '530801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530802', '5308', '530802', '翠云区', 'cuiyunqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530802101', '530802', '530802101', '思茅镇', 'simaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530802102', '530802', '530802102', '南屏镇', 'nanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530802103', '530802', '530802103', '倚象镇', 'yixiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530802104', '530802', '530802104', '思茅港镇', 'simaogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530802202', '530802', '530802202', '云仙乡', 'yunxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530802203', '530802', '530802203', '陆顺乡', 'lushunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530802204', '530802', '530802204', '龙潭乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530821', '5308', '530821', '普洱县', 'puerxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530821101', '530821', '530821101', '宁洱镇', 'ningerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530821102', '530821', '530821102', '磨黑镇', 'moheizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530821202', '530821', '530821202', '德化乡', 'dehuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530821203', '530821', '530821203', '同心乡', 'tongxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530821204', '530821', '530821204', '勐先乡', 'mengxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530821205', '530821', '530821205', '普义乡', 'puyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530821206', '530821', '530821206', '黎明乡', 'limingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530821208', '530821', '530821208', '德安乡', 'deanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530821209', '530821', '530821209', '梅子乡', 'meizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822', '5308', '530822', '墨江县', 'mojiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822101', '530822', '530822101', '联珠镇', 'lianzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822102', '530822', '530822102', '通关镇', 'tongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822202', '530822', '530822202', '新安乡', 'xinanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822203', '530822', '530822203', '孟弄乡', 'mengnongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822204', '530822', '530822204', '团田乡', 'tuantianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822205', '530822', '530822205', '新抚乡', 'xinfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822206', '530822', '530822206', '景星乡', 'jingxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822207', '530822', '530822207', '鱼塘乡', 'yutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822208', '530822', '530822208', '龙潭乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822209', '530822', '530822209', '文武乡', 'wenwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822210', '530822', '530822210', '坝溜乡', 'baliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822211', '530822', '530822211', '泗南江乡', 'sinanjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822212', '530822', '530822212', '那哈乡', 'neihaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822213', '530822', '530822213', '雅邑乡', 'yayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530822214', '530822', '530822214', '龙坝乡', 'longbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823', '5308', '530823', '景东县', 'jingdongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823101', '530823', '530823101', '锦屏镇', 'jinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823102', '530823', '530823102', '文井镇', 'wenjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823103', '530823', '530823103', '漫湾镇', 'manwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823104', '530823', '530823104', '大朝山东镇', 'dachaoshandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823202', '530823', '530823202', '花山乡', 'huashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823203', '530823', '530823203', '大街乡', 'dajiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823204', '530823', '530823204', '太忠乡', 'taizhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823205', '530823', '530823205', '龙街乡', 'longjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823206', '530823', '530823206', '文龙乡', 'wenlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823207', '530823', '530823207', '安定乡', 'andingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823208', '530823', '530823208', '林街乡', 'linjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823209', '530823', '530823209', '景福乡', 'jingfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530823210', '530823', '530823210', '曼等乡', 'mandengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530824', '5308', '530824', '景谷县', 'jingguxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530824101', '530824', '530824101', '威远镇', 'weiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530824102', '530824', '530824102', '永平镇', 'yongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530824103', '530824', '530824103', '正兴镇', 'zhengxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530824104', '530824', '530824104', '民乐镇', 'minlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530824202', '530824', '530824202', '凤山乡', 'fengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530824203', '530824', '530824203', '景谷乡', 'jingguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530824205', '530824', '530824205', '半坡乡', 'banpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530824206', '530824', '530824206', '勐班乡', 'mengbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530824207', '530824', '530824207', '碧安乡', 'bianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530824208', '530824', '530824208', '益智乡', 'yizhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530825', '5308', '530825', '镇沅县', 'zhenyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530825101', '530825', '530825101', '恩乐镇', 'enlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530825102', '530825', '530825102', '按板镇', 'anbanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530825103', '530825', '530825103', '勐大镇', 'mengdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530825104', '530825', '530825104', '者东镇', 'zhedongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530825201', '530825', '530825201', '田坝乡', 'tianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530825202', '530825', '530825202', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530825204', '530825', '530825204', '振太乡', 'zhentaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530825206', '530825', '530825206', '九甲乡', 'jiujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530825208', '530825', '530825208', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530826', '5308', '530826', '江城县', 'jiangchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530826101', '530826', '530826101', '勐烈镇', 'mengliezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530826102', '530826', '530826102', '整董镇', 'zhengdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530826202', '530826', '530826202', '国庆乡', 'guoqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530826203', '530826', '530826203', '嘉禾乡', 'jiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530826204', '530826', '530826204', '宝藏乡', 'baozangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530826205', '530826', '530826205', '康平乡', 'kangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530826206', '530826', '530826206', '曲水乡', 'qushuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530826401', '530826', '530826401', '江城农场', 'jiangchengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530827', '5308', '530827', '孟连县', 'menglianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530827101', '530827', '530827101', '娜允镇', 'nayunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530827102', '530827', '530827102', '勐马镇', 'mengmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530827103', '530827', '530827103', '芒信镇', 'mangxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530827201', '530827', '530827201', '景信乡', 'jingxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530827203', '530827', '530827203', '富岩乡', 'fuyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530827204', '530827', '530827204', '公信乡', 'gongxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530827401', '530827', '530827401', '勐连农场', 'mengliannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828', '5308', '530828', '澜沧县', 'lancangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828101', '530828', '530828101', '勐朗镇', 'menglangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828102', '530828', '530828102', '上允镇', 'shangyunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828103', '530828', '530828103', '糯扎渡镇', 'nuozhaduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828202', '530828', '530828202', '谦六乡', 'qianliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828204', '530828', '530828204', '东河乡', 'donghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828205', '530828', '530828205', '大山乡', 'dashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828206', '530828', '530828206', '南岭乡', 'nanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828209', '530828', '530828209', '酒井乡', 'jiujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828210', '530828', '530828210', '惠民乡', 'huiminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828211', '530828', '530828211', '东回乡', 'donghuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828212', '530828', '530828212', '拉巴乡', 'labaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828213', '530828', '530828213', '竹塘乡', 'zhutangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828214', '530828', '530828214', '富邦乡', 'fubangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828215', '530828', '530828215', '安康乡', 'ankangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828216', '530828', '530828216', '文东乡', 'wendongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828217', '530828', '530828217', '富东乡', 'fudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828218', '530828', '530828218', '雪林乡', 'xuelinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828219', '530828', '530828219', '木戛乡', 'mujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828220', '530828', '530828220', '发展河乡', 'fazhanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828221', '530828', '530828221', '糯福乡', 'nuofuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530828401', '530828', '530828401', '勐根农场', 'menggennongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530829', '5308', '530829', '西盟县', 'ximengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530829101', '530829', '530829101', '勐梭镇', 'mengsuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530829102', '530829', '530829102', '勐卡镇', 'mengkazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530829201', '530829', '530829201', '翁嘎科乡', 'wenggakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530829202', '530829', '530829202', '力所乡', 'lisuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530829203', '530829', '530829203', '岳宋乡', 'yuesongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530829205', '530829', '530829205', '新厂乡', 'xinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530829206', '530829', '530829206', '中课乡', 'zhongkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5309', '53', '5309', '临沧市', 'lincangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530901', '5309', '530901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530902', '5309', '530902', '临翔区', 'linxiangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530902001', '530902', '530902001', '凤翔街道', 'fengxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530902002', '530902', '530902002', '忙畔街道', 'mangpanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530902102', '530902', '530902102', '博尚镇', 'boshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530902202', '530902', '530902202', '南美乡', 'nanmeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530902203', '530902', '530902203', '蚂蚁堆乡', 'mayiduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530902204', '530902', '530902204', '章驮乡', 'zhangtuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530902206', '530902', '530902206', '圈内乡', 'quanneixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530902207', '530902', '530902207', '马台乡', 'mataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530902208', '530902', '530902208', '邦东乡', 'bangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530902209', '530902', '530902209', '平村乡', 'pingcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921', '5309', '530921', '凤庆县', 'fengqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921101', '530921', '530921101', '凤山镇', 'fengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921102', '530921', '530921102', '鲁史镇', 'lushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921103', '530921', '530921103', '小湾镇', 'xiaowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921104', '530921', '530921104', '营盘镇', 'yingpanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921105', '530921', '530921105', '三岔河镇', 'sanchahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921106', '530921', '530921106', '勐佑镇', 'mengyouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921107', '530921', '530921107', '雪山镇', 'xueshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921108', '530921', '530921108', '洛党镇', 'luodangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921201', '530921', '530921201', '诗礼乡', 'shilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921202', '530921', '530921202', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921204', '530921', '530921204', '大寺乡', 'dasixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921206', '530921', '530921206', '腰街乡', 'yaojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530921207', '530921', '530921207', '郭大寨乡', 'guodazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922', '5309', '530922', '云县', 'yunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922101', '530922', '530922101', '爱华镇', 'aihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922102', '530922', '530922102', '漫湾镇', 'manwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922103', '530922', '530922103', '大朝山西镇', 'dachaoshanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922104', '530922', '530922104', '涌宝镇', 'yongbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922105', '530922', '530922105', '茂兰镇', 'maolanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922106', '530922', '530922106', '幸福镇', 'xingfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922107', '530922', '530922107', '大寨镇', 'dazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922201', '530922', '530922201', '忙怀乡', 'manghuaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922202', '530922', '530922202', '晓街乡', 'xiaojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922203', '530922', '530922203', '茶房乡', 'chafangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922204', '530922', '530922204', '栗树乡', 'lishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530922205', '530922', '530922205', '后箐乡', 'houqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923', '5309', '530923', '永德县', 'yongdexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923101', '530923', '530923101', '德党镇', 'dedangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923102', '530923', '530923102', '小勐统镇', 'xiaomengtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923103', '530923', '530923103', '永康镇', 'yongkangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923203', '530923', '530923203', '勐板乡', 'mengbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923204', '530923', '530923204', '亚练乡', 'yalianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923205', '530923', '530923205', '乌木龙乡', 'wumulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923206', '530923', '530923206', '大雪山乡', 'daxueshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923207', '530923', '530923207', '班卡乡', 'bankaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923208', '530923', '530923208', '崇岗乡', 'chonggangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923209', '530923', '530923209', '大山乡', 'dashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530923401', '530923', '530923401', '勐底农场', 'mengdinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530924', '5309', '530924', '镇康县', 'zhenkangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530924101', '530924', '530924101', '凤尾镇', 'fengweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530924102', '530924', '530924102', '勐捧镇', 'mengpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530924103', '530924', '530924103', '南伞镇', 'nansanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530924201', '530924', '530924201', '忙丙乡', 'mangbingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530924202', '530924', '530924202', '勐堆乡', 'mengduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530924204', '530924', '530924204', '木场乡', 'muchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530924205', '530924', '530924205', '军赛乡', 'junsaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530925', '5309', '530925', '双江县', 'shuangjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530925101', '530925', '530925101', '勐勐镇', 'mengmengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530925102', '530925', '530925102', '勐库镇', 'mengkuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530925201', '530925', '530925201', '沙河乡', 'shahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530925202', '530925', '530925202', '大文乡', 'dawenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530925203', '530925', '530925203', '忙糯乡', 'mangnuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530925205', '530925', '530925205', '邦丙乡', 'bangbingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530925401', '530925', '530925401', '双江农场', 'shuangjiangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530925402', '530925', '530925402', '勐库华侨农场', 'mengkuhuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926', '5309', '530926', '耿马县', 'gengmaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926101', '530926', '530926101', '耿马镇', 'gengmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926102', '530926', '530926102', '勐永镇', 'mengyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926103', '530926', '530926103', '勐撒镇', 'mengsazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926104', '530926', '530926104', '孟定镇', 'mengdingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926201', '530926', '530926201', '大兴乡', 'daxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926202', '530926', '530926202', '芒洪乡', 'manghongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926203', '530926', '530926203', '四排山乡', 'sipaishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926204', '530926', '530926204', '贺派乡', 'hepaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926205', '530926', '530926205', '勐简乡', 'mengjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926401', '530926', '530926401', '勐撒农场', 'mengsanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530926402', '530926', '530926402', '孟定农场', 'mengdingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927', '5309', '530927', '沧源县', 'cangyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927101', '530927', '530927101', '勐懂镇', 'mengdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927102', '530927', '530927102', '岩帅镇', 'yanshuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927103', '530927', '530927103', '勐省镇', 'mengshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927104', '530927', '530927104', '芒卡镇', 'mangkazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927202', '530927', '530927202', '单甲乡', 'danjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927203', '530927', '530927203', '糯良乡', 'nuoliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927204', '530927', '530927204', '勐来乡', 'menglaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927205', '530927', '530927205', '勐角乡', 'mengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927206', '530927', '530927206', '班洪乡', 'banhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927207', '530927', '530927207', '班老乡', 'banlaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('530927401', '530927', '530927401', '勐省农场', 'mengshengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5323', '53', '5323', '楚雄州', 'chuxiongzhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301', '5323', '532301', '楚雄市', 'chuxiongshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301101', '532301', '532301101', '鹿城镇', 'luchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301102', '532301', '532301102', '东瓜镇', 'dongguazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301103', '532301', '532301103', '吕合镇', 'lu:hezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301104', '532301', '532301104', '紫溪镇', 'zixizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301105', '532301', '532301105', '东华镇', 'donghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301106', '532301', '532301106', '子午镇', 'ziwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301107', '532301', '532301107', '苍岭镇', 'canglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301108', '532301', '532301108', '三街镇', 'sanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301109', '532301', '532301109', '八角镇', 'bajiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301110', '532301', '532301110', '中山镇', 'zhongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301111', '532301', '532301111', '新村镇', 'xincunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301201', '532301', '532301201', '树苴乡', 'shujuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301202', '532301', '532301202', '大过口乡', 'daguokouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301203', '532301', '532301203', '大地基乡', 'dadijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532301204', '532301', '532301204', '西舍路乡', 'xisheluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532322', '5323', '532322', '双柏县', 'shuangboxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532322101', '532322', '532322101', '妥甸镇', 'tuodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532322102', '532322', '532322102', '大庄镇', 'dazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532322103', '532322', '532322103', '法裱镇', 'fabiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532322104', '532322', '532322104', '鄂嘉镇', 'ejiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532322105', '532322', '532322105', '大麦地镇', 'damaidizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532322201', '532322', '532322201', '安龙堡乡', 'anlongbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532322202', '532322', '532322202', '爱尼山乡', 'ainishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532322203', '532322', '532322203', '独田乡', 'dutianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532323', '5323', '532323', '牟定县', 'moudingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532323101', '532323', '532323101', '共和镇', 'gonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532323102', '532323', '532323102', '新桥镇', 'xinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532323103', '532323', '532323103', '江坡镇', 'jiangpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532323104', '532323', '532323104', '凤屯镇', 'fengtunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532323201', '532323', '532323201', '蟠猫乡', 'panmaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532323202', '532323', '532323202', '戍街乡', 'shujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532323203', '532323', '532323203', '安乐乡', 'anlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532324', '5323', '532324', '南华县', 'nanhuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532324101', '532324', '532324101', '龙川镇', 'longchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532324102', '532324', '532324102', '沙桥镇', 'shaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532324103', '532324', '532324103', '五街镇', 'wujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532324104', '532324', '532324104', '红土坡镇', 'hongtupozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532324105', '532324', '532324105', '马街镇', 'majiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532324106', '532324', '532324106', '兔街镇', 'tujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532324201', '532324', '532324201', '雨露乡', 'yuluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532324202', '532324', '532324202', '一街乡', 'yijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532324203', '532324', '532324203', '罗武庄乡', 'luowuzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532324204', '532324', '532324204', '五顶山乡', 'wudingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532325', '5323', '532325', '姚安县', 'yaoanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532325101', '532325', '532325101', '栋川镇', 'dongchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532325102', '532325', '532325102', '光禄镇', 'guangluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532325103', '532325', '532325103', '前场镇', 'qianchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532325104', '532325', '532325104', '弥兴镇', 'mixingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532325105', '532325', '532325105', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532325201', '532325', '532325201', '适中乡', 'shizhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532325202', '532325', '532325202', '左门乡', 'zuomenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532325203', '532325', '532325203', '官屯乡', 'guantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532325204', '532325', '532325204', '大河口乡', 'dahekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326', '5323', '532326', '大姚县', 'dayaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326101', '532326', '532326101', '金碧镇', 'jinbizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326102', '532326', '532326102', '石羊镇', 'shiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326103', '532326', '532326103', '六苴镇', 'liujuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326201', '532326', '532326201', '龙街乡', 'longjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326202', '532326', '532326202', '赵家店乡', 'zhaojiadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326203', '532326', '532326203', '新街乡', 'xinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326204', '532326', '532326204', '昙华乡', 'tanhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326205', '532326', '532326205', '桂花乡', 'guihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326206', '532326', '532326206', '湾碧乡', 'wanbixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326207', '532326', '532326207', '铁锁乡', 'tiesuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326208', '532326', '532326208', '三台乡', 'santaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532326209', '532326', '532326209', '三岔河乡', 'sanchahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532327', '5323', '532327', '永仁县', 'yongrenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532327101', '532327', '532327101', '永定镇', 'yongdingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532327102', '532327', '532327102', '宜就镇', 'yijiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532327103', '532327', '532327103', '中和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532327201', '532327', '532327201', '莲池乡', 'lianchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532327202', '532327', '532327202', '维的乡', 'weidexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532327203', '532327', '532327203', '猛虎乡', 'menghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532327204', '532327', '532327204', '永兴乡', 'yongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532328', '5323', '532328', '元谋县', 'yuanmouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532328101', '532328', '532328101', '元马镇', 'yuanmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532328103', '532328', '532328103', '黄瓜园镇', 'huangguayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532328104', '532328', '532328104', '羊街镇', 'yangjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532328202', '532328', '532328202', '老城乡', 'laochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532328203', '532328', '532328203', '物茂乡', 'wumaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532328204', '532328', '532328204', '江边乡', 'jiangbianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532328205', '532328', '532328205', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532328206', '532328', '532328206', '平田乡', 'pingtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532328209', '532328', '532328209', '凉山乡', 'liangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532328210', '532328', '532328210', '姜驿乡', 'jiangyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329', '5323', '532329', '武定县', 'wudingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329101', '532329', '532329101', '狮山镇', 'shishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329102', '532329', '532329102', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329103', '532329', '532329103', '猫街镇', 'maojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329201', '532329', '532329201', '插甸乡', 'chadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329202', '532329', '532329202', '田心乡', 'tianxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329203', '532329', '532329203', '发窝乡', 'fawoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329204', '532329', '532329204', '白路乡', 'bailuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329205', '532329', '532329205', '万德乡', 'wandexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329206', '532329', '532329206', '己衣乡', 'jiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329207', '532329', '532329207', '环州乡', 'huanzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532329208', '532329', '532329208', '东坡乡', 'dongpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331', '5323', '532331', '禄丰县', 'lufengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331101', '532331', '532331101', '金山镇', 'jinshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331102', '532331', '532331102', '仁兴镇', 'renxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331103', '532331', '532331103', '碧城镇', 'bichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331104', '532331', '532331104', '勤丰镇', 'qinfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331105', '532331', '532331105', '一平浪镇', 'yipinglangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331106', '532331', '532331106', '广通镇', 'guangtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331107', '532331', '532331107', '黑井镇', 'heijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331108', '532331', '532331108', '土官镇', 'tuguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331109', '532331', '532331109', '罗川镇', 'luochuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331110', '532331', '532331110', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331201', '532331', '532331201', '中村乡', 'zhongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331202', '532331', '532331202', '川街乡', 'chuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331203', '532331', '532331203', '高峰乡', 'gaofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532331204', '532331', '532331204', '妥安乡', 'tuoanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5325', '53', '5325', '红河州', 'honghezhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532501', '5325', '532501', '个旧市', 'gejiushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532501001', '532501', '532501001', '城区街道', 'chengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532501101', '532501', '532501101', '锡城镇', 'xichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532501102', '532501', '532501102', '沙甸镇', 'shadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532501103', '532501', '532501103', '鸡街镇', 'jijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532501104', '532501', '532501104', '大屯镇', 'datunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532501106', '532501', '532501106', '老厂镇', 'laochangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532501107', '532501', '532501107', '卡房镇', 'kafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532501108', '532501', '532501108', '蔓耗镇', 'manhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532501202', '532501', '532501202', '贾沙乡', 'jiashaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532501203', '532501', '532501203', '保和乡', 'baohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532502', '5325', '532502', '开远市', 'kaiyuanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532502001', '532502', '532502001', '乐白道', 'lebaidao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532502002', '532502', '532502002', '灵泉', 'lingquan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532502101', '532502', '532502101', '小龙潭镇', 'xiaolongtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532502201', '532502', '532502201', '大庄乡', 'dazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532502202', '532502', '532502202', '羊街乡', 'yangjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532502203', '532502', '532502203', '马者哨乡', 'mazheshaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532502204', '532502', '532502204', '中和营乡', 'zhongheyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532502205', '532502', '532502205', '碑格乡', 'beigexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522', '5325', '532522', '蒙自县', 'mengzixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522101', '532522', '532522101', '文澜镇', 'wenlanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522102', '532522', '532522102', '草坝镇', 'caobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522103', '532522', '532522103', '雨过铺镇', 'yuguopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522104', '532522', '532522104', '新安所镇', 'xinansuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522105', '532522', '532522105', '芷村镇', 'zhicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522106', '532522', '532522106', '鸣鹫镇', 'mingjiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522107', '532522', '532522107', '冷泉镇', 'lengquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522201', '532522', '532522201', '期路白乡', 'qilubaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522202', '532522', '532522202', '老寨乡', 'laozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522203', '532522', '532522203', '水田乡', 'shuitianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532522204', '532522', '532522204', '西北勒乡', 'xibeilexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532523', '5325', '532523', '屏边县', 'pingbianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532523101', '532523', '532523101', '玉屏镇', 'yupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532523201', '532523', '532523201', '新现乡', 'xinxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532523202', '532523', '532523202', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532523203', '532523', '532523203', '白河乡', 'baihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532523204', '532523', '532523204', '白云乡', 'baiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532523205', '532523', '532523205', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532523206', '532523', '532523206', '湾塘乡', 'wantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524', '5325', '532524', '建水县', 'jianshuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524101', '532524', '532524101', '临安镇', 'linanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524102', '532524', '532524102', '官厅镇', 'guantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524103', '532524', '532524103', '西庄镇', 'xizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524104', '532524', '532524104', '青龙镇', 'qinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524105', '532524', '532524105', '南庄镇', 'nanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524106', '532524', '532524106', '岔科镇', 'chakezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524107', '532524', '532524107', '曲江镇', 'qujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524108', '532524', '532524108', '面甸镇', 'miandianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524201', '532524', '532524201', '普雄乡', 'puxiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524202', '532524', '532524202', '李浩寨乡', 'lihaozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524203', '532524', '532524203', '坡头乡', 'potouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524204', '532524', '532524204', '盘江乡', 'panjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524205', '532524', '532524205', '利民乡', 'liminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532524206', '532524', '532524206', '甸尾乡', 'dianweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532525', '5325', '532525', '石屏县', 'shipingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532525101', '532525', '532525101', '异龙镇', 'yilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532525102', '532525', '532525102', '宝秀镇', 'baoxiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532525103', '532525', '532525103', '坝心镇', 'baxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532525104', '532525', '532525104', '龙朋镇', 'longpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532525105', '532525', '532525105', '龙武镇', 'longwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532525106', '532525', '532525106', '哨冲镇', 'shaochongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532525107', '532525', '532525107', '牛街镇', 'niujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532525201', '532525', '532525201', '新城乡', 'xinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532525202', '532525', '532525202', '大桥乡', 'daqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526', '5325', '532526', '弥勒县', 'milexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526101', '532526', '532526101', '弥阳镇', 'miyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526102', '532526', '532526102', '新哨镇', 'xinshaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526103', '532526', '532526103', '虹溪镇', 'hongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526104', '532526', '532526104', '竹园镇', 'zhuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526105', '532526', '532526105', '朋普镇', 'pengpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526106', '532526', '532526106', '巡检司镇', 'xunjiansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526107', '532526', '532526107', '西一镇', 'xiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526108', '532526', '532526108', '西二镇', 'xierzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526109', '532526', '532526109', '西三镇', 'xisanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526110', '532526', '532526110', '东山镇', 'dongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526202', '532526', '532526202', '五山乡', 'wushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526203', '532526', '532526203', '江边乡', 'jiangbianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532526401', '532526', '532526401', '东风农场', 'dongfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532527', '5325', '532527', '泸西县', 'luxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532527101', '532527', '532527101', '中枢镇', 'zhongshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532527102', '532527', '532527102', '金马镇', 'jinmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532527104', '532527', '532527104', '旧城镇', 'jiuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532527106', '532527', '532527106', '午街铺镇', 'wujiepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532527107', '532527', '532527107', '白水镇', 'baishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532527201', '532527', '532527201', '向阳乡', 'xiangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532527202', '532527', '532527202', '三塘乡', 'santangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532527203', '532527', '532527203', '永宁乡', 'yongningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528', '5325', '532528', '元阳县', 'yuanyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528101', '532528', '532528101', '南沙镇', 'nanshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528102', '532528', '532528102', '新街镇', 'xinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528202', '532528', '532528202', '牛角寨乡', 'niujiaozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528203', '532528', '532528203', '沙拉托乡', 'shalatuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528204', '532528', '532528204', '嘎娘乡', 'ganiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528205', '532528', '532528205', '上新城乡', 'shangxinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528206', '532528', '532528206', '小新街乡', 'xiaoxinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528207', '532528', '532528207', '逢春岭乡', 'fengchunlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528208', '532528', '532528208', '大坪乡', 'dapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528209', '532528', '532528209', '攀枝花乡', 'panzhihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528210', '532528', '532528210', '黄茅岭乡', 'huangmaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528211', '532528', '532528211', '黄草岭乡', 'huangcaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528212', '532528', '532528212', '俄扎乡', 'ezhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532528213', '532528', '532528213', '马街乡', 'majiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529', '5325', '532529', '红河县', 'honghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529101', '532529', '532529101', '迤萨镇', 'yisazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529202', '532529', '532529202', '甲寅乡', 'jiayinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529203', '532529', '532529203', '宝华乡', 'baohuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529204', '532529', '532529204', '洛恩乡', 'luoenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529205', '532529', '532529205', '石头寨乡', 'shitouzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529206', '532529', '532529206', '阿扎河乡', 'azhahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529207', '532529', '532529207', '乐育乡', 'leyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529208', '532529', '532529208', '浪堤乡', 'langdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529209', '532529', '532529209', '大羊街乡', 'dayangjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529210', '532529', '532529210', '车古乡', 'cheguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529211', '532529', '532529211', '架车乡', 'jiachexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529212', '532529', '532529212', '垤玛乡', 'diemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532529213', '532529', '532529213', '三村乡', 'sancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530', '5325', '532530', '金平县', 'jinpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530101', '532530', '532530101', '金河镇', 'jinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530102', '532530', '532530102', '金水河镇', 'jinshuihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530202', '532530', '532530202', '铜厂乡', 'tongchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530203', '532530', '532530203', '勐拉乡', 'menglaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530204', '532530', '532530204', '老集寨乡', 'laojizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530205', '532530', '532530205', '者米乡', 'zhemixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530206', '532530', '532530206', '阿得博乡', 'adeboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530207', '532530', '532530207', '沙依坡乡', 'shayipoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530208', '532530', '532530208', '大寨乡', 'dazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530209', '532530', '532530209', '马鞍底乡', 'maandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530210', '532530', '532530210', '勐桥乡', 'mengqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530211', '532530', '532530211', '营盘乡', 'yingpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530212', '532530', '532530212', '老勐乡', 'laomengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532530401', '532530', '532530401', '金平农场', 'jinpingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532531', '5325', '532531', '绿春县', 'lu:chunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532531101', '532531', '532531101', '大兴镇', 'daxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532531201', '532531', '532531201', '戈奎乡', 'gekuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532531202', '532531', '532531202', '牛孔乡', 'niukongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532531203', '532531', '532531203', '大水沟乡', 'dashuigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532531204', '532531', '532531204', '大黑山乡', 'daheishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532531205', '532531', '532531205', '半坡乡', 'banpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532531206', '532531', '532531206', '骑马坝乡', 'qimabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532531207', '532531', '532531207', '三猛乡', 'sanmengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532531208', '532531', '532531208', '平河乡', 'pinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532532', '5325', '532532', '河口县', 'hekouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532532101', '532532', '532532101', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532532102', '532532', '532532102', '南溪镇', 'nanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532532201', '532532', '532532201', '老范寨乡', 'laofanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532532202', '532532', '532532202', '桥头乡', 'qiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532532203', '532532', '532532203', '瑶山乡', 'yaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532532204', '532532', '532532204', '莲花滩乡', 'lianhuatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5326', '53', '5326', '文山州', 'wenshanzhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621', '5326', '532621', '文山县', 'wenshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621101', '532621', '532621101', '开化镇', 'kaihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621102', '532621', '532621102', '古木镇', 'gumuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621103', '532621', '532621103', '平坝镇', 'pingbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621104', '532621', '532621104', '马塘镇', 'matangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621105', '532621', '532621105', '德厚镇', 'dehouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621106', '532621', '532621106', '小街镇', 'xiaojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621107', '532621', '532621107', '薄竹镇', 'bozhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621108', '532621', '532621108', '追栗街镇', 'zhuilijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621201', '532621', '532621201', '东山乡', 'dongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621202', '532621', '532621202', '柳井乡', 'liujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621203', '532621', '532621203', '新街乡', 'xinjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621204', '532621', '532621204', '喜古乡', 'xiguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621205', '532621', '532621205', '坝心乡', 'baxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621206', '532621', '532621206', '秉烈乡', 'bingliexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532621207', '532621', '532621207', '红甸乡', 'hongdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622', '5326', '532622', '砚山县', 'yanshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622101', '532622', '532622101', '江那镇', 'jiangneizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622102', '532622', '532622102', '平远镇', 'pingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622103', '532622', '532622103', '稼依镇', 'jiayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622104', '532622', '532622104', '阿猛镇', 'amengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622201', '532622', '532622201', '阿舍乡', 'ashexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622202', '532622', '532622202', '维末乡', 'weimoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622203', '532622', '532622203', '盘龙乡', 'panlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622204', '532622', '532622204', '八嘎乡', 'bagaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622205', '532622', '532622205', '者腊乡', 'zhelaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622206', '532622', '532622206', '蚌峨乡', 'bangexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532622208', '532622', '532622208', '干河乡', 'ganhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532623', '5326', '532623', '西畴县', 'xichouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532623101', '532623', '532623101', '西洒镇', 'xisazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532623102', '532623', '532623102', '兴街镇', 'xingjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532623201', '532623', '532623201', '蚌谷乡', 'bangguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532623202', '532623', '532623202', '莲花塘乡', 'lianhuatangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532623203', '532623', '532623203', '新马街乡', 'xinmajiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532623204', '532623', '532623204', '柏林乡', 'bolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532623206', '532623', '532623206', '法斗乡', 'fadouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532623207', '532623', '532623207', '董马乡', 'dongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532623208', '532623', '532623208', '鸡街乡', 'jijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624', '5326', '532624', '麻栗坡县', 'malipoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624101', '532624', '532624101', '麻栗镇', 'malizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624102', '532624', '532624102', '大坪镇', 'dapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624103', '532624', '532624103', '董干镇', 'dongganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624201', '532624', '532624201', '天保乡', 'tianbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624202', '532624', '532624202', '猛硐乡', 'mengdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624203', '532624', '532624203', '下金厂乡', 'xiajinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624204', '532624', '532624204', '八布乡', 'babuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624205', '532624', '532624205', '六河乡', 'liuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624206', '532624', '532624206', '杨万乡', 'yangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624207', '532624', '532624207', '铁厂乡', 'tiechangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532624208', '532624', '532624208', '马街乡', 'majiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625', '5326', '532625', '马关县', 'maguanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625101', '532625', '532625101', '马白镇', 'mabaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625102', '532625', '532625102', '八寨镇', 'bazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625103', '532625', '532625103', '仁和镇', 'renhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625104', '532625', '532625104', '木厂镇', 'muchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625105', '532625', '532625105', '夹寒箐镇', 'jiahanqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625106', '532625', '532625106', '小坝子镇', 'xiaobazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625107', '532625', '532625107', '都龙镇', 'doulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625108', '532625', '532625108', '金厂镇', 'jinchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625109', '532625', '532625109', '坡脚镇', 'pojiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625201', '532625', '532625201', '南捞乡', 'nanlaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625204', '532625', '532625204', '大栗树乡', 'dalishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625206', '532625', '532625206', '篾厂乡', 'miechangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532625207', '532625', '532625207', '古林箐乡', 'gulinqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626', '5326', '532626', '丘北县', 'qiubeixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626101', '532626', '532626101', '锦屏镇', 'jinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626102', '532626', '532626102', '曰者镇', 'yuezhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626103', '532626', '532626103', '双龙营镇', 'shuanglongyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626201', '532626', '532626201', '八道哨乡', 'badaoshaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626202', '532626', '532626202', '天星乡', 'tianxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626203', '532626', '532626203', '平寨乡', 'pingzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626204', '532626', '532626204', '树皮乡', 'shupixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626205', '532626', '532626205', '腻脚乡', 'nijiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626206', '532626', '532626206', '新店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626207', '532626', '532626207', '舍得乡', 'shedexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626208', '532626', '532626208', '官寨乡', 'guanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532626210', '532626', '532626210', '温浏乡', 'wenliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627', '5326', '532627', '广南县', 'guangnanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627101', '532627', '532627101', '莲城镇', 'lianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627102', '532627', '532627102', '八宝镇', 'babaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627103', '532627', '532627103', '南屏镇', 'nanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627104', '532627', '532627104', '珠街镇', 'zhujiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627105', '532627', '532627105', '那洒镇', 'neisazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627106', '532627', '532627106', '珠琳镇', 'zhulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627107', '532627', '532627107', '坝美镇', 'bameizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627202', '532627', '532627202', '董堡乡', 'dongbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627203', '532627', '532627203', '旧莫乡', 'jiumoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627204', '532627', '532627204', '杨柳井乡', 'yangliujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627205', '532627', '532627205', '板蚌乡', 'banbangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627206', '532627', '532627206', '曙光乡', 'shuguangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627207', '532627', '532627207', '黑支果乡', 'heizhiguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627208', '532627', '532627208', '篆角乡', 'zhuanjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627209', '532627', '532627209', '五珠乡', 'wuzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627210', '532627', '532627210', '者兔乡', 'zhetuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627211', '532627', '532627211', '者太乡', 'zhetaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532627212', '532627', '532627212', '底圩乡', 'diweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628', '5326', '532628', '富宁县', 'funingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628101', '532628', '532628101', '新华镇', 'xinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628102', '532628', '532628102', '归朝镇', 'guichaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628103', '532628', '532628103', '剥隘镇', 'boaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628104', '532628', '532628104', '里达镇', 'lidazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628105', '532628', '532628105', '田蓬镇', 'tianpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628106', '532628', '532628106', '木央镇', 'muyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628201', '532628', '532628201', '板仑乡', 'banlunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628202', '532628', '532628202', '谷拉乡', 'gulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628203', '532628', '532628203', '者桑乡', 'zhesangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628204', '532628', '532628204', '那能乡', 'neinengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628205', '532628', '532628205', '洞波乡', 'dongboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628206', '532628', '532628206', '阿用乡', 'ayongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532628207', '532628', '532628207', '花甲乡', 'huajiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5328', '53', '5328', '西双版纳州', 'xishuangbannazhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801', '5328', '532801', '景洪市', 'jinghongshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801001', '532801', '532801001', '允景洪街道办事', 'yunjinghongjiedaobanshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801102', '532801', '532801102', '嘎洒镇', 'gasazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801103', '532801', '532801103', '勐龙镇', 'menglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801104', '532801', '532801104', '勐罕镇', 'menghanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801105', '532801', '532801105', '勐养镇', 'mengyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801106', '532801', '532801106', '普文镇', 'puwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801202', '532801', '532801202', '景哈乡', 'jinghaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801203', '532801', '532801203', '景讷乡', 'jingnexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801204', '532801', '532801204', '大渡岗乡', 'dadugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801205', '532801', '532801205', '勐旺乡', 'mengwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532801206', '532801', '532801206', '基诺乡', 'jinuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822', '5328', '532822', '勐海县', 'menghaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822101', '532822', '532822101', '勐海镇', 'menghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822102', '532822', '532822102', '打洛镇', 'daluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822103', '532822', '532822103', '勐混镇', 'menghunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822104', '532822', '532822104', '勐遮镇', 'mengzhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822105', '532822', '532822105', '勐满镇', 'mengmanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822106', '532822', '532822106', '勐阿镇', 'mengazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822201', '532822', '532822201', '勐宋乡', 'mengsongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822202', '532822', '532822202', '勐往乡', 'mengwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822203', '532822', '532822203', '格朗和乡', 'gelanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822204', '532822', '532822204', '布朗山乡', 'bulangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532822205', '532822', '532822205', '西定乡', 'xidingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532823', '5328', '532823', '勐腊县', 'menglaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532823101', '532823', '532823101', '勐腊镇', 'menglazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532823102', '532823', '532823102', '勐捧镇', 'mengpengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532823103', '532823', '532823103', '勐满镇', 'mengmanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532823104', '532823', '532823104', '勐仑镇', 'menglunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532823105', '532823', '532823105', '尚勇镇', 'shangyongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532823106', '532823', '532823106', '勐伴镇', 'mengbanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532823107', '532823', '532823107', '关累镇', 'guanleizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532823201', '532823', '532823201', '易武乡', 'yiwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532823202', '532823', '532823202', '象明乡', 'xiangmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532823203', '532823', '532823203', '瑶区乡', 'yaoquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5329', '53', '5329', '大理州', 'dalizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901', '5329', '532901', '大理市', 'dalishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901101', '532901', '532901101', '下关镇', 'xiaguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901102', '532901', '532901102', '大理镇', 'dalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901103', '532901', '532901103', '凤仪镇', 'fengyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901104', '532901', '532901104', '喜洲镇', 'xizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901105', '532901', '532901105', '海东镇', 'haidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901106', '532901', '532901106', '挖色镇', 'wasezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901107', '532901', '532901107', '湾桥镇', 'wanqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901108', '532901', '532901108', '银桥镇', 'yinqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901110', '532901', '532901110', '双廊镇', 'shuanglangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901111', '532901', '532901111', '上关镇', 'shangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901201', '532901', '532901201', '太邑乡', 'taiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532901501', '532901', '532901501', '大理经济技术开发区', 'dalijingjijishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532922', '5329', '532922', '漾濞县', 'yangbixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532922101', '532922', '532922101', '苍山西镇', 'cangshanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532922102', '532922', '532922102', '漾江镇', 'yangjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532922104', '532922', '532922104', '平坡镇', 'pingpozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532922202', '532922', '532922202', '富恒乡', 'fuhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532922203', '532922', '532922203', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532922204', '532922', '532922204', '顺濞乡', 'shunbixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532922205', '532922', '532922205', '瓦厂乡', 'wachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532922206', '532922', '532922206', '龙潭乡', 'longtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532922207', '532922', '532922207', '鸡街乡', 'jijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532923', '5329', '532923', '祥云县', 'xiangyunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532923101', '532923', '532923101', '祥城镇', 'xiangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532923102', '532923', '532923102', '沙龙镇', 'shalongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532923103', '532923', '532923103', '云南驿镇', 'yunnanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532923104', '532923', '532923104', '下庄镇', 'xiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532923105', '532923', '532923105', '普棚镇', 'pupengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532923106', '532923', '532923106', '刘厂镇', 'liuchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532923107', '532923', '532923107', '禾甸镇', 'hedianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532923108', '532923', '532923108', '米甸镇', 'midianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532923201', '532923', '532923201', '鹿鸣乡', 'lumingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532923202', '532923', '532923202', '东山乡', 'dongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924', '5329', '532924', '宾川县', 'binchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924101', '532924', '532924101', '金牛镇', 'jinniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924102', '532924', '532924102', '宾居镇', 'binjuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924103', '532924', '532924103', '州城镇', 'zhouchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924104', '532924', '532924104', '大营镇', 'dayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924105', '532924', '532924105', '鸡足山镇', 'jizushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924106', '532924', '532924106', '力角镇', 'lijiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924107', '532924', '532924107', '平川镇', 'pingchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924108', '532924', '532924108', '乔甸镇', 'qiaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924201', '532924', '532924201', '钟英傈僳族彝族乡', 'zhongyinglisuzuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924203', '532924', '532924203', '拉乌彝族乡', 'lawuyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924401', '532924', '532924401', '国营彩风华侨农场', 'guoyingcaifenghuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924402', '532924', '532924402', '国营太和华侨农场', 'guoyingtaihehuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532924403', '532924', '532924403', '国营宾居华侨农场', 'guoyingbinjuhuaqiaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532925', '5329', '532925', '弥渡县', 'miduxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532925101', '532925', '532925101', '弥城镇', 'michengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532925102', '532925', '532925102', '红岩镇', 'hongyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532925103', '532925', '532925103', '新街镇', 'xinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532925104', '532925', '532925104', '寅街镇', 'yinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532925105', '532925', '532925105', '苴力镇', 'julizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532925202', '532925', '532925202', '密祉乡', 'mizhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532925203', '532925', '532925203', '德苴乡', 'dejuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532925204', '532925', '532925204', '牛街彝族乡', 'niujieyizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532926', '5329', '532926', '南涧县', 'nanjianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532926101', '532926', '532926101', '南涧镇', 'nanjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532926102', '532926', '532926102', '小湾东镇', 'xiaowandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532926103', '532926', '532926103', '公郎镇', 'gonglangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532926104', '532926', '532926104', '宝华镇', 'baohuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532926201', '532926', '532926201', '拥翠乡', 'yongcuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532926202', '532926', '532926202', '乐秋乡', 'leqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532926203', '532926', '532926203', '碧溪乡', 'bixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532926204', '532926', '532926204', '无量乡', 'wuliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532927', '5329', '532927', '巍山县', 'weishanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532927101', '532927', '532927101', '南诏镇', 'nanzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532927102', '532927', '532927102', '庙街镇', 'miaojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532927103', '532927', '532927103', '大仓镇', 'dacangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532927104', '532927', '532927104', '永建镇', 'yongjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532927201', '532927', '532927201', '巍宝山乡', 'weibaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532927202', '532927', '532927202', '马鞍山乡', 'maanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532927203', '532927', '532927203', '紫金乡', 'zijinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532927204', '532927', '532927204', '五印乡', 'wuyinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532927205', '532927', '532927205', '牛街乡', 'niujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532927206', '532927', '532927206', '青华乡', 'qinghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532928', '5329', '532928', '永平县', 'yongpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532928101', '532928', '532928101', '博南镇', 'bonanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532928103', '532928', '532928103', '杉阳镇', 'shanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532928104', '532928', '532928104', '龙街镇', 'longjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532928201', '532928', '532928201', '龙门乡', 'longmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532928203', '532928', '532928203', '厂街乡', 'changjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532928204', '532928', '532928204', '水泄乡', 'shuixiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532928205', '532928', '532928205', '北斗乡', 'beidouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929', '5329', '532929', '云龙县', 'yunlongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929101', '532929', '532929101', '诺邓镇', 'nuodengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929102', '532929', '532929102', '旧州镇', 'jiuzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929103', '532929', '532929103', '漕涧镇', 'caojianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929104', '532929', '532929104', '白石镇', 'baishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929202', '532929', '532929202', '宝丰乡', 'baofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929203', '532929', '532929203', '关坪乡', 'guanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929204', '532929', '532929204', '团结乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929205', '532929', '532929205', '长新乡', 'zhangxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929206', '532929', '532929206', '检槽乡', 'jiancaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929207', '532929', '532929207', '表村乡', 'biaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532929208', '532929', '532929208', '民建乡', 'minjianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532930', '5329', '532930', '洱源县', 'eryuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532930101', '532930', '532930101', '茈碧湖镇', 'zibihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532930102', '532930', '532930102', '邓川镇', 'dengchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532930103', '532930', '532930103', '右所镇', 'yousuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532930104', '532930', '532930104', '三营镇', 'sanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532930105', '532930', '532930105', '凤羽镇', 'fengyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532930106', '532930', '532930106', '乔后镇', 'qiaohouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532930201', '532930', '532930201', '牛街乡', 'niujiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532930203', '532930', '532930203', '炼铁乡', 'liantiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532930204', '532930', '532930204', '西山乡', 'xishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532931', '5329', '532931', '剑川县', 'jianchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532931101', '532931', '532931101', '金华镇', 'jinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532931103', '532931', '532931103', '甸南镇', 'diannanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532931104', '532931', '532931104', '沙溪镇', 'shaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532931105', '532931', '532931105', '马登镇', 'madengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532931106', '532931', '532931106', '老君山镇', 'laojunshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532931201', '532931', '532931201', '羊岑乡', 'yangcenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532931202', '532931', '532931202', '弥沙乡', 'mishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532931203', '532931', '532931203', '象图乡', 'xiangtuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532932', '5329', '532932', '鹤庆县', 'heqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532932101', '532932', '532932101', '云鹤镇', 'yunhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532932102', '532932', '532932102', '辛屯镇', 'xintunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532932103', '532932', '532932103', '松桂镇', 'songguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532932104', '532932', '532932104', '黄坪镇', 'huangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532932105', '532932', '532932105', '草海镇', 'caohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532932106', '532932', '532932106', '西邑镇', 'xiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532932201', '532932', '532932201', '金墩乡', 'jindunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532932202', '532932', '532932202', '朵美乡', 'duomeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('532932203', '532932', '532932203', '六合乡', 'liuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5331', '53', '5331', '德宏州', 'dehongzhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533102', '5331', '533102', '瑞丽市', 'ruilishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533102101', '533102', '533102101', '勐卯镇', 'mengmaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533102102', '533102', '533102102', '畹町镇', 'wandingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533102103', '533102', '533102103', '弄岛镇', 'nongdaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533102202', '533102', '533102202', '姐相乡', 'jiexiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533102203', '533102', '533102203', '户育乡', 'huyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533102204', '533102', '533102204', '勐秀乡', 'mengxiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533102401', '533102', '533102401', '瑞丽农场', 'ruilinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103', '5331', '533103', '潞西市', 'luxishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103101', '533103', '533103101', '芒市镇', 'mangshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103103', '533103', '533103103', '遮放镇', 'zhefangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103104', '533103', '533103104', '勐戛镇', 'mengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103105', '533103', '533103105', '芒海镇', 'manghaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103106', '533103', '533103106', '风平镇', 'fengpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103201', '533103', '533103201', '轩岗乡', 'xuangangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103202', '533103', '533103202', '江东乡', 'jiangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103203', '533103', '533103203', '西山乡', 'xishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103205', '533103', '533103205', '中山乡', 'zhongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103206', '533103', '533103206', '三台山乡', 'santaishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533103207', '533103', '533103207', '五岔路乡', 'wuchaluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533122', '5331', '533122', '梁河县', 'lianghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533122101', '533122', '533122101', '遮岛镇', 'zhedaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533122102', '533122', '533122102', '芒东镇', 'mangdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533122103', '533122', '533122103', '勐养镇', 'mengyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533122201', '533122', '533122201', '平山乡', 'pingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533122202', '533122', '533122202', '小厂乡', 'xiaochangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533122203', '533122', '533122203', '大厂乡', 'dachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533122205', '533122', '533122205', '九保阿昌族乡', 'jiubaoachangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533122206', '533122', '533122206', '曩宋阿昌族乡', 'nangsongachangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533122207', '533122', '533122207', '河西乡', 'hexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123', '5331', '533123', '盈江县', 'yingjiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123101', '533123', '533123101', '平原镇', 'pingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123102', '533123', '533123102', '旧城镇', 'jiuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123103', '533123', '533123103', '那邦镇', 'neibangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123104', '533123', '533123104', '弄璋镇', 'nongzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123105', '533123', '533123105', '盏西镇', 'zhanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123106', '533123', '533123106', '卡场镇', 'kachangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123107', '533123', '533123107', '昔马镇', 'ximazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123108', '533123', '533123108', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123205', '533123', '533123205', '新城乡', 'xinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123206', '533123', '533123206', '油松岭乡', 'yousonglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123207', '533123', '533123207', '芒章乡', 'mangzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123208', '533123', '533123208', '支那乡', 'zhineixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123209', '533123', '533123209', '苏典傈僳族乡', 'sudianlisuzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123210', '533123', '533123210', '勐弄乡', 'mengnongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533123211', '533123', '533123211', '铜壁关乡', 'tongbiguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533124', '5331', '533124', '陇川县', 'longchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533124101', '533124', '533124101', '章凤镇', 'zhangfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533124102', '533124', '533124102', '陇把镇', 'longbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533124103', '533124', '533124103', '景罕镇', 'jinghanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533124104', '533124', '533124104', '城子镇', 'chengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533124201', '533124', '533124201', '户撒阿昌族乡', 'husaachangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533124202', '533124', '533124202', '护国乡', 'huguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533124203', '533124', '533124203', '清平乡', 'qingpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533124204', '533124', '533124204', '王子树乡', 'wangzishuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533124207', '533124', '533124207', '勐约乡', 'mengyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5333', '53', '5333', '怒江州', 'nujiangzhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533321', '5333', '533321', '泸水县', 'lushuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533321101', '533321', '533321101', '六库镇', 'liukuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533321102', '533321', '533321102', '鲁掌镇', 'luzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533321103', '533321', '533321103', '片马镇', 'pianmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533321201', '533321', '533321201', '上江乡', 'shangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533321202', '533321', '533321202', '老窝乡', 'laowoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533321203', '533321', '533321203', '大兴地乡', 'daxingdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533321204', '533321', '533321204', '称杆乡', 'chengganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533321205', '533321', '533321205', '古登乡', 'gudengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533321206', '533321', '533321206', '洛本卓乡', 'luobenzhuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533323', '5333', '533323', '福贡县', 'fugongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533323101', '533323', '533323101', '上帕镇', 'shangpazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533323201', '533323', '533323201', '匹河乡', 'pihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533323202', '533323', '533323202', '子里甲乡', 'zilijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533323203', '533323', '533323203', '架科底乡', 'jiakedixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533323204', '533323', '533323204', '鹿马登乡', 'lumadengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533323205', '533323', '533323205', '石月亮乡', 'shiyueliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533323206', '533323', '533323206', '马吉乡', 'majixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533324', '5333', '533324', '贡山县', 'gongshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533324101', '533324', '533324101', '茨开镇', 'cikaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533324201', '533324', '533324201', '丙中洛乡', 'bingzhongluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533324202', '533324', '533324202', '捧当乡', 'pengdangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533324203', '533324', '533324203', '普拉底乡', 'puladixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533324204', '533324', '533324204', '独龙江乡', 'dulongjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533325', '5333', '533325', '兰坪县', 'lanpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533325101', '533325', '533325101', '金顶镇', 'jindingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533325102', '533325', '533325102', '啦井镇', 'lajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533325103', '533325', '533325103', '营盘镇', 'yingpanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533325104', '533325', '533325104', '通甸镇', 'tongdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533325201', '533325', '533325201', '河西乡', 'hexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533325202', '533325', '533325202', '中排乡', 'zhongpaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533325203', '533325', '533325203', '石登乡', 'shidengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533325204', '533325', '533325204', '兔峨乡', 'tuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5334', '53', '5334', '迪庆州', 'diqingzhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421', '5334', '533421', '香格里拉县', 'xianggelilaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421101', '533421', '533421101', '建塘镇', 'jiantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421102', '533421', '533421102', '小中甸镇', 'xiaozhongdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421103', '533421', '533421103', '虎跳峡镇', 'hutiaoxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421104', '533421', '533421104', '金江镇', 'jinjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421201', '533421', '533421201', '上江乡', 'shangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421202', '533421', '533421202', '三坝乡', 'sanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421203', '533421', '533421203', '洛吉乡', 'luojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421204', '533421', '533421204', '尼西乡', 'nixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421205', '533421', '533421205', '格咱乡', 'gezanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421206', '533421', '533421206', '东旺乡', 'dongwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533421207', '533421', '533421207', '五境乡', 'wujingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533422', '5334', '533422', '德钦县', 'deqinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533422101', '533422', '533422101', '升平镇', 'shengpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533422102', '533422', '533422102', '奔子栏镇', 'benzilanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533422201', '533422', '533422201', '佛山乡', 'foshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533422202', '533422', '533422202', '云岭乡', 'yunlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533422203', '533422', '533422203', '燕门乡', 'yanmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533422204', '533422', '533422204', '拖顶乡', 'tuodingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533422205', '533422', '533422205', '霞若乡', 'xiaruoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533422206', '533422', '533422206', '羊拉乡', 'yanglaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533423', '5334', '533423', '维西县', 'weixixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533423101', '533423', '533423101', '保和镇', 'baohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533423102', '533423', '533423102', '叶枝镇', 'yezhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533423103', '533423', '533423103', '塔城镇', 'tachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533423201', '533423', '533423201', '永春乡', 'yongchunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533423202', '533423', '533423202', '攀天阁乡', 'pantiangexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533423203', '533423', '533423203', '白济汛乡', 'baijixunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533423204', '533423', '533423204', '康普乡', 'kangpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533423205', '533423', '533423205', '巴迪乡', 'badixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533423206', '533423', '533423206', '中路乡', 'zhongluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('533423207', '533423', '533423207', '维登乡', 'weidengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('54', '-1', '54', '西藏自治区', 'xizangzizhiqu', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5401', '54', '5401', '拉萨市', 'lasashi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540101', '5401', '540101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102', '5401', '540102', '城关区', 'chengguanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102001', '540102', '540102001', '冲赛康街道', 'chongsaikangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102002', '540102', '540102002', '八廓街道', 'bakuojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102003', '540102', '540102003', '吉日街道', 'jirijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102004', '540102', '540102004', '吉崩岗街道', 'jibenggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102005', '540102', '540102005', '札细街道', 'zhaxijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102006', '540102', '540102006', '公德林街道', 'gongdelinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102007', '540102', '540102007', '嘎玛贡桑街道', 'gamagongsangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102200', '540102', '540102200', '蔡公堂乡', 'caigongtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102201', '540102', '540102201', '纳金乡', 'najinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102202', '540102', '540102202', '娘热乡', 'niangrexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540102203', '540102', '540102203', '夺底乡', 'duodixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540121', '5401', '540121', '林周县', 'linzhouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540121100', '540121', '540121100', '甘丹曲果镇', 'gandanquguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540121200', '540121', '540121200', '春堆乡', 'chunduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540121201', '540121', '540121201', '松盘乡', 'songpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540121202', '540121', '540121202', '强嘎乡', 'qianggaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540121203', '540121', '540121203', '卡孜乡', 'kazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540121204', '540121', '540121204', '边交林乡', 'bianjiaolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540121205', '540121', '540121205', '江热夏乡', 'jiangrexiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540121206', '540121', '540121206', '阿朗乡', 'alangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540121207', '540121', '540121207', '唐古乡', 'tangguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540121208', '540121', '540121208', '旁多乡', 'pangduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540122', '5401', '540122', '当雄县', 'dangxiongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540122100', '540122', '540122100', '当曲卡镇', 'dangqukazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540122101', '540122', '540122101', '羊八井镇', 'yangbajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540122200', '540122', '540122200', '格达乡', 'gedaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540122201', '540122', '540122201', '宁中乡', 'ningzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540122202', '540122', '540122202', '公塘乡', 'gongtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540122203', '540122', '540122203', '龙仁乡', 'longrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540122204', '540122', '540122204', '乌玛塘乡', 'wumatangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540122205', '540122', '540122205', '纳木错乡', 'namucuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540123', '5401', '540123', '尼木县', 'nimuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540123100', '540123', '540123100', '塔荣镇', 'tarongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540123200', '540123', '540123200', '麻江乡', 'majiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540123201', '540123', '540123201', '普松乡', 'pusongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540123202', '540123', '540123202', '卡如乡', 'karuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540123203', '540123', '540123203', '尼木乡', 'nimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540123204', '540123', '540123204', '续迈乡', 'xumaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540123205', '540123', '540123205', '帕古乡', 'paguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540123206', '540123', '540123206', '吞巴乡', 'tunbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540124', '5401', '540124', '曲水县', 'qushuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540124100', '540124', '540124100', '曲水镇', 'qushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540124200', '540124', '540124200', '达嘎乡', 'dagaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540124201', '540124', '540124201', '才纳乡', 'cainaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540124202', '540124', '540124202', '南木乡', 'nanmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540124203', '540124', '540124203', '聂当乡', 'niedangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540124204', '540124', '540124204', '茶巴拉乡', 'chabalaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540125', '5401', '540125', '堆龙德庆', 'duilongdeqing', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540125100', '540125', '540125100', '东嘎镇', 'donggazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540125101', '540125', '540125101', '乃琼镇', 'naiqiongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540125200', '540125', '540125200', '羊达乡', 'yangdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540125201', '540125', '540125201', '古荣乡', 'gurongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540125202', '540125', '540125202', '柳梧乡', 'liuwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540125203', '540125', '540125203', '马乡', 'maxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540125204', '540125', '540125204', '德庆乡', 'deqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540126', '5401', '540126', '达孜县', 'dazixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540126100', '540126', '540126100', '德庆镇', 'deqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540126200', '540126', '540126200', '塔吉乡', 'tajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540126201', '540126', '540126201', '章多乡', 'zhangduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540126202', '540126', '540126202', '塘嘎乡', 'tanggaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540126203', '540126', '540126203', '雪乡', 'xuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540126204', '540126', '540126204', '帮堆乡', 'bangduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540127', '5401', '540127', '墨竹工卡县', 'mozhugongkaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540127100', '540127', '540127100', '工卡镇', 'gongkazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540127200', '540127', '540127200', '扎雪乡', 'zhaxuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540127201', '540127', '540127201', '门巴乡', 'menbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540127202', '540127', '540127202', '扎西岗乡', 'zhaxigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540127203', '540127', '540127203', '日多乡', 'riduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540127204', '540127', '540127204', '尼玛江热乡', 'nimajiangrexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540127205', '540127', '540127205', '甲玛乡', 'jiamaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('540127206', '540127', '540127206', '塘加乡', 'tangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5421', '54', '5421', '昌都地区', 'changdoudiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121', '5421', '542121', '昌都县', 'changdouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121100', '542121', '542121100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121101', '542121', '542121101', '俄洛镇', 'eluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121102', '542121', '542121102', '卡诺镇', 'kanuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121200', '542121', '542121200', '芒达乡', 'mangdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121201', '542121', '542121201', '沙贡乡', 'shagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121202', '542121', '542121202', '若巴乡', 'ruobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121203', '542121', '542121203', '埃西乡', 'aixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121204', '542121', '542121204', '如意乡', 'ruyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121205', '542121', '542121205', '日通乡', 'ritongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121206', '542121', '542121206', '柴维乡', 'chaiweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121207', '542121', '542121207', '妥坝乡', 'tuobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121208', '542121', '542121208', '嘎玛乡', 'gamaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121209', '542121', '542121209', '面达乡', 'miandaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121210', '542121', '542121210', '约巴乡', 'yuebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542121211', '542121', '542121211', '拉多乡', 'laduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122', '5421', '542122', '江达县', 'jiangdaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122100', '542122', '542122100', '江达镇', 'jiangdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122101', '542122', '542122101', '岗托镇', 'gangtuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122200', '542122', '542122200', '邓柯乡', 'dengkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122201', '542122', '542122201', '岩比乡', 'yanbixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122202', '542122', '542122202', '卡贡乡', 'kagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122203', '542122', '542122203', '生达乡', 'shengdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122204', '542122', '542122204', '娘西乡', 'niangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122205', '542122', '542122205', '字呷乡', 'zixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122206', '542122', '542122206', '青泥洞乡', 'qingnidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122207', '542122', '542122207', '汪布顶乡', 'wangbudingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122208', '542122', '542122208', '德登乡', 'dedengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122209', '542122', '542122209', '同普乡', 'tongpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542122210', '542122', '542122210', '波罗乡', 'boluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123', '5421', '542123', '贡觉县', 'gongjuexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123100', '542123', '542123100', '莫洛镇', 'moluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123200', '542123', '542123200', '敏都乡', 'mindouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123201', '542123', '542123201', '则巴乡', 'zebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123202', '542123', '542123202', '罗麦乡', 'luomaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123203', '542123', '542123203', '沙东乡', 'shadongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123204', '542123', '542123204', '克日乡', 'kerixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123205', '542123', '542123205', '木协乡', 'muxiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123206', '542123', '542123206', '阿旺乡', 'awangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123207', '542123', '542123207', '拉妥乡', 'latuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123208', '542123', '542123208', '雄松乡', 'xiongsongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123209', '542123', '542123209', '哈加乡', 'hajiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542123210', '542123', '542123210', '相皮乡', 'xiangpixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542124', '5421', '542124', '类乌齐县', 'leiwuqixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542124100', '542124', '542124100', '桑多镇', 'sangduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542124101', '542124', '542124101', '类乌齐镇', 'leiwuqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542124200', '542124', '542124200', '吉多乡', 'jiduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542124201', '542124', '542124201', '岗色乡', 'gangsexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542124202', '542124', '542124202', '滨达乡', 'bindaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542124203', '542124', '542124203', '卡玛多乡', 'kamaduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542124204', '542124', '542124204', '尚卡乡', 'shangkaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542124205', '542124', '542124205', '伊日乡', 'yirixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542124206', '542124', '542124206', '加桑卡乡', 'jiasangkaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542124207', '542124', '542124207', '长毛岭乡', 'zhangmaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125', '5421', '542125', '丁青县', 'dingqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125100', '542125', '542125100', '丁青镇', 'dingqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125101', '542125', '542125101', '尺犊镇', 'chiduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125200', '542125', '542125200', '木塔乡', 'mutaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125201', '542125', '542125201', '布塔乡', 'butaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125202', '542125', '542125202', '巴达乡', 'badaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125203', '542125', '542125203', '甘岩乡', 'ganyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125204', '542125', '542125204', '嘎塔乡', 'gataxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125205', '542125', '542125205', '色扎乡', 'sezhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125206', '542125', '542125206', '协雄乡', 'xiexiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125207', '542125', '542125207', '桑多乡', 'sangduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125208', '542125', '542125208', '当堆乡', 'dangduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125209', '542125', '542125209', '沙贡乡', 'shagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542125210', '542125', '542125210', '觉恩乡', 'jueenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126', '5421', '542126', '察亚县', 'chayaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126100', '542126', '542126100', '烟多镇', 'yanduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126101', '542126', '542126101', '吉塘镇', 'jitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126102', '542126', '542126102', '香堆镇', 'xiangduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126200', '542126', '542126200', '宗沙乡', 'zongshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126201', '542126', '542126201', '肯通乡', 'kentongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126202', '542126', '542126202', '扩达乡', 'kuodaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126203', '542126', '542126203', '新卡乡', 'xinkaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126204', '542126', '542126204', '王卡乡', 'wangkaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126205', '542126', '542126205', '阿孜乡', 'azixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126206', '542126', '542126206', '巴日乡', 'barixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126207', '542126', '542126207', '荣周乡', 'rongzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126208', '542126', '542126208', '卡贡乡', 'kagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542126209', '542126', '542126209', '察拉乡', 'chalaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127', '5421', '542127', '八宿县', 'basuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127100', '542127', '542127100', '白玛镇', 'baimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127101', '542127', '542127101', '然乌镇', 'ranwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127102', '542127', '542127102', '帮达镇', 'bangdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127103', '542127', '542127103', '同卡镇', 'tongkazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127200', '542127', '542127200', '林卡乡', 'linkaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127201', '542127', '542127201', '夏里乡', 'xialixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127202', '542127', '542127202', '拥巴乡', 'yongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127203', '542127', '542127203', '瓦乡', 'waxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127204', '542127', '542127204', '吉达乡', 'jidaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127205', '542127', '542127205', '卡瓦白庆乡', 'kawabaiqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127206', '542127', '542127206', '吉中乡', 'jizhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127207', '542127', '542127207', '益庆乡', 'yiqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127208', '542127', '542127208', '拉根乡', 'lagenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542127209', '542127', '542127209', '郭庆乡', 'guoqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542128', '5421', '542128', '左贡县', 'zuogongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542128100', '542128', '542128100', '旺达镇', 'wangdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542128101', '542128', '542128101', '田妥镇', 'tiantuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542128102', '542128', '542128102', '扎玉镇', 'zhayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542128200', '542128', '542128200', '东坝乡', 'dongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542128201', '542128', '542128201', '中林卡乡', 'zhonglinkaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542128202', '542128', '542128202', '美玉乡', 'meiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542128203', '542128', '542128203', '下林卡乡', 'xialinkaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542128204', '542128', '542128204', '碧土乡', 'bituxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542128205', '542128', '542128205', '仁果乡', 'renguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542128206', '542128', '542128206', '绕金乡', 'raojinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129', '5421', '542129', '芒康县', 'mangkangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129100', '542129', '542129100', '嘎托镇', 'gatuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129101', '542129', '542129101', '如美镇', 'rumeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129200', '542129', '542129200', '曲孜卡乡', 'quzikaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129201', '542129', '542129201', '木许乡', 'muxuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129202', '542129', '542129202', '纳西民族乡', 'naximinzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129203', '542129', '542129203', '朱巴龙乡', 'zhubalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129204', '542129', '542129204', '曲登乡', 'qudengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129205', '542129', '542129205', '徐中乡', 'xuzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129206', '542129', '542129206', '帮达乡', 'bangdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129207', '542129', '542129207', '戈波乡', 'geboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129208', '542129', '542129208', '洛尼乡', 'luonixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129209', '542129', '542129209', '措瓦乡', 'cuowaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129210', '542129', '542129210', '昂多乡', 'angduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129211', '542129', '542129211', '宗西乡', 'zongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129212', '542129', '542129212', '莽岭乡', 'manglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542129213', '542129', '542129213', '索多西乡', 'suoduoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132', '5421', '542132', '洛隆县', 'luolongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132100', '542132', '542132100', '孜托镇', 'zituozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132101', '542132', '542132101', '硕督镇', 'shuoduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132102', '542132', '542132102', '康沙镇', 'kangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132103', '542132', '542132103', '马利镇', 'malizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132200', '542132', '542132200', '玉西乡', 'yuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132201', '542132', '542132201', '新荣乡', 'xinrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132202', '542132', '542132202', '达龙乡', 'dalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132203', '542132', '542132203', '腊久乡', 'lajiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132204', '542132', '542132204', '俄西乡', 'exixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132205', '542132', '542132205', '中亦乡', 'zhongyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542132206', '542132', '542132206', '白达乡', 'baidaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133', '5421', '542133', '边坝县', 'bianbaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133100', '542133', '542133100', '草卡镇', 'caokazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133101', '542133', '542133101', '边坝镇', 'bianbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133200', '542133', '542133200', '马武乡', 'mawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133201', '542133', '542133201', '热玉乡', 'reyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133202', '542133', '542133202', '尼木乡', 'nimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133203', '542133', '542133203', '沙丁乡', 'shadingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133204', '542133', '542133204', '金岭乡', 'jinlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133205', '542133', '542133205', '加贡乡', 'jiagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133206', '542133', '542133206', '马秀乡', 'maxiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133207', '542133', '542133207', '都瓦乡', 'douwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542133208', '542133', '542133208', '拉孜乡', 'lazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5422', '54', '5422', '山南地区', 'shannandiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542221', '5422', '542221', '乃东县', 'naidongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542221100', '542221', '542221100', '泽当镇', 'zedangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542221101', '542221', '542221101', '昌珠镇', 'changzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542221200', '542221', '542221200', '颇章乡', 'pozhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542221201', '542221', '542221201', '结巴乡', 'jiebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542221202', '542221', '542221202', '多颇章乡', 'duopozhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542221203', '542221', '542221203', '索珠乡', 'suozhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542221204', '542221', '542221204', '亚堆乡', 'yaduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542222', '5422', '542222', '扎囊县', 'zhanangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542222100', '542222', '542222100', '扎塘镇', 'zhatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542222101', '542222', '542222101', '桑耶镇', 'sangyezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542222200', '542222', '542222200', '阿扎乡', 'azhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542222201', '542222', '542222201', '扎其乡', 'zhaqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542222202', '542222', '542222202', '吉汝乡', 'jiruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542223', '5422', '542223', '贡嘎县', 'gonggaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542223100', '542223', '542223100', '吉雄镇', 'jixiongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542223101', '542223', '542223101', '岗堆镇', 'gangduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542223102', '542223', '542223102', '甲竹林镇', 'jiazhulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542223103', '542223', '542223103', '江塘镇', 'jiangtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542223104', '542223', '542223104', '杰德秀镇', 'jiedexiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542223200', '542223', '542223200', '朗杰学乡', 'langjiexuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542223201', '542223', '542223201', '昌果乡', 'changguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542223202', '542223', '542223202', '东拉乡', 'donglaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542224', '5422', '542224', '桑日县', 'sangrixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542224100', '542224', '542224100', '桑日镇', 'sangrizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542224200', '542224', '542224200', '增期乡', 'zengqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542224201', '542224', '542224201', '白堆乡', 'baiduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542224202', '542224', '542224202', '绒乡', 'rongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542225', '5422', '542225', '琼结县', 'qiongjiexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542225100', '542225', '542225100', '琼结镇', 'qiongjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542225200', '542225', '542225200', '拉玉乡', 'layuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542225201', '542225', '542225201', '下水乡', 'xiashuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542225202', '542225', '542225202', '加麻乡', 'jiamaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542226', '5422', '542226', '曲松县', 'qusongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542226100', '542226', '542226100', '曲松镇', 'qusongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542226101', '542226', '542226101', '罗布萨镇', 'luobusazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542226200', '542226', '542226200', '邱多江乡', 'qiuduojiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542226201', '542226', '542226201', '堆随乡', 'duisuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542226202', '542226', '542226202', '下江乡', 'xiajiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542227', '5422', '542227', '措美县', 'cuomeixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542227100', '542227', '542227100', '措美镇', 'cuomeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542227101', '542227', '542227101', '哲古镇', 'zheguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542227200', '542227', '542227200', '乃西乡', 'naixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542227201', '542227', '542227201', '古堆乡', 'guduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542228', '5422', '542228', '洛扎县', 'luozhaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542228100', '542228', '542228100', '洛扎镇', 'luozhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542228101', '542228', '542228101', '拉康镇', 'lakangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542228200', '542228', '542228200', '生格乡', 'shenggexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542228201', '542228', '542228201', '边巴乡', 'bianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542228202', '542228', '542228202', '扎日乡', 'zharixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542228203', '542228', '542228203', '色乡', 'sexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542228204', '542228', '542228204', '拉郊乡', 'lajiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542229', '5422', '542229', '加查县', 'jiachaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542229100', '542229', '542229100', '加查镇', 'jiachazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542229101', '542229', '542229101', '安绕镇', 'anraozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542229200', '542229', '542229200', '拉绥乡', 'lasuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542229201', '542229', '542229201', '崔久乡', 'cuijiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542229202', '542229', '542229202', '坝乡', 'baxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542229203', '542229', '542229203', '冷达乡', 'lengdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542229204', '542229', '542229204', '洛林乡', 'luolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231', '5422', '542231', '隆子县', 'longzixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231100', '542231', '542231100', '隆子镇', 'longzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231101', '542231', '542231101', '日当镇', 'ridangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231200', '542231', '542231200', '加玉乡', 'jiayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231201', '542231', '542231201', '列麦乡', 'liemaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231202', '542231', '542231202', '热荣乡', 'rerongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231203', '542231', '542231203', '三安曲林乡', 'sananqulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231204', '542231', '542231204', '准巴乡', 'zhunbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231205', '542231', '542231205', '斗玉乡', 'douyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231206', '542231', '542231206', '雪萨乡', 'xuesaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231207', '542231', '542231207', '扎日乡', 'zharixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542231208', '542231', '542231208', '玉麦乡', 'yumaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542232', '5422', '542232', '错那县', 'cuoneixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542232100', '542232', '542232100', '错那镇', 'cuoneizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542232200', '542232', '542232200', '勒门巴民族乡', 'lemenbaminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542232201', '542232', '542232201', '贡日门巴民族乡', 'gongrimenbaminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542232202', '542232', '542232202', '吉巴门巴民族乡', 'jibamenbaminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542232203', '542232', '542232203', '麻玛门巴民族乡', 'mamamenbaminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542232204', '542232', '542232204', '库局乡', 'kujuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542232205', '542232', '542232205', '曲卓木乡', 'quzhuomuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542232206', '542232', '542232206', '浪坡乡', 'langpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542232207', '542232', '542232207', '觉拉乡', 'juelaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542232208', '542232', '542232208', '卡达乡', 'kadaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542233', '5422', '542233', '浪卡子县', 'langkazixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542233100', '542233', '542233100', '浪卡子镇', 'langkazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542233101', '542233', '542233101', '打隆镇', 'dalongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542233200', '542233', '542233200', '普玛江塘乡', 'pumajiangtangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542233201', '542233', '542233201', '多却乡', 'duoquexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542233202', '542233', '542233202', '卡龙乡', 'kalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542233203', '542233', '542233203', '阿扎乡', 'azhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542233204', '542233', '542233204', '工布学乡', 'gongbuxuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542233205', '542233', '542233205', '卡热乡', 'karexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542233206', '542233', '542233206', '白地乡', 'baidixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542233207', '542233', '542233207', '张达乡', 'zhangdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5423', '54', '5423', '日喀则地区', 'rikazediqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301', '5423', '542301', '日喀则市', 'rikazeshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301001', '542301', '542301001', '城北', 'chengbei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301002', '542301', '542301002', '城南', 'chengnan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301200', '542301', '542301200', '曲美乡', 'qumeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301201', '542301', '542301201', '聂日雄乡', 'nierixiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301202', '542301', '542301202', '曲布雄乡', 'qubuxiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301203', '542301', '542301203', '联乡', 'lianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301204', '542301', '542301204', '甲措雄乡', 'jiacuoxiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301205', '542301', '542301205', '那儿乡', 'neierxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301206', '542301', '542301206', '年木乡', 'nianmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301207', '542301', '542301207', '东嘎乡', 'donggaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301208', '542301', '542301208', '边雄乡', 'bianxiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542301209', '542301', '542301209', '江当乡', 'jiangdangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322', '5423', '542322', '南木林县', 'nanmulinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322100', '542322', '542322100', '南木林镇', 'nanmulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322200', '542322', '542322200', '普当乡', 'pudangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322201', '542322', '542322201', '仁堆乡', 'renduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322202', '542322', '542322202', '拉布普乡', 'labupuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322203', '542322', '542322203', '多角乡', 'duojiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322204', '542322', '542322204', '卡孜乡', 'kazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322205', '542322', '542322205', '土布加乡', 'tubujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322206', '542322', '542322206', '艾玛乡', 'aimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322207', '542322', '542322207', '奴玛乡', 'numaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322208', '542322', '542322208', '达孜乡', 'dazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322209', '542322', '542322209', '索金乡', 'suojinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322210', '542322', '542322210', '查尔乡', 'chaerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322211', '542322', '542322211', '秋木乡', 'qiumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322212', '542322', '542322212', '达那乡', 'daneixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322213', '542322', '542322213', '芒热乡', 'mangrexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322214', '542322', '542322214', '热当乡', 'redangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542322215', '542322', '542322215', '甲措乡', 'jiacuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323', '5423', '542323', '江孜县', 'jiangzixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323100', '542323', '542323100', '江孜镇', 'jiangzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323200', '542323', '542323200', '纳如乡', 'naruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323201', '542323', '542323201', '卡麦乡', 'kamaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323202', '542323', '542323202', '卡堆乡', 'kaduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323203', '542323', '542323203', '藏改乡', 'zanggaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323204', '542323', '542323204', '日朗乡', 'rilangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323205', '542323', '542323205', '达孜乡', 'dazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323206', '542323', '542323206', '热索乡', 'resuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323207', '542323', '542323207', '重孜乡', 'zhongzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323208', '542323', '542323208', '龙马乡', 'longmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323209', '542323', '542323209', '紫金乡', 'zijinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323210', '542323', '542323210', '江热乡', 'jiangrexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323211', '542323', '542323211', '年堆乡', 'nianduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323212', '542323', '542323212', '康卓乡', 'kangzhuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323213', '542323', '542323213', '金嘎乡', 'jingaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323214', '542323', '542323214', '日星乡', 'rixingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323215', '542323', '542323215', '热龙乡', 'relongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323216', '542323', '542323216', '车仁乡', 'cherenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542323217', '542323', '542323217', '加克西乡', 'jiakexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324', '5423', '542324', '定日县', 'dingrixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324100', '542324', '542324100', '协格尔镇', 'xiegeerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324101', '542324', '542324101', '岗嘎镇', 'ganggazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324200', '542324', '542324200', '加措乡', 'jiacuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324201', '542324', '542324201', '绒辖乡', 'rongxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324202', '542324', '542324202', '尼辖乡', 'nixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324203', '542324', '542324203', '盆吉乡', 'penjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324204', '542324', '542324204', '曲当乡', 'qudangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324205', '542324', '542324205', '扎果乡', 'zhaguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324206', '542324', '542324206', '扎西宗乡', 'zhaxizongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324207', '542324', '542324207', '长所乡', 'zhangsuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324208', '542324', '542324208', '曲洛乡', 'quluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324209', '542324', '542324209', '措果乡', 'cuoguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542324210', '542324', '542324210', '克玛乡', 'kemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325', '5423', '542325', '萨迦县', 'sajiaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325100', '542325', '542325100', '萨迦镇', 'sajiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325101', '542325', '542325101', '吉定镇', 'jidingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325200', '542325', '542325200', '木拉乡', 'mulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325201', '542325', '542325201', '查荣乡', 'charongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325202', '542325', '542325202', '拉洛乡', 'laluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325203', '542325', '542325203', '赛乡', 'saixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325204', '542325', '542325204', '扯休乡', 'chexiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325205', '542325', '542325205', '扎西岗乡', 'zhaxigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325206', '542325', '542325206', '雄玛乡', 'xiongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325207', '542325', '542325207', '麻布加乡', 'mabujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542325208', '542325', '542325208', '雄麦乡', 'xiongmaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326', '5423', '542326', '拉孜县', 'lazixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326100', '542326', '542326100', '曲下镇', 'quxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326101', '542326', '542326101', '拉孜镇', 'lazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326200', '542326', '542326200', '扎西宗乡', 'zhaxizongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326201', '542326', '542326201', '曲玛乡', 'qumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326202', '542326', '542326202', '彭措林乡', 'pengcuolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326203', '542326', '542326203', '扎西岗乡', 'zhaxigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326204', '542326', '542326204', '柳乡', 'liuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326205', '542326', '542326205', '热莎乡', 'reshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326206', '542326', '542326206', '芒普乡', 'mangpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326207', '542326', '542326207', '锡钦乡', 'xiqinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542326208', '542326', '542326208', '查务乡', 'chawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327', '5423', '542327', '昂仁县', 'angrenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327100', '542327', '542327100', '卡嘎镇', 'kagazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327101', '542327', '542327101', '桑桑镇', 'sangsangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327200', '542327', '542327200', '切热乡', 'qierexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327201', '542327', '542327201', '秋窝乡', 'qiuwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327202', '542327', '542327202', '达居乡', 'dajuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327203', '542327', '542327203', '亚木乡', 'yamuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327204', '542327', '542327204', '贡久布乡', 'gongjiubuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327205', '542327', '542327205', '达若乡', 'daruoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327206', '542327', '542327206', '措迈乡', 'cuomaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327207', '542327', '542327207', '尼果乡', 'niguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327208', '542327', '542327208', '孔隆乡', 'konglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327209', '542327', '542327209', '如沙乡', 'rushaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327210', '542327', '542327210', '阿木雄乡', 'amuxiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327211', '542327', '542327211', '查孜乡', 'chazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327212', '542327', '542327212', '日吾其乡', 'riwuqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327213', '542327', '542327213', '多白乡', 'duobaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542327214', '542327', '542327214', '雄巴乡', 'xiongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328', '5423', '542328', '谢通门县', 'xietongmenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328100', '542328', '542328100', '卡嘎镇', 'kagazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328200', '542328', '542328200', '达木夏乡', 'damuxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328201', '542328', '542328201', '查布乡', 'chabuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328202', '542328', '542328202', '春哲乡', 'chunzhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328203', '542328', '542328203', '孜许乡', 'zixuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328204', '542328', '542328204', '娘热乡', 'niangrexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328205', '542328', '542328205', '措布西乡', 'cuobuxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328206', '542328', '542328206', '纳当乡', 'nadangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328207', '542328', '542328207', '青都乡', 'qingdouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328208', '542328', '542328208', '切琼乡', 'qieqiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328209', '542328', '542328209', '美巴切勤乡', 'meibaqieqinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328210', '542328', '542328210', '列巴乡', 'liebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328211', '542328', '542328211', '塔丁乡', 'tadingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328212', '542328', '542328212', '荣玛乡', 'rongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328213', '542328', '542328213', '通门乡', 'tongmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328214', '542328', '542328214', '仁钦则乡', 'renqinzexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328215', '542328', '542328215', '达那普乡', 'daneipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328216', '542328', '542328216', '达塔乡', 'dataxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542328217', '542328', '542328217', '南木切乡', 'nanmuqiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329', '5423', '542329', '白朗县', 'bailangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329100', '542329', '542329100', '洛江镇', 'luojiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329101', '542329', '542329101', '嘎东镇', 'gadongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329200', '542329', '542329200', '巴扎乡', 'bazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329201', '542329', '542329201', '玛乡', 'maxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329202', '542329', '542329202', '旺丹乡', 'wangdanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329203', '542329', '542329203', '曲奴乡', 'qunuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329204', '542329', '542329204', '杜琼乡', 'duqiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329205', '542329', '542329205', '强堆乡', 'qiangduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329206', '542329', '542329206', '嘎普乡', 'gapuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329207', '542329', '542329207', '者下乡', 'zhexiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542329208', '542329', '542329208', '东喜乡', 'dongxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542330', '5423', '542330', '仁布县', 'renbuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542330100', '542330', '542330100', '德吉林镇', 'dejilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542330200', '542330', '542330200', '帕当乡', 'padangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542330201', '542330', '542330201', '康雄乡', 'kangxiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542330202', '542330', '542330202', '普松乡', 'pusongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542330203', '542330', '542330203', '然巴乡', 'ranbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542330204', '542330', '542330204', '查巴乡', 'chabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542330205', '542330', '542330205', '切娃乡', 'qiewaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542330206', '542330', '542330206', '母乡', 'muxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542330207', '542330', '542330207', '仁布乡', 'renbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542331', '5423', '542331', '康马县', 'kangmaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542331100', '542331', '542331100', '康马镇', 'kangmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542331200', '542331', '542331200', '涅如麦乡', 'nierumaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542331201', '542331', '542331201', '涅如堆乡', 'nieruduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542331202', '542331', '542331202', '嘎拉乡', 'galaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542331203', '542331', '542331203', '莎玛达乡', 'shamadaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542331204', '542331', '542331204', '康如乡', 'kangruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542331205', '542331', '542331205', '少岗乡', 'shaogangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542331206', '542331', '542331206', '南尼乡', 'nannixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542331207', '542331', '542331207', '雄章乡', 'xiongzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542332', '5423', '542332', '定结县', 'dingjiexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542332100', '542332', '542332100', '江嘎镇', 'jianggazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542332101', '542332', '542332101', '陈塘镇', 'chentangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542332200', '542332', '542332200', '日屋乡', 'riwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542332201', '542332', '542332201', '确布乡', 'quebuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542332202', '542332', '542332202', '扎西岗乡', 'zhaxigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542332203', '542332', '542332203', '多布扎乡', 'duobuzhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542332204', '542332', '542332204', '定结乡', 'dingjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542332205', '542332', '542332205', '琼孜乡', 'qiongzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542332206', '542332', '542332206', '萨尔乡', 'saerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542332207', '542332', '542332207', '郭加乡', 'guojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333', '5423', '542333', '仲巴县', 'zhongbaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333100', '542333', '542333100', '帕羊镇', 'payangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333200', '542333', '542333200', '拉让乡', 'larangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333201', '542333', '542333201', '帕江乡', 'pajiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333202', '542333', '542333202', '仁多乡', 'renduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333203', '542333', '542333203', '吉玛乡', 'jimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333204', '542333', '542333204', '隆格尔乡', 'longgeerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333205', '542333', '542333205', '霍尔巴乡', 'huoerbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333206', '542333', '542333206', '吉拉乡', 'jilaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333207', '542333', '542333207', '纳久乡', 'najiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333208', '542333', '542333208', '偏吉乡', 'pianjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333209', '542333', '542333209', '布多乡', 'buduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333210', '542333', '542333210', '亚热乡', 'yarexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542333211', '542333', '542333211', '穷果乡', 'qiongguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542334', '5423', '542334', '亚东县', 'yadongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542334100', '542334', '542334100', '下司马镇', 'xiasimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542334101', '542334', '542334101', '帕里镇', 'palizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542334200', '542334', '542334200', '下亚东乡', 'xiayadongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542334201', '542334', '542334201', '堆纳乡', 'duinaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542334202', '542334', '542334202', '上亚东乡', 'shangyadongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542334203', '542334', '542334203', '吉汝乡', 'jiruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542334204', '542334', '542334204', '康布乡', 'kangbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542335', '5423', '542335', '吉隆县', 'jilongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542335100', '542335', '542335100', '宗嘎镇', 'zonggazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542335101', '542335', '542335101', '吉隆镇', 'jilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542335200', '542335', '542335200', '折巴乡', 'zhebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542335201', '542335', '542335201', '贡当乡', 'gongdangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542335202', '542335', '542335202', '差那乡', 'chaneixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542336', '5423', '542336', '聂拉木县', 'nielamuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542336100', '542336', '542336100', '聂拉木镇', 'nielamuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542336101', '542336', '542336101', '樟木镇', 'zhangmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542336200', '542336', '542336200', '亚来乡', 'yalaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542336201', '542336', '542336201', '锁作乡', 'suozuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542336202', '542336', '542336202', '门布乡', 'menbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542336203', '542336', '542336203', '乃龙乡', 'nailongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542336204', '542336', '542336204', '波绒乡', 'borongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542337', '5423', '542337', '萨嘎县', 'sagaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542337100', '542337', '542337100', '加加镇', 'jiajiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542337200', '542337', '542337200', '夏如乡', 'xiaruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542337201', '542337', '542337201', '旦嘎乡', 'dangaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542337202', '542337', '542337202', '达去岭乡', 'daqulingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542337203', '542337', '542337203', '如角乡', 'rujiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542337204', '542337', '542337204', '拉藏乡', 'lazangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542337205', '542337', '542337205', '雄如乡', 'xiongruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542337206', '542337', '542337206', '昌果乡', 'changguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542338', '5423', '542338', '岗巴县', 'gangbaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542338100', '542338', '542338100', '岗巴镇', 'gangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542338200', '542338', '542338200', '昌龙乡', 'changlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542338201', '542338', '542338201', '直克乡', 'zhikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542338202', '542338', '542338202', '孔玛乡', 'kongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542338203', '542338', '542338203', '龙中乡', 'longzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5424', '54', '5424', '那曲地区', 'neiqudiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421', '5424', '542421', '那曲县', 'neiquxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421100', '542421', '542421100', '那曲镇', 'neiquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421101', '542421', '542421101', '罗玛镇', 'luomazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421102', '542421', '542421102', '古露镇', 'guluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421200', '542421', '542421200', '香茂乡', 'xiangmaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421201', '542421', '542421201', '由恰乡', 'youqiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421202', '542421', '542421202', '那么切乡', 'neimeqiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421203', '542421', '542421203', '孔玛乡', 'kongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421204', '542421', '542421204', '达萨乡', 'dasaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421205', '542421', '542421205', '劳麦乡', 'laomaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421206', '542421', '542421206', '色雄乡', 'sexiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421207', '542421', '542421207', '尼玛乡', 'nimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542421208', '542421', '542421208', '达前乡', 'daqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542422', '5424', '542422', '嘉黎县', 'jialixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542422100', '542422', '542422100', '阿扎镇', 'azhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542422101', '542422', '542422101', '嘉黎镇', 'jializhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542422200', '542422', '542422200', '鸽群乡', 'gequnxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542422201', '542422', '542422201', '藏比乡', 'zangbixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542422202', '542422', '542422202', '忠玉乡', 'zhongyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542422203', '542422', '542422203', '措多乡', 'cuoduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542422204', '542422', '542422204', '措拉乡', 'cuolaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542422205', '542422', '542422205', '林提乡', 'lintixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542422206', '542422', '542422206', '夏玛乡', 'xiamaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542422207', '542422', '542422207', '绒多乡', 'rongduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542423', '5424', '542423', '比如县', 'biruxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542423100', '542423', '542423100', '比如镇', 'biruzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542423101', '542423', '542423101', '夏曲镇', 'xiaquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542423200', '542423', '542423200', '白嘎乡', 'baigaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542423201', '542423', '542423201', '羊秀乡', 'yangxiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542423202', '542423', '542423202', '香曲乡', 'xiangquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542423203', '542423', '542423203', '达塘乡', 'datangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542423204', '542423', '542423204', '茶曲乡', 'chaquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542423205', '542423', '542423205', '良曲乡', 'liangquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542423206', '542423', '542423206', '扎拉乡', 'zhalaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542423207', '542423', '542423207', '恰则乡', 'qiazexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542424', '5424', '542424', '聂荣县', 'nierongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542424100', '542424', '542424100', '聂荣镇', 'nierongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542424200', '542424', '542424200', '白雄乡', 'baixiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542424201', '542424', '542424201', '索雄乡', 'suoxiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542424202', '542424', '542424202', '查当乡', 'chadangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542424203', '542424', '542424203', '桑荣乡', 'sangrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542424204', '542424', '542424204', '当木江乡', 'dangmujiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542424205', '542424', '542424205', '尼玛乡', 'nimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542424206', '542424', '542424206', '下曲乡', 'xiaquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542424207', '542424', '542424207', '永曲乡', 'yongquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542424208', '542424', '542424208', '色庆乡', 'seqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425', '5424', '542425', '安多县', 'anduoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425100', '542425', '542425100', '帕那镇', 'paneizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425101', '542425', '542425101', '扎仁镇', 'zharenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425102', '542425', '542425102', '雁石坪镇', 'yanshipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425103', '542425', '542425103', '强玛镇', 'qiangmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425200', '542425', '542425200', '玛曲乡', 'maquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425201', '542425', '542425201', '多玛乡', 'duomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425202', '542425', '542425202', '措玛乡', 'cuomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425203', '542425', '542425203', '帮爱乡', 'bangaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425204', '542425', '542425204', '滩堆乡', 'tanduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425205', '542425', '542425205', '岗尼乡', 'gangnixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425206', '542425', '542425206', '玛荣乡', 'marongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425207', '542425', '542425207', '扎曲乡', 'zhaquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542425208', '542425', '542425208', '色务乡', 'sewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542426', '5424', '542426', '申扎县', 'shenzhaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542426100', '542426', '542426100', '申扎镇', 'shenzhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542426101', '542426', '542426101', '雄梅镇', 'xiongmeizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542426200', '542426', '542426200', '下过乡', 'xiaguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542426201', '542426', '542426201', '卡乡', 'kaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542426202', '542426', '542426202', '巴扎乡', 'bazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542426203', '542426', '542426203', '塔尔玛乡', 'taermaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542426204', '542426', '542426204', '买巴乡', 'maibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542426205', '542426', '542426205', '玛跃乡', 'mayuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542427', '5424', '542427', '索县', 'suoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542427100', '542427', '542427100', '亚拉镇', 'yalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542427101', '542427', '542427101', '荣布镇', 'rongbuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542427200', '542427', '542427200', '江达乡', 'jiangdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542427201', '542427', '542427201', '嘎木乡', 'gamuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542427202', '542427', '542427202', '若达乡', 'ruodaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542427203', '542427', '542427203', '热瓦乡', 'rewaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542427204', '542427', '542427204', '色昌乡', 'sechangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542427205', '542427', '542427205', '赤多乡', 'chiduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542427206', '542427', '542427206', '嘎美乡', 'gameixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542427207', '542427', '542427207', '加勤乡', 'jiaqinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542428', '5424', '542428', '班戈县', 'bangexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542428100', '542428', '542428100', '德庆镇', 'deqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542428101', '542428', '542428101', '普保镇', 'pubaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542428102', '542428', '542428102', '北拉镇', 'beilazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542428103', '542428', '542428103', '佳琼镇', 'jiaqiongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542428200', '542428', '542428200', '门当乡', 'mendangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542428201', '542428', '542428201', '保吉乡', 'baojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542428202', '542428', '542428202', '新吉乡', 'xinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542428203', '542428', '542428203', '尼玛乡', 'nimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542428204', '542428', '542428204', '马前乡', 'maqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542428205', '542428', '542428205', '青龙乡', 'qinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542429', '5424', '542429', '巴青县', 'baqingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542429100', '542429', '542429100', '雅安镇', 'yaanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542429101', '542429', '542429101', '拉西镇', 'laxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542429102', '542429', '542429102', '扎色镇', 'zhasezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542429200', '542429', '542429200', '江绵乡', 'jiangmianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542429201', '542429', '542429201', '岗切乡', 'gangqiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542429202', '542429', '542429202', '巴青乡', 'baqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542429203', '542429', '542429203', '阿秀乡', 'axiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542429204', '542429', '542429204', '玛如乡', 'maruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542429205', '542429', '542429205', '本塔乡', 'bentaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542429206', '542429', '542429206', '贡日乡', 'gongrixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430', '5424', '542430', '尼玛县', 'nimaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430100', '542430', '542430100', '尼玛镇', 'nimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430101', '542430', '542430101', '措折罗马镇', 'cuozheluomazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430200', '542430', '542430200', '文部乡', 'wenbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430201', '542430', '542430201', '中仓乡', 'zhongcangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430202', '542430', '542430202', '卓瓦乡', 'zhuowaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430203', '542430', '542430203', '卓尼乡', 'zhuonixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430204', '542430', '542430204', '吉瓦乡', 'jiwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430205', '542430', '542430205', '甲果乡', 'jiaguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430206', '542430', '542430206', '阿索乡', 'asuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430207', '542430', '542430207', '俄久乡', 'ejiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430208', '542430', '542430208', '荣玛乡', 'rongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430209', '542430', '542430209', '达果乡', 'daguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430210', '542430', '542430210', '申亚乡', 'shenyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430211', '542430', '542430211', '来多乡', 'laiduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430212', '542430', '542430212', '军仓乡', 'juncangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430213', '542430', '542430213', '协德乡', 'xiedexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430214', '542430', '542430214', '雅曲乡', 'yaquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430215', '542430', '542430215', '嘎措乡', 'gacuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430216', '542430', '542430216', '措折强玛乡', 'cuozheqiangmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430217', '542430', '542430217', '多玛乡', 'duomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542430218', '542430', '542430218', '巴岭乡', 'balingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5425', '54', '5425', '阿里地区', 'alidiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542521', '5425', '542521', '普兰县', 'pulanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542521100', '542521', '542521100', '普兰镇', 'pulanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542521200', '542521', '542521200', '巴噶乡', 'bagaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542521201', '542521', '542521201', '霍尔乡', 'huoerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542522', '5425', '542522', '札达县', 'zhadaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542522100', '542522', '542522100', '托林镇', 'tuolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542522200', '542522', '542522200', '萨让乡', 'sarangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542522201', '542522', '542522201', '达巴乡', 'dabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542522202', '542522', '542522202', '底雅乡', 'diyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542522203', '542522', '542522203', '香孜乡', 'xiangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542522204', '542522', '542522204', '曲松乡', 'qusongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542523', '5425', '542523', '噶尔县', 'gaerxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542523100', '542523', '542523100', '狮泉河镇', 'shiquanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542523200', '542523', '542523200', '昆沙乡', 'kunshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542523201', '542523', '542523201', '左左乡', 'zuozuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542523202', '542523', '542523202', '门土乡', 'mentuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542523203', '542523', '542523203', '扎西岗乡', 'zhaxigangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542524', '5425', '542524', '日土县', 'rituxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542524100', '542524', '542524100', '日土镇', 'rituzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542524200', '542524', '542524200', '热帮乡', 'rebangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542524201', '542524', '542524201', '日松乡', 'risongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542524202', '542524', '542524202', '东汝乡', 'dongruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542524203', '542524', '542524203', '多玛乡', 'duomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542525', '5425', '542525', '革吉县', 'gejixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542525100', '542525', '542525100', '革吉镇', 'gejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542525200', '542525', '542525200', '雄巴乡', 'xiongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542525201', '542525', '542525201', '亚热乡', 'yarexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542525202', '542525', '542525202', '盐湖乡', 'yanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542525203', '542525', '542525203', '文布当桑乡', 'wenbudangsangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542526', '5425', '542526', '改则县', 'gaizexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542526100', '542526', '542526100', '改则镇', 'gaizezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542526200', '542526', '542526200', '物玛乡', 'wumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542526201', '542526', '542526201', '先遣乡', 'xianqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542526202', '542526', '542526202', '麻米乡', 'mamixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542526203', '542526', '542526203', '洞措乡', 'dongcuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542526204', '542526', '542526204', '古姆乡', 'gumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542526205', '542526', '542526205', '察布乡', 'chabuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542527', '5425', '542527', '措勤县', 'cuoqinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542527100', '542527', '542527100', '措勤镇', 'cuoqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542527200', '542527', '542527200', '磁石乡', 'cishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542527201', '542527', '542527201', '曲洛乡', 'quluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542527202', '542527', '542527202', '江让乡', 'jiangrangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542527203', '542527', '542527203', '达雄乡', 'daxiongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('5426', '54', '5426', '林芝地区', 'linzhidiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542621', '5426', '542621', '林芝县', 'linzhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542621100', '542621', '542621100', '林芝镇', 'linzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542621101', '542621', '542621101', '百巴镇', 'baibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542621102', '542621', '542621102', '八一镇', 'bayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542621103', '542621', '542621103', '鲁朗镇', 'lulangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542621200', '542621', '542621200', '更章门巴民族乡', 'gengzhangmenbaminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542621201', '542621', '542621201', '布久乡', 'bujiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542621202', '542621', '542621202', '米瑞乡', 'miruixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542622', '5426', '542622', '工布江达县', 'gongbujiangdaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542622100', '542622', '542622100', '工布江达镇', 'gongbujiangdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542622101', '542622', '542622101', '金达镇', 'jindazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542622102', '542622', '542622102', '巴河镇', 'bahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542622200', '542622', '542622200', '错高乡', 'cuogaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542622201', '542622', '542622201', '朱拉乡', 'zhulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542622202', '542622', '542622202', '仲莎乡', 'zhongshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542622203', '542622', '542622203', '江达乡', 'jiangdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542622204', '542622', '542622204', '娘蒲乡', 'niangpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542622205', '542622', '542622205', '加兴乡', 'jiaxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542623', '5426', '542623', '米林县', 'milinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542623100', '542623', '542623100', '米林镇', 'milinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542623101', '542623', '542623101', '卧龙镇', 'wolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542623102', '542623', '542623102', '派镇', 'paizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542623200', '542623', '542623200', '丹娘乡', 'danniangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542623201', '542623', '542623201', '南伊珞巴民族乡', 'nanyiluobaminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542623202', '542623', '542623202', '羌纳乡', 'qiangnaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542623203', '542623', '542623203', '里龙乡', 'lilongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542623204', '542623', '542623204', '扎西绕登乡', 'zhaxiraodengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542624', '5426', '542624', '墨脱县', 'motuoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542624100', '542624', '542624100', '墨脱镇', 'motuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542624200', '542624', '542624200', '甘德乡', 'gandexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542624201', '542624', '542624201', '加热萨乡', 'jiaresaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542624202', '542624', '542624202', '达木珞巴民族乡', 'damuluobaminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542624203', '542624', '542624203', '旁辛乡', 'pangxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542624204', '542624', '542624204', '格当乡', 'gedangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542624205', '542624', '542624205', '德兴乡', 'dexingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542624206', '542624', '542624206', '背崩乡', 'beibengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625', '5426', '542625', '波密县', 'bomixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625100', '542625', '542625100', '扎木镇', 'zhamuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625101', '542625', '542625101', '倾多镇', 'qingduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625102', '542625', '542625102', '松宗镇', 'songzongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625200', '542625', '542625200', '古乡', 'guxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625201', '542625', '542625201', '许木乡', 'xumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625202', '542625', '542625202', '八盖乡', 'bagaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625203', '542625', '542625203', '玉仁乡', 'yurenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625204', '542625', '542625204', '多吉乡', 'duojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625205', '542625', '542625205', '康玉乡', 'kangyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625206', '542625', '542625206', '玉普乡', 'yupuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542625207', '542625', '542625207', '易贡乡', 'yigongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542626', '5426', '542626', '察隅县', 'chayuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542626100', '542626', '542626100', '竹瓦根镇', 'zhuwagenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542626101', '542626', '542626101', '上察隅镇', 'shangchayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542626102', '542626', '542626102', '下察隅镇', 'xiachayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542626200', '542626', '542626200', '古玉乡', 'guyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542626201', '542626', '542626201', '古拉乡', 'gulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542626202', '542626', '542626202', '察瓦龙乡', 'chawalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542627', '5426', '542627', '朗县', 'langxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542627100', '542627', '542627100', '朗镇', 'langzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542627101', '542627', '542627101', '仲达镇', 'zhongdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542627102', '542627', '542627102', '洞嘎镇', 'donggazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542627200', '542627', '542627200', '金东乡', 'jindongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542627201', '542627', '542627201', '拉多乡', 'laduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('542627202', '542627', '542627202', '登木乡', 'dengmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('61', '-1', '61', '陕西省', 'shanxisheng', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6101', '61', '6101', '西安市', 'xianshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610101', '6101', '610101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610102', '6101', '610102', '新城区', 'xinchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610102001', '610102', '610102001', '西一路街道', 'xiyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610102002', '610102', '610102002', '长乐中路街道', 'zhanglezhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610102003', '610102', '610102003', '中山门街道', 'zhongshanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610102004', '610102', '610102004', '韩森寨街道', 'hansenzhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610102005', '610102', '610102005', '解放门街道', 'jiefangmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610102006', '610102', '610102006', '自强路街道', 'ziqianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610102007', '610102', '610102007', '太华路街道', 'taihualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610102008', '610102', '610102008', '长乐西路街道', 'zhanglexilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610102009', '610102', '610102009', '胡家庙街道', 'hujiamiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610103', '6101', '610103', '碑林区', 'beilinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610103001', '610103', '610103001', '南院门街道', 'nanyuanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610103002', '610103', '610103002', '柏树林街道', 'boshulinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610103003', '610103', '610103003', '长乐坊街道', 'zhanglefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610103004', '610103', '610103004', '东关南街街道', 'dongguannanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610103005', '610103', '610103005', '太乙路街道', 'taiyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610103006', '610103', '610103006', '文艺路街道', 'wenyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610103007', '610103', '610103007', '长安路街道', 'zhanganlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610103008', '610103', '610103008', '张家村街道', 'zhangjiacunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610104', '6101', '610104', '莲湖区', 'lianhuqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610104001', '610104', '610104001', '青年路街道', 'qingnianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610104002', '610104', '610104002', '北院门街道', 'beiyuanmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610104003', '610104', '610104003', '北关街道', 'beiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610104004', '610104', '610104004', '红庙坡街道', 'hongmiaopojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610104005', '610104', '610104005', '环城西路街道', 'huanchengxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610104006', '610104', '610104006', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610104007', '610104', '610104007', '土门街道', 'tumenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610104008', '610104', '610104008', '桃园路街道', 'taoyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610104009', '610104', '610104009', '枣园街道', 'zaoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610111', '6101', '610111', '灞桥区', 'baqiaoqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610111001', '610111', '610111001', '纺织城街道', 'fangzhichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610111002', '610111', '610111002', '十里铺街道', 'shilipujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610111003', '610111', '610111003', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610111004', '610111', '610111004', '席王街道', 'xiwangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610111005', '610111', '610111005', '洪庆街道', 'hongqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610111006', '610111', '610111006', '狄寨街道', 'dizhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610111007', '610111', '610111007', '灞桥街道', 'baqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610111008', '610111', '610111008', '新筑街道', 'xinzhujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610111009', '610111', '610111009', '新合街道', 'xinhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610112', '6101', '610112', '未央区', 'weiyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610112001', '610112', '610112001', '张家堡街道', 'zhangjiabaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610112002', '610112', '610112002', '三桥街道', 'sanqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610112003', '610112', '610112003', '辛家庙街道', 'xinjiamiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610112004', '610112', '610112004', '徐家湾街道', 'xujiawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610112005', '610112', '610112005', '大明宫街道', 'daminggongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610112006', '610112', '610112006', '谭家街道', 'tanjiajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610112007', '610112', '610112007', '草滩街道', 'caotanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610112008', '610112', '610112008', '六村堡街道', 'liucunbaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610112009', '610112', '610112009', '未央宫街道', 'weiyanggongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610112010', '610112', '610112010', '汉城街道', 'hanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610113', '6101', '610113', '雁塔区', 'yantaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610113001', '610113', '610113001', '小寨路街道', 'xiaozhailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610113002', '610113', '610113002', '大雁塔街道', 'dayantajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610113003', '610113', '610113003', '长延堡街道', 'zhangyanbaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610113004', '610113', '610113004', '电子城街道', 'dianzichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610113005', '610113', '610113005', '等驾坡街道', 'dengjiapojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610113006', '610113', '610113006', '鱼化寨街道', 'yuhuazhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610113007', '610113', '610113007', '丈八沟街道', 'zhangbagoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610113008', '610113', '610113008', '曲江街道', 'qujiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610114', '6101', '610114', '阎良区', 'yanliangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610114001', '610114', '610114001', '凤凰路街道', 'fenghuanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610114002', '610114', '610114002', '新华路街道', 'xinhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610114003', '610114', '610114003', '振兴街道', 'zhenxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610114004', '610114', '610114004', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610114005', '610114', '610114005', '北屯街道', 'beitunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610114100', '610114', '610114100', '武屯镇', 'wutunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610114101', '610114', '610114101', '关山镇', 'guanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115', '6101', '610115', '临潼区', 'lintongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115001', '610115', '610115001', '骊山街道', 'lishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115002', '610115', '610115002', '秦陵街道', 'qinlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115003', '610115', '610115003', '新丰街道', 'xinfengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115004', '610115', '610115004', '代王街道', 'daiwangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115005', '610115', '610115005', '斜口街道', 'xiekoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115006', '610115', '610115006', '行者街道', 'xingzhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115007', '610115', '610115007', '零口街道', 'lingkoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115008', '610115', '610115008', '相桥街道', 'xiangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115009', '610115', '610115009', '雨金街道', 'yujinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115010', '610115', '610115010', '新市街道', 'xinshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115011', '610115', '610115011', '徐杨街道', 'xuyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115012', '610115', '610115012', '西泉街道', 'xiquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115013', '610115', '610115013', '栎阳街道', 'liyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115014', '610115', '610115014', '马额街道', 'maejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115104', '610115', '610115104', '交口镇', 'jiaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115106', '610115', '610115106', '北田镇', 'beitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115107', '610115', '610115107', '油槐镇', 'youhuaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115109', '610115', '610115109', '何寨镇', 'hezhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115200', '610115', '610115200', '铁炉乡', 'tieluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115201', '610115', '610115201', '穆寨乡', 'muzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115202', '610115', '610115202', '小金乡', 'xiaojinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115203', '610115', '610115203', '任留乡', 'renliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610115204', '610115', '610115204', '土桥乡', 'tuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116', '6101', '610116', '长安区', 'zhanganqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116001', '610116', '610116001', '韦曲街道', 'weiqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116002', '610116', '610116002', '郭杜街道', 'guodujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116003', '610116', '610116003', '滦镇街道', 'luanzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116004', '610116', '610116004', '引镇街道', 'yinzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116005', '610116', '610116005', '王寺街道', 'wangsijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116006', '610116', '610116006', '马王街道', 'mawangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116007', '610116', '610116007', '太乙宫街道', 'taiyigongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116008', '610116', '610116008', '东大街道', 'dongdajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116009', '610116', '610116009', '子午街道', 'ziwujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116010', '610116', '610116010', '斗门街道', 'doumenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116105', '610116', '610116105', '王曲镇', 'wangquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116108', '610116', '610116108', '杜曲镇', 'duquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116110', '610116', '610116110', '鸣犊镇', 'mingduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116111', '610116', '610116111', '细柳镇', 'xiliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116200', '610116', '610116200', '高桥乡', 'gaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116201', '610116', '610116201', '灵沼乡', 'lingzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116202', '610116', '610116202', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116203', '610116', '610116203', '五星乡', 'wuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116204', '610116', '610116204', '黄良乡', 'huangliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116205', '610116', '610116205', '五台乡', 'wutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116206', '610116', '610116206', '王莽乡', 'wangmangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116207', '610116', '610116207', '杨庄乡', 'yangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116208', '610116', '610116208', '大兆乡', 'dazhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116209', '610116', '610116209', '炮里乡', 'paolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610116210', '610116', '610116210', '魏寨乡', 'weizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122', '6101', '610122', '蓝田县', 'lantianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122100', '610122', '610122100', '蓝关镇', 'languanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122101', '610122', '610122101', '泄湖镇', 'xiehuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122102', '610122', '610122102', '华胥镇', 'huaxuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122103', '610122', '610122103', '前卫镇', 'qianweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122104', '610122', '610122104', '汤峪镇', 'tangyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122105', '610122', '610122105', '焦岱镇', 'jiaodaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122106', '610122', '610122106', '玉山镇', 'yushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122107', '610122', '610122107', '三里镇', 'sanlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122108', '610122', '610122108', '普化镇', 'puhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122109', '610122', '610122109', '葛牌镇', 'gepaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122200', '610122', '610122200', '辋川乡', 'wangchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122201', '610122', '610122201', '蓝桥乡', 'lanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122202', '610122', '610122202', '玉川乡', 'yuchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122203', '610122', '610122203', '灞源乡', 'bayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122204', '610122', '610122204', '孟村乡', 'mengcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122205', '610122', '610122205', '安村乡', 'ancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122206', '610122', '610122206', '史家寨乡', 'shijiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122207', '610122', '610122207', '小寨乡', 'xiaozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122208', '610122', '610122208', '三官庙乡', 'sanguanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122209', '610122', '610122209', '金山乡', 'jinshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122210', '610122', '610122210', '九间房乡', 'jiujianfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610122211', '610122', '610122211', '厚镇乡', 'houzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124', '6101', '610124', '周至县', 'zhouzhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124100', '610124', '610124100', '二曲镇', 'erquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124101', '610124', '610124101', '哑柏镇', 'yabozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124102', '610124', '610124102', '终南镇', 'zhongnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124103', '610124', '610124103', '马召镇', 'mazhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124104', '610124', '610124104', '集贤镇', 'jixianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124105', '610124', '610124105', '楼观镇', 'louguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124106', '610124', '610124106', '尚村镇', 'shangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124107', '610124', '610124107', '广济镇', 'guangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124108', '610124', '610124108', '厚畛子镇', 'houzhenzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124200', '610124', '610124200', '四屯乡', 'situnxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124201', '610124', '610124201', '候家村乡', 'houjiacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124202', '610124', '610124202', '竹峪乡', 'zhuyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124203', '610124', '610124203', '青化乡', 'qinghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124204', '610124', '610124204', '翠峰乡', 'cuifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124205', '610124', '610124205', '九峰乡', 'jiufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124206', '610124', '610124206', '富仁乡', 'furenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124207', '610124', '610124207', '司竹乡', 'sizhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124208', '610124', '610124208', '辛家寨乡', 'xinjiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124209', '610124', '610124209', '骆峪乡', 'luoyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124210', '610124', '610124210', '陈河乡', 'chenhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124211', '610124', '610124211', '板房子乡', 'banfangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610124212', '610124', '610124212', '王家河乡', 'wangjiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125', '6101', '610125', '户县', 'huxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125100', '610125', '610125100', '甘亭镇', 'gantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125101', '610125', '610125101', '余下镇', 'yuxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125102', '610125', '610125102', '祖庵镇', 'zuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125103', '610125', '610125103', '秦渡镇', 'qinduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125104', '610125', '610125104', '大王镇', 'dawangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125105', '610125', '610125105', '草堂镇', 'caotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125106', '610125', '610125106', '蒋村镇', 'jiangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125107', '610125', '610125107', '庞光镇', 'pangguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125108', '610125', '610125108', '涝店镇', 'laodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125109', '610125', '610125109', '甘河镇', 'ganhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125110', '610125', '610125110', '石井镇', 'shijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125200', '610125', '610125200', '五竹乡', 'wuzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125201', '610125', '610125201', '玉蝉乡', 'yuchanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125202', '610125', '610125202', '天桥乡', 'tianqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125203', '610125', '610125203', '渭丰乡', 'weifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610125204', '610125', '610125204', '苍游乡', 'cangyouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610126', '6101', '610126', '高陵县', 'gaolingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610126100', '610126', '610126100', '鹿苑镇', 'luyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610126101', '610126', '610126101', '通远镇', 'tongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610126102', '610126', '610126102', '耿镇', 'gengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610126103', '610126', '610126103', '泾渭镇', 'jingweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610126200', '610126', '610126200', '崇皇乡', 'chonghuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610126201', '610126', '610126201', '湾子乡', 'wanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610126202', '610126', '610126202', '榆楚乡', 'yuchuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610126203', '610126', '610126203', '张卜乡', 'zhangbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6102', '61', '6102', '铜川市', 'tongchuanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610201', '6102', '610201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610202', '6102', '610202', '王益区', 'wangyiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610202001', '610202', '610202001', '七一路街道', 'qiyilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610202002', '610202', '610202002', '红旗街道', 'hongqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610202003', '610202', '610202003', '桃园街道', 'taoyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610202004', '610202', '610202004', '青年路街道', 'qingnianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610202100', '610202', '610202100', '黄堡镇	', 'huangbaozhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610202200', '610202', '610202200', '王家河乡', 'wangjiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610202201', '610202', '610202201', '王益乡	', 'wangyixiang	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203', '6102', '610203', '印台区', 'yintaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203001', '610203', '610203001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203002', '610203', '610203002', '三里洞街道', 'sanlidongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203100', '610203', '610203100', '陈炉镇', 'chenluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203101', '610203', '610203101', '红土镇', 'hongtuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203102', '610203', '610203102', '广阳镇', 'guangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203103', '610203', '610203103', '玉华镇', 'yuhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203104', '610203', '610203104', '金锁关镇', 'jinsuoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203105', '610203', '610203105', '王石凹镇', 'wangshiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203106', '610203', '610203106', '阿庄镇', 'azhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203200', '610203', '610203200', '印台乡', 'yintaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610203201', '610203', '610203201', '高楼河乡', 'gaolouhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204', '6102', '610204', '耀州区', 'yaozhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204001', '610204', '610204001', '永安路街道', 'yonganlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204002', '610204', '610204002', '天宝路街道', 'tianbaolujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204003', '610204', '610204003', '咸丰路街道', 'xianfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204004', '610204', '610204004', '正阳路街道', 'zhengyanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204101', '610204', '610204101', '董家河镇', 'dongjiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204102', '610204', '610204102', '庙湾镇', 'miaowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204103', '610204', '610204103', '瑶曲镇', 'yaoquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204104', '610204', '610204104', '照金镇', 'zhaojinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204105', '610204', '610204105', '寺沟镇', 'sigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204106', '610204', '610204106', '坡头镇', 'potouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204107', '610204', '610204107', '小丘镇', 'xiaoqiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204108', '610204', '610204108', '孙塬镇', 'sunyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204109', '610204', '610204109', '关庄镇', 'guanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204110', '610204', '610204110', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204200', '610204', '610204200', '演池乡', 'yanchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610204201', '610204', '610204201', '石柱乡', 'shizhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610222', '6102', '610222', '宜君县', 'yijunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610222100', '610222', '610222100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610222101', '610222', '610222101', '彭镇', 'pengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610222102', '610222', '610222102', '五里镇', 'wulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610222103', '610222', '610222103', '太安镇', 'taianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610222104', '610222', '610222104', '棋盘镇', 'qipanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610222200', '610222', '610222200', '哭泉乡', 'kuquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610222201', '610222', '610222201', '云梦乡', 'yunmengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610222202', '610222', '610222202', '雷塬乡', 'leiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610222203', '610222', '610222203', '尧生乡', 'yaoshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610222204', '610222', '610222204', '西村乡', 'xicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6103', '61', '6103', '宝鸡市', 'baojishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610301', '6103', '610301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302', '6103', '610302', '渭滨区', 'weibinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302001', '610302', '610302001', '金陵街道', 'jinlingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302002', '610302', '610302002', '经二路街道', 'jingerlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302003', '610302', '610302003', '清姜街道', 'qingjiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302004', '610302', '610302004', '姜谭街道', 'jiangtanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302005', '610302', '610302005', '桥南街道', 'qiaonanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302100', '610302', '610302100', '马营镇', 'mayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302101', '610302', '610302101', '石鼓镇', 'shiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302102', '610302', '610302102', '神农镇', 'shennongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302103', '610302', '610302103', '高家镇', 'gaojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302104', '610302', '610302104', '八鱼镇', 'bayuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610302200', '610302', '610302200', '晁峪乡', 'chaoyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303', '6103', '610303', '金台区', 'jintaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303001', '610303', '610303001', '中山东路街道', 'zhongshandonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303002', '610303', '610303002', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303003', '610303', '610303003', '中山西路街道', 'zhongshanxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303004', '610303', '610303004', '群众路街道', 'qunzhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303005', '610303', '610303005', '店子街街道', 'dianzijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303006', '610303', '610303006', '东风路街道', 'dongfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303007', '610303', '610303007', '十里铺街道', 'shilipujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303100', '610303', '610303100', '陈仓镇', 'chencangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303101', '610303', '610303101', '蟠龙镇', 'panlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303200', '610303', '610303200', '陵原乡', 'lingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303201', '610303', '610303201', '金河乡', 'jinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610303202', '610303', '610303202', '硖石乡', 'xiashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304', '6103', '610304', '陈仓区', 'chencangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304100', '610304', '610304100', '虢镇', 'guozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304101', '610304', '610304101', '阳平镇', 'yangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304102', '610304', '610304102', '千河镇', 'qianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304103', '610304', '610304103', '磻溪镇', 'panxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304104', '610304', '610304104', '天王镇', 'tianwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304105', '610304', '610304105', '慕仪镇', 'muyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304106', '610304', '610304106', '周原镇', 'zhouyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304107', '610304', '610304107', '贾村镇', 'jiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304108', '610304', '610304108', '桥镇', 'qiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304109', '610304', '610304109', '县功镇', 'xiangongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304110', '610304', '610304110', '新街镇', 'xinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304111', '610304', '610304111', '坪头镇', 'pingtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304112', '610304', '610304112', '香泉镇', 'xiangquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304113', '610304', '610304113', '赤沙镇', 'chishazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304114', '610304', '610304114', '拓石镇', 'tuoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304115', '610304', '610304115', '凤阁岭镇', 'fenggelingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304116', '610304', '610304116', '钓渭镇', 'diaoweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610304200', '610304', '610304200', '胡店乡', 'hudianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322', '6103', '610322', '凤翔县', 'fengxiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322100', '610322', '610322100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322101', '610322', '610322101', '虢王镇', 'guowangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322102', '610322', '610322102', '彪角镇', 'biaojiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322103', '610322', '610322103', '横水镇', 'hengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322104', '610322', '610322104', '田家庄镇', 'tianjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322105', '610322', '610322105', '糜杆桥镇', 'miganqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322106', '610322', '610322106', '郭店镇', 'guodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322107', '610322', '610322107', '南指挥镇', 'nanzhihuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322108', '610322', '610322108', '陈村镇', 'chencunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322109', '610322', '610322109', '长青镇', 'zhangqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322110', '610322', '610322110', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322111', '610322', '610322111', '姚家沟镇', 'yaojiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322200', '610322', '610322200', '尹家务乡', 'yinjiawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322201', '610322', '610322201', '唐村乡', 'tangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322202', '610322', '610322202', '董家河乡', 'dongjiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322203', '610322', '610322203', '范家寨乡', 'fanjiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610322204', '610322', '610322204', '汉封乡', 'hanfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323', '6103', '610323', '岐山县', 'qishanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323100', '610323', '610323100', '凤鸣镇', 'fengmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323101', '610323', '610323101', '蔡家坡镇', 'caijiapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323102', '610323', '610323102', '五丈原镇', 'wuzhangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323103', '610323', '610323103', '益店镇', 'yidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323104', '610323', '610323104', '蒲村镇', 'pucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323105', '610323', '610323105', '祝家庄镇', 'zhujiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323106', '610323', '610323106', '青化镇', 'qinghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323107', '610323', '610323107', '枣林镇', 'zaolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323108', '610323', '610323108', '雍川镇', 'yongchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323109', '610323', '610323109', '安乐镇', 'anlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323110', '610323', '610323110', '曹家镇', 'caojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323200', '610323', '610323200', '大营乡', 'dayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323201', '610323', '610323201', '故郡乡', 'gujunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610323202', '610323', '610323202', '京当乡', 'jingdangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324', '6103', '610324', '扶风县', 'fufengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324100', '610324', '610324100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324101', '610324', '610324101', '天度镇', 'tianduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324102', '610324', '610324102', '午井镇', 'wujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324103', '610324', '610324103', '绛帐镇', 'jiangzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324104', '610324', '610324104', '段家镇', 'duanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324105', '610324', '610324105', '杏林镇', 'xinglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324106', '610324', '610324106', '召公镇', 'zhaogongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324107', '610324', '610324107', '法门镇', 'famenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324108', '610324', '610324108', '南阳镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324200', '610324', '610324200', '上宋乡', 'shangsongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324201', '610324', '610324201', '揉谷乡', 'rouguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610324202', '610324', '610324202', '太白乡', 'taibaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326', '6103', '610326', '眉县', 'meixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326100', '610326', '610326100', '首善镇', 'shoushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326101', '610326', '610326101', '横渠镇', 'hengquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326102', '610326', '610326102', '槐芽镇', 'huaiyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326103', '610326', '610326103', '汤峪镇', 'tangyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326104', '610326', '610326104', '常兴镇', 'changxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326105', '610326', '610326105', '金渠镇', 'jinquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326106', '610326', '610326106', '营头镇', 'yingtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326107', '610326', '610326107', '齐镇', 'qizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326108', '610326', '610326108', '马家镇', 'majiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326200', '610326', '610326200', '青化乡', 'qinghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326400', '610326', '610326400', '陕西省太白山旅游区', 'shanxishengtaibaishanlu:youqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610326401', '610326', '610326401', '红河谷森林公园', 'honghegusenlingongyuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327', '6103', '610327', '陇县', 'longxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327100', '610327', '610327100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327101', '610327', '610327101', '东风镇', 'dongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327102', '610327', '610327102', '八渡镇', 'baduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327103', '610327', '610327103', '杜阳镇', 'duyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327104', '610327', '610327104', '东南镇', 'dongnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327105', '610327', '610327105', '堎底下镇', 'lengdixiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327106', '610327', '610327106', '温水镇', 'wenshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327107', '610327', '610327107', '天成镇', 'tianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327108', '610327', '610327108', '曹家湾镇', 'caojiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327109', '610327', '610327109', '固关镇', 'guguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327200', '610327', '610327200', '牙科乡', 'yakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327201', '610327', '610327201', '河北乡', 'hebeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327202', '610327', '610327202', '李家河乡', 'lijiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327203', '610327', '610327203', '火烧寨乡', 'huoshaozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610327204', '610327', '610327204', '新集川乡', 'xinjichuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328', '6103', '610328', '千阳县', 'qianyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328100', '610328', '610328100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328101', '610328', '610328101', '崔家头镇', 'cuijiatouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328102', '610328', '610328102', '南寨镇', 'nanzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328103', '610328', '610328103', '张家塬镇', 'zhangjiayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328104', '610328', '610328104', '水沟镇', 'shuigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328105', '610328', '610328105', '草碧镇', 'caobizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328200', '610328', '610328200', '沙家坳乡', 'shajiaaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328201', '610328', '610328201', '文家坡乡', 'wenjiapoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328202', '610328', '610328202', '柿沟乡', 'shigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328203', '610328', '610328203', '寇家河乡', 'koujiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610328204', '610328', '610328204', '高崖乡', 'gaoyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610329', '6103', '610329', '麟游县', 'linyouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610329100', '610329', '610329100', '九成宫镇', 'jiuchenggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610329101', '610329', '610329101', '崔木镇', 'cuimuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610329102', '610329', '610329102', '招贤镇', 'zhaoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610329103', '610329', '610329103', '两亭镇', 'liangtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610329104', '610329', '610329104', '天堂镇', 'tiantangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610329200', '610329', '610329200', '常丰乡', 'changfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610329201', '610329', '610329201', '河西乡', 'hexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610329202', '610329', '610329202', '丈八乡', 'zhangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610329203', '610329', '610329203', '桑树塬乡', 'sangshuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610329204', '610329', '610329204', '酒房乡', 'jiufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330', '6103', '610330', '凤县', 'fengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330100', '610330', '610330100', '双石铺镇', 'shuangshipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330101', '610330', '610330101', '凤州镇', 'fengzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330102', '610330', '610330102', '黄牛铺镇', 'huangniupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330103', '610330', '610330103', '红花铺镇', 'honghuapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330104', '610330', '610330104', '河口镇', 'hekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330105', '610330', '610330105', '唐藏镇', 'tangzangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330106', '610330', '610330106', '平木镇', 'pingmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330107', '610330', '610330107', '坪坎镇', 'pingkanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330108', '610330', '610330108', '南星镇', 'nanxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330109', '610330', '610330109', '三岔镇', 'sanchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330200', '610330', '610330200', '岩湾乡', 'yanwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330201', '610330', '610330201', '温江寺乡', 'wenjiangsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330400', '610330', '610330400', '马头滩林业局', 'matoutanlinyeju', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610330401', '610330', '610330401', '辛家山林业场', 'xinjiashanlinyechang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610331', '6103', '610331', '太白县', 'taibaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610331100', '610331', '610331100', '咀头镇', 'jutouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610331101', '610331', '610331101', '桃川镇', 'taochuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610331102', '610331', '610331102', '鹦鸽镇', 'yinggezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610331103', '610331', '610331103', '靖口镇', 'jingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610331104', '610331', '610331104', '太白河镇', 'taibaihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610331200', '610331', '610331200', '王家塄乡', 'wangjialengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610331201', '610331', '610331201', '黄柏塬乡', 'huangboyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610331202', '610331', '610331202', '高龙乡', 'gaolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6104', '61', '6104', '咸阳市', 'xianyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610401', '6104', '610401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402', '6104', '610402', '秦都区', 'qindouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402001', '610402', '610402001', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402002', '610402', '610402002', '西兰路街道', 'xilanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402003', '610402', '610402003', '吴家堡街道', 'wujiabaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402004', '610402', '610402004', '渭阳西路街道', 'weiyangxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402005', '610402', '610402005', '陈杨寨街道', 'chenyangzhaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402006', '610402', '610402006', '古渡街道', 'gudujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402007', '610402', '610402007', '沣东街道', 'fengdongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402008', '610402', '610402008', '钓台街道', 'diaotaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402009', '610402', '610402009', '马泉街道', 'maquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402102', '610402', '610402102', '渭滨镇', 'weibinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402104', '610402', '610402104', '双照镇', 'shuangzhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610402105', '610402', '610402105', '马庄镇', 'mazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610403', '6104', '610403', '杨凌区', 'yanglingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610403001', '610403', '610403001', '杨凌街道', 'yanglingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610403100', '610403', '610403100', '五泉镇', 'wuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610403200', '610403', '610403200', '李台乡', 'litaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610403201', '610403', '610403201', '杨村乡', 'yangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610403202', '610403', '610403202', '大寨乡', 'dazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610404', '6104', '610404', '渭城区', 'weichengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610404001', '610404', '610404001', '中山街道', 'zhongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610404002', '610404', '610404002', '文汇路街道', 'wenhuilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610404003', '610404', '610404003', '新兴街道', 'xinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610404004', '610404', '610404004', '渭阳街道', 'weiyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610404100', '610404', '610404100', '渭城镇', 'weichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610404101', '610404', '610404101', '窑店镇', 'yaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610404102', '610404', '610404102', '正阳镇', 'zhengyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610404103', '610404', '610404103', '周陵镇', 'zhoulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610404104', '610404', '610404104', '底张镇', 'dizhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610404105', '610404', '610404105', '北杜镇', 'beiduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422', '6104', '610422', '三原县', 'sanyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422100', '610422', '610422100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422101', '610422', '610422101', '安乐镇', 'anlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422102', '610422', '610422102', '陂西镇', 'poxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422103', '610422', '610422103', '独李镇', 'dulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422104', '610422', '610422104', '大程镇', 'dachengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422105', '610422', '610422105', '西阳镇', 'xiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422106', '610422', '610422106', '鲁桥镇', 'luqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422107', '610422', '610422107', '陵前镇', 'lingqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422108', '610422', '610422108', '马额镇', 'maezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422109', '610422', '610422109', '新兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422200', '610422', '610422200', '高渠乡', 'gaoquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422201', '610422', '610422201', '渠岸乡', 'quanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422202', '610422', '610422202', '徐木乡', 'xumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610422203', '610422', '610422203', '嵯峨乡', 'cuoexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423', '6104', '610423', '泾阳县', 'jingyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423100', '610423', '610423100', '泾干镇', 'jingganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423101', '610423', '610423101', '永乐镇', 'yonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423102', '610423', '610423102', '云阳镇', 'yunyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423103', '610423', '610423103', '桥底镇', 'qiaodizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423104', '610423', '610423104', '王桥镇', 'wangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423105', '610423', '610423105', '口镇', 'kouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423106', '610423', '610423106', '中张镇', 'zhongzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423107', '610423', '610423107', '三渠镇', 'sanquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423108', '610423', '610423108', '高庄镇', 'gaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423109', '610423', '610423109', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423110', '610423', '610423110', '白王镇', 'baiwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423111', '610423', '610423111', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423200', '610423', '610423200', '崇文乡', 'chongwenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423201', '610423', '610423201', '燕王乡', 'yanwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423202', '610423', '610423202', '蒋路乡', 'jiangluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610423203', '610423', '610423203', '龙泉乡', 'longquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424', '6104', '610424', '乾县', 'qianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424100', '610424', '610424100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424101', '610424', '610424101', '薛录镇', 'xueluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424102', '610424', '610424102', '梁村镇', 'liangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424103', '610424', '610424103', '临平镇', 'linpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424104', '610424', '610424104', '姜村镇', 'jiangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424105', '610424', '610424105', '王村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424106', '610424', '610424106', '马连镇', 'malianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424107', '610424', '610424107', '阳峪镇', 'yangyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424108', '610424', '610424108', '峰阳镇', 'fengyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424109', '610424', '610424109', '注泔镇', 'zhuganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424110', '610424', '610424110', '灵源镇', 'lingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424111', '610424', '610424111', '阳洪镇', 'yanghongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424200', '610424', '610424200', '大墙乡', 'daqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424201', '610424', '610424201', '周城乡', 'zhouchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424202', '610424', '610424202', '大杨乡', 'dayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424203', '610424', '610424203', '新阳乡', 'xinyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424204', '610424', '610424204', '漠西乡', 'moxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424205', '610424', '610424205', '梁山乡', 'liangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424206', '610424', '610424206', '石牛乡', 'shiniuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610424207', '610424', '610424207', '关头乡', 'guantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425', '6104', '610425', '礼泉县', 'liquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425100', '610425', '610425100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425101', '610425', '610425101', '史德镇', 'shidezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425102', '610425', '610425102', '西张堡镇', 'xizhangbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425103', '610425', '610425103', '阡东镇', 'qiandongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425104', '610425', '610425104', '烽火镇', 'fenghuozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425105', '610425', '610425105', '烟霞镇', 'yanxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425106', '610425', '610425106', '赵镇', 'zhaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425107', '610425', '610425107', '建陵镇', 'jianlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425108', '610425', '610425108', '叱干镇', 'chiganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425109', '610425', '610425109', '南坊镇', 'nanfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425110', '610425', '610425110', '石潭镇', 'shitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425200', '610425', '610425200', '药王洞乡', 'yaowangdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425201', '610425', '610425201', '新时乡', 'xinshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425202', '610425', '610425202', '骏马乡', 'junmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610425203', '610425', '610425203', '昭陵乡', 'zhaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426', '6104', '610426', '永寿县', 'yongshouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426100', '610426', '610426100', '监军镇', 'jianjunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426101', '610426', '610426101', '店头镇', 'diantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426102', '610426', '610426102', '常宁镇', 'changningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426103', '610426', '610426103', '仪井镇', 'yijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426104', '610426', '610426104', '甘井镇', 'ganjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426105', '610426', '610426105', '马坊镇', 'mafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426106', '610426', '610426106', '豆家镇', 'doujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426200', '610426', '610426200', '御驾宫乡', 'yujiagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426201', '610426', '610426201', '渡马乡', 'dumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426202', '610426', '610426202', '上邑乡', 'shangyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426203', '610426', '610426203', '渠子乡', 'quzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426204', '610426', '610426204', '永太乡', 'yongtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610426205', '610426', '610426205', '永平乡', 'yongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427', '6104', '610427', '彬县', 'binxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427100', '610427', '610427100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427101', '610427', '610427101', '北极镇', 'beijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427102', '610427', '610427102', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427103', '610427', '610427103', '龙高镇', 'longgaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427104', '610427', '610427104', '小章镇', 'xiaozhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427105', '610427', '610427105', '永乐镇', 'yonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427106', '610427', '610427106', '义门镇', 'yimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427107', '610427', '610427107', '水口镇', 'shuikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427200', '610427', '610427200', '香庙乡', 'xiangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427201', '610427', '610427201', '炭店乡', 'tandianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427202', '610427', '610427202', '西坡乡', 'xipoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427203', '610427', '610427203', '车家庄乡', 'chejiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427204', '610427', '610427204', '韩家乡', 'hanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427205', '610427', '610427205', '底店乡', 'didianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427206', '610427', '610427206', '太峪乡', 'taiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610427207', '610427', '610427207', '新堡子乡', 'xinbaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428', '6104', '610428', '长武县', 'zhangwuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428100', '610428', '610428100', '昭仁镇', 'zhaorenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428101', '610428', '610428101', '相公镇', 'xianggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428102', '610428', '610428102', '巨家镇', 'jujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428103', '610428', '610428103', '丁家镇', 'dingjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428104', '610428', '610428104', '洪家镇', 'hongjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428200', '610428', '610428200', '冉店乡', 'randianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428201', '610428', '610428201', '芋园乡', 'yuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428202', '610428', '610428202', '彭公乡', 'penggongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428203', '610428', '610428203', '地掌乡', 'dizhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428204', '610428', '610428204', '亭口乡', 'tingkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610428205', '610428', '610428205', '枣元乡', 'zaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429', '6104', '610429', '旬邑县', 'xunyixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429100', '610429', '610429100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429101', '610429', '610429101', '土桥镇', 'tuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429102', '610429', '610429102', '职田镇', 'zhitianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429103', '610429', '610429103', '张洪镇', 'zhanghongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429104', '610429', '610429104', '太村镇', 'taicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429105', '610429', '610429105', '郑家镇', 'zhengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429106', '610429', '610429106', '湫坡头镇', 'qiupotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429107', '610429', '610429107', '底庙镇', 'dimiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429108', '610429', '610429108', '丈八寺镇', 'zhangbasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429109', '610429', '610429109', '马栏镇', 'malanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429200', '610429', '610429200', '清塬乡', 'qingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429201', '610429', '610429201', '赤道乡', 'chidaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429202', '610429', '610429202', '原底乡', 'yuandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610429203', '610429', '610429203', '排厦乡', 'paishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430', '6104', '610430', '淳化县', 'chunhuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430100', '610430', '610430100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430101', '610430', '610430101', '官庄镇', 'guanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430102', '610430', '610430102', '马家镇', 'majiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430103', '610430', '610430103', '方里镇', 'fanglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430104', '610430', '610430104', '润镇', 'runzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430200', '610430', '610430200', '胡家庙乡', 'hujiamiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430201', '610430', '610430201', '十里塬乡', 'shiliyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430202', '610430', '610430202', '卜家乡', 'bujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430203', '610430', '610430203', '车坞乡', 'chewuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430204', '610430', '610430204', '大店乡', 'dadianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430205', '610430', '610430205', '石桥乡', 'shiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430206', '610430', '610430206', '秦河乡', 'qinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430207', '610430', '610430207', '铁王乡', 'tiewangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430208', '610430', '610430208', '秦庄乡', 'qinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610430209', '610430', '610430209', '固贤乡', 'guxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431', '6104', '610431', '武功县', 'wugongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431100', '610431', '610431100', '普集镇', 'pujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431101', '610431', '610431101', '苏坊镇', 'sufangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431102', '610431', '610431102', '武功镇', 'wugongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431103', '610431', '610431103', '游风镇', 'youfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431104', '610431', '610431104', '贞元镇', 'zhenyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431105', '610431', '610431105', '长宁镇', 'zhangningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431106', '610431', '610431106', '小村镇', 'xiaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431107', '610431', '610431107', '大庄镇', 'dazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431200', '610431', '610431200', '代家乡', 'daijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431201', '610431', '610431201', '河道乡', 'hedaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431202', '610431', '610431202', '南仁乡', 'nanrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610431203', '610431', '610431203', '普集街乡', 'pujijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481', '6104', '610481', '兴平市', 'xingpingshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481001', '610481', '610481001', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481002', '610481', '610481002', '西城街道', 'xichengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481003', '610481', '610481003', '店张街道', 'dianzhangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481100', '610481', '610481100', '马嵬镇', 'maweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481101', '610481', '610481101', '赵村镇', 'zhaocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481102', '610481', '610481102', '桑镇', 'sangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481103', '610481', '610481103', '西吴镇', 'xiwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481104', '610481', '610481104', '南市镇', 'nanshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481105', '610481', '610481105', '庄头镇', 'zhuangtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481106', '610481', '610481106', '南位镇', 'nanweizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481200', '610481', '610481200', '汤坊乡', 'tangfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481201', '610481', '610481201', '田阜乡', 'tianfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481202', '610481', '610481202', '丰仪乡', 'fengyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610481203', '610481', '610481203', '阜寨乡', 'fuzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6105', '61', '6105', '渭南市', 'weinanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610501', '6105', '610501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502', '6105', '610502', '临渭区', 'linweiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502001', '610502', '610502001', '杜桥街道', 'duqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502002', '610502', '610502002', '人民街道', 'renminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502003', '610502', '610502003', '解放街道', 'jiefangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502004', '610502', '610502004', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502005', '610502', '610502005', '站南街道', 'zhannanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502006', '610502', '610502006', '双王街道', 'shuangwangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502007', '610502', '610502007', '良田街道', 'liangtianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502008', '610502', '610502008', '崇业路街道', 'chongyelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502100', '610502', '610502100', '桥南镇', 'qiaonanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502101', '610502', '610502101', '阳郭镇', 'yangguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502102', '610502', '610502102', '故市镇', 'gushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502103', '610502', '610502103', '下吉镇', 'xiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502104', '610502', '610502104', '三张镇', 'sanzhangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502105', '610502', '610502105', '交斜镇', 'jiaoxiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502106', '610502', '610502106', '辛市镇', 'xinshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502107', '610502', '610502107', '崇宁镇', 'chongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502108', '610502', '610502108', '孝义镇', 'xiaoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502109', '610502', '610502109', '吝店镇', 'lindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502110', '610502', '610502110', '田市镇', 'tianshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502111', '610502', '610502111', '官底镇', 'guandizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502112', '610502', '610502112', '官路镇', 'guanluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502113', '610502', '610502113', '丰原镇', 'fengyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502114', '610502', '610502114', '阎村镇', 'yancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502200', '610502', '610502200', '河西乡', 'hexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502201', '610502', '610502201', '大王乡', 'dawangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502202', '610502', '610502202', '龙背乡', 'longbeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502203', '610502', '610502203', '信义乡', 'xinyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502204', '610502', '610502204', '南师乡', 'nanshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502205', '610502', '610502205', '凭信乡', 'pingxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610502206', '610502', '610502206', '官道乡', 'guandaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521', '6105', '610521', '华县', 'huaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521100', '610521', '610521100', '华州镇', 'huazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521101', '610521', '610521101', '杏林镇', 'xinglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521102', '610521', '610521102', '赤水镇', 'chishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521103', '610521', '610521103', '高塘镇', 'gaotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521104', '610521', '610521104', '大明镇', 'damingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521105', '610521', '610521105', '瓜坡镇', 'guapozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521106', '610521', '610521106', '莲花寺镇', 'lianhuasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521107', '610521', '610521107', '柳枝镇', 'liuzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521108', '610521', '610521108', '下庙镇', 'xiamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521109', '610521', '610521109', '金堆镇', 'jinduizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521200', '610521', '610521200', '辛庄乡', 'xinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521201', '610521', '610521201', '东阳乡', 'dongyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521202', '610521', '610521202', '金惠乡', 'jinhuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610521203', '610521', '610521203', '毕家乡', 'bijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610522', '6105', '610522', '潼关县', 'tongguanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610522100', '610522', '610522100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610522101', '610522', '610522101', '秦东镇', 'qindongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610522102', '610522', '610522102', '太要镇', 'taiyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610522103', '610522', '610522103', '桐峪镇', 'tongyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610522200', '610522', '610522200', '安乐乡', 'anlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610522201', '610522', '610522201', '高桥乡', 'gaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610522202', '610522', '610522202', '南头乡', 'nantouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610522203', '610522', '610522203', '代字营乡', 'daiziyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523', '6105', '610523', '大荔县', 'dalixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523100', '610523', '610523100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523101', '610523', '610523101', '许庄镇', 'xuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523102', '610523', '610523102', '朝邑镇', 'chaoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523103', '610523', '610523103', '安仁镇', 'anrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523104', '610523', '610523104', '两宜镇', 'liangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523105', '610523', '610523105', '羌白镇', 'qiangbaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523106', '610523', '610523106', '官池镇', 'guanchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523107', '610523', '610523107', '冯村镇', 'fengcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523108', '610523', '610523108', '双泉镇', 'shuangquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523109', '610523', '610523109', '高明镇', 'gaomingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523110', '610523', '610523110', '下寨镇', 'xiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523111', '610523', '610523111', '韦林镇', 'weilinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523112', '610523', '610523112', '范家镇', 'fanjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523200', '610523', '610523200', '户家乡', 'hujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523201', '610523', '610523201', '埝桥乡', 'nianqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523202', '610523', '610523202', '伯士乡', 'boshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523203', '610523', '610523203', '步昌乡', 'buchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523204', '610523', '610523204', '段家乡', 'duanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523205', '610523', '610523205', '八鱼乡', 'bayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523206', '610523', '610523206', '张家乡', 'zhangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523207', '610523', '610523207', '苏村乡', 'sucunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523208', '610523', '610523208', '西寨乡', 'xizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523209', '610523', '610523209', '石槽乡', 'shicaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523210', '610523', '610523210', '沙底乡', 'shadixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523211', '610523', '610523211', '赵渡乡', 'zhaoduxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523212', '610523', '610523212', '平民乡', 'pingminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523400', '610523', '610523400', '国营陕西荔北企业公司', 'guoyingshanxilibeiqiyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523401', '610523', '610523401', '国营陕西沙苑企业公司', 'guoyingshanxishayuanqiyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610523402', '610523', '610523402', '国营陕西黄河企业公司', 'guoyingshanxihuangheqiyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524', '6105', '610524', '合阳县', 'heyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524100', '610524', '610524100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524101', '610524', '610524101', '甘井镇', 'ganjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524102', '610524', '610524102', '坊镇', 'fangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524103', '610524', '610524103', '洽川镇', 'qiachuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524104', '610524', '610524104', '新池镇', 'xinchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524105', '610524', '610524105', '黑池镇', 'heichizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524106', '610524', '610524106', '路井镇', 'lujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524107', '610524', '610524107', '和家庄镇', 'hejiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524108', '610524', '610524108', '王村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524109', '610524', '610524109', '皇甫庄镇', 'huangfuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524110', '610524', '610524110', '同家庄镇', 'tongjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524111', '610524', '610524111', '百良镇', 'bailiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524200', '610524', '610524200', '知堡乡', 'zhibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524201', '610524', '610524201', '马家庄乡', 'majiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524202', '610524', '610524202', '防虏寨乡', 'fangluzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610524203', '610524', '610524203', '杨家庄乡', 'yangjiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525', '6105', '610525', '澄城县', 'chengchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525100', '610525', '610525100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525101', '610525', '610525101', '冯原镇', 'fengyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525102', '610525', '610525102', '王庄镇', 'wangzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525103', '610525', '610525103', '尧头镇', 'yaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525104', '610525', '610525104', '赵庄镇', 'zhaozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525105', '610525', '610525105', '交道镇', 'jiaodaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525106', '610525', '610525106', '寺前镇', 'siqianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525107', '610525', '610525107', '韦庄镇', 'weizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525200', '610525', '610525200', '雷家洼乡', 'leijiawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525201', '610525', '610525201', '善化乡', 'shanhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525202', '610525', '610525202', '刘家洼乡', 'liujiawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525203', '610525', '610525203', '安里乡', 'anlixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525204', '610525', '610525204', '罗家洼乡', 'luojiawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610525205', '610525', '610525205', '庄头乡', 'zhuangtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526', '6105', '610526', '蒲城县', 'puchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526100', '610526', '610526100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526101', '610526', '610526101', '罕井镇', 'hanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526102', '610526', '610526102', '孙镇', 'sunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526103', '610526', '610526103', '兴镇', 'xingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526104', '610526', '610526104', '党木镇', 'dangmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526105', '610526', '610526105', '高阳镇', 'gaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526106', '610526', '610526106', '永丰镇', 'yongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526107', '610526', '610526107', '荆姚镇', 'jingyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526108', '610526', '610526108', '苏坊镇', 'sufangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526109', '610526', '610526109', '龙阳镇', 'longyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526110', '610526', '610526110', '东陈镇', 'dongchenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526111', '610526', '610526111', '坡头镇', 'potouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526112', '610526', '610526112', '洛滨镇', 'luobinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526113', '610526', '610526113', '陈庄镇', 'chenzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526200', '610526', '610526200', '翔村乡', 'xiangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526201', '610526', '610526201', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526202', '610526', '610526202', '贾曲乡', 'jiaquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526203', '610526', '610526203', '东阳乡', 'dongyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526204', '610526', '610526204', '原任乡', 'yuanrenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526205', '610526', '610526205', '龙池乡', 'longchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526206', '610526', '610526206', '椿林乡', 'chunlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526207', '610526', '610526207', '平路庙乡', 'pinglumiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526208', '610526', '610526208', '上王乡', 'shangwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610526209', '610526', '610526209', '大孔乡', 'dakongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527', '6105', '610527', '白水县', 'baishuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527100', '610527', '610527100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527101', '610527', '610527101', '冯雷镇', 'fengleizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527102', '610527', '610527102', '尧禾镇', 'yaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527103', '610527', '610527103', '杜康镇', 'dukangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527104', '610527', '610527104', '西固镇', 'xiguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527105', '610527', '610527105', '林皋镇', 'lingaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527200', '610527', '610527200', '北井头乡', 'beijingtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527201', '610527', '610527201', '雷牙乡', 'leiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527202', '610527', '610527202', '雷村乡', 'leicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527203', '610527', '610527203', '收水乡', 'shoushuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527205', '610527', '610527205', '云台乡', 'yuntaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527206', '610527', '610527206', '纵目乡', 'zongmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527207', '610527', '610527207', '史官乡', 'shiguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610527208', '610527', '610527208', '北塬乡', 'beiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528', '6105', '610528', '富平县', 'fupingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528100', '610528', '610528100', '杜村镇', 'ducunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528101', '610528', '610528101', '庄里镇', 'zhuanglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528102', '610528', '610528102', '张桥镇', 'zhangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528103', '610528', '610528103', '美原镇', 'meiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528104', '610528', '610528104', '流曲镇', 'liuquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528105', '610528', '610528105', '淡村镇', 'dancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528106', '610528', '610528106', '王寮镇', 'wangliaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528107', '610528', '610528107', '留古镇', 'liuguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528108', '610528', '610528108', '老庙镇', 'laomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528109', '610528', '610528109', '薛镇', 'xuezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528110', '610528', '610528110', '到贤镇', 'daoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528111', '610528', '610528111', '曹村镇', 'caocunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528112', '610528', '610528112', '宫里镇', 'gonglizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528113', '610528', '610528113', '梅家坪镇', 'meijiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528114', '610528', '610528114', '刘集镇', 'liujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528200', '610528', '610528200', '南社乡', 'nanshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528201', '610528', '610528201', '华朱乡', 'huazhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528202', '610528', '610528202', '东上官乡', 'dongshangguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528203', '610528', '610528203', '峪岭乡', 'yulingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528204', '610528', '610528204', '底店乡', 'didianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528205', '610528', '610528205', '小惠乡', 'xiaohuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528206', '610528', '610528206', '白庙乡', 'baimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528207', '610528', '610528207', '齐村乡', 'qicunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610528208', '610528', '610528208', '觅子乡', 'mizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581', '6105', '610581', '韩城市', 'hanchengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581001', '610581', '610581001', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581002', '610581', '610581002', '金城街道', 'jinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581100', '610581', '610581100', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581101', '610581', '610581101', '桑树坪镇', 'sangshupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581102', '610581', '610581102', '龙亭镇', 'longtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581103', '610581', '610581103', '芝川镇', 'zhichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581104', '610581', '610581104', '西庄镇', 'xizhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581105', '610581', '610581105', '昝村镇', 'zancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581106', '610581', '610581106', '芝阳镇', 'zhiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581200', '610581', '610581200', '盘龙乡', 'panlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581201', '610581', '610581201', '乔子玄乡', 'qiaozixuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581202', '610581', '610581202', '嵬东乡', 'weidongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581203', '610581', '610581203', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581204', '610581', '610581204', '薛峰乡', 'xuefengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581205', '610581', '610581205', '王峰乡', 'wangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610581206', '610581', '610581206', '独泉乡', 'duquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582', '6105', '610582', '华阴市', 'huayinshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582001', '610582', '610582001', '太华路街道', 'taihualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582002', '610582', '610582002', '岳庙街道', 'yuemiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582003', '610582', '610582003', '玉泉街道', 'yuquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582100', '610582', '610582100', '孟塬镇', 'mengyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582101', '610582', '610582101', '桃下镇', 'taoxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582102', '610582', '610582102', '夫水镇', 'fushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582103', '610582', '610582103', '华西镇', 'huaxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582200', '610582', '610582200', '卫峪乡', 'weiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582201', '610582', '610582201', '五方乡', 'wufangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582202', '610582', '610582202', '北社乡', 'beishexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610582400', '610582', '610582400', '国营陕西华山企业公司', 'guoyingshanxihuashanqiyegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6106', '61', '6106', '延安市', 'yananshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610601', '6106', '610601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602', '6106', '610602', '宝塔区', 'baotaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602001', '610602', '610602001', '宝塔山街道', 'baotashanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602002', '610602', '610602002', '南市街道', 'nanshijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602003', '610602', '610602003', '凤凰山街道', 'fenghuangshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602100', '610602', '610602100', '桥沟镇', 'qiaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602101', '610602', '610602101', '枣园镇', 'zaoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602102', '610602', '610602102', '河庄坪镇', 'hezhuangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602103', '610602', '610602103', '李渠镇', 'liquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602104', '610602', '610602104', '姚店镇', 'yaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602105', '610602', '610602105', '青化砭镇', 'qinghuabianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602106', '610602', '610602106', '蟠龙镇', 'panlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602107', '610602', '610602107', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602108', '610602', '610602108', '南泥湾镇', 'nanniwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602109', '610602', '610602109', '临镇', 'linzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602110', '610602', '610602110', '甘谷驿镇', 'ganguyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602200', '610602', '610602200', '川口乡', 'chuankouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602201', '610602', '610602201', '松树林乡', 'songshulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602202', '610602', '610602202', '冯庄乡', 'fengzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602203', '610602', '610602203', '元龙寺乡', 'yuanlongsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602204', '610602', '610602204', '梁村乡', 'liangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602205', '610602', '610602205', '麻洞川乡', 'madongchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602206', '610602', '610602206', '贯屯乡', 'guantunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602207', '610602', '610602207', '官庄乡', 'guanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610602208', '610602', '610602208', '万花山乡', 'wanhuashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621', '6106', '610621', '延长县', 'yanzhangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621100', '610621', '610621100', '七里村镇', 'qilicunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621101', '610621', '610621101', '黑家堡镇', 'heijiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621102', '610621', '610621102', '郑庄镇', 'zhengzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621103', '610621', '610621103', '张家滩镇', 'zhangjiatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621104', '610621', '610621104', '交口镇', 'jiaokouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621105', '610621', '610621105', '安河镇', 'anhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621200', '610621', '610621200', '郭旗乡', 'guoqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621201', '610621', '610621201', '刘家河乡', 'liujiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621202', '610621', '610621202', '安沟乡', 'angouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621203', '610621', '610621203', '罗子山乡', 'luozishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621204', '610621', '610621204', '雷赤乡', 'leichixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610621205', '610621', '610621205', '南河沟乡', 'nanhegouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622', '6106', '610622', '延川县', 'yanchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622100', '610622', '610622100', '延川镇', 'yanchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622101', '610622', '610622101', '永坪镇', 'yongpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622102', '610622', '610622102', '延水关镇', 'yanshuiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622103', '610622', '610622103', '文安驿镇', 'wenanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622104', '610622', '610622104', '杨家圪台镇', 'yangjiagetaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622105', '610622', '610622105', '贾家坪镇', 'jiajiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622106', '610622', '610622106', '禹居镇', 'yujuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622107', '610622', '610622107', '关庄镇', 'guanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622200', '610622', '610622200', '高家屯乡', 'gaojiatunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622201', '610622', '610622201', '冯家坪乡', 'fengjiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622202', '610622', '610622202', '贺家湾乡', 'hejiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622203', '610622', '610622203', '马家河乡', 'majiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622204', '610622', '610622204', '眼岔寺乡', 'yanchasixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610622205', '610622', '610622205', '土岗乡', 'tugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623', '6106', '610623', '子长县', 'zizhangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623100', '610623', '610623100', '瓦窑堡镇', 'wayaobaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623101', '610623', '610623101', '杨家园子镇', 'yangjiayuanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623102', '610623', '610623102', '玉家湾镇', 'yujiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623103', '610623', '610623103', '安定镇', 'andingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623104', '610623', '610623104', '马家砭镇', 'majiabianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623105', '610623', '610623105', '南沟岔镇', 'nangouchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623106', '610623', '610623106', '涧峪岔镇', 'jianyuchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623107', '610623', '610623107', '李家岔镇', 'lijiachazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623200', '610623', '610623200', '热寺湾乡', 'resiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623201', '610623', '610623201', '史家畔乡', 'shijiapanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623202', '610623', '610623202', '栾家坪乡', 'luanjiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623203', '610623', '610623203', '余家坪乡', 'yujiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610623204', '610623', '610623204', '寺湾乡', 'siwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624', '6106', '610624', '安塞县', 'ansaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624100', '610624', '610624100', '真武洞镇', 'zhenwudongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624101', '610624', '610624101', '砖窑湾镇', 'zhuanyaowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624102', '610624', '610624102', '沿河湾镇', 'yanhewanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624103', '610624', '610624103', '招安镇', 'zhaoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624104', '610624', '610624104', '化子坪镇', 'huazipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624105', '610624', '610624105', '坪桥镇', 'pingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624106', '610624', '610624106', '建华镇', 'jianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624200', '610624', '610624200', '高桥乡', 'gaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624201', '610624', '610624201', '楼坪乡', 'loupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624202', '610624', '610624202', '王窑乡', 'wangyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624203', '610624', '610624203', '镰刀湾乡', 'liandaowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610624204', '610624', '610624204', '王家湾乡', 'wangjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625', '6106', '610625', '志丹县', 'zhidanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625100', '610625', '610625100', '保安镇', 'baoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625101', '610625', '610625101', '杏河镇', 'xinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625102', '610625', '610625102', '顺宁镇', 'shunningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625103', '610625', '610625103', '旦八镇', 'danbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625104', '610625', '610625104', '金丁镇', 'jindingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625105', '610625', '610625105', '永宁镇', 'yongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625200', '610625', '610625200', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625201', '610625', '610625201', '纸坊乡', 'zhifangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625202', '610625', '610625202', '义正乡', 'yizhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625203', '610625', '610625203', '吴堡乡', 'wubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610625204', '610625', '610625204', '张渠乡', 'zhangquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626', '6106', '610626', '吴起县', 'wuqixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626100', '610626', '610626100', '吴旗镇', 'wuqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626101', '610626', '610626101', '铁边城镇', 'tiebianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626102', '610626', '610626102', '周湾镇', 'zhouwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626103', '610626', '610626103', '白豹镇', 'baibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626200', '610626', '610626200', '吴仓堡乡', 'wucangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626201', '610626', '610626201', '新寨乡', 'xinzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626202', '610626', '610626202', '王洼子乡', 'wangwazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626203', '610626', '610626203', '庙沟乡', 'miaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626204', '610626', '610626204', '长官庙乡', 'zhangguanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626205', '610626', '610626205', '薛岔乡', 'xuechaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626206', '610626', '610626206', '五谷城乡', 'wuguchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610626207', '610626', '610626207', '长城乡', 'zhangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610627', '6106', '610627', '甘泉县', 'ganquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610627100', '610627', '610627100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610627101', '610627', '610627101', '下寺湾镇', 'xiasiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610627102', '610627', '610627102', '道镇', 'daozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610627200', '610627', '610627200', '桥镇乡', 'qiaozhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610627201', '610627', '610627201', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610627202', '610627', '610627202', '高哨乡', 'gaoshaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610627203', '610627', '610627203', '劳山乡', 'laoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610627204', '610627', '610627204', '东沟乡', 'donggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628', '6106', '610628', '富县', 'fuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628100', '610628', '610628100', '富城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628101', '610628', '610628101', '羊泉镇', 'yangquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628102', '610628', '610628102', '张村驿镇', 'zhangcunyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628103', '610628', '610628103', '张家湾镇', 'zhangjiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628104', '610628', '610628104', '直罗镇', 'zhiluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628105', '610628', '610628105', '茶坊镇', 'chafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628106', '610628', '610628106', '牛武镇', 'niuwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628107', '610628', '610628107', '交道镇', 'jiaodaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628200', '610628', '610628200', '钳二乡', 'qianerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628201', '610628', '610628201', '吉子现乡', 'jizixianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628202', '610628', '610628202', '南道德乡', 'nandaodexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628203', '610628', '610628203', '寺仙乡', 'sixianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628204', '610628', '610628204', '北道德乡', 'beidaodexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610628400', '610628', '610628400', '槐树庄农场', 'huaishuzhuangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629', '6106', '610629', '洛川县', 'luochuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629100', '610629', '610629100', '凤栖镇', 'fengqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629101', '610629', '610629101', '旧县镇', 'jiuxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629102', '610629', '610629102', '交口河镇', 'jiaokouhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629103', '610629', '610629103', '老庙镇', 'laomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629104', '610629', '610629104', '土基镇', 'tujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629105', '610629', '610629105', '石头镇', 'shitouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629106', '610629', '610629106', '槐柏镇', 'huaibozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629200', '610629', '610629200', '菩堤乡', 'pudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629201', '610629', '610629201', '黄章乡', 'huangzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629202', '610629', '610629202', '永乡', 'yongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629203', '610629', '610629203', '京兆乡', 'jingzhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629204', '610629', '610629204', '杨舒乡', 'yangshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629205', '610629', '610629205', '石泉乡', 'shiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629206', '610629', '610629206', '秦关乡', 'qinguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629207', '610629', '610629207', '百益乡', 'baiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610629208', '610629', '610629208', '朱牛乡', 'zhuniuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630', '6106', '610630', '宜川县', 'yichuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630100', '610630', '610630100', '丹州镇', 'danzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630101', '610630', '610630101', '秋林镇', 'qiulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630102', '610630', '610630102', '云岩镇', 'yunyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630103', '610630', '610630103', '阁楼镇', 'gelouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630104', '610630', '610630104', '集义镇', 'jiyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630200', '610630', '610630200', '英旺乡', 'yingwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630201', '610630', '610630201', '交里乡', 'jiaolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630202', '610630', '610630202', '牛家细乡', 'niujiaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630203', '610630', '610630203', '新市河乡', 'xinshihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630204', '610630', '610630204', '高柏乡', 'gaoboxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630205', '610630', '610630205', '壶口乡', 'hukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610630206', '610630', '610630206', '寿峰乡', 'shoufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610631', '6106', '610631', '黄龙县', 'huanglongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610631100', '610631', '610631100', '石堡镇', 'shibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610631101', '610631', '610631101', '白马滩镇', 'baimatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610631102', '610631', '610631102', '瓦子街镇', 'wazijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610631200', '610631', '610631200', '三岔乡', 'sanchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610631201', '610631', '610631201', '界头庙乡', 'jietoumiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610631202', '610631', '610631202', '范家卓子乡', 'fanjiazhuozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610631203', '610631', '610631203', '红石崖乡', 'hongshiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610631204', '610631', '610631204', '柏峪乡', 'boyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610631205', '610631', '610631205', '圪台乡', 'getaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610631206', '610631', '610631206', '崾先乡', 'yaoxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632', '6106', '610632', '黄陵县', 'huanglingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632100', '610632', '610632100', '桥山镇', 'qiaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632101', '610632', '610632101', '店头镇', 'diantouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632102', '610632', '610632102', '隆坊镇', 'longfangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632103', '610632', '610632103', '田庄镇', 'tianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632104', '610632', '610632104', '阿党镇', 'adangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632105', '610632', '610632105', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632200', '610632', '610632200', '太贤乡', 'taixianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632201', '610632', '610632201', '候庄乡', 'houzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632202', '610632', '610632202', '仓村乡', 'cangcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632203', '610632', '610632203', '腰坪乡', 'yaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632400', '610632', '610632400', '陕西省上畛子监狱', 'shanxishengshangzhenzijianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632401', '610632', '610632401', '桥山林业局上畛子林场', 'qiaoshanlinyejushangzhenzilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610632402', '610632', '610632402', '桥山林业局大岔林场', 'qiaoshanlinyejudachalinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6107', '61', '6107', '汉中市', 'hanzhongshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610701', '6107', '610701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702', '6107', '610702', '汉台区', 'hantaiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702001', '610702', '610702001', '北关街道', 'beiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702002', '610702', '610702002', '东大街街道', 'dongdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702003', '610702', '610702003', '汉中路街道', 'hanzhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702004', '610702', '610702004', '中山街街道', 'zhongshanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702005', '610702', '610702005', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702006', '610702', '610702006', '鑫源街道', 'xinyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702007', '610702', '610702007', '舒家营街道', 'shujiayingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702008', '610702', '610702008', '七里街道', 'qilijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702100', '610702', '610702100', '铺镇', 'puzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702101', '610702', '610702101', '武乡镇', 'wuxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702102', '610702', '610702102', '河东店镇', 'hedongdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702103', '610702', '610702103', '龙江镇', 'longjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702104', '610702', '610702104', '宗营镇', 'zongyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702105', '610702', '610702105', '老君镇', 'laojunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702106', '610702', '610702106', '汉王镇', 'hanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702200', '610702', '610702200', '望江乡', 'wangjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610702201', '610702', '610702201', '徐家坡乡', 'xujiapoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721', '6107', '610721', '南郑县', 'nanzhengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721100', '610721', '610721100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721101', '610721', '610721101', '圣水镇', 'shengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721102', '610721', '610721102', '大河坎镇', 'dahekanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721103', '610721', '610721103', '协税镇', 'xieshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721104', '610721', '610721104', '梁山镇', 'liangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721105', '610721', '610721105', '阳春镇', 'yangchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721106', '610721', '610721106', '高台镇', 'gaotaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721107', '610721', '610721107', '新集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721108', '610721', '610721108', '濂水镇', 'lianshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721109', '610721', '610721109', '黄官镇', 'huangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721110', '610721', '610721110', '青树镇', 'qingshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721111', '610721', '610721111', '红庙镇', 'hongmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721112', '610721', '610721112', '牟家坝镇', 'moujiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721113', '610721', '610721113', '法镇', 'fazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721114', '610721', '610721114', '湘水镇', 'xiangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721115', '610721', '610721115', '小南海镇', 'xiaonanhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721116', '610721', '610721116', '碑坝镇', 'beibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721117', '610721', '610721117', '元坝镇', 'yuanbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721200', '610721', '610721200', '胡家营乡', 'hujiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721201', '610721', '610721201', '歇马乡', 'xiemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721202', '610721', '610721202', '郭滩乡', 'guotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721203', '610721', '610721203', '忍水乡', 'renshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721204', '610721', '610721204', '两河乡', 'lianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721205', '610721', '610721205', '塘口乡', 'tangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721206', '610721', '610721206', '喜神乡', 'xishenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721207', '610721', '610721207', '高家岭乡', 'gaojialingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721208', '610721', '610721208', '西河乡', 'xihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721209', '610721', '610721209', '福成乡', 'fuchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721210', '610721', '610721210', '白玉乡', 'baiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610721211', '610721', '610721211', '魏家桥乡', 'weijiaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722', '6107', '610722', '城固县', 'chengguxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722100', '610722', '610722100', '博望镇', 'bowangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722101', '610722', '610722101', '龙头镇', 'longtouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722102', '610722', '610722102', '沙河营镇', 'shaheyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722103', '610722', '610722103', '文川镇', 'wenchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722104', '610722', '610722104', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722105', '610722', '610722105', '老庄镇', 'laozhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722106', '610722', '610722106', '崔家山镇', 'cuijiashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722107', '610722', '610722107', '桔园镇', 'jieyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722108', '610722', '610722108', '原公镇', 'yuangongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722109', '610722', '610722109', '上元观镇', 'shangyuanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722110', '610722', '610722110', '天明镇', 'tianmingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722111', '610722', '610722111', '二里镇', 'erlizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722112', '610722', '610722112', '五堵镇', 'wuduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722113', '610722', '610722113', '孙坪镇', 'sunpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722114', '610722', '610722114', '双溪镇', 'shuangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722115', '610722', '610722115', '水磨镇', 'shuimozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722116', '610722', '610722116', '小河镇', 'xiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722117', '610722', '610722117', '宝山镇', 'baoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722200', '610722', '610722200', '五郎庙乡', 'wulangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722201', '610722', '610722201', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722202', '610722', '610722202', '董家营乡', 'dongjiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722203', '610722', '610722203', '大盘乡', 'dapanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722204', '610722', '610722204', '盐井乡', 'yanjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722205', '610722', '610722205', '盘龙乡', 'panlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610722400', '610722', '610722400', '陕西飞机制造公司', 'shanxifeijizhizaogongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723', '6107', '610723', '洋县', 'yangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723100', '610723', '610723100', '洋州镇', 'yangzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723101', '610723', '610723101', '戚氏镇', 'qishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723102', '610723', '610723102', '贯溪镇', 'guanxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723103', '610723', '610723103', '龙亭镇', 'longtingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723104', '610723', '610723104', '谢村镇', 'xiecunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723105', '610723', '610723105', '马畅镇', 'machangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723106', '610723', '610723106', '胥水镇', 'xushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723107', '610723', '610723107', '溢水镇', 'yishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723108', '610723', '610723108', '磨子桥镇', 'moziqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723109', '610723', '610723109', '黄家营镇', 'huangjiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723110', '610723', '610723110', '黄安镇', 'huanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723111', '610723', '610723111', '黄金峡镇', 'huangjinxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723112', '610723', '610723112', '槐树关镇', 'huaishuguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723113', '610723', '610723113', '金水镇', 'jinshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723114', '610723', '610723114', '华阳镇', 'huayangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723115', '610723', '610723115', '茅坪镇', 'maopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723200', '610723', '610723200', '白石乡', 'baishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723201', '610723', '610723201', '长溪乡', 'zhangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723202', '610723', '610723202', '四郎乡', 'silangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723203', '610723', '610723203', '关帝乡', 'guandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723204', '610723', '610723204', '窑坪乡', 'yaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723205', '610723', '610723205', '草庙乡', 'caomiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723206', '610723', '610723206', '石关乡', 'shiguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723207', '610723', '610723207', '秧田乡', 'yangtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723208', '610723', '610723208', '桑溪乡', 'sangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610723209', '610723', '610723209', '八里关乡', 'baliguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724', '6107', '610724', '西乡县', 'xixiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724100', '610724', '610724100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724101', '610724', '610724101', '杨河镇', 'yanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724102', '610724', '610724102', '柳树镇', 'liushuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724103', '610724', '610724103', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724104', '610724', '610724104', '私渡镇', 'siduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724105', '610724', '610724105', '桑园镇', 'sangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724106', '610724', '610724106', '白龙塘镇', 'bailongtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724107', '610724', '610724107', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724108', '610724', '610724108', '峡口镇', 'xiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724109', '610724', '610724109', '堰口镇', 'yankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724110', '610724', '610724110', '茶镇', 'chazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724111', '610724', '610724111', '高川镇', 'gaochuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724112', '610724', '610724112', '两河口镇', 'lianghekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724113', '610724', '610724113', '五里坝镇', 'wulibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724114', '610724', '610724114', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724200', '610724', '610724200', '骆家坝乡', 'luojiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724201', '610724', '610724201', '左溪乡', 'zuoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724202', '610724', '610724202', '罗镇乡', 'luozhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724203', '610724', '610724203', '司上乡', 'sishangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724204', '610724', '610724204', '马家湾乡', 'majiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724205', '610724', '610724205', '三花石乡', 'sanhuashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724206', '610724', '610724206', '子午乡', 'ziwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610724207', '610724', '610724207', '白勉峡乡', 'baimianxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725', '6107', '610725', '勉县', 'mianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725100', '610725', '610725100', '勉阳镇', 'mianyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725101', '610725', '610725101', '武侯镇', 'wuhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725102', '610725', '610725102', '周家山镇', 'zhoujiashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725103', '610725', '610725103', '同沟寺镇', 'tonggousizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725104', '610725', '610725104', '黄沙镇', 'huangshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725105', '610725', '610725105', '新街子镇', 'xinjiezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725106', '610725', '610725106', '老道寺镇', 'laodaosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725107', '610725', '610725107', '褒城镇', 'baochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725108', '610725', '610725108', '长林镇', 'zhanglinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725109', '610725', '610725109', '金泉镇', 'jinquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725110', '610725', '610725110', '定军山镇', 'dingjunshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725111', '610725', '610725111', '温泉镇', 'wenquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725112', '610725', '610725112', '元墩镇', 'yuandunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725113', '610725', '610725113', '阜川镇', 'fuchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725114', '610725', '610725114', '新铺镇', 'xinpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725115', '610725', '610725115', '青羊驿镇', 'qingyangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725116', '610725', '610725116', '茶店镇', 'chadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725200', '610725', '610725200', '二道河乡', 'erdaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725201', '610725', '610725201', '镇川乡', 'zhenchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725202', '610725', '610725202', '小河庙乡', 'xiaohemiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725203', '610725', '610725203', '漆树坝乡', 'qishubaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725204', '610725', '610725204', '土关铺乡', 'tuguanpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725205', '610725', '610725205', '小砭河乡', 'xiaobianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725206', '610725', '610725206', '长沟河乡', 'zhanggouhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610725207', '610725', '610725207', '张家河乡', 'zhangjiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726', '6107', '610726', '宁强县', 'ningqiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726100', '610726', '610726100', '汉源镇', 'hanyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726101', '610726', '610726101', '高寨子镇', 'gaozhaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726102', '610726', '610726102', '大安镇', 'daanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726103', '610726', '610726103', '代家坝镇', 'daijiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726104', '610726', '610726104', '阳平关镇', 'yangpingguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726105', '610726', '610726105', '燕子砭镇', 'yanzibianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726106', '610726', '610726106', '广坪镇', 'guangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726107', '610726', '610726107', '青木川镇', 'qingmuchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726108', '610726', '610726108', '毛坝河镇', 'maobahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726109', '610726', '610726109', '铁锁关镇', 'tiesuoguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726110', '610726', '610726110', '胡家坝镇', 'hujiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726111', '610726', '610726111', '巴山镇', 'bashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726200', '610726', '610726200', '舒家坝乡', 'shujiabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726201', '610726', '610726201', '庙坝乡', 'miaobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726202', '610726', '610726202', '南屏乡', 'nanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726203', '610726', '610726203', '宽川乡', 'kuanchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726204', '610726', '610726204', '巩家河乡', 'gongjiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726205', '610726', '610726205', '东皇沟乡', 'donghuanggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726206', '610726', '610726206', '曾家河乡', 'cengjiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726207', '610726', '610726207', '太阳岭乡', 'taiyanglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726208', '610726', '610726208', '苍社乡', 'cangshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726209', '610726', '610726209', '巨亭乡', 'jutingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726210', '610726', '610726210', '安乐河乡', 'anlehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726211', '610726', '610726211', '禅家岩乡', 'shanjiayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726212', '610726', '610726212', '黄坝驿乡', 'huangbayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610726213', '610726', '610726213', '二郎坝乡', 'erlangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727', '6107', '610727', '略阳县', 'lu:eyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727100', '610727', '610727100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727101', '610727', '610727101', '接官亭镇', 'jieguantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727102', '610727', '610727102', '横现河镇', 'hengxianhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727103', '610727', '610727103', '两河口镇', 'lianghekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727104', '610727', '610727104', '金家河镇', 'jinjiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727105', '610727', '610727105', '徐家坪镇', 'xujiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727106', '610727', '610727106', '白水江镇', 'baishuijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727107', '610727', '610727107', '硖口驿镇', 'xiakouyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727108', '610727', '610727108', '何家岩镇', 'hejiayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727109', '610727', '610727109', '乐素河镇', 'lesuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727110', '610727', '610727110', '郭镇', 'guozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727200', '610727', '610727200', '白石沟乡', 'baishigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727201', '610727', '610727201', '马蹄湾乡', 'matiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727202', '610727', '610727202', '西淮坝乡', 'xihuaibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727203', '610727', '610727203', '九中金乡', 'jiuzhongjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727204', '610727', '610727204', '仙台坝乡', 'xiantaibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727205', '610727', '610727205', '观音寺乡', 'guanyinsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727206', '610727', '610727206', '鱼洞子乡', 'yudongzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727207', '610727', '610727207', '黑河坝乡', 'heihebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727208', '610727', '610727208', '白雀寺乡', 'baiquesixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610727209', '610727', '610727209', '史家院乡', 'shijiayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728', '6107', '610728', '镇巴县', 'zhenbaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728100', '610728', '610728100', '泾洋镇', 'jingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728101', '610728', '610728101', '渔渡镇', 'yuduzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728102', '610728', '610728102', '盐场镇', 'yanchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728103', '610728', '610728103', '观音镇', 'guanyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728104', '610728', '610728104', '巴庙镇', 'bamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728105', '610728', '610728105', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728106', '610728', '610728106', '长岭镇', 'zhanglingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728107', '610728', '610728107', '三元镇', 'sanyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728108', '610728', '610728108', '简池镇', 'jianchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728109', '610728', '610728109', '碾子镇', 'nianzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728110', '610728', '610728110', '小洋镇', 'xiaoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728200', '610728', '610728200', '青水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728201', '610728', '610728201', '永乐乡', 'yonglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728202', '610728', '610728202', '陈家滩乡', 'chenjiatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728203', '610728', '610728203', '杨家河乡', 'yangjiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728204', '610728', '610728204', '赤南乡', 'chinanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728205', '610728', '610728205', '巴山乡', 'bashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728206', '610728', '610728206', '大池乡', 'dachixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728207', '610728', '610728207', '田坝乡', 'tianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728208', '610728', '610728208', '麻柳滩乡', 'maliutanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728209', '610728', '610728209', '平安乡', 'pinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728210', '610728', '610728210', '仁村乡', 'rencunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728211', '610728', '610728211', '黎坝乡', 'libaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610728212', '610728', '610728212', '三溪乡', 'sanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610729', '6107', '610729', '留坝县', 'liubaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610729100', '610729', '610729100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610729101', '610729', '610729101', '马道镇', 'madaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610729102', '610729', '610729102', '武关驿镇', 'wuguanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610729103', '610729', '610729103', '留侯镇', 'liuhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610729104', '610729', '610729104', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610729200', '610729', '610729200', '青桥驿乡', 'qingqiaoyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610729201', '610729', '610729201', '火烧店乡', 'huoshaodianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610729202', '610729', '610729202', '玉皇庙乡', 'yuhuangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610729203', '610729', '610729203', '桑元坝乡', 'sangyuanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610730', '6107', '610730', '佛坪县', 'fopingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610730100', '610730', '610730100', '袁家庄镇', 'yuanjiazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610730101', '610730', '610730101', '陈家坝镇', 'chenjiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610730200', '610730', '610730200', '长角坝乡', 'zhangjiaobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610730201', '610730', '610730201', '西岔河乡', 'xichahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610730202', '610730', '610730202', '十亩地乡', 'shimudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610730203', '610730', '610730203', '大河坝乡', 'dahebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610730204', '610730', '610730204', '石墩河乡', 'shidunhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610730205', '610730', '610730205', '栗子坝乡', 'lizibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610730206', '610730', '610730206', '岳坝乡', 'yuebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6108', '61', '6108', '榆林市', 'yulinshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610801', '6108', '610801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802', '6108', '610802', '榆阳区', 'yuyangqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802001', '610802', '610802001', '楼街道', 'loujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802002', '610802', '610802002', '青山路街道', 'qingshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802003', '610802', '610802003', '上郡路街道', 'shangjunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802004', '610802', '610802004', '新明楼街道', 'xinmingloujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802005', '610802', '610802005', '驼峰路街道', 'tuofenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802006', '610802', '610802006', '崇文路街道', 'chongwenlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802007', '610802', '610802007', '航宇路街道', 'hangyulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802100', '610802', '610802100', '鱼河镇', 'yuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802101', '610802', '610802101', '上盐湾镇', 'shangyanwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802102', '610802', '610802102', '镇川镇', 'zhenchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802103', '610802', '610802103', '清泉镇', 'qingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802104', '610802', '610802104', '安崖镇', 'anyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802105', '610802', '610802105', '麻黄梁镇', 'mahuangliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802106', '610802', '610802106', '牛家梁镇', 'niujialiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802107', '610802', '610802107', '金鸡滩镇', 'jinjitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802108', '610802', '610802108', '马合镇', 'mahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802109', '610802', '610802109', '巴拉素镇', 'balasuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802110', '610802', '610802110', '榆阳镇', 'yuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802111', '610802', '610802111', '鱼河峁镇', 'yuhemaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802200', '610802', '610802200', '余兴庄乡', 'yuxingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802201', '610802', '610802201', '刘千河乡', 'liuqianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802202', '610802', '610802202', '古塔乡', 'gutaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802203', '610802', '610802203', '青云乡', 'qingyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802204', '610802', '610802204', '大河塔乡', 'dahetaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802205', '610802', '610802205', '孟家湾乡', 'mengjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802206', '610802', '610802206', '小壕兔乡', 'xiaohaotuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802207', '610802', '610802207', '岔河则乡', 'chahezexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802208', '610802', '610802208', '补浪河乡', 'bulanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802209', '610802', '610802209', '红石桥乡', 'hongshiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802210', '610802', '610802210', '小纪汗乡', 'xiaojihanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610802211', '610802', '610802211', '芹河乡', 'qinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821', '6108', '610821', '神木县', 'shenmuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821100', '610821', '610821100', '神木镇', 'shenmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821101', '610821', '610821101', '高家堡镇', 'gaojiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821102', '610821', '610821102', '店塔镇', 'diantazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821103', '610821', '610821103', '孙家岔镇', 'sunjiachazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821104', '610821', '610821104', '大柳塔镇', 'daliutazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821105', '610821', '610821105', '花石崖镇', 'huashiyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821106', '610821', '610821106', '中鸡镇', 'zhongjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821107', '610821', '610821107', '贺家川镇', 'hejiachuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821108', '610821', '610821108', '尔林兔镇', 'erlintuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821109', '610821', '610821109', '万镇', 'wanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821110', '610821', '610821110', '大保当镇', 'dabaodangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821111', '610821', '610821111', '马镇', 'mazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821112', '610821', '610821112', '栏杆堡镇', 'langanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821113', '610821', '610821113', '沙峁镇', 'shamaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821114', '610821', '610821114', '锦界镇', 'jinjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821200', '610821', '610821200', '麻家塔乡', 'majiataxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821201', '610821', '610821201', '乔岔滩乡', 'qiaochatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821202', '610821', '610821202', '太和寨乡', 'taihezhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610821204', '610821', '610821204', '解家堡乡', 'jiejiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822', '6108', '610822', '府谷县', 'fuguxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822100', '610822', '610822100', '府谷镇', 'fuguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822101', '610822', '610822101', '黄甫镇', 'huangfuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822102', '610822', '610822102', '麻镇', 'mazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822103', '610822', '610822103', '哈镇', 'hazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822104', '610822', '610822104', '庙沟门镇', 'miaogoumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822105', '610822', '610822105', '新民镇', 'xinminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822106', '610822', '610822106', '孤山镇', 'gushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822200', '610822', '610822200', '海则庙乡', 'haizemiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822201', '610822', '610822201', '清水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822202', '610822', '610822202', '墙头乡', 'qiangtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822203', '610822', '610822203', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822204', '610822', '610822204', '赵五家湾乡', 'zhaowujiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822205', '610822', '610822205', '三道沟乡', 'sandaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822206', '610822', '610822206', '大昌汗乡', 'dachanghanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822207', '610822', '610822207', '老高川乡', 'laogaochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822208', '610822', '610822208', '田家寨乡', 'tianjiazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822209', '610822', '610822209', '木瓜乡', 'muguaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822210', '610822', '610822210', '碛塄乡', 'qilengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822211', '610822', '610822211', '武家庄乡', 'wujiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610822212', '610822', '610822212', '王家墩乡', 'wangjiadunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823', '6108', '610823', '横山县', 'hengshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823100', '610823', '610823100', '横山镇', 'hengshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823101', '610823', '610823101', '石湾镇', 'shiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823102', '610823', '610823102', '高镇', 'gaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823103', '610823', '610823103', '武镇', 'wuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823104', '610823', '610823104', '党岔镇', 'dangchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823105', '610823', '610823105', '响水镇', 'xiangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823106', '610823', '610823106', '波罗镇', 'boluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823107', '610823', '610823107', '殿市镇', 'dianshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823108', '610823', '610823108', '塔湾镇', 'tawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823109', '610823', '610823109', '赵石畔镇', 'zhaoshipanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823200', '610823', '610823200', '魏家楼乡', 'weijialouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823201', '610823', '610823201', '双城乡', 'shuangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823202', '610823', '610823202', '石窑沟乡', 'shiyaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823203', '610823', '610823203', '白界乡', 'baijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823204', '610823', '610823204', '南塔乡', 'nantaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823205', '610823', '610823205', '韩岔乡', 'hanchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823206', '610823', '610823206', '艾好峁乡', 'aihaomaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610823207', '610823', '610823207', '雷龙湾乡', 'leilongwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824', '6108', '610824', '靖边县', 'jingbianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824100', '610824', '610824100', '张家畔镇', 'zhangjiapanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824101', '610824', '610824101', '东坑镇', 'dongkengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824102', '610824', '610824102', '青阳岔镇', 'qingyangchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824103', '610824', '610824103', '宁条梁镇', 'ningtiaoliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824104', '610824', '610824104', '周河镇', 'zhouhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824105', '610824', '610824105', '红墩界镇', 'hongdunjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824106', '610824', '610824106', '杨桥畔镇', 'yangqiaopanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824107', '610824', '610824107', '王渠则镇', 'wangquzezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824108', '610824', '610824108', '中山涧镇', 'zhongshanjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824200', '610824', '610824200', '龙洲乡', 'longzhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824201', '610824', '610824201', '海则滩乡', 'haizetanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824202', '610824', '610824202', '黄蒿界乡', 'huanghaojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824203', '610824', '610824203', '席麻湾乡', 'ximawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824204', '610824', '610824204', '大路沟乡', 'dalugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824205', '610824', '610824205', '乔沟湾乡', 'qiaogouwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824206', '610824', '610824206', '小河乡', 'xiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824207', '610824', '610824207', '天赐湾乡', 'tianciwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824208', '610824', '610824208', '高家沟乡', 'gaojiagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824209', '610824', '610824209', '五里湾乡', 'wuliwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824210', '610824', '610824210', '杨米涧乡', 'yangmijianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824211', '610824', '610824211', '新城乡', 'xinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610824212', '610824', '610824212', '镇靖乡', 'zhenjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825', '6108', '610825', '定边县', 'dingbianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825100', '610825', '610825100', '定边镇', 'dingbianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825101', '610825', '610825101', '贺圈镇', 'hequanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825102', '610825', '610825102', '红柳沟镇', 'hongliugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825103', '610825', '610825103', '砖井镇', 'zhuanjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825104', '610825', '610825104', '白泥井镇', 'bainijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825105', '610825', '610825105', '安边镇', 'anbianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825106', '610825', '610825106', '堆子梁镇', 'duiziliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825107', '610825', '610825107', '白湾子镇', 'baiwanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825108', '610825', '610825108', '姬塬镇', 'jiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825109', '610825', '610825109', '杨井镇', 'yangjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825110', '610825', '610825110', '新安边镇', 'xinanbianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825200', '610825', '610825200', '盐场堡乡', 'yanchangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825201', '610825', '610825201', '周台子乡', 'zhoutaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825202', '610825', '610825202', '石洞沟乡', 'shidonggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825203', '610825', '610825203', '郝滩乡', 'haotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825204', '610825', '610825204', '油房庄乡', 'youfangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825205', '610825', '610825205', '纪畔乡', 'jipanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825206', '610825', '610825206', '王盘山乡', 'wangpanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825207', '610825', '610825207', '冯地坑乡', 'fengdikengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825208', '610825', '610825208', '武峁子乡', 'wumaozixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825209', '610825', '610825209', '黄湾乡', 'huangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825210', '610825', '610825210', '学庄乡', 'xuezhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825211', '610825', '610825211', '张要先乡', 'zhangyaoxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825212', '610825', '610825212', '白马要先乡', 'baimayaoxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610825213', '610825', '610825213', '樊学乡', 'fanxuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826', '6108', '610826', '绥德县', 'suidexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826100', '610826', '610826100', '名州镇', 'mingzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826101', '610826', '610826101', '薛家峁镇', 'xuejiamaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826102', '610826', '610826102', '崔家湾镇', 'cuijiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826103', '610826', '610826103', '定仙墕镇', 'dingxianyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826104', '610826', '610826104', '枣林坪镇', 'zaolinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826105', '610826', '610826105', '义合镇', 'yihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826106', '610826', '610826106', '吉镇', 'jizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826107', '610826', '610826107', '薛家河镇', 'xuejiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826108', '610826', '610826108', '四十铺镇', 'sishipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826109', '610826', '610826109', '石家湾镇', 'shijiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826110', '610826', '610826110', '田庄镇', 'tianzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826200', '610826', '610826200', '辛店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826201', '610826', '610826201', '白家硷乡', 'baijiajianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826202', '610826', '610826202', '河底乡', 'hedixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826203', '610826', '610826203', '中角乡', 'zhongjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826204', '610826', '610826204', '马家川乡', 'majiachuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826205', '610826', '610826205', '赵家砭乡', 'zhaojiabianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826206', '610826', '610826206', '韭园沟乡', 'jiuyuangouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826207', '610826', '610826207', '满堂川乡', 'mantangchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610826208', '610826', '610826208', '张家砭乡', 'zhangjiabianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827', '6108', '610827', '米脂县', 'mizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827100', '610827', '610827100', '银州镇', 'yinzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827101', '610827', '610827101', '桃镇', 'taozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827102', '610827', '610827102', '龙镇', 'longzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827103', '610827', '610827103', '杨家沟镇', 'yangjiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827104', '610827', '610827104', '杜家石沟镇', 'dujiashigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827105', '610827', '610827105', '沙家店镇', 'shajiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827106', '610827', '610827106', '印斗镇', 'yindouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827200', '610827', '610827200', '姬家岔乡', 'jijiachaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827201', '610827', '610827201', '桥河岔乡', 'qiaohechaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827202', '610827', '610827202', '高渠乡', 'gaoquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827203', '610827', '610827203', '李家站乡', 'lijiazhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827204', '610827', '610827204', '十里铺乡', 'shilipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610827205', '610827', '610827205', '郭兴庄乡', 'guoxingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828', '6108', '610828', '佳县', 'jiaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828100', '610828', '610828100', '佳芦镇', 'jialuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828101', '610828', '610828101', '坑镇', 'kengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828102', '610828', '610828102', '店镇', 'dianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828103', '610828', '610828103', '乌镇', 'wuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828104', '610828', '610828104', '金明寺镇', 'jinmingsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828105', '610828', '610828105', '通镇', 'tongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828106', '610828', '610828106', '王家砭镇', 'wangjiabianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828107', '610828', '610828107', '方塌镇', 'fangtazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828200', '610828', '610828200', '刘国具乡', 'liuguojuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828201', '610828', '610828201', '峪口乡', 'yukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828202', '610828', '610828202', '木头峪乡', 'mutouyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828203', '610828', '610828203', '螅镇乡', 'xizhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828204', '610828', '610828204', '大佛寺乡', 'dafosixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828205', '610828', '610828205', '康家港乡', 'kangjiagangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828206', '610828', '610828206', '上高寨乡', 'shanggaozhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828207', '610828', '610828207', '刘家山乡', 'liujiashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828208', '610828', '610828208', '兴隆寺乡', 'xinglongsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828209', '610828', '610828209', '官庄乡', 'guanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828210', '610828', '610828210', '朱官寨乡', 'zhuguanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610828211', '610828', '610828211', '朱家坬乡', 'zhujiawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610829', '6108', '610829', '吴堡县', 'wubaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610829100', '610829', '610829100', '宋家川镇', 'songjiachuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610829101', '610829', '610829101', '辛家沟镇', 'xinjiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610829102', '610829', '610829102', '郭家沟镇', 'guojiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610829103', '610829', '610829103', '寇家塬镇', 'koujiayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610829200', '610829', '610829200', '张家山乡', 'zhangjiashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610829201', '610829', '610829201', '岔上乡', 'chashangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610829202', '610829', '610829202', '丁家湾乡', 'dingjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610829203', '610829', '610829203', '薛下村乡', 'xuexiacunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830', '6108', '610830', '清涧县', 'qingjianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830100', '610830', '610830100', '宽州镇', 'kuanzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830101', '610830', '610830101', '石咀驿镇', 'shijuyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830102', '610830', '610830102', '折家坪镇', 'zhejiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830103', '610830', '610830103', '玉家河镇', 'yujiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830104', '610830', '610830104', '高家村镇', 'gaojiacunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830105', '610830', '610830105', '李家塔镇', 'lijiatazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830106', '610830', '610830106', '店则沟镇', 'dianzegouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830107', '610830', '610830107', '解家沟镇', 'jiejiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830200', '610830', '610830200', '郝家墕乡', 'haojiayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830201', '610830', '610830201', '乐堂堡乡', 'letangbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830202', '610830', '610830202', '下廿里铺乡', 'xianianlipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830203', '610830', '610830203', '双庙河乡', 'shuangmiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830204', '610830', '610830204', '老舍窠乡', 'laoshekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830205', '610830', '610830205', '二郎山乡', 'erlangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610830206', '610830', '610830206', '石盘乡', 'shipanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831', '6108', '610831', '子洲县', 'zizhouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831100', '610831', '610831100', '双湖峪镇', 'shuanghuyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831101', '610831', '610831101', '何家集镇', 'hejiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831102', '610831', '610831102', '老君殿镇', 'laojundianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831103', '610831', '610831103', '家湾镇', 'jiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831104', '610831', '610831104', '苗家坪镇', 'miaojiapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831105', '610831', '610831105', '三川口镇', 'sanchuankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831106', '610831', '610831106', '马蹄沟镇', 'matigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831107', '610831', '610831107', '周家硷镇', 'zhoujiajianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831108', '610831', '610831108', '电市镇', 'dianshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831109', '610831', '610831109', '砖庙镇', 'zhuanmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831200', '610831', '610831200', '驼耳巷乡', 'tuoerxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831201', '610831', '610831201', '瓜园则湾乡', 'guayuanzewanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831202', '610831', '610831202', '李孝河乡', 'lixiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831203', '610831', '610831203', '水地湾乡', 'shuidiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831204', '610831', '610831204', '马岔乡', 'machaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831205', '610831', '610831205', '槐树岔乡', 'huaishuchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831206', '610831', '610831206', '高家坪乡', 'gaojiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610831207', '610831', '610831207', '淮宁湾乡', 'huainingwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6109', '61', '6109', '安康市', 'ankangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610901', '6109', '610901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902', '6109', '610902', '汉滨区', 'hanbinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902001', '610902', '610902001', '老城街道', 'laochengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902002', '610902', '610902002', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902003', '610902', '610902003', '江北街道', 'jiangbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902100', '610902', '610902100', '关庙镇', 'guanmiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902101', '610902', '610902101', '张滩镇', 'zhangtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902102', '610902', '610902102', '瀛湖镇', 'yinghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902103', '610902', '610902103', '建民镇', 'jianminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902104', '610902', '610902104', '五里镇', 'wulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902105', '610902', '610902105', '河西镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902106', '610902', '610902106', '大同镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902107', '610902', '610902107', '恒口镇', 'hengkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902108', '610902', '610902108', '梅子铺镇', 'meizipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902109', '610902', '610902109', '吉河镇', 'jihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902110', '610902', '610902110', '流水镇', 'liushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902111', '610902', '610902111', '大竹园镇', 'dazhuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902112', '610902', '610902112', '洪山镇', 'hongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902113', '610902', '610902113', '石转镇', 'shizhuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902114', '610902', '610902114', '茨沟镇', 'cigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902115', '610902', '610902115', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902116', '610902', '610902116', '沈坝镇', 'shenbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902117', '610902', '610902117', '双龙镇', 'shuanglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902118', '610902', '610902118', '叶坪镇', 'yepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902119', '610902', '610902119', '中原镇', 'zhongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902200', '610902', '610902200', '花园乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902201', '610902', '610902201', '早阳乡', 'zaoyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902202', '610902', '610902202', '共进乡', 'gongjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902203', '610902', '610902203', '石梯乡', 'shitixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902204', '610902', '610902204', '关家乡', 'guanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902205', '610902', '610902205', '迎风乡', 'yingfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902206', '610902', '610902206', '县河乡', 'xianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902207', '610902', '610902207', '田坝乡', 'tianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902208', '610902', '610902208', '晏坝乡', 'yanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902209', '610902', '610902209', '南溪乡', 'nanxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902210', '610902', '610902210', '富强乡', 'fuqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902211', '610902', '610902211', '运溪乡', 'yunxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902212', '610902', '610902212', '双溪乡', 'shuangxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902213', '610902', '610902213', '谭坝乡', 'tanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902214', '610902', '610902214', '前进乡', 'qianjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902215', '610902', '610902215', '坝河乡', 'bahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902216', '610902', '610902216', '玉岚乡', 'yulanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902217', '610902', '610902217', '新坝乡', 'xinbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902218', '610902', '610902218', '香山乡', 'xiangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902219', '610902', '610902219', '牛蹄乡', 'niutixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902220', '610902', '610902220', '东镇乡', 'dongzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902221', '610902', '610902221', '沙坝乡', 'shabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610902222', '610902', '610902222', '荆河乡', 'jinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921', '6109', '610921', '汉阴县', 'hanyinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921100', '610921', '610921100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921101', '610921', '610921101', '涧池镇', 'jianchizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921102', '610921', '610921102', '蒲溪镇', 'puxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921103', '610921', '610921103', '平梁镇', 'pingliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921104', '610921', '610921104', '双乳镇', 'shuangruzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921105', '610921', '610921105', '铁佛寺镇', 'tiefosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921106', '610921', '610921106', '龙垭镇', 'longyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921107', '610921', '610921107', '漩涡镇', 'xuanwozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921108', '610921', '610921108', '汉阳镇', 'hanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921109', '610921', '610921109', '酒店镇', 'jiudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921110', '610921', '610921110', '双河口镇', 'shuanghekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921111', '610921', '610921111', '上七镇', 'shangqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921200', '610921', '610921200', '永宁乡', 'yongningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921201', '610921', '610921201', '观音河乡', 'guanyinhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921202', '610921', '610921202', '石条街乡', 'shitiaojiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921203', '610921', '610921203', '铜钱乡', 'tongqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921204', '610921', '610921204', '田禾乡', 'tianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610921205', '610921', '610921205', '双坪乡', 'shuangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922', '6109', '610922', '石泉县', 'shiquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922100', '610922', '610922100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922101', '610922', '610922101', '饶峰镇', 'raofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922102', '610922', '610922102', '两河镇', 'lianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922103', '610922', '610922103', '迎丰镇', 'yingfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922104', '610922', '610922104', '池河镇', 'chihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922105', '610922', '610922105', '后柳镇', 'houliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922106', '610922', '610922106', '喜河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922107', '610922', '610922107', '熨斗镇', 'yundouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922200', '610922', '610922200', '曾溪乡', 'cengxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922201', '610922', '610922201', '银龙乡', 'yinlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922202', '610922', '610922202', '银桥乡', 'yinqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922203', '610922', '610922203', '红卫乡', 'hongweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922204', '610922', '610922204', '中池乡', 'zhongchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922205', '610922', '610922205', '中坝乡', 'zhongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610922206', '610922', '610922206', '长阳乡', 'zhangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923', '6109', '610923', '宁陕县', 'ningshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923100', '610923', '610923100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923101', '610923', '610923101', '四亩地镇', 'simudizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923102', '610923', '610923102', '江口镇', 'jiangkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923103', '610923', '610923103', '汤坪镇', 'tangpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923104', '610923', '610923104', '广货街镇', 'guanghuojiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923105', '610923', '610923105', '龙王镇', 'longwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923106', '610923', '610923106', '筒车湾镇', 'tongchewanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923107', '610923', '610923107', '旬阳坝镇', 'xunyangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923108', '610923', '610923108', '金川镇', 'jinchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923109', '610923', '610923109', '皇冠镇', 'huangguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923200', '610923', '610923200', '丰富乡', 'fengfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923201', '610923', '610923201', '梅子乡', 'meizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923202', '610923', '610923202', '新场乡', 'xinchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610923203', '610923', '610923203', '太山庙乡', 'taishanmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924', '6109', '610924', '紫阳县', 'ziyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924100', '610924', '610924100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924101', '610924', '610924101', '蒿坪镇', 'haopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924102', '610924', '610924102', '汉王镇', 'hanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924103', '610924', '610924103', '焕古镇', 'huanguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924104', '610924', '610924104', '向阳镇', 'xiangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924105', '610924', '610924105', '洞河镇', 'donghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924106', '610924', '610924106', '洄水镇', 'huishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924107', '610924', '610924107', '斑桃镇', 'bantaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924108', '610924', '610924108', '双桥镇', 'shuangqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924109', '610924', '610924109', '高桥镇', 'gaoqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924110', '610924', '610924110', '红椿镇', 'hongchunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924111', '610924', '610924111', '高滩镇', 'gaotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924112', '610924', '610924112', '毛坝镇', 'maobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924113', '610924', '610924113', '瓦庙镇', 'wamiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924114', '610924', '610924114', '麻柳镇', 'maliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924200', '610924', '610924200', '双安乡', 'shuanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924201', '610924', '610924201', '金川乡', 'jinchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924202', '610924', '610924202', '苗河乡', 'miaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924203', '610924', '610924203', '界岭乡', 'jielingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924204', '610924', '610924204', '芭蕉乡', 'bajiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924205', '610924', '610924205', '东木乡', 'dongmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924206', '610924', '610924206', '燎原乡', 'liaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924207', '610924', '610924207', '广城乡', 'guangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924208', '610924', '610924208', '绕溪乡', 'raoxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610924209', '610924', '610924209', '联合乡', 'lianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925', '6109', '610925', '岚皋县', 'langaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925100', '610925', '610925100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925101', '610925', '610925101', '佐龙镇', 'zuolongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925102', '610925', '610925102', '花里镇', 'hualizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925103', '610925', '610925103', '滔河镇', 'taohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925104', '610925', '610925104', '官元镇', 'guanyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925105', '610925', '610925105', '石门镇', 'shimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925106', '610925', '610925106', '民主镇', 'minzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925107', '610925', '610925107', '大道河镇', 'dadaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925200', '610925', '610925200', '蔺河乡', 'linhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925201', '610925', '610925201', '溢河乡', 'yihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925202', '610925', '610925202', '孟石岭乡', 'mengshilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925203', '610925', '610925203', '漳河乡', 'zhanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925204', '610925', '610925204', '四季乡', 'sijixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925205', '610925', '610925205', '横溪乡', 'hengxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925206', '610925', '610925206', '堰门乡', 'yanmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925207', '610925', '610925207', '铁炉乡', 'tieluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610925208', '610925', '610925208', '晓道乡', 'xiaodaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926', '6109', '610926', '平利县', 'pinglixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926100', '610926', '610926100', '城关镇	', 'chengguanzhen	', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926101', '610926', '610926101', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926102', '610926', '610926102', '老县镇', 'laoxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926103', '610926', '610926103', '大贵镇', 'daguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926104', '610926', '610926104', '三阳镇', 'sanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926105', '610926', '610926105', '洛河镇', 'luohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926106', '610926', '610926106', '广佛镇', 'guangfozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926107', '610926', '610926107', '八仙镇', 'baxianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926108', '610926', '610926108', '长安镇', 'zhanganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926200', '610926', '610926200', '西河乡', 'xihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926201', '610926', '610926201', '正阳乡', 'zhengyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610926202', '610926', '610926202', '女娲山乡', 'nu:washanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610927', '6109', '610927', '镇坪县', 'zhenpingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610927100', '610927', '610927100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610927101', '610927', '610927101', '曾家镇', 'cengjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610927102', '610927', '610927102', '牛头店镇', 'niutoudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610927103', '610927', '610927103', '钟宝镇', 'zhongbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610927200', '610927', '610927200', '洪石乡', 'hongshixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610927201', '610927', '610927201', '白家乡', 'baijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610927202', '610927', '610927202', '上竹乡', 'shangzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610927203', '610927', '610927203', '小曙河乡', 'xiaoshuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610927204', '610927', '610927204', '曙坪乡', 'shupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610927205', '610927', '610927205', '华坪乡', 'huapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928', '6109', '610928', '旬阳县', 'xunyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928100', '610928', '610928100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928101', '610928', '610928101', '棕溪镇', 'zongxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928102', '610928', '610928102', '关口镇', 'guankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928103', '610928', '610928103', '蜀河镇', 'shuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928104', '610928', '610928104', '双河镇', 'shuanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928105', '610928', '610928105', '小河镇', 'xiaohezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928106', '610928', '610928106', '赵湾镇', 'zhaowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928107', '610928', '610928107', '麻坪镇', 'mapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928108', '610928', '610928108', '甘溪镇', 'ganxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928109', '610928', '610928109', '白柳镇', 'bailiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928110', '610928', '610928110', '吕河镇', 'lu:hezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928111', '610928', '610928111', '神河镇', 'shenhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928112', '610928', '610928112', '赤岩镇', 'chiyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928113', '610928', '610928113', '段家河镇', 'duanjiahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928200', '610928', '610928200', '构元乡', 'gouyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928201', '610928', '610928201', '兰滩乡', 'lantanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928202', '610928', '610928202', '仙河乡', 'xianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928203', '610928', '610928203', '庙坪乡', 'miaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928204', '610928', '610928204', '红军乡', 'hongjunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928205', '610928', '610928205', '公馆乡', 'gongguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928206', '610928', '610928206', '仁河口乡', 'renhekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928207', '610928', '610928207', '桐木乡', 'tongmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928208', '610928', '610928208', '张坪乡', 'zhangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928209', '610928', '610928209', '桂花乡', 'guihuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928210', '610928', '610928210', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928211', '610928', '610928211', '金寨乡', 'jinzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928212', '610928', '610928212', '铜钱关乡', 'tongqianguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610928213', '610928', '610928213', '沙阳乡', 'shayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929', '6109', '610929', '白河县', 'baihexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929100', '610929', '610929100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929101', '610929', '610929101', '中厂镇', 'zhongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929102', '610929', '610929102', '构扒镇', 'goubazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929103', '610929', '610929103', '卡子镇', 'kazizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929104', '610929', '610929104', '茅坪镇', 'maopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929105', '610929', '610929105', '宋家镇', 'songjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929106', '610929', '610929106', '西营镇', 'xiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929107', '610929', '610929107', '仓上镇', 'cangshangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929108', '610929', '610929108', '冷水镇', 'lengshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929200', '610929', '610929200', '四新乡', 'sixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929201', '610929', '610929201', '桃元乡', 'taoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929202', '610929', '610929202', '双河乡', 'shuanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929203', '610929', '610929203', '小双乡', 'xiaoshuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929204', '610929', '610929204', '大双乡', 'dashuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929205', '610929', '610929205', '麻虎乡', 'mahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('610929401', '610929', '610929401', '白河县林场', 'baihexianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6110', '61', '6110', '商洛市', 'shangluoshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611001', '6110', '611001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002', '6110', '611002', '商州区', 'shangzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002001', '611002', '611002001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002002', '611002', '611002002', '大赵峪街道', 'dazhaoyujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002003', '611002', '611002003', '陈塬街道', 'chenyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002004', '611002', '611002004', '刘湾街道', 'liuwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002100', '611002', '611002100', '孝义镇', 'xiaoyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002101', '611002', '611002101', '夜村镇', 'yecunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002102', '611002', '611002102', '白杨店镇', 'baiyangdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002103', '611002', '611002103', '张村镇', 'zhangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002104', '611002', '611002104', '沙河子镇', 'shahezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002105', '611002', '611002105', '杨峪河镇', 'yangyuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002106', '611002', '611002106', '金陵寺镇', 'jinlingsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002107', '611002', '611002107', '黑山镇', 'heishanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002108', '611002', '611002108', '杨斜镇', 'yangxiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002109', '611002', '611002109', '麻街镇', 'majiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002110', '611002', '611002110', '黑龙口镇', 'heilongkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002111', '611002', '611002111', '牧护关镇', 'muhuguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002112', '611002', '611002112', '大荆镇', 'dajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002113', '611002', '611002113', '腰市镇', 'yaoshizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002114', '611002', '611002114', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002115', '611002', '611002115', '北宽坪镇', 'beikuanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002200', '611002', '611002200', '上官坊乡', 'shangguanfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002201', '611002', '611002201', '砚池河乡', 'yanchihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002202', '611002', '611002202', '麻池河乡', 'machihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002203', '611002', '611002203', '阎村乡', 'yancunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002204', '611002', '611002204', '三岔河乡', 'sanchahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002205', '611002', '611002205', '红门河乡', 'hongmenhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002206', '611002', '611002206', '西荆乡', 'xijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002207', '611002', '611002207', '李庙乡', 'limiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002208', '611002', '611002208', '蒲峪乡', 'puyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002209', '611002', '611002209', '龙王庙乡', 'longwangmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002400', '611002', '611002400', '二龙山水库', 'erlongshanshuiku', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002401', '611002', '611002401', '南秦水库', 'nanqinshuiku', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611002402', '611002', '611002402', '二龙山国营林场', 'erlongshanguoyinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021', '6110', '611021', '洛南县', 'luonanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021100', '611021', '611021100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021101', '611021', '611021101', '景村镇', 'jingcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021102', '611021', '611021102', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021103', '611021', '611021103', '三要镇', 'sanyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021104', '611021', '611021104', '灵口镇', 'lingkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021105', '611021', '611021105', '陈耳镇', 'chenerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021106', '611021', '611021106', '寺耳镇', 'sierzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021107', '611021', '611021107', '巡检镇', 'xunjianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021108', '611021', '611021108', '石坡镇', 'shipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021109', '611021', '611021109', '石门镇', 'shimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021110', '611021', '611021110', '麻坪镇', 'mapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021111', '611021', '611021111', '洛源镇', 'luoyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021112', '611021', '611021112', '保安镇', 'baoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021113', '611021', '611021113', '卫东镇', 'weidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021114', '611021', '611021114', '永丰镇', 'yongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021200', '611021', '611021200', '庙坪乡', 'miaopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021201', '611021', '611021201', '柏峪寺乡', 'boyusixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021202', '611021', '611021202', '寺坡乡', 'sipoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021203', '611021', '611021203', '高耀乡', 'gaoyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021204', '611021', '611021204', '王岭乡', 'wanglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021205', '611021', '611021205', '庙台乡', 'miaotaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021206', '611021', '611021206', '上寺店乡', 'shangsidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021207', '611021', '611021207', '驾鹿乡', 'jialuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021208', '611021', '611021208', '四皓乡', 'sihaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611021209', '611021', '611021209', '谢湾乡', 'xiewanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022', '6110', '611022', '丹凤县', 'danfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022100', '611022', '611022100', '龙驹寨镇', 'longjuzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022101', '611022', '611022101', '庾岭镇', 'yulingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022102', '611022', '611022102', '蔡川镇', 'caichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022103', '611022', '611022103', '峦庄镇', 'luanzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022104', '611022', '611022104', '铁峪铺镇', 'tieyupuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022105', '611022', '611022105', '武关镇', 'wuguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022106', '611022', '611022106', '竹林关镇', 'zhulinguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022107', '611022', '611022107', '土门镇', 'tumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022108', '611022', '611022108', '寺坪镇', 'sipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022109', '611022', '611022109', '商镇', 'shangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022110', '611022', '611022110', '棣花镇', 'dihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022200', '611022', '611022200', '月日乡', 'yuerixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022201', '611022', '611022201', '双槽乡', 'shuangcaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022202', '611022', '611022202', '资峪乡', 'ziyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022203', '611022', '611022203', '桃坪乡', 'taopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022204', '611022', '611022204', '花瓶子乡', 'huapingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022205', '611022', '611022205', '北赵川乡', 'beizhaochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022206', '611022', '611022206', '东岭乡', 'donglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022207', '611022', '611022207', '毛里岗乡', 'maoligangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022208', '611022', '611022208', '花园乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611022209', '611022', '611022209', '留仙坪乡', 'liuxianpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023', '6110', '611023', '商南县', 'shangnanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023100', '611023', '611023100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023101', '611023', '611023101', '富水镇', 'fushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023102', '611023', '611023102', '湘河镇', 'xianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023103', '611023', '611023103', '白浪镇', 'bailangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023104', '611023', '611023104', '赵川镇', 'zhaochuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023105', '611023', '611023105', '梁家湾镇', 'liangjiawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023106', '611023', '611023106', '太吉河镇', 'taijihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023107', '611023', '611023107', '过风楼镇', 'guofenglouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023108', '611023', '611023108', '试马镇', 'shimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023109', '611023', '611023109', '清油河镇', 'qingyouhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023110', '611023', '611023110', '十里坪镇', 'shilipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023200', '611023', '611023200', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023201', '611023', '611023201', '魏家台乡', 'weijiataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023202', '611023', '611023202', '白鲁础乡', 'bailuchuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023203', '611023', '611023203', '水沟乡', 'shuigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023204', '611023', '611023204', '党马乡', 'dangmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023400', '611023', '611023400', '富水农场', 'fushuinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023401', '611023', '611023401', '三角池林场', 'sanjiaochilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023402', '611023', '611023402', '张家岗农场', 'zhangjiagangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023403', '611023', '611023403', '过风楼苗圃', 'guofengloumiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023404', '611023', '611023404', '腰庄林场', 'yaozhuanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611023405', '611023', '611023405', '县河水库', 'xianheshuiku', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024', '6110', '611024', '山阳县', 'shanyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024100', '611024', '611024100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024101', '611024', '611024101', '高坝店镇', 'gaobadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024102', '611024', '611024102', '长沟镇', 'zhanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024103', '611024', '611024103', '中村镇', 'zhongcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024104', '611024', '611024104', '银花镇', 'yinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024105', '611024', '611024105', '西照川镇', 'xizhaochuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024106', '611024', '611024106', '漫川关镇', 'manchuanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024107', '611024', '611024107', '南宽坪镇', 'nankuanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024108', '611024', '611024108', '户家塬镇', 'hujiayuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024109', '611024', '611024109', '杨地镇', 'yangdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024110', '611024', '611024110', '牛耳川镇', 'niuerchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024111', '611024', '611024111', '小河口镇', 'xiaohekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024112', '611024', '611024112', '色河铺镇', 'sehepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024113', '611024', '611024113', '板岩镇', 'banyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024114', '611024', '611024114', '元子街镇', 'yuanzijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024200', '611024', '611024200', '伍竹乡', 'wuzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024201', '611024', '611024201', '十里铺乡', 'shilipuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024202', '611024', '611024202', '葛条乡', 'getiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024203', '611024', '611024203', '王庄乡', 'wangzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024204', '611024', '611024204', '申家垤乡', 'shenjiadiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024205', '611024', '611024205', '两岭乡', 'lianglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024206', '611024', '611024206', '西泉乡', 'xiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024207', '611024', '611024207', '王闫乡', 'wangyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024208', '611024', '611024208', '天桥乡', 'tianqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024209', '611024', '611024209', '石佛寺乡', 'shifosixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024210', '611024', '611024210', '法官乡', 'faguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024211', '611024', '611024211', '延坪乡', 'yanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024212', '611024', '611024212', '莲花池乡', 'lianhuachixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024213', '611024', '611024213', '黄龙乡', 'huanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611024214', '611024', '611024214', '二峪河乡', 'eryuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025', '6110', '611025', '镇安县', 'zhenanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025100', '611025', '611025100', '永乐镇', 'yonglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025101', '611025', '611025101', '回龙镇', 'huilongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025102', '611025', '611025102', '铁厂镇', 'tiechangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025103', '611025', '611025103', '大坪镇', 'dapingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025104', '611025', '611025104', '米粮镇', 'miliangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025105', '611025', '611025105', '茅坪回族镇', 'maopinghuizuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025106', '611025', '611025106', '西口回族镇', 'xikouhuizuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025107', '611025', '611025107', '高峰镇', 'gaofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025108', '611025', '611025108', '青铜关镇', 'qingtongguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025109', '611025', '611025109', '柴坪镇', 'chaipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025110', '611025', '611025110', '达仁镇', 'darenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025111', '611025', '611025111', '木王镇', 'muwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025112', '611025', '611025112', '东川镇', 'dongchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025113', '611025', '611025113', '云盖寺镇', 'yungaisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025200', '611025', '611025200', '灵龙乡', 'linglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025201', '611025', '611025201', '西沟乡', 'xigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025202', '611025', '611025202', '关坪河乡', 'guanpinghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025203', '611025', '611025203', '张家乡', 'zhangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025204', '611025', '611025204', '龙胜乡', 'longshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025205', '611025', '611025205', '余师乡', 'yushixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025206', '611025', '611025206', '杨泗乡', 'yangsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025207', '611025', '611025207', '月河乡', 'yuehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025208', '611025', '611025208', '黄家湾乡', 'huangjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025209', '611025', '611025209', '庙沟乡', 'miaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025210', '611025', '611025210', '结子乡', 'jiezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025400', '611025', '611025400', '镇安县黑窑沟林厂', 'zhenanxianheiyaogoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025401', '611025', '611025401', '镇安县木王林厂', 'zhenanxianmuwanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611025402', '611025', '611025402', '镇安县苗圃', 'zhenanxianmiaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026', '6110', '611026', '柞水县', 'zuoshuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026100', '611026', '611026100', '乾佑镇', 'qianyouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026101', '611026', '611026101', '营盘镇', 'yingpanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026102', '611026', '611026102', '下梁镇', 'xialiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026103', '611026', '611026103', '石瓮镇', 'shiwengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026104', '611026', '611026104', '小岭镇', 'xiaolingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026105', '611026', '611026105', '凤凰镇', 'fenghuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026106', '611026', '611026106', '红岩寺镇', 'hongyansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026107', '611026', '611026107', '曹坪镇', 'caopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026108', '611026', '611026108', '蔡玉窑镇', 'caiyuyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026109', '611026', '611026109', '杏坪镇', 'xingpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026200', '611026', '611026200', '两河乡', 'lianghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026201', '611026', '611026201', '柴庄乡', 'chaizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026202', '611026', '611026202', '马家台乡', 'majiataixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026203', '611026', '611026203', '瓦房口乡', 'wafangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026204', '611026', '611026204', '九间房乡', 'jiujianfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('611026205', '611026', '611026205', '丰北河乡', 'fengbeihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('62', '-1', '62', '甘肃省', 'gansusheng', '1', NULL, 2, 1, NULL, NULL, '2021-01-20 11:55:54', 'admin', NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6201', '62', '6201', '兰州市', 'lanzhoushi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620101', '6201', '620101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102', '6201', '620102', '城关区', 'chengguanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102001', '620102', '620102001', '酒泉路街道', 'jiuquanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102002', '620102', '620102002', '张掖路街道', 'zhangyelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102003', '620102', '620102003', '雁南街道', 'yannanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102004', '620102', '620102004', '临夏路街道', 'linxialujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102005', '620102', '620102005', '雁北街道', 'yanbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102006', '620102', '620102006', '五泉街道', 'wuquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102007', '620102', '620102007', '白银路街道', 'baiyinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102008', '620102', '620102008', '皋兰路街道', 'gaolanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102009', '620102', '620102009', '广武门街道', 'guangwumenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102010', '620102', '620102010', '伏龙坪街道', 'fulongpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102011', '620102', '620102011', '靖远路街道', 'jingyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102012', '620102', '620102012', '草场街街道', 'caochangjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102013', '620102', '620102013', '火车站街道', 'huochezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102014', '620102', '620102014', '拱星墩街道', 'gongxingdunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102015', '620102', '620102015', '东岗街道', 'donggangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102016', '620102', '620102016', '团结新村委会街道', 'tuanjiexincunweihuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102017', '620102', '620102017', '东岗西路街道', 'donggangxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102018', '620102', '620102018', '铁路东村委会街道', 'tieludongcunweihuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102019', '620102', '620102019', '铁路西村委会街道', 'tieluxicunweihuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102020', '620102', '620102020', '渭源路街道', 'weiyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102021', '620102', '620102021', '盐场路街道', 'yanchanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102022', '620102', '620102022', '嘉峪关路街道', 'jiayuguanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102023', '620102', '620102023', '焦家湾街道', 'jiaojiawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620102024', '620102', '620102024', '青白石街道', 'qingbaishijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103', '6201', '620103', '七里河区', 'qilihequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103001', '620103', '620103001', '西园街道', 'xiyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103002', '620103', '620103002', '西湖街道', 'xihujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103003', '620103', '620103003', '建兰路街道', 'jianlanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103004', '620103', '620103004', '敦煌路街道', 'dunhuanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103005', '620103', '620103005', '西站街道', 'xizhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103006', '620103', '620103006', '晏家坪街道', 'yanjiapingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103007', '620103', '620103007', '龚家湾街道', 'gongjiawanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103008', '620103', '620103008', '土门墩街道', 'tumendunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103009', '620103', '620103009', '秀川街道', 'xiuchuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103100', '620103', '620103100', '阿干镇政府', 'aganzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103101', '620103', '620103101', '八里镇政府', 'balizhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103102', '620103', '620103102', '彭家坪镇政府', 'pengjiapingzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103103', '620103', '620103103', '西果园镇政府', 'xiguoyuanzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103200', '620103', '620103200', '魏岭乡政府', 'weilingxiangzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620103201', '620103', '620103201', '黄峪乡政府', 'huangyuxiangzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104', '6201', '620104', '兰州市西固区', 'lanzhoushixiguqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104001', '620104', '620104001', '陈坪街道', 'chenpingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104002', '620104', '620104002', '先锋路街道', 'xianfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104003', '620104', '620104003', '福利路街道', 'fulilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104004', '620104', '620104004', '西固城街道', 'xiguchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104005', '620104', '620104005', '四季青街道', 'sijiqingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104006', '620104', '620104006', '临洮街街道', 'lintaojiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104007', '620104', '620104007', '西柳沟街道', 'xiliugoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104008', '620104', '620104008', '新安路街道', 'xinanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104009', '620104', '620104009', '新和路街道', 'xinhelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104100', '620104', '620104100', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104200', '620104', '620104200', '达川乡', 'dachuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104201', '620104', '620104201', '河口乡', 'hekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104202', '620104', '620104202', '东川乡', 'dongchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104203', '620104', '620104203', '柳泉乡', 'liuquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620104204', '620104', '620104204', '金沟乡', 'jingouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620105', '6201', '620105', '安宁区', 'anningqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620105001', '620105', '620105001', '培黎街道', 'peilijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620105002', '620105', '620105002', '安宁西路街道', 'anningxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620105003', '620105', '620105003', '沙井驿街道', 'shajingyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620105004', '620105', '620105004', '十里店街道', 'shilidianjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620105005', '620105', '620105005', '孔家崖街道', 'kongjiayajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620105006', '620105', '620105006', '银滩路街道', 'yintanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620105007', '620105', '620105007', '刘家堡街道', 'liujiabaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620105008', '620105', '620105008', '安宁堡街道', 'anningbaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620111', '6201', '620111', '红古区', 'hongguqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620111001', '620111', '620111001', '窑街街道', 'yaojiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620111002', '620111', '620111002', '下窑街道', 'xiayaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620111003', '620111', '620111003', '矿区街道', 'kuangqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620111101', '620111', '620111101', '海石湾镇', 'haishiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620111102', '620111', '620111102', '花庄镇', 'huazhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620111103', '620111', '620111103', '平安镇', 'pinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620111200', '620111', '620111200', '红古乡', 'hongguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121', '6201', '620121', '永登县', 'yongdengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121100', '620121', '620121100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121101', '620121', '620121101', '红城镇', 'hongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121102', '620121', '620121102', '中堡镇', 'zhongbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121103', '620121', '620121103', '武胜驿镇', 'wushengyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121104', '620121', '620121104', '河桥镇', 'heqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121105', '620121', '620121105', '连城镇', 'lianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121106', '620121', '620121106', '苦水镇', 'kushuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121107', '620121', '620121107', '中川镇', 'zhongchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121108', '620121', '620121108', '秦川镇', 'qinchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121109', '620121', '620121109', '大同镇', 'datongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121110', '620121', '620121110', '龙泉寺镇', 'longquansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121111', '620121', '620121111', '树屏镇', 'shupingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121112', '620121', '620121112', '上川镇', 'shangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121200', '620121', '620121200', '柳树乡', 'liushuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121201', '620121', '620121201', '坪城乡', 'pingchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121202', '620121', '620121202', '民乐乡', 'minlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121203', '620121', '620121203', '通远乡', 'tongyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620121204', '620121', '620121204', '七山乡', 'qishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620122', '6201', '620122', '皋兰县', 'gaolanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620122100', '620122', '620122100', '石洞镇', 'shidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620122101', '620122', '620122101', '西岔镇', 'xichazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620122102', '620122', '620122102', '忠和镇', 'zhonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620122103', '620122', '620122103', '什川镇', 'shenchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620122200', '620122', '620122200', '黑石川乡', 'heishichuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620122201', '620122', '620122201', '中心乡', 'zhongxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620122202', '620122', '620122202', '水阜乡', 'shuifuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123', '6201', '620123', '榆中县', 'yuzhongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123100', '620123', '620123100', '城关乡(镇)', 'chengguanxiang(zhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123101', '620123', '620123101', '夏官营乡(镇)', 'xiaguanyingxiang(zhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123102', '620123', '620123102', '高崖乡(镇)', 'gaoyaxiang(zhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123103', '620123', '620123103', '金崖乡(镇)', 'jinyaxiang(zhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123104', '620123', '620123104', '和平乡(镇)', 'hepingxiang(zhen)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123105', '620123', '620123105', '甘草店镇', 'gancaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123106', '620123', '620123106', '青城镇', 'qingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123107', '620123', '620123107', '定远镇', 'dingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123200', '620123', '620123200', '来紫堡乡', 'laizibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123201', '620123', '620123201', '三角城乡', 'sanjiaochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123202', '620123', '620123202', '小康营乡', 'xiaokangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123203', '620123', '620123203', '连搭乡', 'liandaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123204', '620123', '620123204', '银山乡', 'yinshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123205', '620123', '620123205', '马坡乡', 'mapoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123206', '620123', '620123206', '新营乡', 'xinyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123207', '620123', '620123207', '清水驿乡', 'qingshuiyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123208', '620123', '620123208', '龙泉乡', 'longquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123209', '620123', '620123209', '韦营乡', 'weiyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123210', '620123', '620123210', '中连川乡', 'zhonglianchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123211', '620123', '620123211', '贡井乡', 'gongjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123212', '620123', '620123212', '园子岔乡', 'yuanzichaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123213', '620123', '620123213', '上花岔乡', 'shanghuachaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620123214', '620123', '620123214', '哈岘乡', 'haxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6202', '62', '6202', '嘉峪关市', 'jiayuguanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620201', '6202', '620201', '市辖', 'shixia', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620201001', '620201', '620201001', '胜利街道', 'shenglijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620201002', '620201', '620201002', '新华街道', 'xinhuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620201003', '620201', '620201003', '五一街道', 'wuyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620201004', '620201', '620201004', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620201005', '620201', '620201005', '前进街道', 'qianjinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620201100', '620201', '620201100', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620201101', '620201', '620201101', '峪泉镇', 'yuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620201102', '620201', '620201102', '文殊镇', 'wenshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6203', '62', '6203', '金昌市', 'jinchangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620301', '6203', '620301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620302', '6203', '620302', '金川区', 'jinchuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620302001', '620302', '620302001', '滨河路街道', 'binhelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620302002', '620302', '620302002', '桂林路街道', 'guilinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620302003', '620302', '620302003', '北京路街道', 'beijinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620302004', '620302', '620302004', '金川路街道', 'jinchuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620302005', '620302', '620302005', '新华路街道', 'xinhualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620302006', '620302', '620302006', '广州路街道', 'guangzhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620302100', '620302', '620302100', '宁远堡镇', 'ningyuanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620302101', '620302', '620302101', '双湾镇', 'shuangwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620321', '6203', '620321', '永昌县', 'yongchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620321100', '620321', '620321100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620321101', '620321', '620321101', '河西堡镇', 'hexibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620321102', '620321', '620321102', '新城子镇', 'xinchengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620321103', '620321', '620321103', '朱王堡镇', 'zhuwangbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620321104', '620321', '620321104', '东寨镇', 'dongzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620321105', '620321', '620321105', '水源镇', 'shuiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620321200', '620321', '620321200', '红山窑乡', 'hongshanyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620321201', '620321', '620321201', '焦家庄乡', 'jiaojiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620321202', '620321', '620321202', '六坝乡', 'liubaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620321203', '620321', '620321203', '南坝乡', 'nanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6204', '62', '6204', '白银市', 'baiyinshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620401', '6204', '620401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620402', '6204', '620402', '白银区', 'baiyinqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620402001', '620402', '620402001', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620402002', '620402', '620402002', '公园路街道', 'gongyuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620402003', '620402', '620402003', '四龙路街道', 'silonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620402004', '620402', '620402004', '工农路街道', 'gongnonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620402005', '620402', '620402005', '纺织路街道', 'fangzhilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620402006', '620402', '620402006', '王岘路街道', 'wangxianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620402100', '620402', '620402100', '水川镇', 'shuichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620402101', '620402', '620402101', '四龙镇', 'silongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620402201', '620402', '620402201', '强湾乡', 'qiangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620402202', '620402', '620402202', '武川乡', 'wuchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403', '6204', '620403', '平川区', 'pingchuanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403001', '620403', '620403001', '宝积路街道', 'baojilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403002', '620403', '620403002', '电力路街道', 'dianlilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403003', '620403', '620403003', '兴平路街道', 'xingpinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403004', '620403', '620403004', '红会路街道', 'honghuilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403100', '620403', '620403100', '王家山镇', 'wangjiashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403103', '620403', '620403103', '水泉镇', 'shuiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403104', '620403', '620403104', '共和镇', 'gonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403201', '620403', '620403201', '宝积乡', 'baojixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403203', '620403', '620403203', '黄峤乡', 'huangjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403204', '620403', '620403204', '种田乡', 'zhongtianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620403205', '620403', '620403205', '复兴乡', 'fuxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421', '6204', '620421', '靖远县', 'jingyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421101', '620421', '620421101', '北湾镇', 'beiwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421102', '620421', '620421102', '东湾镇', 'dongwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421103', '620421', '620421103', '乌兰镇', 'wulanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421200', '620421', '620421200', '平堡乡', 'pingbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421202', '620421', '620421202', '糜滩乡', 'mitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421203', '620421', '620421203', '三滩乡', 'santanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421205', '620421', '620421205', '大芦乡', 'daluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421206', '620421', '620421206', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421207', '620421', '620421207', '双龙乡', 'shuanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421208', '620421', '620421208', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421209', '620421', '620421209', '刘川乡', 'liuchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421210', '620421', '620421210', '高湾乡', 'gaowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421211', '620421', '620421211', '靖安乡', 'jinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421212', '620421', '620421212', '五合乡', 'wuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421213', '620421', '620421213', '东升乡', 'dongshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421214', '620421', '620421214', '北滩乡', 'beitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421215', '620421', '620421215', '永新乡', 'yongxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620421216', '620421', '620421216', '若笠乡', 'ruolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422', '6204', '620422', '会宁县', 'huiningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422100', '620422', '620422100', '会师镇', 'huishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422101', '620422', '620422101', '郭城驿镇', 'guochengyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422102', '620422', '620422102', '河畔镇', 'hepanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422103', '620422', '620422103', '头寨子镇', 'touzhaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422104', '620422', '620422104', '太平店镇', 'taipingdianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422105', '620422', '620422105', '甘沟驿镇', 'gangouyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422200', '620422', '620422200', '丁家沟乡', 'dingjiagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422201', '620422', '620422201', '中川乡', 'zhongchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422202', '620422', '620422202', '新添堡回族乡', 'xintianbaohuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422203', '620422', '620422203', '侯家川乡', 'houjiachuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422204', '620422', '620422204', '党家岘乡', 'dangjiaxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422205', '620422', '620422205', '杨崖集乡', 'yangyajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422207', '620422', '620422207', '老君坡乡', 'laojunpoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422209', '620422', '620422209', '翟家所乡', 'zhaijiasuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422211', '620422', '620422211', '柴家门乡', 'chaijiamenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422213', '620422', '620422213', '八里湾乡', 'baliwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422214', '620422', '620422214', '平头川乡', 'pingtouchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422215', '620422', '620422215', '韩家集乡', 'hanjiajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422217', '620422', '620422217', '大沟乡', 'dagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422218', '620422', '620422218', '四房吴乡', 'sifangwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422220', '620422', '620422220', '汉家岔乡', 'hanjiachaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422221', '620422', '620422221', '土门岘乡', 'tumenxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422222', '620422', '620422222', '新塬乡', 'xinyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422223', '620422', '620422223', '刘家寨子乡', 'liujiazhaizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422224', '620422', '620422224', '草滩乡', 'caotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422225', '620422', '620422225', '土高山乡', 'tugaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422226', '620422', '620422226', '白草塬乡', 'baicaoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620422227', '620422', '620422227', '新庄乡', 'xinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423', '6204', '620423', '景泰县', 'jingtaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423100', '620423', '620423100', '一条山镇', 'yitiaoshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423101', '620423', '620423101', '芦阳镇', 'luyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423102', '620423', '620423102', '上沙沃镇', 'shangshawozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423103', '620423', '620423103', '喜泉镇', 'xiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423104', '620423', '620423104', '草窝滩镇', 'caowotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423105', '620423', '620423105', '红水镇', 'hongshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423200', '620423', '620423200', '中泉乡', 'zhongquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423201', '620423', '620423201', '正路乡', 'zhengluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423203', '620423', '620423203', '寺滩乡', 'sitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423205', '620423', '620423205', '五佛乡', 'wufoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423207', '620423', '620423207', '漫水滩乡', 'manshuitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620423400', '620423', '620423400', '条山集团', 'tiaoshanjituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6205', '62', '6205', '天水市', 'tianshuishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620501', '6205', '620501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502', '6205', '620502', '秦州区', 'qinzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502001', '620502', '620502001', '大城街道', 'dachengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502002', '620502', '620502002', '七里墩街道', 'qilidunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502003', '620502', '620502003', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502004', '620502', '620502004', '中城街道', 'zhongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502005', '620502', '620502005', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502006', '620502', '620502006', '石马坪街道', 'shimapingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502007', '620502', '620502007', '天水郡街道', 'tianshuijunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502100', '620502', '620502100', '玉泉镇', 'yuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502101', '620502', '620502101', '太京镇', 'taijingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502102', '620502', '620502102', '藉口镇', 'jiekouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502103', '620502', '620502103', '皂郊镇', 'zaojiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502104', '620502', '620502104', '汪川镇', 'wangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502105', '620502', '620502105', '牡丹镇', 'mudanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502106', '620502', '620502106', '关子镇', 'guanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502107', '620502', '620502107', '平南镇', 'pingnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502108', '620502', '620502108', '天水镇', 'tianshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502109', '620502', '620502109', '娘娘坝镇', 'niangniangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502200', '620502', '620502200', '中梁乡', 'zhongliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502201', '620502', '620502201', '秦岭乡', 'qinlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502202', '620502', '620502202', '杨家寺乡', 'yangjiasixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502203', '620502', '620502203', '齐寿乡', 'qishouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502204', '620502', '620502204', '华歧乡', 'huaqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620502205', '620502', '620502205', '大门乡', 'damenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503', '6205', '620503', '麦积区', 'maijiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503001', '620503', '620503001', '道北街道', 'daobeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503002', '620503', '620503002', '道南街道', 'daonanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503003', '620503', '620503003', '桥南街道', 'qiaonanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503100', '620503', '620503100', '社棠镇', 'shetangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503101', '620503', '620503101', '马跑泉镇', 'mapaoquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503102', '620503', '620503102', '甘泉镇', 'ganquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503103', '620503', '620503103', '渭南镇', 'weinanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503104', '620503', '620503104', '东岔镇', 'dongchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503105', '620503', '620503105', '花牛镇', 'huaniuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503106', '620503', '620503106', '中滩镇', 'zhongtanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503107', '620503', '620503107', '新阳镇', 'xinyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503108', '620503', '620503108', '元龙镇', 'yuanlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503109', '620503', '620503109', '伯阳镇', 'boyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503110', '620503', '620503110', '麦积镇', 'maijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503200', '620503', '620503200', '石佛乡', 'shifoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503201', '620503', '620503201', '五龙乡', 'wulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503202', '620503', '620503202', '琥珀乡', 'hupoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503203', '620503', '620503203', '党川乡', 'dangchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503204', '620503', '620503204', '利桥乡', 'liqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620503205', '620503', '620503205', '三岔乡', 'sanchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521', '6205', '620521', '清水县', 'qingshuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521100', '620521', '620521100', '永清镇', 'yongqingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521101', '620521', '620521101', '红堡镇', 'hongbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521102', '620521', '620521102', '白驼镇', 'baituozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521103', '620521', '620521103', '金集镇', 'jinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521104', '620521', '620521104', '秦亭镇', 'qintingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521105', '620521', '620521105', '山门镇', 'shanmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521200', '620521', '620521200', '白沙乡', 'baishaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521201', '620521', '620521201', '松树乡', 'songshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521202', '620521', '620521202', '王河乡', 'wanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521203', '620521', '620521203', '远门乡', 'yuanmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521204', '620521', '620521204', '土门乡', 'tumenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521205', '620521', '620521205', '郭川乡', 'guochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521206', '620521', '620521206', '贾川乡', 'jiachuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521207', '620521', '620521207', '丰望乡', 'fengwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521208', '620521', '620521208', '草川铺乡', 'caochuanpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521209', '620521', '620521209', '陇东乡', 'longdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521210', '620521', '620521210', '黄门乡', 'huangmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620521211', '620521', '620521211', '新城乡', 'xinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522', '6205', '620522', '秦安县', 'qinanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522100', '620522', '620522100', '兴国镇', 'xingguozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522101', '620522', '620522101', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522102', '620522', '620522102', '西川镇', 'xichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522103', '620522', '620522103', '陇城镇', 'longchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522104', '620522', '620522104', '郭嘉镇', 'guojiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522200', '620522', '620522200', '刘坪乡', 'liupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522201', '620522', '620522201', '五营乡', 'wuyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522202', '620522', '620522202', '中山乡', 'zhongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522203', '620522', '620522203', '叶堡乡', 'yebaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522204', '620522', '620522204', '安伏乡', 'anfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522205', '620522', '620522205', '魏店乡', 'weidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522206', '620522', '620522206', '王甫乡', 'wangfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522207', '620522', '620522207', '千户乡', 'qianhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522208', '620522', '620522208', '王窑乡', 'wangyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522209', '620522', '620522209', '云山乡', 'yunshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522210', '620522', '620522210', '王尹乡', 'wangyinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620522211', '620522', '620522211', '兴丰乡', 'xingfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523', '6205', '620523', '甘谷县', 'ganguxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523100', '620523', '620523100', '大像山镇', 'daxiangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523101', '620523', '620523101', '磐安镇', 'pananzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523102', '620523', '620523102', '新兴镇', 'xinxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523103', '620523', '620523103', '安远镇', 'anyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523104', '620523', '620523104', '六峰镇', 'liufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523203', '620523', '620523203', '金山乡', 'jinshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523204', '620523', '620523204', '八里湾乡', 'baliwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523205', '620523', '620523205', '西坪乡', 'xipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523206', '620523', '620523206', '大庄乡', 'dazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523208', '620523', '620523208', '大石乡', 'dashixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523209', '620523', '620523209', '礼辛乡', 'lixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523211', '620523', '620523211', '谢家湾乡', 'xiejiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523213', '620523', '620523213', '武家河乡', 'wujiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523214', '620523', '620523214', '古坡乡', 'gupoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620523215', '620523', '620523215', '白家湾乡', 'baijiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524', '6205', '620524', '武山县', 'wushanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524100', '620524', '620524100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524101', '620524', '620524101', '洛门镇', 'luomenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524102', '620524', '620524102', '鸳鸯镇', 'yuanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524103', '620524', '620524103', '滩歌镇', 'tangezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524104', '620524', '620524104', '四门镇', 'simenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524105', '620524', '620524105', '马力镇', 'malizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524200', '620524', '620524200', '山丹乡', 'shandanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524201', '620524', '620524201', '榆盘乡', 'yupanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524202', '620524', '620524202', '咀头乡', 'jutouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524203', '620524', '620524203', '桦林乡', 'hualinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524204', '620524', '620524204', '高楼乡', 'gaolouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524205', '620524', '620524205', '杨河乡', 'yanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524206', '620524', '620524206', '沿安乡', 'yananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524207', '620524', '620524207', '温泉乡', 'wenquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620524208', '620524', '620524208', '龙台乡', 'longtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525', '6205', '620525', '张家川县', 'zhangjiachuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525100', '620525', '620525100', '张家川镇', 'zhangjiachuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525101', '620525', '620525101', '龙山镇', 'longshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525102', '620525', '620525102', '恭门镇', 'gongmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525201', '620525', '620525201', '刘堡乡', 'liubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525202', '620525', '620525202', '张棉乡', 'zhangmianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525203', '620525', '620525203', '胡川乡', 'huchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525204', '620525', '620525204', '木河乡', 'muhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525206', '620525', '620525206', '大阳乡', 'dayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525207', '620525', '620525207', '川王乡', 'chuanwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525208', '620525', '620525208', '马关乡', 'maguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525209', '620525', '620525209', '连五乡', 'lianwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525210', '620525', '620525210', '梁山乡', 'liangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525213', '620525', '620525213', '平安乡', 'pinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525214', '620525', '620525214', '阎家乡', 'yanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620525215', '620525', '620525215', '马鹿乡', 'maluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6206', '62', '6206', '武威市', 'wuweishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620601', '6206', '620601', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602', '6206', '620602', '凉州区', 'liangzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602001', '620602', '620602001', '东大街街道', 'dongdajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602002', '620602', '620602002', '西大街街道', 'xidajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602003', '620602', '620602003', '东关街街道', 'dongguanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602004', '620602', '620602004', '西关街街道', 'xiguanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602005', '620602', '620602005', '火车站街街道', 'huochezhanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602006', '620602', '620602006', '地质新村街街道', 'dizhixincunjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602007', '620602', '620602007', '荣华街街道', 'ronghuajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602100', '620602', '620602100', '黄羊镇', 'huangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602101', '620602', '620602101', '武南镇', 'wunanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602102', '620602', '620602102', '清源镇', 'qingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602103', '620602', '620602103', '永昌镇', 'yongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602104', '620602', '620602104', '双城镇', 'shuangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602105', '620602', '620602105', '丰乐镇', 'fenglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602106', '620602', '620602106', '高坝镇', 'gaobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602107', '620602', '620602107', '金羊镇', 'jinyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602108', '620602', '620602108', '和平镇', 'hepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602109', '620602', '620602109', '羊下坝镇', 'yangxiabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602110', '620602', '620602110', '中坝镇', 'zhongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602111', '620602', '620602111', '永丰镇', 'yongfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602112', '620602', '620602112', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602113', '620602', '620602113', '张义镇', 'zhangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602114', '620602', '620602114', '发放镇', 'fafangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602115', '620602', '620602115', '西营镇', 'xiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602116', '620602', '620602116', '四坝镇', 'sibazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602117', '620602', '620602117', '洪祥镇', 'hongxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602118', '620602', '620602118', '谢河镇', 'xiehezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602200', '620602', '620602200', '五和乡', 'wuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602201', '620602', '620602201', '韩佐乡', 'hanzuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602202', '620602', '620602202', '松树乡', 'songshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602203', '620602', '620602203', '大柳乡', 'daliuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602204', '620602', '620602204', '长城乡', 'zhangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602205', '620602', '620602205', '金沙乡', 'jinshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602206', '620602', '620602206', '柏树乡', 'boshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602207', '620602', '620602207', '金塔乡', 'jintaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602208', '620602', '620602208', '下双乡', 'xiashuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602209', '620602', '620602209', '九墩乡', 'jiudunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602210', '620602', '620602210', '怀安乡', 'huaianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602211', '620602', '620602211', '金山乡', 'jinshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602212', '620602', '620602212', '清水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602213', '620602', '620602213', '吴家井乡', 'wujiajingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602214', '620602', '620602214', '新华乡', 'xinhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602215', '620602', '620602215', '康宁乡', 'kangningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602216', '620602', '620602216', '东河乡', 'donghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602217', '620602', '620602217', '河东乡', 'hedongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620602400', '620602', '620602400', '九墩滩指挥部', 'jiuduntanzhihuibu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621', '6206', '620621', '民勤县', 'minqinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621100', '620621', '620621100', '三雷镇', 'sanleizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621101', '620621', '620621101', '东坝镇', 'dongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621102', '620621', '620621102', '泉山镇', 'quanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621103', '620621', '620621103', '西渠镇', 'xiquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621104', '620621', '620621104', '东湖镇', 'donghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621105', '620621', '620621105', '红沙岗镇', 'hongshagangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621200', '620621', '620621200', '昌宁乡', 'changningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621201', '620621', '620621201', '蔡旗乡', 'caiqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621202', '620621', '620621202', '重兴乡', 'zhongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621203', '620621', '620621203', '薛百乡', 'xuebaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621204', '620621', '620621204', '大坝乡', 'dabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621205', '620621', '620621205', '苏武乡', 'suwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621206', '620621', '620621206', '夹河乡', 'jiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621207', '620621', '620621207', '大滩乡', 'datanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621208', '620621', '620621208', '双茨科乡', 'shuangcikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621209', '620621', '620621209', '红沙梁乡', 'hongshaliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621210', '620621', '620621210', '收成乡', 'shouchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620621211', '620621', '620621211', '南湖乡', 'nanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622', '6206', '620622', '古浪县', 'gulangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622001', '620622', '620622001', '城关街道', 'chengguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622100', '620622', '620622100', '古浪镇', 'gulangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622101', '620622', '620622101', '泗水镇', 'sishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622102', '620622', '620622102', '土门镇', 'tumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622103', '620622', '620622103', '大靖镇', 'dajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622104', '620622', '620622104', '裴家营镇', 'peijiayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622105', '620622', '620622105', '海子滩镇', 'haizitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622106', '620622', '620622106', '定宁镇', 'dingningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622107', '620622', '620622107', '黄羊川镇', 'huangyangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622108', '620622', '620622108', '黑松驿镇', 'heisongyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622200', '620622', '620622200', '永丰滩乡', 'yongfengtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622201', '620622', '620622201', '黄花滩乡', 'huanghuatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622202', '620622', '620622202', '西靖乡', 'xijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622203', '620622', '620622203', '民权乡', 'minquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622204', '620622', '620622204', '直滩乡', 'zhitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622205', '620622', '620622205', '新堡乡', 'xinbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622206', '620622', '620622206', '干城乡', 'ganchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622207', '620622', '620622207', '横梁乡', 'hengliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622208', '620622', '620622208', '十八里堡乡', 'shibalibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620622209', '620622', '620622209', '古丰乡', 'gufengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623', '6206', '620623', '天祝县', 'tianzhuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623100', '620623', '620623100', '华藏寺镇', 'huazangsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623101', '620623', '620623101', '打柴沟镇', 'dachaigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623102', '620623', '620623102', '安远镇', 'anyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623103', '620623', '620623103', '炭山岭镇', 'tanshanlingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623104', '620623', '620623104', '哈溪镇', 'haxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623105', '620623', '620623105', '赛什斯镇', 'saishensizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623106', '620623', '620623106', '石门镇', 'shimenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623107', '620623', '620623107', '松山镇', 'songshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623200', '620623', '620623200', '天堂乡', 'tiantangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623201', '620623', '620623201', '东坪乡', 'dongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623202', '620623', '620623202', '赛拉隆乡', 'sailalongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623203', '620623', '620623203', '东大滩乡', 'dongdatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623204', '620623', '620623204', '抓喜秀龙乡', 'zhuaxixiulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623205', '620623', '620623205', '西大滩乡', 'xidatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623206', '620623', '620623206', '朵什乡', 'duoshenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623207', '620623', '620623207', '大红沟乡', 'dahonggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623208', '620623', '620623208', '毛藏乡', 'maozangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623209', '620623', '620623209', '祁连乡', 'qilianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623210', '620623', '620623210', '旦马乡', 'danmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623400', '620623', '620623400', '天祝羊场', 'tianzhuyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623401', '620623', '620623401', '甘肃省天祝建材厂', 'gansushengtianzhujiancaichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620623402', '620623', '620623402', '甘肃省窑街矿务局天祝煤电公司', 'gansushengyaojiekuangwujutianzhumeidiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6207', '62', '6207', '张掖市', 'zhangyeshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620701', '6207', '620701', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702', '6207', '620702', '甘州区', 'ganzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702001', '620702', '620702001', '东街街道', 'dongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702002', '620702', '620702002', '南街街道', 'nanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702003', '620702', '620702003', '西街街道', 'xijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702004', '620702', '620702004', '北街街道', 'beijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702005', '620702', '620702005', '火车站街道', 'huochezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702100', '620702', '620702100', '梁家墩镇', 'liangjiadunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702101', '620702', '620702101', '上秦镇', 'shangqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702102', '620702', '620702102', '大满镇', 'damanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702103', '620702', '620702103', '沙井镇', 'shajingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702104', '620702', '620702104', '乌江镇', 'wujiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702105', '620702', '620702105', '甘浚镇', 'ganjunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702106', '620702', '620702106', '新墩镇', 'xindunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702107', '620702', '620702107', '党寨镇', 'dangzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702108', '620702', '620702108', '碱滩镇', 'jiantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702109', '620702', '620702109', '三闸镇', 'sanzhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702110', '620702', '620702110', '小满镇', 'xiaomanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702202', '620702', '620702202', '龙渠乡', 'longquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702203', '620702', '620702203', '安阳乡', 'anyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702204', '620702', '620702204', '花寨乡', 'huazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702205', '620702', '620702205', '长安乡', 'zhanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702207', '620702', '620702207', '靖安乡', 'jinganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702210', '620702', '620702210', '明永乡', 'mingyongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702211', '620702', '620702211', '平山湖乡', 'pingshanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702400', '620702', '620702400', '张掖农场', 'zhangyenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702401', '620702', '620702401', '省农科院张掖九公里试验场', 'shengnongkeyuanzhangyejiugonglishiyanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620702402', '620702', '620702402', '东北郊新区', 'dongbeijiaoxinqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620721', '6207', '620721', '肃南裕固族自治县', 'sunanyuguzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620721100', '620721', '620721100', '红湾寺镇', 'hongwansizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620721101', '620721', '620721101', '皇城镇', 'huangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620721200', '620721', '620721200', '马蹄藏族乡', 'matizangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620721201', '620721', '620721201', '康乐乡', 'kanglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620721202', '620721', '620721202', '白银蒙古族乡', 'baiyinmengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620721203', '620721', '620721203', '大河乡', 'dahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620721204', '620721', '620721204', '明花乡', 'minghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620721205', '620721', '620721205', '祁丰藏族乡', 'qifengzangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620721400', '620721', '620721400', '甘肃省绵羊育种场', 'gansushengmianyangyuzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620721401', '620721', '620721401', '张掖宝瓶河牧场', 'zhangyebaopinghemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722', '6207', '620722', '民乐县', 'minlexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722101', '620722', '620722101', '洪水镇', 'hongshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722102', '620722', '620722102', '六坝镇', 'liubazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722103', '620722', '620722103', '新天镇', 'xintianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722104', '620722', '620722104', '南古镇', 'nanguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722105', '620722', '620722105', '永固镇', 'yongguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722106', '620722', '620722106', '三堡镇', 'sanbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722200', '620722', '620722200', '南丰乡', 'nanfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722201', '620722', '620722201', '民联乡', 'minlianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722203', '620722', '620722203', '顺化乡', 'shunhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722204', '620722', '620722204', '丰乐乡', 'fenglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620722400', '620722', '620722400', '高新实用技术开发区', 'gaoxinshiyongjishukaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723', '6207', '620723', '临泽县', 'linzexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723101', '620723', '620723101', '沙河镇', 'shahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723102', '620723', '620723102', '新华镇', 'xinhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723103', '620723', '620723103', '蓼泉镇', 'liaoquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723104', '620723', '620723104', '平川镇', 'pingchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723105', '620723', '620723105', '板桥镇', 'banqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723201', '620723', '620723201', '鸭暖乡', 'yanuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723202', '620723', '620723202', '倪家营乡', 'nijiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723400', '620723', '620723400', '国营临泽农场', 'guoyinglinzenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723401', '620723', '620723401', '五泉林场', 'wuquanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723402', '620723', '620723402', '沙河林场', 'shahelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723403', '620723', '620723403', '小泉子治沙站', 'xiaoquanzizhishazhan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723404', '620723', '620723404', '临泽县园艺场', 'linzexianyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620723405', '620723', '620723405', '临泽县良种繁殖场', 'linzexianliangzhongfanzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620724', '6207', '620724', '高台县', 'gaotaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620724100', '620724', '620724100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620724101', '620724', '620724101', '宣化镇', 'xuanhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620724102', '620724', '620724102', '南华镇', 'nanhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620724200', '620724', '620724200', '巷道乡', 'xiangdaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620724201', '620724', '620724201', '黑泉乡', 'heiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620724202', '620724', '620724202', '罗城乡', 'luochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620724203', '620724', '620724203', '合黎乡', 'helixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620724204', '620724', '620724204', '骆驼城乡', 'luotuochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620724205', '620724', '620724205', '新坝乡', 'xinbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620725', '6207', '620725', '山丹县', 'shandanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620725101', '620725', '620725101', '清泉镇', 'qingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620725102', '620725', '620725102', '位奇镇', 'weiqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620725103', '620725', '620725103', '霍城镇', 'huochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620725201', '620725', '620725201', '东乐乡', 'donglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620725202', '620725', '620725202', '陈户乡', 'chenhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620725203', '620725', '620725203', '老军乡', 'laojunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620725204', '620725', '620725204', '李桥乡', 'liqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620725205', '620725', '620725205', '大马营乡', 'damayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620725400', '620725', '620725400', '山丹农场', 'shandannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620725402', '620725', '620725402', '中牧公司山丹马场', 'zhongmugongsishandanmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6208', '62', '6208', '平凉市', 'pingliangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620801', '6208', '620801', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802', '6208', '620802', '崆峒区', 'kongtongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802001', '620802', '620802001', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802002', '620802', '620802002', '中街街道', 'zhongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802003', '620802', '620802003', '西郊街道', 'xijiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802100', '620802', '620802100', '四十里铺镇', 'sishilipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802101', '620802', '620802101', '崆峒镇', 'kongtongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802102', '620802', '620802102', '白水镇', 'baishuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802103', '620802', '620802103', '草峰镇', 'caofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802200', '620802', '620802200', '安国乡', 'anguoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802201', '620802', '620802201', '柳湖乡', 'liuhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802202', '620802', '620802202', '花所乡', 'huasuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802203', '620802', '620802203', '索罗乡', 'suoluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802204', '620802', '620802204', '香莲乡', 'xianglianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802205', '620802', '620802205', '西阳乡', 'xiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802206', '620802', '620802206', '大秦乡', 'daqinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802207', '620802', '620802207', '白庙乡', 'baimiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802208', '620802', '620802208', '寨河乡', 'zhaihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802209', '620802', '620802209', '大寨乡', 'dazhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802210', '620802', '620802210', '上扬乡', 'shangyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802211', '620802', '620802211', '麻武乡', 'mawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620802212', '620802', '620802212', '峡门乡', 'xiamenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821', '6208', '620821', '泾川县', 'jingchuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821001', '620821', '620821001', '街道办', 'jiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821100', '620821', '620821100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821101', '620821', '620821101', '玉都镇', 'yudouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821102', '620821', '620821102', '高平镇', 'gaopingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821103', '620821', '620821103', '荔堡镇', 'libaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821104', '620821', '620821104', '王村镇', 'wangcunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821105', '620821', '620821105', '窑店镇', 'yaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821200', '620821', '620821200', '汭丰乡', 'ruifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821201', '620821', '620821201', '罗汉洞乡', 'luohandongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821202', '620821', '620821202', '泾明乡', 'jingmingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821203', '620821', '620821203', '红河乡', 'honghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821204', '620821', '620821204', '飞云乡', 'feiyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821205', '620821', '620821205', '太平乡', 'taipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821206', '620821', '620821206', '丰台乡', 'fengtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821207', '620821', '620821207', '党原乡', 'dangyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620821500', '620821', '620821500', '张老寺农场', 'zhanglaosinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822', '6208', '620822', '灵台县', 'lingtaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822001', '620822', '620822001', '街道', 'jiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822100', '620822', '620822100', '中台镇', 'zhongtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822101', '620822', '620822101', '邵寨镇', 'shaozhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822102', '620822', '620822102', '独店镇', 'dudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822103', '620822', '620822103', '什字镇', 'shenzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822104', '620822', '620822104', '朝那镇', 'chaoneizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822201', '620822', '620822201', '新开乡', 'xinkaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822202', '620822', '620822202', '西屯乡', 'xitunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822203', '620822', '620822203', '上良乡', 'shangliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822204', '620822', '620822204', '梁原乡', 'liangyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822205', '620822', '620822205', '龙门乡', 'longmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822206', '620822', '620822206', '星火乡', 'xinghuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822207', '620822', '620822207', '百里乡', 'bailixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822208', '620822', '620822208', '蒲窝乡', 'puwoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620822400', '620822', '620822400', '万宝川农场', 'wanbaochuannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620823', '6208', '620823', '崇信县', 'chongxinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620823001', '620823', '620823001', '街道办', 'jiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620823100', '620823', '620823100', '锦屏镇', 'jinpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620823101', '620823', '620823101', '新窑镇', 'xinyaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620823200', '620823', '620823200', '柏树乡', 'boshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620823201', '620823', '620823201', '黄寨乡', 'huangzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620823202', '620823', '620823202', '黄花乡', 'huanghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620823203', '620823', '620823203', '木林乡', 'mulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620823400', '620823', '620823400', '新赤管委会', 'xinchiguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620823401', '620823', '620823401', '五举农场', 'wujunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824', '6208', '620824', '华亭县', 'huatingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824001', '620824', '620824001', '东华街道', 'donghuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824100', '620824', '620824100', '东华镇', 'donghuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824101', '620824', '620824101', '安口镇', 'ankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824102', '620824', '620824102', '西华镇', 'xihuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824103', '620824', '620824103', '马峡镇', 'maxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824104', '620824', '620824104', '策底镇', 'cedizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824200', '620824', '620824200', '上关乡', 'shangguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824201', '620824', '620824201', '神峪乡', 'shenyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824202', '620824', '620824202', '山寨乡', 'shanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824203', '620824', '620824203', '河西乡', 'hexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824204', '620824', '620824204', '砚峡乡', 'yanxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620824400', '620824', '620824400', '石堡子开发区管委会', 'shibaozikaifaquguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825', '6208', '620825', '庄浪县', 'zhuanglangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825001', '620825', '620825001', '水洛街道', 'shuiluojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825100', '620825', '620825100', '水洛镇', 'shuiluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825101', '620825', '620825101', '南湖镇', 'nanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825102', '620825', '620825102', '朱店镇', 'zhudianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825103', '620825', '620825103', '万泉镇', 'wanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825104', '620825', '620825104', '韩店镇', 'handianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825200', '620825', '620825200', '岳堡乡', 'yuebaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825201', '620825', '620825201', '杨河乡', 'yanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825202', '620825', '620825202', '赵墩乡', 'zhaodunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825203', '620825', '620825203', '柳梁乡', 'liuliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825205', '620825', '620825205', '卧龙乡', 'wolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825207', '620825', '620825207', '大庄乡', 'dazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825208', '620825', '620825208', '阳川乡', 'yangchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825211', '620825', '620825211', '良邑乡', 'liangyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825213', '620825', '620825213', '通化乡', 'tonghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825214', '620825', '620825214', '永宁乡', 'yongningxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825215', '620825', '620825215', '郑河乡', 'zhenghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825217', '620825', '620825217', '南坪乡', 'nanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620825219', '620825', '620825219', '盘安乡', 'pananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826', '6208', '620826', '静宁县', 'jingningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826001', '620826', '620826001', '城区街道', 'chengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826100', '620826', '620826100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826101', '620826', '620826101', '威戎镇', 'weirongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826102', '620826', '620826102', '界石铺镇', 'jieshipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826103', '620826', '620826103', '八里镇', 'balizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826104', '620826', '620826104', '李店镇', 'lidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826200', '620826', '620826200', '城川乡', 'chengchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826201', '620826', '620826201', '司桥乡', 'siqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826202', '620826', '620826202', '曹务乡', 'caowuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826203', '620826', '620826203', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826204', '620826', '620826204', '双岘乡', 'shuangxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826205', '620826', '620826205', '雷大乡', 'leidaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826206', '620826', '620826206', '余湾乡', 'yuwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826207', '620826', '620826207', '仁大乡', 'rendaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826208', '620826', '620826208', '贾河乡', 'jiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826209', '620826', '620826209', '深沟乡', 'shengouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826210', '620826', '620826210', '治平乡', 'zhipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826211', '620826', '620826211', '新店乡', 'xindianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826212', '620826', '620826212', '甘沟乡', 'gangouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826213', '620826', '620826213', '四河乡', 'sihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826214', '620826', '620826214', '红寺乡', 'hongsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826215', '620826', '620826215', '细巷乡', 'xixiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826216', '620826', '620826216', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826217', '620826', '620826217', '原安乡', 'yuananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620826218', '620826', '620826218', '灵芝乡', 'lingzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6209', '62', '6209', '酒泉市', 'jiuquanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620901', '6209', '620901', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902', '6209', '620902', '肃州区', 'suzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902001', '620902', '620902001', '东北街街道', 'dongbeijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902002', '620902', '620902002', '东南街街道', 'dongnanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902003', '620902', '620902003', '工业园街道', 'gongyeyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902004', '620902', '620902004', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902005', '620902', '620902005', '西北街街道', 'xibeijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902006', '620902', '620902006', '西南街街道', 'xinanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902100', '620902', '620902100', '西洞镇', 'xidongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902101', '620902', '620902101', '清水镇', 'qingshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902102', '620902', '620902102', '总寨镇', 'zongzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902103', '620902', '620902103', '金佛寺镇', 'jinfosizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902104', '620902', '620902104', '上坝镇', 'shangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902105', '620902', '620902105', '三墩镇', 'sandunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902106', '620902', '620902106', '银达镇', 'yindazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902200', '620902', '620902200', '西峰乡', 'xifengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902201', '620902', '620902201', '泉湖乡', 'quanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902202', '620902', '620902202', '果园乡', 'guoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902205', '620902', '620902205', '下河清乡', 'xiaheqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902207', '620902', '620902207', '黄泥堡乡', 'huangnibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902208', '620902', '620902208', '铧尖乡', 'huajianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902209', '620902', '620902209', '东洞乡', 'dongdongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902210', '620902', '620902210', '屯升乡', 'tunshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902211', '620902', '620902211', '丰乐乡', 'fenglexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902400', '620902', '620902400', '东风场区', 'dongfengchangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620902401', '620902', '620902401', '国营下河清农场', 'guoyingxiaheqingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921', '6209', '620921', '金塔县', 'jintaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921100', '620921', '620921100', '中东镇', 'zhongdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921101', '620921', '620921101', '鼎新镇', 'dingxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921102', '620921', '620921102', '金塔镇', 'jintazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921103', '620921', '620921103', '东坝镇', 'dongbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921104', '620921', '620921104', '航天镇', 'hangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921201', '620921', '620921201', '三合乡', 'sanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921203', '620921', '620921203', '大庄子乡', 'dazhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921204', '620921', '620921204', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921205', '620921', '620921205', '西坝乡', 'xibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921209', '620921', '620921209', '羊井子湾乡', 'yangjingziwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620921400', '620921', '620921400', '甘肃亚盛农工商集团有限责任公司', 'gansuyashengnonggongshangjituanyouxianzerengongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922', '6209', '620922', '瓜州县', 'guazhouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922100', '620922', '620922100', '渊泉镇', 'yuanquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922101', '620922', '620922101', '柳园镇', 'liuyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922102', '620922', '620922102', '三道沟镇', 'sandaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922103', '620922', '620922103', '南岔镇', 'nanchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922104', '620922', '620922104', '锁阳城镇', 'suoyangchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922200', '620922', '620922200', '河东乡', 'hedongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922201', '620922', '620922201', '布隆吉乡', 'bulongjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922203', '620922', '620922203', '西湖乡', 'xihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922204', '620922', '620922204', '瓜州乡', 'guazhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922209', '620922', '620922209', '腰站子乡', 'yaozhanzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922212', '620922', '620922212', '七墩回族东乡族乡', 'qidunhuizudongxiangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922213', '620922', '620922213', '双塔乡', 'shuangtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922400', '620922', '620922400', '国营小宛农场', 'guoyingxiaowannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620922401', '620922', '620922401', '玉门农垦建筑公司七道沟农场', 'yumennongkenjianzhugongsiqidaogounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620923', '6209', '620923', '肃北蒙古族自治县', 'subeimengguzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620923100', '620923', '620923100', '党城湾镇', 'dangchengwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620923101', '620923', '620923101', '马鬃山镇', 'mazongshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620923202', '620923', '620923202', '石包城乡', 'shibaochengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620924', '6209', '620924', '阿克塞县', 'akesaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620924100', '620924', '620924100', '红柳湾镇', 'hongliuwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620924200', '620924', '620924200', '阿克旗乡', 'akeqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620924203', '620924', '620924203', '阿勒腾乡', 'aletengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981', '6209', '620981', '玉门市', 'yumenshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981001', '620981', '620981001', '老市区管理委员会街道', 'laoshiquguanliweiyuanhuijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981100', '620981', '620981100', '玉门东镇', 'yumendongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981101', '620981', '620981101', '玉门镇', 'yumenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981102', '620981', '620981102', '赤金镇', 'chijinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981103', '620981', '620981103', '花海镇', 'huahaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981200', '620981', '620981200', '下西号乡', 'xiaxihaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981201', '620981', '620981201', '黄闸湾乡', 'huangzhawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981202', '620981', '620981202', '柳河乡', 'liuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981203', '620981', '620981203', '昌马乡', 'changmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981205', '620981', '620981205', '清泉乡', 'qingquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981206', '620981', '620981206', '小金湾乡', 'xiaojinwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981207', '620981', '620981207', '柳湖乡', 'liuhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981400', '620981', '620981400', '国营饮马农场', 'guoyingyinmanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981401', '620981', '620981401', '国营黄花农场', 'guoyinghuanghuanongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981402', '620981', '620981402', '官庄企业联合公司', 'guanzhuangqiyelianhegongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981403', '620981', '620981403', '农垦建筑工程公司', 'nongkenjianzhugongchenggongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620981404', '620981', '620981404', '甘肃矿区', 'gansukuangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982', '6209', '620982', '敦煌市', 'dunhuangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982100', '620982', '620982100', '七里镇', 'qilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982101', '620982', '620982101', '沙州镇', 'shazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982102', '620982', '620982102', '肃州镇', 'suzhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982103', '620982', '620982103', '莫高镇', 'mogaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982104', '620982', '620982104', '转渠口镇', 'zhuanqukouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982200', '620982', '620982200', '杨家桥乡', 'yangjiaqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982201', '620982', '620982201', '郭家堡乡', 'guojiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982204', '620982', '620982204', '黄渠乡', 'huangquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982206', '620982', '620982206', '南湖乡', 'nanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982400', '620982', '620982400', '国营敦煌农场', 'guoyingdunhuangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('620982401', '620982', '620982401', '青海石油管理局生活基地', 'qinghaishiyouguanlijushenghuojidi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6210', '62', '6210', '庆阳市', 'qingyangshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621001', '6210', '621001', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621002', '6210', '621002', '西峰区', 'xifengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621002001', '621002', '621002001', '北街', 'beijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621002002', '621002', '621002002', '南街', 'nanjie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621002003', '621002', '621002003', '西街', 'xijie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621002100', '621002', '621002100', '肖金镇', 'xiaojinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621002101', '621002', '621002101', '董志镇', 'dongzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621002200', '621002', '621002200', '后官寨乡', 'houguanzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621002201', '621002', '621002201', '彭原乡', 'pengyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621002202', '621002', '621002202', '温泉乡', 'wenquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621002203', '621002', '621002203', '什社乡', 'shenshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621002204', '621002', '621002204', '显胜乡', 'xianshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021', '6210', '621021', '庆城县', 'qingchengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021100', '621021', '621021100', '驿马镇', 'yimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021101', '621021', '621021101', '卅铺镇', 'sapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021102', '621021', '621021102', '马岭镇', 'malingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021103', '621021', '621021103', '庆城镇', 'qingchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021104', '621021', '621021104', '玄马镇', 'xuanmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021200', '621021', '621021200', '赤城乡', 'chichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021201', '621021', '621021201', '白马乡', 'baimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021202', '621021', '621021202', '桐川乡', 'tongchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021203', '621021', '621021203', '太白梁乡', 'taibailiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021204', '621021', '621021204', '土桥乡', 'tuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021205', '621021', '621021205', '蔡口集乡', 'caikoujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021206', '621021', '621021206', '高楼乡', 'gaolouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021207', '621021', '621021207', '南庄乡', 'nanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021208', '621021', '621021208', '翟家河乡', 'zhaijiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621021209', '621021', '621021209', '蔡家庙乡', 'caijiamiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022', '6210', '621022', '环县', 'huanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022100', '621022', '621022100', '环城镇', 'huanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022101', '621022', '621022101', '曲子镇', 'quzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022102', '621022', '621022102', '甜水镇', 'tianshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022103', '621022', '621022103', '木钵镇', 'mubozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022200', '621022', '621022200', '天池乡', 'tianchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022201', '621022', '621022201', '演武乡', 'yanwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022202', '621022', '621022202', '合道乡', 'hedaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022203', '621022', '621022203', '樊家川乡', 'fanjiachuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022204', '621022', '621022204', '八珠乡', 'bazhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022205', '621022', '621022205', '洪德乡', 'hongdexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022206', '621022', '621022206', '耿湾乡', 'gengwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022207', '621022', '621022207', '秦团庄乡', 'qintuanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022208', '621022', '621022208', '山城乡', 'shanchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022209', '621022', '621022209', '南湫乡', 'nanqiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022210', '621022', '621022210', '罗山川乡', 'luoshanchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022211', '621022', '621022211', '虎洞乡', 'hudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022212', '621022', '621022212', '小南沟乡', 'xiaonangouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022213', '621022', '621022213', '车道乡', 'chedaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022214', '621022', '621022214', '毛井乡', 'maojingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022215', '621022', '621022215', '芦家湾乡', 'lujiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621022400', '621022', '621022400', '四合原旅游开发办公室', 'siheyuanlu:youkaifabangongshi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023', '6210', '621023', '华池县', 'huachixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023100', '621023', '621023100', '悦乐镇', 'yuelezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023101', '621023', '621023101', '柔远镇', 'rouyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023102', '621023', '621023102', '元城镇', 'yuanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023200', '621023', '621023200', '城壕乡', 'chenghaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023201', '621023', '621023201', '五蛟乡', 'wujiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023202', '621023', '621023202', '上里塬乡', 'shangliyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023203', '621023', '621023203', '王咀子乡', 'wangjuzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023204', '621023', '621023204', '白马乡', 'baimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023205', '621023', '621023205', '怀安乡', 'huaianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023206', '621023', '621023206', '乔川乡', 'qiaochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023207', '621023', '621023207', '乔河乡', 'qiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023208', '621023', '621023208', '山庄乡', 'shanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023209', '621023', '621023209', '南梁乡', 'nanliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023210', '621023', '621023210', '林镇乡', 'linzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621023211', '621023', '621023211', '紫坊畔乡', 'zifangpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024', '6210', '621024', '合水县', 'heshuixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024100', '621024', '621024100', '西华池镇', 'xihuachizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024101', '621024', '621024101', '老城镇', 'laochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024102', '621024', '621024102', '太白镇', 'taibaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024200', '621024', '621024200', '吉岘乡', 'jixianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024201', '621024', '621024201', '肖咀乡', 'xiaojuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024202', '621024', '621024202', '段家集乡', 'duanjiajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024203', '621024', '621024203', '固城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024204', '621024', '621024204', '太莪乡', 'taiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024205', '621024', '621024205', '店子乡', 'dianzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024206', '621024', '621024206', '何家畔乡', 'hejiapanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024207', '621024', '621024207', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621024208', '621024', '621024208', '蒿咀铺乡', 'haojupuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621025', '6210', '621025', '正宁县', 'zhengningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621025100', '621025', '621025100', '山河镇', 'shanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621025101', '621025', '621025101', '榆林子镇', 'yulinzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621025102', '621025', '621025102', '宫河镇', 'gonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621025103', '621025', '621025103', '永和镇', 'yonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621025200', '621025', '621025200', '西坡乡', 'xipoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621025201', '621025', '621025201', '永正乡', 'yongzhengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621025202', '621025', '621025202', '周家乡', 'zhoujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621025203', '621025', '621025203', '湫头乡', 'qiutouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621025204', '621025', '621025204', '五顷原乡', 'wuqingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621025205', '621025', '621025205', '三嘉乡', 'sanjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026', '6210', '621026', '宁县', 'ningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026100', '621026', '621026100', '宁县新宁镇', 'ningxianxinningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026101', '621026', '621026101', '平子镇', 'pingzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026102', '621026', '621026102', '早胜镇', 'zaoshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026103', '621026', '621026103', '长庆桥镇', 'zhangqingqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026104', '621026', '621026104', '和盛镇', 'heshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026105', '621026', '621026105', '湘乐镇', 'xianglezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026106', '621026', '621026106', '新庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026107', '621026', '621026107', '盘克镇', 'pankezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026200', '621026', '621026200', '米桥乡', 'miqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026201', '621026', '621026201', '良平乡', 'liangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026202', '621026', '621026202', '中村乡', 'zhongcunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026203', '621026', '621026203', '太昌乡', 'taichangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026204', '621026', '621026204', '焦村乡', 'jiaocunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026205', '621026', '621026205', '南义乡', 'nanyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026206', '621026', '621026206', '瓦斜乡', 'waxiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026207', '621026', '621026207', '金村乡', 'jincunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026208', '621026', '621026208', '九岘乡', 'jiuxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621026209', '621026', '621026209', '春荣乡', 'chunrongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027', '6210', '621027', '镇原县', 'zhenyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027100', '621027', '621027100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027101', '621027', '621027101', '屯字镇', 'tunzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027102', '621027', '621027102', '孟坝镇', 'mengbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027103', '621027', '621027103', '三岔镇', 'sanchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027104', '621027', '621027104', '平泉镇', 'pingquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027105', '621027', '621027105', '开边镇', 'kaibianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027106', '621027', '621027106', '太平镇', 'taipingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027200', '621027', '621027200', '临泾乡', 'linjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027201', '621027', '621027201', '南川乡', 'nanchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027202', '621027', '621027202', '上肖乡', 'shangxiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027203', '621027', '621027203', '新集乡', 'xinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027204', '621027', '621027204', '方山乡', 'fangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027205', '621027', '621027205', '殷家城乡', 'yinjiachengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027206', '621027', '621027206', '马渠乡', 'maquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027207', '621027', '621027207', '庙渠乡', 'miaoquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027208', '621027', '621027208', '武沟乡', 'wugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027209', '621027', '621027209', '郭原乡', 'guoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027210', '621027', '621027210', '中原乡', 'zhongyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621027211', '621027', '621027211', '新城乡', 'xinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6211', '62', '6211', '定西市', 'dingxishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621101', '6211', '621101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102', '6211', '621102', '安定区', 'andingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102001', '621102', '621102001', '中华路街道', 'zhonghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102002', '621102', '621102002', '永定路街道', 'yongdinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102101', '621102', '621102101', '凤翔镇', 'fengxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102102', '621102', '621102102', '内官镇', 'neiguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102103', '621102', '621102103', '馋口镇', 'chankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102104', '621102', '621102104', '称钩驿镇', 'chenggouyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102105', '621102', '621102105', '鲁家沟镇', 'lujiagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102106', '621102', '621102106', '西巩驿镇', 'xigongyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102107', '621102', '621102107', '宁远镇', 'ningyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102108', '621102', '621102108', '李家堡镇', 'lijiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102109', '621102', '621102109', '团结镇', 'tuanjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102110', '621102', '621102110', '香泉镇', 'xiangquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102111', '621102', '621102111', '符家川镇', 'fujiachuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102112', '621102', '621102112', '葛家岔镇', 'gejiachazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102204', '621102', '621102204', '白碌乡', 'bailiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102207', '621102', '621102207', '石峡湾乡', 'shixiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102208', '621102', '621102208', '新集乡', 'xinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102209', '621102', '621102209', '青岚山乡', 'qinglanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102210', '621102', '621102210', '高峰乡', 'gaofengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102211', '621102', '621102211', '石泉乡', 'shiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621102214', '621102', '621102214', '杏园乡', 'xingyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121', '6211', '621121', '通渭县', 'tongweixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121100', '621121', '621121100', '平襄镇', 'pingxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121101', '621121', '621121101', '马营镇', 'mayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121102', '621121', '621121102', '鸡川镇', 'jichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121103', '621121', '621121103', '榜罗镇', 'bangluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121104', '621121', '621121104', '常河镇', 'changhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121105', '621121', '621121105', '义岗镇', 'yigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121200', '621121', '621121200', '陇阳乡', 'longyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121201', '621121', '621121201', '陇山乡', 'longshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121202', '621121', '621121202', '陇川乡', 'longchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121203', '621121', '621121203', '新景乡', 'xinjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121204', '621121', '621121204', '碧玉乡', 'biyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121206', '621121', '621121206', '襄南乡', 'xiangnanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121207', '621121', '621121207', '李店乡', 'lidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121210', '621121', '621121210', '什川乡', 'shenchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121212', '621121', '621121212', '三铺乡', 'sanpuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121214', '621121', '621121214', '华岭乡', 'hualingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121215', '621121', '621121215', '寺子乡', 'sizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621121216', '621121', '621121216', '北城乡', 'beichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122', '6211', '621122', '陇西县', 'longxixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122100', '621122', '621122100', '巩昌镇', 'gongchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122101', '621122', '621122101', '文峰镇', 'wenfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122102', '621122', '621122102', '首阳镇', 'shouyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122103', '621122', '621122103', '菜子镇', 'caizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122104', '621122', '621122104', '福星镇', 'fuxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122105', '621122', '621122105', '通安驿镇', 'tonganyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122106', '621122', '621122106', '云田镇', 'yuntianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122107', '621122', '621122107', '碧岩镇', 'biyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122108', '621122', '621122108', '马河镇', 'mahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122200', '621122', '621122200', '渭阳乡', 'weiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122201', '621122', '621122201', '宏伟乡', 'hongweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122202', '621122', '621122202', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122203', '621122', '621122203', '柯寨乡', 'kezhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122204', '621122', '621122204', '双泉乡', 'shuangquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122205', '621122', '621122205', '德兴乡', 'dexingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122206', '621122', '621122206', '永吉乡', 'yongjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621122207', '621122', '621122207', '权家湾乡', 'quanjiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123', '6211', '621123', '渭源县', 'weiyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123100', '621123', '621123100', '清源镇', 'qingyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123101', '621123', '621123101', '莲峰镇', 'lianfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123102', '621123', '621123102', '会川镇', 'huichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123103', '621123', '621123103', '五竹镇', 'wuzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123104', '621123', '621123104', '路园镇', 'luyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123105', '621123', '621123105', '北寨镇', 'beizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123106', '621123', '621123106', '新寨镇', 'xinzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123107', '621123', '621123107', '麻家集镇', 'majiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123200', '621123', '621123200', '锹峪乡', 'qiaoyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123203', '621123', '621123203', '大安乡', 'daanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123204', '621123', '621123204', '秦祁乡', 'qinqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123206', '621123', '621123206', '庆坪乡', 'qingpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123207', '621123', '621123207', '祁家庙乡', 'qijiamiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123208', '621123', '621123208', '上湾乡', 'shangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123209', '621123', '621123209', '峡城乡', 'xiachengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621123210', '621123', '621123210', '田家河乡', 'tianjiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124', '6211', '621124', '临洮县', 'lintaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124100', '621124', '621124100', '洮阳镇', 'taoyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124101', '621124', '621124101', '八里铺镇', 'balipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124102', '621124', '621124102', '新添镇', 'xintianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124103', '621124', '621124103', '辛店镇', 'xindianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124104', '621124', '621124104', '太石镇', 'taishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124105', '621124', '621124105', '中铺镇', 'zhongpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124106', '621124', '621124106', '峡口镇', 'xiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124107', '621124', '621124107', '龙门镇', 'longmenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124108', '621124', '621124108', '窑店镇', 'yaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124109', '621124', '621124109', '玉井镇', 'yujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124110', '621124', '621124110', '衙下镇', 'yaxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124111', '621124', '621124111', '南屏镇', 'nanpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124200', '621124', '621124200', '红旗乡', 'hongqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124201', '621124', '621124201', '上营乡', 'shangyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124202', '621124', '621124202', '康家集乡', 'kangjiajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124203', '621124', '621124203', '站滩乡', 'zhantanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124204', '621124', '621124204', '漫洼乡', 'manwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621124205', '621124', '621124205', '连儿湾乡', 'lianerwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125', '6211', '621125', '漳县', 'zhangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125100', '621125', '621125100', '武阳镇', 'wuyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125101', '621125', '621125101', '三岔镇', 'sanchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125102', '621125', '621125102', '新寺镇', 'xinsizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125103', '621125', '621125103', '金钟镇', 'jinzhongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125201', '621125', '621125201', '盐井乡', 'yanjingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125202', '621125', '621125202', '殪虎桥乡', 'yihuqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125203', '621125', '621125203', '大草滩乡', 'dacaotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125204', '621125', '621125204', '马泉乡', 'maquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125205', '621125', '621125205', '四族乡', 'sizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125206', '621125', '621125206', '石川乡', 'shichuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125207', '621125', '621125207', '草滩乡', 'caotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125208', '621125', '621125208', '武当乡', 'wudangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621125209', '621125', '621125209', '东泉乡', 'dongquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126', '6211', '621126', '岷县', 'minxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126100', '621126', '621126100', '岷阳镇', 'minyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126101', '621126', '621126101', '蒲麻镇', 'pumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126102', '621126', '621126102', '西寨镇', 'xizhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126103', '621126', '621126103', '梅川镇', 'meichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126104', '621126', '621126104', '西江镇', 'xijiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126105', '621126', '621126105', '闾井镇', 'lu:jingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126106', '621126', '621126106', '十里镇', 'shilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126107', '621126', '621126107', '茶埠镇', 'chabuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126108', '621126', '621126108', '中寨镇', 'zhongzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126200', '621126', '621126200', '清水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126201', '621126', '621126201', '马坞乡', 'mawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126202', '621126', '621126202', '寺沟乡', 'sigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126203', '621126', '621126203', '麻子川乡', 'mazichuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126204', '621126', '621126204', '秦许乡', 'qinxuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126205', '621126', '621126205', '禾驮乡', 'hetuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126206', '621126', '621126206', '维新乡', 'weixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126207', '621126', '621126207', '申都乡', 'shendouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621126208', '621126', '621126208', '锁龙乡', 'suolongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6212', '62', '6212', '陇南市', 'longnanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621201', '6212', '621201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202', '6212', '621202', '武都区', 'wudouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202100', '621202', '621202100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202101', '621202', '621202101', '安化镇', 'anhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202102', '621202', '621202102', '东江镇', 'dongjiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202103', '621202', '621202103', '两水镇', 'liangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202104', '621202', '621202104', '汉王镇', 'hanwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202105', '621202', '621202105', '洛塘镇', 'luotangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202106', '621202', '621202106', '角弓镇', 'jiaogongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202107', '621202', '621202107', '马街镇', 'majiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202108', '621202', '621202108', '三河镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202109', '621202', '621202109', '甘泉镇', 'ganquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202110', '621202', '621202110', '鱼龙镇', 'yulongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202111', '621202', '621202111', '琵琶镇', 'pipazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202200', '621202', '621202200', '城郊乡', 'chengjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202201', '621202', '621202201', '坪垭藏族乡', 'pingyazangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202203', '621202', '621202203', '蒲池乡', 'puchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202204', '621202', '621202204', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202207', '621202', '621202207', '汉林乡', 'hanlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202208', '621202', '621202208', '柏林乡', 'bolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202210', '621202', '621202210', '马营乡', 'mayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202211', '621202', '621202211', '池坝乡', 'chibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202213', '621202', '621202213', '佛崖乡', 'foyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202215', '621202', '621202215', '黄坪乡', 'huangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202217', '621202', '621202217', '隆兴乡', 'longxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202218', '621202', '621202218', '龙坝乡', 'longbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202219', '621202', '621202219', '龙凤乡', 'longfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202220', '621202', '621202220', '桔柑乡', 'jieganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202221', '621202', '621202221', '磨坝藏族乡', 'mobazangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202223', '621202', '621202223', '外纳乡', 'wainaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202225', '621202', '621202225', '玉皇乡', 'yuhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202226', '621202', '621202226', '郭河乡', 'guohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202229', '621202', '621202229', '枫相乡', 'fengxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202230', '621202', '621202230', '三仓乡', 'sancangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202231', '621202', '621202231', '五库乡', 'wukuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202233', '621202', '621202233', '月照乡', 'yuezhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202235', '621202', '621202235', '五马乡', 'wumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621202237', '621202', '621202237', '裕河乡', 'yuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221', '6212', '621221', '成县', 'chengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221100', '621221', '621221100', '成县城关镇', 'chengxianchengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221101', '621221', '621221101', '黄渚镇', 'huangzhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221102', '621221', '621221102', '红川镇', 'hongchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221103', '621221', '621221103', '小川镇', 'xiaochuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221104', '621221', '621221104', '纸坊镇', 'zhifangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221105', '621221', '621221105', '抛沙镇', 'paoshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221107', '621221', '621221107', '店村镇', 'diancunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221108', '621221', '621221108', '王磨镇', 'wangmozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221109', '621221', '621221109', '陈院镇', 'chenyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221110', '621221', '621221110', '沙坝镇', 'shabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221111', '621221', '621221111', '黄陈镇', 'huangchenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221112', '621221', '621221112', '鸡峰镇', 'jifengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221203', '621221', '621221203', '宋坪乡', 'songpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221206', '621221', '621221206', '二郎乡', 'erlangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221209', '621221', '621221209', '苏元乡', 'suyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221210', '621221', '621221210', '索池乡', 'suochixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621221213', '621221', '621221213', '镡河乡', 'chanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222', '6212', '621222', '文县', 'wenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222100', '621222', '621222100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222101', '621222', '621222101', '碧口镇', 'bikouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222102', '621222', '621222102', '尚德镇', 'shangdezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222200', '621222', '621222200', '铁楼乡', 'tielouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222203', '621222', '621222203', '丹堡乡', 'danbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222205', '621222', '621222205', '刘家坪乡', 'liujiapingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222206', '621222', '621222206', '玉垒乡', 'yuleixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222207', '621222', '621222207', '范坝乡', 'fanbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222210', '621222', '621222210', '中庙乡', 'zhongmiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222211', '621222', '621222211', '口头坝乡', 'koutoubaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222212', '621222', '621222212', '尖山乡', 'jianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222213', '621222', '621222213', '临江乡', 'linjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222214', '621222', '621222214', '黎坪乡', 'lipingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222215', '621222', '621222215', '舍书乡', 'sheshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222216', '621222', '621222216', '天池乡', 'tianchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222217', '621222', '621222217', '桥头乡', 'qiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222218', '621222', '621222218', '堡子坝乡', 'baozibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222219', '621222', '621222219', '石坊乡', 'shifangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222220', '621222', '621222220', '石鸡坝乡', 'shijibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621222222', '621222', '621222222', '中寨乡', 'zhongzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223', '6212', '621223', '宕昌县', 'dangchangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223100', '621223', '621223100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223101', '621223', '621223101', '哈达铺镇', 'hadapuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223102', '621223', '621223102', '理川镇', 'lichuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223103', '621223', '621223103', '南阳镇', 'nanyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223104', '621223', '621223104', '官亭镇', 'guantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223105', '621223', '621223105', '沙湾镇', 'shawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223200', '621223', '621223200', '阿坞乡', 'awuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223204', '621223', '621223204', '南河乡', 'nanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223205', '621223', '621223205', '八力乡', 'balixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223206', '621223', '621223206', '木耳乡', 'muerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223207', '621223', '621223207', '宠家乡', 'chongjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223209', '621223', '621223209', '何家堡乡', 'hejiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223211', '621223', '621223211', '贾河乡', 'jiahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223212', '621223', '621223212', '将台乡', 'jiangtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223213', '621223', '621223213', '车拉乡', 'chelaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223214', '621223', '621223214', '新城子藏族乡', 'xinchengzizangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223215', '621223', '621223215', '临江乡', 'linjiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223216', '621223', '621223216', '好梯乡', 'haotixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223217', '621223', '621223217', '韩院乡', 'hanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223218', '621223', '621223218', '竹院乡', 'zhuyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223219', '621223', '621223219', '兴化乡', 'xinghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223220', '621223', '621223220', '甘江头乡', 'ganjiangtouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223223', '621223', '621223223', '新寨乡', 'xinzhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223224', '621223', '621223224', '狮子乡', 'shizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621223225', '621223', '621223225', '两河口乡', 'lianghekouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224', '6212', '621224', '康县', 'kangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224100', '621224', '621224100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224101', '621224', '621224101', '平洛镇', 'pingluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224102', '621224', '621224102', '大堡镇', 'dabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224103', '621224', '621224103', '岸门口镇', 'anmenkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224104', '621224', '621224104', '两河镇', 'lianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224105', '621224', '621224105', '长坝镇', 'zhangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224106', '621224', '621224106', '云台镇', 'yuntaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224107', '621224', '621224107', '阳坝镇', 'yangbazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224200', '621224', '621224200', '望关乡', 'wangguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224202', '621224', '621224202', '寺台乡', 'sitaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224203', '621224', '621224203', '大南峪乡', 'dananyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224204', '621224', '621224204', '迷坝乡', 'mibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224206', '621224', '621224206', '王坝乡', 'wangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224207', '621224', '621224207', '碾坝乡', 'nianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224208', '621224', '621224208', '豆坝乡', 'doubaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224209', '621224', '621224209', '店子乡', 'dianzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224210', '621224', '621224210', '豆坪乡', 'doupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224212', '621224', '621224212', '白杨乡', 'baiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224214', '621224', '621224214', '太石乡', 'taishixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224215', '621224', '621224215', '铜钱乡', 'tongqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621224218', '621224', '621224218', '三河坝乡', 'sanhebaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225', '6212', '621225', '西和县', 'xihexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225100', '621225', '621225100', '汉源镇', 'hanyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225101', '621225', '621225101', '长道镇', 'zhangdaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225102', '621225', '621225102', '何坝镇', 'hebazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225103', '621225', '621225103', '姜席镇', 'jiangxizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225104', '621225', '621225104', '石峡镇', 'shixiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225105', '621225', '621225105', '洛峪镇', 'luoyuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225201', '621225', '621225201', '石堡乡', 'shibaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225202', '621225', '621225202', '西峪乡', 'xiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225203', '621225', '621225203', '苏河乡', 'suhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225204', '621225', '621225204', '卢河乡', 'luhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225205', '621225', '621225205', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225206', '621225', '621225206', '稍峪乡', 'shaoyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225207', '621225', '621225207', '马元乡', 'mayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225208', '621225', '621225208', '晒经乡', 'shaijingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225211', '621225', '621225211', '十里乡', 'shilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225216', '621225', '621225216', '大桥乡', 'daqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225217', '621225', '621225217', '蒿林乡', 'haolinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225218', '621225', '621225218', '太石河乡', 'taishihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225220', '621225', '621225220', '六巷乡', 'liuxiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621225221', '621225', '621225221', '西高山乡', 'xigaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226', '6212', '621226', '礼县', 'lixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226100', '621226', '621226100', '礼县城关镇', 'lixianchengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226101', '621226', '621226101', '盐官镇', 'yanguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226102', '621226', '621226102', '石桥镇', 'shiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226103', '621226', '621226103', '白河镇', 'baihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226200', '621226', '621226200', '宽川乡', 'kuanchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226201', '621226', '621226201', '永兴乡', 'yongxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226202', '621226', '621226202', '祁山乡', 'qishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226203', '621226', '621226203', '马河乡', 'mahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226204', '621226', '621226204', '红河乡', 'honghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226208', '621226', '621226208', '永坪乡', 'yongpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226209', '621226', '621226209', '固城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226210', '621226', '621226210', '崖城乡', 'yachengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226211', '621226', '621226211', '罗坝乡', 'luobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226212', '621226', '621226212', '湫山乡', 'qiushanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226214', '621226', '621226214', '洮坪乡', 'taopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226215', '621226', '621226215', '上坪乡', 'shangpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226218', '621226', '621226218', '江口乡', 'jiangkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226219', '621226', '621226219', '雷王乡', 'leiwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226220', '621226', '621226220', '龙林乡', 'longlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226221', '621226', '621226221', '中坝乡', 'zhongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226222', '621226', '621226222', '白关乡', 'baiguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226224', '621226', '621226224', '沙金乡', 'shajinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226227', '621226', '621226227', '桥头乡', 'qiaotouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226228', '621226', '621226228', '草坪乡', 'caopingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226229', '621226', '621226229', '雷坝乡', 'leibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226230', '621226', '621226230', '王坝乡', 'wangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226231', '621226', '621226231', '肖良乡', 'xiaoliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226232', '621226', '621226232', '三峪乡', 'sanyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621226233', '621226', '621226233', '滩坪乡', 'tanpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227', '6212', '621227', '徽县', 'huixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227100', '621227', '621227100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227101', '621227', '621227101', '伏家镇', 'fujiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227102', '621227', '621227102', '江洛镇', 'jiangluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227103', '621227', '621227103', '泥阳镇', 'niyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227104', '621227', '621227104', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227105', '621227', '621227105', '嘉陵镇', 'jialingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227106', '621227', '621227106', '永宁镇', 'yongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227201', '621227', '621227201', '银杏乡', 'yinxingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227202', '621227', '621227202', '水阳乡', 'shuiyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227203', '621227', '621227203', '栗川乡', 'lichuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227205', '621227', '621227205', '麻沿乡', 'mayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227206', '621227', '621227206', '高桥乡', 'gaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227208', '621227', '621227208', '榆树乡', 'yushuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227210', '621227', '621227210', '大河店乡', 'dahedianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621227211', '621227', '621227211', '虞关乡', 'yuguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228', '6212', '621228', '两当县', 'liangdangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228100', '621228', '621228100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228101', '621228', '621228101', '站儿巷镇', 'zhanerxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228102', '621228', '621228102', '西坡镇', 'xipozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228200', '621228', '621228200', '杨店乡', 'yangdianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228201', '621228', '621228201', '左家乡', 'zuojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228202', '621228', '621228202', '显龙乡', 'xianlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228203', '621228', '621228203', '鱼池乡', 'yuchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228204', '621228', '621228204', '兴化乡', 'xinghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228207', '621228', '621228207', '张家乡', 'zhangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228209', '621228', '621228209', '云屏乡', 'yunpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228210', '621228', '621228210', '泰山乡', 'taishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('621228212', '621228', '621228212', '金洞乡', 'jindongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6229', '62', '6229', '临夏州', 'linxiazhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622901', '6229', '622901', '临夏市', 'linxiashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622901001', '622901', '622901001', '城南街道', 'chengnanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622901002', '622901', '622901002', '城北街道', 'chengbeijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622901003', '622901', '622901003', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622901004', '622901', '622901004', '西关街道', 'xiguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622901005', '622901', '622901005', '八坊街道', 'bafangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622901006', '622901', '622901006', '红园街道', 'hongyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622901100', '622901', '622901100', '城郊镇', 'chengjiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622901101', '622901', '622901101', '枹罕镇', 'baohanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622901102', '622901', '622901102', '南龙镇', 'nanlongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622901103', '622901', '622901103', '折桥镇', 'zheqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921', '6229', '622921', '临夏县', 'linxiaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921100', '622921', '622921100', '韩集镇', 'hanjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921101', '622921', '622921101', '土桥镇', 'tuqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921102', '622921', '622921102', '马集镇', 'majizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921103', '622921', '622921103', '莲花镇', 'lianhuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921104', '622921', '622921104', '新集镇', 'xinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921105', '622921', '622921105', '尹集镇', 'yinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921200', '622921', '622921200', '营滩乡', 'yingtanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921201', '622921', '622921201', '掌子沟乡', 'zhangzigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921202', '622921', '622921202', '麻尼寺沟乡', 'manisigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921204', '622921', '622921204', '漠泥沟乡', 'monigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921205', '622921', '622921205', '刁祁乡', 'diaoqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921208', '622921', '622921208', '漫路乡', 'manluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921209', '622921', '622921209', '榆林乡', 'yulinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921210', '622921', '622921210', '井沟乡', 'jinggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921211', '622921', '622921211', '北塬乡', 'beiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921213', '622921', '622921213', '坡头乡', 'potouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921214', '622921', '622921214', '桥寺乡', 'qiaosixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921215', '622921', '622921215', '先锋乡', 'xianfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921216', '622921', '622921216', '河西乡', 'hexixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921217', '622921', '622921217', '安家坡乡', 'anjiapoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921218', '622921', '622921218', '南塬乡', 'nanyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921220', '622921', '622921220', '红台乡', 'hongtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921222', '622921', '622921222', '黄泥湾乡', 'huangniwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921223', '622921', '622921223', '路盘乡', 'lupanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622921224', '622921', '622921224', '民主乡', 'minzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922', '6229', '622922', '康乐县', 'kanglexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922100', '622922', '622922100', '附城镇', 'fuchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922101', '622922', '622922101', '苏集镇', 'sujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922102', '622922', '622922102', '胭脂镇', 'yanzhizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922103', '622922', '622922103', '景古镇', 'jingguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922104', '622922', '622922104', '莲麓镇', 'lianluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922200', '622922', '622922200', '康丰乡', 'kangfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922201', '622922', '622922201', '虎关乡', 'huguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922202', '622922', '622922202', '流川乡', 'liuchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922203', '622922', '622922203', '白王乡', 'baiwangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922205', '622922', '622922205', '八松乡', 'basongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922206', '622922', '622922206', '鸣鹿乡', 'mingluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922207', '622922', '622922207', '八丹乡', 'badanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922208', '622922', '622922208', '上湾乡', 'shangwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922211', '622922', '622922211', '草滩乡', 'caotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622922212', '622922', '622922212', '五户乡', 'wuhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923', '6229', '622923', '永靖县', 'yongjingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923100', '622923', '622923100', '刘家峡镇', 'liujiaxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923101', '622923', '622923101', '盐锅峡镇', 'yanguoxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923102', '622923', '622923102', '太极镇', 'taijizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923103', '622923', '622923103', '西河镇', 'xihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923104', '622923', '622923104', '三塬镇', 'sanyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923105', '622923', '622923105', '岘塬镇', 'xianyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923106', '622923', '622923106', '陈井镇', 'chenjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923107', '622923', '622923107', '川城镇', 'chuanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923108', '622923', '622923108', '王台镇', 'wangtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923109', '622923', '622923109', '红泉镇', 'hongquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923200', '622923', '622923200', '关山乡', 'guanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923201', '622923', '622923201', '徐顶乡', 'xudingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923202', '622923', '622923202', '三条岘乡', 'santiaoxianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923203', '622923', '622923203', '坪沟乡', 'pinggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923206', '622923', '622923206', '新寺乡', 'xinsixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923207', '622923', '622923207', '小岭乡', 'xiaolingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622923208', '622923', '622923208', '杨塔乡', 'yangtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622924', '6229', '622924', '广河县', 'guanghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622924100', '622924', '622924100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622924101', '622924', '622924101', '三甲集镇', 'sanjiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622924102', '622924', '622924102', '祁家集镇', 'qijiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622924103', '622924', '622924103', '庄禾集镇', 'zhuanghejizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622924104', '622924', '622924104', '买家巷镇', 'maijiaxiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622924105', '622924', '622924105', '齐家镇', 'qijiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622924202', '622924', '622924202', '水泉乡', 'shuiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622924203', '622924', '622924203', '官坊乡', 'guanfangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622924204', '622924', '622924204', '阿力麻土乡', 'alimatuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925', '6229', '622925', '和政县', 'hezhengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925100', '622925', '622925100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925101', '622925', '622925101', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925102', '622925', '622925102', '三十里铺镇', 'sanshilipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925103', '622925', '622925103', '马家堡镇', 'majiabaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925104', '622925', '622925104', '买家集镇', 'maijiajizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925200', '622925', '622925200', '梁家寺乡', 'liangjiasixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925201', '622925', '622925201', '陈家集乡', 'chenjiajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925202', '622925', '622925202', '罗家集乡', 'luojiajixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925203', '622925', '622925203', '卜家庄乡', 'bujiazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925204', '622925', '622925204', '新营乡', 'xinyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925205', '622925', '622925205', '新庄乡', 'xinzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925206', '622925', '622925206', '吊滩乡', 'diaotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622925207', '622925', '622925207', '达浪乡', 'dalangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926', '6229', '622926', '东乡族自治县', 'dongxiangzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926100', '622926', '622926100', '锁南镇', 'suonanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926101', '622926', '622926101', '达板镇', 'dabanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926102', '622926', '622926102', '河滩镇', 'hetanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926103', '622926', '622926103', '那勒寺镇', 'neilesizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926104', '622926', '622926104', '唐汪镇', 'tangwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926200', '622926', '622926200', '春台乡', 'chuntaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926201', '622926', '622926201', '柳树乡', 'liushuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926202', '622926', '622926202', '东塬乡', 'dongyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926204', '622926', '622926204', '坪庄乡', 'pingzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926205', '622926', '622926205', '百和乡', 'baihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926206', '622926', '622926206', '关卜乡', 'guanbuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926208', '622926', '622926208', '赵家乡', 'zhaojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926209', '622926', '622926209', '五家乡', 'wujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926210', '622926', '622926210', '果园乡', 'guoyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926212', '622926', '622926212', '沿岭乡', 'yanlingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926213', '622926', '622926213', '汪集乡', 'wangjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926214', '622926', '622926214', '风山乡', 'fengshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926215', '622926', '622926215', '车家湾乡', 'chejiawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926216', '622926', '622926216', '高山乡', 'gaoshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926219', '622926', '622926219', '大树乡', 'dashuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926220', '622926', '622926220', '北岭乡', 'beilingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926221', '622926', '622926221', '龙泉乡', 'longquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926222', '622926', '622926222', '考勒乡', 'kaolexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622926223', '622926', '622926223', '董岭乡', 'donglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927', '6229', '622927', '积石山县', 'jishishanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927100', '622927', '622927100', '吹麻滩镇', 'chuimatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927101', '622927', '622927101', '大河家镇', 'dahejiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927102', '622927', '622927102', '居集镇', 'jujizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927103', '622927', '622927103', '别藏镇', 'biezangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927200', '622927', '622927200', '刘集乡', 'liujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927201', '622927', '622927201', '石塬乡', 'shiyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927202', '622927', '622927202', '柳沟乡', 'liugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927203', '622927', '622927203', '关家川乡', 'guanjiachuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927204', '622927', '622927204', '胡林家乡', 'hulinjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927205', '622927', '622927205', '安集乡', 'anjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927206', '622927', '622927206', '寨子沟乡', 'zhaizigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927207', '622927', '622927207', '郭干乡', 'guoganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927208', '622927', '622927208', '徐扈家乡', 'xuhujiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927209', '622927', '622927209', '中咀岭乡', 'zhongjulingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927210', '622927', '622927210', '小关乡', 'xiaoguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927211', '622927', '622927211', '铺川乡', 'puchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('622927212', '622927', '622927212', '银川乡', 'yinchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6230', '62', '6230', '甘南州', 'gannanzhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623001', '6230', '623001', '合作市', 'hezuoshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623001001', '623001', '623001001', '当周街道', 'dangzhoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623001002', '623001', '623001002', '伊合昂街道', 'yiheangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623001003', '623001', '623001003', '坚木克尔街道', 'jianmukeerjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623001004', '623001', '623001004', '通钦街道', 'tongqinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623001200', '623001', '623001200', '卡加曼乡', 'kajiamanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623001201', '623001', '623001201', '卡加道乡', 'kajiadaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623001202', '623001', '623001202', '佐盖多玛乡', 'zuogaiduomaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623001203', '623001', '623001203', '佐盖曼玛乡', 'zuogaimanmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623001204', '623001', '623001204', '勒秀乡', 'lexiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623001205', '623001', '623001205', '那吾乡', 'neiwuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021', '6230', '623021', '临潭县', 'lintanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021100', '623021', '623021100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021101', '623021', '623021101', '新城镇', 'xinchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021102', '623021', '623021102', '冶力关镇', 'yeliguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021200', '623021', '623021200', '初布乡', 'chubuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021201', '623021', '623021201', '古战回族乡', 'guzhanhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021202', '623021', '623021202', '卓洛回族乡', 'zhuoluohuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021203', '623021', '623021203', '长川回族乡', 'zhangchuanhuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021204', '623021', '623021204', '羊永乡', 'yangyongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021205', '623021', '623021205', '流顺乡', 'liushunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021206', '623021', '623021206', '店子乡', 'dianzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021207', '623021', '623021207', '洮滨乡', 'taobinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021208', '623021', '623021208', '三岔乡', 'sanchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021209', '623021', '623021209', '王旗乡', 'wangqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021210', '623021', '623021210', '石门乡', 'shimenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021211', '623021', '623021211', '羊沙乡', 'yangshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623021212', '623021', '623021212', '八角乡', 'bajiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022', '6230', '623022', '卓尼县', 'zhuonixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022100', '623022', '623022100', '柳林镇', 'liulinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022101', '623022', '623022101', '木耳镇', 'muerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022102', '623022', '623022102', '扎古录镇', 'zhaguluzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022200', '623022', '623022200', '纳浪乡', 'nalangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022201', '623022', '623022201', '喀尔钦乡(卡车)', 'kaerqinxiang(kache)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022202', '623022', '623022202', '刀告乡', 'daogaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022203', '623022', '623022203', '尼巴乡', 'nibaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022204', '623022', '623022204', '完冒乡', 'wanmaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022205', '623022', '623022205', '阿子塘乡', 'azitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022206', '623022', '623022206', '申藏乡', 'shenzangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022207', '623022', '623022207', '恰盖乡', 'qiagaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022208', '623022', '623022208', '康多乡', 'kangduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022209', '623022', '623022209', '勺哇土族乡', 'shaowatuzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022210', '623022', '623022210', '洮砚乡', 'taoyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623022211', '623022', '623022211', '藏巴哇乡', 'zangbawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023', '6230', '623023', '舟曲县', 'zhouquxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023100', '623023', '623023100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023101', '623023', '623023101', '大川镇', 'dachuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023200', '623023', '623023200', '曲瓦乡', 'quwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023201', '623023', '623023201', '巴藏乡', 'bazangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023202', '623023', '623023202', '大峪乡', 'dayuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023203', '623023', '623023203', '立节乡', 'lijiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023204', '623023', '623023204', '憨班乡', 'hanbanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023205', '623023', '623023205', '峰迭乡', 'fengdiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023206', '623023', '623023206', '坪定乡', 'pingdingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023207', '623023', '623023207', '江盘乡', 'jiangpanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023208', '623023', '623023208', '东山乡', 'dongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023209', '623023', '623023209', '南峪乡', 'nanyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023210', '623023', '623023210', '果耶乡', 'guoyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023211', '623023', '623023211', '八楞乡', 'balengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023212', '623023', '623023212', '武坪乡', 'wupingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023213', '623023', '623023213', '插岗乡', 'chagangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023214', '623023', '623023214', '拱坝乡', 'gongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023215', '623023', '623023215', '曲告纳乡', 'qugaonaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623023216', '623023', '623023216', '博峪乡', 'boyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024', '6230', '623024', '迭部县', 'diebuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024100', '623024', '623024100', '电尕镇', 'diangazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024200', '623024', '623024200', '益哇乡', 'yiwaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024201', '623024', '623024201', '卡坝乡', 'kabaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024202', '623024', '623024202', '达拉乡', 'dalaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024203', '623024', '623024203', '尼傲乡', 'niaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024204', '623024', '623024204', '旺藏乡', 'wangzangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024205', '623024', '623024205', '阿夏乡', 'axiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024206', '623024', '623024206', '多儿乡', 'duoerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024207', '623024', '623024207', '桑坝乡', 'sangbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024208', '623024', '623024208', '腊子乡', 'lazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623024209', '623024', '623024209', '洛大乡', 'luodaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025', '6230', '623025', '玛曲县', 'maquxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025100', '623025', '623025100', '尼玛镇', 'nimazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025200', '623025', '623025200', '欧拉乡', 'oulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025201', '623025', '623025201', '欧拉秀玛乡', 'oulaxiumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025202', '623025', '623025202', '阿万仓乡', 'awancangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025203', '623025', '623025203', '木西合乡', 'muxihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025204', '623025', '623025204', '齐哈玛乡', 'qihamaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025205', '623025', '623025205', '采日玛乡', 'cairimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025206', '623025', '623025206', '曼日吗乡', 'manrimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025400', '623025', '623025400', '甘南州河曲马场', 'gannanzhouhequmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025401', '623025', '623025401', '甘南州大水军牧场', 'gannanzhoudashuijunmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623025402', '623025', '623025402', '高原生物研究所', 'gaoyuanshengwuyanjiusuo', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623026', '6230', '623026', '碌曲县', 'liuquxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623026100', '623026', '623026100', '郎木寺镇', 'langmusizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623026101', '623026', '623026101', '玛艾镇', 'maaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623026200', '623026', '623026200', '尕海乡', 'gahaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623026201', '623026', '623026201', '西仓乡', 'xicangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623026202', '623026', '623026202', '拉仁关乡', 'larenguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623026203', '623026', '623026203', '双岔乡', 'shuangchaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623026204', '623026', '623026204', '阿拉乡', 'alaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623026400', '623026', '623026400', '李恰如牧场', 'liqiarumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027', '6230', '623027', '夏河县', 'xiahexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027100', '623027', '623027100', '拉卜楞镇', 'labulengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027101', '623027', '623027101', '王格尔塘镇', 'wanggeertangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027102', '623027', '623027102', '阿木去乎镇', 'amuquhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027200', '623027', '623027200', '桑科乡', 'sangkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027201', '623027', '623027201', '甘加乡', 'ganjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027202', '623027', '623027202', '达麦乡', 'damaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027203', '623027', '623027203', '麻当乡', 'madangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027204', '623027', '623027204', '曲奥乡', 'quaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027205', '623027', '623027205', '唐尕昂乡', 'tanggaangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027206', '623027', '623027206', '扎油乡', 'zhayouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027207', '623027', '623027207', '博拉乡', 'bolaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027208', '623027', '623027208', '吉仓乡', 'jicangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('623027209', '623027', '623027209', '科才乡', 'kecaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('63', '-1', '63', '青海省', 'qinghaisheng', '1', '1', 0, 1, NULL, NULL, '2020-09-17 01:50:35', 'admin', NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6301', '63', '6301', '西宁市', 'xiningshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630101', '6301', '630101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630102', '6301', '630102', '城东区', 'chengdongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630102001', '630102', '630102001', '东关街道', 'dongguanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630102002', '630102', '630102002', '清真巷街道', 'qingzhenxiangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630102003', '630102', '630102003', '大众街街道', 'dazhongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630102004', '630102', '630102004', '周家泉街道', 'zhoujiaquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630102005', '630102', '630102005', '火车站街道', 'huochezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630102006', '630102', '630102006', '八一路街道', 'bayilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630102007', '630102', '630102007', '林家崖街道', 'linjiayajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630102100', '630102', '630102100', '乐家湾镇政府', 'lejiawanzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630102101', '630102', '630102101', '韵家口镇政府', 'yunjiakouzhenzhengfu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630103', '6301', '630103', '城中区', 'chengzhongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630103001', '630103', '630103001', '人民街街道', 'renminjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630103002', '630103', '630103002', '南滩街道', 'nantanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630103003', '630103', '630103003', '仓门街街道', 'cangmenjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630103004', '630103', '630103004', '礼让街街道', 'lirangjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630103005', '630103', '630103005', '饮马街街道', 'yinmajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630103006', '630103', '630103006', '南川东路街道', 'nanchuandonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630104', '6301', '630104', '城西区', 'chengxiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630104001', '630104', '630104001', '西关大街街道', 'xiguandajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630104002', '630104', '630104002', '古城台街道', 'guchengtaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630104003', '630104', '630104003', '虎台街道', 'hutaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630104004', '630104', '630104004', '胜利路街道', 'shenglilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630104005', '630104', '630104005', '兴海路街道', 'xinghailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630104006', '630104', '630104006', '南川西路街道', 'nanchuanxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630104100', '630104', '630104100', '彭家寨镇', 'pengjiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630105', '6301', '630105', '城北区', 'chengbeiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630105001', '630105', '630105001', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630105002', '630105', '630105002', '小桥大街街道', 'xiaoqiaodajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630105003', '630105', '630105003', '马坊街道', 'mafangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630105100', '630105', '630105100', '大堡子镇', 'dabaozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630105101', '630105', '630105101', '廿里铺镇', 'nianlipuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121', '6301', '630121', '大通回族土族自治县', 'datonghuizutuzuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121100', '630121', '630121100', '桥头镇', 'qiaotouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121101', '630121', '630121101', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121102', '630121', '630121102', '塔尔镇', 'taerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121103', '630121', '630121103', '东峡镇', 'dongxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121104', '630121', '630121104', '黄家寨镇', 'huangjiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121105', '630121', '630121105', '长宁镇', 'zhangningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121106', '630121', '630121106', '景阳镇', 'jingyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121107', '630121', '630121107', '多林镇', 'duolinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121108', '630121', '630121108', '新庄镇', 'xinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121200', '630121', '630121200', '青林乡', 'qinglinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121201', '630121', '630121201', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121202', '630121', '630121202', '逊让乡', 'xunrangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121203', '630121', '630121203', '极乐乡', 'jilexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121204', '630121', '630121204', '石山乡', 'shishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121205', '630121', '630121205', '宝库乡', 'baokuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121206', '630121', '630121206', '斜沟乡', 'xiegouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121207', '630121', '630121207', '良教乡', 'liangjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121208', '630121', '630121208', '向化乡', 'xianghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121209', '630121', '630121209', '桦林乡', 'hualinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630121210', '630121', '630121210', '朔北乡', 'shuobeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122', '6301', '630122', '湟中县', 'huangzhongxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122100', '630122', '630122100', '鲁沙尔镇', 'lushaerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122101', '630122', '630122101', '总寨镇', 'zongzhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122102', '630122', '630122102', '上新庄镇', 'shangxinzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122103', '630122', '630122103', '田家寨镇', 'tianjiazhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122104', '630122', '630122104', '甘河滩镇', 'ganhetanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122105', '630122', '630122105', '共和镇', 'gonghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122106', '630122', '630122106', '多巴镇', 'duobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122107', '630122', '630122107', '拦隆口镇', 'lanlongkouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122108', '630122', '630122108', '上五庄镇', 'shangwuzhuangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122109', '630122', '630122109', '李家山镇', 'lijiashanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122110', '630122', '630122110', '西堡镇', 'xibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122200', '630122', '630122200', '群加乡', 'qunjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122201', '630122', '630122201', '土门关乡', 'tumenguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122202', '630122', '630122202', '汉东乡', 'handongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122203', '630122', '630122203', '大才乡', 'dacaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630122204', '630122', '630122204', '海子沟乡', 'haizigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630123', '6301', '630123', '湟源县', 'huangyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630123100', '630123', '630123100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630123101', '630123', '630123101', '大华镇', 'dahuazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630123200', '630123', '630123200', '东峡乡', 'dongxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630123201', '630123', '630123201', '日月乡', 'riyuexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630123202', '630123', '630123202', '和平乡', 'hepingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630123203', '630123', '630123203', '波航乡', 'bohangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630123204', '630123', '630123204', '申中乡', 'shenzhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630123205', '630123', '630123205', '巴燕乡', 'bayanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('630123206', '630123', '630123206', '寺寨乡', 'sizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6321', '63', '6321', '海东地区', 'haidongdiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632121', '6321', '632121', '平安县', 'pinganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632121100', '632121', '632121100', '平安镇', 'pinganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632121101', '632121', '632121101', '小峡镇', 'xiaoxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632121102', '632121', '632121102', '三合镇', 'sanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632121200', '632121', '632121200', '洪水泉乡', 'hongshuiquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632121201', '632121', '632121201', '石灰窑乡', 'shihuiyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632121202', '632121', '632121202', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632121203', '632121', '632121203', '沙沟乡', 'shagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632121204', '632121', '632121204', '巴藏沟乡', 'bazanggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122', '6321', '632122', '民和县', 'minhexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122100', '632122', '632122100', '川口镇', 'chuankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122101', '632122', '632122101', '古鄯镇', 'gushanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122102', '632122', '632122102', '马营镇', 'mayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122103', '632122', '632122103', '官亭镇', 'guantingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122104', '632122', '632122104', '巴州镇', 'bazhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122105', '632122', '632122105', '满坪镇', 'manpingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122106', '632122', '632122106', '李二堡镇', 'lierbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122107', '632122', '632122107', '硖门镇', 'xiamenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122200', '632122', '632122200', '马场垣乡', 'machangyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122201', '632122', '632122201', '北山乡', 'beishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122202', '632122', '632122202', '松树乡', 'songshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122203', '632122', '632122203', '西沟乡', 'xigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122204', '632122', '632122204', '总堡乡', 'zongbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122205', '632122', '632122205', '隆治乡', 'longzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122206', '632122', '632122206', '大庄乡', 'dazhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122207', '632122', '632122207', '转导乡', 'zhuandaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122208', '632122', '632122208', '前河乡', 'qianhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122209', '632122', '632122209', '甘沟乡', 'gangouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122210', '632122', '632122210', '中川乡', 'zhongchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122211', '632122', '632122211', '杏儿乡', 'xingerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122212', '632122', '632122212', '核桃庄乡', 'hetaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632122213', '632122', '632122213', '新民乡', 'xinminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123', '6321', '632123', '乐都县', 'ledouxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123100', '632123', '632123100', '碾伯镇', 'nianbozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123101', '632123', '632123101', '雨润镇', 'yurunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123102', '632123', '632123102', '寿乐镇', 'shoulezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123103', '632123', '632123103', '高庙镇', 'gaomiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123104', '632123', '632123104', '洪水镇', 'hongshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123105', '632123', '632123105', '高店镇', 'gaodianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123106', '632123', '632123106', '瞿昙镇', 'jutanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123200', '632123', '632123200', '共和乡', 'gonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123201', '632123', '632123201', '中岭乡', 'zhonglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123202', '632123', '632123202', '李家乡', 'lijiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123203', '632123', '632123203', '下营乡', 'xiayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123204', '632123', '632123204', '芦化乡', 'luhuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123205', '632123', '632123205', '马营乡', 'mayingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123206', '632123', '632123206', '马厂乡', 'machangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123207', '632123', '632123207', '蒲台乡', 'putaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123208', '632123', '632123208', '中坝乡', 'zhongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123209', '632123', '632123209', '峰堆乡', 'fengduixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123210', '632123', '632123210', '城台乡', 'chengtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632123211', '632123', '632123211', '达拉乡', 'dalaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126', '6321', '632126', '互助县', 'huzhuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126100', '632126', '632126100', '威远镇', 'weiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126101', '632126', '632126101', '丹麻镇', 'danmazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126102', '632126', '632126102', '高寨镇', 'gaozhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126103', '632126', '632126103', '南门峡镇', 'nanmenxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126104', '632126', '632126104', '加定镇', 'jiadingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126105', '632126', '632126105', '沙塘川镇', 'shatangchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126106', '632126', '632126106', '五十镇', 'wushizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126107', '632126', '632126107', '五峰镇', 'wufengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126200', '632126', '632126200', '台子乡', 'taizixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126201', '632126', '632126201', '西山乡', 'xishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126202', '632126', '632126202', '红崖子沟乡', 'hongyazigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126203', '632126', '632126203', '巴扎藏族乡', 'bazhazangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126204', '632126', '632126204', '哈拉直沟乡', 'halazhigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126205', '632126', '632126205', '松多藏族乡', 'songduozangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126206', '632126', '632126206', '东山乡', 'dongshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126207', '632126', '632126207', '东和乡', 'donghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126208', '632126', '632126208', '东沟乡', 'donggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126209', '632126', '632126209', '林川乡', 'linchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632126210', '632126', '632126210', '蔡家堡乡', 'caijiabaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127', '6321', '632127', '化隆回族自治县', 'hualonghuizuzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127100', '632127', '632127100', '巴燕镇', 'bayanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127101', '632127', '632127101', '群科镇', 'qunkezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127102', '632127', '632127102', '牙什尕镇', 'yashengazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127103', '632127', '632127103', '甘都镇', 'gandouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127104', '632127', '632127104', '扎巴镇', 'zhabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127105', '632127', '632127105', '昂思多镇', 'angsiduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127200', '632127', '632127200', '雄先藏族乡', 'xiongxianzangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127201', '632127', '632127201', '初么乡', 'chumexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127202', '632127', '632127202', '查甫乡', 'chafuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127203', '632127', '632127203', '塔加乡', 'tajiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127204', '632127', '632127204', '金源乡', 'jinyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127205', '632127', '632127205', '二塘乡', 'ertangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127206', '632127', '632127206', '谢家滩乡', 'xiejiatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127207', '632127', '632127207', '德恒隆乡', 'dehenglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127208', '632127', '632127208', '沙连堡乡', 'shalianbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127209', '632127', '632127209', '阿什奴乡', 'ashennuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127210', '632127', '632127210', '石大仓乡', 'shidacangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127400', '632127', '632127400', '李家峡管委会', 'lijiaxiaguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632127401', '632127', '632127401', '公伯峡委员会', 'gongboxiaweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632128', '6321', '632128', '循化县', 'xunhuaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632128100', '632128', '632128100', '积石镇', 'jishizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632128200', '632128', '632128200', '道帏藏族乡', 'daoweizangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632128201', '632128', '632128201', '白庄乡', 'baizhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632128202', '632128', '632128202', '清水乡', 'qingshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632128203', '632128', '632128203', '岗察藏族乡', 'gangchazangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632128204', '632128', '632128204', '街子乡', 'jiezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632128205', '632128', '632128205', '查汗都斯乡', 'chahandousixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632128206', '632128', '632128206', '文都藏族乡', 'wendouzangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632128207', '632128', '632128207', '尕楞藏族乡', 'galengzangzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6322', '63', '6322', '海北州', 'haibeizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221', '6322', '632221', '门源县', 'menyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221100', '632221', '632221100', '浩门镇', 'haomenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221101', '632221', '632221101', '青石咀镇', 'qingshijuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221102', '632221', '632221102', '泉口镇', 'quankouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221103', '632221', '632221103', '东川镇', 'dongchuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221200', '632221', '632221200', '北山乡', 'beishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221201', '632221', '632221201', '麻莲乡', 'malianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221202', '632221', '632221202', '西滩乡', 'xitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221203', '632221', '632221203', '阴田乡', 'yintianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221204', '632221', '632221204', '仙米乡', 'xianmixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221205', '632221', '632221205', '珠固乡', 'zhuguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221206', '632221', '632221206', '苏吉滩乡', 'sujitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221207', '632221', '632221207', '皇城蒙古族乡', 'huangchengmengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221400', '632221', '632221400', '门源监狱', 'menyuanjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632221401', '632221', '632221401', '门源种马场', 'menyuanzhongmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632222', '6322', '632222', '祁连县', 'qilianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632222100', '632222', '632222100', '八宝镇', 'babaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632222101', '632222', '632222101', '峨堡镇', 'ebaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632222102', '632222', '632222102', '默勒镇', 'molezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632222200', '632222', '632222200', '扎麻什乡', 'zhamashenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632222201', '632222', '632222201', '阿柔乡', 'arouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632222202', '632222', '632222202', '野牛沟乡', 'yeniugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632222203', '632222', '632222203', '央隆乡', 'yanglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632223', '6322', '632223', '海晏县', 'haiyanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632223100', '632223', '632223100', '三角城镇', 'sanjiaochengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632223101', '632223', '632223101', '西海镇(海北州政府驻地)', 'xihaizhen(haibeizhouzhengfuzhudi)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632223200', '632223', '632223200', '金滩乡', 'jintanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632223201', '632223', '632223201', '哈勒景蒙古族乡', 'halejingmengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632223202', '632223', '632223202', '青海湖乡', 'qinghaihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632223203', '632223', '632223203', '达玉蒙古族乡', 'dayumengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632224', '6322', '632224', '刚察县', 'gangchaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632224100', '632224', '632224100', '沙柳河镇', 'shaliuhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632224101', '632224', '632224101', '哈尔盖镇', 'haergaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632224200', '632224', '632224200', '伊克乌兰乡', 'yikewulanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632224201', '632224', '632224201', '泉吉乡', 'quanjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632224202', '632224', '632224202', '吉尔孟乡', 'jiermengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632224400', '632224', '632224400', '青海省青海湖农场', 'qinghaishengqinghaihunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632224401', '632224', '632224401', '青海省三角城种羊场', 'qinghaishengsanjiaochengzhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6323', '63', '6323', '黄南州', 'huangnanzhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321', '6323', '632321', '同仁县', 'tongrenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321100', '632321', '632321100', '隆务镇', 'longwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321101', '632321', '632321101', '保安镇', 'baoanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321200', '632321', '632321200', '兰采乡', 'lancaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321201', '632321', '632321201', '双朋西乡', 'shuangpengxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321202', '632321', '632321202', '扎毛乡', 'zhamaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321203', '632321', '632321203', '黄乃亥乡', 'huangnaihaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321204', '632321', '632321204', '曲库乎乡', 'qukuhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321205', '632321', '632321205', '年都乎乡', 'niandouhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321206', '632321', '632321206', '多哇乡', 'duowaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321207', '632321', '632321207', '瓜什则乡', 'guashenzexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632321208', '632321', '632321208', '加吾乡', 'jiawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632322', '6323', '632322', '尖扎县', 'jianzhaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632322100', '632322', '632322100', '马克堂镇', 'maketangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632322101', '632322', '632322101', '康扬镇', 'kangyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632322102', '632322', '632322102', '坎布拉镇', 'kanbulazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632322200', '632322', '632322200', '贾加乡', 'jiajiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632322201', '632322', '632322201', '措周乡', 'cuozhouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632322202', '632322', '632322202', '昂拉乡', 'anglaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632322203', '632322', '632322203', '能科乡', 'nengkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632322204', '632322', '632322204', '当顺乡', 'dangshunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632322205', '632322', '632322205', '尖扎滩乡', 'jianzhatanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632323', '6323', '632323', '泽库县', 'zekuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632323100', '632323', '632323100', '泽曲镇', 'zequzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632323101', '632323', '632323101', '麦秀镇', 'maixiuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632323200', '632323', '632323200', '宁秀乡', 'ningxiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632323201', '632323', '632323201', '和日乡', 'herixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632323202', '632323', '632323202', '王家乡', 'wangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632323203', '632323', '632323203', '西卜沙乡', 'xibushaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632323204', '632323', '632323204', '多禾茂乡', 'duohemaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632323400', '632323', '632323400', '巴滩牧场', 'batanmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632324', '6323', '632324', '河南县', 'henanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632324100', '632324', '632324100', '优干宁镇', 'youganningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632324200', '632324', '632324200', '宁木特乡', 'ningmutexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632324201', '632324', '632324201', '多松乡', 'duosongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632324202', '632324', '632324202', '赛尔龙乡', 'saierlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632324203', '632324', '632324203', '柯生乡', 'keshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6325', '63', '6325', '海南州', 'hainanzhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521', '6325', '632521', '共和县', 'gonghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521100', '632521', '632521100', '恰卜恰镇', 'qiabuqiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521101', '632521', '632521101', '倒淌河镇', 'daotanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521102', '632521', '632521102', '龙羊峡镇', 'longyangxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521103', '632521', '632521103', '塘格木镇', 'tanggemuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521200', '632521', '632521200', '黑马河乡', 'heimahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521201', '632521', '632521201', '石乃亥乡', 'shinaihaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521202', '632521', '632521202', '沙珠玉乡', 'shazhuyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521203', '632521', '632521203', '铁盖乡', 'tiegaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521204', '632521', '632521204', '廿地乡', 'niandixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521205', '632521', '632521205', '切吉乡', 'qiejixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521206', '632521', '632521206', '江西沟乡', 'jiangxigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521400', '632521', '632521400', '哇玉农场', 'wayunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521401', '632521', '632521401', '湖东种羊场', 'hudongzhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521402', '632521', '632521402', '巴卡台农场', 'bakatainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521403', '632521', '632521403', '安置农场', 'anzhinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632521404', '632521', '632521404', '铁卜加草改站', 'tiebujiacaogaizhan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632522', '6325', '632522', '同德县', 'tongdexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632522100', '632522', '632522100', '尕巴松多镇', 'gabasongduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632522101', '632522', '632522101', '唐谷镇', 'tangguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632522200', '632522', '632522200', '巴沟乡', 'bagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632522201', '632522', '632522201', '秀麻乡', 'xiumaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632522202', '632522', '632522202', '河北乡', 'hebeixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632522400', '632522', '632522400', '省牧草良种繁殖场', 'shengmucaoliangzhongfanzhichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632523', '6325', '632523', '贵德县', 'guidexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632523100', '632523', '632523100', '河阴镇', 'heyinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632523101', '632523', '632523101', '河西镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632523102', '632523', '632523102', '拉西瓦镇', 'laxiwazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632523103', '632523', '632523103', '常牧镇', 'changmuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632523200', '632523', '632523200', '河东乡', 'hedongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632523201', '632523', '632523201', '新街回族乡', 'xinjiehuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632523202', '632523', '632523202', '尕让乡', 'garangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632524', '6325', '632524', '兴海县', 'xinghaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632524100', '632524', '632524100', '子科滩镇', 'ziketanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632524101', '632524', '632524101', '河卡镇', 'hekazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632524102', '632524', '632524102', '曲什安镇', 'qushenanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632524200', '632524', '632524200', '温泉乡', 'wenquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632524201', '632524', '632524201', '龙藏乡', 'longzangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632524202', '632524', '632524202', '中铁乡', 'zhongtiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632524203', '632524', '632524203', '唐乃亥乡', 'tangnaihaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632525', '6325', '632525', '贵南县', 'guinanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632525100', '632525', '632525100', '茫曲镇', 'mangquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632525101', '632525', '632525101', '过马营镇', 'guomayingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632525200', '632525', '632525200', '沙沟乡', 'shagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632525201', '632525', '632525201', '森多乡', 'senduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632525202', '632525', '632525202', '茫拉乡', 'manglaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632525203', '632525', '632525203', '塔秀乡', 'taxiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632525400', '632525', '632525400', '贵南草业开发有限责任公司', 'guinancaoyekaifayouxianzerengongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6326', '63', '6326', '果洛州', 'guoluozhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632621', '6326', '632621', '玛沁县', 'maqinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632621100', '632621', '632621100', '大武镇', 'dawuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632621101', '632621', '632621101', '拉加镇', 'lajiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632621200', '632621', '632621200', '大武乡', 'dawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632621201', '632621', '632621201', '东倾沟乡', 'dongqinggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632621202', '632621', '632621202', '雪山乡', 'xueshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632621203', '632621', '632621203', '下大武乡', 'xiadawuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632621204', '632621', '632621204', '优云乡', 'youyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632621205', '632621', '632621205', '当洛乡', 'dangluoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632622', '6326', '632622', '班玛县', 'banmaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632622100', '632622', '632622100', '赛来塘镇', 'sailaitangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632622200', '632622', '632622200', '多贡麻乡', 'duogongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632622201', '632622', '632622201', '玛柯河乡', 'makehexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632622202', '632622', '632622202', '吉卡乡', 'jikaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632622203', '632622', '632622203', '达卡乡', 'dakaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632622204', '632622', '632622204', '知钦乡', 'zhiqinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632622205', '632622', '632622205', '江日堂乡', 'jiangritangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632622206', '632622', '632622206', '亚尔堂乡', 'yaertangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632622207', '632622', '632622207', '灯塔乡', 'dengtaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632623', '6326', '632623', '甘德县', 'gandexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632623100', '632623', '632623100', '柯曲镇', 'kequzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632623200', '632623', '632623200', '上贡麻乡', 'shanggongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632623201', '632623', '632623201', '下贡麻乡', 'xiagongmaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632623202', '632623', '632623202', '岗龙乡', 'ganglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632623203', '632623', '632623203', '青珍乡', 'qingzhenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632623204', '632623', '632623204', '江千乡', 'jiangqianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632623205', '632623', '632623205', '下藏科乡', 'xiazangkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632624', '6326', '632624', '达日县', 'darixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632624100', '632624', '632624100', '吉迈镇', 'jimaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632624200', '632624', '632624200', '满掌乡', 'manzhangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632624201', '632624', '632624201', '德昂乡', 'deangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632624202', '632624', '632624202', '窝赛乡', 'wosaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632624203', '632624', '632624203', '莫坝乡', 'mobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632624204', '632624', '632624204', '上红科乡', 'shanghongkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632624205', '632624', '632624205', '下红科乡', 'xiahongkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632624206', '632624', '632624206', '建设乡', 'jianshexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632624207', '632624', '632624207', '桑日麻乡', 'sangrimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632624208', '632624', '632624208', '特合土乡', 'tehetuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632625', '6326', '632625', '久治县', 'jiuzhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632625100', '632625', '632625100', '智青松多镇', 'zhiqingsongduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632625200', '632625', '632625200', '门堂乡', 'mentangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632625201', '632625', '632625201', '哇赛乡', 'wasaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632625202', '632625', '632625202', '索呼日麻乡', 'suohurimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632625203', '632625', '632625203', '白玉乡', 'baiyuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632625204', '632625', '632625204', '哇尔依乡', 'waeryixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632626', '6326', '632626', '玛多县', 'maduoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632626100', '632626', '632626100', '玛查理镇', 'machalizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632626101', '632626', '632626101', '花石峡镇', 'huashixiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632626200', '632626', '632626200', '黄河乡', 'huanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632626201', '632626', '632626201', '扎陵湖乡', 'zhalinghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6327', '63', '6327', '玉树州', 'yushuzhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632721', '6327', '632721', '玉树县', 'yushuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632721100', '632721', '632721100', '结古镇', 'jieguzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632721101', '632721', '632721101', '隆宝镇', 'longbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632721200', '632721', '632721200', '仲达乡', 'zhongdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632721201', '632721', '632721201', '巴塘乡', 'batangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632721202', '632721', '632721202', '小苏莽乡', 'xiaosumangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632721203', '632721', '632721203', '上拉秀乡', 'shanglaxiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632721204', '632721', '632721204', '下拉秀乡', 'xialaxiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632721205', '632721', '632721205', '哈秀乡', 'haxiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632721206', '632721', '632721206', '安冲乡', 'anchongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632722', '6327', '632722', '杂多县', 'zaduoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632722100', '632722', '632722100', '萨呼腾镇', 'sahutengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632722200', '632722', '632722200', '昂赛乡', 'angsaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632722201', '632722', '632722201', '结多乡', 'jieduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632722202', '632722', '632722202', '阿多乡', 'aduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632722203', '632722', '632722203', '苏鲁乡', 'suluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632722204', '632722', '632722204', '查旦乡', 'chadanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632722205', '632722', '632722205', '莫云乡', 'moyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632722206', '632722', '632722206', '扎青乡', 'zhaqingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632723', '6327', '632723', '称多县', 'chengduoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632723100', '632723', '632723100', '称文镇', 'chengwenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632723101', '632723', '632723101', '歇武镇', 'xiewuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632723102', '632723', '632723102', '扎朵镇', 'zhaduozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632723103', '632723', '632723103', '清水河镇', 'qingshuihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632723200', '632723', '632723200', '尕朵乡', 'gaduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632723201', '632723', '632723201', '珍秦乡', 'zhenqinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632723202', '632723', '632723202', '拉布乡', 'labuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632724', '6327', '632724', '治多县', 'zhiduoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632724100', '632724', '632724100', '加吉博洛格镇', 'jiajiboluogezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632724200', '632724', '632724200', '索加乡', 'suojiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632724201', '632724', '632724201', '扎河乡', 'zhahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632724202', '632724', '632724202', '多彩乡', 'duocaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632724203', '632724', '632724203', '治渠乡', 'zhiquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632724204', '632724', '632724204', '立新乡', 'lixinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632725', '6327', '632725', '囊谦县', 'nangqianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632725100', '632725', '632725100', '香达镇', 'xiangdazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632725200', '632725', '632725200', '白扎乡', 'baizhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632725201', '632725', '632725201', '吉曲乡', 'jiquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632725202', '632725', '632725202', '娘拉乡', 'nianglaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632725203', '632725', '632725203', '毛庄乡', 'maozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632725204', '632725', '632725204', '觉拉乡', 'juelaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632725205', '632725', '632725205', '东坝乡', 'dongbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632725206', '632725', '632725206', '尕羊乡', 'gayangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632725207', '632725', '632725207', '吉尼赛乡', 'jinisaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632725208', '632725', '632725208', '着晓乡', 'zhexiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632726', '6327', '632726', '曲麻莱县', 'qumalaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632726100', '632726', '632726100', '约改镇', 'yuegaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632726200', '632726', '632726200', '巴干乡', 'baganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632726201', '632726', '632726201', '秋智乡', 'qiuzhixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632726202', '632726', '632726202', '叶格乡', 'yegexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632726203', '632726', '632726203', '麻多乡', 'maduoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632726204', '632726', '632726204', '曲麻河乡', 'qumahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6328', '63', '6328', '海西州', 'haixizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801', '6328', '632801', '格尔木市', 'geermushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801001', '632801', '632801001', '昆仑路街道', 'kunlunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801002', '632801', '632801002', '黄河路街道', 'huanghelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801003', '632801', '632801003', '金峰路街道', 'jinfenglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801004', '632801', '632801004', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801005', '632801', '632801005', '西藏路街道', 'xizanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801100', '632801', '632801100', '郭勒木德镇', 'guolemudezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801101', '632801', '632801101', '唐古拉镇', 'tanggulazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801200', '632801', '632801200', '大格勒乡', 'dagelexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801201', '632801', '632801201', '乌图美仁乡', 'wutumeirenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801400', '632801', '632801400', '察尔汗工行委', 'chaerhangongxingwei', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632801401', '632801', '632801401', '格尔木农垦有限公司', 'geermunongkenyouxiangongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802', '6328', '632802', '德令哈市', 'delinghashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802001', '632802', '632802001', '河西街道', 'hexijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802002', '632802', '632802002', '河东街道', 'hedongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802003', '632802', '632802003', '火车站街道', 'huochezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802100', '632802', '632802100', '尕海镇', 'gahaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802101', '632802', '632802101', '怀头他拉镇', 'huaitoutalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802102', '632802', '632802102', '柯鲁柯镇', 'kelukezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802103', '632802', '632802103', '大柴旦镇', 'dachaidanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802104', '632802', '632802104', '锡铁山镇', 'xitieshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802105', '632802', '632802105', '冷湖镇', 'lenghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802106', '632802', '632802106', '花土沟镇', 'huatugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802107', '632802', '632802107', '茫崖镇', 'mangyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632802200', '632802', '632802200', '蓄集乡', 'xujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632821', '6328', '632821', '乌兰县', 'wulanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632821100', '632821', '632821100', '希里沟镇', 'xiligouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632821101', '632821', '632821101', '茶卡镇', 'chakazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632821102', '632821', '632821102', '柯柯镇', 'kekezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632821103', '632821', '632821103', '铜普镇', 'tongpuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632821400', '632821', '632821400', '海西州莫河畜牧场', 'haixizhoumohechumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632822', '6328', '632822', '都兰县', 'doulanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632822100', '632822', '632822100', '察汉乌苏镇', 'chahanwusuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632822101', '632822', '632822101', '香日德镇', 'xiangridezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632822102', '632822', '632822102', '夏日哈镇', 'xiarihazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632822103', '632822', '632822103', '宗加镇', 'zongjiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632822200', '632822', '632822200', '热水乡', 'reshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632822201', '632822', '632822201', '香加乡', 'xiangjiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632822202', '632822', '632822202', '沟里乡', 'goulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632822203', '632822', '632822203', '巴隆乡', 'balongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632823', '6328', '632823', '天峻县', 'tianjunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632823100', '632823', '632823100', '新源镇', 'xinyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632823101', '632823', '632823101', '木里镇', 'mulizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632823102', '632823', '632823102', '江河镇', 'jianghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632823200', '632823', '632823200', '快尔玛乡', 'kuaiermaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632823201', '632823', '632823201', '舟群乡', 'zhouqunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632823202', '632823', '632823202', '知合玛乡', 'zhihemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632823203', '632823', '632823203', '苏里乡', 'sulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632823204', '632823', '632823204', '生格乡', 'shenggexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632823205', '632823', '632823205', '阳康乡', 'yangkangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('632823206', '632823', '632823206', '龙门乡', 'longmenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('63f8d232c2ff4797921734e688e357ce', '110228', '110228001', '鼓楼街道', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('64', '-1', '64', '宁夏回族自治区', 'ningxiahuizuzizhiqu', '1', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6401', '64', '6401', '银川市', 'yinchuanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640101', '6401', '640101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104', '6401', '640104', '兴庆区', 'xingqingqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104001', '640104', '640104001', '凤凰北街街道', 'fenghuangbeijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104002', '640104', '640104002', '解放西街街道', 'jiefangxijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104003', '640104', '640104003', '文化街街道', 'wenhuajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104004', '640104', '640104004', '富宁街街道', 'funingjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104005', '640104', '640104005', '新华街街道', 'xinhuajiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104006', '640104', '640104006', '玉皇阁北街街道', 'yuhuanggebeijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104007', '640104', '640104007', '前进街街道', 'qianjinjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104008', '640104', '640104008', '中山南街街道', 'zhongshannanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104009', '640104', '640104009', '银古路街道', 'yingulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104010', '640104', '640104010', '胜利街街道', 'shenglijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104011', '640104', '640104011', '丽景街街道', 'lijingjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104100', '640104', '640104100', '掌政镇', 'zhangzhengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104101', '640104', '640104101', '大新镇', 'daxinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104200', '640104', '640104200', '通贵乡', 'tongguixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640104201', '640104', '640104201', '月牙湖乡', 'yueyahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105', '6401', '640105', '西夏区', 'xixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105001', '640105', '640105001', '西花园街道', 'xihuayuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105002', '640105', '640105002', '北京西路街道', 'beijingxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105003', '640105', '640105003', '文昌路街道', 'wenchanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105004', '640105', '640105004', '朔方路街道', 'shuofanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105005', '640105', '640105005', '宁华路街道', 'ninghualujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105006', '640105', '640105006', '贺兰山西路街道', 'helanshanxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105100', '640105', '640105100', '兴泾镇', 'xingjingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105101', '640105', '640105101', '镇北堡镇', 'zhenbeibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105400', '640105', '640105400', '平吉堡奶牛场', 'pingjibaonainiuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105401', '640105', '640105401', '贺兰山农牧场', 'helanshannongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640105402', '640105', '640105402', '南梁农场', 'nanliangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640106', '6401', '640106', '金凤区', 'jinfengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640106001', '640106', '640106001', '东街街道', 'dongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640106002', '640106', '640106002', '铁东街街道', 'tiedongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640106003', '640106', '640106003', '长城中路街道', 'zhangchengzhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640106004', '640106', '640106004', '北京中路街道', 'beijingzhonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640106005', '640106', '640106005', '上海西路街道', 'shanghaixilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640106100', '640106', '640106100', '良田镇', 'liangtianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640106101', '640106', '640106101', '丰登镇', 'fengdengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640106400', '640106', '640106400', '西湖农场', 'xihunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640106401', '640106', '640106401', '银川林场', 'yinchuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640121', '6401', '640121', '永宁县', 'yongningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640121100', '640121', '640121100', '杨和镇', 'yanghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640121101', '640121', '640121101', '李俊镇', 'lijunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640121102', '640121', '640121102', '望远镇', 'wangyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640121103', '640121', '640121103', '望洪镇', 'wanghongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640121104', '640121', '640121104', '闽宁镇', 'minningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640121200', '640121', '640121200', '胜利乡', 'shenglixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640121400', '640121', '640121400', '黄羊滩农场', 'huangyangtannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640121401', '640121', '640121401', '玉泉营农场', 'yuquanyingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640122', '6401', '640122', '贺兰县', 'helanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640122100', '640122', '640122100', '习岗镇', 'xigangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640122101', '640122', '640122101', '金贵镇', 'jinguizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640122102', '640122', '640122102', '立岗镇', 'ligangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640122103', '640122', '640122103', '洪广镇', 'hongguangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640122200', '640122', '640122200', '常信乡', 'changxinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640122400', '640122', '640122400', '南梁台子管委会', 'nanliangtaiziguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640122401', '640122', '640122401', '暖泉农场', 'nuanquannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640122402', '640122', '640122402', '宁夏原种场', 'ningxiayuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640122403', '640122', '640122403', '京星农牧场', 'jingxingnongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181', '6401', '640181', '灵武市', 'lingwushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181001', '640181', '640181001', '城区街道', 'chengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181100', '640181', '640181100', '东塔镇', 'dongtazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181101', '640181', '640181101', '郝家桥镇', 'haojiaqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181102', '640181', '640181102', '崇兴镇', 'chongxingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181103', '640181', '640181103', '宁东镇', 'ningdongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181104', '640181', '640181104', '马家滩镇', 'majiatanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181105', '640181', '640181105', '临河镇', 'linhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181200', '640181', '640181200', '梧桐树乡', 'wutongshuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181201', '640181', '640181201', '白土岗乡', 'baitugangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181400', '640181', '640181400', '灵武农场', 'lingwunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640181401', '640181', '640181401', '狼皮子梁林场', 'langpizilianglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6402', '64', '6402', '石嘴山市', 'shizuishanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640201', '6402', '640201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202', '6402', '640202', '大武口区', 'dawukouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202001', '640202', '640202001', '长胜街道', 'zhangshengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202002', '640202', '640202002', '朝阳街道', 'chaoyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202003', '640202', '640202003', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202004', '640202', '640202004', '长城街道', 'zhangchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202005', '640202', '640202005', '青山街道', 'qingshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202006', '640202', '640202006', '石炭井街道', 'shitanjingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202007', '640202', '640202007', '白芨沟街道', 'baijigoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202008', '640202', '640202008', '沟口街道', 'goukoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202009', '640202', '640202009', '太西街道', 'taixijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202010', '640202', '640202010', '长兴街道', 'zhangxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640202400', '640202', '640202400', '隆湖经济开发区', 'longhujingjikaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205', '6402', '640205', '惠农区', 'huinongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205001', '640205', '640205001', '育才路街道', 'yucailujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205002', '640205', '640205002', '南街街道', 'nanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205003', '640205', '640205003', '中街街道', 'zhongjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205004', '640205', '640205004', '北街街道', 'beijiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205005', '640205', '640205005', '河滨街道', 'hebinjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205006', '640205', '640205006', '火车站街道', 'huochezhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205100', '640205', '640205100', '红果子镇', 'hongguozizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205101', '640205', '640205101', '尾闸镇', 'weizhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205102', '640205', '640205102', '园艺镇', 'yuanyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205200', '640205', '640205200', '庙台乡', 'miaotaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205201', '640205', '640205201', '礼和乡', 'lihexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205202', '640205', '640205202', '燕子墩乡', 'yanzidunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205400', '640205', '640205400', '惠农监狱', 'huinongjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205401', '640205', '640205401', '惠农简泉农场', 'huinongjianquannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205402', '640205', '640205402', '石嘴山市农牧场', 'shizuishanshinongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640205403', '640205', '640205403', '惠农区良繁场', 'huinongquliangfanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221', '6402', '640221', '平罗县', 'pingluoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221100', '640221', '640221100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221101', '640221', '640221101', '黄渠桥镇', 'huangquqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221102', '640221', '640221102', '宝丰镇', 'baofengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221103', '640221', '640221103', '头闸镇', 'touzhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221104', '640221', '640221104', '姚伏镇', 'yaofuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221105', '640221', '640221105', '崇岗镇', 'chonggangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221106', '640221', '640221106', '陶乐镇', 'taolezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221200', '640221', '640221200', '高庄乡', 'gaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221201', '640221', '640221201', '灵沙乡', 'lingshaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221202', '640221', '640221202', '渠口乡', 'qukouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221203', '640221', '640221203', '通伏乡', 'tongfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221204', '640221', '640221204', '高仁乡', 'gaorenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221205', '640221', '640221205', '红崖子乡', 'hongyazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640221400', '640221', '640221400', '宁夏国营前进农场', 'ningxiaguoyingqianjinnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6403', '64', '6403', '吴忠市', 'wuzhongshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640301', '6403', '640301', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640301100', '640301', '640301100', '红寺堡开发区红寺堡镇', 'hongsibaokaifaquhongsibaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640301101', '640301', '640301101', '红寺堡开发区太阳山镇', 'hongsibaokaifaqutaiyangshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640301200', '640301', '640301200', '红寺堡开发区大河乡', 'hongsibaokaifaqudahexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640301201', '640301', '640301201', '红寺堡开发区南川乡', 'hongsibaokaifaqunanchuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302', '6403', '640302', '利通区', 'litongqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302001', '640302', '640302001', '上桥街道', 'shangqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302002', '640302', '640302002', '古城街道', 'guchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302003', '640302', '640302003', '金星街道', 'jinxingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302004', '640302', '640302004', '胜利路街道', 'shenglilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302100', '640302', '640302100', '金积镇', 'jinjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302101', '640302', '640302101', '金银滩镇', 'jinyintanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302102', '640302', '640302102', '高闸镇', 'gaozhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302103', '640302', '640302103', '扁担沟镇', 'biandangouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302200', '640302', '640302200', '东塔寺乡', 'dongtasixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302201', '640302', '640302201', '板桥乡', 'banqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302202', '640302', '640302202', '马莲渠乡', 'malianquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302203', '640302', '640302203', '郭桥乡', 'guoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302400', '640302', '640302400', '巴浪湖农场', 'balanghunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640302401', '640302', '640302401', '孙家滩管委会', 'sunjiatanguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640323', '6403', '640323', '盐池县', 'yanchixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640323100', '640323', '640323100', '花马池镇', 'huamachizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640323101', '640323', '640323101', '大水坑镇', 'dashuikengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640323102', '640323', '640323102', '惠安堡镇', 'huianbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640323103', '640323', '640323103', '高沙窝镇', 'gaoshawozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640323200', '640323', '640323200', '王乐井乡', 'wanglejingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640323201', '640323', '640323201', '冯记沟乡', 'fengjigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640323202', '640323', '640323202', '青山乡', 'qingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640323203', '640323', '640323203', '麻黄山乡', 'mahuangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640323400', '640323', '640323400', '盐池县机械化林场', 'yanchixianjixiehualinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640323401', '640323', '640323401', '盐池滩羊选育场', 'yanchitanyangxuanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640324', '6403', '640324', '同心县', 'tongxinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640324100', '640324', '640324100', '豫海镇', 'yuhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640324101', '640324', '640324101', '河西镇', 'hexizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640324102', '640324', '640324102', '韦州镇', 'weizhouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640324103', '640324', '640324103', '下马关镇', 'xiamaguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640324104', '640324', '640324104', '预旺镇', 'yuwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640324105', '640324', '640324105', '王团镇', 'wangtuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640324106', '640324', '640324106', '丁塘镇', 'dingtangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640324201', '640324', '640324201', '田老庄乡', 'tianlaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640324202', '640324', '640324202', '马高庄乡', 'magaozhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640324203', '640324', '640324203', '张家塬乡', 'zhangjiayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381', '6403', '640381', '青铜峡市', 'qingtongxiashi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381001', '640381', '640381001', '裕民街道', 'yuminjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381100', '640381', '640381100', '小坝镇', 'xiaobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381101', '640381', '640381101', '大坝镇', 'dabazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381102', '640381', '640381102', '青铜峡镇', 'qingtongxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381103', '640381', '640381103', '叶升镇', 'yeshengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381104', '640381', '640381104', '瞿靖镇', 'jujingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381105', '640381', '640381105', '峡口镇', 'xiakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381106', '640381', '640381106', '邵刚镇', 'shaogangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381107', '640381', '640381107', '陈袁滩镇', 'chenyuantanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381400', '640381', '640381400', '连湖农场', 'lianhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640381401', '640381', '640381401', '树新林场', 'shuxinlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6404', '64', '6404', '固原市', 'guyuanshi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640401', '6404', '640401', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402', '6404', '640402', '原州区', 'yuanzhouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402001', '640402', '640402001', '中山街道', 'zhongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402100', '640402', '640402100', '三营镇', 'sanyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402101', '640402', '640402101', '七营镇', 'qiyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402102', '640402', '640402102', '黑城镇', 'heichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402103', '640402', '640402103', '清河镇', 'qinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402104', '640402', '640402104', '开城镇', 'kaichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402105', '640402', '640402105', '张易镇', 'zhangyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402106', '640402', '640402106', '彭堡镇', 'pengbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402107', '640402', '640402107', '头营镇', 'touyingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402200', '640402', '640402200', '中河乡', 'zhonghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402201', '640402', '640402201', '河川乡', 'hechuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402202', '640402', '640402202', '官厅乡', 'guantingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402203', '640402', '640402203', '甘城乡', 'ganchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402204', '640402', '640402204', '炭山乡', 'tanshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640402205', '640402', '640402205', '寨科乡', 'zhaikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422', '6404', '640422', '西吉县', 'xijixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422100', '640422', '640422100', '吉强镇', 'jiqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422101', '640422', '640422101', '兴隆镇', 'xinglongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422102', '640422', '640422102', '平峰镇', 'pingfengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422200', '640422', '640422200', '新营乡', 'xinyingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422201', '640422', '640422201', '红耀乡', 'hongyaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422202', '640422', '640422202', '田坪乡', 'tianpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422203', '640422', '640422203', '马建乡', 'majianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422204', '640422', '640422204', '苏堡乡', 'subaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422205', '640422', '640422205', '兴平乡', 'xingpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422206', '640422', '640422206', '西滩乡', 'xitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422207', '640422', '640422207', '王民乡', 'wangminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422208', '640422', '640422208', '什字乡', 'shenzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422209', '640422', '640422209', '马莲乡', 'malianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422210', '640422', '640422210', '将台乡', 'jiangtaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422211', '640422', '640422211', '硝河乡', 'xiaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422212', '640422', '640422212', '偏城乡', 'pianchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422213', '640422', '640422213', '沙沟乡', 'shagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422214', '640422', '640422214', '白崖乡', 'baiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640422215', '640422', '640422215', '火石寨乡', 'huoshizhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423', '6404', '640423', '隆德县', 'longdexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423100', '640423', '640423100', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423101', '640423', '640423101', '沙塘镇', 'shatangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423102', '640423', '640423102', '联财镇', 'liancaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423200', '640423', '640423200', '陈靳乡', 'chenjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423201', '640423', '640423201', '好水乡', 'haoshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423202', '640423', '640423202', '观庄乡', 'guanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423203', '640423', '640423203', '杨河乡', 'yanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423204', '640423', '640423204', '神林乡', 'shenlinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423205', '640423', '640423205', '张程乡', 'zhangchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423206', '640423', '640423206', '凤岭乡', 'fenglingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423207', '640423', '640423207', '山河乡', 'shanhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423208', '640423', '640423208', '温堡乡', 'wenbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640423209', '640423', '640423209', '奠安乡', 'diananxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640424', '6404', '640424', '泾源县', 'jingyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640424100', '640424', '640424100', '香水镇', 'xiangshuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640424101', '640424', '640424101', '泾河源镇', 'jingheyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640424102', '640424', '640424102', '六盘山镇', 'liupanshanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640424200', '640424', '640424200', '新民乡', 'xinminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640424201', '640424', '640424201', '兴盛乡', 'xingshengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640424202', '640424', '640424202', '黄花乡', 'huanghuaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640424203', '640424', '640424203', '大湾乡', 'dawanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425', '6404', '640425', '彭阳县', 'pengyangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425100', '640425', '640425100', '白阳镇', 'baiyangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425101', '640425', '640425101', '王洼镇', 'wangwazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425102', '640425', '640425102', '古城镇', 'guchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425200', '640425', '640425200', '新集乡', 'xinjixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425201', '640425', '640425201', '城阳乡', 'chengyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425202', '640425', '640425202', '红河乡', 'honghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425203', '640425', '640425203', '冯庄乡', 'fengzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425204', '640425', '640425204', '小岔乡', 'xiaochaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425205', '640425', '640425205', '孟塬乡', 'mengyuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425206', '640425', '640425206', '罗洼乡', 'luowaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425207', '640425', '640425207', '交岔乡', 'jiaochaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640425208', '640425', '640425208', '草庙乡', 'caomiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6405', '64', '6405', '中卫市', 'zhongweishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501', '6405', '640501', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501100', '640501', '640501100', '滨河镇', 'binhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501101', '640501', '640501101', '文昌镇', 'wenchangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501102', '640501', '640501102', '东园镇', 'dongyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501103', '640501', '640501103', '柔远镇', 'rouyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501104', '640501', '640501104', '镇罗镇', 'zhenluozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501105', '640501', '640501105', '宣和镇', 'xuanhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501106', '640501', '640501106', '永康镇', 'yongkangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501107', '640501', '640501107', '常乐镇', 'changlezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501108', '640501', '640501108', '迎水桥镇', 'yingshuiqiaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501200', '640501', '640501200', '香山乡', 'xiangshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640501400', '640501', '640501400', '中卫山羊选育场', 'zhongweishanyangxuanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640502', '6405', '640502', '沙坡头区', 'shapotouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521', '6405', '640521', '中宁县', 'zhongningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521100', '640521', '640521100', '宁安镇', 'ninganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521101', '640521', '640521101', '鸣沙镇', 'mingshazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521102', '640521', '640521102', '石空镇', 'shikongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521103', '640521', '640521103', '新堡镇', 'xinbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521104', '640521', '640521104', '恩和镇', 'enhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521200', '640521', '640521200', '舟塔乡', 'zhoutaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521201', '640521', '640521201', '白马乡', 'baimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521202', '640521', '640521202', '余丁乡', 'yudingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521203', '640521', '640521203', '大战场乡', 'dazhanchangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521204', '640521', '640521204', '喊叫水乡', 'hanjiaoshuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521400', '640521', '640521400', '长山头农场', 'zhangshantounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640521401', '640521', '640521401', '渠口农场', 'qukounongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522', '6405', '640522', '海原县', 'haiyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522100', '640522', '640522100', '海城镇', 'haichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522101', '640522', '640522101', '李旺镇', 'liwangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522102', '640522', '640522102', '兴仁镇', 'xingrenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522103', '640522', '640522103', '西安镇', 'xianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522200', '640522', '640522200', '史店乡', 'shidianxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522201', '640522', '640522201', '树台乡', 'shutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522202', '640522', '640522202', '关桥乡', 'guanqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522203', '640522', '640522203', '徐套乡', 'xutaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522204', '640522', '640522204', '蒿川乡', 'haochuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522205', '640522', '640522205', '兴隆乡', 'xinglongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522206', '640522', '640522206', '高崖乡', 'gaoyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522207', '640522', '640522207', '郑旗乡', 'zhengqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522208', '640522', '640522208', '贾塘乡', 'jiatangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522209', '640522', '640522209', '曹洼乡', 'caowaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522210', '640522', '640522210', '九彩乡', 'jiucaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522211', '640522', '640522211', '李俊乡', 'lijunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522212', '640522', '640522212', '红羊乡', 'hongyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522213', '640522', '640522213', '关庄乡', 'guanzhuangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522400', '640522', '640522400', '南华山自然保护区管理处', 'nanhuashanziranbaohuquguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('640522401', '640522', '640522401', '海原甘盐池种羊场', 'haiyuanganyanchizhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('65', '-1', '65', '新疆维吾尔自治区', 'xinjiangweiwuerzizhiqu', '1', '1', 0, 1, NULL, NULL, '2020-11-04 10:07:35', '03d159a3-0f88-424c-a24f-02f63855fe4f', NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6501', '65', '6501', '乌鲁木齐市', 'wulumuqishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650101', '6501', '650101', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102', '6501', '650102', '天山区', 'tianshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102002', '650102', '650102002', '燕尔窝街道', 'yanerwojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102003', '650102', '650102003', '胜利路街道', 'shenglilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102004', '650102', '650102004', '团结路街道', 'tuanjielujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102005', '650102', '650102005', '解放南路街道', 'jiefangnanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102006', '650102', '650102006', '新华南路街道', 'xinhuananlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102007', '650102', '650102007', '和平路街道', 'hepinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102008', '650102', '650102008', '解放北路街道', 'jiefangbeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102009', '650102', '650102009', '幸福路街道', 'xingfulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102010', '650102', '650102010', '东门街道', 'dongmenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102011', '650102', '650102011', '新华北路街道', 'xinhuabeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102012', '650102', '650102012', '青年路街道', 'qingnianlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102013', '650102', '650102013', '碱泉街道', 'jianquanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102014', '650102', '650102014', '延安路街道', 'yananlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650102015', '650102', '650102015', '红雁街道', 'hongyanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103', '6501', '650103', '沙依巴克区', 'shayibakequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103001', '650103', '650103001', '长江路街道', 'zhangjianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103002', '650103', '650103002', '和田街街道', 'hetianjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103003', '650103', '650103003', '扬子江路街道', 'yangzijianglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103004', '650103', '650103004', '友好南路街道', 'youhaonanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103005', '650103', '650103005', '友好北路街道', 'youhaobeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103006', '650103', '650103006', '八一街道', 'bayijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103007', '650103', '650103007', '炉院街街道', 'luyuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103008', '650103', '650103008', '西山街道', 'xishanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103009', '650103', '650103009', '雅玛里克山街道', 'yamalikeshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103010', '650103', '650103010', '红庙子街道', 'hongmiaozijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103400', '650103', '650103400', '后峡地区', 'houxiadiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103401', '650103', '650103401', '兵团一零四团', 'bingtuanyilingsituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650103402', '650103', '650103402', '兵团农十二师西山农牧场', 'bingtuannongshiershixishannongmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104', '6501', '650104', '新市区', 'xinshiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104001', '650104', '650104001', '北京路街道', 'beijinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104002', '650104', '650104002', '二工街道', 'ergongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104003', '650104', '650104003', '三工街道', 'sangongjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104004', '650104', '650104004', '石油新村街道', 'shiyouxincunjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104005', '650104', '650104005', '迎宾路街道', 'yingbinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104006', '650104', '650104006', '喀什东路街道', 'kashendonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104007', '650104', '650104007', '北站东路街道', 'beizhandonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104008', '650104', '650104008', '乌鲁木齐经济技术开发区街道', 'wulumuqijingjijishukaifaqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104009', '650104', '650104009', '天津路街道', 'tianjinlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104010', '650104', '650104010', '银川路街道', 'yinchuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104011', '650104', '650104011', '南纬路街道', 'nanweilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104012', '650104', '650104012', '杭州路街道', 'hangzhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104200', '650104', '650104200', '二工乡', 'ergongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104201', '650104', '650104201', '地窝堡乡', 'diwobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650104400', '650104', '650104400', '乌鲁木齐高新技术产业开发区', 'wulumuqigaoxinjishuchanyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650105', '6501', '650105', '水磨沟区', 'shuimogouqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650105001', '650105', '650105001', '水磨沟街道', 'shuimogoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650105002', '650105', '650105002', '六道湾街道', 'liudaowanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650105003', '650105', '650105003', '苇湖梁街道', 'weihuliangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650105004', '650105', '650105004', '八道湾街道', 'badaowanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650105005', '650105', '650105005', '新民路街道', 'xinminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650105006', '650105', '650105006', '南湖南路街道', 'nanhunanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650105007', '650105', '650105007', '南湖北路街道', 'nanhubeilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650105200', '650105', '650105200', '七道湾乡', 'qidaowanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650106', '6501', '650106', '头屯河区', 'toutunhequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650106001', '650106', '650106001', '头屯河街道', 'toutunhejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650106002', '650106', '650106002', '火车西站街道', 'huochexizhanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650106003', '650106', '650106003', '王家沟街道', 'wangjiagoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650106004', '650106', '650106004', '乌昌路街道', 'wuchanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650106005', '650106', '650106005', '北站西路街道', 'beizhanxilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650106198', '650106', '650106198', '头屯河区乡', 'toutunhequxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650106401', '650106', '650106401', '兵团农十二师三坪农场', 'bingtuannongshiershisanpingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650106402', '650106', '650106402', '兵团农十二师五一农场', 'bingtuannongshiershiwuyinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650106403', '650106', '650106403', '兵团农十二师头屯河农场', 'bingtuannongshiershitoutunhenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650107', '6501', '650107', '达坂城区', 'dabanchengqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650107001', '650107', '650107001', '艾维尔沟街道', 'aiweiergoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650107003', '650107', '650107003', '鱼儿沟街道', 'yuergoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650107004', '650107', '650107004', '乌拉泊街道', 'wulabojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650107005', '650107', '650107005', '柴窝堡管委会', 'chaiwobaoguanweihui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650107100', '650107', '650107100', '达坂城镇', 'dabanchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650107200', '650107', '650107200', '东沟乡', 'donggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650107201', '650107', '650107201', '西沟乡', 'xigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650107202', '650107', '650107202', '阿克苏乡', 'akesuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650108', '6501', '650108', '东山区', 'dongshanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650108001', '650108', '650108001', '石化街道', 'shihuajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650108002', '650108', '650108002', '地磅街道', 'dibangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650108003', '650108', '650108003', '卡子湾街道', 'kaziwanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650108200', '650108', '650108200', '芦草沟乡', 'lucaogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650121', '6501', '650121', '乌鲁木齐县', 'wulumuqixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650121100', '650121', '650121100', '水西沟镇', 'shuixigouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650121101', '650121', '650121101', '安宁渠镇', 'anningquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650121204', '650121', '650121204', '青格达湖乡', 'qinggedahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650121206', '650121', '650121206', '六十户乡', 'liushihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650121207', '650121', '650121207', '萨尔达坂乡', 'saerdabanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650121208', '650121', '650121208', '甘沟乡', 'gangouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650121210', '650121', '650121210', '永丰乡', 'yongfengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650121212', '650121', '650121212', '板房沟乡', 'banfanggouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650121213', '650121', '650121213', '托里乡', 'tuolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6502', '65', '6502', '克拉玛依市', 'kelamayishi', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650201', '6502', '650201', '市辖区', 'shixiaqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650202', '6502', '650202', '独山子区', 'dushanziqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650202001', '650202', '650202001', '金山路街道', 'jinshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650202002', '650202', '650202002', '西宁路街道', 'xininglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650202003', '650202', '650202003', '新北区', 'xinbeiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650203', '6502', '650203', '克拉玛依区', 'kelamayiqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650203001', '650203', '650203001', '天山路街道', 'tianshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650203002', '650203', '650203002', '胜利路街道', 'shenglilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650203003', '650203', '650203003', '昆仑路街道', 'kunlunlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650203004', '650203', '650203004', '银河路街道', 'yinhelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650203005', '650203', '650203005', '金龙镇街道', 'jinlongzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650203006', '650203', '650203006', '五五新镇街道', 'wuwuxinzhenjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650203200', '650203', '650203200', '小拐乡', 'xiaoguaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650203400', '650203', '650203400', '农业开发区', 'nongyekaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650203402', '650203', '650203402', '兵团一三六团', 'bingtuanyisanliutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650203403', '650203', '650203403', '兵团一二九团', 'bingtuanyierjiutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650204', '6502', '650204', '白碱滩区', 'baijiantanqu', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650204001', '650204', '650204001', '中兴路街道', 'zhongxinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650204002', '650204', '650204002', '三平路街道', 'sanpinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650205', '6502', '650205', '乌尔禾区', 'wuerhequ', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650205001', '650205', '650205001', '柳园街道', 'liuyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650205200', '650205', '650205200', '乌尔禾乡', 'wuerhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('650205400', '650205', '650205400', '兵团一三七团', 'bingtuanyisanqituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6521', '65', '6521', '吐鲁番地区', 'tulufandiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101', '6521', '652101', '吐鲁番市', 'tulufanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101001', '652101', '652101001', '老城街道', 'laochengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101002', '652101', '652101002', '高昌街道', 'gaochangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101100', '652101', '652101100', '七泉湖镇', 'qiquanhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101101', '652101', '652101101', '大河沿镇', 'daheyanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101200', '652101', '652101200', '亚尔乡', 'yaerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101201', '652101', '652101201', '艾丁湖乡', 'aidinghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101202', '652101', '652101202', '葡萄乡', 'putaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101203', '652101', '652101203', '恰特喀勒乡', 'qiatekalexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101204', '652101', '652101204', '二堡乡', 'erbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101205', '652101', '652101205', '三堡乡', 'sanbaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101206', '652101', '652101206', '胜金乡', 'shengjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101500', '652101', '652101500', '红柳河园艺场', 'hongliuheyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101501', '652101', '652101501', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652101502', '652101', '652101502', '兵团二二一团', 'bingtuanereryituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652122', '6521', '652122', '鄯善县', 'shanshanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652122100', '652122', '652122100', '城镇', 'chengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652122101', '652122', '652122101', '七克台镇', 'qiketaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652122102', '652122', '652122102', '火车站镇', 'huochezhanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652122103', '652122', '652122103', '连木沁镇', 'lianmuqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652122104', '652122', '652122104', '鲁克沁镇', 'lukeqinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652122200', '652122', '652122200', '辟展乡', 'pizhanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652122201', '652122', '652122201', '东巴扎乡', 'dongbazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652122202', '652122', '652122202', '吐峪沟乡', 'tuyugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652122203', '652122', '652122203', '达浪坎乡', 'dalangkanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652122204', '652122', '652122204', '迪坎乡', 'dikanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652123', '6521', '652123', '托克逊县', 'tuokexunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652123100', '652123', '652123100', '托克逊镇', 'tuokexunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652123101', '652123', '652123101', '库米什镇', 'kumishenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652123102', '652123', '652123102', '库加依镇', 'kujiayizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652123200', '652123', '652123200', '夏乡', 'xiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652123201', '652123', '652123201', '郭勒布依乡乡', 'guolebuyixiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652123202', '652123', '652123202', '伊拉湖乡', 'yilahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652123203', '652123', '652123203', '博斯坦乡', 'bositanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6522', '65', '6522', '哈密地区', 'hamidiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201', '6522', '652201', '哈密市', 'hamishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201001', '652201', '652201001', '东河区街道', 'donghequjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201002', '652201', '652201002', '西河区街道', 'xihequjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201003', '652201', '652201003', '新市区街道', 'xinshiqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201004', '652201', '652201004', '丽园街道', 'liyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201005', '652201', '652201005', '石油新城街道', 'shiyouxinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201100', '652201', '652201100', '雅满苏镇', 'yamansuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201101', '652201', '652201101', '七角井镇', 'qijiaojingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201102', '652201', '652201102', '星星峡镇', 'xingxingxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201103', '652201', '652201103', '二堡镇', 'erbaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201200', '652201', '652201200', '沁城乡', 'qinchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201201', '652201', '652201201', '乌拉台哈萨克民族乡', 'wulataihasakeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201202', '652201', '652201202', '双井子乡', 'shuangjingzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201203', '652201', '652201203', '大泉湾乡', 'daquanwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201204', '652201', '652201204', '陶家宫乡', 'taojiagongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201205', '652201', '652201205', '回城乡', 'huichengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201206', '652201', '652201206', '花园乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201207', '652201', '652201207', '南湖乡', 'nanhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201208', '652201', '652201208', '五堡乡', 'wubaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201209', '652201', '652201209', '德外里都如克哈萨克乡', 'dewailidourukehasakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201210', '652201', '652201210', '西山乡', 'xishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201211', '652201', '652201211', '天山乡', 'tianshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201212', '652201', '652201212', '白石头乡', 'baishitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201214', '652201', '652201214', '柳树沟乡', 'liushugouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201401', '652201', '652201401', '三道岭矿区', 'sandaolingkuangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201501', '652201', '652201501', '新疆联强集团伊吾马场', 'xinjianglianqiangjituanyiwumachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201502', '652201', '652201502', '兵团红星一场', 'bingtuanhongxingyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201503', '652201', '652201503', '兵团红星二场', 'bingtuanhongxingerchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201505', '652201', '652201505', '兵团红星四场', 'bingtuanhongxingsichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201506', '652201', '652201506', '兵团黄田农场', 'bingtuanhuangtiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201507', '652201', '652201507', '兵团火箭农场', 'bingtuanhuojiannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652201508', '652201', '652201508', '兵团柳树泉农场', 'bingtuanliushuquannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222', '6522', '652222', '巴里坤县', 'balikunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222100', '652222', '652222100', '巴里坤镇', 'balikunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222101', '652222', '652222101', '博尔羌吉镇', 'boerqiangjizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222102', '652222', '652222102', '大河镇', 'dahezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222103', '652222', '652222103', '奎苏镇', 'kuisuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222200', '652222', '652222200', '萨尔乔克乡', 'saerqiaokexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222201', '652222', '652222201', '海子沿乡', 'haiziyanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222202', '652222', '652222202', '下涝坝乡', 'xialaobaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222205', '652222', '652222205', '石人子乡', 'shirenzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222206', '652222', '652222206', '花园乡', 'huayuanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222207', '652222', '652222207', '三塘湖乡', 'santanghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222208', '652222', '652222208', '大红柳峡乡', 'dahongliuxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222209', '652222', '652222209', '八墙子乡', 'baqiangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222500', '652222', '652222500', '兵团红山农场', 'bingtuanhongshannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222502', '652222', '652222502', '良种繁育场', 'liangzhongfanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652222503', '652222', '652222503', '黄土场开发区', 'huangtuchangkaifaqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652223', '6522', '652223', '伊吾县', 'yiwuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652223100', '652223', '652223100', '伊吾镇', 'yiwuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652223101', '652223', '652223101', '淖毛湖镇', 'naomaohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652223201', '652223', '652223201', '苇子峡乡', 'weizixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652223202', '652223', '652223202', '下马崖乡', 'xiamayaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652223203', '652223', '652223203', '盐池乡', 'yanchixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652223204', '652223', '652223204', '吐葫芦乡', 'tuhuluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652223205', '652223', '652223205', '前山哈萨克民族乡', 'qianshanhasakeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652223500', '652223', '652223500', '兵团淖毛湖农场', 'bingtuannaomaohunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6523', '65', '6523', '昌吉州', 'changjizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301', '6523', '652301', '昌吉市', 'changjishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301001', '652301', '652301001', '宁边路', 'ningbianlu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301002', '652301', '652301002', '延安北路', 'yananbeilu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301003', '652301', '652301003', '北京南路', 'beijingnanlu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301004', '652301', '652301004', '建国路', 'jianguolu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301005', '652301', '652301005', '中山路街道', 'zhongshanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301006', '652301', '652301006', '绿洲路街道', 'lu:zhoulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301100', '652301', '652301100', '硫磺沟镇', 'liuhuanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301101', '652301', '652301101', '三工镇', 'sangongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301102', '652301', '652301102', '榆树沟镇', 'yushugouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301103', '652301', '652301103', '二六工镇', 'erliugongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301104', '652301', '652301104', '大西渠镇', 'daxiquzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301105', '652301', '652301105', '六工镇', 'liugongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301200', '652301', '652301200', '佃坝乡', 'dianbaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301201', '652301', '652301201', '滨湖乡', 'binhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301202', '652301', '652301202', '阿什里哈萨克民族乡', 'ashenlihasakeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301203', '652301', '652301203', '庙尔沟乡', 'miaoergouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301503', '652301', '652301503', '兵团共青团农场', 'bingtuangongqingtuannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652301504', '652301', '652301504', '兵团军户农场', 'bingtuanjunhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302', '6523', '652302', '阜康市', 'fukangshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302001', '652302', '652302001', '博峰街', 'bofengjie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302002', '652302', '652302002', '阜新街', 'fuxinjie', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302003', '652302', '652302003', '准东', 'zhundong', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302100', '652302', '652302100', '甘河子镇', 'ganhezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302101', '652302', '652302101', '城关镇', 'chengguanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302102', '652302', '652302102', '九运街镇', 'jiuyunjiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302103', '652302', '652302103', '滋泥泉子镇', 'ziniquanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302200', '652302', '652302200', '三工河哈萨克民族乡', 'sangonghehasakeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302201', '652302', '652302201', '上户沟哈萨克民族乡', 'shanghugouhasakeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302202', '652302', '652302202', '水磨沟乡', 'shuimogouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302503', '652302', '652302503', '兵团农六师土墩子农场', 'bingtuannongliushitudunzinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302504', '652302', '652302504', '兵团六运湖农场', 'bingtuanliuyunhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652302505', '652302', '652302505', '兵团二二二团农场', 'bingtuanererertuannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652303', '6523', '652303', '米泉市', 'miquanshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652303001', '652303', '652303001', '古牧地东路街道', 'gumudidonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652303002', '652303', '652303002', '古牧地西路街道', 'gumudixilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652303003', '652303', '652303003', '古牧地友好路街道', 'gumudiyouhaolujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652303100', '652303', '652303100', '古牧地镇', 'gumudizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652303101', '652303', '652303101', '铁厂沟镇', 'tiechanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652303102', '652303', '652303102', '长山子镇', 'zhangshanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652303103', '652303', '652303103', '羊毛工镇', 'yangmaogongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652303104', '652303', '652303104', '三道坝镇', 'sandaobazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652303200', '652303', '652303200', '柏杨河乡', 'boyanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323', '6523', '652323', '呼图壁县', 'hutubixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323100', '652323', '652323100', '呼图壁镇', 'hutubizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323101', '652323', '652323101', '大丰镇', 'dafengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323102', '652323', '652323102', '雀尔沟镇', 'queergouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323103', '652323', '652323103', '二十里店镇', 'ershilidianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323104', '652323', '652323104', '园户村镇', 'yuanhucunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323105', '652323', '652323105', '五工台镇', 'wugongtaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323201', '652323', '652323201', '石梯子哈萨克民族乡', 'shitizihasakeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323400', '652323', '652323400', '南山牧场', 'nanshanmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323401', '652323', '652323401', '良种繁育场', 'liangzhongfanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323402', '652323', '652323402', '干河子林场', 'ganhezilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323403', '652323', '652323403', '塔勒德牧场', 'taledemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323404', '652323', '652323404', '呼图壁林场', 'hutubilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323405', '652323', '652323405', '呼图壁种牛场', 'hutubizhongniuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323520', '652323', '652323520', '兵团一零五团', 'bingtuanyilingwutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323521', '652323', '652323521', '兵团一零六团', 'bingtuanyilingliutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652323523', '652323', '652323523', '兵团芳草湖总场', 'bingtuanfangcaohuzongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324', '6523', '652324', '玛纳斯', 'manasi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324100', '652324', '652324100', '玛纳斯镇', 'manasizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324101', '652324', '652324101', '乐土驿镇', 'letuyizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324102', '652324', '652324102', '包家店镇', 'baojiadianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324103', '652324', '652324103', '凉州户镇', 'liangzhouhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324104', '652324', '652324104', '北五岔镇', 'beiwuchazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324105', '652324', '652324105', '六户地镇', 'liuhudizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324106', '652324', '652324106', '兰州湾镇', 'lanzhouwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324200', '652324', '652324200', '头工乡', 'tougongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324201', '652324', '652324201', '广东地乡', 'guangdongdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324202', '652324', '652324202', '清水河子哈萨克民族乡', 'qingshuihezihasakeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324203', '652324', '652324203', '塔西河哈萨克民族乡', 'taxihehasakeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324204', '652324', '652324204', '卡子滩哈萨克民族乡', 'kazitanhasakeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324500', '652324', '652324500', '园艺场', 'yuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324501', '652324', '652324501', '自治区林业厅玛纳斯平原林场', 'zizhiqulinyetingmanasipingyuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324502', '652324', '652324502', '新疆农科院玛纳斯试验站', 'xinjiangnongkeyuanmanasishiyanzhan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324520', '652324', '652324520', '兵团农六师新湖农场', 'bingtuannongliushixinhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324521', '652324', '652324521', '兵团一四七团', 'bingtuanyisiqituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324522', '652324', '652324522', '兵团一四八团', 'bingtuanyisibatuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324523', '652324', '652324523', '兵团一四九团', 'bingtuanyisijiutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652324524', '652324', '652324524', '兵团一五零团', 'bingtuanyiwulingtuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325', '6523', '652325', '奇台县', 'qitaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325100', '652325', '652325100', '奇台镇', 'qitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325101', '652325', '652325101', '老奇台镇', 'laoqitaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325102', '652325', '652325102', '半截沟镇', 'banjiegouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325103', '652325', '652325103', '吉布库镇', 'jibukuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325104', '652325', '652325104', '东湾镇', 'dongwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325105', '652325', '652325105', '西地镇', 'xidizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325200', '652325', '652325200', '碧流河乡', 'biliuhexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325201', '652325', '652325201', '西北湾乡', 'xibeiwanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325202', '652325', '652325202', '坎尔孜乡', 'kanerzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325203', '652325', '652325203', '五马场乡', 'wumachangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325204', '652325', '652325204', '古城乡', 'guchengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325205', '652325', '652325205', '乔仁乡', 'qiaorenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325206', '652325', '652325206', '七户乡', 'qihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325207', '652325', '652325207', '三个庄子乡', 'sangezhuangzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325208', '652325', '652325208', '塔塔尔乡', 'tataerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325503', '652325', '652325503', '兵团奇台农场', 'bingtuanqitainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652325504', '652325', '652325504', '兵团农六师北塔山牧场', 'bingtuannongliushibeitashanmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652327', '6523', '652327', '吉木萨尔县', 'jimusaerxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652327100', '652327', '652327100', '吉木萨尔镇', 'jimusaerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652327101', '652327', '652327101', '三台镇', 'santaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652327102', '652327', '652327102', '泉子街镇', 'quanzijiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652327103', '652327', '652327103', '北庭镇', 'beitingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652327200', '652327', '652327200', '二工乡', 'ergongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652327202', '652327', '652327202', '庆阳湖乡', 'qingyanghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652327203', '652327', '652327203', '老台乡', 'laotaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652327204', '652327', '652327204', '大有乡', 'dayouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652327205', '652327', '652327205', '新地乡', 'xindixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652327500', '652327', '652327500', '兵团农六师红旗农场', 'bingtuannongliushihongqinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328', '6523', '652328', '木垒县', 'muleixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328100', '652328', '652328100', '木垒镇', 'muleizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328101', '652328', '652328101', '西吉尔镇', 'xijierzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328102', '652328', '652328102', '东城镇', 'dongchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328200', '652328', '652328200', '英格堡乡', 'yinggebaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328201', '652328', '652328201', '照壁山乡', 'zhaobishanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328202', '652328', '652328202', '新户乡', 'xinhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328203', '652328', '652328203', '雀仁乡', 'querenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328204', '652328', '652328204', '白杨河乡', 'baiyanghexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328205', '652328', '652328205', '大石头乡', 'dashitouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328206', '652328', '652328206', '大南沟乌孜别克乡', 'danangouwuzibiekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328207', '652328', '652328207', '博斯坦乡', 'bositanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328400', '652328', '652328400', '良种繁育场', 'liangzhongfanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652328401', '652328', '652328401', '克热克库都克牧场', 'kerekekudoukemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6527', '65', '6527', '博尔塔拉蒙古自治州', 'boertalamengguzizhizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701', '6527', '652701', '博乐市', 'boleshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701001', '652701', '652701001', '青得里街道', 'qingdelijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701002', '652701', '652701002', '顾里木图街道', 'gulimutujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701003', '652701', '652701003', '克尔根卓街道', 'keergenzhuojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701004', '652701', '652701004', '三台街道', 'santaijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701100', '652701', '652701100', '小营盘镇', 'xiaoyingpanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701101', '652701', '652701101', '达勒特镇', 'daletezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701102', '652701', '652701102', '乌图布拉格镇', 'wutubulagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701200', '652701', '652701200', '青得里乡', 'qingdelixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701201', '652701', '652701201', '贝林哈日莫墩乡', 'beilinharimodunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701450', '652701', '652701450', '阿拉山口', 'alashankou', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701500', '652701', '652701500', '阿热勒托海牧场', 'areletuohaimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701501', '652701', '652701501', '兵团八十一团', 'bingtuanbashiyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701502', '652701', '652701502', '兵团八十四团', 'bingtuanbashisituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701504', '652701', '652701504', '兵团八十六团', 'bingtuanbashiliutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701505', '652701', '652701505', '兵团八十九团', 'bingtuanbashijiutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701506', '652701', '652701506', '兵团九十团', 'bingtuanjiushituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652701507', '652701', '652701507', '香班哈日根牧场', 'xiangbanharigenmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652722', '6527', '652722', '精河县', 'jinghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652722100', '652722', '652722100', '精河镇', 'jinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652722101', '652722', '652722101', '大河沿子镇', 'daheyanzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652722200', '652722', '652722200', '茫丁乡', 'mangdingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652722201', '652722', '652722201', '托里乡', 'tuolixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652722202', '652722', '652722202', '托托乡', 'tuotuoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652722500', '652722', '652722500', '阿合其农场', 'aheqinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652722501', '652722', '652722501', '八家户农场', 'bajiahunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652722503', '652722', '652722503', '兵团八十三团', 'bingtuanbashisantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652722504', '652722', '652722504', '兵团九十一团', 'bingtuanjiushiyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652722505', '652722', '652722505', '古尔图牧场', 'guertumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723', '6527', '652723', '温泉县', 'wenquanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723100', '652723', '652723100', '博格达尔镇', 'bogedaerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723101', '652723', '652723101', '哈日布呼镇', 'haribuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723200', '652723', '652723200', '安格里格乡', 'angeligexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723201', '652723', '652723201', '查干屯格乡', 'chagantungexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723202', '652723', '652723202', '扎勒木特乡', 'zhalemutexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723203', '652723', '652723203', '温泉县塔秀乡', 'wenquanxiantaxiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723500', '652723', '652723500', '呼和托哈种畜场', 'huhetuohazhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723501', '652723', '652723501', '昆得仑牧场', 'kundelunmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723502', '652723', '652723502', '兵团八十七团', 'bingtuanbashiqituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723503', '652723', '652723503', '兵团八十八团', 'bingtuanbashibatuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652723504', '652723', '652723504', '孟克牧场', 'mengkemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6528', '65', '6528', '巴音郭楞蒙古自治州', 'bayinguolengmengguzizhizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801', '6528', '652801', '库尔勒市', 'kuerleshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801001', '652801', '652801001', '团结街道', 'tuanjiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801002', '652801', '652801002', '萨依巴格街道', 'sayibagejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801003', '652801', '652801003', '天山街道', 'tianshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801004', '652801', '652801004', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801005', '652801', '652801005', '建设街道', 'jianshejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801100', '652801', '652801100', '塔什店镇', 'tashendianzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801101', '652801', '652801101', '上户镇', 'shanghuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801200', '652801', '652801200', '铁克其乡', 'tiekeqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801201', '652801', '652801201', '恰尔巴格乡', 'qiaerbagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801202', '652801', '652801202', '英下乡', 'yingxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801203', '652801', '652801203', '库尔勒市兰干乡', 'kuerleshilanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801204', '652801', '652801204', '和什力克乡', 'heshenlikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801205', '652801', '652801205', '哈拉玉宫乡', 'halayugongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801206', '652801', '652801206', '阿瓦提乡', 'awatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801207', '652801', '652801207', '库尔勒市托布力其乡', 'kuerleshituobuliqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801208', '652801', '652801208', '普惠乡', 'puhuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801400', '652801', '652801400', '库尔楚园艺场', 'kuerchuyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801401', '652801', '652801401', '包头湖农场', 'baotouhunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801402', '652801', '652801402', '普惠农场', 'puhuinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801403', '652801', '652801403', '巴州阿瓦提农场', 'bazhouawatinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801404', '652801', '652801404', '巴州沙依东园艺场', 'bazhoushayidongyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801406', '652801', '652801406', '兵团二师二十九团', 'bingtuanershiershijiutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801407', '652801', '652801407', '兵团三十团', 'bingtuansanshituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801408', '652801', '652801408', '巴州奶牛场', 'bazhounainiuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801409', '652801', '652801409', '普惠牧场', 'puhuimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801410', '652801', '652801410', '经济牧场', 'jingjimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652801411', '652801', '652801411', '良种场', 'liangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822', '6528', '652822', '轮台县', 'luntaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822100', '652822', '652822100', '轮台镇', 'luntaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822101', '652822', '652822101', '轮南镇', 'lunnanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822102', '652822', '652822102', '群巴克镇', 'qunbakezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822103', '652822', '652822103', '阳霞镇', 'yangxiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822201', '652822', '652822201', '哈尔巴克乡', 'haerbakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822202', '652822', '652822202', '野云沟乡', 'yeyungouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822203', '652822', '652822203', '阿克萨来乡', 'akesalaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822204', '652822', '652822204', '塔尔拉克乡', 'taerlakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822205', '652822', '652822205', '草湖乡', 'caohuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822206', '652822', '652822206', '铁热克巴扎乡', 'tierekebazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652822207', '652822', '652822207', '策达雅乡', 'cedayaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823', '6528', '652823', '尉犁县', 'weilixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823100', '652823', '652823100', '尉犁镇', 'weilizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823101', '652823', '652823101', '西尼尔镇', 'xinierzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823200', '652823', '652823200', '塔里木乡', 'talimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823201', '652823', '652823201', '兴平乡', 'xingpingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823202', '652823', '652823202', '团结乡', 'tuanjiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823203', '652823', '652823203', '墩阔坦乡', 'dunkuotanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823204', '652823', '652823204', '喀尔曲尕乡', 'kaerqugaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823205', '652823', '652823205', '阿克苏甫乡', 'akesufuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823206', '652823', '652823206', '古勒巴格乡', 'gulebagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823400', '652823', '652823400', '兵团三十一团', 'bingtuansanshiyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823402', '652823', '652823402', '兵团三十三团', 'bingtuansanshisantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652823403', '652823', '652823403', '兵团三十四团', 'bingtuansanshisituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652824', '6528', '652824', '若羌县', 'ruoqiangxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652824100', '652824', '652824100', '若羌镇', 'ruoqiangzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652824101', '652824', '652824101', '依吞布拉克镇', 'yitunbulakezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652824102', '652824', '652824102', '罗布泊镇', 'luobubozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652824200', '652824', '652824200', '铁干里克乡', 'tieganlikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652824201', '652824', '652824201', '吾塔木乡', 'wutamuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652824202', '652824', '652824202', '瓦石峡乡', 'washixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652824203', '652824', '652824203', '铁木里克乡', 'tiemulikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652824204', '652824', '652824204', '祁曼塔克乡', 'qimantakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652824400', '652824', '652824400', '兵团三十六团', 'bingtuansanshiliutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825', '6528', '652825', '且末县', 'qiemoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825100', '652825', '652825100', '且末镇', 'qiemozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825200', '652825', '652825200', '阿热勒乡', 'arelexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825201', '652825', '652825201', '琼库勒乡', 'qiongkulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825202', '652825', '652825202', '托格拉克勒克乡', 'tuogelakelekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825203', '652825', '652825203', '巴格艾日克乡', 'bageairikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825204', '652825', '652825204', '英吾斯塘乡', 'yingwusitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825205', '652825', '652825205', '阿克提坎墩乡', 'aketikandunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825206', '652825', '652825206', '阔什萨特玛乡', 'kuoshensatemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825207', '652825', '652825207', '塔提让乡', 'tatirangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825208', '652825', '652825208', '阿羌乡', 'aqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825209', '652825', '652825209', '库拉木勒克乡', 'kulamulekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825210', '652825', '652825210', '奥依亚依拉克乡', 'aoyiyayilakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652825400', '652825', '652825400', '兵团农二师且末工程支队', 'bingtuannongershiqiemogongchengzhidui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826', '6528', '652826', '焉耆县', 'yanqixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826100', '652826', '652826100', '焉耆镇', 'yanqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826101', '652826', '652826101', '七个星镇', 'qigexingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826102', '652826', '652826102', '永宁镇', 'yongningzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826103', '652826', '652826103', '四十里城子镇', 'sishilichengzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826200', '652826', '652826200', '北大渠乡', 'beidaquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826201', '652826', '652826201', '五号渠乡', 'wuhaoquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826203', '652826', '652826203', '查汗采开乡', 'chahancaikaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826204', '652826', '652826204', '包尔海乡', 'baoerhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826400', '652826', '652826400', '王家庄牧场', 'wangjiazhuangmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826401', '652826', '652826401', '苏海良种场', 'suhailiangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652826402', '652826', '652826402', '兵团二十七团', 'bingtuanershiqituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827', '6528', '652827', '和静县', 'hejingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827100', '652827', '652827100', '和静镇', 'hejingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827101', '652827', '652827101', '巴仑台镇', 'baluntaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827102', '652827', '652827102', '巴润哈尔莫墩镇', 'barunhaermodunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827103', '652827', '652827103', '哈尔莫墩镇', 'haermodunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827200', '652827', '652827200', '乃门莫墩乡', 'naimenmodunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827201', '652827', '652827201', '协比乃尔布呼乡', 'xiebinaierbuhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827203', '652827', '652827203', '克尔古提乡', 'keergutixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827204', '652827', '652827204', '阿拉沟乡', 'alagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827205', '652827', '652827205', '额勒再特乌鲁乡', 'elezaitewuluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827206', '652827', '652827206', '巴音郭愣乡', 'bayinguolengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827207', '652827', '652827207', '巴音乌鲁乡', 'bayinwuluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827208', '652827', '652827208', '巩乃斯沟乡', 'gongnaisigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827400', '652827', '652827400', '乌拉斯台农场', 'wulasitainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827401', '652827', '652827401', '铁尔曼区管理委员会', 'tieermanquguanliweiyuanhui', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827402', '652827', '652827402', '兵团二十一团', 'bingtuanershiyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827403', '652827', '652827403', '兵团二十二团', 'bingtuanershiertuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827405', '652827', '652827405', '兵团二二三团', 'bingtuanerersantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652827406', '652827', '652827406', '兵团农二师湖光糖厂', 'bingtuannongershihuguangtangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652828', '6528', '652828', '和硕县', 'heshuoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652828100', '652828', '652828100', '特吾里克镇', 'tewulikezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652828200', '652828', '652828200', '乌什塔拉回族民族乡', 'wushentalahuizuminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652828201', '652828', '652828201', '曲惠乡', 'quhuixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652828202', '652828', '652828202', '塔哈其乡', 'tahaqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652828203', '652828', '652828203', '苏哈特乡', 'suhatexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652828204', '652828', '652828204', '乃仁克尔乡', 'nairenkeerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652828205', '652828', '652828205', '新塔热乡', 'xintarexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652828400', '652828', '652828400', '清水河农场', 'qingshuihenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652828402', '652828', '652828402', '和硕县马兰公安管区', 'heshuoxianmalangonganguanqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652828403', '652828', '652828403', '兵团二师24团', 'bingtuanershi24tuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652829', '6528', '652829', '博湖县', 'bohuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652829100', '652829', '652829100', '博湖镇', 'bohuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652829101', '652829', '652829101', '本布图镇', 'benbutuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652829200', '652829', '652829200', '塔温觉肯乡', 'tawenjuekenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652829202', '652829', '652829202', '乌兰再格森乡', 'wulanzaigesenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652829203', '652829', '652829203', '才坎诺尔乡', 'caikannuoerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652829204', '652829', '652829204', '查干诺尔乡', 'chagannuoerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652829205', '652829', '652829205', '博斯腾湖乡', 'bositenghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652829400', '652829', '652829400', '兵团二十五团', 'bingtuanershiwutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6529', '65', '6529', '阿克苏地区', 'akesudiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901', '6529', '652901', '阿克苏市', 'akesushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901001', '652901', '652901001', '栏杆街道', 'langanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901002', '652901', '652901002', '英巴扎街道', 'yingbazhajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901003', '652901', '652901003', '红桥街道', 'hongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901004', '652901', '652901004', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901005', '652901', '652901005', '南城街道', 'nanchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901100', '652901', '652901100', '喀勒塔勒镇', 'kaletalezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901101', '652901', '652901101', '阿依库勒镇', 'ayikulezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901200', '652901', '652901200', '依干其乡', 'yiganqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901201', '652901', '652901201', '拜什吐格曼乡', 'baishentugemanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901202', '652901', '652901202', '托普鲁克乡', 'tuopulukexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901203', '652901', '652901203', '库木巴希乡', 'kumubaxixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901400', '652901', '652901400', '良种场', 'liangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901401', '652901', '652901401', '红旗坡农场', 'hongqiponongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901402', '652901', '652901402', '兵团一团', 'bingtuanyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901403', '652901', '652901403', '兵团二团', 'bingtuanertuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901404', '652901', '652901404', '实验林场', 'shiyanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901405', '652901', '652901405', '青松建化总厂', 'qingsongjianhuazongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652901406', '652901', '652901406', '兵团农一师沙井子水利管理处', 'bingtuannongyishishajingzishuiliguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922', '6529', '652922', '温宿县', 'wensuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922100', '652922', '652922100', '温宿镇', 'wensuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922101', '652922', '652922101', '吐木秀克镇', 'tumuxiukezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922102', '652922', '652922102', '克孜勒镇', 'kezilezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922103', '652922', '652922103', '阿热勒镇', 'arelezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922104', '652922', '652922104', '佳木镇', 'jiamuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922200', '652922', '652922200', '托乎拉乡', 'tuohulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922202', '652922', '652922202', '恰格拉克乡', 'qiagelakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922204', '652922', '652922204', '依希来木其乡', 'yixilaimuqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922206', '652922', '652922206', '古勒阿瓦提乡', 'guleawatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922207', '652922', '652922207', '博孜墩柯尔克孜族乡', 'bozidunkeerkezizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922400', '652922', '652922400', '水稻农场', 'shuidaonongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922401', '652922', '652922401', '青年农场', 'qingniannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922402', '652922', '652922402', '共青团农场', 'gongqingtuannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922403', '652922', '652922403', '塔格拉克牧场', 'tagelakemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922404', '652922', '652922404', '博孜墩牧场', 'bozidunmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922405', '652922', '652922405', '萨瓦甫齐牧场', 'sawafuqimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922406', '652922', '652922406', '恰其力克牧场', 'qiaqilikemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922407', '652922', '652922407', '佳木林场', 'jiamulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922409', '652922', '652922409', '兵团五团', 'bingtuanwutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652922410', '652922', '652922410', '兵团六团', 'bingtuanliutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923', '6529', '652923', '库车县', 'kuchexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923100', '652923', '652923100', '库车镇', 'kuchezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923101', '652923', '652923101', '乌恰镇', 'wuqiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923102', '652923', '652923102', '阿拉哈格镇', 'alahagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923103', '652923', '652923103', '齐满镇', 'qimanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923104', '652923', '652923104', '墩阔坦镇', 'dunkuotanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923105', '652923', '652923105', '牙哈镇', 'yahazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923106', '652923', '652923106', '乌尊镇', 'wuzunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923107', '652923', '652923107', '依西哈拉镇', 'yixihalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923108', '652923', '652923108', '雅克拉镇', 'yakelazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923201', '652923', '652923201', '玉奇吾斯塘乡', 'yuqiwusitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923202', '652923', '652923202', '比西巴格乡', 'bixibagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923203', '652923', '652923203', '哈尼喀塔木乡', 'hanikatamuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923204', '652923', '652923204', '阿克吾斯塘乡', 'akewusitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923205', '652923', '652923205', '阿格乡', 'agexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923206', '652923', '652923206', '塔里木乡', 'talimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923400', '652923', '652923400', '水电二处', 'shuidianerchu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923401', '652923', '652923401', '二八台农场', 'erbatainongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923402', '652923', '652923402', '良种繁育场', 'liangzhongfanyuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923403', '652923', '652923403', '库孜翁牧场', 'kuziwengmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923404', '652923', '652923404', '草湖牧场', 'caohumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923405', '652923', '652923405', '库车种羊场', 'kuchezhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923406', '652923', '652923406', '劳改支队农场', 'laogaizhiduinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923407', '652923', '652923407', '克其力克农场', 'keqilikenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652923408', '652923', '652923408', '园艺场', 'yuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924', '6529', '652924', '沙雅县', 'shayaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924100', '652924', '652924100', '沙雅镇', 'shayazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924101', '652924', '652924101', '托依堡勒迪镇', 'tuoyibaoledizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924102', '652924', '652924102', '红旗镇', 'hongqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924103', '652924', '652924103', '英买里镇', 'yingmailizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924200', '652924', '652924200', '古勒巴格乡', 'gulebagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924204', '652924', '652924204', '海楼乡', 'hailouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924205', '652924', '652924205', '努尔巴格乡', 'nuerbagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924206', '652924', '652924206', '塔里木乡', 'talimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924400', '652924', '652924400', '新垦农场', 'xinkennongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924401', '652924', '652924401', '一牧场', 'yimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924402', '652924', '652924402', '二牧场', 'ermuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652924403', '652924', '652924403', '沙雅监狱', 'shayajianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652925', '6529', '652925', '新和县', 'xinhexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652925100', '652925', '652925100', '新和镇', 'xinhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652925101', '652925', '652925101', '尤鲁都斯巴格镇', 'youludousibagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652925200', '652925', '652925200', '依其艾日克乡', 'yiqiairikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652925201', '652925', '652925201', '排先巴扎乡', 'paixianbazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652925202', '652925', '652925202', '塔什艾日克乡', 'tashenairikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652925203', '652925', '652925203', '渭干乡', 'weiganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652925204', '652925', '652925204', '玉其哈特乡', 'yuqihatexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652925205', '652925', '652925205', '塔木托格拉克乡', 'tamutuogelakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652925400', '652925', '652925400', '桑塔木农场', 'sangtamunongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926', '6529', '652926', '拜城县', 'baichengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926100', '652926', '652926100', '拜城镇', 'baichengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926101', '652926', '652926101', '铁热克镇', 'tierekezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926102', '652926', '652926102', '察尔其镇', 'chaerqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926103', '652926', '652926103', '赛里木镇', 'sailimuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926200', '652926', '652926200', '黑英山乡', 'heiyingshanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926201', '652926', '652926201', '克孜尔乡', 'kezierxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926203', '652926', '652926203', '托克逊乡', 'tuokexunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926204', '652926', '652926204', '亚吐尔乡', 'yatuerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926205', '652926', '652926205', '康其乡', 'kangqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926206', '652926', '652926206', '布隆乡', 'bulongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926207', '652926', '652926207', '米吉克乡', 'mijikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926208', '652926', '652926208', '温巴什乡', 'wenbashenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926209', '652926', '652926209', '大桥乡', 'daqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926210', '652926', '652926210', '老虎台乡', 'laohutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926400', '652926', '652926400', '大宛其农场', 'dawanqinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652926401', '652926', '652926401', '种羊场', 'zhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652927', '6529', '652927', '乌什县', 'wushenxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652927100', '652927', '652927100', '乌什镇', 'wushenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652927200', '652927', '652927200', '阿克托海乡', 'aketuohaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652927201', '652927', '652927201', '亚科瑞克乡', 'yakeruikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652927202', '652927', '652927202', '阿恰塔格乡', 'aqiatagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652927203', '652927', '652927203', '阿合雅乡', 'aheyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652927204', '652927', '652927204', '依麻木乡', 'yimamuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652927205', '652927', '652927205', '英阿瓦提乡', 'yingawatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652927206', '652927', '652927206', '亚曼苏柯尔克孜族乡', 'yamansukeerkezizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652927207', '652927', '652927207', '奥特贝希乡', 'aotebeixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652927400', '652927', '652927400', '兵团四团', 'bingtuansituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928', '6529', '652928', '阿瓦提县', 'awatixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928100', '652928', '652928100', '阿瓦提镇', 'awatizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928101', '652928', '652928101', '乌鲁却勒镇', 'wuluquelezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928102', '652928', '652928102', '拜什艾日克镇', 'baishenairikezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928200', '652928', '652928200', '阿依巴格乡', 'ayibagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928201', '652928', '652928201', '塔木托格拉克乡', 'tamutuogelakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928202', '652928', '652928202', '英艾日克乡', 'yingairikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928203', '652928', '652928203', '多浪乡', 'duolangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928204', '652928', '652928204', '巴格托格拉克乡', 'bagetuogelakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928400', '652928', '652928400', '天丰种业有限责任公司', 'tianfengzhongyeyouxianzerengongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928401', '652928', '652928401', '恒丰有限责任公司', 'hengfengyouxianzerengongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928402', '652928', '652928402', '新疆鲁泰棉业有限责任公司', 'xinjianglutaimianyeyouxianzerengongsi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928403', '652928', '652928403', '兵团三团', 'bingtuansantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652928404', '652928', '652928404', '博斯坦牧场', 'bositanmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652929', '6529', '652929', '柯坪县', 'kepingxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652929100', '652929', '652929100', '柯坪镇', 'kepingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652929200', '652929', '652929200', '盖孜力克乡', 'gaizilikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652929201', '652929', '652929201', '玉尔其乡', 'yuerqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652929202', '652929', '652929202', '阿恰勒乡', 'aqialexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('652929203', '652929', '652929203', '启浪乡', 'qilangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6530', '65', '6530', '克州', 'kezhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001', '6530', '653001', '阿图什市', 'atushenshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001001', '653001', '653001001', '幸福路街道', 'xingfulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001002', '653001', '653001002', '光明路街道', 'guangminglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001200', '653001', '653001200', '松他克乡', 'songtakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001201', '653001', '653001201', '阿扎克乡', 'azhakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001202', '653001', '653001202', '阿湖乡', 'ahuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001203', '653001', '653001203', '上阿图什乡', 'shangatushenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001204', '653001', '653001204', '格达良乡', 'gedaliangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001205', '653001', '653001205', '哈拉峻乡', 'halajunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001206', '653001', '653001206', '吐古买提乡', 'tugumaitixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001500', '653001', '653001500', '阿图什市经济羊场', 'atushenshijingjiyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001501', '653001', '653001501', '阿图什园艺场', 'atushenyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001502', '653001', '653001502', '结然布拉克牧场', 'jieranbulakemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001503', '653001', '653001503', '阿图什良种场', 'atushenliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653001504', '653001', '653001504', '兵团农三师红旗农场', 'bingtuannongsanshihongqinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022', '6530', '653022', '阿克陶县', 'aketaoxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022100', '653022', '653022100', '阿克陶镇', 'aketaozhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022101', '653022', '653022101', '奥依塔克镇', 'aoyitakezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022200', '653022', '653022200', '玉麦乡', 'yumaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022201', '653022', '653022201', '皮拉力乡', 'pilalixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022202', '653022', '653022202', '巴仁乡', 'barenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022203', '653022', '653022203', '喀热克其克乡', 'karekeqikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022204', '653022', '653022204', '加马铁力克乡', 'jiamatielikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022205', '653022', '653022205', '木吉乡', 'mujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022206', '653022', '653022206', '布伦口乡', 'bulunkouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022207', '653022', '653022207', '克孜勒陶乡', 'keziletaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022208', '653022', '653022208', '恰尔隆乡', 'qiaerlongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022209', '653022', '653022209', '库斯拉甫乡', 'kusilafuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022210', '653022', '653022210', '塔尔乡', 'taerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022500', '653022', '653022500', '托尔塔依农场', 'tuoertayinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022501', '653022', '653022501', '阿克达拉牧场', 'akedalamuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022502', '653022', '653022502', '原种场', 'yuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022504', '653022', '653022504', '克孜勒苏柯尔克孜自治州林场', 'kezilesukeerkezizizhizhoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653022505', '653022', '653022505', '苗圃', 'miaopu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653023', '6530', '653023', '阿合奇县', 'aheqixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653023100', '653023', '653023100', '阿合奇镇', 'aheqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653023200', '653023', '653023200', '库兰萨日克乡', 'kulansarikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653023201', '653023', '653023201', '色帕巴依乡', 'sepabayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653023202', '653023', '653023202', '苏木塔什乡', 'sumutashenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653023203', '653023', '653023203', '哈拉奇乡', 'halaqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653023204', '653023', '653023204', '哈拉布拉克乡', 'halabulakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653023500', '653023', '653023500', '国营马场', 'guoyingmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653023501', '653023', '653023501', '食品牧场', 'shipinmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653023502', '653023', '653023502', '良种场', 'liangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024', '6530', '653024', '乌恰县', 'wuqiaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024100', '653024', '653024100', '乌恰镇', 'wuqiazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024101', '653024', '653024101', '康苏镇', 'kangsuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024200', '653024', '653024200', '乌鲁克恰提乡', 'wulukeqiatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024201', '653024', '653024201', '吾合沙鲁乡', 'wuheshaluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024202', '653024', '653024202', '膘尔托阔依乡', 'biaoertuokuoyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024203', '653024', '653024203', '黑孜韦乡', 'heiziweixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024204', '653024', '653024204', '托云乡', 'tuoyunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024205', '653024', '653024205', '铁列克乡', 'tieliekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024206', '653024', '653024206', '巴音库鲁提乡', 'bayinkulutixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024207', '653024', '653024207', '波斯坦铁列克乡', 'bositantieliekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024208', '653024', '653024208', '吉根乡', 'jigenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024500', '653024', '653024500', '国营羊场', 'guoyingyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653024501', '653024', '653024501', '兵团托云牧场', 'bingtuantuoyunmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6531', '65', '6531', '喀什地区', 'kashendiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101', '6531', '653101', '喀什市', 'kashenshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101001', '653101', '653101001', '恰萨街道', 'qiasajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101002', '653101', '653101002', '亚瓦格街道', 'yawagejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101003', '653101', '653101003', '吾斯糖博依', 'wusitangboyi', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101004', '653101', '653101004', '库木德尔瓦扎街道', 'kumudeerwazhajiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101200', '653101', '653101200', '乃则巴格乡', 'naizebagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101201', '653101', '653101201', '夏马勒巴格乡', 'xiamalebagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101202', '653101', '653101202', '多来特巴格乡', 'duolaitebagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101203', '653101', '653101203', '浩罕乡', 'haohanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101204', '653101', '653101204', '色满乡', 'semanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101205', '653101', '653101205', '荒地乡', 'huangdixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101206', '653101', '653101206', '帕哈太克里乡', 'pahataikelixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653101207', '653101', '653101207', '伯什克然木乡', 'boshenkeranmuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121', '6531', '653121', '疏附县', 'shufuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121100', '653121', '653121100', '托克扎克镇', 'tuokezhakezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121200', '653121', '653121200', '乌帕尔乡', 'wupaerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121201', '653121', '653121201', '塔什米里克乡', 'tashenmilikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121202', '653121', '653121202', '铁日木乡', 'tierimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121203', '653121', '653121203', '布拉克苏乡', 'bulakesuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121204', '653121', '653121204', '萨依巴格乡', 'sayibagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121205', '653121', '653121205', '站敏乡', 'zhanminxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121206', '653121', '653121206', '吾库萨克乡', 'wukusakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121210', '653121', '653121210', '栏杆乡', 'langanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121211', '653121', '653121211', '木什乡', 'mushenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121213', '653121', '653121213', '阿瓦提乡', 'awatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121214', '653121', '653121214', '英吾斯塘乡', 'yingwusitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121215', '653121', '653121215', '阿克喀什乡', 'akekashenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121400', '653121', '653121400', '县种畜场', 'xianzhongchuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121401', '653121', '653121401', '县园艺场', 'xianyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121402', '653121', '653121402', '县林场', 'xianlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121403', '653121', '653121403', '县良种场', 'xianliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653121404', '653121', '653121404', '县英艾力克大畜场', 'xianyingailikedachuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122', '6531', '653122', '疏勒县', 'shulexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122100', '653122', '653122100', '疏勒镇', 'shulezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122101', '653122', '653122101', '罕南力克镇', 'hannanlikezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122102', '653122', '653122102', '牙甫泉镇', 'yafuquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122200', '653122', '653122200', '巴仁乡', 'barenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122201', '653122', '653122201', '洋大曼乡', 'yangdamanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122202', '653122', '653122202', '亚曼牙乡', 'yamanyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122203', '653122', '653122203', '巴合齐乡', 'baheqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122204', '653122', '653122204', '塔孜洪乡', 'tazihongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122205', '653122', '653122205', '英尔力克乡', 'yingerlikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122206', '653122', '653122206', '库木西力克乡', 'kumuxilikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122207', '653122', '653122207', '塔合其乡', 'taheqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122208', '653122', '653122208', '艾尔木东乡', 'aiermudongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122209', '653122', '653122209', '阿拉力乡', 'alalixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122210', '653122', '653122210', '阿拉甫乡', 'alafuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122211', '653122', '653122211', '英阿瓦提乡', 'yingawatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653122407', '653122', '653122407', '兵团四十一团', 'bingtuansishiyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123', '6531', '653123', '英吉沙县', 'yingjishaxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123100', '653123', '653123100', '英吉沙县城镇', 'yingjishaxianchengzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123200', '653123', '653123200', '城关乡', 'chengguanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123201', '653123', '653123201', '乔尔旁乡', 'qiaoerpangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123202', '653123', '653123202', '龙甫乡', 'longfuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123203', '653123', '653123203', '芒申乡', 'mangshenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123204', '653123', '653123204', '色提力乡', 'setilixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123205', '653123', '653123205', '沙汗乡', 'shahanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123206', '653123', '653123206', '英叶乡', 'yingyexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123207', '653123', '653123207', '克孜勒乡', 'kezilexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123208', '653123', '653123208', '托甫洛克乡', 'tuofuluokexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123209', '653123', '653123209', '苏盖提乡', 'sugaitixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123210', '653123', '653123210', '乌恰乡', 'wuqiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123211', '653123', '653123211', '艾古斯乡', 'aigusixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123212', '653123', '653123212', '依格孜牙乡', 'yigeziyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653123400', '653123', '653123400', '兵团东风农场', 'bingtuandongfengnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124', '6531', '653124', '泽普县', 'zepuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124100', '653124', '653124100', '泽普镇', 'zepuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124101', '653124', '653124101', '奎依巴格镇', 'kuiyibagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124200', '653124', '653124200', '波斯喀木乡', 'bosikamuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124201', '653124', '653124201', '泽普县依玛乡', 'zepuxianyimaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124202', '653124', '653124202', '古勒巴格乡', 'gulebagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124203', '653124', '653124203', '赛力乡', 'sailixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124204', '653124', '653124204', '依肯苏乡', 'yikensuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124205', '653124', '653124205', '图呼其乡', 'tuhuqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124206', '653124', '653124206', '奎依巴格乡', 'kuiyibagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124207', '653124', '653124207', '阿克塔木乡', 'aketamuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124208', '653124', '653124208', '阿依库勒乡', 'ayikulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124209', '653124', '653124209', '布依鲁克塔吉克族乡', 'buyiluketajikezuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124400', '653124', '653124400', '农场场部', 'nongchangchangbu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124401', '653124', '653124401', '泽普县良种场', 'zepuxianliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124402', '653124', '653124402', '园艺场', 'yuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653124403', '653124', '653124403', '国营林场', 'guoyinglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125', '6531', '653125', '莎车县', 'shachexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125100', '653125', '653125100', '莎车镇', 'shachezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125101', '653125', '653125101', '恰热克镇', 'qiarekezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125102', '653125', '653125102', '艾里西湖镇', 'ailixihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125103', '653125', '653125103', '荒地镇', 'huangdizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125104', '653125', '653125104', '阿瓦提镇', 'awatizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125105', '653125', '653125105', '白什坎特镇', 'baishenkantezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125106', '653125', '653125106', '依盖尔其镇', 'yigaierqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125200', '653125', '653125200', '古勒巴格乡', 'gulebagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125201', '653125', '653125201', '阿热勒乡', 'arelexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125202', '653125', '653125202', '恰热巴格乡', 'qiarebagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125203', '653125', '653125203', '托木吾斯塘乡', 'tuomuwusitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125204', '653125', '653125204', '英吾斯塘乡', 'yingwusitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125205', '653125', '653125205', '乌达力克乡', 'wudalikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125206', '653125', '653125206', '阿热斯兰巴格乡', 'aresilanbagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125207', '653125', '653125207', '孜热甫普夏提乡', 'zirefupuxiatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125208', '653125', '653125208', '亚喀艾日克乡', 'yakaairikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125209', '653125', '653125209', '喀群乡', 'kaqunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125210', '653125', '653125210', '藿什拉甫乡', 'huoshenlafuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125211', '653125', '653125211', '达木斯乡', 'damusixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125212', '653125', '653125212', '米夏乡', 'mixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125213', '653125', '653125213', '伊什库力乡', 'yishenkulixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125214', '653125', '653125214', '拍克其乡', 'paikeqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125215', '653125', '653125215', '塔尕尔其乡', 'tagaerqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125216', '653125', '653125216', '阔什艾日克乡', 'kuoshenairikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125217', '653125', '653125217', '墩巴格乡', 'dunbagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125218', '653125', '653125218', '阿拉买提乡', 'alamaitixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125219', '653125', '653125219', '阿扎特巴格乡', 'azhatebagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125220', '653125', '653125220', '巴格阿瓦提乡', 'bageawatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125221', '653125', '653125221', '喀拉苏乡', 'kalasuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125401', '653125', '653125401', '喀什监狱', 'kashenjianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125402', '653125', '653125402', '县良种场', 'xianliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653125403', '653125', '653125403', '县国营农场', 'xianguoyingnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126', '6531', '653126', '叶城县', 'yechengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126100', '653126', '653126100', '喀格勒克镇', 'kagelekezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126101', '653126', '653126101', '恰尔巴格镇', 'qiaerbagezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126102', '653126', '653126102', '乌夏克巴什镇', 'wuxiakebashenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126200', '653126', '653126200', '洛克乡', 'luokexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126201', '653126', '653126201', '伯西热克乡', 'boxirekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126202', '653126', '653126202', '铁提乡', 'tietixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126203', '653126', '653126203', '恰萨美其特乡', 'qiasameiqitexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126204', '653126', '653126204', '吐古其乡', 'tuguqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126205', '653126', '653126205', '江格勒斯乡', 'jianggelesixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126206', '653126', '653126206', '加依提勒克乡', 'jiayitilekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126207', '653126', '653126207', '巴仁乡', 'barenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126208', '653126', '653126208', '乌吉热克乡', 'wujirekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126209', '653126', '653126209', '夏合甫乡', 'xiahefuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126210', '653126', '653126210', '依力克其乡', 'yilikeqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126211', '653126', '653126211', '依提木孔乡', 'yitimukongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126212', '653126', '653126212', '宗朗乡', 'zonglangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126213', '653126', '653126213', '柯克亚乡', 'kekeyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126214', '653126', '653126214', '西合休乡', 'xihexiuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126215', '653126', '653126215', '棋盘乡', 'qipanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126216', '653126', '653126216', '萨依巴格乡', 'sayibagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653126400', '653126', '653126400', '兵团叶城牧场', 'bingtuanyechengmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127', '6531', '653127', '麦盖提县', 'maigaitixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127100', '653127', '653127100', '麦盖提镇', 'maigaitizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127200', '653127', '653127200', '巴扎结米乡', 'bazhajiemixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127201', '653127', '653127201', '希依提敦乡', 'xiyitidunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127202', '653127', '653127202', '央塔克乡', 'yangtakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127203', '653127', '653127203', '吐曼塔勒乡', 'tumantalexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127204', '653127', '653127204', '尕孜库勒乡', 'gazikulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127205', '653127', '653127205', '克孜勒阿瓦提乡', 'kezileawatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127206', '653127', '653127206', '库木库沙尔乡', 'kumukushaerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127207', '653127', '653127207', '昂格特勒克乡', 'anggetelekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127208', '653127', '653127208', '库尔玛乡', 'kuermaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127400', '653127', '653127400', '胡杨林场', 'huyanglinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127401', '653127', '653127401', '园艺场', 'yuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127402', '653127', '653127402', '五一林场', 'wuyilinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127405', '653127', '653127405', '兵团四十五团', 'bingtuansishiwutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127406', '653127', '653127406', '兵团四十六团', 'bingtuansishiliutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653127407', '653127', '653127407', '兵团农三师前进水库管理处', 'bingtuannongsanshiqianjinshuikuguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653128', '6531', '653128', '岳普湖县', 'yuepuhuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653128100', '653128', '653128100', '岳普湖镇', 'yuepuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653128200', '653128', '653128200', '岳普湖乡', 'yuepuhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653128201', '653128', '653128201', '也克先拜巴扎乡', 'yekexianbaibazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653128202', '653128', '653128202', '艾西曼乡', 'aiximanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653128203', '653128', '653128203', '阿其克乡', 'aqikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653128204', '653128', '653128204', '色也克乡', 'seyekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653128205', '653128', '653128205', '铁热木乡', 'tieremuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653128206', '653128', '653128206', '巴依阿瓦提乡', 'bayiawatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653128207', '653128', '653128207', '阿洪鲁库木乡', 'ahonglukumuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653128400', '653128', '653128400', '兵团四十二团', 'bingtuansishiertuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129', '6531', '653129', '伽师县', 'jiashixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129100', '653129', '653129100', '巴仁镇', 'barenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129101', '653129', '653129101', '西克尔库勒镇', 'xikeerkulezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129200', '653129', '653129200', '铁日木乡', 'tierimuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129201', '653129', '653129201', '英买里乡', 'yingmailixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129202', '653129', '653129202', '江巴孜乡', 'jiangbazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129203', '653129', '653129203', '卧里托格拉克乡', 'wolituogelakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129204', '653129', '653129204', '克孜勒博依乡', 'kezileboyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129205', '653129', '653129205', '米夏乡', 'mixiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129206', '653129', '653129206', '夏普吐勒乡', 'xiaputulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129207', '653129', '653129207', '和夏阿瓦提乡', 'hexiaawatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129208', '653129', '653129208', '克孜勒苏乡', 'kezilesuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129209', '653129', '653129209', '古勒鲁克乡', 'gulelukexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129210', '653129', '653129210', '玉代克力克乡', 'yudaikelikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653129400', '653129', '653129400', '兵团农三师伽师总场', 'bingtuannongsanshijiashizongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130', '6531', '653130', '巴楚县', 'bachuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130100', '653130', '653130100', '巴楚镇', 'bachuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130101', '653130', '653130101', '色力布亚镇', 'selibuyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130102', '653130', '653130102', '阿瓦提镇', 'awatizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130103', '653130', '653130103', '三岔口镇', 'sanchakouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130200', '653130', '653130200', '恰尔巴格乡', 'qiaerbagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130201', '653130', '653130201', '多来提巴格乡', 'duolaitibagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130202', '653130', '653130202', '阿纳库勒乡', 'anakulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130203', '653130', '653130203', '夏马勒乡', 'xiamalexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130204', '653130', '653130204', '阿克萨克玛热勒乡', 'akesakemarelexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130205', '653130', '653130205', '阿拉根乡', 'alagenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130206', '653130', '653130206', '琼库恰克乡', 'qiongkuqiakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130207', '653130', '653130207', '英吾斯坦乡', 'yingwusitanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653130402', '653130', '653130402', '兵团四十八团', 'bingtuansishibatuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131', '6531', '653131', '塔什库尔干县', 'tashenkuerganxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131100', '653131', '653131100', '塔什库尔干镇', 'tashenkuerganzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131101', '653131', '653131101', '塔吉克阿巴提镇', 'tajikeabatizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131200', '653131', '653131200', '塔什库尔干乡', 'tashenkuerganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131201', '653131', '653131201', '塔合曼乡', 'tahemanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131202', '653131', '653131202', '科克亚尔柯尔克孜族乡', 'kekeyaerkeerkezizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131203', '653131', '653131203', '提孜那甫乡', 'tizineifuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131204', '653131', '653131204', '达布达尔乡', 'dabudaerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131205', '653131', '653131205', '马尔洋乡', 'maeryangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131206', '653131', '653131206', '瓦恰乡', 'waqiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131207', '653131', '653131207', '班迪尔乡', 'bandierxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131208', '653131', '653131208', '库科西鲁格乡', 'kukexilugexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131210', '653131', '653131210', '大同乡', 'datongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131400', '653131', '653131400', '麻扎尔种羊场', 'mazhaerzhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653131401', '653131', '653131401', '巴扎达什牧林场', 'bazhadashenmulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6532', '65', '6532', '和田地区', 'hetiandiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201', '6532', '653201', '和田市', 'hetianshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201001', '653201', '653201001', '奴尔巴格街道', 'nuerbagejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201002', '653201', '653201002', '古江巴格街道', 'gujiangbagejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201003', '653201', '653201003', '古勒巴格街道', 'gulebagejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201004', '653201', '653201004', '纳尔巴格街道', 'naerbagejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201100', '653201', '653201100', '拉斯奎镇', 'lasikuizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201101', '653201', '653201101', '玉龙喀什镇', 'yulongkashenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201200', '653201', '653201200', '肖尔巴格乡', 'xiaoerbagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201201', '653201', '653201201', '伊里其乡', 'yiliqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201202', '653201', '653201202', '古江巴格乡', 'gujiangbagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201203', '653201', '653201203', '吐沙拉乡', 'tushalaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201204', '653201', '653201204', '吉亚乡', 'jiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653201500', '653201', '653201500', '阿合恰管理区', 'aheqiaguanliqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221', '6532', '653221', '和田县', 'hetianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221100', '653221', '653221100', '巴格其镇', 'bageqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221201', '653221', '653221201', '罕艾日克乡', 'hanairikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221202', '653221', '653221202', '英阿瓦提乡', 'yingawatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221203', '653221', '653221203', '英艾日克乡', 'yingairikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221204', '653221', '653221204', '布扎克乡', 'buzhakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221205', '653221', '653221205', '拉依喀乡', 'layikaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221206', '653221', '653221206', '朗如乡', 'langruxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221207', '653221', '653221207', '塔瓦库勒乡', 'tawakulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221208', '653221', '653221208', '伊斯拉木阿瓦提乡', 'yisilamuawatixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221209', '653221', '653221209', '色格孜库勒乡', 'segezikulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653221210', '653221', '653221210', '喀什塔什乡', 'kashentashenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222', '6532', '653222', '墨玉县', 'moyuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222100', '653222', '653222100', '喀拉喀什镇', 'kalakashenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222200', '653222', '653222200', '喀尔塞乡', 'kaersaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222201', '653222', '653222201', '奎牙乡', 'kuiyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222202', '653222', '653222202', '扎瓦乡', 'zhawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222203', '653222', '653222203', '阿克萨拉依乡', 'akesalayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222204', '653222', '653222204', '乌尔其乡', 'wuerqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222205', '653222', '653222205', '托胡拉乡', 'tuohulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222206', '653222', '653222206', '萨依巴格乡', 'sayibagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222207', '653222', '653222207', '加汗巴格乡', 'jiahanbagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222208', '653222', '653222208', '普恰克其乡', 'puqiakeqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222209', '653222', '653222209', '芒来乡', 'manglaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222210', '653222', '653222210', '阔依其乡', 'kuoyiqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222211', '653222', '653222211', '雅瓦乡', 'yawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222212', '653222', '653222212', '吐外特乡', 'tuwaitexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222213', '653222', '653222213', '英也尔乡', 'yingyeerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222214', '653222', '653222214', '喀瓦克乡', 'kawakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222500', '653222', '653222500', '兵团四十七团场', 'bingtuansishiqituanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653222501', '653222', '653222501', '兵团皮墨垦区', 'bingtuanpimokenqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223', '6532', '653223', '皮山县', 'pishanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223100', '653223', '653223100', '固玛镇', 'gumazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223101', '653223', '653223101', '杜瓦镇', 'duwazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223200', '653223', '653223200', '阔什塔格乡', 'kuoshentagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223201', '653223', '653223201', '克里阳乡', 'keliyangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223202', '653223', '653223202', '科克铁热克乡', 'keketierekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223203', '653223', '653223203', '桑株乡', 'sangzhuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223204', '653223', '653223204', '木吉乡', 'mujixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223205', '653223', '653223205', '乔达乡', 'qiaodaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223206', '653223', '653223206', '木奎拉乡', 'mukuilaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223207', '653223', '653223207', '藏桂乡', 'zangguixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223208', '653223', '653223208', '皮亚勒玛乡', 'piyalemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223209', '653223', '653223209', '皮西那乡', 'pixineixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223210', '653223', '653223210', '巴什兰干乡', 'bashenlanganxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223211', '653223', '653223211', '瑙阿巴提塔吉克民族乡', 'naoabatitajikeminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223212', '653223', '653223212', '康克尔柯尔克孜民族乡', 'kangkeerkeerkeziminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223500', '653223', '653223500', '国营牧场虚拟乡', 'guoyingmuchangxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653223501', '653223', '653223501', '兵团皮山农场', 'bingtuanpishannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224', '6532', '653224', '洛浦县', 'luopuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224001', '653224', '653224001', '城区虚拟街道', 'chengquxunijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224100', '653224', '653224100', '洛浦镇', 'luopuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224201', '653224', '653224201', '布牙乡', 'buyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224202', '653224', '653224202', '山普拉乡', 'shanpulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224203', '653224', '653224203', '恰尔巴格乡', 'qiaerbagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224204', '653224', '653224204', '杭桂乡', 'hangguixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224205', '653224', '653224205', '多鲁乡', 'duoluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224206', '653224', '653224206', '纳瓦乡', 'nawaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224207', '653224', '653224207', '拜什托拉格乡', 'baishentuolagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224500', '653224', '653224500', '阿其克管理区虚拟乡', 'aqikeguanliquxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653224501', '653224', '653224501', '良种场虚拟乡', 'liangzhongchangxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653225', '6532', '653225', '策勒县', 'celexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653225100', '653225', '653225100', '策勒镇', 'celezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653225200', '653225', '653225200', '策勒乡', 'celexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653225201', '653225', '653225201', '固拉哈玛乡', 'gulahamaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653225202', '653225', '653225202', '达玛沟乡', 'damagouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653225203', '653225', '653225203', '恰哈乡', 'qiahaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653225204', '653225', '653225204', '乌鲁克萨依乡', 'wulukesayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653225205', '653225', '653225205', '奴尔乡', 'nuerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653225206', '653225', '653225206', '博斯坦乡', 'bositanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653225500', '653225', '653225500', '兵团一牧场', 'bingtuanyimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226', '6532', '653226', '于田县', 'yutianxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226100', '653226', '653226100', '木尕拉镇', 'mugalazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226101', '653226', '653226101', '先拜巴扎镇', 'xianbaibazhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226200', '653226', '653226200', '加依乡', 'jiayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226201', '653226', '653226201', '科克亚乡', 'kekeyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226202', '653226', '653226202', '阿热勒乡', 'arelexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226203', '653226', '653226203', '阿日希乡', 'arixixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226204', '653226', '653226204', '兰干乡', 'langanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226205', '653226', '653226205', '斯也克乡', 'siyekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226206', '653226', '653226206', '托格日尕孜乡', 'tuogerigazixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226207', '653226', '653226207', '喀尔克乡', 'kaerkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226208', '653226', '653226208', '奥依托格拉克乡', 'aoyituogelakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226209', '653226', '653226209', '阿羌乡', 'aqiangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226210', '653226', '653226210', '英巴格乡', 'yingbagexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226211', '653226', '653226211', '希吾勒乡', 'xiwulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226212', '653226', '653226212', '达里亚博依乡', 'daliyaboyixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226500', '653226', '653226500', '拉依苏良种场虚拟乡', 'layisuliangzhongchangxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226501', '653226', '653226501', '县羊场虚拟乡', 'xianyangchangxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653226502', '653226', '653226502', '于田监狱虚拟乡', 'yutianjianyuxunixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653227', '6532', '653227', '民丰县', 'minfengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653227100', '653227', '653227100', '尼雅镇', 'niyazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653227200', '653227', '653227200', '尼雅乡', 'niyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653227201', '653227', '653227201', '若克雅乡', 'ruokeyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653227202', '653227', '653227202', '萨勒吾则克乡', 'salewuzekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653227203', '653227', '653227203', '叶亦克乡', 'yeyikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653227204', '653227', '653227204', '安迪尔乡', 'andierxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('653227500', '653227', '653227500', '安迪尔牧场', 'andiermuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6540', '65', '6540', '伊犁州', 'yilizhou', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002', '6540', '654002', '伊宁市', 'yiningshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002001', '654002', '654002001', '萨依布依街道', 'sayibuyijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002002', '654002', '654002002', '墩买里街道', 'dunmailijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002003', '654002', '654002003', '伊犁河路街道', 'yilihelujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002004', '654002', '654002004', '喀赞其街道', 'kazanqijiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002005', '654002', '654002005', '都来提巴格街道', 'doulaitibagejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002006', '654002', '654002006', '琼库勒克街道', 'qiongkulekejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002007', '654002', '654002007', '艾兰木巴格街道', 'ailanmubagejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002008', '654002', '654002008', '解放路街道', 'jiefanglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002009', '654002', '654002009', '伊宁市边境经济合作区', 'yiningshibianjingjingjihezuoqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002100', '654002', '654002100', '巴彦岱镇', 'bayandaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002200', '654002', '654002200', '英也尔乡', 'yingyeerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002201', '654002', '654002201', '汉宾乡', 'hanbinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002202', '654002', '654002202', '塔什库勒克乡', 'tashenkulekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002203', '654002', '654002203', '哈尔墩乡', 'haerdunxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002204', '654002', '654002204', '托格拉克乡', 'tuogelakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002205', '654002', '654002205', '克伯克于孜乡', 'kebokeyuzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002206', '654002', '654002206', '达达木图乡', 'dadamutuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002207', '654002', '654002207', '潘津乡', 'panjinxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002400', '654002', '654002400', '伊犁州原种场', 'yilizhouyuanzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654002401', '654002', '654002401', '伊宁市园艺场', 'yiningshiyuanyichang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654003', '6540', '654003', '奎屯市', 'kuitunshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654003001', '654003', '654003001', '团结路街道办', 'tuanjielujiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654003002', '654003', '654003002', '乌东路街道办', 'wudonglujiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654003003', '654003', '654003003', '北京路街道', 'beijinglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654003004', '654003', '654003004', '乌鲁木齐西路街道', 'wulumuqixilujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654003005', '654003', '654003005', '火车站街道办', 'huochezhanjiedaoban', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654003201', '654003', '654003201', '开干齐乡', 'kaiganqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654003400', '654003', '654003400', '兵团一三一团', 'bingtuanyisanyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021', '6540', '654021', '伊宁县', 'yiningxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021100', '654021', '654021100', '吉里于孜镇', 'jiliyuzizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021101', '654021', '654021101', '墩麻扎镇', 'dunmazhazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021200', '654021', '654021200', '胡地于孜乡', 'hudiyuzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021201', '654021', '654021201', '吐鲁番于孜乡', 'tulufanyuzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021202', '654021', '654021202', '喀拉亚尕奇乡', 'kalayagaqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021205', '654021', '654021205', '愉群翁回族乡', 'yuqunwenghuizuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021206', '654021', '654021206', '阿热吾斯塘乡', 'arewusitangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021207', '654021', '654021207', '英塔木乡', 'yingtamuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021208', '654021', '654021208', '巴依托海乡', 'bayituohaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021209', '654021', '654021209', '维吾尔玉其温乡', 'weiwueryuqiwenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021210', '654021', '654021210', '萨木于孜乡', 'samuyuzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021211', '654021', '654021211', '喀什乡', 'kashenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021212', '654021', '654021212', '麻扎乡', 'mazhaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021213', '654021', '654021213', '温亚尔乡', 'wenyaerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021214', '654021', '654021214', '阿乌利亚乡', 'awuliyaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021215', '654021', '654021215', '曲鲁海乡', 'quluhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021216', '654021', '654021216', '莫洛托乎提于孜乡', 'moluotuohutiyuzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021217', '654021', '654021217', '萨地克于孜乡', 'sadikeyuzixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021400', '654021', '654021400', '青年农场', 'qingniannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021401', '654021', '654021401', '多浪农场', 'duolangnongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654021402', '654021', '654021402', '兵团七十团(中心团场)', 'bingtuanqishituan(zhongxintuanchang)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022', '6540', '654022', '察布查尔县', 'chabuchaerxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022100', '654022', '654022100', '察布查尔镇', 'chabuchaerzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022101', '654022', '654022101', '爱新舍里镇', 'aixinshelizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022200', '654022', '654022200', '堆依齐牛录乡', 'duiyiqiniuluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022201', '654022', '654022201', '孙扎齐牛录乡', 'sunzhaqiniuluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022202', '654022', '654022202', '绰霍尔乡', 'chuohuoerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022203', '654022', '654022203', '纳达齐牛录乡', 'nadaqiniuluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022204', '654022', '654022204', '扎库齐牛录乡', 'zhakuqiniuluxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022205', '654022', '654022205', '米粮泉回族民族乡', 'miliangquanhuizuminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022206', '654022', '654022206', '坎乡', 'kanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022207', '654022', '654022207', '阔洪奇乡', 'kuohongqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022208', '654022', '654022208', '海努克乡', 'hainukexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022209', '654022', '654022209', '加尕斯台乡', 'jiagasitaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022210', '654022', '654022210', '琼博拉乡', 'qiongbolaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022400', '654022', '654022400', '托布中心', 'tuobuzhongxin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022401', '654022', '654022401', '良繁场', 'liangfanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022402', '654022', '654022402', '伊犁州奶牛场', 'yilizhounainiuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022403', '654022', '654022403', '伊犁州平原林场', 'yilizhoupingyuanlinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022404', '654022', '654022404', '山区林场', 'shanqulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022405', '654022', '654022405', '兵团六十七团', 'bingtuanliushiqituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022406', '654022', '654022406', '兵团六十八团', 'bingtuanliushibatuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654022407', '654022', '654022407', '兵团六十九团', 'bingtuanliushijiutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023', '6540', '654023', '霍城县', 'huochengxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023100', '654023', '654023100', '水定镇', 'shuidingzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023101', '654023', '654023101', '清水河镇', 'qingshuihezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023102', '654023', '654023102', '芦草沟镇', 'lucaogouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023103', '654023', '654023103', '惠远镇', 'huiyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023104', '654023', '654023104', '萨尔布拉克镇', 'saerbulakezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023200', '654023', '654023200', '兰干乡', 'langanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023201', '654023', '654023201', '三道河乡', 'sandaohexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023203', '654023', '654023203', '伊车嘎善乡', 'yichegashanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023204', '654023', '654023204', '三宫乡', 'sangongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023205', '654023', '654023205', '大西沟乡', 'daxigouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023400', '654023', '654023400', '格干沟牧场', 'gegangoumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023401', '654023', '654023401', '莫乎尔牧场', 'mohuermuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023402', '654023', '654023402', '果子沟牧场', 'guozigoumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023403', '654023', '654023403', '良种繁育中心', 'liangzhongfanyuzhongxin', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023404', '654023', '654023404', '霍尔果斯口岸', 'huoerguosikouan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023405', '654023', '654023405', '兵团六十一团', 'bingtuanliushiyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023406', '654023', '654023406', '兵团六十二团', 'bingtuanliushiertuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023407', '654023', '654023407', '兵团六十三团', 'bingtuanliushisantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023408', '654023', '654023408', '兵团六十四团', 'bingtuanliushisituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654023410', '654023', '654023410', '兵团六十六团(中心团场)', 'bingtuanliushiliutuan(zhongxintuanchang)', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024', '6540', '654024', '巩留县', 'gongliuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024100', '654024', '654024100', '巩留镇', 'gongliuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024200', '654024', '654024200', '莫乎尔乡', 'mohuerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024201', '654024', '654024201', '吉尔格郎乡', 'jiergelangxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024202', '654024', '654024202', '阿尕尔森乡', 'agaersenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024203', '654024', '654024203', '东买里乡', 'dongmailixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024204', '654024', '654024204', '塔斯托别乡', 'tasituobiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024205', '654024', '654024205', '提克阿热克乡', 'tikearekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024206', '654024', '654024206', '阿克图别克乡', 'aketubiekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024400', '654024', '654024400', '综合农场', 'zonghenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024401', '654024', '654024401', '阔什阿尕什羊场', 'kuoshenagashenyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024402', '654024', '654024402', '牛场', 'niuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024403', '654024', '654024403', '良凡场', 'liangfanchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024405', '654024', '654024405', '林场', 'linchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024406', '654024', '654024406', '莫乎尔农场', 'mohuernongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654024408', '654024', '654024408', '兵团七十三团', 'bingtuanqishisantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025', '6540', '654025', '新源县', 'xinyuanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025100', '654025', '654025100', '新源镇', 'xinyuanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025101', '654025', '654025101', '则克台镇', 'zeketaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025102', '654025', '654025102', '阿热勒托别镇', 'areletuobiezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025103', '654025', '654025103', '塔勒德镇', 'taledezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025104', '654025', '654025104', '那拉提镇', 'neilatizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025105', '654025', '654025105', '肖尔布拉克镇', 'xiaoerbulakezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025200', '654025', '654025200', '别斯托别乡', 'biesituobiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025201', '654025', '654025201', '坎苏乡', 'kansuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025202', '654025', '654025202', '哈拉布拉乡', 'halabulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025203', '654025', '654025203', '阿勒玛勒乡', 'alemalexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025204', '654025', '654025204', '吐尔根乡', 'tuergenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025400', '654025', '654025400', '种羊场', 'zhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025401', '654025', '654025401', '兵团七十一团', 'bingtuanqishiyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025402', '654025', '654025402', '兵团七十二团', 'bingtuanqishiertuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654025403', '654025', '654025403', '公安农场', 'gongannongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026', '6540', '654026', '昭苏县', 'zhaosuxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026100', '654026', '654026100', '昭苏镇', 'zhaosuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026200', '654026', '654026200', '洪纳海乡', 'hongnahaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026201', '654026', '654026201', '乌尊布拉克乡', 'wuzunbulakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026202', '654026', '654026202', '阿克达拉乡', 'akedalaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026203', '654026', '654026203', '萨尔阔布乡', 'saerkuobuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026204', '654026', '654026204', '喀夏加尔乡', 'kaxiajiaerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026205', '654026', '654026205', '喀拉苏乡', 'kalasuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026206', '654026', '654026206', '昭苏县察汗乌苏蒙古民族乡', 'zhaosuxianchahanwusumengguminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026207', '654026', '654026207', '夏特柯尔克孜民族乡', 'xiatekeerkeziminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026208', '654026', '654026208', '胡松图哈尔逊蒙古民族乡', 'husongtuhaerxunmengguminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026402', '654026', '654026402', '种马场', 'zhongmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026403', '654026', '654026403', '天山西部林业局昭苏林场', 'tianshanxibulinyejuzhaosulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026404', '654026', '654026404', '昭苏马场', 'zhaosumachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026406', '654026', '654026406', '兵团七十四团', 'bingtuanqishisituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026407', '654026', '654026407', '兵团七十五团', 'bingtuanqishiwutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026408', '654026', '654026408', '兵团七十六团', 'bingtuanqishiliutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654026409', '654026', '654026409', '兵团七十七团', 'bingtuanqishiqituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027', '6540', '654027', '特克斯县', 'tekesixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027100', '654027', '654027100', '特克斯镇', 'tekesizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027200', '654027', '654027200', '呼吉尔图蒙古乡', 'hujiertumengguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027201', '654027', '654027201', '库克苏乡', 'kukesuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027202', '654027', '654027202', '齐勒乌泽克乡', 'qilewuzekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027203', '654027', '654027203', '科克铁热克柯孜民族乡', 'keketierekekeziminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027204', '654027', '654027204', '乔拉克铁热克乡', 'qiaolaketierekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027205', '654027', '654027205', '喀拉达拉乡', 'kaladalaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027206', '654027', '654027206', '喀拉托海乡', 'kalatuohaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027404', '654027', '654027404', '特克斯军马场', 'tekesijunmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027405', '654027', '654027405', '科克苏林场', 'kekesulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654027406', '654027', '654027406', '兵团七十八团', 'bingtuanqishibatuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028', '6540', '654028', '尼勒克县', 'nilekexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028100', '654028', '654028100', '尼勒克镇', 'nilekezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028200', '654028', '654028200', '苏布台乡', 'subutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028201', '654028', '654028201', '喀拉苏乡', 'kalasuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028202', '654028', '654028202', '加哈乌拉斯台乡', 'jiahawulasitaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028203', '654028', '654028203', '乌赞乡', 'wuzanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028204', '654028', '654028204', '科蒙乡', 'kemengxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028205', '654028', '654028205', '乌拉斯台乡', 'wulasitaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028206', '654028', '654028206', '克令乡', 'kelingxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028207', '654028', '654028207', '喀拉托别乡', 'kalatuobiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028208', '654028', '654028208', '胡吉尔台乡', 'hujiertaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028209', '654028', '654028209', '木斯乡', 'musixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028400', '654028', '654028400', '种蜂场', 'zhongfengchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028402', '654028', '654028402', '军马场', 'junmachang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654028405', '654028', '654028405', '兵团七十九团', 'bingtuanqishijiutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6542', '65', '6542', '塔城地区', 'tachengdiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201', '6542', '654201', '塔城市', 'tachengshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201001', '654201', '654201001', '和平街道', 'hepingjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201002', '654201', '654201002', '杜别克街道', 'dubiekejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201003', '654201', '654201003', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201100', '654201', '654201100', '二工镇', 'ergongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201200', '654201', '654201200', '喀拉哈巴克乡', 'kalahabakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201201', '654201', '654201201', '恰夏乡', 'qiaxiaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201202', '654201', '654201202', '阿西尔达斡尔民族乡', 'axierdawoerminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201203', '654201', '654201203', '阿不都拉乡', 'abudoulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201204', '654201', '654201204', '也门勒乡', 'yemenlexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201503', '654201', '654201503', '恰合吉牧场', 'qiahejimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201504', '654201', '654201504', '博孜达克农场', 'bozidakenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201505', '654201', '654201505', '窝依加依劳牧场', 'woyijiayilaomuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201506', '654201', '654201506', '地区种牛场', 'diquzhongniuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201508', '654201', '654201508', '阿克乔克兵团一六三团', 'akeqiaokebingtuanyiliusantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654201509', '654201', '654201509', '乌拉斯台兵团一六四团', 'wulasitaibingtuanyiliusituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202', '6542', '654202', '乌苏市', 'wusushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202001', '654202', '654202001', '新市区街道', 'xinshiqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202002', '654202', '654202002', '南苑街道', 'nanyuanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202003', '654202', '654202003', '西城区街道', 'xichengqujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202004', '654202', '654202004', '虹桥街道', 'hongqiaojiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202005', '654202', '654202005', '奎河街道', 'kuihejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202100', '654202', '654202100', '白杨沟镇', 'baiyanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202101', '654202', '654202101', '哈图布呼镇', 'hatubuhuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202102', '654202', '654202102', '皇宫镇', 'huanggongzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202103', '654202', '654202103', '车排子镇', 'chepaizizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202104', '654202', '654202104', '甘河子镇', 'ganhezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202105', '654202', '654202105', '百泉镇', 'baiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202106', '654202', '654202106', '四棵树镇', 'sikeshuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202107', '654202', '654202107', '古尔图镇', 'guertuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202108', '654202', '654202108', '西湖镇', 'xihuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202109', '654202', '654202109', '西大沟镇', 'xidagouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202200', '654202', '654202200', '八十四户乡', 'bashisihuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202201', '654202', '654202201', '夹河子乡', 'jiahezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202202', '654202', '654202202', '九间楼乡', 'jiujianlouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202203', '654202', '654202203', '石桥乡', 'shiqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202204', '654202', '654202204', '头台乡', 'toutaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202205', '654202', '654202205', '吉尔格勒特郭愣蒙古民族乡', 'jiergeleteguolengmengguminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202206', '654202', '654202206', '塔布勒合特蒙古民族乡', 'tabulehetemengguminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202500', '654202', '654202500', '甘家湖牧场', 'ganjiahumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202501', '654202', '654202501', '巴音沟牧场', 'bayingoumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202502', '654202', '654202502', '赛力克提牧场', 'sailiketimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202503', '654202', '654202503', '乌苏监狱', 'wusujianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202505', '654202', '654202505', '兵团一二三团', 'bingtuanyiersantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202506', '654202', '654202506', '兵团一二四团', 'bingtuanyiersituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202507', '654202', '654202507', '兵团一二五团', 'bingtuanyierwutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202508', '654202', '654202508', '兵团一二六团', 'bingtuanyierliutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202510', '654202', '654202510', '兵团一二八团', 'bingtuanyierbatuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654202511', '654202', '654202511', '兵团一三零团', 'bingtuanyisanlingtuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221', '6542', '654221', '额敏县', 'eminxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221100', '654221', '654221100', '额敏镇', 'eminzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221200', '654221', '654221200', '郊区乡', 'jiaoquxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221201', '654221', '654221201', '上户乡', 'shanghuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221202', '654221', '654221202', '额玛勒郭楞蒙古民族乡', 'emaleguolengmengguminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221203', '654221', '654221203', '玉什喀拉苏乡', 'yushenkalasuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221204', '654221', '654221204', '杰勒阿尕什乡', 'jieleagashenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221205', '654221', '654221205', '玛热勒苏乡', 'marelesuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221206', '654221', '654221206', '喀拉也木勒乡', 'kalayemulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221207', '654221', '654221207', '喇嘛昭乡', 'lamazhaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221208', '654221', '654221208', '霍吉尔特蒙古民族乡', 'huojiertemengguminzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221209', '654221', '654221209', '二道桥乡', 'erdaoqiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221500', '654221', '654221500', '二支河牧场', 'erzhihemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221501', '654221', '654221501', '加尔布拉克农场', 'jiaerbulakenongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221502', '654221', '654221502', '阔什比克良种场', 'kuoshenbikeliangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221503', '654221', '654221503', '萨尔也木勒牧场', 'saeryemulemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221504', '654221', '654221504', '也木勒牧场', 'yemulemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221505', '654221', '654221505', '地区种羊场', 'diquzhongyangchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221506', '654221', '654221506', '吾宗布拉克牧场', 'wuzongbulakemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221507', '654221', '654221507', '水丰兵团团结农场', 'shuifengbingtuantuanjienongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221509', '654221', '654221509', '兵团一六六团', 'bingtuanyiliuliutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221510', '654221', '654221510', '兵团一六七团', 'bingtuanyiliuqituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221511', '654221', '654221511', '乌什水兵团一六八团', 'wushenshuibingtuanyiliubatuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654221512', '654221', '654221512', '兵团一六五团', 'bingtuanyiliuwutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223', '6542', '654223', '沙湾县', 'shawanxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223100', '654223', '654223100', '三道河子镇', 'sandaohezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223101', '654223', '654223101', '四道河子镇', 'sidaohezizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223102', '654223', '654223102', '老沙湾镇', 'laoshawanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223103', '654223', '654223103', '乌兰乌苏镇', 'wulanwusuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223104', '654223', '654223104', '安集海镇', 'anjihaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223105', '654223', '654223105', '东湾镇', 'dongwanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223106', '654223', '654223106', '西戈壁镇', 'xigebizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223107', '654223', '654223107', '柳毛湾镇', 'liumaowanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223108', '654223', '654223108', '金沟河镇', 'jingouhezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223200', '654223', '654223200', '商户地乡', 'shanghudixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223201', '654223', '654223201', '大泉乡', 'daquanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223202', '654223', '654223202', '博尔通古乡', 'boertongguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223500', '654223', '654223500', '牛圈子牧场', 'niuquanzimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223501', '654223', '654223501', '博尔通古牧场', 'boertonggumuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223502', '654223', '654223502', '良种场', 'liangzhongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223503', '654223', '654223503', '兵团一二一团', 'bingtuanyieryituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223506', '654223', '654223506', '兵团一三三团', 'bingtuanyisansantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223507', '654223', '654223507', '兵团一三四团', 'bingtuanyisansituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223509', '654223', '654223509', '兵团一四一团', 'bingtuanyisiyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223510', '654223', '654223510', '兵团一四二团', 'bingtuanyisiertuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223511', '654223', '654223511', '兵团一四三团', 'bingtuanyisisantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654223512', '654223', '654223512', '兵团一四四团', 'bingtuanyisisituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224', '6542', '654224', '托里县', 'tuolixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224100', '654224', '654224100', '托里镇', 'tuolizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224101', '654224', '654224101', '铁厂沟镇', 'tiechanggouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224102', '654224', '654224102', '庙尔沟镇', 'miaoergouzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224200', '654224', '654224200', '多拉特乡', 'duolatexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224201', '654224', '654224201', '乌雪特乡', 'wuxuetexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224202', '654224', '654224202', '库甫乡', 'kufuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224203', '654224', '654224203', '阿合别里斗乡', 'ahebielidouxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224204', '654224', '654224204', '加尔巴斯乡', 'jiaerbasixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224500', '654224', '654224500', '白杨河林场', 'baiyanghelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224501', '654224', '654224501', '老风口林场', 'laofengkoulinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224502', '654224', '654224502', '巴尔鲁克山塔斯特林场', 'baerlukeshantasitelinchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654224503', '654224', '654224503', '兵团一七零团', 'bingtuanyiqilingtuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654225', '6542', '654225', '裕民县', 'yuminxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654225100', '654225', '654225100', '哈拉布拉镇', 'halabulazhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654225200', '654225', '654225200', '哈拉布拉乡', 'halabulaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654225201', '654225', '654225201', '新地乡', 'xindixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654225202', '654225', '654225202', '阿勒腾也木勒乡', 'aletengyemulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654225203', '654225', '654225203', '吉也克乡', 'jiyekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654225204', '654225', '654225204', '江格斯乡', 'jianggesixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654225500', '654225', '654225500', '察汗托海牧场', 'chahantuohaimuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654225502', '654225', '654225502', '兵团一六一团', 'bingtuanyiliuyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226', '6542', '654226', '和布克赛尔蒙古自治县', 'hebukesaiermengguzizhixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226100', '654226', '654226100', '和布克赛尔镇', 'hebukesaierzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226101', '654226', '654226101', '和什托洛盖镇', 'heshentuoluogaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226200', '654226', '654226200', '夏孜盖乡', 'xiazigaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226201', '654226', '654226201', '铁布肯乌散乡', 'tiebukenwusanxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226202', '654226', '654226202', '查干库勒乡', 'chagankulexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226203', '654226', '654226203', '巴音傲瓦乡', 'bayinaowaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226204', '654226', '654226204', '莫特格乡', 'motegexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226500', '654226', '654226500', '伊克乌图布拉格牧场', 'yikewutubulagemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226501', '654226', '654226501', '那仁和布克牧场', 'neirenhebukemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226502', '654226', '654226502', '巴嘎乌图布拉格牧场', 'bagawutubulagemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226503', '654226', '654226503', '布斯屯格牧场', 'busitungemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226504', '654226', '654226504', '兵团一八四团', 'bingtuanyibasituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654226505', '654226', '654226505', '砂吉海矿区', 'shajihaikuangqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6543', '65', '6543', '阿勒泰地区', 'aletaidiqu', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301', '6543', '654301', '阿勒泰市', 'aletaishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301001', '654301', '654301001', '金山路', 'jinshanlu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301002', '654301', '654301002', '解放路', 'jiefanglu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301003', '654301', '654301003', '团结路', 'tuanjielu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301100', '654301', '654301100', '北屯镇', 'beitunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301101', '654301', '654301101', '阿苇滩镇', 'aweitanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301102', '654301', '654301102', '红墩镇', 'hongdunzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301200', '654301', '654301200', '切木尔切克乡', 'qiemuerqiekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301201', '654301', '654301201', '阿拉哈克乡', 'alahakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301202', '654301', '654301202', '汗德尕特蒙古族乡', 'handegatemengguzuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301203', '654301', '654301203', '拉斯特乡', 'lasitexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301204', '654301', '654301204', '喀拉希力克乡', 'kalaxilikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301205', '654301', '654301205', '萨尔胡松乡', 'saerhusongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301206', '654301', '654301206', '巴里巴盖乡', 'balibagaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301207', '654301', '654301207', '切尔克齐乡', 'qieerkeqixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301400', '654301', '654301400', '喀拉尕什牧场', 'kalagashenmuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301401', '654301', '654301401', '阿克吐木斯克牧场', 'aketumusikemuchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654301402', '654301', '654301402', '兵团一八一团', 'bingtuanyibayituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654321', '6543', '654321', '布尔津县', 'buerjinxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654321100', '654321', '654321100', '布尔津镇', 'buerjinzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654321200', '654321', '654321200', '窝依莫克乡', 'woyimokexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654321201', '654321', '654321201', '杜来提乡', 'dulaitixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654321202', '654321', '654321202', '阔斯特克乡', 'kuositekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654321203', '654321', '654321203', '冲乎尔乡', 'chonghuerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654321204', '654321', '654321204', '也格孜托别乡', 'yegezituobiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654321205', '654321', '654321205', '禾木哈纳斯蒙古乡', 'hemuhanasimengguxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654322', '6543', '654322', '富蕴县', 'fuyunxian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654322100', '654322', '654322100', '库额尔齐斯镇', 'kueerqisizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654322101', '654322', '654322101', '可可托海镇', 'keketuohaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654322102', '654322', '654322102', '恰库尔图镇', 'qiakuertuzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654322200', '654322', '654322200', '吐尔洪乡', 'tuerhongxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654322201', '654322', '654322201', '杜热乡', 'durexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654322202', '654322', '654322202', '库尔特乡', 'kuertexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654322203', '654322', '654322203', '喀拉通克乡', 'kalatongkexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654322204', '654322', '654322204', '铁买克乡', 'tiemaikexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654322205', '654322', '654322205', '喀拉布勒根乡', 'kalabulegenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323', '6543', '654323', '福海县', 'fuhaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323100', '654323', '654323100', '福海镇', 'fuhaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323200', '654323', '654323200', '解特阿热勒乡', 'jietearelexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323201', '654323', '654323201', '阔克阿尕什乡', 'kuokeagashenxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323202', '654323', '654323202', '齐干吉迭乡', 'qiganjidiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323203', '654323', '654323203', '喀拉玛盖乡', 'kalamagaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323204', '654323', '654323204', '阿尔达乡', 'aerdaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323400', '654323', '654323400', '地区一农场', 'diquyinongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323401', '654323', '654323401', '福海监狱', 'fuhaijianyu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323402', '654323', '654323402', '兵团一八二团', 'bingtuanyibaertuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323403', '654323', '654323403', '兵团一八三团', 'bingtuanyibasantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323404', '654323', '654323404', '兵团一八七团', 'bingtuanyibaqituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654323405', '654323', '654323405', '兵团一八八团', 'bingtuanyibabatuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654324', '6543', '654324', '哈巴河县', 'habahexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654324100', '654324', '654324100', '阿克齐镇', 'akeqizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654324200', '654324', '654324200', '萨尔塔木乡', 'saertamuxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654324201', '654324', '654324201', '加依勒玛乡', 'jiayilemaxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654324202', '654324', '654324202', '库勒拜乡', 'kulebaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654324203', '654324', '654324203', '萨尔布拉克乡', 'saerbulakexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654324204', '654324', '654324204', '铁热克提乡', 'tiereketixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654324205', '654324', '654324205', '齐巴尔乡', 'qibaerxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654324400', '654324', '654324400', '兵团一八五团', 'bingtuanyibawutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654325', '6543', '654325', '青河县', 'qinghexian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654325100', '654325', '654325100', '青河镇', 'qinghezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654325101', '654325', '654325101', '塔克什肯镇', 'takeshenkenzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654325200', '654325', '654325200', '阿热勒乡', 'arelexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654325201', '654325', '654325201', '阿热勒托别乡', 'areletuobiexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654325202', '654325', '654325202', '萨尔托海乡', 'saertuohaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654325203', '654325', '654325203', '查干郭勒乡', 'chaganguolexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654325204', '654325', '654325204', '阿尕什敖包乡', 'agashenaobaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654326', '6543', '654326', '吉木乃县', 'jimunaixian', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654326100', '654326', '654326100', '托普铁热克镇', 'tuoputierekezhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654326101', '654326', '654326101', '吉木乃镇', 'jimunaizhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654326200', '654326', '654326200', '托普铁热克乡', 'tuoputierekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654326201', '654326', '654326201', '托斯特乡', 'tuositexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654326202', '654326', '654326202', '恰勒什海乡', 'qialeshenhaixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654326203', '654326', '654326203', '喀尔交乡', 'kaerjiaoxiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654326204', '654326', '654326204', '别斯铁热克乡', 'biesitierekexiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('654326400', '654326', '654326400', '兵团一八六团', 'bingtuanyibaliutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('6590', '65', '6590', '省直辖行政单位', 'shengzhixiaxingzhengdanwei', '2', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659001', '6590', '659001', '石河子市', 'shihezishi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659001001', '659001', '659001001', '新城街道', 'xinchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659001002', '659001', '659001002', '向阳街道', 'xiangyangjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659001003', '659001', '659001003', '红山街道', 'hongshanjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659001004', '659001', '659001004', '老街街道', 'laojiejiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659001005', '659001', '659001005', '东城街道', 'dongchengjiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659001100', '659001', '659001100', '北泉镇', 'beiquanzhen', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659001200', '659001', '659001200', '石河子乡', 'shihezixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659001500', '659001', '659001500', '兵团一五二团', 'bingtuanyiwuertuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002', '6590', '659002', '阿拉尔市', 'alaershi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002001', '659002', '659002001', '金银川路街道', 'jinyinchuanlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002002', '659002', '659002002', '幸福路街道', 'xingfulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002003', '659002', '659002003', '青松路街道', 'qingsonglujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002004', '659002', '659002004', '南口街道', 'nankoujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002200', '659002', '659002200', '托喀依乡', 'tuokayixiang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002400', '659002', '659002400', '兵团七团', 'bingtuanqituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002401', '659002', '659002401', '兵团八团', 'bingtuanbatuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002403', '659002', '659002403', '兵团十团', 'bingtuanshituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002404', '659002', '659002404', '兵团十一团', 'bingtuanshiyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002405', '659002', '659002405', '兵团十二团', 'bingtuanshiertuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002406', '659002', '659002406', '兵团十三团', 'bingtuanshisantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002407', '659002', '659002407', '兵团十四团', 'bingtuanshisituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002409', '659002', '659002409', '兵团十六团', 'bingtuanshiliutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002411', '659002', '659002411', '兵团农一师水利水电工程处', 'bingtuannongyishishuilishuidiangongchengchu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002412', '659002', '659002412', '兵团农一师塔里木灌溉水利管理处', 'bingtuannongyishitalimuguangaishuiliguanlichu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659002413', '659002', '659002413', '阿拉尔农场', 'alaernongchang', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659003', '6590', '659003', '图木舒克市', 'tumushukeshi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659003100', '659003', '659003100', '图木舒克市区', 'tumushukeshiqu', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659003400', '659003', '659003400', '兵团四十四团', 'bingtuansishisituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659003401', '659003', '659003401', '兵团四十九团', 'bingtuansishijiutuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659003402', '659003', '659003402', '兵团五十团', 'bingtuanwushituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659003403', '659003', '659003403', '兵团五十一团', 'bingtuanwushiyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659003404', '659003', '659003404', '兵团五十三团', 'bingtuanwushisantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659003405', '659003', '659003405', '兵团农三师工程团', 'bingtuannongsanshigongchengtuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659003407', '659003', '659003407', '兵团图木舒克市永安坝', 'bingtuantumushukeshiyonganba', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659004', '6590', '659004', '五家渠市', 'wujiaqushi', '3', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659004001', '659004', '659004001', '军垦路街道', 'junkenlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659004002', '659004', '659004002', '青湖路街道', 'qinghulujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659004003', '659004', '659004003', '人民路街道', 'renminlujiedao', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659004400', '659004', '659004400', '兵团一零一团', 'bingtuanyilingyituan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659004401', '659004', '659004401', '兵团一零二团', 'bingtuanyilingertuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('659004402', '659004', '659004402', '兵团一零三团', 'bingtuanyilingsantuan', '4', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('75d4ab5f147a452b9ba16123394240d0', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, 'admin', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('89ad713afdcc46a48043008917b62118', '110228', '110228001', '鼓楼街道', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71', 'CN', 'CN-71', '台湾省', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-01', 'CN-71', 'CN-71-01', '台北市', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-02', 'CN-71', 'CN-71-02', '高雄市', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-03', 'CN-71', 'CN-71-03', '基隆市', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-04', 'CN-71', 'CN-71-04', '台中市', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-05', 'CN-71', 'CN-71-05', '台南市', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-06', 'CN-71', 'CN-71-06', '新竹市', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-07', 'CN-71', 'CN-71-07', '嘉义市', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-08', 'CN-71', 'CN-71-08', '台北县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-09', 'CN-71', 'CN-71-09', '宜兰县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-10', 'CN-71', 'CN-71-10', '桃园县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-11', 'CN-71', 'CN-71-11', '新竹县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-12', 'CN-71', 'CN-71-12', '苗栗县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-13', 'CN-71', 'CN-71-13', '台中县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-14', 'CN-71', 'CN-71-14', '彰化县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-15', 'CN-71', 'CN-71-15', '南投县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-16', 'CN-71', 'CN-71-16', '云林县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-17', 'CN-71', 'CN-71-17', '嘉义县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-18', 'CN-71', 'CN-71-18', '台南县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-19', 'CN-71', 'CN-71-19', '高雄县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-20', 'CN-71', 'CN-71-20', '屏东县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-21', 'CN-71', 'CN-71-21', '澎湖县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-22', 'CN-71', 'CN-71-22', '台东县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-71-23', 'CN-71', 'CN-71-23', '花莲县', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81', 'CN', 'CN-81', '香港特别行政区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-HCW', 'CN-81', 'CN-81-HCW', '中西区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-HEA', 'CN-81', 'CN-81-HEA', '东区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-HSO', 'CN-81', 'CN-81-HSO', '南区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-HWC', 'CN-81', 'CN-81-HWC', '湾仔区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-KKC', 'CN-81', 'CN-81-KKC', '九龙城区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-KKT', 'CN-81', 'CN-81-KKT', '观塘区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-KSS', 'CN-81', 'CN-81-KSS', '深水埗区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-KWT', 'CN-81', 'CN-81-KWT', '黄大仙区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-KYT', 'CN-81', 'CN-81-KYT', '油尖旺区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-NIS', 'CN-81', 'CN-81-NIS', '离岛区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-NKT', 'CN-81', 'CN-81-NKT', '葵青区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-NNO', 'CN-81', 'CN-81-NNO', '北区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-NSK', 'CN-81', 'CN-81-NSK', '西贡区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-NST', 'CN-81', 'CN-81-NST', '沙田区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-NTM', 'CN-81', 'CN-81-NTM', '屯门区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-NTP', 'CN-81', 'CN-81-NTP', '大埔区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-NTW', 'CN-81', 'CN-81-NTW', '荃湾区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-81-NYL', 'CN-81', 'CN-81-NYL', '元朗区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-82', 'CN', 'CN-82', '澳门特别行政区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-82-ANT', 'CN-82', 'CN-82-ANT', '圣安多尼堂区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-82-CAT', 'CN-82', 'CN-82-CAT', '大堂区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-82-CLN', 'CN-82', 'CN-82-CLN', '路环', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-82-LAW', 'CN-82', 'CN-82-LAW', '望德堂区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-82-LAZ', 'CN-82', 'CN-82-LAZ', '风顺堂区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-82-OLF', 'CN-82', 'CN-82-OLF', '花地玛堂区', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `base_province` VALUES ('CN-82-TPA', 'CN-82', 'CN-82-TPA', '氹仔', NULL, NULL, NULL, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for base_role
-- ----------------------------
DROP TABLE IF EXISTS `base_role`;
CREATE TABLE `base_role` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_FullName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '角色名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '角色编号',
  `F_Type` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '角色类型',
  `F_PropertyJson` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '扩展属性',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='系统角色';

-- ----------------------------
-- Records of base_role
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_synthirdinfo
-- ----------------------------
DROP TABLE IF EXISTS `base_synthirdinfo`;
CREATE TABLE `base_synthirdinfo` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_ThirdType` int DEFAULT NULL COMMENT '第三方类型(1:企业微信;2:钉钉)',
  `F_DataType` int DEFAULT NULL COMMENT '数据类型(1:组织(公司与部门);2:用户)',
  `F_SysObjId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '系统对象ID',
  `F_ThirdObjId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '第三对象ID',
  `F_SynState` int DEFAULT NULL COMMENT '同步状态(0:未同步;1:同步成功;2:同步失败)',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '备注',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建人',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='客户管理';

-- ----------------------------
-- Records of base_synthirdinfo
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_sysconfig
-- ----------------------------
DROP TABLE IF EXISTS `base_sysconfig`;
CREATE TABLE `base_sysconfig` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_Name` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `F_Key` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '键',
  `F_Value` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '值',
  `F_Category` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '分类',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='系统配置';

-- ----------------------------
-- Records of base_sysconfig
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_syslog
-- ----------------------------
DROP TABLE IF EXISTS `base_syslog`;
CREATE TABLE `base_syslog` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_UserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '用户主键',
  `F_UserName` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '用户主键',
  `F_Category` int DEFAULT NULL COMMENT '日志分类',
  `F_Type` int DEFAULT NULL COMMENT '日志类型',
  `F_Level` int DEFAULT NULL COMMENT '日志级别',
  `F_IPAddress` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'IP地址',
  `F_IPAddressName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'IP所在城市',
  `F_RequestURL` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '请求地址',
  `F_RequestMethod` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '请求方法',
  `F_RequestDuration` int DEFAULT NULL COMMENT '请求耗时',
  `F_Abstracts` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '日志摘要',
  `F_Json` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '日志内容',
  `F_PlatForm` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '平台设备',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '操作日期',
  `F_ModuleId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '功能主键',
  `F_ModuleName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '功能名称',
  `F_ObjectId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '对象Id',
  `F_UpdateTime` datetime DEFAULT NULL,
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='系统日志';

-- ----------------------------
-- Records of base_syslog
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_tenant
-- ----------------------------
DROP TABLE IF EXISTS `base_tenant`;
CREATE TABLE `base_tenant` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '自然主键',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编号',
  `F_FullName` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
  `F_CompanyName` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '公司',
  `F_ExpiresTime` datetime DEFAULT NULL COMMENT '过期时间',
  `F_DbName` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '服务名称',
  `F_IPAddress` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'IP地址',
  `F_IPAddressName` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'IP所在城市',
  `F_SourceWebsite` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '来源网站',
  `F_Description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='租户信息';

-- ----------------------------
-- Records of base_tenant
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_tenantlog
-- ----------------------------
DROP TABLE IF EXISTS `base_tenantlog`;
CREATE TABLE `base_tenantlog` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '自然主键',
  `F_TenantId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户主键',
  `F_LoginAccount` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '登录账户',
  `F_LoginIPAddress` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'IP地址',
  `F_LoginIPAddressName` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'IP所在城市',
  `F_LoginSourceWebsite` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '来源网站',
  `F_LoginTime` datetime DEFAULT NULL COMMENT '登录时间',
  `F_Description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '描述',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='租户日志';

-- ----------------------------
-- Records of base_tenantlog
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_timetask
-- ----------------------------
DROP TABLE IF EXISTS `base_timetask`;
CREATE TABLE `base_timetask` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '任务编码',
  `F_FullName` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '任务名称',
  `F_ExecuteType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '执行类型',
  `F_ExecuteContent` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '执行内容',
  `F_ExecuteCycleJson` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '执行周期',
  `F_LastRunTime` datetime DEFAULT NULL COMMENT '最后运行时间',
  `F_NextRunTime` datetime DEFAULT NULL COMMENT '下次运行时间',
  `F_RunCount` int DEFAULT NULL COMMENT '运行次数',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='定时任务';

-- ----------------------------
-- Records of base_timetask
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_timetasklog
-- ----------------------------
DROP TABLE IF EXISTS `base_timetasklog`;
CREATE TABLE `base_timetasklog` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_TaskId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '定时任务主键',
  `F_RunTime` datetime DEFAULT NULL COMMENT '执行时间',
  `F_RunResult` int DEFAULT NULL COMMENT '执行结果',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '执行说明',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='定时任务记录';

-- ----------------------------
-- Records of base_timetasklog
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_user
-- ----------------------------
DROP TABLE IF EXISTS `base_user`;
CREATE TABLE `base_user` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_Account` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '账户',
  `F_RealName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '姓名',
  `F_QuickQuery` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '快速查询',
  `F_NickName` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '呢称',
  `F_HeadIcon` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '头像',
  `F_Gender` int DEFAULT NULL COMMENT '性别',
  `F_Birthday` datetime DEFAULT NULL COMMENT '生日',
  `F_MobilePhone` varchar(20) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '手机',
  `F_TelePhone` varchar(20) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '电话',
  `F_Landline` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'F_Landline',
  `F_Email` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '邮箱',
  `F_Nation` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '民族',
  `F_NativePlace` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '籍贯',
  `F_EntryDate` datetime DEFAULT NULL COMMENT '入职日期',
  `F_CertificatesType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '证件类型',
  `F_CertificatesNumber` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '证件号码',
  `F_Education` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '文化程度',
  `F_UrgentContacts` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'F_UrgentContacts',
  `F_UrgentTelePhone` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '紧急电话',
  `F_PostalAddress` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '通讯地址',
  `F_Signature` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '自我介绍',
  `F_Password` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '密码',
  `F_Secretkey` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '秘钥',
  `F_FirstLogTime` datetime DEFAULT NULL COMMENT '首次登录时间',
  `F_FirstLogIP` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '首次登录IP',
  `F_PrevLogTime` datetime DEFAULT NULL COMMENT '前次登录时间',
  `F_PrevLogIP` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '前次登录IP',
  `F_LastLogTime` datetime DEFAULT NULL COMMENT '最后登录时间',
  `F_LastLogIP` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '最后登录IP',
  `F_LogSuccessCount` int DEFAULT NULL COMMENT '登录成功次数',
  `F_LogErrorCount` int DEFAULT NULL COMMENT '登录错误次数',
  `F_ChangePasswordDate` datetime DEFAULT NULL COMMENT '最后修改密码时间',
  `F_Language` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '系统语言',
  `F_Theme` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '系统样式',
  `F_CommonMenu` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '常用菜单',
  `F_IsAdministrator` int DEFAULT NULL COMMENT '是否管理员',
  `F_PropertyJson` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '扩展属性',
  `F_Description` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_ManagerId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '主管主键',
  `F_OrganizeId` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '组织主键',
  `F_PositionId` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '岗位主键',
  `F_RoleId` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci COMMENT '角色主键',
  `F_PortalId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL,
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='用户信息';

-- ----------------------------
-- Records of base_user
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_userrelation
-- ----------------------------
DROP TABLE IF EXISTS `base_userrelation`;
CREATE TABLE `base_userrelation` (
  `F_Id` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '自然主键',
  `F_UserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '用户主键',
  `F_ObjectType` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '对象类型',
  `F_ObjectId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '对象主键',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '创建用户',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='用户关系';

-- ----------------------------
-- Records of base_userrelation
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_visualdev
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev`;
CREATE TABLE `base_visualdev` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_Description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_FullName` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
  `F_EnCode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编码',
  `F_State` int DEFAULT NULL COMMENT '状态(0-暂存（默认），1-发布)',
  `F_Type` int DEFAULT NULL COMMENT '类型(1-应用开发,2-移动开发,3-流程表单)',
  `F_Table` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联的表',
  `F_Category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '分类（数据字典）',
  `F_FormData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '表单配置JSON',
  `F_ColumnData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '列表配置JSON',
  `F_Fields` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '功能字段JSON',
  `F_TemplateData` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '前端模板JSON',
  `F_DbLinkId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联数据连接id',
  `F_FlowTemplateJson` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '工作流模板JSON',
  `F_WebType` int DEFAULT NULL COMMENT '页面类型（1、纯表单，2、表单加列表，3、表单列表工作流）',
  `F_FlowId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联工作流连接id',
  `web_scene` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '使用场景',
  `relation_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '关联数据JSON',
  `logic_data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '逻辑数据',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `db_source_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据源id\n',
  `mode_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '模型类型（1低代码 2零代码）\n',
  `secondary_db_link_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表数据集 id',
  `secondary_table` longtext COLLATE utf8mb4_general_ci COMMENT 'F_table得子表字段',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='可视化开发功能表';

-- ----------------------------
-- Records of base_visualdev
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_visualdev_data_log
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_data_log`;
CREATE TABLE `base_visualdev_data_log` (
  `id` bigint NOT NULL COMMENT '主键',
  `form_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `data_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '对应数据的ID',
  `column_id` int NOT NULL COMMENT '字段ID',
  `value_old` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '旧数据',
  `value_new` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '新数据',
  `action` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '操作类型（add-新增；delete-删除；update-修改；）',
  `time` datetime NOT NULL COMMENT '操作时间',
  `sn` bigint NOT NULL COMMENT '序列号，同一次的操作序列号相同',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作人',
  `operator_id` bigint DEFAULT NULL COMMENT '操作人ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='在线表单数据变更日志';

-- ----------------------------
-- Records of base_visualdev_data_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_visualdev_data_permission
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_data_permission`;
CREATE TABLE `base_visualdev_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visualdev_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `visualdev_perm_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单操作权限名称',
  `data_perm_id` int DEFAULT NULL COMMENT '权限组ID',
  `perm_json` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '操作权限JSON',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `is_default` tinyint NOT NULL DEFAULT '0' COMMENT '是否默认:0否 1是',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=108 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单操作权限';

-- ----------------------------
-- Records of base_visualdev_data_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_visualdev_export_task
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_export_task`;
CREATE TABLE `base_visualdev_export_task` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `model_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `cube_id` int NOT NULL COMMENT '数据集ID',
  `is_all` tinyint NOT NULL DEFAULT '0' COMMENT '是否导出全部（0-非全部；1-全部）',
  `rule` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '导出规则',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作员',
  `operator_id` bigint DEFAULT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '导出时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  `status` tinyint NOT NULL DEFAULT '0' COMMENT '任务状态（0-进行中；1-成功；2-失败；）',
  `approve_status` tinyint DEFAULT NULL COMMENT '审批状态',
  `file_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '文件名称',
  `file_size` bigint DEFAULT NULL COMMENT '文件大小（单位：字节）',
  `count` int DEFAULT '0' COMMENT '导出条数',
  `ext` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '扩展字段，比如存储错误信息',
  `take_up_time` decimal(10,3) DEFAULT '0.000' COMMENT '耗时（单位：秒）',
  `current_page` int DEFAULT NULL COMMENT '当前页',
  `param_list` text COLLATE utf8mb4_general_ci COMMENT '查询参数',
  `size` int DEFAULT NULL COMMENT '页面大小',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单数据导出任务';

-- ----------------------------
-- Records of base_visualdev_export_task
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_visualdev_function
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_function`;
CREATE TABLE `base_visualdev_function` (
  `func_id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '函数名',
  `method` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '函数方法',
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '函数描述',
  `example` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '示例',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号(越大排序越靠前)',
  `func_type` tinyint NOT NULL DEFAULT '0' COMMENT '函数类型(0-数据库自带函数,1-自定义解析函数)',
  `func_sql` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '自定义函数sql片段',
  `func_attr` tinyint DEFAULT NULL COMMENT '0-聚合函数\n1-统计函数\n2-日期和时间\n3-字符串函数\n4-逻辑函数\n5-数值函数\n6-数组函数\n7-自定义函数\n99-其他',
  `method_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '函数名称',
  `sub_query_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否包含子查询(1-是/0-否)',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`func_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单函数库';

-- ----------------------------
-- Records of base_visualdev_function
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_visualdev_import_log
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_import_log`;
CREATE TABLE `base_visualdev_import_log` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '导入备注',
  `model_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `cube_id` int NOT NULL COMMENT '数据集ID',
  `is_truncate` tinyint NOT NULL DEFAULT '0' COMMENT '是否清空（0-否；1-是）',
  `rule` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '规则',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作员',
  `operator_id` bigint DEFAULT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '导入时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  `status` tinyint NOT NULL DEFAULT '0' COMMENT '任务状态（0-进行中；1-成功；2-失败；）',
  `file_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '文件路径',
  `file_size` bigint DEFAULT NULL COMMENT '文件大小（单位：字节）',
  `count` int DEFAULT '0' COMMENT '导入数量',
  `ext` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '扩展字段，比如存储错误信息',
  `take_up_time` decimal(10,3) DEFAULT '0.000' COMMENT '耗时（单位：秒）',
  `with_header` tinyint DEFAULT NULL COMMENT '是否带表头（0-不带；1-带）',
  `key_start` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '本次导入数据的开始主键',
  `key_end` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '本次导入数据的结束主键',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单数据导入';

-- ----------------------------
-- Records of base_visualdev_import_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_visualdev_miniapp
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_miniapp`;
CREATE TABLE `base_visualdev_miniapp` (
  `F_Id` varchar(50) NOT NULL COMMENT '主键',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) DEFAULT NULL COMMENT '修改用户',
  `user_id` varchar(100) DEFAULT NULL COMMENT '用户 id',
  `app_title` varchar(100) DEFAULT NULL COMMENT '标题',
  `app_data` longtext COMMENT '表单配置JSON',
  `app_common_data` longtext COMMENT '表单通用配置JSON',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='可视化开发功能表';

-- ----------------------------
-- Records of base_visualdev_miniapp
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_visualdev_modeldata
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_modeldata`;
CREATE TABLE `base_visualdev_modeldata` (
  `F_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `F_VisualDevId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '功能ID',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除用户',
  `F_ParentId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '区分主子表-',
  `F_Data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '数据包',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='0代码功能数据表';

-- ----------------------------
-- Records of base_visualdev_modeldata
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for base_visualdev_recycle
-- ----------------------------
DROP TABLE IF EXISTS `base_visualdev_recycle`;
CREATE TABLE `base_visualdev_recycle` (
  `id` bigint NOT NULL COMMENT '主键',
  `model_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '表单ID',
  `data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '删除的数据',
  `data_view` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '前端渲染',
  `operator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '操作员',
  `operator_id` bigint NOT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表单数据回收站';

-- ----------------------------
-- Records of base_visualdev_recycle
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_activity
-- ----------------------------
DROP TABLE IF EXISTS `blade_activity`;
CREATE TABLE `blade_activity` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `title` varchar(50) DEFAULT NULL COMMENT '活动主题',
  `type` varchar(20) DEFAULT NULL COMMENT '活动形式',
  `activity_uuid` varchar(50) DEFAULT NULL COMMENT '活动UUID',
  `activity_start_time` datetime DEFAULT NULL COMMENT '活动开始时间',
  `activity_end_time` datetime DEFAULT NULL COMMENT '活动结束时间',
  `cash_deadline` datetime DEFAULT NULL COMMENT '兑奖截止日期',
  `activity_province` varchar(200) DEFAULT NULL COMMENT '活动地区  省份',
  `activity_city` varchar(200) DEFAULT NULL COMMENT '活动地区  市/区',
  `activity_region` varchar(200) DEFAULT NULL COMMENT '活动地区',
  `activity_totalfee` decimal(10,2) DEFAULT NULL COMMENT '活动总成本',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态 0=未发布 1=待审核 2=未开始 3=进行中 4=审核驳回 5=已结束',
  `responsible_ids` varchar(100) DEFAULT NULL COMMENT '负责人IDS',
  `product_ids` varchar(100) DEFAULT NULL COMMENT '产品IDS',
  `channel_ids` varchar(100) DEFAULT NULL COMMENT '渠道IDS',
  `prize_ids` varchar(100) DEFAULT NULL COMMENT '奖品IDS',
  `is_third` int DEFAULT NULL COMMENT '活动类型 0 平台活动录入 1 第三方活动录入',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_activity
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_activity_channel
-- ----------------------------
DROP TABLE IF EXISTS `blade_activity_channel`;
CREATE TABLE `blade_activity_channel` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `activity_id` bigint NOT NULL COMMENT '活动ID',
  `name` varchar(255) DEFAULT NULL COMMENT '渠道名称',
  `channel_id` varchar(50) DEFAULT NULL COMMENT '渠道ID(推广ID)',
  `channel_type` varchar(50) DEFAULT NULL COMMENT '渠道类型',
  `order_id` varchar(100) DEFAULT NULL COMMENT '订购渠道ID',
  `channel_long_link` varchar(255) DEFAULT NULL COMMENT '渠道长链接',
  `channel_short_link` varchar(255) DEFAULT NULL COMMENT 'channel_short_link',
  `apply_for_time` datetime DEFAULT NULL COMMENT '申请时间',
  `online_time` datetime DEFAULT NULL COMMENT '上线时间',
  `product_id` bigint DEFAULT NULL COMMENT '涉及产品',
  `cost_price` decimal(10,2) DEFAULT NULL COMMENT '渠道成本',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_activity_channel
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_activity_cost
-- ----------------------------
DROP TABLE IF EXISTS `blade_activity_cost`;
CREATE TABLE `blade_activity_cost` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `activity_id` bigint NOT NULL,
  `cost_name` varchar(255) DEFAULT NULL COMMENT '成本名称',
  `cost_type` varchar(50) DEFAULT NULL COMMENT '成本类型',
  `cost_price` decimal(10,2) DEFAULT NULL COMMENT '成本金额',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_activity_cost
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_activity_prize
-- ----------------------------
DROP TABLE IF EXISTS `blade_activity_prize`;
CREATE TABLE `blade_activity_prize` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `activity_id` bigint NOT NULL COMMENT '活动ID',
  `name` varchar(255) DEFAULT NULL COMMENT '奖品名称',
  `prize_type` int DEFAULT NULL COMMENT '奖品类型',
  `prize_id` varchar(50) DEFAULT NULL COMMENT '奖品ID',
  `cost_price` decimal(10,2) DEFAULT NULL COMMENT '奖品单成本',
  `total_cost` decimal(10,2) DEFAULT NULL COMMENT '奖品总成本',
  `prize_level` int DEFAULT NULL COMMENT '奖品等级',
  `prize_count` int DEFAULT NULL COMMENT '奖品数量',
  `used_count` int DEFAULT NULL COMMENT '实际消耗总量',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_activity_prize
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_activity_product
-- ----------------------------
DROP TABLE IF EXISTS `blade_activity_product`;
CREATE TABLE `blade_activity_product` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `activity_id` bigint NOT NULL COMMENT '活动ID',
  `name` varchar(50) DEFAULT NULL COMMENT '产品名称',
  `spid` varchar(50) DEFAULT NULL COMMENT '产品ID，唯一值',
  `cpid` varchar(50) DEFAULT NULL COMMENT 'cpid',
  `large_type` varchar(50) DEFAULT '' COMMENT '产品大类',
  `small_type` varchar(50) DEFAULT '' COMMENT '产品小类',
  `cost_price` decimal(10,2) DEFAULT NULL COMMENT '单品成本价',
  `total_cost` decimal(10,2) DEFAULT NULL COMMENT '产品总成本',
  `formula_type` int DEFAULT NULL COMMENT '总收入计算公式',
  `product_prices` decimal(10,2) DEFAULT NULL COMMENT '产品资费',
  `unicom_divided` decimal(10,2) DEFAULT NULL COMMENT '联通分成',
  `province_divided` decimal(10,2) DEFAULT NULL COMMENT '省份分成',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_activity_product
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_activity_responsible
-- ----------------------------
DROP TABLE IF EXISTS `blade_activity_responsible`;
CREATE TABLE `blade_activity_responsible` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `activity_id` bigint NOT NULL COMMENT '活动ID',
  `name` varchar(50) DEFAULT NULL COMMENT '负责人姓名',
  `phone` varchar(50) DEFAULT NULL COMMENT '负责人电话',
  `email` varchar(100) DEFAULT NULL COMMENT '负责人邮箱',
  `department` varchar(50) DEFAULT NULL COMMENT '负责人部门',
  `position` varchar(50) DEFAULT NULL COMMENT '负责人职务',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_activity_responsible
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_attach
-- ----------------------------
DROP TABLE IF EXISTS `blade_attach`;
CREATE TABLE `blade_attach` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `link` varchar(1000) DEFAULT NULL COMMENT '附件地址',
  `domain` varchar(500) DEFAULT NULL COMMENT '附件域名',
  `name` varchar(500) DEFAULT NULL COMMENT '附件名称',
  `original_name` varchar(500) DEFAULT NULL COMMENT '附件原名',
  `extension` varchar(12) DEFAULT NULL COMMENT '附件拓展名',
  `attach_size` bigint DEFAULT NULL COMMENT '附件大小',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_attach
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_bignet
-- ----------------------------
DROP TABLE IF EXISTS `blade_bignet`;
CREATE TABLE `blade_bignet` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `bignet_name` varchar(50) DEFAULT NULL COMMENT '分类名称',
  `bignet_type_id` bigint DEFAULT NULL COMMENT '分类ID',
  `report_template` text COMMENT '报表模板',
  `principal` varchar(20) DEFAULT NULL COMMENT '负责人名称',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_bignet
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_bignet_report
-- ----------------------------
DROP TABLE IF EXISTS `blade_bignet_report`;
CREATE TABLE `blade_bignet_report` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `report_name` varchar(100) DEFAULT NULL COMMENT '报表名称',
  `report_path` text COMMENT '报表路径',
  `bignet_id` bigint DEFAULT NULL COMMENT '大网分类ID',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_bignet_report
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_channel
-- ----------------------------
DROP TABLE IF EXISTS `blade_channel`;
CREATE TABLE `blade_channel` (
  `ID` varchar(30) DEFAULT NULL COMMENT '渠道ID',
  `NAME` varchar(100) DEFAULT NULL COMMENT '渠道名称',
  `BELONGTO` varchar(50) DEFAULT NULL COMMENT '渠道类别',
  `CREATETIME` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_channel
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_channel_bak
-- ----------------------------
DROP TABLE IF EXISTS `blade_channel_bak`;
CREATE TABLE `blade_channel_bak` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT '渠道名称',
  `channel_id` varchar(50) DEFAULT NULL COMMENT '渠道ID',
  `cost_price` decimal(10,2) DEFAULT NULL COMMENT '渠道成本',
  `channel_type` varchar(50) DEFAULT NULL COMMENT '渠道类型',
  `product_id` bigint DEFAULT NULL COMMENT '涉及产品',
  `order_id` varchar(100) DEFAULT NULL COMMENT '订购渠道ID',
  `channel_long_link` varchar(255) DEFAULT NULL COMMENT '渠道长链接',
  `channel_short_link` varchar(255) DEFAULT NULL COMMENT 'channel_short_link',
  `apply_for_time` datetime DEFAULT NULL COMMENT '申请时间',
  `online_time` datetime DEFAULT NULL COMMENT '上线时间',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除  0 否 1 是',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_channel_bak
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_client
-- ----------------------------
DROP TABLE IF EXISTS `blade_client`;
CREATE TABLE `blade_client` (
  `id` bigint NOT NULL COMMENT '主键',
  `client_id` varchar(48) NOT NULL COMMENT '客户端id',
  `client_secret` varchar(256) NOT NULL COMMENT '客户端密钥',
  `resource_ids` varchar(256) DEFAULT NULL COMMENT '资源集合',
  `scope` varchar(256) NOT NULL COMMENT '授权范围',
  `authorized_grant_types` varchar(256) NOT NULL COMMENT '授权类型',
  `web_server_redirect_uri` varchar(256) DEFAULT NULL COMMENT '回调地址',
  `authorities` varchar(256) DEFAULT NULL COMMENT '权限',
  `access_token_validity` int NOT NULL COMMENT '令牌过期秒数',
  `refresh_token_validity` int NOT NULL COMMENT '刷新令牌过期秒数',
  `additional_information` varchar(4096) DEFAULT NULL COMMENT '附加说明',
  `autoapprove` varchar(256) DEFAULT NULL COMMENT '自动授权',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int NOT NULL COMMENT '状态',
  `is_deleted` int NOT NULL COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_client
-- ----------------------------
BEGIN;
INSERT INTO `blade_client` VALUES (1123598811738675201, 'sword', 'sword_secret', '', 'all', 'refresh_token,password,authorization_code,captcha,social', 'http://localhost:8888', '', 360000, 604800, NULL, '', 1123598815738675201, 1123598813738675201, '2019-03-24 10:40:55', 1123598821738675201, '2022-07-18 15:17:46', 1, 0, '23v8po3');
INSERT INTO `blade_client` VALUES (1123598811738675202, 'saber', 'saber_secret', '', 'all', 'refresh_token,password,authorization_code,captcha,social', 'http://localhost:8080', '', 36000, 35000, NULL, '', 1123598815738675201, 1123598813738675201, '2019-03-24 10:42:29', 1123598821738675201, '2022-07-18 15:58:44', 1, 0, '23v8po3');
COMMIT;

-- ----------------------------
-- Table structure for blade_code
-- ----------------------------
DROP TABLE IF EXISTS `blade_code`;
CREATE TABLE `blade_code` (
  `id` bigint NOT NULL COMMENT '主键',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源主键',
  `service_name` varchar(64) DEFAULT NULL COMMENT '服务名称',
  `code_name` varchar(64) DEFAULT NULL COMMENT '模块名称',
  `table_name` varchar(64) DEFAULT NULL COMMENT '表名',
  `table_prefix` varchar(64) DEFAULT NULL COMMENT '表前缀',
  `pk_name` varchar(32) DEFAULT NULL COMMENT '主键名',
  `package_name` varchar(500) DEFAULT NULL COMMENT '后端包名',
  `base_mode` int DEFAULT NULL COMMENT '基础业务模式',
  `wrap_mode` int DEFAULT NULL COMMENT '包装器模式',
  `api_path` varchar(2000) DEFAULT NULL COMMENT '后端路径',
  `web_path` varchar(2000) DEFAULT NULL COMMENT '前端路径',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_code
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_customer_complaints
-- ----------------------------
DROP TABLE IF EXISTS `blade_customer_complaints`;
CREATE TABLE `blade_customer_complaints` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `complaint_name` varchar(50) DEFAULT NULL COMMENT '客诉分类名称',
  `complaint_id` varchar(64) DEFAULT NULL COMMENT '客诉分类ID',
  `report_template` text COMMENT '报表模板',
  `principal` varchar(20) DEFAULT NULL,
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_customer_complaints
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_customer_complaints_report
-- ----------------------------
DROP TABLE IF EXISTS `blade_customer_complaints_report`;
CREATE TABLE `blade_customer_complaints_report` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `report_name` varchar(100) DEFAULT NULL COMMENT '报表名称',
  `complaint_id` bigint DEFAULT NULL COMMENT '客诉分类ID',
  `report_path` text COMMENT '报表路径',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_customer_complaints_report
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_datasource
-- ----------------------------
DROP TABLE IF EXISTS `blade_datasource`;
CREATE TABLE `blade_datasource` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(100) DEFAULT NULL COMMENT '名称',
  `driver_class` varchar(100) DEFAULT NULL COMMENT '驱动类',
  `url` varchar(500) DEFAULT NULL COMMENT '连接地址',
  `username` varchar(50) DEFAULT NULL COMMENT '用户名',
  `password` varchar(50) DEFAULT NULL COMMENT '密码',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_datasource
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_dept
-- ----------------------------
DROP TABLE IF EXISTS `blade_dept`;
CREATE TABLE `blade_dept` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `ancestors` varchar(2000) DEFAULT NULL COMMENT '祖级列表',
  `dept_category` int DEFAULT NULL COMMENT '部门类型',
  `dept_name` varchar(45) DEFAULT NULL COMMENT '部门名',
  `full_name` varchar(45) DEFAULT NULL COMMENT '部门全称',
  `sort` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_dept
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_dict
-- ----------------------------
DROP TABLE IF EXISTS `blade_dict`;
CREATE TABLE `blade_dict` (
  `id` bigint NOT NULL COMMENT '主键',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `code` varchar(255) DEFAULT NULL COMMENT '字典码',
  `dict_key` varchar(255) DEFAULT NULL COMMENT '字典值',
  `dict_value` varchar(255) DEFAULT NULL COMMENT '字典名称',
  `sort` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '字典备注',
  `is_sealed` int DEFAULT '0' COMMENT '是否已封存',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_dict
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_dict_biz
-- ----------------------------
DROP TABLE IF EXISTS `blade_dict_biz`;
CREATE TABLE `blade_dict_biz` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `code` varchar(255) DEFAULT NULL COMMENT '字典码',
  `dict_key` varchar(255) DEFAULT NULL COMMENT '字典值',
  `dict_value` varchar(255) DEFAULT NULL COMMENT '字典名称',
  `sort` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '字典备注',
  `is_sealed` int DEFAULT '0' COMMENT '是否已封存',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_dict_biz
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_log_api
-- ----------------------------
DROP TABLE IF EXISTS `blade_log_api`;
CREATE TABLE `blade_log_api` (
  `id` bigint NOT NULL COMMENT '编号',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `service_id` varchar(32) DEFAULT NULL COMMENT '服务ID',
  `server_host` varchar(255) DEFAULT NULL COMMENT '服务器名',
  `server_ip` varchar(255) DEFAULT NULL COMMENT '服务器IP地址',
  `env` varchar(255) DEFAULT NULL COMMENT '服务器环境',
  `type` char(1) DEFAULT '1' COMMENT '日志类型',
  `title` varchar(255) DEFAULT '' COMMENT '日志标题',
  `method` varchar(10) DEFAULT NULL COMMENT '操作方式',
  `request_uri` varchar(255) DEFAULT NULL COMMENT '请求URI',
  `user_agent` varchar(1000) DEFAULT NULL COMMENT '用户代理',
  `remote_ip` varchar(255) DEFAULT NULL COMMENT '操作IP地址',
  `method_class` varchar(255) DEFAULT NULL COMMENT '方法类',
  `method_name` varchar(255) DEFAULT NULL COMMENT '方法名',
  `params` text COMMENT '操作提交的数据',
  `time` varchar(64) DEFAULT NULL COMMENT '执行时间',
  `create_by` varchar(64) DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci
/*!50100 PARTITION BY KEY (tenant_id)
PARTITIONS 20 */;

-- ----------------------------
-- Records of blade_log_api
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_log_error
-- ----------------------------
DROP TABLE IF EXISTS `blade_log_error`;
CREATE TABLE `blade_log_error` (
  `id` bigint NOT NULL COMMENT '编号',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `service_id` varchar(32) DEFAULT NULL COMMENT '服务ID',
  `server_host` varchar(255) DEFAULT NULL COMMENT '服务器名',
  `server_ip` varchar(255) DEFAULT NULL COMMENT '服务器IP地址',
  `env` varchar(255) DEFAULT NULL COMMENT '系统环境',
  `method` varchar(10) DEFAULT NULL COMMENT '操作方式',
  `request_uri` varchar(255) DEFAULT NULL COMMENT '请求URI',
  `user_agent` varchar(1000) DEFAULT NULL COMMENT '用户代理',
  `stack_trace` text COMMENT '堆栈',
  `exception_name` varchar(255) DEFAULT NULL COMMENT '异常名',
  `message` text COMMENT '异常信息',
  `line_number` int DEFAULT NULL COMMENT '错误行数',
  `remote_ip` varchar(255) DEFAULT NULL COMMENT '操作IP地址',
  `method_class` varchar(255) DEFAULT NULL COMMENT '方法类',
  `file_name` varchar(1000) DEFAULT NULL COMMENT '文件名',
  `method_name` varchar(255) DEFAULT NULL COMMENT '方法名',
  `params` longtext COMMENT '操作提交的数据',
  `create_by` varchar(64) DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci
/*!50100 PARTITION BY KEY (tenant_id)
PARTITIONS 30 */;

-- ----------------------------
-- Records of blade_log_error
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_log_usual
-- ----------------------------
DROP TABLE IF EXISTS `blade_log_usual`;
CREATE TABLE `blade_log_usual` (
  `id` bigint NOT NULL COMMENT '编号',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `service_id` varchar(32) DEFAULT NULL COMMENT '服务ID',
  `server_host` varchar(255) DEFAULT NULL COMMENT '服务器名',
  `server_ip` varchar(255) DEFAULT NULL COMMENT '服务器IP地址',
  `env` varchar(255) DEFAULT NULL COMMENT '系统环境',
  `log_level` varchar(10) DEFAULT NULL COMMENT '日志级别',
  `log_id` varchar(100) DEFAULT NULL COMMENT '日志业务id',
  `log_data` text COMMENT '日志数据',
  `method` varchar(10) DEFAULT NULL COMMENT '操作方式',
  `request_uri` varchar(255) DEFAULT NULL COMMENT '请求URI',
  `remote_ip` varchar(255) DEFAULT NULL COMMENT '操作IP地址',
  `method_class` varchar(255) DEFAULT NULL COMMENT '方法类',
  `method_name` varchar(255) DEFAULT NULL COMMENT '方法名',
  `user_agent` varchar(1000) DEFAULT NULL COMMENT '用户代理',
  `params` text COMMENT '操作提交的数据',
  `create_by` varchar(64) DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci
/*!50100 PARTITION BY KEY (tenant_id)
PARTITIONS 30 */;

-- ----------------------------
-- Records of blade_log_usual
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_material
-- ----------------------------
DROP TABLE IF EXISTS `blade_material`;
CREATE TABLE `blade_material` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `material_name` varchar(200) DEFAULT NULL COMMENT '素材名称',
  `original_name` varchar(200) DEFAULT NULL COMMENT '原素材名称',
  `category_id` bigint DEFAULT NULL COMMENT '分类ID',
  `path` varchar(500) DEFAULT NULL COMMENT '素材路径',
  `material_size` varchar(100) DEFAULT NULL COMMENT '素材大小',
  `material_suffix` varchar(20) DEFAULT NULL COMMENT '素材后缀',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='素材表';

-- ----------------------------
-- Records of blade_material
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_material_category
-- ----------------------------
DROP TABLE IF EXISTS `blade_material_category`;
CREATE TABLE `blade_material_category` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `category_name` varchar(20) DEFAULT NULL COMMENT '分类名称',
  `category_code` varchar(20) DEFAULT NULL COMMENT '分类编码',
  `permissions` int DEFAULT NULL COMMENT '权限  0 仅自己  1 所有人 2 指定角色可见',
  `sort` int DEFAULT NULL COMMENT '排序字段',
  `role_ids` varchar(500) DEFAULT NULL COMMENT '角色ids',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='素材分类表';

-- ----------------------------
-- Records of blade_material_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_menu
-- ----------------------------
DROP TABLE IF EXISTS `blade_menu`;
CREATE TABLE `blade_menu` (
  `id` bigint NOT NULL COMMENT '主键',
  `parent_id` bigint DEFAULT '0' COMMENT '父级菜单',
  `code` varchar(255) DEFAULT NULL COMMENT '菜单编号',
  `name` varchar(255) DEFAULT NULL COMMENT '菜单名称',
  `alias` varchar(255) DEFAULT NULL COMMENT '菜单别名',
  `path` varchar(255) DEFAULT NULL COMMENT '请求地址',
  `source` varchar(255) DEFAULT NULL COMMENT '菜单资源',
  `sort` int DEFAULT NULL COMMENT '排序',
  `category` int DEFAULT NULL COMMENT '菜单类型',
  `action` int DEFAULT '0' COMMENT '操作按钮类型',
  `is_open` int DEFAULT '1' COMMENT '是否打开新页面',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户 id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_menu
-- ----------------------------
BEGIN;
INSERT INTO `blade_menu` VALUES (1123598815738675203, 0, 'system', '系统设置', 'menu', '/system', 'iconfont iconicon_setting', 100004, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675204, 1123598815738675203, 'user', '用户管理', 'menu', '/system/user', 'iconfont iconicon_principal', 10, 1, 0, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675205, 1123598815738675203, 'dept', '部门管理', 'menu', '/system/dept', 'iconfont iconicon_group', 12, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675207, 1123598815738675203, 'menu', '菜单管理', 'menu', '/system/menu', 'iconfont iconicon_subordinate', 15, 1, 0, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675209, 1123598815738675203, 'param', '参数管理', 'menu', '/system/param', 'iconfont iconicon_community_line', 50, 1, 0, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675213, 1123598815738675203, 'log', '日志管理', 'menu', '/monitor/log', 'iconfont iconicon_doc', 120, 1, 0, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675214, 1123598815738675213, 'log_usual', '通用日志', 'menu', '/monitor/log/usual', NULL, 1, 1, 0, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675215, 1123598815738675213, 'log_api', '接口日志', 'menu', '/monitor/log/api', NULL, 2, 1, 0, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675216, 1123598815738675213, 'log_error', '错误日志', 'menu', '/monitor/log/error', NULL, 3, 1, 0, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675223, 1123598815738675204, 'user_add', '新增', 'add', '/system/user/add', 'plus', 1, 2, 1, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675224, 1123598815738675204, 'user_edit', '修改', 'edit', '/system/user/edit', 'form', 2, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675225, 1123598815738675204, 'user_delete', '删除', 'delete', '/api/blade-user/remove', 'delete', 3, 2, 3, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675226, 1123598815738675204, 'user_role', '角色配置', 'role', NULL, 'user-add', 4, 2, 1, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675227, 1123598815738675204, 'user_reset', '密码重置', 'reset-password', '/api/blade-user/reset-password', 'retweet', 5, 2, 1, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675228, 1123598815738675204, 'user_view', '查看', 'view', '/system/user/view', 'file-text', 6, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675229, 1123598815738675205, 'dept_add', '新增', 'add', '/system/dept/add', 'plus', 1, 2, 1, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675230, 1123598815738675205, 'dept_edit', '修改', 'edit', '/system/dept/edit', 'form', 2, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675231, 1123598815738675205, 'dept_delete', '删除', 'delete', '/api/blade-system/dept/remove', 'delete', 3, 2, 3, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675232, 1123598815738675205, 'dept_view', '查看', 'view', '/system/dept/view', 'file-text', 4, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675237, 1123598815738675207, 'menu_add', '新增', 'add', '/system/menu/add', 'plus', 1, 2, 1, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675238, 1123598815738675207, 'menu_edit', '修改', 'edit', '/system/menu/edit', 'form', 2, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675239, 1123598815738675207, 'menu_delete', '删除', 'delete', '/api/blade-system/menu/remove', 'delete', 3, 2, 3, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675240, 1123598815738675207, 'menu_view', '查看', 'view', '/system/menu/view', 'file-text', 4, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675241, 1123598815738675308, 'role_add', '新增', 'add', '/authority/role/add', 'plus', 1, 2, 1, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675242, 1123598815738675308, 'role_edit', '修改', 'edit', '/authority/role/edit', 'form', 2, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675243, 1123598815738675308, 'role_delete', '删除', 'delete', '/api/blade-system/role/remove', 'delete', 3, 2, 3, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675244, 1123598815738675308, 'role_view', '查看', 'view', '/authority/role/view', 'file-text', 4, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675249, 1123598815738675214, 'log_usual_view', '查看', 'view', '/monitor/log/usual/view', 'file-text', 4, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675250, 1123598815738675215, 'log_api_view', '查看', 'view', '/monitor/log/api/view', 'file-text', 4, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675251, 1123598815738675216, 'log_error_view', '查看', 'view', '/monitor/log/error/view', 'file-text', 4, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675307, 1123598815738675203, 'authority', '权限管理', 'menu', '/authority', 'iconfont icon-bofangqi-suoping', 14, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1123598815738675308, 1123598815738675307, 'role', '角色管理', 'menu', '/authority/role', 'iconfont iconicon_boss', 1, 1, 0, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1161272593873321991, 1619156606935465985, 'datasource', '数据源管理', 'menu', '/tool/datasource', 'iconfont icon-caidanguanli', 10, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1161272593873321992, 1161272593873321991, 'datasource_add', '新增', 'add', '/tool/datasource/add', 'plus', 1, 2, 1, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1161272593873321993, 1161272593873321991, 'datasource_edit', '修改', 'edit', '/tool/datasource/edit', 'form', 2, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1161272593873321994, 1161272593873321991, 'datasource_delete', '删除', 'delete', '/api/blade-develop/datasource/remove', 'delete', 3, 2, 3, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1161272593873321995, 1161272593873321991, 'datasource_view', '查看', 'view', '/tool/datasource/view', 'file-text', 4, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1164733389658962251, 1123598815738675209, 'sms', '短信配置', 'menu', '/resource/sms', 'iconfont iconicon_message', 3, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1164733389658962252, 1164733389658962251, 'sms_add', '新增', 'add', '/resource/sms/add', 'plus', 1, 2, 1, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1164733389658962253, 1164733389658962251, 'sms_edit', '修改', 'edit', '/resource/sms/edit', 'form', 2, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1164733389658962254, 1164733389658962251, 'sms_delete', '删除', 'delete', '/api/blade-resource/sms/remove', 'delete', 3, 2, 3, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1164733389658962255, 1164733389658962251, 'sms_view', '查看', 'view', '/resource/sms/view', 'file-text', 4, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1164733389658962256, 1164733389658962251, 'sms_enable', '启用', 'enable', '/api/blade-resource/sms/enable', 'key', 5, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1164733389668962251, 1123598815738675203, 'post', '岗位管理', 'menu', '/system/post', 'iconfont iconicon_message', 11, 1, 0, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1164733389668962252, 1164733389668962251, 'post_add', '新增', 'add', '/system/post/add', 'plus', 1, 2, 1, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1164733389668962253, 1164733389668962251, 'post_edit', '修改', 'edit', '/system/post/edit', 'form', 2, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1164733389668962254, 1164733389668962251, 'post_delete', '删除', 'delete', '/api/blade-system/post/remove', 'delete', 3, 2, 3, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1164733389668962255, 1164733389668962251, 'post_view', '查看', 'view', '/system/post/view', 'file-text', 4, 2, 2, 1, NULL, 0, '000000');
INSERT INTO `blade_menu` VALUES (1367669015094308865, 1619156606935465985, 'apimanage', 'API管理', 'menu', '/bigdata/apimanage', 'iconfont iconicon_addresslist', 30, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1467678087986257921, 1619156606935465985, '/newbi/dataset/list', '数据集管理', '/newbi/dataset/list', '/newbi/dataset/list', 'iconfont iconicon_work', 20, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1467681760623697921, 1619159462254051330, '/newbi/visual/list', '可视化大屏', '/newbi/visual/list', '/newbi/visual/list', 'iconfont icon-iframe', 20, 1, 0, 1, '/newbi/visual/list\n3.4.0', 0, '000000');
INSERT INTO `blade_menu` VALUES (1501471635629920258, 1619159462254051330, '/newbi/warning/list', '数据预警', '/newbi/warning/list', '/newbi/warning/list', 'iconfont iconicon_notice', 50, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1506104732795191298, 0, '/newbi/mine', '我的空间', '/newbi/mine', '/newbi/mine', 'iconfont iconicon_addresslist', 100003, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1506105715373817857, 1506104732795191298, '/newbi/mine/pptArchive', '幻灯片归档', '/newbi/mine/pptArchive', '/newbi/mine/pptArchive', 'iconfont icon-rizhi', 10, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1506105897238839297, 1506104732795191298, '/newbi/mine/collect', '我的收藏', '/newbi/mine/collect', '/newbi/mine/collect', 'iconfont icon-iframe', 2, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1544607807797161986, 1123598815738675307, '/system/authGroup', '权限组管理', '/system/authGroup', '/system/authGroup', 'iconfont icon-yanzhengma', 0, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1554418372912480258, 1467678087986257921, 'cube_filter_row', '数据集行过滤权限', '数据集行过滤权限', 'cube_filter_row', 'iconfont icon-quanxian', 1, 2, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1557612821155127297, 1619156606935465985, '功能表单管理', '表单录入', '功能表单管理', '/workflow/webDesign/index', 'iconfont iconicon_subordinate', 40, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1582611460944187394, 1123598815738675203, '/newbi/defineFunc/list', '自定义函数', '/newbi/defineFunc/list', '/newbi/defineFunc/list', 'iconfont icon-rizhi1', 41, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1584570735518212097, 1506104732795191298, '/newbi/mine/subscribe', '我的订阅', '/newbi/mine/subscribe', '/newbi/mine/subscribe', 'iconfont iconicon_send', 40, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1584973052717547522, 1619159462254051330, '/newbi/subscribe', '订阅管理', '/newbi/subscribe', '/newbi/subscribe', 'iconfont iconicon_send', 60, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1585953641910206466, 1584973052717547522, '/newbi/subscribe/list', '订阅统计', '/newbi/subscribe/list', '/newbi/subscribe/list', 'iconfont icon-caidan', 1, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1585953975894245377, 1584973052717547522, '/newbi/subscribe/log', '订阅日志', '/newbi/subscribe/log', '/newbi/subscribe/log', 'iconfont iconicon_details', 2, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1587363154609532930, 1619159462254051330, '/newbi/share/list', '三方WEB嵌入', '/newbi/share/list', '/newbi/share/list', 'iconfont iconicon_share', 70, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1589512651703767042, 1123598815738675209, '第三方配置', '开放平台配置', '第三方配置', '/system/setting', 'iconfont iconicon_send', 30, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1597077352725745666, 1584973052717547522, '/newbi/subscribe/record', '操作记录', '/newbi/subscribe/record', '/newbi/subscribe/record', 'iconfont icon-wxbgongju', 3, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1600405207606059010, 1506104732795191298, 'mineexport', '导出任务', 'mineexport', '/newbi/mine/export', 'iconfont iconicon_study', 4, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1607568290728321026, 1619159462254051330, 'mineappsindex', '移动应用', 'mineappsindex', '/newbi/apps/index', 'iconfont iconicon_work', 40, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1607615579387797505, 1506104732795191298, 'newbimineapps', '我的应用', 'newbimineapps', '/newbi/mine/apps', 'iconfont iconicon_work', 30, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1619156606935465985, 0, '数据中心', '数据中心', '数据中心', '/tool', 'iconfont iconicon_study', 100001, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1619159462254051330, 0, '数据展示', '数据展示', '数据展示', '/newbi', 'iconfont iconicon_savememo', 100002, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1619214858069966849, 1619159462254051330, '/newbi/ppt/list', '幻灯片', '/newbi/ppt/list', '/newbi/ppt/list', 'iconfont iconicon_photo', 10, 1, 0, 1, '等待配置', 0, '000000');
INSERT INTO `blade_menu` VALUES (1619215151222456321, 1619159462254051330, '/newbi/report/list', '自助报表', '/newbi/report/list', '/newbi/report/list', 'iconfont iconicon_work', 30, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1619215847942488065, 1619156606935465985, 'shujuetl', '数据ETL', 'shujuetl', '/etl', 'iconfont iconicon_subordinate', 60, 1, 0, 1, '待配置', 0, '000000');
INSERT INTO `blade_menu` VALUES (1624402915081576449, 1506104732795191298, 'mycomponent', '我的组件', '我的组件', '/newbi/mine/mycomponent', 'iconfont iconicon_work', 80, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1625742429951614978, 1619156606935465985, '工作流程管理', '工作流程', '工作流程管理', '/workflow/flowEngine/index', 'iconfont iconicon_subordinate', 45, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1627854531784859649, 1619156606935465985, 'globalparam', '全局参数管理', '全局参数管理', '/newbi/globalParams/list', 'iconfont icon-biaodan', 51, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1630116849440702466, 1123598815738675203, 'zidianguanli', '字典管理', 'zidianguanli', '/dict', 'iconfont iconicon_study', 16, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1630117165196296193, 1630116849440702466, 'meijuzidian', '枚举字典', '/newbi/dict/list', '/newbi/dict/list', 'iconfont iconicon_work', 1, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1642125129009422337, 1123598815738675203, '/system/update', '离线升级', '/system/update', '/system/update', 'iconfont iconicon_exchange', 100005, 1, 0, 2, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1689465690065170434, 1619215847942488065, '/etl/flow/list', '任务流程管理', '/etl/flow/list', '/etl/flow/list', 'iconfont iconicon_exchange', 1, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1689466226315325441, 1619215847942488065, '/etl/job/list', '任务实例管理', '/etl/job/list', '/etl/job/list', 'iconfont iconicon_work', 2, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1714193048967127041, 1619156606935465985, '/batch', '数据同步', '/batch', '/batch', 'iconfont iconicon_refresh', 61, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1714193193972604929, 1714193048967127041, '/etl/batchTask/list', '同步任务', '/etl/batchTask/list', '/etl/batchTask/list', 'iconfont iconicon_exchange', 1, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1714193309215301633, 1714193048967127041, '/etl/batchInstance/list', '同步任务实例', '/etl/batchInstance/list', '/etl/batchInstance/list', 'iconfont iconicon_work', 2, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1734067670720049153, 1619156606935465985, '/etl/sql', 'SQL任务', '/etl/sql', '/etl/sql', 'iconfont icon-rizhi1', 80, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1734067994608398338, 1734067670720049153, '/etl/sqlTask/list', 'SQL任务管理', '/etl/sqlTask/list', '/etl/sqlTask/list', 'iconfont icon-rizhi1', 1, 1, 0, 1, '', 0, '000000');
INSERT INTO `blade_menu` VALUES (1734068192759902209, 1734067670720049153, '/etl/sqlInstance/list', 'SQL任务实例', '/etl/sqlInstance/list', '/etl/sqlInstance/list', 'iconfont iconicon_work', 2, 1, 0, 1, '', 0, '000000');
COMMIT;

-- ----------------------------
-- Table structure for blade_message
-- ----------------------------
DROP TABLE IF EXISTS `blade_message`;
CREATE TABLE `blade_message` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT NULL COMMENT '接收人',
  `module` varchar(50) DEFAULT NULL COMMENT '模块',
  `type` tinyint DEFAULT NULL COMMENT '类型：0待办 1抄送 2通过 3拒绝',
  `subject` varchar(50) DEFAULT NULL COMMENT '主题',
  `content` varchar(50) DEFAULT NULL COMMENT '内容',
  `status` tinyint DEFAULT NULL COMMENT '状态：0未读 1已读',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='消息提醒';

-- ----------------------------
-- Records of blade_message
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_notice
-- ----------------------------
DROP TABLE IF EXISTS `blade_notice`;
CREATE TABLE `blade_notice` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `title` varchar(255) DEFAULT NULL COMMENT '标题',
  `category` int DEFAULT NULL COMMENT '类型',
  `release_time` datetime DEFAULT NULL COMMENT '发布时间',
  `content` varchar(2000) DEFAULT NULL COMMENT '内容',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_notice
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_oss
-- ----------------------------
DROP TABLE IF EXISTS `blade_oss`;
CREATE TABLE `blade_oss` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `category` int DEFAULT NULL COMMENT '分类',
  `oss_code` varchar(32) DEFAULT NULL COMMENT '资源编号',
  `endpoint` varchar(255) DEFAULT NULL COMMENT '资源地址',
  `access_key` varchar(255) DEFAULT NULL COMMENT 'accessKey',
  `secret_key` varchar(255) DEFAULT NULL COMMENT 'secretKey',
  `bucket_name` varchar(255) DEFAULT NULL COMMENT '空间名',
  `app_id` varchar(255) DEFAULT NULL COMMENT '应用ID',
  `region` varchar(255) DEFAULT NULL COMMENT '地域简称',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_oss
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_param
-- ----------------------------
DROP TABLE IF EXISTS `blade_param`;
CREATE TABLE `blade_param` (
  `id` bigint NOT NULL COMMENT '主键',
  `param_name` varchar(255) DEFAULT NULL COMMENT '参数名',
  `param_key` varchar(255) DEFAULT NULL COMMENT '参数键',
  `param_value` varchar(255) DEFAULT NULL COMMENT '参数值',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_param
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_post
-- ----------------------------
DROP TABLE IF EXISTS `blade_post`;
CREATE TABLE `blade_post` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `category` int DEFAULT NULL COMMENT '岗位类型',
  `post_code` varchar(12) DEFAULT NULL COMMENT '岗位编号',
  `post_name` varchar(64) DEFAULT NULL COMMENT '岗位名称',
  `sort` int DEFAULT NULL COMMENT '岗位排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '岗位描述',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_post
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_prize
-- ----------------------------
DROP TABLE IF EXISTS `blade_prize`;
CREATE TABLE `blade_prize` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT '奖品名称',
  `prize_type_Id` bigint DEFAULT NULL COMMENT '奖品类型',
  `prize_id` varchar(50) DEFAULT NULL COMMENT '奖品ID',
  `cost_price` decimal(10,2) DEFAULT NULL COMMENT '奖品单成本',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_prize
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_process_leave
-- ----------------------------
DROP TABLE IF EXISTS `blade_process_leave`;
CREATE TABLE `blade_process_leave` (
  `id` bigint NOT NULL COMMENT '编号',
  `process_definition_id` varchar(64) DEFAULT NULL COMMENT '流程定义主键',
  `process_instance_id` varchar(64) DEFAULT NULL COMMENT '流程实例主键',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `reason` varchar(255) DEFAULT NULL COMMENT '请假理由',
  `task_user` varchar(255) DEFAULT NULL COMMENT '第一级审批人',
  `apply_time` datetime DEFAULT NULL COMMENT '申请时间',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_process_leave
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_product
-- ----------------------------
DROP TABLE IF EXISTS `blade_product`;
CREATE TABLE `blade_product` (
  `ID` bigint DEFAULT NULL COMMENT '序号',
  `CATEGORYID` varchar(255) DEFAULT NULL COMMENT '大类ID',
  `CATEGORYNAME` varchar(255) DEFAULT NULL COMMENT '大类名称',
  `CPID2` varchar(255) DEFAULT NULL COMMENT '小类ID2',
  `CPID` varchar(255) DEFAULT NULL COMMENT '小类ID',
  `CPNAME` varchar(255) DEFAULT NULL COMMENT '小类名称',
  `SPID` varchar(255) DEFAULT NULL COMMENT '产品ID',
  `SPNAME` varchar(255) DEFAULT NULL COMMENT '产品名称',
  `CPORDER` int DEFAULT NULL COMMENT 'CP排序权重',
  `VACPRODUCTID` varchar(30) DEFAULT NULL COMMENT 'VAC产品ID',
  `SPCODE` varchar(10) DEFAULT NULL COMMENT 'SP编码',
  `SPCODENAME` varchar(50) DEFAULT NULL COMMENT 'SP代码名称',
  `PRICE` decimal(8,2) DEFAULT NULL COMMENT '价格',
  `REGTIME` datetime DEFAULT NULL COMMENT '注册时间',
  `STARTDATE` datetime DEFAULT NULL COMMENT '开始时间',
  `ENDDATE` datetime DEFAULT NULL COMMENT '结束时间',
  `FLOWTYPE` varchar(10) DEFAULT NULL COMMENT '流量类型',
  `MAXFLOW` varchar(20) DEFAULT NULL COMMENT '最大流量',
  `SHORTNAME` varchar(200) DEFAULT NULL COMMENT '产品短名称',
  `ISIMPORTANT` int DEFAULT '0' COMMENT '是否重点产品',
  `CPTYPE` varchar(5) DEFAULT NULL COMMENT '科创产品大类ID',
  `ISORDER` varchar(5) DEFAULT NULL COMMENT '是否在售，1：在，0：不在',
  `ISDIANBO` varchar(5) DEFAULT NULL COMMENT '是否为点播产品，1：点播，2：包月',
  `ISPRM` varchar(5) DEFAULT NULL COMMENT '是否为PRM，1：是，2：否，0：都有',
  `INMEAL` varchar(5) DEFAULT NULL COMMENT '套内外产品标记，1：套内，2：套外',
  `INCOMESTYLE` varchar(5) DEFAULT NULL COMMENT '内外部收入类型，1：仅内部，2：仅外部，3：都涉及',
  `IWIGHT` int DEFAULT '0' COMMENT '重点产品权重',
  `KC_SPID` varchar(200) DEFAULT NULL COMMENT '科创侧产品ID',
  `PRODUCT_ID` bigint DEFAULT NULL COMMENT '华盛侧产品ID',
  `SXXHY_SETID` bigint DEFAULT NULL COMMENT '随心选会员集合ID',
  `VIPS` int DEFAULT NULL COMMENT '领取会员数',
  `CPTYPE2` varchar(10) DEFAULT NULL COMMENT '产品小类',
  `CATEGORYNAME2` varchar(100) DEFAULT NULL COMMENT '小类名称',
  `FULL_CPTYPE` varchar(20) DEFAULT NULL COMMENT '唯一产品类别ID',
  KEY `DIM_PRODUCT_CATEGORY_SPID` (`SPID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='畅视产品及分类字典';

-- ----------------------------
-- Records of blade_product
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_product_bak
-- ----------------------------
DROP TABLE IF EXISTS `blade_product_bak`;
CREATE TABLE `blade_product_bak` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(50) DEFAULT NULL COMMENT '产品名称',
  `large_type` varchar(50) DEFAULT NULL COMMENT '产品大类',
  `spid` varchar(50) DEFAULT NULL COMMENT 'spid',
  `small_type` varchar(50) DEFAULT NULL COMMENT '产品小类',
  `cpid` varchar(50) DEFAULT NULL COMMENT 'cpid',
  `cost_price` decimal(10,2) DEFAULT NULL COMMENT '单品成本价',
  `formula_type` int DEFAULT NULL COMMENT '总收入计算公式',
  `product_prices` decimal(10,2) DEFAULT NULL COMMENT '产品资费',
  `unicom_divided` decimal(10,2) DEFAULT NULL COMMENT '联通分成',
  `province_divided` decimal(10,2) DEFAULT NULL COMMENT '省份分成',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_product_bak
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_region
-- ----------------------------
DROP TABLE IF EXISTS `blade_region`;
CREATE TABLE `blade_region` (
  `code` varchar(12) NOT NULL COMMENT '区划编号',
  `parent_code` varchar(12) DEFAULT NULL COMMENT '父区划编号',
  `ancestors` varchar(255) DEFAULT NULL COMMENT '祖区划编号',
  `name` varchar(32) DEFAULT NULL COMMENT '区划名称',
  `province_code` varchar(12) DEFAULT NULL COMMENT '省级区划编号',
  `province_name` varchar(32) DEFAULT NULL COMMENT '省级名称',
  `city_code` varchar(12) DEFAULT NULL COMMENT '市级区划编号',
  `city_name` varchar(32) DEFAULT NULL COMMENT '市级名称',
  `district_code` varchar(12) DEFAULT NULL COMMENT '区级区划编号',
  `district_name` varchar(32) DEFAULT NULL COMMENT '区级名称',
  `town_code` varchar(12) DEFAULT NULL COMMENT '镇级区划编号',
  `town_name` varchar(32) DEFAULT NULL COMMENT '镇级名称',
  `village_code` varchar(12) DEFAULT NULL COMMENT '村级区划编号',
  `village_name` varchar(32) DEFAULT NULL COMMENT '村级名称',
  `region_level` int DEFAULT NULL COMMENT '层级',
  `sort` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_region
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_report_file
-- ----------------------------
DROP TABLE IF EXISTS `blade_report_file`;
CREATE TABLE `blade_report_file` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '文件名',
  `content` mediumblob COMMENT '文件内容',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_report_file
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_report_task
-- ----------------------------
DROP TABLE IF EXISTS `blade_report_task`;
CREATE TABLE `blade_report_task` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `report_name` varchar(200) DEFAULT NULL COMMENT '报表名称',
  `report_type` int DEFAULT NULL COMMENT '报表类型 1 导入 2 导出',
  `report_url` varchar(200) DEFAULT NULL COMMENT '报表下载路径',
  `report_status` int DEFAULT NULL COMMENT '报表状态 1 执行中 2 成功 3 失败',
  `use_time` varchar(20) DEFAULT NULL COMMENT '报表用时',
  `download_status` int DEFAULT NULL COMMENT '下载状态 1 未下载 2 已下载',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务表';

-- ----------------------------
-- Records of blade_report_task
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_responsible
-- ----------------------------
DROP TABLE IF EXISTS `blade_responsible`;
CREATE TABLE `blade_responsible` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL COMMENT '负责人姓名',
  `phone` varchar(50) DEFAULT NULL COMMENT '负责人电话',
  `email` varchar(100) DEFAULT NULL COMMENT '负责人邮箱',
  `department` varchar(50) DEFAULT NULL COMMENT '负责人部门',
  `position` varchar(50) DEFAULT NULL COMMENT '负责人职务',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_responsible
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_role
-- ----------------------------
DROP TABLE IF EXISTS `blade_role`;
CREATE TABLE `blade_role` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `role_name` varchar(255) DEFAULT NULL COMMENT '角色名',
  `sort` int DEFAULT NULL COMMENT '排序',
  `role_alias` varchar(255) DEFAULT NULL COMMENT '角色别名',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_role
-- ----------------------------
BEGIN;
INSERT INTO `blade_role` VALUES (1123598816738675201, '23muwdw', 0, '超级管理员', 1, 'administrator', 0);
INSERT INTO `blade_role` VALUES (1496735445655695362, '23muwdw', 1123598816738675201, '数据分析组', 14, '数据分析组', 1);
COMMIT;

-- ----------------------------
-- Table structure for blade_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `blade_role_menu`;
CREATE TABLE `blade_role_menu` (
  `id` bigint NOT NULL COMMENT '主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单id',
  `role_id` bigint DEFAULT NULL COMMENT '角色id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_role_menu
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_role_scope
-- ----------------------------
DROP TABLE IF EXISTS `blade_role_scope`;
CREATE TABLE `blade_role_scope` (
  `id` bigint NOT NULL COMMENT '主键',
  `scope_category` int DEFAULT NULL COMMENT '权限类型(1:数据权限、2:接口权限)',
  `scope_id` bigint DEFAULT NULL COMMENT '权限id',
  `role_id` bigint DEFAULT NULL COMMENT '角色id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_role_scope
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_scope_api
-- ----------------------------
DROP TABLE IF EXISTS `blade_scope_api`;
CREATE TABLE `blade_scope_api` (
  `id` bigint NOT NULL COMMENT '主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单主键',
  `resource_code` varchar(255) DEFAULT NULL COMMENT '资源编号',
  `scope_name` varchar(255) DEFAULT NULL COMMENT '接口权限名',
  `scope_path` varchar(255) DEFAULT NULL COMMENT '接口权限地址',
  `scope_type` int DEFAULT NULL COMMENT '接口权限类型',
  `remark` varchar(255) DEFAULT NULL COMMENT '接口权限备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_scope_api
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_scope_data
-- ----------------------------
DROP TABLE IF EXISTS `blade_scope_data`;
CREATE TABLE `blade_scope_data` (
  `id` bigint NOT NULL COMMENT '主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单主键',
  `resource_code` varchar(255) DEFAULT NULL COMMENT '资源编号',
  `scope_name` varchar(255) DEFAULT NULL COMMENT '数据权限名称',
  `scope_field` varchar(255) DEFAULT NULL COMMENT '数据权限字段',
  `scope_class` varchar(500) DEFAULT NULL COMMENT '数据权限类名',
  `scope_column` varchar(255) DEFAULT NULL COMMENT '数据权限字段',
  `scope_type` int DEFAULT NULL COMMENT '数据权限类型',
  `scope_value` varchar(2000) DEFAULT NULL COMMENT '数据权限值域',
  `remark` varchar(255) DEFAULT NULL COMMENT '数据权限备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_scope_data
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_sms
-- ----------------------------
DROP TABLE IF EXISTS `blade_sms`;
CREATE TABLE `blade_sms` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `category` int NOT NULL COMMENT '分类',
  `template_id` varchar(64) NOT NULL COMMENT '模板ID',
  `access_key` varchar(255) NOT NULL COMMENT 'accessKey',
  `secret_key` varchar(255) NOT NULL COMMENT 'secretKey',
  `region_id` varchar(255) DEFAULT NULL COMMENT 'regionId',
  `sign_name` varchar(64) NOT NULL COMMENT '短信签名',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `template_content` varchar(500) NOT NULL COMMENT '模板内容',
  `template_params` varchar(500) DEFAULT NULL COMMENT '模板参数',
  `status` int NOT NULL DEFAULT '1' COMMENT '状态',
  `template_name` varchar(50) NOT NULL COMMENT '模版名称',
  `app_id` varchar(50) DEFAULT NULL COMMENT '腾讯云SDKappID',
  `business_classify` int NOT NULL DEFAULT '0' COMMENT '业务类型(0：告警短信，1：登录短信)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='短信配置';

-- ----------------------------
-- Records of blade_sms
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_sms_copy1
-- ----------------------------
DROP TABLE IF EXISTS `blade_sms_copy1`;
CREATE TABLE `blade_sms_copy1` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `category` int DEFAULT NULL COMMENT '分类',
  `sms_code` varchar(32) DEFAULT NULL COMMENT '资源编号',
  `template_id` varchar(64) DEFAULT NULL COMMENT '模板ID',
  `access_key` varchar(255) DEFAULT NULL COMMENT 'accessKey',
  `secret_key` varchar(255) DEFAULT NULL COMMENT 'secretKey',
  `region_id` varchar(255) DEFAULT NULL COMMENT 'regionId',
  `sign_name` varchar(64) DEFAULT NULL COMMENT '短信签名',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_sms_copy1
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_tenant
-- ----------------------------
DROP TABLE IF EXISTS `blade_tenant`;
CREATE TABLE `blade_tenant` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `tenant_name` varchar(50) NOT NULL COMMENT '租户名称',
  `domain` varchar(255) DEFAULT NULL COMMENT '域名地址',
  `background_url` varchar(1000) DEFAULT NULL COMMENT '系统背景',
  `linkman` varchar(20) DEFAULT NULL COMMENT '联系人',
  `contact_number` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `address` varchar(255) DEFAULT NULL COMMENT '联系地址',
  `account_number` int DEFAULT '-1' COMMENT '账号额度',
  `expire_time` datetime DEFAULT NULL COMMENT '过期时间',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源ID',
  `license_key` varchar(1000) DEFAULT NULL COMMENT '授权码',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_tenant
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_ticket
-- ----------------------------
DROP TABLE IF EXISTS `blade_ticket`;
CREATE TABLE `blade_ticket` (
  `id` bigint NOT NULL,
  `ticket` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_ticket
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_top_menu
-- ----------------------------
DROP TABLE IF EXISTS `blade_top_menu`;
CREATE TABLE `blade_top_menu` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `code` varchar(255) DEFAULT NULL COMMENT '顶部菜单编号',
  `name` varchar(255) DEFAULT NULL COMMENT '顶部菜单名',
  `source` varchar(255) DEFAULT NULL COMMENT '顶部菜单资源',
  `sort` int DEFAULT NULL COMMENT '顶部菜单排序',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_top_menu
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_top_menu_setting
-- ----------------------------
DROP TABLE IF EXISTS `blade_top_menu_setting`;
CREATE TABLE `blade_top_menu_setting` (
  `id` bigint NOT NULL COMMENT '主键',
  `top_menu_id` bigint DEFAULT NULL COMMENT '顶部菜单主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单主键',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_top_menu_setting
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_user
-- ----------------------------
DROP TABLE IF EXISTS `blade_user`;
CREATE TABLE `blade_user` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `code` varchar(12) DEFAULT NULL COMMENT '用户编号',
  `user_type` int DEFAULT NULL COMMENT '用户平台',
  `account` varchar(45) DEFAULT NULL COMMENT '账号',
  `password` varchar(45) DEFAULT NULL COMMENT '密码',
  `name` varchar(20) DEFAULT NULL COMMENT '昵称',
  `real_name` varchar(10) DEFAULT NULL COMMENT '真名',
  `nick_name` varchar(50) DEFAULT NULL COMMENT '微信昵称',
  `avatar` varchar(500) DEFAULT NULL COMMENT '头像',
  `email` varchar(45) DEFAULT NULL COMMENT '邮箱',
  `phone` varchar(45) DEFAULT NULL COMMENT '手机',
  `birthday` datetime DEFAULT NULL COMMENT '生日',
  `sex` int DEFAULT NULL COMMENT '性别',
  `role_id` varchar(1000) DEFAULT NULL COMMENT '角色id',
  `dept_id` varchar(1000) DEFAULT NULL COMMENT '部门id',
  `post_id` varchar(1000) DEFAULT NULL COMMENT '岗位id',
  `face_user_id` varchar(255) DEFAULT NULL COMMENT '人脸userID',
  `face_group_id` varchar(255) DEFAULT NULL COMMENT '人脸分组ID',
  `face_token` varchar(255) DEFAULT NULL COMMENT '人脸facetoken',
  `face_img` varchar(500) DEFAULT NULL COMMENT '人脸图片',
  `open_id` varchar(255) DEFAULT NULL COMMENT 'openid',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `audit_level` int DEFAULT NULL COMMENT '审核等级',
  `is_login` int DEFAULT NULL COMMENT '是否允许账号登录  0 是 1否',
  `is_wx_login` int DEFAULT NULL COMMENT '是否允许微信登录  0 是 1否',
  `login_status` int DEFAULT NULL COMMENT '登录状态  0 正常 1预警 2警告 login_status',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `ext_json` text COMMENT '扩展字段',
  `third_user_id` varchar(100) DEFAULT NULL COMMENT '第三方用户id',
  `wechat_open_id` varchar(64) DEFAULT NULL COMMENT '微信三方登录绑定openId',
  `ding_open_id` varchar(64) DEFAULT NULL COMMENT '钉钉三方登录绑定openId',
  `qy_wechat_code` varchar(64) DEFAULT NULL COMMENT '企业微信三方登录绑定openId',
  `fei_shu_open_id` varchar(64) DEFAULT NULL COMMENT '飞书三方登录绑定openId',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_user
-- ----------------------------
BEGIN;
INSERT INTO `blade_user` VALUES (1123598821738675201, '000000', '', 1, 'dataview', '6eecda7316022e14a670af5f49f580c8d0afd18f', '管理员', '管理员', '管理员', '', '897927075@qq.com', '18706868471', '2018-08-08 00:00:00', 1, '1123598816738675201', '1372754484547788801', '1123598817738675201', 'faceBY1123598821738675201', 'by_unicom_facegroup_sys', '3ecaf3bfcb51142d608e3f970fa029c4', 'uploads/face/65d6beea-259a-4ee7-ad6b-d2247aee25a0.jpg', 'oNZxC5MlcLcNtHe7kAQbA25Zf2QY', 1123598821738675201, 1123598813738675201, '2018-08-08 00:00:00', 1123598821738675201, '2024-03-01 00:00:02', 1, 0, 0, 0, 1, 0, '{\"bigdataId\":1260,\"bigdataName\":\"大屏\",\"bigdataCategory\":\"\"}', NULL, NULL, 'ORxG45LhJpUn26eV8MgyzwiEiE', 'ou_cb002d2cfaa3b7a164f3c7a03f3b6be6', NULL);
COMMIT;

-- ----------------------------
-- Table structure for blade_user_app
-- ----------------------------
DROP TABLE IF EXISTS `blade_user_app`;
CREATE TABLE `blade_user_app` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `user_ext` varchar(255) DEFAULT NULL COMMENT '用户拓展信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_user_app
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_user_dept
-- ----------------------------
DROP TABLE IF EXISTS `blade_user_dept`;
CREATE TABLE `blade_user_dept` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `dept_id` bigint DEFAULT '0' COMMENT '部门ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_user_dept
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_user_oauth
-- ----------------------------
DROP TABLE IF EXISTS `blade_user_oauth`;
CREATE TABLE `blade_user_oauth` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
  `uuid` varchar(64) DEFAULT NULL COMMENT '第三方系统用户ID',
  `user_id` bigint DEFAULT NULL COMMENT '用户ID',
  `username` varchar(32) DEFAULT NULL COMMENT '账号',
  `nickname` varchar(64) DEFAULT NULL COMMENT '用户名',
  `avatar` varchar(1000) DEFAULT NULL COMMENT '头像',
  `blog` varchar(50) DEFAULT NULL COMMENT '应用主页',
  `company` varchar(255) DEFAULT NULL COMMENT '公司名',
  `location` varchar(255) DEFAULT NULL COMMENT '地址',
  `email` varchar(255) DEFAULT NULL COMMENT '邮件',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `gender` varchar(16) DEFAULT NULL COMMENT '性别',
  `source` varchar(16) DEFAULT NULL COMMENT '来源',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_user_oauth
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_user_other
-- ----------------------------
DROP TABLE IF EXISTS `blade_user_other`;
CREATE TABLE `blade_user_other` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `user_ext` varchar(255) DEFAULT NULL COMMENT '用户拓展信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_user_other
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_user_web
-- ----------------------------
DROP TABLE IF EXISTS `blade_user_web`;
CREATE TABLE `blade_user_web` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `user_ext` varchar(255) DEFAULT NULL COMMENT '用户拓展信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of blade_user_web
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_visual
-- ----------------------------
DROP TABLE IF EXISTS `blade_visual`;
CREATE TABLE `blade_visual` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `title` varchar(255) DEFAULT NULL COMMENT '大屏标题',
  `background_url` longtext COMMENT '大屏背景',
  `category` int DEFAULT NULL COMMENT '大屏类型',
  `password` varchar(255) DEFAULT NULL COMMENT '发布密码',
  `create_user` varchar(64) DEFAULT NULL COMMENT '创建人',
  `create_dept` varchar(64) DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` varchar(64) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int NOT NULL COMMENT '状态',
  `is_deleted` int NOT NULL COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='可视化表';

-- ----------------------------
-- Records of blade_visual
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_visual_category
-- ----------------------------
DROP TABLE IF EXISTS `blade_visual_category`;
CREATE TABLE `blade_visual_category` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `category_key` varchar(12) DEFAULT NULL COMMENT '分类键值',
  `category_value` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `is_deleted` int NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='可视化分类表';

-- ----------------------------
-- Records of blade_visual_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_visual_config
-- ----------------------------
DROP TABLE IF EXISTS `blade_visual_config`;
CREATE TABLE `blade_visual_config` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `visual_id` varchar(64) DEFAULT NULL COMMENT '可视化表主键',
  `detail` text COMMENT '配置json',
  `component` longtext COMMENT '组件json',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='可视化配置表';

-- ----------------------------
-- Records of blade_visual_config
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_visual_db
-- ----------------------------
DROP TABLE IF EXISTS `blade_visual_db`;
CREATE TABLE `blade_visual_db` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `name` varchar(100) DEFAULT NULL COMMENT '名称',
  `driver_class` varchar(100) DEFAULT NULL COMMENT '驱动类',
  `url` varchar(500) DEFAULT NULL COMMENT '连接地址',
  `username` varchar(50) DEFAULT NULL COMMENT '用户名',
  `password` varchar(50) DEFAULT NULL COMMENT '密码',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` varchar(64) DEFAULT NULL COMMENT '创建人',
  `create_dept` varchar(64) DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` varchar(64) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='可视化数据源配置表';

-- ----------------------------
-- Records of blade_visual_db
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for blade_visual_map
-- ----------------------------
DROP TABLE IF EXISTS `blade_visual_map`;
CREATE TABLE `blade_visual_map` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '地图名称',
  `data` longtext COMMENT '地图数据',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='可视化地图配置表';

-- ----------------------------
-- Records of blade_visual_map
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for cube_data
-- ----------------------------
DROP TABLE IF EXISTS `cube_data`;
CREATE TABLE `cube_data` (
  `id` int NOT NULL AUTO_INCREMENT,
  `workspace_id` int NOT NULL DEFAULT '0' COMMENT '工作空间ID',
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `cube_name` varchar(100) NOT NULL COMMENT '数据集名称',
  `cube_table_names` json NOT NULL COMMENT '表名json数组',
  `links_join` text COMMENT '表关联json字符串',
  `filter_json` text COMMENT '数据过滤条件json字符串',
  `query_sql` varchar(2000) DEFAULT NULL COMMENT '拼接好的查询SQL',
  `table_type` tinyint NOT NULL DEFAULT '0' COMMENT '表类型(0-物理表/1-逻辑表)',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注描述',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公开状态',
  `old_cube_data_Id` int DEFAULT NULL COMMENT '被复制的数据集id',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_edit` int DEFAULT '1' COMMENT '是否可以被编辑 0：不可以，1：可以',
  `display_status` tinyint NOT NULL DEFAULT '1' COMMENT '是否显示[静态数据创建的数据集不显示] 1：可以[默认]，0：不可以',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2461 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集';

-- ----------------------------
-- Records of cube_data
-- ----------------------------
BEGIN;
INSERT INTO `cube_data` VALUES (2424, 109, 107, '店铺销售记录_2021-03-01_2021-03-31_全部1 FILE_TABLE_20220323_103351', '[{\"type\": \"table\", \"tableName\": \"FILE_TABLE_20220323_103351\", \"tableComment\": \"FILE_TABLE_20220323_103351\", \"tableAliasName\": \"IqYpS\"}, {\"type\": \"table\", \"tableName\": \"FILE_TABLE_20220718_113032\", \"tableComment\": \"商品对应黄酒\", \"tableAliasName\": \"xJDPt\"}, {\"type\": \"table\", \"tableName\": \"FILE_TABLE_20220718_113052\", \"tableComment\": \"渠道来源对应京东店铺\", \"tableAliasName\": \"uLjzZ\"}, {\"type\": \"table\", \"tableName\": \"FILE_TABLE_20220718_182301\", \"tableComment\": \"黄酒Demo省市补充\", \"tableAliasName\": \"oSWOy\"}, {\"type\": \"table\", \"tableName\": \"FILE_TABLE_20220719_182338\", \"tableComment\": \"黄酒平台补充\", \"tableAliasName\": \"tygcr\"}, {\"type\": \"table\", \"tableName\": \"FILE_TABLE_20230306_195604\", \"tableComment\": \"水果表\", \"tableAliasName\": \"AZVfc\"}]', '[{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_2\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"FILE_TABLE_20220323_103351\",\"target\":\"FILE_TABLE_20220718_113032\",\"targetId\":\"xJDPt\",\"sourceId\":\"IqYpS\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_1\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"FILE_TABLE_20220323_103351\",\"target\":\"FILE_TABLE_20220718_113052\",\"targetId\":\"uLjzZ\",\"sourceId\":\"IqYpS\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_0\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"FILE_TABLE_20220323_103351\",\"target\":\"FILE_TABLE_20220718_182301\",\"targetId\":\"oSWOy\",\"sourceId\":\"IqYpS\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_0\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"FILE_TABLE_20220323_103351\",\"target\":\"FILE_TABLE_20220719_182338\",\"targetId\":\"tygcr\",\"sourceId\":\"IqYpS\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_2\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"FILE_TABLE_20220323_103351\",\"target\":\"FILE_TABLE_20230306_195604\",\"targetId\":\"AZVfc\",\"sourceId\":\"IqYpS\"}]', NULL, 'FILE_TABLE_20220323_103351 IqYpS left join FILE_TABLE_20220718_113032 xJDPt on IqYpS.COL_2=xJDPt.COL_0 left join FILE_TABLE_20220718_113052 uLjzZ on IqYpS.COL_1=uLjzZ.COL_0 left join FILE_TABLE_20220718_182301 oSWOy on IqYpS.COL_0=oSWOy.COL_0 left join FILE_TABLE_20220719_182338 tygcr on IqYpS.COL_0=tygcr.COL_0 left join FILE_TABLE_20230306_195604 AZVfc on IqYpS.COL_2=AZVfc.COL_0', 2, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 616, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2425, 109, 107, '公寓门店信息', '[{\"tableName\": \"FILE_TABLE_20220507_085439\", \"tableComment\": \"\", \"tableAliasName\": \"DKKvC\"}]', '[]', NULL, 'FILE_TABLE_20220507_085439 DKKvC', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 617, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2426, 109, 107, '租房人信息', '[{\"tableName\": \"FILE_TABLE_20220507_090336\", \"tableComment\": \"\", \"tableAliasName\": \"VqrYV\"}]', '[]', NULL, 'FILE_TABLE_20220507_090336 VqrYV', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 618, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2427, 109, 107, '月收入', '[{\"tableName\": \"FILE_TABLE_20220507_141617\", \"tableComment\": \"\", \"tableAliasName\": \"hbzUp\"}]', '[]', NULL, 'FILE_TABLE_20220507_141617 hbzUp', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 619, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2428, 109, 107, '公寓月营业收入支出表', '[{\"tableName\": \"FILE_TABLE_20220509_165256\", \"tableComment\": \"FILE_TABLE_20220509_165256\", \"tableAliasName\": \"RRDqY\"}, {\"tableName\": \"FILE_TABLE_20220509_165256\", \"tableComment\": \"FILE_TABLE_20220509_165256\", \"tableAliasName\": \"IBIdL\"}, {\"tableName\": \"FILE_TABLE_20220509_165256\", \"tableComment\": \"FILE_TABLE_20220509_165256\", \"tableAliasName\": \"gTBWD\"}, {\"tableName\": \"FILE_TABLE_20220825_174709\", \"tableComment\": \"陶瓷品类\", \"tableAliasName\": \"iKUOK\"}, {\"tableName\": \"FILE_TABLE_20220826_151238\", \"tableComment\": \"大品类\", \"tableAliasName\": \"qErqW\"}]', '[{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"RRDqY.COL_10 - 100\",\"targetKey\":\"COL_10\",\"sourceKeyVtState\":true,\"targetKeyVtState\":false},{\"sourceKey\":\"COL_0\",\"targetKey\":\"COL_0\"}],\"source\":\"FILE_TABLE_20220509_165256\",\"target\":\"FILE_TABLE_20220509_165256\",\"targetId\":\"IBIdL\",\"sourceId\":\"RRDqY\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"to_number(to_char(RRDqY.COL_8-1，\'yyyymm\'))\",\"targetKey\":\"COL_10\",\"sourceKeyVtState\":true,\"targetKeyVtState\":false},{\"sourceKey\":\"COL_0\",\"targetKey\":\"COL_0\"}],\"source\":\"FILE_TABLE_20220509_165256\",\"target\":\"FILE_TABLE_20220509_165256\",\"targetId\":\"gTBWD\",\"sourceId\":\"RRDqY\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_5\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"FILE_TABLE_20220509_165256\",\"target\":\"FILE_TABLE_20220825_174709\",\"targetId\":\"iKUOK\",\"sourceId\":\"RRDqY\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_5\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"FILE_TABLE_20220509_165256\",\"target\":\"FILE_TABLE_20220826_151238\",\"targetId\":\"qErqW\",\"sourceId\":\"RRDqY\"}]', NULL, 'FILE_TABLE_20220509_165256 RRDqY left join FILE_TABLE_20220509_165256 IBIdL on RRDqY.COL_10 - 100=IBIdL.COL_10 and RRDqY.COL_0=IBIdL.COL_0 left join FILE_TABLE_20220509_165256 gTBWD on to_number(to_char(RRDqY.COL_8-1，\'yyyymm\'))=gTBWD.COL_10 and RRDqY.COL_0=gTBWD.COL_0 left join FILE_TABLE_20220825_174709 iKUOK on RRDqY.COL_5=iKUOK.COL_0 left join FILE_TABLE_20220826_151238 qErqW on RRDqY.COL_5=qErqW.COL_0', 2, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 620, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2429, 109, 107, '年平均租金和月平均租金', '[{\"tableName\": \"FILE_TABLE_20220510_091549\", \"tableComment\": \"\", \"tableAliasName\": \"xYbhz\"}]', '[]', NULL, 'FILE_TABLE_20220510_091549 xYbhz', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 621, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2430, 109, 107, '出租率', '[{\"tableName\": \"FILE_TABLE_20220510_125410\", \"tableComment\": \"\", \"tableAliasName\": \"YZqTR\"}]', '[]', NULL, 'FILE_TABLE_20220510_125410 YZqTR', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 622, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2431, 109, 107, '营业收支表（同环比）', '[{\"type\": \"table\", \"tableName\": \"FILE_TABLE_20220510_165614\", \"tableComment\": \"FILE_TABLE_20220510_165614\", \"tableAliasName\": \"LJhWS\"}]', '[]', '{\"filterList\":[{\"column\":{\"aggregationType\":\"SUM\",\"columnAttr\":\"NORMAL\",\"columnComment\":\"分\",\"columnName\":\"COL_3\",\"columnSql\":\"LJhWS.COL_3\",\"columnTitle\":\"分\",\"dimensionType\":\"WEIDU\",\"numberDataFormat\":\"AUTO\",\"tableAliasName\":\"LJhWS\",\"tableName\":\"FILE_TABLE_20220510_165614\",\"timeDataFormat\":\"yyyy_MM_ddhh$mm$ss\",\"viewDataType\":\"STRING\",\"oldViewDataType\":\"STRING\",\"virtualAggregationStatus\":0},\"uniqId\":\"gDjaRQf\",\"cubeColumnId\":17677,\"connectType\":\"and\",\"conditions\":[{\"function\":\"in\",\"values\":[\"\",\"\"],\"timeType\":\"absolute\",\"countType\":\"left\",\"useParam\":true,\"paramKey\":\"PROVINCE\"}],\"asFilter\":true,\"options\":[],\"enumSource\":\"1\",\"enumId\":\"\"}],\"filterRelation\":{\"where\":{\"conditions\":[{\"uniqId\":\"gDjaRQf\",\"columnTitle\":\"分\"}],\"filters\":[],\"relation\":\"AND\"}}}', 'FILE_TABLE_20220510_165614 LJhWS', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 623, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2432, 109, 107, '公寓出租率视图多指标', '[{\"tableName\": \"FILE_TABLE_20220511_233311\", \"tableComment\": \"\", \"tableAliasName\": \"zdSmA\"}]', '[]', NULL, 'FILE_TABLE_20220511_233311 zdSmA', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 624, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2433, 109, 107, '租金表', '[{\"tableName\": \"FILE_TABLE_20220513_095130\", \"tableComment\": \"\", \"tableAliasName\": \"ebryE\"}]', '[]', NULL, 'FILE_TABLE_20220513_095130 ebryE', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 625, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2434, 109, 107, '租金表续租换租涨幅', '[{\"tableName\": \"FILE_TABLE_20220513_110131\", \"tableComment\": \"\", \"tableAliasName\": \"dYprP\"}]', '[]', NULL, 'FILE_TABLE_20220513_110131 dYprP', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 626, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2435, 109, 107, '到期合同视图（续租率）', '[{\"tableName\": \"FILE_TABLE_20220513_125247\", \"tableComment\": \"\", \"tableAliasName\": \"IQqDK\"}]', '[]', NULL, 'FILE_TABLE_20220513_125247 IQqDK', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 627, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2436, 109, 107, '租金收缴率', '[{\"tableName\": \"FILE_TABLE_20220513_155838\", \"tableComment\": \"\", \"tableAliasName\": \"MEWgo\"}]', '[]', NULL, 'FILE_TABLE_20220513_155838 MEWgo', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 628, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2437, 109, 107, '住房量视图', '[{\"tableName\": \"FILE_TABLE_20220515_160227\", \"tableComment\": \"\", \"tableAliasName\": \"Yivys\"}]', '[]', NULL, 'FILE_TABLE_20220515_160227 Yivys', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 629, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2438, 109, 107, '坪效视图扩充维度', '[{\"tableName\": \"FILE_TABLE_20220515_160348\", \"tableComment\": \"\", \"tableAliasName\": \"zFues\"}]', '[]', NULL, 'FILE_TABLE_20220515_160348 zFues', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 630, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2439, 109, 107, '空置期分布视图', '[{\"tableName\": \"FILE_TABLE_20220515_212432\", \"tableComment\": \"\", \"tableAliasName\": \"YgJgy\"}]', '[]', NULL, 'FILE_TABLE_20220515_212432 YgJgy', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 631, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2440, 109, 107, '产品练习数据集-PRODUCT_PRACTISE_WRM', '[{\"type\": \"table\", \"tableName\": \"PRODUCT_PRACTISE_WRM\", \"tableComment\": \"产品练习数据集（含2022数据）\", \"tableAliasName\": \"GGuTF\"}, {\"type\": \"table\", \"tableName\": \"FILE_TABLE_20220816_103835\", \"tableComment\": \"母婴行业品类\", \"tableAliasName\": \"QUBzx\"}, {\"type\": \"table\", \"tableName\": \"FILE_TABLE_20230307_112409\", \"tableComment\": \"飞线地图测试\", \"tableAliasName\": \"jQckv\"}]', '[{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_8\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"PRODUCT_PRACTISE_WRM\",\"target\":\"FILE_TABLE_20220816_103835\",\"targetId\":\"QUBzx\",\"sourceId\":\"GGuTF\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_5\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"PRODUCT_PRACTISE_WRM\",\"target\":\"FILE_TABLE_20230307_112409\",\"targetId\":\"jQckv\",\"sourceId\":\"GGuTF\"}]', '', 'PRODUCT_PRACTISE_WRM GGuTF left join FILE_TABLE_20220816_103835 QUBzx on GGuTF.COL_8=QUBzx.COL_0 left join FILE_TABLE_20230307_112409 jQckv on GGuTF.COL_5=jQckv.COL_0', 2, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 632, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2441, 109, 107, 'word_split_negt 负面词云', '[{\"tableName\": \"FILE_TABLE_20220718_153415\", \"tableComment\": \"word_split_negt\", \"tableAliasName\": \"rYJzY\"}]', '[]', NULL, 'FILE_TABLE_20220718_153415 rYJzY', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 633, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2442, 109, 107, 'word_split_posti  正面词云', '[{\"tableName\": \"FILE_TABLE_20220718_153607\", \"tableComment\": \"word_split_posti\", \"tableAliasName\": \"PWwmB\"}]', '[]', NULL, 'FILE_TABLE_20220718_153607 PWwmB', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 634, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2443, 109, 107, 'positive_prob 评价情感分级', '[{\"tableName\": \"FILE_TABLE_20220718_153644\", \"tableComment\": \"positive_prob\", \"tableAliasName\": \"ORIpI\"}]', '[]', NULL, 'FILE_TABLE_20220718_153644 ORIpI', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 635, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2444, 109, 107, '黄酒销售纪录', '[{\"tableName\": \"FILE_TABLE_20220323_103351\", \"tableComment\": \"店铺销售记录_2021-03-01_2021-03-31_全部1\", \"tableAliasName\": \"vMPhm\"}, {\"tableName\": \"FILE_TABLE_20220718_113032\", \"tableComment\": \"商品对应黄酒\", \"tableAliasName\": \"gMeHP\"}, {\"tableName\": \"FILE_TABLE_20220718_113052\", \"tableComment\": \"渠道来源对应京东店铺\", \"tableAliasName\": \"bJmkO\"}]', '[{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_2\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"FILE_TABLE_20220323_103351\",\"target\":\"FILE_TABLE_20220718_113032\",\"targetId\":\"gMeHP\",\"sourceId\":\"vMPhm\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_1\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"FILE_TABLE_20220323_103351\",\"target\":\"FILE_TABLE_20220718_113052\",\"targetId\":\"bJmkO\",\"sourceId\":\"vMPhm\"}]', NULL, 'FILE_TABLE_20220323_103351 vMPhm left join FILE_TABLE_20220718_113032 gMeHP on vMPhm.COL_2=gMeHP.COL_0 left join FILE_TABLE_20220718_113052 bJmkO on vMPhm.COL_1=bJmkO.COL_0', 2, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 636, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2445, 109, 107, '产品练习数据集WRM', '[{\"type\": \"table\", \"tableName\": \"PRODUCT_PRACTISE_WRM\", \"tableComment\": \"产品练习数据集（含2022数据）\", \"tableAliasName\": \"sirtU\"}]', '[]', NULL, 'PRODUCT_PRACTISE_WRM sirtU', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 637, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2446, 109, 107, '泰格盈家8月份销售数据', '[{\"type\": \"table\", \"tableName\": \"FILE_TABLE_20221013_142557\", \"tableComment\": \"销售单明细表\", \"tableAliasName\": \"rsDLE\"}]', '[]', NULL, 'FILE_TABLE_20221013_142557 rsDLE', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 638, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2447, 109, 107, '客户二维分析', '[{\"tableName\": \"FILE_TABLE_20221018_134328\", \"tableComment\": \"用户二维分析上传\", \"tableAliasName\": \"PTstT\"}]', '[]', NULL, 'FILE_TABLE_20221018_134328 PTstT', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 639, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2448, 109, 107, '素玄科技', '[{\"type\": \"table\", \"tableName\": \"c_customerorder\", \"tableComment\": \"c_customerorder\", \"tableAliasName\": \"akeId\"}, {\"type\": \"table\", \"tableName\": \"c_customerinfo\", \"tableComment\": \"c_customerinfo\", \"tableAliasName\": \"atCKC\"}, {\"type\": \"table\", \"tableName\": \"file_table_20230425_151453\", \"tableComment\": \"省级经纬度表\", \"tableAliasName\": \"UKutW\"}, {\"type\": \"table\", \"tableName\": \"c_paymentcontent\", \"tableComment\": \"\", \"tableAliasName\": \"BpxzZ\"}]', '[{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"customerid\",\"targetKey\":\"customerid\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"c_customerorder\",\"target\":\"c_customerinfo\",\"targetId\":\"atCKC\",\"sourceId\":\"akeId\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"address_sheng\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"c_customerinfo\",\"target\":\"file_table_20230425_151453\",\"targetId\":\"UKutW\",\"sourceId\":\"atCKC\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"orderId\",\"targetKey\":\"orderId\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"c_customerorder\",\"target\":\"c_paymentcontent\",\"targetId\":\"BpxzZ\",\"sourceId\":\"akeId\"}]', '', 'c_customerorder akeId left join c_customerinfo atCKC on akeId.customerid=atCKC.customerid left join file_table_20230425_151453 UKutW on atCKC.address_sheng=UKutW.COL_0 left join c_paymentcontent BpxzZ on akeId.orderId=BpxzZ.orderId', 2, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 640, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2449, 109, 107, '素玄支付表', '[{\"type\": \"table\", \"tableName\": \"c_paymentcontent\", \"tableComment\": \"\", \"tableAliasName\": \"ufHEe\"}]', '[]', '', 'c_paymentcontent ufHEe', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 641, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2450, 109, 107, '客户资料表', '[{\"type\": \"table\", \"tableName\": \"c_customerinfo\", \"tableComment\": \"c_customerinfo\", \"tableAliasName\": \"aXLzs\"}, {\"type\": \"table\", \"tableName\": \"crm_s_channel\", \"tableComment\": \"crm_s_channel\", \"tableAliasName\": \"UPcpV\"}]', '[{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"customer_channel\",\"targetKey\":\"channel_name\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"c_customerinfo\",\"target\":\"crm_s_channel\",\"targetId\":\"UPcpV\",\"sourceId\":\"aXLzs\"}]', '', 'c_customerinfo aXLzs left join crm_s_channel UPcpV on aXLzs.customer_channel=UPcpV.channel_name', 2, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 642, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2451, 109, 107, '客户订单表', '[{\"type\": \"table\", \"tableName\": \"c_customerorder\", \"tableComment\": \"c_customerorder\", \"tableAliasName\": \"zhOTB\"}, {\"type\": \"table\", \"tableName\": \"c_customerinfo\", \"tableComment\": \"c_customerinfo\", \"tableAliasName\": \"tAxRa\"}, {\"type\": \"table\", \"tableName\": \"c_vipcardinfo\", \"tableComment\": \"c_vipcardinfo\", \"tableAliasName\": \"MuFQw\"}, {\"type\": \"table\", \"tableName\": \"crm_s_channel\", \"tableComment\": \"crm_s_channel\", \"tableAliasName\": \"BJeWY\"}, {\"type\": \"table\", \"tableName\": \"file_table_20230505_152947\", \"tableComment\": \"北京市经纬度表\", \"tableAliasName\": \"QiXxK\"}]', '[{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"customerid\",\"targetKey\":\"customerid\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"c_customerorder\",\"target\":\"c_customerinfo\",\"targetId\":\"tAxRa\",\"sourceId\":\"zhOTB\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"vipnum\",\"targetKey\":\"cardid\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"c_customerinfo\",\"target\":\"c_vipcardinfo\",\"targetId\":\"MuFQw\",\"sourceId\":\"tAxRa\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"customer_channel\",\"targetKey\":\"channel_name\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"c_customerinfo\",\"target\":\"crm_s_channel\",\"targetId\":\"BJeWY\",\"sourceId\":\"tAxRa\"},{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"address_qu\",\"targetKey\":\"COL_0\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"c_customerinfo\",\"target\":\"file_table_20230505_152947\",\"targetId\":\"QiXxK\",\"sourceId\":\"tAxRa\"}]', '', 'c_customerorder zhOTB left join c_customerinfo tAxRa on zhOTB.customerid=tAxRa.customerid left join c_vipcardinfo MuFQw on tAxRa.vipnum=MuFQw.cardid left join crm_s_channel BJeWY on tAxRa.customer_channel=BJeWY.channel_name left join file_table_20230505_152947 QiXxK on tAxRa.address_qu=QiXxK.COL_0', 2, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 643, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2452, 109, 107, '渠道花费表', '[{\"type\": \"table\", \"tableName\": \"crm_s_channel_cost\", \"tableComment\": \"\", \"tableAliasName\": \"Fhzfm\"}]', '[]', '', 'crm_s_channel_cost Fhzfm', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 645, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2453, 109, 107, '运营日报', '[{\"type\": \"table\", \"tableName\": \"v_daily_report\", \"tableComment\": \"v_daily_report\", \"tableAliasName\": \"OWUHD\"}]', '[]', '', 'v_daily_report OWUHD', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 646, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2454, 109, 107, 'DAU渠道拆分', '[{\"type\": \"table\", \"tableName\": \"FILE_TABLE_20230517_145326\", \"tableComment\": \"DAU拆分\", \"tableAliasName\": \"WURUs\"}]', '[]', '', 'FILE_TABLE_20230517_145326 WURUs', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 647, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2455, 109, 107, '渠道销售', '[{\"type\": \"table\", \"tableName\": \"FILE_TABLE_20230813_182523\", \"tableComment\": \"FMCG_CHANNEL_2\", \"tableAliasName\": \"Mefyh\"}]', '[]', '', 'FILE_TABLE_20230813_182523 Mefyh', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 648, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2456, 109, 107, '相关性分析-加黄酒', '[{\"type\": \"table\", \"tableName\": \"FILE_TABLE_20230813_174349\", \"tableComment\": \"相关性分析\", \"tableAliasName\": \"FebXi\"}]', '[]', '', 'FILE_TABLE_20230813_174349 FebXi', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 649, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2457, 109, 107, '微商RFM', '[{\"type\": \"table\", \"tableName\": \"INDIVIDUAL_RFM_DATA\", \"tableComment\": \"INDIVIDUAL_RFM_DATA\", \"tableAliasName\": \"JIHCB\"}]', '[]', '', 'INDIVIDUAL_RFM_DATA JIHCB', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 650, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2458, 109, 107, '黄酒云客户RFM模型', '[{\"type\": \"table\", \"tableName\": \"FILE_TABLE_20230814_101931\", \"tableComment\": \"黄酒云客户RFM模型\", \"tableAliasName\": \"vQbpd\"}, {\"type\": \"table\", \"tableName\": \"FILE_TABLE_20230814_102444\", \"tableComment\": \"黄酒云客户购买订单\", \"tableAliasName\": \"zxVmz\"}]', '[{\"joinType\":\"LEFT_JOIN\",\"joinKeys\":[{\"sourceKey\":\"COL_0\",\"targetKey\":\"COL_2\",\"sourceKeyVtState\":false,\"targetKeyVtState\":false}],\"source\":\"FILE_TABLE_20230814_101931\",\"target\":\"FILE_TABLE_20230814_102444\",\"targetId\":\"zxVmz\",\"sourceId\":\"vQbpd\"}]', '', 'FILE_TABLE_20230814_101931 vQbpd left join FILE_TABLE_20230814_102444 zxVmz on vQbpd.COL_0=zxVmz.COL_2', 2, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 651, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2459, 109, 107, 'RFM定义表', '[{\"type\": \"table\", \"tableName\": \"FILE_TABLE_20230814_105553\", \"tableComment\": \"黄酒客户定义表\", \"tableAliasName\": \"QFXUv\"}]', '[]', '', 'FILE_TABLE_20230814_105553 QFXUv', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 652, '000000', 0, 1);
INSERT INTO `cube_data` VALUES (2460, 109, 107, '黄酒云的CLV', '[{\"type\": \"table\", \"tableName\": \"FILE_TABLE_20230814_224830\", \"tableComment\": \"黄酒云CLV\", \"tableAliasName\": \"tBXkA\"}]', '[]', '', 'FILE_TABLE_20230814_224830 tBXkA', 1, '', '2023-10-26 21:16:25', '管理员', 0, NULL, 0, 653, '000000', 0, 1);
COMMIT;

-- ----------------------------
-- Table structure for cube_data_permission
-- ----------------------------
DROP TABLE IF EXISTS `cube_data_permission`;
CREATE TABLE `cube_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cube_perm_name` varchar(100) NOT NULL COMMENT '数据集权限名称',
  `cube_workspace_id` int DEFAULT '0' COMMENT '数据集分类ID',
  `cube_data_id` int NOT NULL COMMENT '数据集ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `filter_json` text COMMENT '过滤器JSON',
  `filter_sql` varchar(1000) DEFAULT NULL COMMENT '[行权限]过滤器SQL',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `exclude_column_ids` varchar(1000) DEFAULT NULL COMMENT '[列权限]不包含的字段ID,逗号隔开',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `cube_data_id` (`cube_data_id`,`data_perm_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集权限';

-- ----------------------------
-- Records of cube_data_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for cube_datasource_function
-- ----------------------------
DROP TABLE IF EXISTS `cube_datasource_function`;
CREATE TABLE `cube_datasource_function` (
  `func_id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL COMMENT '函数名',
  `method` varchar(50) NOT NULL COMMENT '函数方法',
  `ds_type` tinyint NOT NULL COMMENT '数据源类型(0-mysql/1-oracle/2-sqlserver/3-postgresql/4-clickhouse/-1通用)',
  `description` varchar(500) DEFAULT NULL COMMENT '函数描述',
  `example` varchar(100) DEFAULT NULL COMMENT '示例',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号(越大排序越靠前)',
  `func_type` tinyint NOT NULL DEFAULT '0' COMMENT '函数类型(0-数据库自带函数,1-自定义解析函数)',
  `func_sql` varchar(1000) DEFAULT NULL COMMENT '自定义函数sql片段',
  `func_attr` tinyint DEFAULT NULL COMMENT '0-聚合函数\n1-统计函数\n2-日期和时间\n3-字符串函数\n4-逻辑函数\n5-数值函数\n6-数组函数\n7-自定义函数\n99-其他',
  `method_name` varchar(50) DEFAULT NULL COMMENT '函数名称',
  `sub_query_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否包含子查询(1-是/0-否)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`func_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据源函数库';

-- ----------------------------
-- Records of cube_datasource_function
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for cube_define_group
-- ----------------------------
DROP TABLE IF EXISTS `cube_define_group`;
CREATE TABLE `cube_define_group` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自定义人群id',
  `classify_id` int NOT NULL COMMENT '人群分类id',
  `group_name` varchar(100) NOT NULL COMMENT '人群名称',
  `request_freq` int NOT NULL COMMENT '计算频次(0单次/1每日/2每周/3每月)',
  `define_rule` text NOT NULL COMMENT '定义规则',
  `cube_ids` json DEFAULT NULL COMMENT '数据集id集合',
  `status` int DEFAULT NULL COMMENT '状态(0未开始/1计算中/2已完成)',
  `remark` varchar(100) DEFAULT NULL COMMENT '人群描述',
  `amount` bigint DEFAULT NULL COMMENT '覆盖人数',
  `time_zone` varchar(100) DEFAULT NULL COMMENT '时间分区',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  `job_id` int DEFAULT NULL COMMENT 'jobid',
  `result_table` varchar(100) DEFAULT NULL COMMENT '结果集对应表',
  `cube_columns` text COMMENT '数据集对应的字段',
  `result_columns` text COMMENT '总结果对应的字段',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义人群';

-- ----------------------------
-- Records of cube_define_group
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for cube_global_param
-- ----------------------------
DROP TABLE IF EXISTS `cube_global_param`;
CREATE TABLE `cube_global_param` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type_id` int NOT NULL COMMENT '参数分类',
  `param_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '参数名称',
  `param_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '页面参数名',
  `param_column_type` tinyint NOT NULL DEFAULT '0' COMMENT '参数字段类型(0-数字/1-字符串)',
  `param_type` tinyint NOT NULL COMMENT '参数类型(0-业务参数/1-系统参数)',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注说明',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `default_value` varchar(300) DEFAULT NULL COMMENT '默认值',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集全局变量';

-- ----------------------------
-- Records of cube_global_param
-- ----------------------------
BEGIN;
INSERT INTO `cube_global_param` VALUES (5, 8, '当前登录用户', 'jhbiSysUser', 0, 1, '当前登录用户的USERID', '2023-02-22 11:21:09', 1123598821738675201, '管理员', '111111', NULL);
INSERT INTO `cube_global_param` VALUES (6, 8, '当前时间', 'jhbiSysCurrentTime', 1, 1, '获取当前时间【时间格式根据字段格式化】', '2023-02-22 11:22:02', 1123598821738675201, '管理员', '111111', NULL);
INSERT INTO `cube_global_param` VALUES (16, 8, '当前登录用户姓名', 'jhbiSysUserRealName', 1, 1, '当前登录用户的REALNAME', '2023-02-22 11:21:09', 1123598821738675201, '管理员', '111111', NULL);
INSERT INTO `cube_global_param` VALUES (17, 8, '当前登录用户名', 'jhbiSysUserName', 1, 1, '当前登录用户的USERNAME', '2023-02-22 11:21:09', 1123598821738675201, '管理员', '111111', NULL);
INSERT INTO `cube_global_param` VALUES (18, 8, '当前登录用户手机号', 'jhbiSysUserMobile', 1, 1, '当前登录用户的MOBILE', '2023-02-22 11:21:09', 1123598821738675201, '管理员', '111111', NULL);
INSERT INTO `cube_global_param` VALUES (19, 8, '当前登录用户单位', 'jhbiSysUserDept', 0, 1, '当前登录用户的DEPTID', '2023-02-22 11:21:09', 1123598821738675201, '管理员', '111111', NULL);
COMMIT;

-- ----------------------------
-- Table structure for cube_global_param_type
-- ----------------------------
DROP TABLE IF EXISTS `cube_global_param_type`;
CREATE TABLE `cube_global_param_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL COMMENT '父级ID',
  `type_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集全局筛选器参数-分类表';

-- ----------------------------
-- Records of cube_global_param_type
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for cube_group_classify
-- ----------------------------
DROP TABLE IF EXISTS `cube_group_classify`;
CREATE TABLE `cube_group_classify` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '人群分类id',
  `classify_name` varchar(100) NOT NULL COMMENT '人群分类名称',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义人群分类';

-- ----------------------------
-- Records of cube_group_classify
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for cube_sql_view
-- ----------------------------
DROP TABLE IF EXISTS `cube_sql_view`;
CREATE TABLE `cube_sql_view` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sql_name` varchar(100) NOT NULL COMMENT 'SQL名称',
  `view_name` varchar(50) NOT NULL COMMENT '视图名称',
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `sql_statement` longtext NOT NULL COMMENT 'SQL语句',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL创建的数据集视图';

-- ----------------------------
-- Records of cube_sql_view
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for cube_table_column
-- ----------------------------
DROP TABLE IF EXISTS `cube_table_column`;
CREATE TABLE `cube_table_column` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cube_data_id` int NOT NULL COMMENT '数据集ID',
  `column_title` varchar(100) NOT NULL COMMENT '字段显示名',
  `column_name` varchar(200) DEFAULT NULL COMMENT '物理字段名(虚拟字段可能有多个逗号分隔)',
  `table_name` varchar(50) DEFAULT NULL COMMENT '表名',
  `table_alias_name` varchar(50) DEFAULT NULL COMMENT '表别名',
  `view_data_type` tinyint NOT NULL COMMENT '字段数据展示类型(0-字符串/1-数字/2-日期)',
  `old_view_data_type` tinyint DEFAULT NULL COMMENT '旧字段数据展示类型',
  `column_comment` varchar(200) DEFAULT NULL COMMENT '字段注释',
  `aggregation_type` tinyint DEFAULT NULL COMMENT '聚合类型(0-求和/1-计数等等)',
  `number_data_format` tinyint DEFAULT NULL COMMENT '指标-数值类型展示格式(0-整数/1-保留2位等)',
  `time_data_format` tinyint DEFAULT NULL COMMENT '维度-日期类型展示格式(例如:yyyy-MM-dd等)',
  `column_cite_json` text COMMENT '虚拟字段引用JSON格式字符串',
  `column_formula` varchar(1500) DEFAULT NULL COMMENT '虚拟字段公式',
  `column_attr` tinyint NOT NULL DEFAULT '0' COMMENT '字段类型(0-标准字段/1-虚拟字段)',
  `column_sql` text COMMENT '格式化后的SQL',
  `dimension_type` tinyint NOT NULL COMMENT '指标/维度类型(0-维度/1-指标)',
  `hidden_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否隐藏(0-否/1-是)',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(100) DEFAULT NULL COMMENT '创建人姓名',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  `virtual_aggregation_status` tinyint NOT NULL DEFAULT '0' COMMENT '虚拟字段是否包含聚合函数',
  `virtual_only_zhibiao_status` tinyint NOT NULL DEFAULT '0' COMMENT '虚拟字段是否仅用于指标列查询',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_表结构';

-- ----------------------------
-- Records of cube_table_column
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for cube_table_file
-- ----------------------------
DROP TABLE IF EXISTS `cube_table_file`;
CREATE TABLE `cube_table_file` (
  `id` int NOT NULL AUTO_INCREMENT,
  `file_name` varchar(100) NOT NULL COMMENT '文件名称',
  `table_name` varchar(50) NOT NULL COMMENT '表名',
  `table_comment` varchar(200) NOT NULL COMMENT '表注释',
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `file_size` bigint NOT NULL DEFAULT '0' COMMENT '文件大小(byte)',
  `file_uri` varchar(300) NOT NULL COMMENT '文件路径',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_文件表';

-- ----------------------------
-- Records of cube_table_file
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for cube_table_static
-- ----------------------------
DROP TABLE IF EXISTS `cube_table_static`;
CREATE TABLE `cube_table_static` (
  `id` int NOT NULL AUTO_INCREMENT,
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `cube_data_id` int NOT NULL COMMENT '数据集ID',
  `table_comment` varchar(200) NOT NULL COMMENT '表注释',
  `table_name` varchar(100) NOT NULL COMMENT '表名',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_静态数据表';

-- ----------------------------
-- Records of cube_table_static
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for cube_workspace
-- ----------------------------
DROP TABLE IF EXISTS `cube_workspace`;
CREATE TABLE `cube_workspace` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级分类ID',
  `ws_name` varchar(50) NOT NULL COMMENT '工作空间名称',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(30) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_工作空间';

-- ----------------------------
-- Records of cube_workspace
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for custom_tag_classify
-- ----------------------------
DROP TABLE IF EXISTS `custom_tag_classify`;
CREATE TABLE `custom_tag_classify` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自定义标签分类id',
  `classify_id` varchar(100) NOT NULL COMMENT '分类id',
  `classify_name` varchar(100) NOT NULL COMMENT '分类名称',
  `is_online` int NOT NULL COMMENT '状态',
  `classify_desc` varchar(100) DEFAULT NULL COMMENT '介绍',
  `sort` int DEFAULT NULL COMMENT '顺序',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_user_id` bigint DEFAULT NULL COMMENT '修改人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义标签分类表';

-- ----------------------------
-- Records of custom_tag_classify
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for custom_tag_dict
-- ----------------------------
DROP TABLE IF EXISTS `custom_tag_dict`;
CREATE TABLE `custom_tag_dict` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自定义标签字典id',
  `tag_id` varchar(100) NOT NULL COMMENT '标签id',
  `tag_name` varchar(100) NOT NULL COMMENT '标签名称',
  `english_name` varchar(100) DEFAULT NULL COMMENT '英文名称',
  `exclusion` varchar(20) DEFAULT NULL COMMENT '是否互斥 0:不互斥,1:互斥',
  `classify_id` int DEFAULT NULL COMMENT '标签分类id',
  `request_freq` int DEFAULT NULL COMMENT '计算频次',
  `develop_type` int DEFAULT NULL COMMENT '开发方式',
  `tag_c_type` varchar(100) NOT NULL COMMENT '对应列的属性',
  `show_his` int DEFAULT NULL COMMENT '0:不展示历史 1:展示曲线（柱状）图 2：罗列展示值',
  `has_dict` int DEFAULT NULL COMMENT '是否已下拉列表展示 0:无可选项,1:有可选项',
  `search_type` varchar(20) DEFAULT NULL COMMENT '查值的形式 string number datetime bool',
  `is_online` int NOT NULL COMMENT '状态',
  `tag_desc` varchar(100) DEFAULT NULL COMMENT '介绍',
  `sort` varchar(100) DEFAULT NULL COMMENT '顺序',
  `filter_rule` text NOT NULL COMMENT '过滤规则',
  `fentong_rule` text COMMENT '分桶规则',
  `job_id` int DEFAULT NULL COMMENT 'jobid',
  `result_table` varchar(100) DEFAULT NULL COMMENT '结果集对应表',
  `cube_ids` json DEFAULT NULL COMMENT '数据集id集合',
  `status` int DEFAULT NULL COMMENT '计算状态(0未开始/1计算中/2已完成)',
  `amount` bigint DEFAULT NULL COMMENT '覆盖人数',
  `time_zone` varchar(100) DEFAULT NULL COMMENT '时间分区',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义标签表';

-- ----------------------------
-- Records of custom_tag_dict
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for custom_tag_value
-- ----------------------------
DROP TABLE IF EXISTS `custom_tag_value`;
CREATE TABLE `custom_tag_value` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自定义标签值id',
  `value_id` varchar(100) NOT NULL COMMENT '标签值id',
  `value_name` varchar(100) NOT NULL COMMENT '标签值名称',
  `tag_dict_id` int DEFAULT NULL COMMENT '标签id',
  `is_online` int NOT NULL COMMENT '状态',
  `value_desc` varchar(100) DEFAULT NULL COMMENT '介绍',
  `sort` int DEFAULT NULL COMMENT '顺序',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_user_id` bigint DEFAULT NULL COMMENT '修改人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义标签值表';

-- ----------------------------
-- Records of custom_tag_value
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for customer_liallin_record
-- ----------------------------
DROP TABLE IF EXISTS `customer_liallin_record`;
CREATE TABLE `customer_liallin_record` (
  `id` bigint NOT NULL DEFAULT '0' COMMENT '主键ID',
  `report_name` varchar(100) DEFAULT NULL COMMENT '报表名称',
  `category_code` varchar(50) DEFAULT NULL COMMENT '分类code',
  `report_url` varchar(200) DEFAULT NULL COMMENT '上传地址',
  `create_user` varchar(100) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of customer_liallin_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for customer_report
-- ----------------------------
DROP TABLE IF EXISTS `customer_report`;
CREATE TABLE `customer_report` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `report_name` varchar(100) DEFAULT NULL COMMENT '报表名称',
  `category_id` bigint DEFAULT NULL COMMENT '分类ID',
  `category_code` varchar(50) DEFAULT NULL COMMENT '分类code',
  `report_url` varchar(200) DEFAULT NULL COMMENT '上传地址',
  `create_user` varchar(100) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `batch_num` varchar(20) DEFAULT NULL COMMENT '批次号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='客服数据表';

-- ----------------------------
-- Records of customer_report
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for customer_report_category
-- ----------------------------
DROP TABLE IF EXISTS `customer_report_category`;
CREATE TABLE `customer_report_category` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `category_name` varchar(100) DEFAULT NULL COMMENT '分类名称',
  `category_code` varchar(50) DEFAULT NULL COMMENT '分类code',
  `template` varchar(200) DEFAULT NULL COMMENT '报表模板',
  `create_user` varchar(100) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='客服数据分类表';

-- ----------------------------
-- Records of customer_report_category
-- ----------------------------
BEGIN;
INSERT INTO `customer_report_category` VALUES (34, '呼叫中心', 'fct_hj', 'uploads/0c1cb337-4a6e-4b07-a011-a9525f254be4.xlsx', '管理员', '2021-10-26 11:06:17');
INSERT INTO `customer_report_category` VALUES (36, '不规范扣款', 'fct_kk', 'uploads/3189b48a-6095-47fa-b548-8b1a810c98bc.xlsx', '管理员', '2021-10-26 11:24:17');
INSERT INTO `customer_report_category` VALUES (39, 'PRM违约明细', 'fct_wy', 'uploads/5ee6a703-bbe4-4a9e-9395-e43a2ad9cb9c.xlsx', '管理员', '2021-11-17 11:48:40');
INSERT INTO `customer_report_category` VALUES (40, '客服投诉明细', 'fct_ks', 'uploads/9c5bf421-a557-45f5-aa25-bacbafc503f4.xlsx', '管理员', '2021-11-17 11:52:23');
COMMIT;

-- ----------------------------
-- Table structure for data_api
-- ----------------------------
DROP TABLE IF EXISTS `data_api`;
CREATE TABLE `data_api` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `api_name` varchar(50) NOT NULL COMMENT '接口名称',
  `api_key` varchar(50) NOT NULL COMMENT '唯一关键词',
  `api_type` int DEFAULT '0' COMMENT '接口类别 0-报表 1-常规 2-第三方接口',
  `category_id` int DEFAULT '0' COMMENT '接口分类id,关联 data_api_category表',
  `api_formal` int DEFAULT '0' COMMENT '接口类型 1-正式 0-临时',
  `api_url` varchar(300) DEFAULT NULL COMMENT '接口地址',
  `datasource_id` int DEFAULT '0' COMMENT '数据源id',
  `query_table` varchar(200) DEFAULT NULL COMMENT '查询表视图名称',
  `query_param` text COMMENT '查询条件/参数说明',
  `query_sql` text COMMENT '查询sql语句',
  `api_status` int DEFAULT '0' COMMENT '接口状态 0-下线 1-上线 2-故障',
  `login_required` int DEFAULT '0' COMMENT '是否需要登录 0-不需要 1-需要',
  `pid` int DEFAULT NULL COMMENT '二级分类id',
  `note` text COMMENT '扩展字段',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `api_method` varchar(10) DEFAULT NULL COMMENT 'API接口请求方式(POST/GET)',
  `api_headers` text COMMENT 'API接口请求头JSON',
  `api_js_function` text COMMENT 'API接口返回数据解析js函数',
  `api_param_type` tinyint DEFAULT '0' COMMENT 'API接口参数传递方式（0:json/1:x-www-form-urlencoded）',
  `chart_type` tinyint DEFAULT NULL COMMENT '图表类型',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_page` tinyint DEFAULT NULL COMMENT '是否分页',
  `page_size` tinyint DEFAULT NULL COMMENT '分页数量',
  PRIMARY KEY (`id`),
  UNIQUE KEY `api_key` (`api_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of data_api
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for data_api_category
-- ----------------------------
DROP TABLE IF EXISTS `data_api_category`;
CREATE TABLE `data_api_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `pid` int DEFAULT NULL COMMENT 'pid',
  `order_index` int NOT NULL DEFAULT '0' COMMENT '排序值，从小到大排',
  `category_name` varchar(50) NOT NULL COMMENT '指标分类名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of data_api_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for data_api_config
-- ----------------------------
DROP TABLE IF EXISTS `data_api_config`;
CREATE TABLE `data_api_config` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `api_id` int DEFAULT NULL COMMENT '接口id',
  `config_type` int DEFAULT NULL COMMENT '配置类型 1-列维度 2-行维度 3-指标',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of data_api_config
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for data_api_config_detail
-- ----------------------------
DROP TABLE IF EXISTS `data_api_config_detail`;
CREATE TABLE `data_api_config_detail` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `api_config_id` int DEFAULT NULL COMMENT '接口配置id',
  `dimension_id` int DEFAULT NULL COMMENT '维度id',
  `sort_order` int DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of data_api_config_detail
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for data_api_insert
-- ----------------------------
DROP TABLE IF EXISTS `data_api_insert`;
CREATE TABLE `data_api_insert` (
  `id` int NOT NULL AUTO_INCREMENT,
  `api_name` varchar(150) NOT NULL COMMENT '接口名称',
  `api_key` varchar(100) NOT NULL COMMENT 'API关键字',
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `table_name` varchar(100) NOT NULL COMMENT '数据库表名',
  `category_id` int NOT NULL DEFAULT '0' COMMENT '分类ID',
  `param_json` longtext NOT NULL COMMENT '参数json',
  `api_status` tinyint NOT NULL DEFAULT '1' COMMENT 'API状态',
  `api_url` varchar(100) NOT NULL COMMENT '接口地址',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注说明',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`),
  UNIQUE KEY `api_key` (`api_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='API入库接口';

-- ----------------------------
-- Records of data_api_insert
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for data_permission
-- ----------------------------
DROP TABLE IF EXISTS `data_permission`;
CREATE TABLE `data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `perm_name` varchar(100) NOT NULL COMMENT '权限组名称',
  `type_id` int NOT NULL DEFAULT '0' COMMENT '分类ID',
  `perm_tag` varchar(20) DEFAULT NULL COMMENT '权限组标签',
  `perm_json` json NOT NULL COMMENT '权限组数据json',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
  `super_status` tinyint NOT NULL DEFAULT '0' COMMENT '超级权限组',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组表';

-- ----------------------------
-- Records of data_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for data_permission_dept
-- ----------------------------
DROP TABLE IF EXISTS `data_permission_dept`;
CREATE TABLE `data_permission_dept` (
  `id` int NOT NULL AUTO_INCREMENT,
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `dept_id` bigint NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`id`),
  UNIQUE KEY `dept_id` (`dept_id`,`data_perm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组和部门关联表';

-- ----------------------------
-- Records of data_permission_dept
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for data_permission_role
-- ----------------------------
DROP TABLE IF EXISTS `data_permission_role`;
CREATE TABLE `data_permission_role` (
  `id` int NOT NULL AUTO_INCREMENT,
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`id`),
  KEY `role_id` (`role_id`,`data_perm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组和角色关联表';

-- ----------------------------
-- Records of data_permission_role
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for data_permission_type
-- ----------------------------
DROP TABLE IF EXISTS `data_permission_type`;
CREATE TABLE `data_permission_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type_name` varchar(50) NOT NULL COMMENT '分类名称',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组分类';

-- ----------------------------
-- Records of data_permission_type
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for data_permission_user
-- ----------------------------
DROP TABLE IF EXISTS `data_permission_user`;
CREATE TABLE `data_permission_user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `user_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否直接设置',
  PRIMARY KEY (`id`),
  UNIQUE KEY `data_perm_id` (`data_perm_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组与用户关系表';

-- ----------------------------
-- Records of data_permission_user
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for data_report
-- ----------------------------
DROP TABLE IF EXISTS `data_report`;
CREATE TABLE `data_report` (
  `F_Id` varchar(50) NOT NULL COMMENT '	主键ID',
  `F_CategoryId` varchar(50) DEFAULT NULL COMMENT '分组ID',
  `F_FullName` varchar(50) DEFAULT NULL COMMENT '报表名称',
  `F_Content` longtext COMMENT '报表内容',
  `F_EnCode` varchar(50) DEFAULT NULL COMMENT '编码',
  `F_SortCode` varchar(50) DEFAULT NULL COMMENT '排序码(默认0)',
  `F_EnabledMark` int DEFAULT NULL COMMENT '状态(0-默认，禁用，1-启用)',
  `F_Description` varchar(500) DEFAULT NULL COMMENT '描述或说明',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志(默认0)',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) DEFAULT NULL COMMENT '删除用户id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='数据报表';

-- ----------------------------
-- Records of data_report
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for digital_operation
-- ----------------------------
DROP TABLE IF EXISTS `digital_operation`;
CREATE TABLE `digital_operation` (
  `C1` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of digital_operation
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for dsy_job
-- ----------------------------
DROP TABLE IF EXISTS `dsy_job`;
CREATE TABLE `dsy_job` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `category_id` int NOT NULL COMMENT '分类ID',
  `job_name` varchar(100) NOT NULL COMMENT '任务名称',
  `job_desc` varchar(500) DEFAULT NULL COMMENT '任务描述',
  `job_status` tinyint NOT NULL COMMENT '上线状态',
  `job_type` tinyint NOT NULL COMMENT '任务类型',
  `trigger_status` tinyint NOT NULL DEFAULT '0' COMMENT '调度状态',
  `job_cron` varchar(20) DEFAULT NULL COMMENT 'xxljob的任务Cron',
  `xxl_job_id` int DEFAULT NULL COMMENT 'xxljob的任务ID',
  `source_ds_id` int NOT NULL COMMENT '输入数据源ID',
  `source_ds_type` tinyint DEFAULT NULL COMMENT '输入数据源类型',
  `target_ds_id` int NOT NULL COMMENT '目标数据源ID',
  `target_ds_type` tinyint DEFAULT NULL COMMENT '目标数据源类型',
  `sync_type` tinyint NOT NULL COMMENT '同步方式',
  `truncate_table_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否清空数据',
  `sync_index_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否同步索引',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公开状态(0-不公开/1-公开)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_user_id` bigint DEFAULT NULL COMMENT '更新人ID',
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务';

-- ----------------------------
-- Records of dsy_job
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for dsy_job_category
-- ----------------------------
DROP TABLE IF EXISTS `dsy_job_category`;
CREATE TABLE `dsy_job_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `cate_name` varchar(50) NOT NULL COMMENT '分类名称',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务分类';

-- ----------------------------
-- Records of dsy_job_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for dsy_job_instance
-- ----------------------------
DROP TABLE IF EXISTS `dsy_job_instance`;
CREATE TABLE `dsy_job_instance` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `job_table_id` int NOT NULL COMMENT '任务表数据ID',
  `server_ip` varchar(100) NOT NULL COMMENT '服务器IP',
  `start_time` datetime DEFAULT NULL COMMENT '作业开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '作业结束时间',
  `instance_run_type` tinyint NOT NULL COMMENT '作业运行类型(手动 自动)',
  `instance_type` tinyint NOT NULL COMMENT '作业类型(流作业 批作业)',
  `instance_status` tinyint NOT NULL COMMENT '作业状态',
  `err_msg` longtext COMMENT '错误描述',
  `read_row_count` bigint NOT NULL DEFAULT '0' COMMENT '读取行数',
  `write_row_count` bigint NOT NULL DEFAULT '0' COMMENT '写入行数',
  `write_speed` int NOT NULL DEFAULT '0' COMMENT '数据写入速度',
  `data_flow_avg` varchar(100) DEFAULT NULL COMMENT '数据平均流量',
  `error_row_count` bigint NOT NULL DEFAULT '0' COMMENT '错误行数',
  `create_time` datetime NOT NULL COMMENT '任务创建时间',
  `sync_type` tinyint NOT NULL DEFAULT '0' COMMENT '同步方式',
  `start_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段开始值',
  `end_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段结束值',
  `datax_pid` varchar(50) DEFAULT NULL COMMENT 'datax进程ID号',
  `datax_log_name` varchar(200) DEFAULT NULL COMMENT 'datax日志名称',
  `datax_config_name` varchar(200) DEFAULT NULL COMMENT 'datax配置文件名称',
  `source_table_name` varchar(100) DEFAULT NULL COMMENT '输入数据源表名',
  `target_table_name` varchar(100) DEFAULT NULL COMMENT '目标数据源表名',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `instance_status` (`instance_status`),
  KEY `job_id` (`job_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务实例';

-- ----------------------------
-- Records of dsy_job_instance
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for dsy_job_permission
-- ----------------------------
DROP TABLE IF EXISTS `dsy_job_permission`;
CREATE TABLE `dsy_job_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务权限组';

-- ----------------------------
-- Records of dsy_job_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for dsy_job_table
-- ----------------------------
DROP TABLE IF EXISTS `dsy_job_table`;
CREATE TABLE `dsy_job_table` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `source_table_name` varchar(100) NOT NULL COMMENT '输入数据源表名',
  `source_table_comment` varchar(150) NOT NULL COMMENT '输入数据源表注释',
  `target_table_name` varchar(100) NOT NULL COMMENT '目标数据源表名',
  `target_table_comment` varchar(150) DEFAULT NULL COMMENT '目标数据源表注释',
  `increment_column_name` varchar(100) DEFAULT NULL COMMENT '数据源表的增量字段名',
  `increment_column_type` tinyint DEFAULT NULL COMMENT '数据源表的增量字段类型',
  `create_table_status` tinyint NOT NULL COMMENT '是否自动建表',
  `sync_type` tinyint DEFAULT NULL COMMENT '同步方式',
  `truncate_table_status` tinyint DEFAULT NULL COMMENT '是否清空数据',
  `sync_index_status` tinyint DEFAULT NULL COMMENT '是否同步索引',
  `query_sql` text NOT NULL COMMENT '查询SQL语句',
  `pre_sql` varchar(1000) DEFAULT NULL COMMENT '同步任务前执行语句(一般truncate)',
  `source_column_json` text COMMENT '输入源字段json',
  `target_column_json` longtext COMMENT '目标源字段json',
  `target_column_upper_status` tinyint NOT NULL COMMENT '是否大写',
  `ext_json` text COMMENT '其他数据json',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `start_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段开始值',
  `end_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段结束值',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务表信息';

-- ----------------------------
-- Records of dsy_job_table
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for etl_column_system
-- ----------------------------
DROP TABLE IF EXISTS `etl_column_system`;
CREATE TABLE `etl_column_system` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '字段名称',
  `db_type` int NOT NULL COMMENT '数据源类型 0-mysql 1-oracle 2-sqlserver 3-postgresql 4-clickhouse 5-人大金仓 6-达梦',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据库系统自留字段表';

-- ----------------------------
-- Records of etl_column_system
-- ----------------------------
BEGIN;
INSERT INTO `etl_column_system` VALUES (11, 'select', 0);
INSERT INTO `etl_column_system` VALUES (12, 'UID', 1);
INSERT INTO `etl_column_system` VALUES (13, 'uid', 1);
INSERT INTO `etl_column_system` VALUES (14, 'openid', 0);
COMMIT;

-- ----------------------------
-- Table structure for etl_job
-- ----------------------------
DROP TABLE IF EXISTS `etl_job`;
CREATE TABLE `etl_job` (
  `id` int NOT NULL AUTO_INCREMENT,
  `category_id` int NOT NULL COMMENT '分类ID',
  `job_name` varchar(100) NOT NULL COMMENT '任务名称',
  `job_status` tinyint NOT NULL COMMENT '作业状态(草稿、发布、归档)',
  `job_type` tinyint NOT NULL COMMENT '任务类型(流任务 批任务)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `update_by` varchar(50) DEFAULT NULL COMMENT '修改人姓名',
  `update_user_id` bigint DEFAULT NULL COMMENT '修改人ID',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `global_param` varchar(1000) DEFAULT NULL COMMENT '全局参数',
  `job_cron` varchar(255) DEFAULT NULL COMMENT 'xxljob任务cron',
  `xxl_job_id` int DEFAULT NULL COMMENT 'xxlJob任务ID',
  `trigger_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否开启定时调度',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否公开状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务定义表';

-- ----------------------------
-- Records of etl_job
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for etl_job_category
-- ----------------------------
DROP TABLE IF EXISTS `etl_job_category`;
CREATE TABLE `etl_job_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cate_name` varchar(50) NOT NULL COMMENT '分类名称',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务分类表';

-- ----------------------------
-- Records of etl_job_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for etl_job_instance
-- ----------------------------
DROP TABLE IF EXISTS `etl_job_instance`;
CREATE TABLE `etl_job_instance` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `job_engine_id` varchar(100) DEFAULT NULL COMMENT '计算引擎的作业ID',
  `web_interface_url` varchar(300) DEFAULT NULL COMMENT 'flink的web地址',
  `application_id` varchar(100) DEFAULT NULL COMMENT 'Flink application id',
  `instance_type` tinyint NOT NULL COMMENT '作业类型(流作业 批作业)',
  `instance_status` tinyint NOT NULL DEFAULT '0' COMMENT '作业运行状态(运行中 成功 失败 中断)',
  `start_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `err_msg` longtext COMMENT '错误描述',
  `instance_run_type` tinyint DEFAULT NULL COMMENT '作业运行类型(手动 自动)',
  `engine_job_status` varchar(255) DEFAULT NULL COMMENT '引擎运行状态',
  `read_row_count` bigint NOT NULL DEFAULT '0' COMMENT '读取行数',
  `write_row_count` bigint NOT NULL DEFAULT '0' COMMENT '写入行数',
  `read_qps` bigint NOT NULL DEFAULT '0' COMMENT '读取QPS',
  `write_qps` bigint NOT NULL DEFAULT '0' COMMENT '写入QPS',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务实例表';

-- ----------------------------
-- Records of etl_job_instance
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for etl_job_link
-- ----------------------------
DROP TABLE IF EXISTS `etl_job_link`;
CREATE TABLE `etl_job_link` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `from_code` varchar(50) NOT NULL COMMENT '开始节点code',
  `to_code` varchar(50) NOT NULL COMMENT '目标节点code',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务步骤连接表';

-- ----------------------------
-- Records of etl_job_link
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for etl_job_permission
-- ----------------------------
DROP TABLE IF EXISTS `etl_job_permission`;
CREATE TABLE `etl_job_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据大屏权限组';

-- ----------------------------
-- Records of etl_job_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for etl_job_task
-- ----------------------------
DROP TABLE IF EXISTS `etl_job_task`;
CREATE TABLE `etl_job_task` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `plugin_type` tinyint NOT NULL COMMENT '插件类型',
  `connector_type` tinyint DEFAULT NULL COMMENT '连接器类型',
  `config_json` longtext COMMENT '配置json',
  `ext_json` longtext COMMENT '扩展json',
  `task_code` varchar(50) DEFAULT NULL COMMENT '节点code',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务步骤(节点)表';

-- ----------------------------
-- Records of etl_job_task
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for etl_sql_column
-- ----------------------------
DROP TABLE IF EXISTS `etl_sql_column`;
CREATE TABLE `etl_sql_column` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `sql_column_type` varchar(255) DEFAULT NULL COMMENT '数据库字段类型',
  `ds_type` int DEFAULT NULL COMMENT '数据源类型 0-mysql 1-oracle 2-sqlserver 3-postgresql 4-clickhouse',
  `column_type` varchar(50) DEFAULT NULL COMMENT '通用字段类型',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=214 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of etl_sql_column
-- ----------------------------
BEGIN;
INSERT INTO `etl_sql_column` VALUES (1, 'STRING', 0, 'CHAR');
INSERT INTO `etl_sql_column` VALUES (2, 'STRING', 0, 'VARCHAR');
INSERT INTO `etl_sql_column` VALUES (3, 'STRING', 0, 'LONGVARCHAR');
INSERT INTO `etl_sql_column` VALUES (4, 'STRING', 0, 'BINARY');
INSERT INTO `etl_sql_column` VALUES (5, 'STRING', 0, 'VARBINARY');
INSERT INTO `etl_sql_column` VALUES (6, 'STRING', 0, 'LONGVARBINARY');
INSERT INTO `etl_sql_column` VALUES (7, 'STRING', 0, 'BLOB');
INSERT INTO `etl_sql_column` VALUES (8, 'STRING', 0, 'CLOB');
INSERT INTO `etl_sql_column` VALUES (9, 'STRING', 0, 'NCHAR');
INSERT INTO `etl_sql_column` VALUES (10, 'STRING', 0, 'NVARCHAR');
INSERT INTO `etl_sql_column` VALUES (11, 'STRING', 0, 'LONGNVARCHAR');
INSERT INTO `etl_sql_column` VALUES (12, 'STRING', 0, 'NCLOB');
INSERT INTO `etl_sql_column` VALUES (13, 'STRING', 0, 'ARRAY');
INSERT INTO `etl_sql_column` VALUES (14, 'DATE', 0, 'DATE');
INSERT INTO `etl_sql_column` VALUES (15, 'DATE', 0, 'TIME');
INSERT INTO `etl_sql_column` VALUES (16, 'DATE', 0, 'TIMESTAMP');
INSERT INTO `etl_sql_column` VALUES (17, 'DATE', 0, 'DATETIME');
INSERT INTO `etl_sql_column` VALUES (18, 'STRING', 0, 'BIT');
INSERT INTO `etl_sql_column` VALUES (19, 'INTEGER', 0, 'TINYINT');
INSERT INTO `etl_sql_column` VALUES (20, 'INTEGER', 0, 'SMALLINT');
INSERT INTO `etl_sql_column` VALUES (21, 'INTEGER', 0, 'INTEGER');
INSERT INTO `etl_sql_column` VALUES (22, 'INTEGER', 0, 'BOOLEAN');
INSERT INTO `etl_sql_column` VALUES (24, 'LONG', 0, 'BIGINT');
INSERT INTO `etl_sql_column` VALUES (25, 'FLOAT', 0, 'FLOAT');
INSERT INTO `etl_sql_column` VALUES (26, 'DECIMAL', 0, 'REAL');
INSERT INTO `etl_sql_column` VALUES (27, 'DOUBLE', 0, 'DOUBLE');
INSERT INTO `etl_sql_column` VALUES (28, 'DECIMAL', 0, 'DECIMAL');
INSERT INTO `etl_sql_column` VALUES (29, 'STRING', 1, 'CHAR');
INSERT INTO `etl_sql_column` VALUES (30, 'STRING', 1, 'VARCHAR2');
INSERT INTO `etl_sql_column` VALUES (31, 'INTEGER', 1, 'NUMBER');
INSERT INTO `etl_sql_column` VALUES (32, 'DATE', 1, 'DATE');
INSERT INTO `etl_sql_column` VALUES (33, 'FLOAT', 1, 'FLOAT');
INSERT INTO `etl_sql_column` VALUES (34, 'STRING', 1, 'CLOB RAW');
INSERT INTO `etl_sql_column` VALUES (35, 'STRING', 1, 'VARCHAR2 CLOB');
INSERT INTO `etl_sql_column` VALUES (36, 'LONG', 1, 'NUMBER(19,0)');
INSERT INTO `etl_sql_column` VALUES (37, 'INTEGER', 1, 'NUMBER(7,0)');
INSERT INTO `etl_sql_column` VALUES (38, 'INTEGER', 1, 'NUMBER(5,0)');
INSERT INTO `etl_sql_column` VALUES (39, 'BOOLEAN', 1, 'NUMBER(3,0)');
INSERT INTO `etl_sql_column` VALUES (40, 'FLOAT', 4, 'Float32');
INSERT INTO `etl_sql_column` VALUES (41, 'DOUBLE', 4, 'Float64');
INSERT INTO `etl_sql_column` VALUES (42, 'INTEGER', 4, 'Int32');
INSERT INTO `etl_sql_column` VALUES (43, 'INTEGER', 4, 'Int8');
INSERT INTO `etl_sql_column` VALUES (44, 'INTEGER', 4, 'Int16');
INSERT INTO `etl_sql_column` VALUES (45, 'INTEGER', 4, 'UInt8');
INSERT INTO `etl_sql_column` VALUES (46, 'INTEGER', 4, 'UInit16');
INSERT INTO `etl_sql_column` VALUES (47, 'INTEGER', 4, 'UInut32');
INSERT INTO `etl_sql_column` VALUES (48, 'LONG', 4, 'Int64');
INSERT INTO `etl_sql_column` VALUES (49, 'LONG', 4, 'Int128');
INSERT INTO `etl_sql_column` VALUES (50, 'LONG', 4, 'Inte256');
INSERT INTO `etl_sql_column` VALUES (51, 'LONG', 4, 'UInit64');
INSERT INTO `etl_sql_column` VALUES (52, 'LONG', 4, 'UInit128');
INSERT INTO `etl_sql_column` VALUES (53, 'LONG', 4, 'UInit256');
INSERT INTO `etl_sql_column` VALUES (54, 'STRING', 4, 'String');
INSERT INTO `etl_sql_column` VALUES (55, 'DECIMAL', 4, 'Decimal');
INSERT INTO `etl_sql_column` VALUES (56, 'DECIMAL', 4, 'Decimal32');
INSERT INTO `etl_sql_column` VALUES (57, 'DECIMAL', 4, 'Decimal64');
INSERT INTO `etl_sql_column` VALUES (58, 'DECIMAL', 4, 'Decimal128');
INSERT INTO `etl_sql_column` VALUES (59, 'DATE', 4, 'DateTime');
INSERT INTO `etl_sql_column` VALUES (60, 'DATE', 4, 'DATE');
INSERT INTO `etl_sql_column` VALUES (61, 'DATE', 4, 'DATE32');
INSERT INTO `etl_sql_column` VALUES (62, 'DATE', 4, 'DateTime64');
INSERT INTO `etl_sql_column` VALUES (63, 'STRING', 4, 'JSON');
INSERT INTO `etl_sql_column` VALUES (64, 'STRING', 4, 'UUID');
INSERT INTO `etl_sql_column` VALUES (65, 'STRING', 4, 'fixedString');
INSERT INTO `etl_sql_column` VALUES (66, 'STRING', 0, 'TEXT');
INSERT INTO `etl_sql_column` VALUES (67, 'STRING', 3, 'ARRAY');
INSERT INTO `etl_sql_column` VALUES (68, 'STRING', 3, 'BINARY');
INSERT INTO `etl_sql_column` VALUES (69, 'STRING', 3, 'BLOB');
INSERT INTO `etl_sql_column` VALUES (70, 'STRING', 3, 'CHAR');
INSERT INTO `etl_sql_column` VALUES (71, 'STRING', 3, 'CLOB');
INSERT INTO `etl_sql_column` VALUES (72, 'STRING', 3, 'LONGNVARCHAR');
INSERT INTO `etl_sql_column` VALUES (73, 'STRING', 3, 'LONGVARBINARY');
INSERT INTO `etl_sql_column` VALUES (74, 'STRING', 3, 'LONGVARCHAR');
INSERT INTO `etl_sql_column` VALUES (75, 'STRING', 3, 'NCHAR');
INSERT INTO `etl_sql_column` VALUES (76, 'STRING', 3, 'NCLOB');
INSERT INTO `etl_sql_column` VALUES (77, 'STRING', 3, 'NVARCHAR');
INSERT INTO `etl_sql_column` VALUES (78, 'STRING', 3, 'TEXT');
INSERT INTO `etl_sql_column` VALUES (79, 'STRING', 3, 'VARBINARY');
INSERT INTO `etl_sql_column` VALUES (80, 'STRING', 3, 'VARCHAR');
INSERT INTO `etl_sql_column` VALUES (81, 'STRING', 3, 'UUID');
INSERT INTO `etl_sql_column` VALUES (82, 'STRING', 3, 'XML');
INSERT INTO `etl_sql_column` VALUES (83, 'STRING', 3, 'JSON');
INSERT INTO `etl_sql_column` VALUES (84, 'INTEGER', 3, 'BIT');
INSERT INTO `etl_sql_column` VALUES (85, 'INTEGER', 3, 'BOOLEAN');
INSERT INTO `etl_sql_column` VALUES (86, 'INTEGER', 3, 'INT');
INSERT INTO `etl_sql_column` VALUES (87, 'INTEGER', 3, 'INTEGER');
INSERT INTO `etl_sql_column` VALUES (88, 'INTEGER', 3, 'SMALLINT');
INSERT INTO `etl_sql_column` VALUES (89, 'INTEGER', 3, 'TINYINT');
INSERT INTO `etl_sql_column` VALUES (90, 'INTEGER', 3, 'int2');
INSERT INTO `etl_sql_column` VALUES (91, 'INTEGER', 3, 'int4');
INSERT INTO `etl_sql_column` VALUES (92, 'INTEGER', 3, 'int8');
INSERT INTO `etl_sql_column` VALUES (93, 'LONG', 3, 'BIGINT');
INSERT INTO `etl_sql_column` VALUES (94, 'DOUBLE', 3, 'double precision');
INSERT INTO `etl_sql_column` VALUES (95, 'DOUBLE', 3, 'DOUBLE');
INSERT INTO `etl_sql_column` VALUES (96, 'DECIMAL', 3, 'REAL');
INSERT INTO `etl_sql_column` VALUES (97, 'DECIMAL', 3, 'DECIMAL');
INSERT INTO `etl_sql_column` VALUES (98, 'FLOAT', 3, 'FLOAT');
INSERT INTO `etl_sql_column` VALUES (99, 'DATE', 3, 'DATETIME');
INSERT INTO `etl_sql_column` VALUES (100, 'DATE', 3, 'DATE');
INSERT INTO `etl_sql_column` VALUES (101, 'DATE', 3, 'TIME');
INSERT INTO `etl_sql_column` VALUES (102, 'DATE', 3, 'TIMESTAMP');
INSERT INTO `etl_sql_column` VALUES (103, 'STRING', 5, 'varchar');
INSERT INTO `etl_sql_column` VALUES (104, 'STRING', 5, 'char');
INSERT INTO `etl_sql_column` VALUES (105, 'STRING', 5, 'text');
INSERT INTO `etl_sql_column` VALUES (106, 'STRING', 5, 'character varying');
INSERT INTO `etl_sql_column` VALUES (107, 'STRING', 5, 'varchar2');
INSERT INTO `etl_sql_column` VALUES (108, 'STRING', 5, 'nvarchar2');
INSERT INTO `etl_sql_column` VALUES (109, 'STRING', 5, 'nvarchar');
INSERT INTO `etl_sql_column` VALUES (110, 'STRING', 5, 'character');
INSERT INTO `etl_sql_column` VALUES (111, 'STRING', 5, 'longtext');
INSERT INTO `etl_sql_column` VALUES (112, 'STRING', 5, 'mediumtext');
INSERT INTO `etl_sql_column` VALUES (113, 'STRING', 5, 'tinytext');
INSERT INTO `etl_sql_column` VALUES (114, 'DECIMAL', 5, 'decimal');
INSERT INTO `etl_sql_column` VALUES (115, 'DECIMAL', 5, 'numeric');
INSERT INTO `etl_sql_column` VALUES (116, 'DECIMAL', 5, 'number');
INSERT INTO `etl_sql_column` VALUES (117, 'DECIMAL', 5, 'fixed');
INSERT INTO `etl_sql_column` VALUES (118, 'DOUBLE', 5, 'double');
INSERT INTO `etl_sql_column` VALUES (119, 'FLOAT', 5, 'real');
INSERT INTO `etl_sql_column` VALUES (120, 'DOUBLE', 5, 'double precision');
INSERT INTO `etl_sql_column` VALUES (121, 'DOUBLE', 5, 'bigserial');
INSERT INTO `etl_sql_column` VALUES (122, 'FLOAT', 5, 'float');
INSERT INTO `etl_sql_column` VALUES (123, 'FLOAT', 5, 'smallserial');
INSERT INTO `etl_sql_column` VALUES (124, 'FLOAT', 5, 'serial');
INSERT INTO `etl_sql_column` VALUES (125, 'DATE', 5, 'date');
INSERT INTO `etl_sql_column` VALUES (126, 'DATE', 5, 'timestamp');
INSERT INTO `etl_sql_column` VALUES (127, 'LONG', 5, 'int8');
INSERT INTO `etl_sql_column` VALUES (128, 'LONG', 5, 'bigint');
INSERT INTO `etl_sql_column` VALUES (129, 'INTEGER', 5, 'int');
INSERT INTO `etl_sql_column` VALUES (130, 'INTEGER', 5, 'int4');
INSERT INTO `etl_sql_column` VALUES (131, 'INTEGER', 5, 'tinyint');
INSERT INTO `etl_sql_column` VALUES (132, 'INTEGER', 5, 'int1');
INSERT INTO `etl_sql_column` VALUES (133, 'INTEGER', 5, 'smallint');
INSERT INTO `etl_sql_column` VALUES (134, 'INTEGER', 5, 'middleint');
INSERT INTO `etl_sql_column` VALUES (135, 'INTEGER', 5, 'mediumint');
INSERT INTO `etl_sql_column` VALUES (136, 'INTEGER', 5, 'int3');
INSERT INTO `etl_sql_column` VALUES (137, 'INTEGER', 5, 'integer');
INSERT INTO `etl_sql_column` VALUES (138, 'DOUBLE', 5, 'Float8');
INSERT INTO `etl_sql_column` VALUES (139, 'INTEGER', 5, 'int2');
INSERT INTO `etl_sql_column` VALUES (140, 'INTEGER', 6, 'INT');
INSERT INTO `etl_sql_column` VALUES (141, 'INTEGER', 6, 'SMALLINT');
INSERT INTO `etl_sql_column` VALUES (142, 'INTEGER', 6, 'TINYINT');
INSERT INTO `etl_sql_column` VALUES (143, 'INTEGER', 6, 'INTEGER');
INSERT INTO `etl_sql_column` VALUES (144, 'INTEGER', 6, 'PLS_INTEGER');
INSERT INTO `etl_sql_column` VALUES (145, 'DECIMAL', 6, 'NUMERIC');
INSERT INTO `etl_sql_column` VALUES (146, 'DECIMAL', 6, 'DECIMAL');
INSERT INTO `etl_sql_column` VALUES (147, 'FLOAT', 6, 'FLOAT');
INSERT INTO `etl_sql_column` VALUES (148, 'DOUBLE', 6, 'DOUBLE');
INSERT INTO `etl_sql_column` VALUES (149, 'DATE', 6, 'TIMESTAMP');
INSERT INTO `etl_sql_column` VALUES (150, 'DATE', 6, 'DATE');
INSERT INTO `etl_sql_column` VALUES (151, 'DATE', 6, 'TIME');
INSERT INTO `etl_sql_column` VALUES (152, 'LONG', 6, 'BIGINT');
INSERT INTO `etl_sql_column` VALUES (153, 'STRING', 6, 'VARCHAR');
INSERT INTO `etl_sql_column` VALUES (154, 'STRING', 6, 'TEXT');
INSERT INTO `etl_sql_column` VALUES (155, 'STRING', 6, 'CHAR');
INSERT INTO `etl_sql_column` VALUES (156, 'STRING', 0, 'LONGTEXT');
INSERT INTO `etl_sql_column` VALUES (157, 'STRING', 2, 'char');
INSERT INTO `etl_sql_column` VALUES (158, 'STRING', 2, 'varchar');
INSERT INTO `etl_sql_column` VALUES (159, 'STRING', 2, 'text');
INSERT INTO `etl_sql_column` VALUES (160, 'STRING', 2, 'nchar');
INSERT INTO `etl_sql_column` VALUES (161, 'STRING', 2, 'nvarchar');
INSERT INTO `etl_sql_column` VALUES (162, 'STRING', 2, 'ntext');
INSERT INTO `etl_sql_column` VALUES (163, 'STRING', 2, 'uniqueidentifier');
INSERT INTO `etl_sql_column` VALUES (164, 'STRING', 2, 'xml');
INSERT INTO `etl_sql_column` VALUES (165, 'LONG', 2, 'bigint');
INSERT INTO `etl_sql_column` VALUES (166, 'DECIMAL', 2, 'decimal');
INSERT INTO `etl_sql_column` VALUES (167, 'DECIMAL', 2, 'money');
INSERT INTO `etl_sql_column` VALUES (168, 'DECIMAL', 2, 'smallmoney');
INSERT INTO `etl_sql_column` VALUES (169, 'DECIMAL', 2, 'numeric');
INSERT INTO `etl_sql_column` VALUES (170, 'INTEGER', 2, 'int');
INSERT INTO `etl_sql_column` VALUES (171, 'INTEGER', 2, 'smallint');
INSERT INTO `etl_sql_column` VALUES (172, 'INTEGER', 2, 'tinyint');
INSERT INTO `etl_sql_column` VALUES (173, 'DOUBLE', 2, 'float');
INSERT INTO `etl_sql_column` VALUES (174, 'FLOAT', 2, 'real');
INSERT INTO `etl_sql_column` VALUES (175, 'DATE', 2, 'time');
INSERT INTO `etl_sql_column` VALUES (176, 'DATE', 2, 'date');
INSERT INTO `etl_sql_column` VALUES (177, 'DATE', 2, 'datetime2');
INSERT INTO `etl_sql_column` VALUES (178, 'DATE', 2, 'datetimeoffset');
INSERT INTO `etl_sql_column` VALUES (179, 'DATE', 2, 'datetime');
INSERT INTO `etl_sql_column` VALUES (180, 'DATE', 2, 'smalldatetime');
INSERT INTO `etl_sql_column` VALUES (181, 'DOUBLE', 3, 'NUMERIC');
INSERT INTO `etl_sql_column` VALUES (182, 'INTEGER', 3, 'smallserial');
INSERT INTO `etl_sql_column` VALUES (183, 'INTEGER', 3, 'serial');
INSERT INTO `etl_sql_column` VALUES (184, 'LONG', 3, 'bigserial');
INSERT INTO `etl_sql_column` VALUES (185, 'STRING', 2, 'bit');
INSERT INTO `etl_sql_column` VALUES (186, 'STRING', 2, 'binary');
INSERT INTO `etl_sql_column` VALUES (187, 'STRING', 2, 'varbinary');
INSERT INTO `etl_sql_column` VALUES (188, 'STRING', 1, 'CLOB');
INSERT INTO `etl_sql_column` VALUES (189, 'STRING', 1, 'NCLOB');
INSERT INTO `etl_sql_column` VALUES (190, 'STRING', 1, 'BLOB');
INSERT INTO `etl_sql_column` VALUES (191, 'STRING', 1, 'RAW');
INSERT INTO `etl_sql_column` VALUES (192, 'STRING', 1, 'BFILE');
INSERT INTO `etl_sql_column` VALUES (193, 'STRING', 1, 'ROWID');
INSERT INTO `etl_sql_column` VALUES (194, 'STRING', 1, 'NROWID');
INSERT INTO `etl_sql_column` VALUES (195, 'STRING', 1, 'nvarchar2');
INSERT INTO `etl_sql_column` VALUES (197, 'DOUBLE', 1, 'real');
INSERT INTO `etl_sql_column` VALUES (198, 'LONG', 1, 'long');
INSERT INTO `etl_sql_column` VALUES (199, 'STRING', 1, 'nchar');
INSERT INTO `etl_sql_column` VALUES (200, 'INTEGER', 1, 'integer');
INSERT INTO `etl_sql_column` VALUES (201, 'DECIMAL', 1, 'decimal');
INSERT INTO `etl_sql_column` VALUES (202, 'STRING', 1, 'UROWID');
INSERT INTO `etl_sql_column` VALUES (203, 'STRING', 0, 'LONGBLOB');
INSERT INTO `etl_sql_column` VALUES (204, 'INTEGER', 0, 'INT UNSIGNED');
INSERT INTO `etl_sql_column` VALUES (210, 'INTEGER', 0, 'INT');
INSERT INTO `etl_sql_column` VALUES (213, 'STRING', 0, 'MEDIUMTEXT');
COMMIT;

-- ----------------------------
-- Table structure for flw_channel_definition
-- ----------------------------
DROP TABLE IF EXISTS `flw_channel_definition`;
CREATE TABLE `flw_channel_definition` (
  `ID_` varchar(255) NOT NULL,
  `NAME_` varchar(255) DEFAULT NULL,
  `VERSION_` int DEFAULT NULL,
  `KEY_` varchar(255) DEFAULT NULL,
  `CATEGORY_` varchar(255) DEFAULT NULL,
  `DEPLOYMENT_ID_` varchar(255) DEFAULT NULL,
  `CREATE_TIME_` datetime(3) DEFAULT NULL,
  `TENANT_ID_` varchar(255) DEFAULT NULL,
  `RESOURCE_NAME_` varchar(255) DEFAULT NULL,
  `DESCRIPTION_` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ID_`),
  UNIQUE KEY `ACT_IDX_CHANNEL_DEF_UNIQ` (`KEY_`,`VERSION_`,`TENANT_ID_`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

-- ----------------------------
-- Records of flw_channel_definition
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for flw_ev_databasechangelog
-- ----------------------------
DROP TABLE IF EXISTS `flw_ev_databasechangelog`;
CREATE TABLE `flw_ev_databasechangelog` (
  `ID` varchar(255) NOT NULL,
  `AUTHOR` varchar(255) NOT NULL,
  `FILENAME` varchar(255) NOT NULL,
  `DATEEXECUTED` datetime NOT NULL,
  `ORDEREXECUTED` int NOT NULL,
  `EXECTYPE` varchar(10) NOT NULL,
  `MD5SUM` varchar(35) DEFAULT NULL,
  `DESCRIPTION` varchar(255) DEFAULT NULL,
  `COMMENTS` varchar(255) DEFAULT NULL,
  `TAG` varchar(255) DEFAULT NULL,
  `LIQUIBASE` varchar(20) DEFAULT NULL,
  `CONTEXTS` varchar(255) DEFAULT NULL,
  `LABELS` varchar(255) DEFAULT NULL,
  `DEPLOYMENT_ID` varchar(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

-- ----------------------------
-- Records of flw_ev_databasechangelog
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for flw_ev_databasechangeloglock
-- ----------------------------
DROP TABLE IF EXISTS `flw_ev_databasechangeloglock`;
CREATE TABLE `flw_ev_databasechangeloglock` (
  `ID` int NOT NULL,
  `LOCKED` bit(1) NOT NULL,
  `LOCKGRANTED` datetime DEFAULT NULL,
  `LOCKEDBY` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

-- ----------------------------
-- Records of flw_ev_databasechangeloglock
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for flw_event_definition
-- ----------------------------
DROP TABLE IF EXISTS `flw_event_definition`;
CREATE TABLE `flw_event_definition` (
  `ID_` varchar(255) NOT NULL,
  `NAME_` varchar(255) DEFAULT NULL,
  `VERSION_` int DEFAULT NULL,
  `KEY_` varchar(255) DEFAULT NULL,
  `CATEGORY_` varchar(255) DEFAULT NULL,
  `DEPLOYMENT_ID_` varchar(255) DEFAULT NULL,
  `TENANT_ID_` varchar(255) DEFAULT NULL,
  `RESOURCE_NAME_` varchar(255) DEFAULT NULL,
  `DESCRIPTION_` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ID_`),
  UNIQUE KEY `ACT_IDX_EVENT_DEF_UNIQ` (`KEY_`,`VERSION_`,`TENANT_ID_`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

-- ----------------------------
-- Records of flw_event_definition
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for flw_event_deployment
-- ----------------------------
DROP TABLE IF EXISTS `flw_event_deployment`;
CREATE TABLE `flw_event_deployment` (
  `ID_` varchar(255) NOT NULL,
  `NAME_` varchar(255) DEFAULT NULL,
  `CATEGORY_` varchar(255) DEFAULT NULL,
  `DEPLOY_TIME_` datetime(3) DEFAULT NULL,
  `TENANT_ID_` varchar(255) DEFAULT NULL,
  `PARENT_DEPLOYMENT_ID_` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ID_`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

-- ----------------------------
-- Records of flw_event_deployment
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for flw_event_resource
-- ----------------------------
DROP TABLE IF EXISTS `flw_event_resource`;
CREATE TABLE `flw_event_resource` (
  `ID_` varchar(255) NOT NULL,
  `NAME_` varchar(255) DEFAULT NULL,
  `DEPLOYMENT_ID_` varchar(255) DEFAULT NULL,
  `RESOURCE_BYTES_` longblob,
  PRIMARY KEY (`ID_`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

-- ----------------------------
-- Records of flw_event_resource
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for flw_ru_batch
-- ----------------------------
DROP TABLE IF EXISTS `flw_ru_batch`;
CREATE TABLE `flw_ru_batch` (
  `ID_` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL,
  `REV_` int DEFAULT NULL,
  `TYPE_` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL,
  `SEARCH_KEY_` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `SEARCH_KEY2_` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `CREATE_TIME_` datetime(3) NOT NULL,
  `COMPLETE_TIME_` datetime(3) DEFAULT NULL,
  `STATUS_` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `BATCH_DOC_ID_` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `TENANT_ID_` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT '',
  PRIMARY KEY (`ID_`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_bin;

-- ----------------------------
-- Records of flw_ru_batch
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for flw_ru_batch_part
-- ----------------------------
DROP TABLE IF EXISTS `flw_ru_batch_part`;
CREATE TABLE `flw_ru_batch_part` (
  `ID_` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL,
  `REV_` int DEFAULT NULL,
  `BATCH_ID_` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `TYPE_` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL,
  `SCOPE_ID_` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `SUB_SCOPE_ID_` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `SCOPE_TYPE_` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `SEARCH_KEY_` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `SEARCH_KEY2_` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `CREATE_TIME_` datetime(3) NOT NULL,
  `COMPLETE_TIME_` datetime(3) DEFAULT NULL,
  `STATUS_` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `RESULT_DOC_ID_` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT NULL,
  `TENANT_ID_` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin DEFAULT '',
  PRIMARY KEY (`ID_`),
  KEY `FLW_IDX_BATCH_PART` (`BATCH_ID_`),
  CONSTRAINT `FLW_FK_BATCH_PART_PARENT` FOREIGN KEY (`BATCH_ID_`) REFERENCES `flw_ru_batch` (`ID_`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_bin;

-- ----------------------------
-- Records of flw_ru_batch_part
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for foreign_white_list
-- ----------------------------
DROP TABLE IF EXISTS `foreign_white_list`;
CREATE TABLE `foreign_white_list` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `ip_address` varchar(100) NOT NULL COMMENT 'ip地址',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of foreign_white_list
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for headquarters_conference_record
-- ----------------------------
DROP TABLE IF EXISTS `headquarters_conference_record`;
CREATE TABLE `headquarters_conference_record` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `conference_time` date DEFAULT NULL COMMENT '会议时间',
  `week` varchar(20) DEFAULT NULL COMMENT '星期',
  `content` varchar(2000) DEFAULT NULL COMMENT '会议内容',
  `remark` varchar(50) DEFAULT NULL COMMENT '备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='会议记录表';

-- ----------------------------
-- Records of headquarters_conference_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for history_report_folder
-- ----------------------------
DROP TABLE IF EXISTS `history_report_folder`;
CREATE TABLE `history_report_folder` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `sort_order` int NOT NULL DEFAULT '0' COMMENT '显示排序',
  `folder_name` varchar(50) NOT NULL COMMENT '文件夹名称',
  `user_id` bigint NOT NULL DEFAULT '0' COMMENT '用户id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of history_report_folder
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for history_report_info
-- ----------------------------
DROP TABLE IF EXISTS `history_report_info`;
CREATE TABLE `history_report_info` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `folder_id` int NOT NULL COMMENT '文件夹id',
  `report_month` varchar(50) DEFAULT NULL COMMENT '月份',
  `report_title` varchar(50) DEFAULT NULL COMMENT '报告名称',
  `background_url` varchar(300) DEFAULT NULL COMMENT '背景图url',
  `sort_order` int DEFAULT '0' COMMENT '显示排序',
  `is_deleted` int DEFAULT '0',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of history_report_info
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for login_record
-- ----------------------------
DROP TABLE IF EXISTS `login_record`;
CREATE TABLE `login_record` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `login_ip` varchar(100) DEFAULT NULL COMMENT '登录ip',
  `login_address` varchar(100) DEFAULT NULL COMMENT '登录地址',
  `login_time` datetime DEFAULT NULL COMMENT '登录时间',
  `login_user` varchar(100) DEFAULT NULL COMMENT '登录账号',
  `login_type` int DEFAULT NULL COMMENT '登录类型  1 账号密码登录 2 小程序登录 3 人脸登录',
  `user_id` bigint DEFAULT NULL COMMENT '账号id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户 id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of login_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for micro_app
-- ----------------------------
DROP TABLE IF EXISTS `micro_app`;
CREATE TABLE `micro_app` (
  `app_id` int NOT NULL AUTO_INCREMENT,
  `app_name` varchar(50) NOT NULL COMMENT '应用名称',
  `app_icon` varchar(200) DEFAULT NULL COMMENT '应用图标',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公共状态(0-否/1-是)',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `publish_status` tinyint NOT NULL DEFAULT '0' COMMENT '发布状态',
  `app_description` varchar(500) DEFAULT NULL COMMENT '应用描述',
  `menu_show_type` varchar(50) DEFAULT NULL COMMENT '菜单展现形式',
  `menu_color` varchar(20) DEFAULT NULL COMMENT '菜单颜色',
  `water_mark_text` varchar(500) DEFAULT NULL COMMENT '水印文字',
  `water_mark_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否显示水印(1-是/0-否)',
  `ext_json` text COMMENT '扩展字段',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`app_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='应用表';

-- ----------------------------
-- Records of micro_app
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for micro_app_data_permission
-- ----------------------------
DROP TABLE IF EXISTS `micro_app_data_permission`;
CREATE TABLE `micro_app_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `app_id` int NOT NULL COMMENT '应用ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='微应用权限组';

-- ----------------------------
-- Records of micro_app_data_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for micro_app_menu
-- ----------------------------
DROP TABLE IF EXISTS `micro_app_menu`;
CREATE TABLE `micro_app_menu` (
  `menu_id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `app_id` int NOT NULL COMMENT '应用ID',
  `menu_name` varchar(50) NOT NULL COMMENT '菜单名称',
  `menu_icon` varchar(200) DEFAULT NULL COMMENT '菜单图标',
  `visual_id` int DEFAULT NULL COMMENT '关联显示大屏ID',
  `visual_name` varchar(100) DEFAULT NULL COMMENT '大屏名称',
  `home_page_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否首页显示(0-否/1-是)',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`menu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='应用菜单表';

-- ----------------------------
-- Records of micro_app_menu
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for micro_app_role
-- ----------------------------
DROP TABLE IF EXISTS `micro_app_role`;
CREATE TABLE `micro_app_role` (
  `app_role_id` int NOT NULL AUTO_INCREMENT,
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `app_id` int NOT NULL COMMENT '应用ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`app_role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='应用角色关联表';

-- ----------------------------
-- Records of micro_app_role
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for micro_app_shortcut_menu
-- ----------------------------
DROP TABLE IF EXISTS `micro_app_shortcut_menu`;
CREATE TABLE `micro_app_shortcut_menu` (
  `id` int NOT NULL AUTO_INCREMENT,
  `menu_name` varchar(50) NOT NULL COMMENT '菜单名称',
  `menu_icon` text NOT NULL COMMENT '菜单图标',
  `menu_url` text NOT NULL COMMENT '菜单路径',
  `menu_order` int NOT NULL DEFAULT '1' COMMENT '菜单排名',
  `create_user` varchar(20) NOT NULL COMMENT '创建人名称',
  `create_user_id` bigint NOT NULL COMMENT '创建人id',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='小程序快捷菜单';

-- ----------------------------
-- Records of micro_app_shortcut_menu
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for oauth_client_details
-- ----------------------------
DROP TABLE IF EXISTS `oauth_client_details`;
CREATE TABLE `oauth_client_details` (
  `client_id` varchar(48) NOT NULL,
  `resource_ids` varchar(256) DEFAULT NULL,
  `client_secret` varchar(256) DEFAULT NULL,
  `scope` varchar(256) DEFAULT NULL,
  `authorized_grant_types` varchar(256) DEFAULT NULL,
  `web_server_redirect_uri` varchar(256) DEFAULT NULL,
  `authorities` varchar(256) DEFAULT NULL,
  `access_token_validity` int DEFAULT NULL,
  `refresh_token_validity` int DEFAULT NULL,
  `additional_information` varchar(4096) DEFAULT NULL,
  `autoapprove` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`client_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of oauth_client_details
-- ----------------------------
BEGIN;
INSERT INTO `oauth_client_details` VALUES ('admin', NULL, 'e10adc3949ba59abbe56e057f20f883e', 'all', 'password,refresh_token', '', NULL, NULL, NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for product_sub_category
-- ----------------------------
DROP TABLE IF EXISTS `product_sub_category`;
CREATE TABLE `product_sub_category` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `large_type` varchar(200) DEFAULT NULL COMMENT '产品大类名称',
  `small_type` varchar(200) DEFAULT NULL COMMENT '产品小类名称',
  `cpid` varchar(50) DEFAULT NULL COMMENT 'CPID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of product_sub_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for profile_analysis_book
-- ----------------------------
DROP TABLE IF EXISTS `profile_analysis_book`;
CREATE TABLE `profile_analysis_book` (
  `id` int NOT NULL AUTO_INCREMENT,
  `event_type` tinyint NOT NULL COMMENT '事件类型(1-事件分析/2-留存分析/3-漏斗分析/4-分布分析)',
  `aly_name` varchar(100) NOT NULL COMMENT '分析名称',
  `aly_desc` varchar(1000) DEFAULT NULL COMMENT '分析说明',
  `content` longtext NOT NULL COMMENT 'json字符串',
  `share_status` tinyint NOT NULL COMMENT '共享状态(0-独享 1-共享)',
  `default_status` tinyint NOT NULL COMMENT '是否默认(0-否 1-是)',
  `create_user_id` bigint NOT NULL,
  `create_by` varchar(100) NOT NULL COMMENT '创建人',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_by` varchar(100) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='用户画像-行为分析-标签';

-- ----------------------------
-- Records of profile_analysis_book
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for profile_event
-- ----------------------------
DROP TABLE IF EXISTS `profile_event`;
CREATE TABLE `profile_event` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(50) DEFAULT NULL COMMENT '事件名',
  `code` varchar(50) DEFAULT NULL COMMENT '事件code',
  `platform` varchar(50) DEFAULT NULL COMMENT '可埋点平台',
  `desc_message` varchar(50) DEFAULT NULL COMMENT '事件描述',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='事件表';

-- ----------------------------
-- Records of profile_event
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for profile_event_prop_map
-- ----------------------------
DROP TABLE IF EXISTS `profile_event_prop_map`;
CREATE TABLE `profile_event_prop_map` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `event_id` bigint DEFAULT NULL COMMENT '事件ID',
  `prop_id` bigint DEFAULT NULL COMMENT '属性ID',
  `prop_position` varchar(255) DEFAULT NULL COMMENT '事件属性位置',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='事件属性关联表';

-- ----------------------------
-- Records of profile_event_prop_map
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for profile_project
-- ----------------------------
DROP TABLE IF EXISTS `profile_project`;
CREATE TABLE `profile_project` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(50) DEFAULT NULL COMMENT '项目名',
  `proj_code` varchar(500) DEFAULT NULL COMMENT '项目编码',
  `ptype_code` varchar(500) DEFAULT NULL COMMENT '项目类型编码',
  `platform` varchar(50) DEFAULT NULL COMMENT '平台',
  `desc_message` varchar(50) DEFAULT NULL COMMENT '项目描述',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='项目表';

-- ----------------------------
-- Records of profile_project
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for profile_project_event_map
-- ----------------------------
DROP TABLE IF EXISTS `profile_project_event_map`;
CREATE TABLE `profile_project_event_map` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `project_id` bigint DEFAULT NULL COMMENT '项目id',
  `event_id` bigint DEFAULT NULL COMMENT '事件id',
  `level` int DEFAULT NULL COMMENT '无等级 0  其他等级 1-5级',
  `sort` bigint DEFAULT NULL COMMENT '排序',
  `prop_id_json` json DEFAULT NULL COMMENT '属性ID_JSON',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='项目事件关联表';

-- ----------------------------
-- Records of profile_project_event_map
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for profile_prop
-- ----------------------------
DROP TABLE IF EXISTS `profile_prop`;
CREATE TABLE `profile_prop` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(50) DEFAULT NULL COMMENT '属性名',
  `code` varchar(50) DEFAULT NULL COMMENT '属性code',
  `type` int DEFAULT NULL COMMENT '属性类别  事件属性1 用户属性0',
  `datatype` int DEFAULT NULL COMMENT '数据类型 0 数字\n1 字符串\n2 布尔\n3 时间\n',
  `is_preset` int DEFAULT NULL COMMENT '是否预置  0 否 1 是',
  `is_common` int DEFAULT NULL COMMENT '是否公共属性 0 否 1 是',
  `desc_message` varchar(50) DEFAULT NULL COMMENT '属性描述',
  `options` text COMMENT '属性可选值json',
  `distributions` text COMMENT '属性预置区间json',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `dic_table` varchar(50) DEFAULT NULL COMMENT '关联的字典表',
  `join_field` varchar(50) DEFAULT NULL COMMENT 'join的字段名称',
  `target_field` varchar(50) DEFAULT NULL COMMENT '要查询的字段名称',
  `order_field` varchar(255) DEFAULT NULL COMMENT '字典表的排序字段',
  `hidden_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否隐藏(1-是/0-否)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='属性表';

-- ----------------------------
-- Records of profile_prop
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report
-- ----------------------------
DROP TABLE IF EXISTS `report`;
CREATE TABLE `report` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '分期报告的上级报告',
  `title` varchar(50) NOT NULL COMMENT '报表名称',
  `type` int DEFAULT '0' COMMENT '报表类型 0-月报1-周报 2-日报 3-年报 4-季报',
  `status` int DEFAULT '0' COMMENT '报表状态 0-下线 1-发布',
  `sort_order` int DEFAULT '0' COMMENT '显示次序',
  `is_deleted` int DEFAULT '0',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `update_user` bigint DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of report
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_config
-- ----------------------------
DROP TABLE IF EXISTS `report_config`;
CREATE TABLE `report_config` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `user_id` bigint DEFAULT NULL COMMENT '用户id',
  `report_id` bigint DEFAULT NULL COMMENT '报表id',
  `report_name` varchar(50) DEFAULT NULL COMMENT '报表名称',
  `config_type` int DEFAULT NULL COMMENT '配置类型 1-列维度 2-行维度 3-指标',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of report_config
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_config_detail
-- ----------------------------
DROP TABLE IF EXISTS `report_config_detail`;
CREATE TABLE `report_config_detail` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `report_config_id` int DEFAULT NULL COMMENT '配置id',
  `report_dimension_id` int DEFAULT NULL COMMENT '维度id',
  `sort_order` int DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of report_config_detail
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_datasource
-- ----------------------------
DROP TABLE IF EXISTS `report_datasource`;
CREATE TABLE `report_datasource` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `ds_ip` varchar(50) DEFAULT NULL COMMENT 'ip地址',
  `ds_port` int DEFAULT NULL COMMENT '端口',
  `ds_db` varchar(50) DEFAULT NULL COMMENT '数据库名/SID',
  `url` varchar(300) DEFAULT NULL COMMENT '连接url',
  `pool_name` varchar(50) NOT NULL COMMENT '连接名称',
  `driver_class_name` varchar(50) DEFAULT NULL COMMENT 'driverClassName',
  `ds_user` varchar(50) DEFAULT NULL COMMENT '用户名',
  `ds_password` varchar(50) DEFAULT NULL COMMENT '密码',
  `ds_type` int DEFAULT NULL COMMENT '数据源类型 0-mysql 1-oracle 2-sqlserver 3-postgresql 4-clickhouse',
  `is_deleted` int DEFAULT '0',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  `responsible_person_id` bigint DEFAULT NULL COMMENT '责任人ID',
  `responsible_person_name` varchar(50) DEFAULT NULL COMMENT '责任人姓名',
  `db_schema` varchar(255) DEFAULT NULL COMMENT '模式',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_edit` int DEFAULT '1' COMMENT '是否你能够编辑 0：不可以，1：可以',
  PRIMARY KEY (`id`),
  UNIQUE KEY `pool_name` (`pool_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of report_datasource
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_datasource_perm
-- ----------------------------
DROP TABLE IF EXISTS `report_datasource_perm`;
CREATE TABLE `report_datasource_perm` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源ID',
  `view_type` int DEFAULT NULL COMMENT '0 全部可见 1 部门可见',
  `dept_ids` varchar(500) DEFAULT NULL COMMENT '部门ids',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `datasource_id` (`datasource_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据源权限设置表';

-- ----------------------------
-- Records of report_datasource_perm
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_datasource_permission
-- ----------------------------
DROP TABLE IF EXISTS `report_datasource_permission`;
CREATE TABLE `report_datasource_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `table_names` json NOT NULL COMMENT '数据表名JSON数组',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ds_id` (`datasource_id`,`data_perm_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据源权限组';

-- ----------------------------
-- Records of report_datasource_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_datasource_table_perm
-- ----------------------------
DROP TABLE IF EXISTS `report_datasource_table_perm`;
CREATE TABLE `report_datasource_table_perm` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源Id',
  `dept_ids` varchar(200) DEFAULT NULL COMMENT '部门ids',
  `user_id` bigint DEFAULT NULL COMMENT '账号id',
  `table_view_type` int DEFAULT NULL COMMENT '0 全部可见 1 部门账号可见',
  `table_names` text COMMENT '数据源表名',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据表权限设置表';

-- ----------------------------
-- Records of report_datasource_table_perm
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_dimension
-- ----------------------------
DROP TABLE IF EXISTS `report_dimension`;
CREATE TABLE `report_dimension` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `dimension_comments` varchar(200) DEFAULT NULL COMMENT '维度名称',
  `dimension_name` varchar(50) DEFAULT NULL COMMENT '维度字段',
  `dimension_title` varchar(50) DEFAULT NULL COMMENT '显示名称',
  `table_view_name` varchar(50) DEFAULT NULL COMMENT '表视图名称',
  `sql_text` varchar(300) DEFAULT NULL COMMENT 'sql信息',
  `data` varchar(300) DEFAULT NULL COMMENT '附加信息',
  `dimension_type` int DEFAULT '0' COMMENT '0-维度 1-指标',
  `format_type` int DEFAULT NULL COMMENT '格式化类型',
  `datasource_id` int DEFAULT NULL COMMENT '数据源id',
  `having_text` varchar(200) DEFAULT NULL COMMENT 'having信息',
  `order_index` int DEFAULT '0' COMMENT '排序',
  `is_deleted` int DEFAULT '0' COMMENT '是否删除',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of report_dimension
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_index_category
-- ----------------------------
DROP TABLE IF EXISTS `report_index_category`;
CREATE TABLE `report_index_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `order_index` int DEFAULT '0' COMMENT '排序值，从小到大排',
  `category_name` varchar(50) NOT NULL COMMENT '指标分类名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of report_index_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_index_info
-- ----------------------------
DROP TABLE IF EXISTS `report_index_info`;
CREATE TABLE `report_index_info` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `category_id` int DEFAULT NULL COMMENT '分类id',
  `order_index` int DEFAULT '0' COMMENT '排序值，从小到大排',
  `table_name` varchar(50) DEFAULT NULL COMMENT '表名',
  `table_comment` varchar(50) DEFAULT NULL COMMENT '表注释',
  `data` text COMMENT '指标数据',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of report_index_info
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_role
-- ----------------------------
DROP TABLE IF EXISTS `report_role`;
CREATE TABLE `report_role` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `report_id` int NOT NULL DEFAULT '0' COMMENT '报表id',
  `role_id` bigint DEFAULT NULL COMMENT '角色id',
  `type` int DEFAULT '0' COMMENT '权限类型 1-查看 2-编辑',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of report_role
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_table_category
-- ----------------------------
DROP TABLE IF EXISTS `report_table_category`;
CREATE TABLE `report_table_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `order_index` int DEFAULT '0' COMMENT '排序值，从小到大排',
  `datasource_id` int DEFAULT '0' COMMENT '数据源id',
  `category_name` varchar(50) NOT NULL COMMENT '指标分类名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of report_table_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for report_table_category_relation
-- ----------------------------
DROP TABLE IF EXISTS `report_table_category_relation`;
CREATE TABLE `report_table_category_relation` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `order_index` int NOT NULL DEFAULT '0' COMMENT '排序值，从小到大排',
  `category_id` int NOT NULL DEFAULT '0' COMMENT '分类id',
  `table_view_name` varchar(50) NOT NULL COMMENT '视图表名称',
  `table_comments` varchar(50) NOT NULL COMMENT '表中文名',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of report_table_category_relation
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for reset_serialnumber
-- ----------------------------
DROP TABLE IF EXISTS `reset_serialnumber`;
CREATE TABLE `reset_serialnumber` (
  `id` int NOT NULL,
  `model_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '模型 id',
  `reset_cycle` int NOT NULL COMMENT '重置周期 0 不重置 1年2月3日4分\n',
  `start_value` bigint NOT NULL COMMENT '从几开始',
  `count` bigint NOT NULL DEFAULT '0' COMMENT '当前计数',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of reset_serialnumber
-- ----------------------------
BEGIN;
INSERT INTO `reset_serialnumber` VALUES (-1937739774, '70f78ca8b4254f6e9e8ae5a227a8b957', 1, 1, 1, '2024-02-01 14:37:34', 1700312596338515970);
INSERT INTO `reset_serialnumber` VALUES (-1593806847, '7658ca25d392462dddb07890c722b624', 0, 1, 18, '2024-02-06 15:27:02', 1726488499619700738);
INSERT INTO `reset_serialnumber` VALUES (-1358925823, 'c6cd0ee6a4304857093c7c0f515cffa1', 3, 1, 1, '2024-02-07 12:18:49', 1726488499619700738);
INSERT INTO `reset_serialnumber` VALUES (-1103073279, 'd325e59dd1594aba56bde4282d9cd566', 0, 1, 30, '2024-02-06 11:34:00', 1726488499619700738);
INSERT INTO `reset_serialnumber` VALUES (-935301119, 'b5afc05093b048a7da7a3c4c03c7bd3a', 0, 1, 2, '2024-02-06 10:11:14', 1726488499619700738);
INSERT INTO `reset_serialnumber` VALUES (-931012606, 'dd535b6d981940a2c1c047e59ad53e84', 0, 1, 34, '2024-02-01 11:12:28', -1);
INSERT INTO `reset_serialnumber` VALUES (-763334654, '2686f4e263bf4d5ef925a96411393ab9', 0, 1, 3, '2024-02-06 15:23:29', 1726488499619700738);
INSERT INTO `reset_serialnumber` VALUES (-486510590, 'c4d72a8472eb4805ba22474f98cdad20', 0, 1, 6, '2024-02-06 16:46:16', 1726488499619700738);
INSERT INTO `reset_serialnumber` VALUES (-335515646, '93a9019c15c14090e5874dc295b78e61', 0, 1, 433, '2024-02-05 11:13:23', 1738434519174828033);
INSERT INTO `reset_serialnumber` VALUES (123, '123', 2, 5, 5, '2024-01-30 12:48:21', NULL);
INSERT INTO `reset_serialnumber` VALUES (1698721793, '061663dde5764a542f6106e496538eda', 0, 1, 20, '2024-02-06 11:29:08', 1726488499619700738);
INSERT INTO `reset_serialnumber` VALUES (1816162306, '89da3fb19ceb4dbf247bff0d40db23f8', 1, 1, 36, '2024-02-06 11:02:05', 1726488499619700738);
INSERT INTO `reset_serialnumber` VALUES (1862299650, 'df61b18ded224b266eb78572060cc539', 4, 1, 1, '2024-02-05 12:04:07', 1738434519174828033);
COMMIT;

-- ----------------------------
-- Table structure for sql_backup_record
-- ----------------------------
DROP TABLE IF EXISTS `sql_backup_record`;
CREATE TABLE `sql_backup_record` (
  `id` int NOT NULL AUTO_INCREMENT,
  `file_name` varchar(50) NOT NULL COMMENT '文件名称',
  `file_path` varchar(100) NOT NULL COMMENT '文件备份位置',
  `file_size` bigint DEFAULT NULL COMMENT '文件大小',
  `backup_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '备份时间',
  `data_source` int NOT NULL DEFAULT '0' COMMENT '文件来源',
  `remarks` varchar(500) DEFAULT '手动备份' COMMENT '备注',
  `tenant_id` varchar(10) DEFAULT NULL COMMENT '租户id',
  `restore_status` int DEFAULT '0' COMMENT '恢复状态',
  `restore_time` datetime DEFAULT NULL COMMENT '恢复时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='sql备份上传记录表';

-- ----------------------------
-- Records of sql_backup_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for sql_job
-- ----------------------------
DROP TABLE IF EXISTS `sql_job`;
CREATE TABLE `sql_job` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `category_id` int NOT NULL COMMENT '分类ID',
  `job_name` varchar(100) NOT NULL COMMENT '任务名称',
  `job_desc` varchar(500) DEFAULT NULL COMMENT '任务描述',
  `job_status` tinyint NOT NULL COMMENT '上线状态',
  `trigger_status` tinyint NOT NULL DEFAULT '0' COMMENT '调度状态',
  `job_cron` varchar(100) DEFAULT NULL COMMENT 'xxljob的任务Cron',
  `xxl_job_id` int DEFAULT NULL COMMENT 'xxljob的任务ID',
  `ds_id` int NOT NULL COMMENT '数据源ID',
  `ds_type` tinyint DEFAULT NULL COMMENT '数据源类型',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公开状态(0-不公开/1-公开)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_user_id` bigint DEFAULT NULL COMMENT '更新人ID',
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务';

-- ----------------------------
-- Records of sql_job
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for sql_job_category
-- ----------------------------
DROP TABLE IF EXISTS `sql_job_category`;
CREATE TABLE `sql_job_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `cate_name` varchar(50) NOT NULL COMMENT '分类名称',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务分类';

-- ----------------------------
-- Records of sql_job_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for sql_job_instance
-- ----------------------------
DROP TABLE IF EXISTS `sql_job_instance`;
CREATE TABLE `sql_job_instance` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `job_script_id` int NOT NULL COMMENT '任务脚本ID',
  `start_time` datetime DEFAULT NULL COMMENT '作业开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '作业结束时间',
  `instance_run_type` tinyint NOT NULL COMMENT '作业运行类型(手动 自动)',
  `instance_status` tinyint NOT NULL COMMENT '作业状态',
  `err_msg` longtext COMMENT '错误描述',
  `create_time` datetime NOT NULL COMMENT '任务创建时间',
  `job_script_sort_num` int NOT NULL DEFAULT '0' COMMENT '任务脚本执行顺序号',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `instance_status` (`instance_status`),
  KEY `job_id` (`job_id`)
) ENGINE=InnoDB AUTO_INCREMENT=226 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务实例';

-- ----------------------------
-- Records of sql_job_instance
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for sql_job_permission
-- ----------------------------
DROP TABLE IF EXISTS `sql_job_permission`;
CREATE TABLE `sql_job_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务权限组';

-- ----------------------------
-- Records of sql_job_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for sql_job_script
-- ----------------------------
DROP TABLE IF EXISTS `sql_job_script`;
CREATE TABLE `sql_job_script` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `sql_script` text NOT NULL COMMENT 'SQL脚本内容',
  `sql_script_name` varchar(200) DEFAULT NULL COMMENT 'SQL脚本名称',
  `sql_script_comment` varchar(500) DEFAULT NULL COMMENT 'SQL脚本注释说明',
  `sql_script_type` tinyint DEFAULT NULL COMMENT 'SQL脚本类型',
  `sql_sort_num` int NOT NULL COMMENT 'SQL脚本执行顺序',
  `create_time` datetime NOT NULL COMMENT '任务创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `job_id` (`job_id`)
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务脚本';

-- ----------------------------
-- Records of sql_job_script
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for sys_package
-- ----------------------------
DROP TABLE IF EXISTS `sys_package`;
CREATE TABLE `sys_package` (
  `id` int NOT NULL AUTO_INCREMENT,
  `package_name` varchar(100) NOT NULL COMMENT '套餐名称',
  `remark` varchar(500) DEFAULT NULL COMMENT '套餐说明',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='套餐表';

-- ----------------------------
-- Records of sys_package
-- ----------------------------
BEGIN;
INSERT INTO `sys_package` VALUES (1, '默认套餐', '', '2024-03-07 00:57:03', 1, 0);
COMMIT;

-- ----------------------------
-- Table structure for sys_package_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_package_menu`;
CREATE TABLE `sys_package_menu` (
  `id` int NOT NULL AUTO_INCREMENT,
  `package_id` int NOT NULL COMMENT '套餐ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`id`),
  KEY `package_id` (`package_id`,`menu_id`)
) ENGINE=InnoDB AUTO_INCREMENT=88 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='套餐菜单关联表';

-- ----------------------------
-- Records of sys_package_menu
-- ----------------------------
BEGIN;
INSERT INTO `sys_package_menu` VALUES (1, 1, 1123598815738675203);
INSERT INTO `sys_package_menu` VALUES (2, 1, 1123598815738675204);
INSERT INTO `sys_package_menu` VALUES (9, 1, 1123598815738675205);
INSERT INTO `sys_package_menu` VALUES (14, 1, 1123598815738675207);
INSERT INTO `sys_package_menu` VALUES (19, 1, 1123598815738675209);
INSERT INTO `sys_package_menu` VALUES (27, 1, 1123598815738675213);
INSERT INTO `sys_package_menu` VALUES (28, 1, 1123598815738675214);
INSERT INTO `sys_package_menu` VALUES (30, 1, 1123598815738675215);
INSERT INTO `sys_package_menu` VALUES (32, 1, 1123598815738675216);
INSERT INTO `sys_package_menu` VALUES (3, 1, 1123598815738675223);
INSERT INTO `sys_package_menu` VALUES (4, 1, 1123598815738675224);
INSERT INTO `sys_package_menu` VALUES (5, 1, 1123598815738675225);
INSERT INTO `sys_package_menu` VALUES (6, 1, 1123598815738675226);
INSERT INTO `sys_package_menu` VALUES (7, 1, 1123598815738675227);
INSERT INTO `sys_package_menu` VALUES (8, 1, 1123598815738675228);
INSERT INTO `sys_package_menu` VALUES (10, 1, 1123598815738675229);
INSERT INTO `sys_package_menu` VALUES (11, 1, 1123598815738675230);
INSERT INTO `sys_package_menu` VALUES (12, 1, 1123598815738675231);
INSERT INTO `sys_package_menu` VALUES (13, 1, 1123598815738675232);
INSERT INTO `sys_package_menu` VALUES (15, 1, 1123598815738675237);
INSERT INTO `sys_package_menu` VALUES (16, 1, 1123598815738675238);
INSERT INTO `sys_package_menu` VALUES (17, 1, 1123598815738675239);
INSERT INTO `sys_package_menu` VALUES (18, 1, 1123598815738675240);
INSERT INTO `sys_package_menu` VALUES (36, 1, 1123598815738675241);
INSERT INTO `sys_package_menu` VALUES (37, 1, 1123598815738675242);
INSERT INTO `sys_package_menu` VALUES (38, 1, 1123598815738675243);
INSERT INTO `sys_package_menu` VALUES (39, 1, 1123598815738675244);
INSERT INTO `sys_package_menu` VALUES (29, 1, 1123598815738675249);
INSERT INTO `sys_package_menu` VALUES (31, 1, 1123598815738675250);
INSERT INTO `sys_package_menu` VALUES (33, 1, 1123598815738675251);
INSERT INTO `sys_package_menu` VALUES (34, 1, 1123598815738675307);
INSERT INTO `sys_package_menu` VALUES (35, 1, 1123598815738675308);
INSERT INTO `sys_package_menu` VALUES (57, 1, 1161272593873321991);
INSERT INTO `sys_package_menu` VALUES (58, 1, 1161272593873321992);
INSERT INTO `sys_package_menu` VALUES (59, 1, 1161272593873321993);
INSERT INTO `sys_package_menu` VALUES (60, 1, 1161272593873321994);
INSERT INTO `sys_package_menu` VALUES (61, 1, 1161272593873321995);
INSERT INTO `sys_package_menu` VALUES (20, 1, 1164733389658962251);
INSERT INTO `sys_package_menu` VALUES (21, 1, 1164733389658962252);
INSERT INTO `sys_package_menu` VALUES (22, 1, 1164733389658962253);
INSERT INTO `sys_package_menu` VALUES (23, 1, 1164733389658962254);
INSERT INTO `sys_package_menu` VALUES (24, 1, 1164733389658962255);
INSERT INTO `sys_package_menu` VALUES (25, 1, 1164733389658962256);
INSERT INTO `sys_package_menu` VALUES (41, 1, 1164733389668962251);
INSERT INTO `sys_package_menu` VALUES (42, 1, 1164733389668962252);
INSERT INTO `sys_package_menu` VALUES (43, 1, 1164733389668962253);
INSERT INTO `sys_package_menu` VALUES (44, 1, 1164733389668962254);
INSERT INTO `sys_package_menu` VALUES (45, 1, 1164733389668962255);
INSERT INTO `sys_package_menu` VALUES (62, 1, 1367669015094308865);
INSERT INTO `sys_package_menu` VALUES (63, 1, 1467678087986257921);
INSERT INTO `sys_package_menu` VALUES (77, 1, 1467681760623697921);
INSERT INTO `sys_package_menu` VALUES (78, 1, 1501471635629920258);
INSERT INTO `sys_package_menu` VALUES (50, 1, 1506104732795191298);
INSERT INTO `sys_package_menu` VALUES (51, 1, 1506105715373817857);
INSERT INTO `sys_package_menu` VALUES (52, 1, 1506105897238839297);
INSERT INTO `sys_package_menu` VALUES (40, 1, 1544607807797161986);
INSERT INTO `sys_package_menu` VALUES (64, 1, 1554418372912480258);
INSERT INTO `sys_package_menu` VALUES (65, 1, 1557612821155127297);
INSERT INTO `sys_package_menu` VALUES (46, 1, 1582611460944187394);
INSERT INTO `sys_package_menu` VALUES (53, 1, 1584570735518212097);
INSERT INTO `sys_package_menu` VALUES (79, 1, 1584973052717547522);
INSERT INTO `sys_package_menu` VALUES (80, 1, 1585953641910206466);
INSERT INTO `sys_package_menu` VALUES (81, 1, 1585953975894245377);
INSERT INTO `sys_package_menu` VALUES (83, 1, 1587363154609532930);
INSERT INTO `sys_package_menu` VALUES (26, 1, 1589512651703767042);
INSERT INTO `sys_package_menu` VALUES (82, 1, 1597077352725745666);
INSERT INTO `sys_package_menu` VALUES (54, 1, 1600405207606059010);
INSERT INTO `sys_package_menu` VALUES (84, 1, 1607568290728321026);
INSERT INTO `sys_package_menu` VALUES (55, 1, 1607615579387797505);
INSERT INTO `sys_package_menu` VALUES (87, 1, 1619156606935465985);
INSERT INTO `sys_package_menu` VALUES (76, 1, 1619159462254051330);
INSERT INTO `sys_package_menu` VALUES (85, 1, 1619214858069966849);
INSERT INTO `sys_package_menu` VALUES (86, 1, 1619215151222456321);
INSERT INTO `sys_package_menu` VALUES (66, 1, 1619215847942488065);
INSERT INTO `sys_package_menu` VALUES (56, 1, 1624402915081576449);
INSERT INTO `sys_package_menu` VALUES (69, 1, 1627854531784859649);
INSERT INTO `sys_package_menu` VALUES (47, 1, 1630116849440702466);
INSERT INTO `sys_package_menu` VALUES (48, 1, 1630117165196296193);
INSERT INTO `sys_package_menu` VALUES (49, 1, 1642125129009422337);
INSERT INTO `sys_package_menu` VALUES (67, 1, 1689465690065170434);
INSERT INTO `sys_package_menu` VALUES (68, 1, 1689466226315325441);
INSERT INTO `sys_package_menu` VALUES (70, 1, 1714193048967127041);
INSERT INTO `sys_package_menu` VALUES (71, 1, 1714193193972604929);
INSERT INTO `sys_package_menu` VALUES (72, 1, 1714193309215301633);
INSERT INTO `sys_package_menu` VALUES (73, 1, 1734067670720049153);
INSERT INTO `sys_package_menu` VALUES (74, 1, 1734067994608398338);
INSERT INTO `sys_package_menu` VALUES (75, 1, 1734068192759902209);
COMMIT;

-- ----------------------------
-- Table structure for sys_tenant
-- ----------------------------
DROP TABLE IF EXISTS `sys_tenant`;
CREATE TABLE `sys_tenant` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `tenant_name` varchar(50) NOT NULL COMMENT '租户名称',
  `domain` varchar(255) DEFAULT NULL COMMENT '域名地址',
  `background_url` varchar(1000) DEFAULT NULL COMMENT '系统背景',
  `linkman` varchar(20) DEFAULT NULL COMMENT '联系人',
  `contact_number` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `address` varchar(255) DEFAULT NULL COMMENT '联系地址',
  `account_number` int DEFAULT '-1' COMMENT '账号额度',
  `expire_time` datetime DEFAULT NULL COMMENT '过期时间',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `client_manager` varchar(100) DEFAULT NULL COMMENT '客户经理',
  `package_id` varchar(1000) DEFAULT NULL COMMENT '套餐ID',
  `admin_id` bigint NOT NULL COMMENT '管理员id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1764966777935187970 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='租户信息表';

-- ----------------------------
-- Records of sys_tenant
-- ----------------------------
BEGIN;
INSERT INTO `sys_tenant` VALUES (1123598820738675201, '000000', '管理组', NULL, NULL, 'admin', '666666', '管理组', -1, '2024-07-06 00:00:00', 1123598821738675201, 1123598813738675201, '2019-01-01 00:00:39', 1123598821738675201, '2023-07-20 14:12:33', 1, 0, 'admin', '2', 1123598821738675201);
COMMIT;

-- ----------------------------
-- Table structure for sys_tenant_package
-- ----------------------------
DROP TABLE IF EXISTS `sys_tenant_package`;
CREATE TABLE `sys_tenant_package` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `package_id` int NOT NULL COMMENT '套餐ID',
  PRIMARY KEY (`id`),
  KEY `package_id` (`package_id`,`tenant_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='租户套餐关联表';

-- ----------------------------
-- Records of sys_tenant_package
-- ----------------------------
BEGIN;
INSERT INTO `sys_tenant_package` VALUES (1, '000000', 1);
COMMIT;

-- ----------------------------
-- Table structure for tag_record
-- ----------------------------
DROP TABLE IF EXISTS `tag_record`;
CREATE TABLE `tag_record` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `remote_name` varchar(50) DEFAULT NULL COMMENT '操作人姓名',
  `remote_account` varchar(50) DEFAULT NULL COMMENT '操作账号',
  `tag_user_id` bigint DEFAULT NULL COMMENT '标识账号id',
  `remark` varchar(50) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of tag_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for third_bind_count_record
-- ----------------------------
DROP TABLE IF EXISTS `third_bind_count_record`;
CREATE TABLE `third_bind_count_record` (
  `id` int NOT NULL AUTO_INCREMENT,
  `wechat_open_id` varchar(64) DEFAULT NULL COMMENT '微信openId',
  `qy_wechat_code` varchar(64) DEFAULT NULL COMMENT '企业微信code',
  `ding_open_id` varchar(64) DEFAULT NULL COMMENT '钉钉openId',
  `fei_shu_open_id` varchar(64) DEFAULT NULL COMMENT '飞书openId',
  `micro_app_openId` varchar(64) DEFAULT NULL COMMENT '小程序openId',
  `micro_app_unionid` varchar(64) DEFAULT NULL COMMENT '小程序unionid',
  `micro_app_phone` varchar(11) DEFAULT NULL COMMENT '小程序绑定的手机号',
  `user_id` bigint NOT NULL COMMENT '绑定人员id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户 id',
  `public_account_open_id` varchar(50) DEFAULT NULL COMMENT '公众号openid',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='三方登录绑定账号记录表';

-- ----------------------------
-- Records of third_bind_count_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for third_login_conf
-- ----------------------------
DROP TABLE IF EXISTS `third_login_conf`;
CREATE TABLE `third_login_conf` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(20) DEFAULT NULL COMMENT '租户id',
  `login_conf` text NOT NULL COMMENT '登录配置',
  `login_type` varchar(20) NOT NULL COMMENT '三方登录类型',
  `status` int NOT NULL DEFAULT '1' COMMENT '配置是否可用(0：不可用，1: 可用)',
  `create_user` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人id',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `name` varchar(50) DEFAULT NULL COMMENT '配置名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=123 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='三方登录配置表';

-- ----------------------------
-- Records of third_login_conf
-- ----------------------------
BEGIN;
INSERT INTO `third_login_conf` VALUES (5, '111111', '{\"clientId\":\"公众号 key\",\"clientSecret\":\" 公众号 Secret\"}', 'publicAccount', 1, '管理员', 1123598821738675201, '2023-07-18 16:32:31', '2023-09-15 15:01:00', 'BI公众号');
INSERT INTO `third_login_conf` VALUES (8, '111111', '{\"apiKey\":\"apiKey\",\"secretKey\":\"secretKey\",\"accUrl\":\"accUrl\",\"groupId\":\"groupId\"}', 'face', 1, '管理员', 1123598821738675201, '2023-08-04 15:59:34', '2023-09-15 15:01:26', '百度人脸识别配置');
COMMIT;

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) NOT NULL,
  `context` varchar(128) NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime DEFAULT NULL,
  `log_modified` datetime DEFAULT NULL,
  `ext` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `ux_undo_log` (`xid`,`branch_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of undo_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for upgrade_project
-- ----------------------------
DROP TABLE IF EXISTS `upgrade_project`;
CREATE TABLE `upgrade_project` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_model` varchar(20) DEFAULT NULL COMMENT '后端项目模块（gmetry-xxljob/gmetry-bi/gmetry-system/gmetry-lowcode/gmetry-pdf）',
  `project_type` int NOT NULL COMMENT '项目类型（0：前端，1：后端）',
  `env_name` varchar(20) DEFAULT NULL COMMENT '.env文件需要修改的模块名称（bi_version/pdf_version/xxljob_version/system_version/lowcode_version）',
  `project_version` varchar(20) DEFAULT NULL COMMENT '项目版本号，修改.env文件需要用到',
  `upgrade_log` text NOT NULL COMMENT '升级日志',
  `result_msg` text COMMENT '部署服务器返回的信息',
  `upgrade_result` int NOT NULL DEFAULT '0' COMMENT '升级结果 0：成功，1：失败',
  `operation_user_id` bigint NOT NULL COMMENT '操作人员id',
  `operation_user_name` varchar(50) DEFAULT NULL COMMENT '操作人员名称',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `old_version` varchar(20) DEFAULT NULL COMMENT '项目旧的版本号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='项目升级日志记录';

-- ----------------------------
-- Records of upgrade_project
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for upgrade_project_sql
-- ----------------------------
DROP TABLE IF EXISTS `upgrade_project_sql`;
CREATE TABLE `upgrade_project_sql` (
  `id` int NOT NULL AUTO_INCREMENT,
  `database_name` varchar(20) DEFAULT NULL COMMENT '修改的数据库名称',
  `upgrade_log` text NOT NULL COMMENT '升级日志',
  `result_msg` text COMMENT '部署服务器返回的信息',
  `upgrade_result` int NOT NULL DEFAULT '0' COMMENT '升级结果 1：成功，0：失败',
  `operation_user_id` bigint NOT NULL COMMENT '操作人员id',
  `operation_user_name` varchar(50) DEFAULT NULL COMMENT '操作人员名称',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='mysql修改日志记录';

-- ----------------------------
-- Records of upgrade_project_sql
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for user_click_menu_record
-- ----------------------------
DROP TABLE IF EXISTS `user_click_menu_record`;
CREATE TABLE `user_click_menu_record` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `menu_id` bigint NOT NULL COMMENT '菜单id',
  `click_num` int NOT NULL DEFAULT '1' COMMENT '菜单点击量',
  `click_user_id` bigint DEFAULT '0' COMMENT '菜单点击人',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`),
  KEY `click_user_id` (`click_user_id`) USING BTREE,
  KEY `menu_id` (`menu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='人员点击菜单记录表';

-- ----------------------------
-- Records of user_click_menu_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_classify
-- ----------------------------
DROP TABLE IF EXISTS `visual_classify`;
CREATE TABLE `visual_classify` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父分类id',
  `classify_type` int DEFAULT NULL COMMENT '分类类型 1 pc端 2 移动端',
  `category_key` varchar(500) DEFAULT NULL COMMENT '分类键值',
  `category_value` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `is_deleted` int NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏分类表';

-- ----------------------------
-- Records of visual_classify
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_classify_favourite
-- ----------------------------
DROP TABLE IF EXISTS `visual_classify_favourite`;
CREATE TABLE `visual_classify_favourite` (
  `id` int NOT NULL AUTO_INCREMENT,
  `classify_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的收藏-分类表';

-- ----------------------------
-- Records of visual_classify_favourite
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_component
-- ----------------------------
DROP TABLE IF EXISTS `visual_component`;
CREATE TABLE `visual_component` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT '组件名称',
  `title` varchar(255) DEFAULT NULL COMMENT '图层名称',
  `visual_id` int DEFAULT NULL COMMENT '可视化主键ID',
  `datasource_id` int DEFAULT '0' COMMENT '数据源ID',
  `cube_data_id` int DEFAULT NULL COMMENT '数据集ID',
  `content` longtext COMMENT '组件内容JSON',
  `filter_json` text COMMENT '查询条件JSON',
  `filter_relation_json` text COMMENT '查询条件关系JSON',
  `column_json` longtext COMMENT '字段JSON',
  `sort_json` text COMMENT '排序JSON',
  `ext_json` longtext COMMENT '额外JSON',
  `query_sql` text COMMENT '组装好的查询SQL',
  `column_id_list` json DEFAULT NULL COMMENT '字段ID列表JSON',
  `limit_val` int DEFAULT '0' COMMENT '显示条数',
  `use_type` tinyint DEFAULT '0' COMMENT '使用方式',
  `comp_type` tinyint NOT NULL DEFAULT '0' COMMENT '组件类型',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `is_mobile` int NOT NULL DEFAULT '0' COMMENT '是否为移动大屏组件',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏_组件表';

-- ----------------------------
-- Records of visual_component
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_component_define
-- ----------------------------
DROP TABLE IF EXISTS `visual_component_define`;
CREATE TABLE `visual_component_define` (
  `id` int NOT NULL AUTO_INCREMENT,
  `component_name` varchar(100) NOT NULL COMMENT '组件名称',
  `image_url` varchar(100) DEFAULT NULL COMMENT '组件图标',
  `description` varchar(500) DEFAULT NULL COMMENT '组件描述',
  `component_version` varchar(50) DEFAULT NULL COMMENT '组件版本号',
  `code_text` text COMMENT '代码内容',
  `publish_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否发布(0-否[默认]/1-是)',
  `view_scope_status` tinyint NOT NULL DEFAULT '0' COMMENT '可视范围状态(0-个人[默认]/1-公开)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `update_time` datetime NOT NULL COMMENT '修改时间',
  `update_by` varchar(50) DEFAULT NULL COMMENT '修改人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义组件';

-- ----------------------------
-- Records of visual_component_define
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_component_export
-- ----------------------------
DROP TABLE IF EXISTS `visual_component_export`;
CREATE TABLE `visual_component_export` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `visual_id` int NOT NULL COMMENT '大屏ID',
  `component_id` int NOT NULL COMMENT '组件ID',
  `visual_name` varchar(255) DEFAULT NULL COMMENT '大屏名称',
  `visual_category_id` int DEFAULT NULL COMMENT '大屏分类ID',
  `component_name` varchar(255) DEFAULT NULL COMMENT '组件名称',
  `operator` varchar(255) DEFAULT NULL COMMENT '操作员',
  `operator_id` bigint DEFAULT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  `export_status` tinyint NOT NULL DEFAULT '0' COMMENT '任务状态（0-进行中；1-成功；2-失败）',
  `file_name` varchar(300) DEFAULT NULL COMMENT '文件名',
  `ext` text COMMENT '扩展字段，比如存储错误信息',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='清单组件数据导出任务';

-- ----------------------------
-- Records of visual_component_export
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_component_history_record
-- ----------------------------
DROP TABLE IF EXISTS `visual_component_history_record`;
CREATE TABLE `visual_component_history_record` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visual_id` int DEFAULT NULL COMMENT '大屏id',
  `setting_info` text NOT NULL COMMENT '查询条件',
  `setting_info_md5` varchar(32) DEFAULT NULL COMMENT '查询条件MD5加密',
  `component_key` varchar(64) DEFAULT NULL COMMENT '组件key',
  `operation_user_id` bigint NOT NULL COMMENT '操作人员id',
  `operation_user_name` varchar(50) DEFAULT NULL COMMENT '操作人员名称',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='组件查询历史记录表';

-- ----------------------------
-- Records of visual_component_history_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_data
-- ----------------------------
DROP TABLE IF EXISTS `visual_data`;
CREATE TABLE `visual_data` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title` varchar(255) DEFAULT NULL COMMENT '大屏标题',
  `background_url` longtext COMMENT '大屏背景',
  `category` int DEFAULT NULL COMMENT '大屏类型',
  `history_report_id` int DEFAULT NULL COMMENT '历史报告id',
  `password` varchar(255) DEFAULT NULL COMMENT '发布密码',
  `user_str` varchar(255) DEFAULT NULL COMMENT '用户ID组',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status` int DEFAULT '1' COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `content` longtext COMMENT '组件内容JSON',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '大屏公开状态',
  `visual_type` tinyint NOT NULL DEFAULT '0' COMMENT '大屏类型(0-普通大屏/1-我的收藏/2-我的报告)',
  `ref_visual_id` int DEFAULT NULL COMMENT '复制大屏ID',
  `power_point_id` int DEFAULT NULL COMMENT '幻灯片ID',
  `visual_data_type` int NOT NULL DEFAULT '0' COMMENT '是否为自主报表 1：是，0：否',
  `is_mobile` int NOT NULL DEFAULT '0' COMMENT '是否为移动大屏(0:否，1:是)',
  `mobile_content` longtext COMMENT '移动组件json内容',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_edit` int DEFAULT '1' COMMENT '是否可以被编辑 0：不可以，1：可以',
  PRIMARY KEY (`id`),
  KEY `category` (`category`,`order_index`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of visual_data
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_data_20230307
-- ----------------------------
DROP TABLE IF EXISTS `visual_data_20230307`;
CREATE TABLE `visual_data_20230307` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title` varchar(255) DEFAULT NULL COMMENT '大屏标题',
  `background_url` longtext COMMENT '大屏背景',
  `category` int DEFAULT NULL COMMENT '大屏类型',
  `history_report_id` int DEFAULT NULL COMMENT '历史报告id',
  `password` varchar(255) DEFAULT NULL COMMENT '发布密码',
  `user_str` varchar(255) DEFAULT NULL COMMENT '用户ID组',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status` int DEFAULT '1' COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `content` longtext COMMENT '组件内容JSON',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '大屏公开状态',
  `visual_type` tinyint NOT NULL DEFAULT '0' COMMENT '大屏类型(0-普通大屏/1-我的收藏/2-我的报告)',
  `ref_visual_id` int DEFAULT NULL COMMENT '复制大屏ID',
  `power_point_id` int DEFAULT NULL COMMENT '幻灯片ID',
  PRIMARY KEY (`id`),
  KEY `category` (`category`,`order_index`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of visual_data_20230307
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_data_permission
-- ----------------------------
DROP TABLE IF EXISTS `visual_data_permission`;
CREATE TABLE `visual_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visual_classify_id` int DEFAULT NULL COMMENT '大屏分类ID',
  `visual_id` int NOT NULL COMMENT '大屏ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据大屏权限组';

-- ----------------------------
-- Records of visual_data_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_enum
-- ----------------------------
DROP TABLE IF EXISTS `visual_enum`;
CREATE TABLE `visual_enum` (
  `id` int NOT NULL AUTO_INCREMENT,
  `key_code` varchar(20) NOT NULL COMMENT '唯一Key值',
  `content` text NOT NULL COMMENT '数据JSON',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `user_id` bigint NOT NULL COMMENT '创建人ID',
  `user_name` varchar(30) DEFAULT NULL COMMENT '创建人姓名',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户 id',
  PRIMARY KEY (`id`),
  UNIQUE KEY `key_code` (`key_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏自定义枚举';

-- ----------------------------
-- Records of visual_enum
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_external_link_info
-- ----------------------------
DROP TABLE IF EXISTS `visual_external_link_info`;
CREATE TABLE `visual_external_link_info` (
  `id` int NOT NULL AUTO_INCREMENT,
  `path` varchar(50) DEFAULT NULL COMMENT '文件访问路径',
  `upload_user` varchar(20) DEFAULT NULL COMMENT '文件上传人姓名',
  `upload_user_id` varchar(20) DEFAULT NULL COMMENT '文件上传人id',
  `status` tinyint DEFAULT '1' COMMENT '文件是否可用，0：不可用，1：可用',
  `trend_id` varchar(20) DEFAULT NULL COMMENT '租户id',
  `upload_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '文件上传时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义iframe记录表';

-- ----------------------------
-- Records of visual_external_link_info
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_global_param_type
-- ----------------------------
DROP TABLE IF EXISTS `visual_global_param_type`;
CREATE TABLE `visual_global_param_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL COMMENT '父级ID',
  `type_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集全局筛选器参数-分类表';

-- ----------------------------
-- Records of visual_global_param_type
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_login_free_link
-- ----------------------------
DROP TABLE IF EXISTS `visual_login_free_link`;
CREATE TABLE `visual_login_free_link` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `visual_data_id` int DEFAULT NULL COMMENT '大屏id',
  `visual_data_title` varchar(100) DEFAULT NULL COMMENT '大屏名称',
  `link_type` int DEFAULT NULL COMMENT '链接类型：0免登录 1账号匹配',
  `user_id` bigint DEFAULT NULL COMMENT '账号id',
  `user_name` varchar(100) DEFAULT NULL COMMENT '账号名称',
  `valid_date` date DEFAULT NULL COMMENT '有效期',
  `purpose` longtext COMMENT '用途',
  `is_verify` int DEFAULT NULL COMMENT '是否验证用户有效性：0是 1否',
  `short_link` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
  `real_url` varchar(255) DEFAULT NULL COMMENT '真实链接',
  `status` int DEFAULT NULL COMMENT '状态：0下线  1上线',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) DEFAULT NULL COMMENT '创建人',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(100) DEFAULT NULL COMMENT '修改人',
  `update_user_id` bigint DEFAULT NULL COMMENT '修改人id',
  `user_token` varchar(100) DEFAULT NULL COMMENT '三方系统token',
  `access_token` text COMMENT '本系统token',
  `public_status` int DEFAULT '0' COMMENT '是否公共可见 1：是，0：否',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `pass` varchar(100) DEFAULT NULL COMMENT '验证密码',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='免登录链接';

-- ----------------------------
-- Records of visual_login_free_link
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_login_free_link_permission
-- ----------------------------
DROP TABLE IF EXISTS `visual_login_free_link_permission`;
CREATE TABLE `visual_login_free_link_permission` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `link_id` int NOT NULL COMMENT '三方接入web的id',
  `data_perm_id` int DEFAULT NULL COMMENT '权限组id',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of visual_login_free_link_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_power_classify_archiving
-- ----------------------------
DROP TABLE IF EXISTS `visual_power_classify_archiving`;
CREATE TABLE `visual_power_classify_archiving` (
  `id` int NOT NULL AUTO_INCREMENT,
  `classify_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的归档-分类表';

-- ----------------------------
-- Records of visual_power_classify_archiving
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_power_classify_favourite
-- ----------------------------
DROP TABLE IF EXISTS `visual_power_classify_favourite`;
CREATE TABLE `visual_power_classify_favourite` (
  `id` int NOT NULL AUTO_INCREMENT,
  `classify_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的收藏-幻灯片分类表';

-- ----------------------------
-- Records of visual_power_classify_favourite
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_power_point_category
-- ----------------------------
DROP TABLE IF EXISTS `visual_power_point_category`;
CREATE TABLE `visual_power_point_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `cate_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='幻灯片分类';

-- ----------------------------
-- Records of visual_power_point_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_power_point_info
-- ----------------------------
DROP TABLE IF EXISTS `visual_power_point_info`;
CREATE TABLE `visual_power_point_info` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cate_id` int NOT NULL COMMENT '分类ID',
  `pp_name` varchar(100) NOT NULL COMMENT '幻灯片名称',
  `pp_month` varchar(100) DEFAULT NULL COMMENT '幻灯片月份',
  `settings` varchar(1000) DEFAULT NULL COMMENT '幻灯片设置',
  `visual_ids` text COMMENT '大屏ID列表，逗号分隔',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_by` varchar(100) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NOT NULL COMMENT '修改时间',
  `public_status` int NOT NULL DEFAULT '0',
  `visual_type` tinyint NOT NULL DEFAULT '0' COMMENT '幻灯片类型(0-普通幻灯片/1-我的收藏/2-归档)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `ref_power_id` int DEFAULT NULL COMMENT '被备份的幻灯片id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='幻灯片信息';

-- ----------------------------
-- Records of visual_power_point_info
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_power_point_permission
-- ----------------------------
DROP TABLE IF EXISTS `visual_power_point_permission`;
CREATE TABLE `visual_power_point_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pp_id` int NOT NULL COMMENT '幻灯片ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='幻灯片权限组表';

-- ----------------------------
-- Records of visual_power_point_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_report_category_favourite
-- ----------------------------
DROP TABLE IF EXISTS `visual_report_category_favourite`;
CREATE TABLE `visual_report_category_favourite` (
  `id` int NOT NULL AUTO_INCREMENT,
  `category_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的收藏-自主报表分类';

-- ----------------------------
-- Records of visual_report_category_favourite
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_report_folder
-- ----------------------------
DROP TABLE IF EXISTS `visual_report_folder`;
CREATE TABLE `visual_report_folder` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `sort_order` int NOT NULL DEFAULT '0' COMMENT '显示排序',
  `folder_name` varchar(50) NOT NULL COMMENT '文件夹名称',
  `user_id` bigint NOT NULL DEFAULT '0' COMMENT '用户id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='我的报告目录';

-- ----------------------------
-- Records of visual_report_folder
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_report_info
-- ----------------------------
DROP TABLE IF EXISTS `visual_report_info`;
CREATE TABLE `visual_report_info` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `folder_id` int NOT NULL COMMENT '文件夹id',
  `report_month` varchar(50) DEFAULT NULL COMMENT '月份',
  `report_title` varchar(50) DEFAULT NULL COMMENT '报告名称',
  `background_url` varchar(300) DEFAULT NULL COMMENT '背景图url',
  `sort_order` int DEFAULT '0' COMMENT '显示排序',
  `is_deleted` int DEFAULT '0',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的报告';

-- ----------------------------
-- Records of visual_report_info
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_self_report_category
-- ----------------------------
DROP TABLE IF EXISTS `visual_self_report_category`;
CREATE TABLE `visual_self_report_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父分类id',
  `classify_type` int DEFAULT NULL COMMENT '分类类型 1 pc端 2 移动端',
  `category_key` varchar(500) DEFAULT NULL COMMENT '分类键值',
  `category_value` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `is_deleted` int NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自主报表分类表';

-- ----------------------------
-- Records of visual_self_report_category
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_self_report_permission
-- ----------------------------
DROP TABLE IF EXISTS `visual_self_report_permission`;
CREATE TABLE `visual_self_report_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `self_report_id` int NOT NULL COMMENT '报表ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自主报表权限组';

-- ----------------------------
-- Records of visual_self_report_permission
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_short_code_generator
-- ----------------------------
DROP TABLE IF EXISTS `visual_short_code_generator`;
CREATE TABLE `visual_short_code_generator` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `code_num` bigint DEFAULT NULL COMMENT 'code码',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of visual_short_code_generator
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_subscribe
-- ----------------------------
DROP TABLE IF EXISTS `visual_subscribe`;
CREATE TABLE `visual_subscribe` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sub_title` varchar(100) NOT NULL COMMENT '订阅名称/标题',
  `data_type` tinyint NOT NULL COMMENT '订阅内容类型',
  `data_id` int NOT NULL COMMENT '订阅内容ID',
  `trigger_period` tinyint NOT NULL COMMENT '触发周期',
  `trigger_week_value` tinyint DEFAULT NULL COMMENT '触发周几',
  `trigger_day_value` tinyint DEFAULT NULL COMMENT '触发哪一天',
  `trigger_hour` tinyint NOT NULL DEFAULT '0' COMMENT '触发时间小时数',
  `trigger_minute` tinyint NOT NULL DEFAULT '0' COMMENT '触发时间分钟数',
  `job_id` int DEFAULT NULL COMMENT 'xxl-job任务ID',
  `notify_type` tinyint NOT NULL COMMENT '通知方式(0-邮件)',
  `notify_title` varchar(150) NOT NULL COMMENT '邮件标题',
  `notify_content` text COMMENT '邮件内容',
  `user_id` bigint NOT NULL COMMENT '订阅人ID',
  `user_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `create_time` datetime NOT NULL COMMENT '订阅时间',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `begin_trigger_hour` tinyint DEFAULT NULL COMMENT '开始触发的时间(triggerPeriod=hour有效)',
  `end_trigger_hour` tinyint DEFAULT NULL COMMENT '结束触发的时间(triggerPeriod=hour有效)',
  `period` int DEFAULT NULL COMMENT '间隔(triggerPeriod=hour有效)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='订阅服务';

-- ----------------------------
-- Records of visual_subscribe
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_subscribe_notify_conf
-- ----------------------------
DROP TABLE IF EXISTS `visual_subscribe_notify_conf`;
CREATE TABLE `visual_subscribe_notify_conf` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `attri_key` varchar(255) DEFAULT NULL COMMENT '配置键',
  `attri_value` varchar(255) DEFAULT NULL COMMENT '值',
  `attri_name` varchar(100) DEFAULT NULL COMMENT '键名称',
  `notify_type` tinyint DEFAULT NULL COMMENT '通知方式',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `sort` tinyint DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2132 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of visual_subscribe_notify_conf
-- ----------------------------
BEGIN;
INSERT INTO `visual_subscribe_notify_conf` VALUES (75, 'water_mark', '1', '是否开启水印', 100, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (76, 'water_mark_type', '1', '水印内容', 100, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (77, 'water_mark_content', '注意数据保密', '自定义', 100, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (78, 'username', '邮箱地址', '发送邮箱', 0, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (79, 'password', '授权码', '授权码', 0, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (80, 'smtp', 'smtp', 'smtp', 0, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (81, 'agent_id', '2324020760', '钉钉应用id', 2, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (82, 'app_key', 'dingbiynivssjr7mvnys', '钉钉应用app_key', 2, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (83, 'app_secret', '4-bpDLUk7eMKPyQ3GUR_LY7iLU1IcnCm8Cszg-cLqW6WE9bKbY2BqHOmjFPjHpIC', '钉钉应用secret', 2, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (84, 'app_id', 'cli_a32758d53778d00d', '飞书应用id', 3, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (85, 'app_secret', 'RCSN31OJwWEeghDNROLfqSKG5Lz2lE3R', '飞书应用密钥', 3, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (86, 'bi', 'bi_version', 'bi说明', 6, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (87, 'system', 'system_version', 'system说明', 6, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (88, 'pdf', 'pdf_version', 'pdf说明', 6, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (89, 'lowcode', 'lowcode_version', 'lowcode说明', 6, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (90, 'xxljob', 'xxljob_version', 'xxljob说明', 6, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (91, 'upgrade', 'upgrade_version', 'upgrade说明', 6, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (92, 'bi', 'gmetry-bi', 'bi说明', 7, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (93, 'system', 'gmetry-system', 'system说明', 7, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (94, 'pdf', 'gmetry-pdf', 'pdf说明', 7, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (95, 'lowcode', 'gmetry-lowcode', 'lowcode说明', 7, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (96, 'xxljob', 'gmetry-xxljob', 'xxljob说明', 7, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (97, 'upgrade', 'gemtry-upgrade', 'upgrade说明', 7, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (98, 'systemName', '数据可视化平台', '系统名称', 5, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (99, 'systemVersion', '3.4.0', '系统版本', 5, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (100, 'loginType', '1', '登录方式', 5, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (101, 'systemLogo', '', '系统LOGO', 5, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (102, 'homeUrl', '', '首页url', 5, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (103, 'isTop', '', '是否启用顶部菜单', 5, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (104, 'apiUrl', '', '接口路径', 5, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (105, 'pdfUrl', '', 'pdf路径', 5, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (106, 'imgUploadUrl', '', '图片上传路径', 5, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (107, 'imgViewUrl', '', '图片预览地址', 5, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (108, 'app_id', '', '微信应用id', 8, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (109, 'app_secret', '', '微信应用secret', 8, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (110, 'app_id', 'wxf6c238d9e4698994', '小程序appid', 9, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (111, 'app_secret', 'b567044d42a63a0b160aa0621dc28340', '小程序secret', 9, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (112, 'app_url', 'https://api.weixin.qq.com/sns/jscode2session', '小程序请求url', 9, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (113, 'appid', 'T1001', '应用appid', 4, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (114, 'secret', '1c38fcc48bf79b4d05c8204104267529', '应用secret', 4, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (115, 'version', 'V10', '版本', 4, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (116, 'templateId', 'OPENTM207793577', '模板id', 4, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (117, 'mcCode', '0428082539', '企业代码', 4, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (582, 'loginTypeApp', '1', '小程序登录方式', 5, '111111', NULL);
INSERT INTO `visual_subscribe_notify_conf` VALUES (583, 'loginTypeH5', '1', 'H5登录方式', 5, '111111', NULL);
COMMIT;

-- ----------------------------
-- Table structure for visual_subscribe_operate_log
-- ----------------------------
DROP TABLE IF EXISTS `visual_subscribe_operate_log`;
CREATE TABLE `visual_subscribe_operate_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sub_title` varchar(255) NOT NULL COMMENT '标题',
  `data_type` tinyint NOT NULL COMMENT '订阅内容类型',
  `notify_type` tinyint DEFAULT NULL COMMENT '通知方式',
  `data_id` int NOT NULL COMMENT '订阅内容ID',
  `operator_id` bigint NOT NULL COMMENT '订阅人ID',
  `operator_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `user_id` bigint NOT NULL COMMENT '订阅人ID',
  `user_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `operate_type` tinyint DEFAULT NULL COMMENT '操作',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='订阅操作日志';

-- ----------------------------
-- Records of visual_subscribe_operate_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_subscribe_push_log
-- ----------------------------
DROP TABLE IF EXISTS `visual_subscribe_push_log`;
CREATE TABLE `visual_subscribe_push_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sub_title` varchar(255) NOT NULL COMMENT '标题',
  `data_type` tinyint NOT NULL COMMENT '订阅内容类型',
  `notify_type` tinyint DEFAULT NULL COMMENT '通知方式',
  `data_id` int NOT NULL COMMENT '订阅内容ID',
  `content` text COMMENT '发送内容',
  `user_id` bigint NOT NULL COMMENT '订阅人ID',
  `user_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `err_code` tinyint NOT NULL DEFAULT '0' COMMENT '错误码(0-成功/1-失败)',
  `err_msg` varchar(4000) DEFAULT NULL COMMENT '错误描述',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`),
  KEY `data_id` (`data_id`,`data_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='订阅发送日志';

-- ----------------------------
-- Records of visual_subscribe_push_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_template
-- ----------------------------
DROP TABLE IF EXISTS `visual_template`;
CREATE TABLE `visual_template` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title` varchar(255) DEFAULT NULL COMMENT '大屏标题',
  `background_url` longtext COMMENT '大屏背景',
  `category` int DEFAULT NULL COMMENT '大屏类型',
  `history_report_id` int DEFAULT NULL COMMENT '历史报告id',
  `password` varchar(255) DEFAULT NULL COMMENT '发布密码',
  `user_str` varchar(255) DEFAULT NULL COMMENT '用户ID组',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status` int DEFAULT '1' COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `content` longtext COMMENT '组件内容JSON',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '大屏公开状态',
  `visual_type` tinyint NOT NULL DEFAULT '0' COMMENT '大屏类型(0-普通大屏/1-我的收藏/2-我的报告)',
  `ref_visual_id` int DEFAULT NULL COMMENT '复制大屏ID',
  `power_point_id` int DEFAULT NULL COMMENT '幻灯片ID',
  `visual_data_type` int NOT NULL DEFAULT '0' COMMENT '是否为自主报表 1：是，0：否',
  `is_mobile` int NOT NULL DEFAULT '0' COMMENT '是否为移动大屏(0:否，1:是)',
  `mobile_content` longtext COMMENT '移动组件json内容',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `publish_status` int NOT NULL DEFAULT '0' COMMENT '发布状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏模板表';

-- ----------------------------
-- Records of visual_template
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_template_classify
-- ----------------------------
DROP TABLE IF EXISTS `visual_template_classify`;
CREATE TABLE `visual_template_classify` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父分类id',
  `classify_type` int DEFAULT NULL COMMENT '分类类型 1 pc端 2 移动端',
  `category_key` varchar(500) DEFAULT NULL COMMENT '分类键值',
  `category_value` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `is_deleted` int NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='模板分类';

-- ----------------------------
-- Records of visual_template_classify
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_template_use_situation
-- ----------------------------
DROP TABLE IF EXISTS `visual_template_use_situation`;
CREATE TABLE `visual_template_use_situation` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `visual_id` int NOT NULL COMMENT '模板 id',
  `use_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '模板使用时间',
  `user_id` bigint NOT NULL COMMENT '使用人',
  `user_name` varchar(100) NOT NULL COMMENT '使用人名称',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='模板使用情况';

-- ----------------------------
-- Records of visual_template_use_situation
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_warning
-- ----------------------------
DROP TABLE IF EXISTS `visual_warning`;
CREATE TABLE `visual_warning` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL COMMENT '预警器名称',
  `request_freq` int NOT NULL COMMENT '请求频率',
  `datasource_id` int NOT NULL DEFAULT '0' COMMENT '数据源ID',
  `datasource_name` varchar(100) DEFAULT NULL COMMENT '数据源名称',
  `cube_data_id` int NOT NULL DEFAULT '0' COMMENT '数据集ID',
  `cube_data_name` varchar(100) DEFAULT NULL COMMENT '数据集名称',
  `filter_json` text COMMENT '查询条件JSON',
  `filter_relation_json` text COMMENT '查询条件关系JSON',
  `filter_time_json` text COMMENT '时间设置JSON',
  `column_json` text COMMENT '字段JSON',
  `sort_json` text COMMENT '排序JSON',
  `column_id_list` json DEFAULT NULL COMMENT '字段ID列表JSON',
  `message_template_id` int DEFAULT NULL COMMENT '消息模版ID',
  `message_dynamic_content` varchar(1000) DEFAULT NULL COMMENT '消息动态内容',
  `warn_message_way` tinyint NOT NULL COMMENT '预警消息方式(0-短信/1-邮件/2-所有)',
  `warn_user_ids` varchar(2000) DEFAULT NULL COMMENT '预警人ID',
  `next_loop_ts` bigint NOT NULL DEFAULT '0' COMMENT '下次轮询时间戳(毫秒)',
  `enable_status` tinyint NOT NULL DEFAULT '1' COMMENT '是否开启(0-否/1-是)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(30) NOT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  `sms_params` json DEFAULT NULL COMMENT '短信变量参数',
  `sms_id` int DEFAULT NULL COMMENT '短信模版ID',
  `job_id` int DEFAULT NULL COMMENT 'XXLJOB任务ID',
  `visual_data_json` json DEFAULT NULL COMMENT '大屏列表基础信息JSON',
  `approve_status` tinyint NOT NULL DEFAULT '1' COMMENT '审批状态(0-审核中/1-审核通过/2-审核拒绝)',
  `warning_ways` varchar(200) DEFAULT NULL COMMENT '预警消息方式',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='智能预警器表';

-- ----------------------------
-- Records of visual_warning
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_warning_message_template
-- ----------------------------
DROP TABLE IF EXISTS `visual_warning_message_template`;
CREATE TABLE `visual_warning_message_template` (
  `id` int NOT NULL AUTO_INCREMENT,
  `content_id` varchar(100) NOT NULL COMMENT '短信运营商模版ID',
  `name` varchar(50) NOT NULL COMMENT '模版名称',
  `content` text NOT NULL COMMENT '模版内容',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='智能预警消息模版';

-- ----------------------------
-- Records of visual_warning_message_template
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_warning_record
-- ----------------------------
DROP TABLE IF EXISTS `visual_warning_record`;
CREATE TABLE `visual_warning_record` (
  `id` int NOT NULL AUTO_INCREMENT,
  `warning_id` int NOT NULL COMMENT '预警器ID',
  `warning_name` varchar(50) NOT NULL COMMENT '预警器名称',
  `warn_data` text NOT NULL COMMENT '预警数据',
  `warn_message` text COMMENT '预警内容',
  `warn_message_way` tinyint DEFAULT NULL COMMENT '预警消息类型(0-短信/1-邮件/2-所有)',
  `warn_type` tinyint DEFAULT NULL COMMENT '预警类型',
  `resolve_status` tinyint NOT NULL DEFAULT '0' COMMENT '解决状态(0-待解决/1-已解决)',
  `distort_status` tinyint NOT NULL DEFAULT '0' COMMENT '误报状态(0-否/1-是)',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(30) DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='智能预警记录表';

-- ----------------------------
-- Records of visual_warning_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for visual_warning_record_user
-- ----------------------------
DROP TABLE IF EXISTS `visual_warning_record_user`;
CREATE TABLE `visual_warning_record_user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `warning_id` int NOT NULL COMMENT '预警器ID',
  `warning_record_id` int NOT NULL COMMENT '预警记录ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='预警记录和用户中间表';

-- ----------------------------
-- Records of visual_warning_record_user
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for warn_brief_detail
-- ----------------------------
DROP TABLE IF EXISTS `warn_brief_detail`;
CREATE TABLE `warn_brief_detail` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `identifier` varchar(200) DEFAULT NULL COMMENT '预警消息唯一标识',
  `sender` varchar(200) DEFAULT NULL COMMENT '预警信息发布单位',
  `sendtime` datetime DEFAULT NULL COMMENT '预警信息发布时间',
  `severity` varchar(50) DEFAULT NULL COMMENT '预警级别',
  `headline` varchar(500) DEFAULT NULL COMMENT '预警信息标题',
  `eventtype` varchar(50) DEFAULT NULL COMMENT '预警类型',
  `eventname` varchar(50) DEFAULT NULL COMMENT '预警类型名称',
  `msgtype` varchar(50) DEFAULT NULL COMMENT '预警信息类型',
  `senderlevel` varchar(10) DEFAULT NULL COMMENT '1,国家级 2,省级 3,市级 4,县级',
  `regionid` varchar(50) DEFAULT NULL COMMENT '行政区划编码',
  `adnm` varchar(200) DEFAULT NULL,
  `orgIdentifier` varchar(200) DEFAULT NULL,
  `sendercode` varchar(100) DEFAULT NULL COMMENT '预警信息发布单位编码',
  `status` varchar(50) DEFAULT NULL,
  `scope` varchar(50) DEFAULT NULL COMMENT '预警信息发布范围',
  `secclassification` varchar(20) DEFAULT NULL COMMENT '密级',
  `note` varchar(200) DEFAULT NULL COMMENT '对预警信息解除原因的说明',
  `reference` varchar(200) DEFAULT NULL COMMENT '描述本条预警信息引用的预警信息',
  `language` varchar(20) DEFAULT NULL COMMENT '预警信息描述所使用的语言代码',
  `urgency` varchar(50) DEFAULT NULL COMMENT '预警事件的紧急程度',
  `certainty` varchar(50) DEFAULT NULL COMMENT '预警事件发生的可能程度',
  `onset` datetime DEFAULT NULL COMMENT '预警事件的预期发生时间',
  `expires` datetime DEFAULT NULL COMMENT '预警事件的失效时间',
  `description` text COMMENT '预警信息正文',
  `instruction` varchar(50) DEFAULT NULL,
  `web` varchar(200) DEFAULT NULL COMMENT '预警信息内容中包含的网址信息',
  `areadesc` varchar(50) DEFAULT NULL COMMENT '影响区域的文本描述',
  `polygon` varchar(200) DEFAULT NULL COMMENT '用多边形表示预警信息的发布区域',
  `circle` varchar(50) DEFAULT NULL,
  `geocode` varchar(50) DEFAULT NULL,
  `effective` datetime DEFAULT NULL COMMENT '预警信息生效时间',
  `code` varchar(200) DEFAULT NULL COMMENT '预警信息的发布手段和发布对象',
  `resource` varchar(50) DEFAULT NULL,
  `province` varchar(50) DEFAULT NULL COMMENT '省级行政区',
  `prefecture` varchar(50) DEFAULT NULL COMMENT '市级行政区',
  `county` varchar(50) DEFAULT NULL COMMENT '县级行政区',
  `batch` varchar(20) DEFAULT NULL COMMENT '数据批次号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='预警概览/详情信息';

-- ----------------------------
-- Records of warn_brief_detail
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for wechat_authorization_account
-- ----------------------------
DROP TABLE IF EXISTS `wechat_authorization_account`;
CREATE TABLE `wechat_authorization_account` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `nick_name` varchar(50) DEFAULT NULL COMMENT '昵称',
  `head_img` varchar(200) DEFAULT NULL COMMENT '头像',
  `appid` varchar(50) DEFAULT NULL COMMENT '小程序，公众号appid',
  `account_type` int DEFAULT NULL COMMENT '授权账号类型 1 小程序  2 公众号',
  `service_type_info` varchar(50) DEFAULT NULL COMMENT '公众号 ：0 订阅号 1 由历史老帐号升级后的订阅号 2 服务号\r\n            小程序 ：0 普通小程序 12 试用小程序 4 小游戏 10 小商店',
  `verify_type_info` varchar(50) DEFAULT NULL COMMENT '公众号认证类型 ： -1 未认证  0 微信认证 1 新浪微博认证 2 腾讯微博认证 3 已资质认证通过但还未通过名称认证 4 已资质认证通过、还未通过名称认证，但通过了新浪微博认证  5 已资质认证通过、还未通过名称认证，但通过了腾讯微博认证\r\n            \r\n            小程序认证类型 ： -1 未认证 0 微信认证',
  `user_name` varchar(50) DEFAULT NULL COMMENT '原始 ID',
  `principal_name` varchar(50) DEFAULT NULL COMMENT '主体名称',
  `alias` varchar(50) DEFAULT NULL COMMENT '公众号所设置的微信号',
  `signature` varchar(50) DEFAULT NULL COMMENT '帐号介绍 (小程序)',
  `business_info` text COMMENT '用以了解功能的开通状况（0代表未开通，1代表已开通）\r\n            open_store	是否开通微信门店功能\r\n            open_scan	是否开通微信扫商品功能\r\n            open_pay	              是否开通微信支付功能\r\n            open_card	是否开通微信卡券功能\r\n            open_shake	是否开通微信摇一摇功能',
  `qrcode_url` varchar(255) DEFAULT NULL COMMENT '二维码图片的 URL，开发者最好自行也进行保存',
  `mini_program_info` text COMMENT '小程序配置 network 小程序配置的合法域名信息 categories  小程序配置的类目信息',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='开放平台授权账号表';

-- ----------------------------
-- Records of wechat_authorization_account
-- ----------------------------
BEGIN;
INSERT INTO `wechat_authorization_account` VALUES (2, '运动计步数助手', 'http://wx.qlogo.cn/mmopen/xzvVYaqtSnx7mPQvxkXA4CrPRlRwQvv8ialyia4pIcPSRVY1RGjEprLQaF8e965zNU0vpj9UKJcY9uLAFy9Ok7V9yU1ibzcsRLd/0', 'wx5fffb75b0babbea6', 1, '{\"id\":0}', '{\"id\":0}', 'gh_f43e3f8fff44', '北京晨阳里网络技术有限公司', '', '运动计步,运动排行榜,运动步数红包,创建运动队伍导出excel步数统计', '{\"open_pay\":1,\"open_card\":0,\"open_scan\":0,\"open_store\":0,\"open_shake\":0}', 'http://mmbiz.qpic.cn/mmbiz_jpg/FhfV4AaOudwcY5iaUlQiaajPYpibTfJmQBGcDXQokqLeByfVXIYgt9viagsaLzu7rDrGTeHEcsgmx5sLSMgibO4lXeg/0', '{\"visit_status\":0,\"categories\":[{\"first\":\"生活服务\",\"second\":\"休闲娱乐\"},{\"first\":\"工具\",\"second\":\"健康管理\"},{\"first\":\"商家自营\",\"second\":\"运动/户外/乐器\"},{\"first\":\"体育\",\"second\":\"在线健身\"}],\"network\":{\"WsRequestDomain\":[\"wss://chat.mtgshenghuo.com\",\"wss://sport.mtgshenghuo.com\",\"wss://wx.qlogo.cn\"],\"UDPDomain\":[],\"BizDomain\":[\"https://goby0801.mtgshenghuo.com\",\"https://sport.mtgjiaxiang.com\",\"https://sport.mtgshenghuo.com\"],\"RequestDomain\":[\"https://api.bspapp.com\",\"https://apis.map.qq.com\",\"https://log.aldwx.com\",\"https://restapi.amap.com\",\"https://sport.mtgshenghuo.com\",\"https://wx.qlogo.cn\"],\"TCPDomain\":[],\"UploadDomain\":[\"https://api.bspapp.com\",\"https://bsppub.oss-cn-shanghai.aliyuncs.com\",\"https://images.ac.cn\",\"https://sport.mtgshenghuo.com\",\"https://wx.qlogo.cn\"],\"DownloadDomain\":[\"https://api.bspapp.com\",\"https://bsppub.oss-cn-shanghai.aliyuncs.com\",\"https://sport.mtgshenghuo.com\",\"https://wx.qlogo.cn\"]}}');
INSERT INTO `wechat_authorization_account` VALUES (8, '熙日网络服务', 'http://wx.qlogo.cn/mmopen/GnxSA46wzS5MhJHWe9RenoYBEnH1JohuftOgJCibEnVhmnGyC7XkuiasFXjZnm3ic6Fx1DZpgnh1L2iclAFicVkRuso9YFEIibUUqj/0', 'wx21fe7e82a671de99', 2, '{\"id\":2}', '{\"id\":0}', 'gh_6946b4697df7', '北京熙日网创网络科技有限公司', '', '熙日聚合API开放平台', '{\"open_pay\":1,\"open_card\":0,\"open_scan\":0,\"open_store\":0,\"open_shake\":0}', 'http://mmbiz.qpic.cn/mmbiz_jpg/eIdfqZlmq1PvcqMDkbPtEw6hmWiba0QtoX0vSbJQoy3fXB0hJdg6V35uNItYn4GEos9bicQplYe0FgZiaJibTjQg1g/0', NULL);
INSERT INTO `wechat_authorization_account` VALUES (9, '微进销', 'http://wx.qlogo.cn/mmopen/GnxSA46wzS5MhJHWe9Renud0iaVsXicCu0FGRc1b0R8pRcapW8sHhjKnyibsRXq4H2libI0AEZPuhIeic3k66bmiaRVzdzFIbWSHQC/0', 'wx49173d7a2a8025c5', 2, '{\"id\":2}', '{\"id\":0}', 'gh_a00b645a8268', '北京铂原联动科技有限公司', 'weijinxiao1688', '微进销，做生意必备的记账APP，针对微商、代购、个体户的进销存软件，简单易用，1分钟会用！', '{\"open_pay\":1,\"open_card\":0,\"open_scan\":0,\"open_store\":0,\"open_shake\":0}', 'http://mmbiz.qpic.cn/mmbiz_jpg/b1NLia14GUQLiaDHXy1UFT2u9oTGM3KnHzy8JTh5p9b3SO2MOY0xIyEiaNMWsOPZh7qPKlvDJwVB38VaUNZBV8TiaA/0', NULL);
COMMIT;

-- ----------------------------
-- Table structure for wechat_mpeventcontent
-- ----------------------------
DROP TABLE IF EXISTS `wechat_mpeventcontent`;
CREATE TABLE `wechat_mpeventcontent` (
  `F_EventKey` varchar(50) NOT NULL COMMENT '自然主键',
  `F_Content` text COMMENT '文本内容',
  PRIMARY KEY (`F_EventKey`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of wechat_mpeventcontent
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for wechat_mpmaterial
-- ----------------------------
DROP TABLE IF EXISTS `wechat_mpmaterial`;
CREATE TABLE `wechat_mpmaterial` (
  `F_Id` varchar(50) NOT NULL COMMENT '自然主键',
  `F_OpenId` text COMMENT '公众号主键',
  `F_MaterialsType` int DEFAULT NULL COMMENT '上传素材类型',
  `F_Title` text COMMENT '图文标题',
  `F_ThumbMediaId` text COMMENT '图文消息缩略图的media_id',
  `F_Author` varchar(50) DEFAULT NULL COMMENT '作者',
  `F_ContentSourceUrl` text COMMENT '原文链接',
  `F_Content` longtext COMMENT '图文内容',
  `F_Digest` text COMMENT '图文消息的描述',
  `F_ShowCoverPic` varchar(50) DEFAULT NULL COMMENT '封面状态',
  `F_ThumbUrl` text COMMENT '缩略图的URL',
  `F_NeedOpenComment` int DEFAULT NULL COMMENT '是否打开评论',
  `F_OnlyFansCanComment` int DEFAULT NULL COMMENT '是否粉丝才可评论',
  `F_FileJson` longtext COMMENT '附件',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_Description` text COMMENT '备注',
  `F_UploadDate` datetime DEFAULT NULL COMMENT '上传素材时间',
  `F_UploadUser` varchar(50) DEFAULT NULL COMMENT '上传素材用户',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_Introduction` text,
  `F_ReturnUrl` text COMMENT '上传返回路径',
  `F_MediaId` text COMMENT '公众号素材Id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='公众号素材';

-- ----------------------------
-- Records of wechat_mpmaterial
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for wechat_mpmessage
-- ----------------------------
DROP TABLE IF EXISTS `wechat_mpmessage`;
CREATE TABLE `wechat_mpmessage` (
  `F_Id` varchar(50) NOT NULL COMMENT '自然主键',
  `F_IsToAll` varchar(50) DEFAULT NULL COMMENT '全部用户',
  `F_OpenId` text COMMENT '公众号主键',
  `F_MsgType` int DEFAULT NULL COMMENT '群发消息类型',
  `F_Title` text COMMENT '图文标题',
  `F_ThumbMediaId` text COMMENT '图文消息缩略图的media_id',
  `F_Author` varchar(50) DEFAULT NULL COMMENT '作者',
  `F_ContentSourceUrl` text COMMENT '原文链接',
  `F_Content` longtext COMMENT '图文内容',
  `F_TxtContent` text COMMENT '文本内容',
  `F_Digest` text COMMENT '图文消息的描述',
  `F_ShowCoverPic` varchar(50) DEFAULT NULL COMMENT '封面状态',
  `F_ThumbUrl` text COMMENT '缩略图的URL',
  `F_NeedOpenComment` int DEFAULT NULL COMMENT '是否打开评论',
  `F_OnlyFansCanComment` int DEFAULT NULL COMMENT '是否粉丝才可评论',
  `F_MsgId` text COMMENT '消息ID',
  `F_MsgDataIid` text COMMENT '消息数据ID',
  `F_FileJson` longtext COMMENT '附件',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_Description` text COMMENT '备注',
  `F_SendDate` datetime DEFAULT NULL COMMENT '发送时间',
  `F_SendUser` varchar(50) DEFAULT NULL COMMENT '发送人',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_TagId` text COMMENT '标签Id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='公众号群发消息';

-- ----------------------------
-- Records of wechat_mpmessage
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for wechat_public_user
-- ----------------------------
DROP TABLE IF EXISTS `wechat_public_user`;
CREATE TABLE `wechat_public_user` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `appid` varchar(100) DEFAULT NULL COMMENT '公众号appid',
  `headimgurl` varchar(255) DEFAULT NULL COMMENT '用户头像',
  `nickname` varchar(100) DEFAULT NULL COMMENT '用户的昵称',
  `subscribe` varchar(10) DEFAULT NULL COMMENT '用户是否订阅该公众号标识，值为0时，代表此用户没有关注该公众号，拉取不到其余信息。',
  `openid` varchar(100) DEFAULT NULL COMMENT '用户的标识，对当前公众号唯一',
  `sex` varchar(10) DEFAULT NULL COMMENT '用户的性别，值为1时是男性，值为2时是女性，值为0时是未知',
  `city` varchar(20) DEFAULT NULL COMMENT '用户所在城市',
  `country` varchar(20) DEFAULT NULL COMMENT '用户所在国家',
  `province` varchar(20) DEFAULT NULL COMMENT '用户所在省份',
  `language` varchar(20) DEFAULT NULL COMMENT '用户的语言，简体中文为zh_CN',
  `subscribe_time` varchar(30) DEFAULT NULL COMMENT '用户关注时间，为时间戳。如果用户曾多次关注，则取最后关注时间',
  `unionid` varchar(100) DEFAULT NULL COMMENT '只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段。',
  `remark` varchar(100) DEFAULT NULL COMMENT '公众号运营者对粉丝的备注，公众号运营者可在微信公众平台用户管理界面对粉丝添加备注',
  `groupid` varchar(20) DEFAULT NULL COMMENT '用户所在的分组ID',
  `tagid_list` varchar(255) DEFAULT NULL COMMENT '用户被打上的标签ID列表',
  `subscribe_scene` varchar(100) DEFAULT NULL COMMENT '返回用户关注的渠道来源，ADD_SCENE_SEARCH 公众号搜索，ADD_SCENE_ACCOUNT_MIGRATION 公众号迁移，ADD_SCENE_PROFILE_CARD 名片分享，ADD_SCENE_QR_CODE 扫描二维码，ADD_SCENE_PROFILE_LINK 图文页内名称点击，ADD_SCENE_PROFILE_ITEM 图文页右上角菜单，ADD_SCENE_PAID 支付后关注，ADD_SCENE_WECHAT_ADVERTISEMENT 微信广告，ADD_SCENE_OTHERS 其他',
  `qr_scene` varchar(200) DEFAULT NULL COMMENT '自定义',
  `qr_scene_str` varchar(200) DEFAULT NULL COMMENT '自定义',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=136 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='公众号用户信息';

-- ----------------------------
-- Records of wechat_public_user
-- ----------------------------
BEGIN;
INSERT INTO `wechat_public_user` VALUES (1, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/PiajxSqBRaEKSElU5bQW2gSohzVtgb4nHJzlicK7RZqKZBenUqR1aJmavrQSGJuguDibxibIV3fptuD3tuRsnicziaXA/132', '五玖玖', '1', 'oIujjw74ZH2rzhi2QSwAV8CyMxSc', '1', '南平', '中国', '福建', 'zh_CN', '1549815344', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (2, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/ajNVdqHZLLBD9XuhfPnovicVE1picRJqnG9a59W3ibeIeJh3up4pKDs4IEs4d61jXRib82ywWqBGFUwJiaXqXjyFxfw/132', '黄国林', '1', 'oIujjw6M4UynfZH9ixFOqFZByDxU', '1', '', '新加坡', '', 'zh_CN', '1551633617', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (3, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/PiajxSqBRaELYsNPmAI925O9DiaedVNSbbgSQPWCuJficxjYBH2eSauYfibkLrXBbDzeGPyLQ4MdtarpegzOyvQSiaw/132', '王豫鹏', '1', 'oIujjw3xjWPGKY8-2A31R8X_KOcw', '1', '', '中国', '', 'zh_CN', '1522061957', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (4, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2GhLuPuMKM9fThibiaDrdQoXvvD6L9VbWvfhJgOOAYrpbjQam1ibzIYu6TibLoly8VMqlxn2ibIbHRv0ug/132', '朱俊超。', '1', 'oIujjwzLC2UnzIIYACCL2QGqfkO4', '1', '南昌', '中国', '江西', 'zh_CN', '1543224060', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (5, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/PiajxSqBRaEIt1mscTM1c0ksR74RkKHgyiaLLN2GrY6KwPibiaUJaYRaQJA7WEibA6v2PjWxdL9W9PEDUib5dqyATCvA/132', '💓 方方', '1', 'oIujjw5F0x_Rvxy39EaqRbx7ilk8', '2', '西安', '中国', '陕西', 'zh_CN', '1541994621', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (6, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YwW3BvRFYiajVw5TBL43oGAoL4Je25tP26CibdTt19KITjPuS9RqE6CKthlCibjt2niabp5G5L4tbicoLZeSENSLOC2ib/132', '韦小宝88', '1', 'oIujjw-3x5v3hUTx4sNtA3TfdF-8', '2', '', '中国', '', 'zh_CN', '1563764999', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (7, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YwBHFuNEf2miazmzXiacSOM5yl5gwxDkSMbicXVs4uGNiaw6JvyicFqucNXGBHVSWDGsXE7MiaY9Q74H8ibQ/132', '乔', '1', 'oIujjwx0nqpVoTUZIXWsiMWTOp_g', '1', '', '冰岛', '', 'zh_CN', '1566305496', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (8, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZQLY72pPj7eKiclyR6NaguR0apia29acQBNcO4u1z2UXibYW8ibGia4vJF1atxBEEPpTI76ZNannDu8fP3ibepGXKRCn1/132', '6789通訊器材', '1', 'oIujjw62c_GcBNySZbX7WRjX7jZg', '1', '', '黑山', '', 'zh_CN', '1571041993', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (9, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/ajNVdqHZLLAY5MlhxYS7uekACk5KxbMGIY3yIhTKbaMGKdic4sHRGZ3tNeocFe4S2NMzNIvme5XiartHsibRlZ4FQ/132', 'A~~T.Ya媞娅女装~糖糖', '1', 'oIujjw1sjee5lsh2vrax67KP1jKM', '2', '绵阳', '中国', '四川', 'zh_CN', '1566805139', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (10, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/Q3auHgzwzM4F8529EjX8iaibLzKHg2IYG2At2fn65iak7jsW3umicHCiaFEfeZwkLOpl9SmJcXp5IicpSKGKqEIdVpFQ/132', '孟', '1', 'oIujjw97_MKpaejwW9QyQyyOqpf0', '2', '乌鲁木齐', '中国', '新疆', 'zh_CN', '1540550439', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (11, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZRdaGk9VHfWPOibJvDOUkaiaAlFYicCpTBTSbEc9VIsDhiciaqFqaAL8MX3Hvp0koYtZrEHLFJrS8bV9MItSy6nGTmDk/132', '善财童子', '1', 'oIujjwx0cOOcN9nWlHHd5DNPuqHc', '1', '', '中国', '', 'zh_CN', '1517652325', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (12, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/Q3auHgzwzM5pgn7AI02HZZSSBlsjyNF5zwpnjYyLL9A4mv53v7FYK4Afzqibu08v0Ef5vwia3ylYbhk0GkiaqvHQQ/132', 'A.米粒', '1', 'oIujjwyzDsmuT68k3TE1tufkmdaM', '2', '闵行', '中国', '上海', 'zh_CN', '1545555738', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (13, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZRvXfoh3VgghpIqo685yWpgBmfc5IYoZ71rlO2mBT0Kvz2JEJlIb6nRkiaYNE23N06WxjoFWlNRziaZ0ra7Lpib4XW/132', '💄NANA💄- 世亚韩妆', '1', 'oIujjwxIHNl9nrdudzWxBt6EHYDA', '2', '', '韩国', '', 'zh_CN', '1535596596', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (14, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2EETDBUJQdggiaTvpoia1dmnYZzsGaTB73epOsBNdyGic2wtMW6Rg2qZWJaN7BeTnED0Ue0hLDiczvz4hvt6dkIhLt9/132', '爱豆', '1', 'oIujjw5lntbUTbRR9LVZc9dhPlUY', '2', '咸阳', '中国', '陕西', 'zh_CN', '1526969615', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_LINK', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (15, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YznOzYQJKhwCZrjoL5EOFWacEibtcFqEoO7XicsjOYwdPtQHHz2yq5MWEjP6j228lc4bh5hNTIK98Ng/132', '城南', '1', 'oIujjw7wtb78Sz3RG6NbjXRfz05k', '2', '杭州', '中国', '浙江', 'zh_CN', '1537895622', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (16, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YwXV8baPBUve40siaiaNLtY2kf7VR9SdUm2EKtC8fZYTDje0InKsymsAiaawricEuPWP1EbficibJiaz1vPQ/132', 'xù', '1', 'oIujjwzHMAOay1Cu3D5A0puxuxow', '1', '', '中国', '北京', 'zh_CN', '1560848813', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (17, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/qQrEtxdibf86UUGEediadadKVyyZ1WmpVEfyJya4F3HtNvX90TVldVh2nfYe4PJLjqhrIMbavpK15VLiamd5UaLeAjcWR6X3rvl/132', '姜鲁℡¹³⁹⁸⁶¹⁴⁴³⁶⁸', '1', 'oIujjw9uu2pT-M4CWOWX33EQqnPs', '1', '武汉', '中国', '湖北', 'zh_CN', '1533684539', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (18, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YwCOj3mianMMyfcXk0a6meQ9SBic3j0V2cGOCgy01vYOvXhNMOKkibibSEP21TB4OAVuF9ExkSaxXlN1g/132', 'Mr.酷L', '1', 'oIujjwyFwsrpmqD-6-hfEq9SFbLE', '1', '长沙', '中国', '湖南', 'zh_CN', '1522030126', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (19, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWHWZiaXLS16b9VsVgtINjz9RMQPcBRdGTibNXpFphZOfWXzjI7ymt8rFvl2kBJicN3XQn1VQYdCDIbww/132', 'Albin', '1', 'oIujjw9OP1I3AEsORHWgqVfudYcI', '1', '', '中国', '', 'zh_CN', '1478070665', NULL, '', '0', '[]', 'ADD_SCENE_OTHERS', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (20, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/PiajxSqBRaEImW5L4iaHse8V7ZEs4AEm17eicv9a2sJLWEJAxsIZCrzQC7V0rlI6OAtibDUlhAibmps8YJHKmFh6yYg/132', 'ฅ山水拾涧ฅฅ缪大同ฅ', '1', 'oIujjw9ESp_b1J1w8AgXo05kiriE', '1', '', '中国', '', 'zh_CN', '1546170361', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (21, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/PiajxSqBRaEIFVEVst6QQBUK1mVuXTyKmqs5DwItFftXicd9GoskOMvaPeMMKicP9DLdLkb33KhKMPPDNIPlAgPSQ/132', '偷偷放个屁', '1', 'oIujjw4DV9xkA0tKXceH5EALQVak', '2', '长春', '中国', '吉林', 'zh_CN', '1557280385', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (22, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/PiajxSqBRaELZyCc4E4m1pIeMN9Aib8AdcRLb8wcv4jLiaYXk2q4OcBlwXibOsmHjMPxtEqCZRROhhK1TflEZptIzQ/132', '李科', '1', 'oIujjw_adpdeNhXbwRrVGqdFC104', '1', '', '法国', '巴黎', 'zh_CN', '1545549504', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (23, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2EETDBUJQdgguw43qBb4asWia8LYjyYIicWh1gicOXFTpficGPrED7sL3dq8t8D3kyqsChJf9U0MrShgc0jQMl17mZ0/132', 'Qtum群秘 qtum.org', '1', 'oIujjw4C_CYzEyO0u6K5ijKwvVyw', '2', '', '中国', '上海', 'zh_CN', '1528090295', NULL, '', '0', '[]', 'ADD_SCENE_OTHERS', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (24, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWEjC8RZf3DkicPHyxd7GsUhC1wyvoM5icsm3gibXUiaPAtpaHGCCCHYTCicMrBjS7NiaYFpibtIB3ibZ1Ekn3afUqj5SWfe/132', '💝tyna_panpan🎀', '1', 'oIujjwyBRXdlU8L9jzFEbmpKwc5g', '2', '', '韩国', '仁川', 'zh_CN', '1532656170', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (25, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YzfHGicGbzAhZN6hQZvdPawzibtSfZgl4P5ialrH4G6JIF0ia5SRXPwWeV6hKe1vhVyzHgQYd2y3dibMHQ/132', '美', '1', 'oIujjw3q72vcPBjVvKzeT3ss6bXE', '2', '宝山', '中国', '上海', 'zh_CN', '1583882813', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (26, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWEjC8RZf3DkicEz2AGaGjjhwKRZqDoMbjv62wkkXAUaqkpQYOY8YJmK8VDrpbQl6VDqjmuVdq6ZlvlPictQUGLQU5/132', '随心', '1', 'oIujjw8e1qEFNF08L7hmee9C0UxY', '1', '厦门', '中国', '福建', 'zh_CN', '1529149235', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (27, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2HZUyftr70ArnFKsJjSYnFJQicazv6qdRhzXogqLibn256aqeu8eIKLlRPjaib5ye7OlSMv1VYicy56xg/132', '🍁', '1', 'oIujjw9h1jUAZSwHs5IW6xh1rtfY', '1', '', '中国', '', 'zh_CN', '1548525447', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (28, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2EETDBUJQdggpp9r7ahzAFJicoQPmWjXWs77MAK46uibrwWCgxLhLeJyFSaY8VM3KSePseaf8H6licCWONP797W3a5/132', '大爽凯儿得乐', '1', 'oIujjw7dxP6eBzHigXpxdtOtGClA', '2', '沈阳', '中国', '辽宁', 'zh_CN', '1531705020', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (29, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/Q3auHgzwzM6QkOZbfM2Azic3YqpesCa6nLJGVvvo1V76BoYwic3bb8mOImLqCZKDchroA9YNiamomNBicAgb1ng6sg/132', '王挺', '1', 'oIujjw0Twgk485tn9bnlYXmCgMD0', '1', '福州', '中国', '福建', 'zh_CN', '1542519290', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (30, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YySqLLgdRVXBqcuUrDHcazPBicZKiblGSA3z27QtJxb2IjHzIuqnoy0R9cFSSZw2NpEibFHA6Ofzj0jg/132', 'wuyf', '1', 'oIujjww7wL8UQRdtG5WH47k0HTls', '1', '无锡', '中国', '江苏', 'zh_CN', '1572270296', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_CARD', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (31, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/PiajxSqBRaEK2etVgT0muYSaKjDDOMNOPFd2eYREAZiaKl4ea0CicULxPUfYWjfZIrfXjZnRgXI6iaWMribAYKYhXuw/132', 'Destiny', '1', 'oIujjw-ZytiT5iahyABnOAaaG2yU', '2', '威海', '中国', '山东', 'zh_CN', '1543173976', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (32, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YxSZxdrSZNmxK1od7l5RQjvvdssHsZ1ZUQ0ibQAuTrgib4XiaNiaLs3wLP95JyWEktfZIb7gWQIUjdeHw/132', '刘甜甜', '1', 'oIujjw454T_E9vijVwe_xvpGIXBc', '2', '哈尔滨', '中国', '黑龙江', 'zh_CN', '1622185168', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (33, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/Q3auHgzwzM6bRTEXqN0Vk3BsWf8rDFLytPS3M2icVqGiaeqwl9aIRrA43nJgEj0AdPAUczfgb1IoEics5uICgRJ0w/132', 'Al 伟²⁰²¹', '1', 'oIujjw4EcyRQWd7qJhFpt5rtdZhE', '1', '亳州', '中国', '安徽', 'zh_CN', '1540866270', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (34, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8Yy9NqmXGE7Sm8hdCGRF1NrOGlCqib6d8BDxVCw8PicSk7ic9AYV4q8BW1yw1WnhwZ8ibA6viaUbCmhvqng/132', '天津钢材超市136-1216-1256', '1', 'oIujjw9WBZBUW6Zz_pPelzNSLrBs', '1', '静海', '中国', '天津', 'zh_CN', '1525045820', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (35, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/qQrEtxdibf86UUGEediadadFOJvod97NkqG9jnwpL4VyCbwH2IMoek5ILLSp8k0LFOiceiapsxKSsk6VcicjTwUbTpk8pEibdxkic0b/132', '大莲', '1', 'oIujjw-bKvGBXLHREV_885Kf5p9c', '2', '泉州', '中国', '福建', 'zh_CN', '1557511449', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (36, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/ajNVdqHZLLAhI4b0ncgaP1I3ribUGRFIJQLHhibicztGWsBZPbCIHUgiabOMWGHGMZkyqPrTUvZcJGib88ViaFbRPZOg/132', '瑞💐', '1', 'oIujjwy6khFfc-Oo5V-ooXwJeKhw', '2', '牡丹江', '中国', '黑龙江', 'zh_CN', '1549941813', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_LINK', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (37, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2EETDBUJQdggoMHD82pQicIMwXmINJ5AXyEtaT9pw1Bj5J2LCysGXk0kicibViaSQq0gCVaPyibngsvP82GaU5b4wwwX/132', '张凯', '1', 'oIujjw5IOhu2X6cnUeefAOsB4Hxw', '1', '', '中国', '', 'zh_CN', '1480921140', NULL, '', '0', '[]', 'ADD_SCENE_OTHERS', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (38, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YxT5JaKe9CibbBvs0REt8bm7RZzJicPUyRZO7zOLZcZCA4CwaUsW7BL8y9Zg7CtiaDI8YebChCiaUO20w/132', 'A0王岗北村天猫电器隆鑫绿佳国旺', '1', 'oIujjw--0fD4ty5bd6cnS-4ay_Zs', '1', '漯河', '中国', '河南', 'zh_CN', '1551441191', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (39, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZRdaGk9VHfWPLO45aZW8lU9dm9JPdJO8IqneMhSlzWE8SJHLEib6EL7ENCgP3CD8RwGIibpGJetEziaGMNrL0Gpk4V/132', '画村研学团务', '1', 'oIujjw0BS64WIbJhZxkRp9bckmYQ', '1', '吉安', '中国', '江西', 'zh_CN', '1526771566', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (40, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/Q3auHgzwzM51CxU7l8ugg7yZOyaryKmIwX5Kohk4icJoFJVHUUFAy0hVOxTvyicGlHqM5VyyA5OhibXqib6h0So1vw/132', '三月天『炁』', '1', 'oIujjw6jmJiRuc_wgvK0i0z1RHXg', '1', '铜仁', '中国', '贵州', 'zh_CN', '1571202024', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_LINK', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (41, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/PiajxSqBRaEKScWNZxCThqUNmK2PK9ssrkT06bAgdOtZe30wAdMqXq6pm4CemIrjHfI749NuQNeWFSxat7fA4pg/132', '砖厂直销小青砖', '1', 'oIujjw_HHsQYJEIn_xWiASw421-g', '2', '郑州', '中国', '河南', 'zh_CN', '1532347494', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (42, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YxUs7u77cBS2M7GhiaXbxTha45YPjCM3rLIqBMHuTVV1IXj9DeQewGotLdKWblGvqT8TiahmhtXz7vg/132', '张坤（璞沁初然）', '1', 'oIujjw5ie7BFBCAARgWkNYVcp2H0', '2', '', '中国', '', 'zh_CN', '1478773196', NULL, '', '0', '[]', 'ADD_SCENE_OTHERS', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (43, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/Q3auHgzwzM4vXub8e1v2hdicnm8tsO5ZbdHcUUjy6HCgXgBlKSrzBqwBvicPDhnt7XeKKe4bQHYkicic4cN7ibKibIwPGicDrJ7vPZAMwe6icDSzURk/132', '孙罗以13103790600', '1', 'oIujjwxxgtiX3kj2iVQ5C4Y0HrFc', '2', '洛阳', '中国', '河南', 'zh_CN', '1531981299', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_LINK', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (44, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/TCqg4DNvDBZvnKCgPUaicUbu9IqCT7VHN26WfVHV390e4BRfoCw6chPiblZ7ng1MIbDkfF38XODw3d6Uj4WdpAaVfYU0q8KgibR/132', '不忘初心，牢记使命', '1', 'oIujjw_O9xL4mIwMu-nVJcg40yaY', '2', '郑州', '中国', '河南', 'zh_CN', '1523424824', NULL, '', '0', '[]', 'ADD_SCENE_OTHERS', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (45, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWGQFlgnVwdhTDFOWYwl2dQMdrfh8ZkJQVSDlyr6kgmqBRLR5HxKAMbD5g0oxRbJxhjw7DzlVxibWcULdq3xf7uby/132', '姚芳', '1', 'oIujjw2uGoQ0q6Eg4leSxbr6kJko', '2', '营口', '中国', '辽宁', 'zh_CN', '1559319369', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (46, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/08LcycaibJqflAvO5Rt9pfEBIy9aIicQBEAG0Luct3cJu6XKLqJFzX6LsUkm7GI0tYTUAlSbLsibusLH8VxRfyVBZQfK4lb4x44/132', '吉庆气模15603589998', '1', 'oIujjw6hpDsefRsrzNMd-4UD4sGQ', '1', '太原', '中国', '山西', 'zh_CN', '1532772415', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (47, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YyFVSbDdichQ9Gib3gEx6e7NHSYwRbM8KiatM5dtlL2icRehicfTbCIE1xLuyHcgCYJT8ria281mvPz4AkHAjgtkX9ghs/132', 'D  有毒', '1', 'oIujjw8EGtzkw3guNodz91LLqsmc', '2', '', '中国', '上海', 'zh_CN', '1581391206', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (48, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZS9Gv4NVlbsybP73OGDcNZ6PSiafjVrMLEc0yPJib8ayNSib0tFnDBBSMG3wbkql9XTDfuM10htTCibHasNCuVnIRLY/132', '李河', '1', 'oIujjwyrPjU9QE_LQ2jaUM1xTPHs', '1', '', '中国', '', 'zh_CN', '1543846546', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (49, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXylXqZTdYY1pSLUeXCQU9ic1vyvhE0b0v3tjeDbStthgL3ozR8YClg1yMoPhhQEiaJib2ejkWpbkhH0D/132', '挥刀斩情丝，，，', '1', 'oIujjw6muO7VOCEntYY4zFzU2VNA', '1', '岳阳', '中国', '湖南', 'zh_CN', '1544802512', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (50, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWGQFlgnVwdhTK0LSxTsicWMgPEu5hkwiaAetSEFlOaTbUZ1BMY6gWxH34LuxnhXbpwOCHP3WyiaFQmPlxzqQ7INWia3/132', '泊头惠选雨森纸、巾，俏百惠0317', '1', 'oIujjwxvzO9efxurckhK9ch8qUgQ', '1', '沧州', '中国', '河北', 'zh_CN', '1545643738', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_LINK', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (51, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZTVFmv5YNESicHaicD5jzRd3m67icLUw8DmX5qVN5DAzpuiaibtVhDIVQcqfv0AQibBxYomGAFXeHUI5ICLibibvQXfmbah/132', '小龙', '1', 'oIujjww_WwJn_W4_1i-oQZI9uyhE', '1', '广州', '中国', '广东', 'zh_CN', '1547887705', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (52, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXyn2T18JlocjBEAQHrVzH9EQbDhr28kBQSJ0FLXv4lGZmlmVgiajJtK8W5YW77DQ1niavQ4OVlTxc8a/132', 'ィ夋亻夋_', '1', 'oIujjw7Vjb3bLFZ9W94JBoq2cbQ8', '1', '张家口', '中国', '河北', 'zh_CN', '1523163232', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (53, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXylP4GaeCoWNSDa0ia8bRDskNrNdSEiapicrawu9LicLSOyqlgW5pnwwaSVCMJ8vOjNPBEcNQWibDCn9h8/132', '186-906秦艺可2.5岁', '1', 'oIujjw6L_-7WRtcksY4-sVT9Dbag', '0', '', '中国', '河北', 'zh_CN', '1521936798', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (54, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWGQFlgnVwdhTFktv4S3MH93637B0gIUyzL4faT60poQkDM2y80sD58LHhZIxMEf8pPSIf0bjWqQ7yZicLnm8RhKD/132', '水墨江南', '1', 'oIujjw9iQWtNKUk_H3WhQJR6DzMM', '2', '汉中', '中国', '陕西', 'zh_CN', '1536114105', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (55, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YyFVSbDdichQ9ASNswW4PaXAvtRMiadpbZA4WcP2DTh2Vq2ia3Ra6VjBJ4qDhVYJfGULdvgbSsA6nZp9tyDVqfPQsO/132', 'Anjing', '1', 'oIujjw1I5GoiUDFsTG4m0VBom7uY', '2', '朝阳', '中国', '北京', 'zh_CN', '1535554918', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_LINK', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (56, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWGQFlgnVwdhTJfbqZapg4eAIMcu3z2rvgPpdQhOic1EaibsYpxPX89NMicdNp98FsUn9xkNFf9rN7oJF66eyuXlqD2/132', '半瓶水', '1', 'oIujjw4O2McaOe5OLtiR7sGC62EY', '1', '新乡', '中国', '河南', 'zh_CN', '1538018813', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_LINK', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (57, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWEuoQDpY6L1xlTws5lcVn951oz2a1APEy96SiaNCibU0382MpzVFdf51qgypshKibxtzDWf6CkOQQnAOwkohTseiczr/132', '逗小逗°', '1', 'oIujjw5_ea7Bvf9KJxz0Ozh0SKfo', '1', '运城', '中国', '山西', 'zh_CN', '1535764640', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (58, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/ajNVdqHZLLCW2LBjEiblm3lOYeVj4sRdVPhKI315Sp5rw9EVZKuTo5Pa4U4D8oQGTJTmg6zmjZELhM5WGxq2QKMR7ZzdEufPicUBcnib2sJEfE/132', '三草两木', '1', 'oIujjw_dy1h3Izaitvf4MYIM9b8E', '1', '', '阿尔巴尼亚', '', 'zh_CN', '1575790224', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (59, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YyFVSbDdichQ9FUqVicFG4BaF79PHibnic4V9aefkk3IhOWrjaWqB4MpFPLTgG0KLWoGGWlg89eD5dhk9bGKyVicEsvt/132', '侯鸿降霖Howe', '1', 'oIujjw-vzkJ3_yC-S-Zn3Y984jXY', '1', '海淀', '中国', '北京', 'zh_CN', '1527139862', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (60, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2HyGqvMKASB4Ap2dTNyiahicZl6Dib9HK35BVpCW2dxsMfJ6SqZIQVtcbFeehA3zwPk5KtFwyTTCwVtiaXag2r1wBdS/132', '快销365', '1', 'oIujjw9tdIzvkBs31mBfm2ZIz-ZQ', '0', '', '', '', 'zh_CN', '1479180570', NULL, '', '0', '[]', 'ADD_SCENE_OTHERS', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (61, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZSTXtDiah7gyAAda0CzdcVrPd8vgiaGzYFrgp8B9r7ZnNUTX5WZnZAnczbogVqz9FPFZvvhUYFqegVBGZuSgibRHXia/132', 'Maggie', '1', 'oIujjw5I_VLco1XYGofIvvuaJNUg', '2', '', '阿尔巴尼亚', '', 'zh_CN', '1574616188', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (62, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YyJCt3FfaYSW8JhTBFazfCV9rnuCDW3acXA09nBibAoswcn75Nvjkvc3QPOhUKvoq8IHbxX64m05RukFiaEG0kxuF/132', '自贡荣县运营中心', '1', 'oIujjw3wysRWKju9CtU2ESbDpRpE', '1', '自贡', '中国', '四川', 'zh_CN', '1530669686', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_CARD', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (63, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2EjN1uicplgzln7mvoYH9WibSUZSHziaTbXpBsBXFSlib2gj44NxDB7CibTrS1r4GHCqnjTBm974tzTtJtiaX0InmEw6e/132', '微进销让记账更简单', '1', 'oIujjw_Ho47WAf0JURyQNTq4mCXk', '1', '', '中国', '北京', 'zh_CN', '1522042682', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (64, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWFBrfRZyQqwlmKhYQ10wk4fT4iapA3vacicyicBRwQ9CiaJwfRwb6A71Mkwzmj9UpeK6G8UcLssBBrhPxCVHIRY3ibFJ/132', 'A 奔驰济南之星谢英芷18053182615', '1', 'oIujjw_yOJ-FMSTUYJi2iWv9G0g8', '2', '', '中国', '', 'zh_CN', '1530684567', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (65, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZSR3iauahg97Fr1sqrrO0hd2v2X5LslygpaWemUtRN19NwyjJdbZKqxyavP6icTDZY4GOjVEfXSVHCz6GPbpVtVrd/132', '君通商务宾馆13*89681689', '1', 'oIujjw88Pc0x4uiA9Mb4AN8q8wi4', '1', '临沂', '中国', '山东', 'zh_CN', '1579440795', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (66, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXyt6ypXsjQcgD16E1PMEqtgzVwjficMtmxbPFOV3ZnL55RS0OYT8XgDicepwAhV0wW7qmkzTUlicvCw3/132', 'eric', '1', 'oIujjw22H0NZUEmm3Pdj3X0z1XSg', '1', '台北市', '中国', '台湾', 'zh_TW', '1580825024', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_LINK', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (67, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXyldPzgLyoMJ0r2kks5icD3GxAwn67iaALN7pibl5p0RRZhLxricZdY907rca5ueMeQUvOTEKTGcamGmm/132', '金芸熙｜健康纺织品｜推广大使', '1', 'oIujjw_hT0PrN3mu1mQJCssR84cE', '2', '西安', '中国', '陕西', 'zh_CN', '1558625885', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (68, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/hc83p5PPVZHk6kWGcHoxt5HzgribEoeevTtrjVQ72dLA9oicVsibos73cs8xAksgyyXEo8eY47dd7MJrZianYeZlIuUDu8zicTag1/132', '玉环李哥手机配件商行', '1', 'oIujjw8C3ioBog8nWJAiIalhf36M', '2', '', '埃塞俄比亚', '', 'zh_CN', '1614836114', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (69, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZSR3iauahg97FjiauooGeZKeeoFvhPDLYUzia3dibvYhoUBJCMhk3GnUibQ5ibDIPB9EOcAj0DlpQIiaK6v7mQNCtWZIgp/132', '顺棊臫橪ゅ', '1', 'oIujjw5drNRIqUpcc2VUrU0tW2X8', '1', '吕梁', '中国', '山西', 'zh_CN', '1578210798', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (70, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2FGLM5C5vA8yesZDJWHAL02QuRicQ5QrwtFOBX4DS2ibPic3GiaHFALtLpPOrDHL7tDAbYT263MIDR7TITHFjbrLfx8/132', 'A～1路24号盈兴食品詹生', '1', 'oIujjw3XVNNxT1wtr4pUkoVxQyfE', '1', '东莞', '中国', '广东', 'zh_CN', '1547942454', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (71, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/Q3auHgzwzM5M0VOLpeH4VUpz7OaXXVRlrnsYLT6wfpcZyiaYS0ictNzTgxkxiaROTib2icAj3ez6q1wG6icV0UnYSOFpRABDlPbphcTibILnB8cg2s/132', '광원 동기', '1', 'oIujjw-yJsrSoXPy1ll_UaJwZ2UA', '1', '衡水', '中国', '河北', 'zh_CN', '1625958488', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (72, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YyFVSbDdichQ9Byw90uoicvTMgaH2MUUI3ONrYTulRwyuEicQf9KQApcDpvPl2v4VlDoM8jd5KeskQW37mAH92ialQx/132', '胡斐飞-Kira星球', '1', 'oIujjwxzO2tMoTZiVjP7t3ZOp7bc', '2', '浦东新区', '中国', '上海', 'zh_CN', '1524106002', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (73, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXyiaicaglF6uPIib9RwZSZXF02SBAetiaPmrTUJopOHB5J2u3w3TKWXphgpLw5dt7pZBolgEElWWO2H3o/132', '吴熙江', '1', 'oIujjw2A4qwf_3u7i0UQd_WZOUpM', '1', '青岛', '中国', '山东', 'zh_CN', '1532498366', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (74, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWGMLuEvblibbO6BL73a3sHUFLTfRrhOjWk3Gh0kRpbWc3A7AicgMzIQBGQmPfic0AHu64J7Glm4B1m67HkicaecSScl/132', 'AA精武门防盗门#乐事木门#尚鼎装饰', '1', 'oIujjwzZz8ptXXKorXSnr0szyNho', '1', '泰安', '中国', '山东', 'zh_CN', '1619189015', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_LINK', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (75, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWEJPARlibgaxS36Eibzra4BTevVhkVBpWe2W3yOicsylzewicTD2t8HlTQ2JQNAQvXNtKdSlm8CyviciaBvXMOLWKO4Cw/132', '黄凯', '1', 'oIujjw1cDj4YVI4Rbtqm8MTGgRYo', '1', '青岛', '中国', '山东', 'zh_CN', '1535528401', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (76, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZSR3iauahg97FkOPj4vaNMIbObqDqiaAUtIBB2lckJmqVfMbWZ56M2getpBNJd6JFIib7QYGiaqMe0wicsWu8utJzicPI/132', '程先生ღ⁶⁶⁶', '1', 'oIujjww6m6MqKnSngE7j4RvooskY', '1', '佛山', '中国', '广东', 'zh_CN', '1543559550', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (77, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZQZt3FOaTNPA7lha91iciclp13m99hnEia0hPb5DFJwP65TofmOvgPexS0ADrBw0uXvNshtsx8VECJDuQ8ao2XTnL7/132', '盈泽服饰（罗方绵）', '1', 'oIujjw-F__kAEyPTFA9FljirchSQ', '1', '东莞', '中国', '广东', 'zh_CN', '1540589365', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (78, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXyo1zAdm2IFtbPpaQdw9p1UNLUl0ED3y1ic5hdicibIhibcqe4EKAMfZ2qHOibjpUNzOvWwFDpRdrgYDQ4/132', 'Howie', '1', 'oIujjw7yj8jcbR3UUWytCUkWKeVk', '1', '朝阳', '中国', '北京', 'zh_CN', '1553660039', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (79, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZSR3iauahg97Fujrwv5TOk3qXlpGoibiaMcz1FoSIaBVquTSavdEs3cTiagSpdLic7Mnd1frqAoj375ydRWH7AMthW6B/132', '五失居士', '1', 'oIujjwzQ95UlL2k8DZhB_HKB2Um8', '1', '密云', '中国', '北京', 'zh_CN', '1628508742', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_CARD', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (80, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2H8ohXoZwGoJU0EY6RD22VZ9Ce5o8EUlTaic87VDxpWUySyuOVmKs5WHLGpoee7RlLLC38VsMa3jx5ibScksLwe6s/132', '袁林', '1', 'oIujjw9WgqPtF8jOkD1qOZpogHxU', '1', '资阳', '中国', '四川', 'zh_CN', '1563440556', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (81, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YyFVSbDdichQ9HibQpDsYfCVzVNC3iaatJ9knp60dg0mKsYy70GdMk3nDgV4ePUYgZurnRicqMiau8qfXRotruia2Lsmp/132', '云朵儿', '1', 'oIujjw8Ua96_6DJzHU24yA0loy20', '2', '潍坊', '中国', '山东', 'zh_CN', '1545036886', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (82, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/Q3auHgzwzM6FBm5Nm13Gu6ALX9WRWhv52SEye31Gt9Micmseu9icBAdvbzvoPwB6OgwpQEjvnyEzLTaMPo0c46m9JB8DSekIvoWDSVvxKmF6k/132', '阿丽', '1', 'oIujjwxlu2esySO9pjKdnKnBSCMs', '2', '深圳', '中国', '广东', 'zh_CN', '1545233434', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (83, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXyodNqxro80h7SHjr6x1iafKOBRgIltFOJoGDvTZMKf6zL6bOZMOSjof50kLl9WzdSaYFeD4JuNWY9/132', '站前口腔诊所.医保定点📞6560970', '1', 'oIujjwyWKj2yWGj-NCBpqiio7eoU', '2', '阜新', '中国', '辽宁', 'zh_CN', '1552662691', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (84, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/ajNVdqHZLLCk2SmeIVBmRMmHHYrQ9ne3jD2YZlmUubibfCUoicv5XtIumXjIMSX90jDKTDFzXYSicYVqmzkkfkic6PkLbFFQmZjg4tjL6SdbCqM/132', 'Albin', '1', 'oIujjwzSiNSQozF_jr1qHNcBriSc', '1', '', '中国', '北京', 'zh_CN', '1479178243', NULL, '', '0', '[]', 'ADD_SCENE_OTHERS', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (85, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXylDmiahJLr9zuSxGsJAAWA5k3TS9pEBujubprTicrjEFYKAc0PXICcCovZZXul9fQVLgagNAgaib6MJ/132', '修车小哥 18976073275', '1', 'oIujjwzWf8rZ4XEH0AJzGQkWmKLE', '1', '巫山', '中国', '重庆', 'zh_CN', '1534438390', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (86, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/ibw69ibdhmAFfqadxCYMaNF1cuvOe14SroWO3nu1wqsbU9Wz6Eliar8tGNGm2XIvnlgnibPEz7LeQ8d8dhqyrph5STkBGYyhBhJ7/132', '云南朵朵家纺有限公司', '1', 'oIujjw4z3nWljryJL3kTHY3cxVU4', '1', '昆明', '中国', '云南', 'zh_CN', '1532856393', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (87, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWGzhahZXZGwlg5zsuJmiafIU9OicJkgibbib9u4ibmiaToBpSfd1AhAl7cicKHfXC8hnnSWVtMRvaj4BD3cUj6R9XXtMoe/132', '梦珂', '1', 'oIujjw8jg11ooyQzR7EpW4d8Vk5Y', '2', '深圳', '中国', '广东', 'zh_CN', '1541059602', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (88, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/08LcycaibJqflAvO5Rt9pfMgzJNw4UFGdQrmOblvUDpIszyiaGlHnBXFW5ZYalGBGBbvZ1iahwvlkTwBn4s1VEQyb4aFoOpWt5Z/132', '😅', '1', 'oIujjwy5ql18i-3zs5kqRa2H7MPY', '1', '普洱', '中国', '云南', 'zh_CN', '1534568149', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (89, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXysicz9mjAxLjrg3iaeuNw2IB3GgIzl3pKktXnR31nY3Wa70hknGsEgxTrWLd8rhN3gicCsqJ5hic4Srk/132', 'koi.💭', '1', 'oIujjw2hquxost9acF_HVFmI1v54', '2', '平顶山', '中国', '河南', 'zh_CN', '1529418638', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (90, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/08LcycaibJqflAvO5Rt9pfI1ZZZHMsFTdaib1ViczcIkKyqclcLKaOF52tZhJg2Slg60eOuuv0K5UXeBxgh3iawLJ5tZwoJnn5ZF/132', '湘宁', '1', 'oIujjw8CXJIeXXf589Q0ETsRIJ1w', '1', '东营', '中国', '山东', 'zh_CN', '1532505624', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (91, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2GnBJJau6uhSNuh8Rrv8gc21k6DeNexXuU5lq0atSib1KPXiceh6NRwaBnkQu4JE9DLCicLOZWldSKo5n541aOmhch/132', '阳光晴天', '1', 'oIujjw4p6VjqLh5DYgVM_tDNvSfU', '1', '', '阿尔巴尼亚', '', 'zh_CN', '1477913018', NULL, '', '0', '[]', 'ADD_SCENE_OTHERS', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (92, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXysxBicNgGzE3NeXDYV2Tl92eO2wn4fb21diaK8glX01WnBFJ1nx8I06QMvJn27G6R3Oz8MbOg844UJ/132', '雷玺炜丰18716766866', '1', 'oIujjw4a7ituZFxVCoqb4wbE3YRw', '1', '开县', '中国', '重庆', 'zh_CN', '1547263976', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (93, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/Q3auHgzwzM4n0kLlxCuUNWBiaYoEALZUxeYO9W4cvwZuyNw62X1y5It0hyLDCMTssTBbkwgsPw0D5IMIJ6XBCv2zmyqmhpS68RHwMAW54XVE/132', '玉露', '1', 'oIujjw8xuB-CoRF8q0uiCHzFXqrk', '2', '徐州', '中国', '江苏', 'zh_CN', '1544745417', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (94, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWH9xKWyJYMsnh7CZCfNNgvnwsEvAMfKiatfibniaQMiccUicuh0okzOhg5pEic3gl8pWujDQUy09B9alMqlRMGDO16QPC/132', '....', '1', 'oIujjw9WbveNS3exfCEk0tmX2zC0', '2', '郑州', '中国', '河南', 'zh_CN', '1545374357', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (95, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YyFVSbDdichQ9DNbA5DarlHsBiadQnTnCM2s0rjFTCdvlq0GvSuUQQwGgiboMtSS0VYGw15j7536v3wKbCPmjIIgicU/132', '赵臻', '1', 'oIujjw3ZJI0CqpC2VY7Y4UE5R8Ug', '2', '兰州市', '中国', '甘肃', 'zh_CN', '1574171280', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (96, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWHa67BkmqUwWnbhicHDj46bHaB8V7UAFp5PlK6lA4e9OgXRzJN8ajXXDomCTich8I85PPYCsFajSpicQ2o3qklnkDX/132', '林夕【蛋蛋面膜免费送】', '1', 'oIujjw2XJ4F5i0iwzKl8BvDJ6Ypw', '2', '成都', '中国', '四川', 'zh_CN', '1528454014', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (97, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/08LcycaibJqflAvO5Rt9pfDWnCgk3VzDqamTgq0FiaMPwbcyRDEwn4oiae5liarStOtywbEgPyuWSJqtA60LONYOwpKQBKJGhGUN/132', '杰翔(曾)15132631839', '1', 'oIujjw7YApIgHrSa710zCF_ZIlZg', '1', '路环岛', '中国', '澳门', 'zh_CN', '1573432259', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (98, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/08LcycaibJqflAvO5Rt9pfAHm9INgN1u9yzG7yStHRSQickLoEZQCCHEhf6YZaYyleR7qrKsYiaHm2BAKNyyXx4wyvTibYSuUhVz/132', '赵楠', '1', 'oIujjw1nbcF4tEQZueQAjBW8J8E4', '2', '', '中国', '', 'zh_CN', '1616738600', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_LINK', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (99, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2HEd1Bgk458IoZPS4NhndVGMdXeYmsFKpagQhYSXlKvE4WMvtce8C6H4pvzWQWMRZ8f66uGVehnNbL2Ryiaq6icgH/132', '德仕堡', '1', 'oIujjw1cMq8EIdQFBkAwBZdWDtd8', '1', '揭阳', '中国', '广东', 'zh_CN', '1599480948', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (100, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZSR3iauahg97Fj0SDgpIvacFJZxJQmLFvIpsdxh2B1RHZGArevj0EelzgqEZAfsF4Ueb3YtKPjAZLT2WxsLFRNqh/132', '吴东强', '1', 'oIujjw_TDj9g3dy3u9_5KgkkZ78U', '1', '海淀', '中国', '北京', 'zh_CN', '1628508594', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_CARD', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (101, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZSR3iauahg97FvPNRj4nBeAOMlshIkgZibbb9o019xlSQMD1jQW0peSQNFWUrWS5TsnHodZpNPdltFMOz68EKDxPT/132', '树花__姬存希护肤品', '1', 'oIujjwyYTZvp6GsGJwVZUK5pPfP0', '2', '襄阳', '中国', '湖北', 'zh_CN', '1536636245', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (102, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWG8xqD6DzPibiaeuL3zHnC46Kq6tKWMTFdFAHIEkENrFbDlxUybZ3XZRN4iaq0Wp3Lc4iblK5vMibDUb2hvmDKSYnvID/132', '爱我家园～品牌代理', '1', 'oIujjw5smrex9Urvx_x1n0bgSAnE', '2', '成都', '中国', '四川', 'zh_CN', '1570796769', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (103, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YyFVSbDdichQ9CibTFYnjLKQC6mNmfv7OgybrOPyPiasibCiahO3u3cKYfrPUf76NLMtS90YFlgouibjMdfOUnH0suPP4/132', '李海涛🍯', '1', 'oIujjw1ec2OQmfHPIdH_PN2na8II', '1', '', '中国', '', 'zh_CN', '1480300069', NULL, '', '0', '[]', 'ADD_SCENE_OTHERS', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (104, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/3a3QxMHZ8YyFVSbDdichQ9HFomkOadPHzTPyUO2G4rn4DRtic0GQQfQFEylVxhr0QJbibVwLicJgaA8YtI9CZYeJbMqE8QHLKP4z/132', '招财喵', '1', 'oIujjw8ub85VUGRWnmKHCLdEK-DQ', '2', '博尔塔拉', '中国', '新疆', 'zh_CN', '1540144893', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (105, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2FiaqSSm3ib5SCAYGQsIU7O3ia1dFCItiamRnJblXa4zicraMJdtHWQTiaudlcibRW5sAPZkH6CmJjGeOejyzrkuea4I5N/132', '💋 Pansy', '1', 'oIujjw4bf1G3xGLshz8G6akAuh1A', '2', '广州', '中国', '广东', 'zh_CN', '1539150190', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (106, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXyiaxqM7dkZicFDtibl40MhwAkiazznRDMH4YuYr0nTDbXBH9NAcguL2wvUBT5OqTagknGISLEykRmLDp/132', '红燕', '1', 'oIujjw1unYZuHZboawf7HLfCY4aQ', '2', '镇江', '中国', '江苏', 'zh_CN', '1539845067', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (107, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWGTFHQvjLN5ZTc3w5bV9Hl5uXAfcSN9LGqx4WukuIbgia9G75oOBHx44A3ichxOaABGNS3rE7ibvSmvTKA2dXrv5IT/132', '润滑油批发、零售毛磊17779100904', '1', 'oIujjw9zvz7nZ6jtxj8iZ6iNL97g', '1', '南昌', '中国', '江西', 'zh_CN', '1552888760', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (108, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZQYL2VicBPncDLaUXyxcTE4LXPVEjhgTUNpcCpzYA16yoUVs6ObYAHjzLpichwjuPLwuRDbnY0CfxEcpHUsicjvGUic/132', 'Yang', '1', 'oIujjwyKDLqyxo5bYY5g8h-maCQI', '2', '元朗区', '中国', '香港', 'zh_TW', '1576595946', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (109, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWGfh8FSicvAOEM68XEw8wNU1UKjss7HQF10Qotb4ric8MLfY9376nJPK17ExxoO2TtJWHXONpGqSaPeDuPcg9JRyE/132', '格格妈妈', '1', 'oIujjw8-qxrwjA1zTuIs2H-b6Pqs', '2', '珠海', '中国', '广东', 'zh_CN', '1527578215', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (110, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXyhFtFUKouaGtaDaIoCBsRFoXoynfEDjjSOPym3sDuc4aC8gwGx1qHhVcu96ThRVibuwicEWQm8nJaO/132', '风语者', '1', 'oIujjw9uaUOd4vhFFfOE0nCI8sPQ', '1', '', '荷兰', '阿姆斯特丹', 'zh_CN', '1560508109', NULL, '', '0', '[]', 'ADD_SCENE_OTHERS', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (111, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXyquMhlVLn4rNnj2vgPpPTibfeiaiaPyibqPkMVEu6ibQpa0YCUiaU3xsXzsOjJL469nf9cSZPqdVvUdwSI/132', ' 凡悟', '1', 'oIujjwySoFtTOSoSzon2x2eCj3Sc', '1', '福州', '中国', '福建', 'zh_CN', '1542609902', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (112, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2GyiaAfgia6DF1niaWxTzwGsypFUn4Q1uhODXxrg5ZJhuUtydWmRVnSCWg0e4RT6BxS6ljtxZwjicP5YPtpKVpx4qNJ/132', 'Namiisha💖 なみさ 💖娜蜜莎', '1', 'oIujjw4Jw0XexA08DVwmiQUp4tV4', '0', '', '', '', 'zh_TW', '1617548701', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (113, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZReJl9WwrKLek47BcWpMFzyF0FLMgqOLtzicuCDkoZVhay5WUhZkfWicxz1icH71vpiaxLRhVFWpI4o5x1Hkd0HsJtx/132', '我心永恒', '1', 'oIujjwwI6VATeXaXsxD-0pjaCE04', '2', '德州', '中国', '山东', 'zh_CN', '1539729532', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (114, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWE29cMsqANVEWoL06q2YmvclDyibVQ62lzsf99jIADcBiciaofVGREcfgiccL5KFV7yE6039zm64N0ImPPuKQyQ4tbH/132', 'wake up', '1', 'oIujjw4afVpvIAqOWcrSrUEwP9zE', '1', '滨州', '中国', '山东', 'zh_CN', '1628508848', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (115, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWGq3cxFAuUkOZEr1JdeabaDTcg4zu3ib1kBJfNo9WibC5UEBuy3yoetARXr3cJEWIbZ7bj4fWMwL3RZMszY3BLlea/132', '以风（京东旗舰店秒到', '1', 'oIujjw7C9vtKF5XFnYPz88fw9gTU', '1', '福州', '中国', '福建', 'zh_CN', '1576412572', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_CARD', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (116, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/wIakGXxMyZQHVe2XP5VT2zU42tRtW9p1BjB47bzfKlRdRncGCByAOpQdNWicaficYBcRodiblkbZNuAPJ8LCQZa5t46wxZZtuKV/132', '胡圣鹏', '1', 'oIujjw5Jo9ROZ0X613nFit9LdCdc', '2', '武汉', '中国', '湖北', 'zh_CN', '1553071499', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (117, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWGQFlgnVwdhTOQAybQNxAKqSxgRgoLSNh4rwcUbq2mKW4sicBlTVMeibh8q5kBNWY6B59RmWJh60jbI8UdCWvuRMr/132', '༺氼༻', '1', 'oIujjw3j_gQelDJU4uJLZkK-IZhY', '1', '成都', '中国', '四川', 'zh_CN', '1535740075', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (118, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2Ficn8dcz0J4C4Ac5XNvySW3nYwLFAyBfmnc9Qgib0ftFkvX0Aj6fNgSlhxH7da6mP7VBlaKuPVYCS4kmTKLA3yLm/132', '天蛟（天子）铝业接单（画图报价）', '1', 'oIujjw_PO4kfjtwzk9_GghDCo6xc', '0', '', '', '', 'zh_CN', '1545374227', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (119, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/9P67s0XHY2F4z5x3LemXyuod4e9wkHibM8p0QZ2Z2VmZCPCOmTSf0Q01NLvaPbXwqiaob8fdU90XEl9uU4YGric6D1XpUUicmFru/132', '男儿本色', '1', 'oIujjw_K2QFRmMSj_1AQzx-OKFgk', '2', '深圳', '中国', '广东', 'zh_CN', '1555043091', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (120, 'wx49173d7a2a8025c5', 'http://thirdwx.qlogo.cn/mmopen/eIich21ydFWGWZ6G8ial8HibRmoaG49dBmNwwxZOqeVZ99yWHRfiaj0CcGn8ic6g0HKj0jjVg1790PyCbpElzDDla0MphdrNqlmDia/132', '办公室高隔间，酒店活动隔断', '1', 'oIujjwzYRh0WRoMuo86L2TGcCFHw', '2', '郑州', '中国', '河南', 'zh_CN', '1545374454', NULL, '', '0', '[]', 'ADD_SCENE_SEARCH', '0', '', '2021-09-26');
INSERT INTO `wechat_public_user` VALUES (122, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/PiajxSqBRaEK9p0Q7U3SIADnsIg8mTOg2ib8cFJzDuFvcibYnlFfc4moicZFY1bdKSibhibT0te2TZjg0CSmJ3X6ghMQ/132', '王豫鹏', '1', 'oFdMa5tPAFDqmkK6ipSnFMdQdiMk', '1', '', '中国', '', 'zh_CN', '1606958835', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202012030927209435301243', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (123, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/Z0Yj8m5PS2pCUw4yuqIsrv6y0VaDDrddlxGRnMdzT8raiawgxVLLlqsAIffOs8QCCZBc2yg8Ott0hFWNXCPhA3yn37VuJvSL6/132', '蓝柯一梦', '1', 'oFdMa5kfCc96h8NZ4WSQ_wy5_jt8', '2', '深圳', '中国', '广东', 'zh_CN', '1629559865', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202108212328372179093028', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (124, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/ajNVdqHZLLCYJDta8xYQhmCvkhrXoNUaQNaKK9pggHj38EhxNSLCpSCjLzXbk18O5LN4PcZrCcnLY4Lr8TxJTg/132', '@哟呵', '1', 'oFdMa5ouzediISk-TLvT4x8rH3to', '1', '', '', '', 'zh_CN', '1613755951', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202102200131488855072930', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (125, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/SYeWkon6C6JMyszibOBU4SC7SSxuvEBl2Zd2UKDD2sAcqR9RBYyprIPGSdfqQ8dib8LpXfTk0c5XZWDl4j9P8WTg/132', 'wuyf', '1', 'oFdMa5h2jA7cgJPIQ_HJPNkOv408', '1', '无锡', '中国', '江苏', 'zh_CN', '1607426423', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202012081920247774711726', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (126, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/9vTtUvVmwJaWClwjz6A20ggCamb1Iaeicd64JgB82nyz5Dcj66ne1Sjm1ibkib4XjNkKXaibYVPuxxO1I0rpI8c20rVMjKQbRptn/132', '张威', '1', 'oFdMa5pSaDarPlnOK0f6fhdWriAs', '1', '恩施', '中国', '湖北', 'zh_CN', '1631746495', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202109160652347682360720', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (127, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/0kwufew3FKlGiblVibb0AiaDUoJHa2Eh0KbQtOmvlYSMdgtvMpXicMyrklKueeXAhyGZrfeUu57pAicGslgkibBfeRkzibLpwnNumQd/132', '小韦💯', '1', 'oFdMa5ljNhkKOFKFXQH_eW7SPxFA', '1', '无锡', '中国', '江苏', 'zh_CN', '1623158622', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202106082122188701199030', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (128, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/Q3auHgzwzM4DRnrEbEIKwbosUnVEg5fErZD1e1j1vOjHgMgNicNvXQyEGL6FzIm2vnfA0zHaL5yJOQz3EGrPDDUKbUHibwDWrJJBGJZroh28Y/132', '上岸部落', '1', 'oFdMa5sP22SxiHVn4fNYiVgbfqwY', '0', '', '中国', '重庆', 'zh_CN', '1615370339', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202103101758162356869519', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (129, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/twNF0y0qicl8KIRw0IZiaqYbynaBaUialmgbp7VKibVwo9HHS48S8OACUqGLmxqoWfB0bLwAdg2IEopppyMCP4kQMnR3iaxp4N2Ls/132', '曾坤敏', '1', 'oFdMa5jYa-N-OOVP-VGyCOtWTZmg', '1', '佛山', '中国', '广东', 'zh_CN', '1632459189', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202109241250451223509734', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (130, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/0kwufew3FKmkXr0tOZ2uiaHf0XpicMS0Z96wGAHuOO13sbL4TASsdY53dqXFhjkqvj6icAdpmib0Y2q8kALBMm46yCy4eVy37RBx/132', '-柘烟-', '1', 'oFdMa5i4mI4mOzTKVusc1t8k4tyQ', '2', '梅州', '中国', '广东', 'zh_CN', '1631696113', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202109151652558068170719', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (131, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/Z0Yj8m5PS2pKgianZK01gDreQfc7UNRw9MtNjLC9VXITQibkLESjBTsDFvbT5ZRuuqF4gOuibwhtm1zcvpJ1tIbcrSZbvN53wyr/132', 'A~老猫.com', '1', 'oFdMa5k7yhwhRBy0itN3u_mQ2whE', '1', '门头沟', '中国', '北京', 'zh_CN', '1606805004', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202012011442331507246149', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (132, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/SYeWkon6C6LABAqElGgqMIvFc4hsvlP7DuRdprkvx6A83CsqvzmibfqUFDnnT9ibM0uuvRgASkialao6Txobwt2ibAmmcou4nsiaw/132', 'a丶程序开发-杨帆', '1', 'oFdMa5qbiGD5vO6vrm4OVDKb8pxI', '1', '', '中国', '', 'zh_CN', '1604641253', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202011061340441763307738', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (133, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/ajNVdqHZLLDkPUs7QN8KwUmwVovBCIgF0at3faK0v71jO6kdf0Drljuk7Whg9icDiaJAjiczMV16z83CeGJZTe1HV6BuQoC9FycLruTBh00LzA/132', '唐古拉', '1', 'oFdMa5pnEHQr8lvZY41MNplzDA50', '1', '', '', '', 'zh_CN', '1628583848', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202108101622169875190722', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (134, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/twNF0y0qicl8KIRw0IZiaqYZfVTiawFDSeWiahOG6BXMz2Zcr3FlibfZ4rH6nVicrnPlx1nGAL9FTa1vBI5wgxOcltmMmcibxNP2H5Z/132', '🍃🍂', '1', 'oFdMa5ibrhMZ936HLHi2G_Bnm6HA', '1', '呼和浩特', '中国', '内蒙古', 'zh_CN', '1632897134', NULL, '', '0', '[]', 'ADD_SCENE_PROFILE_CARD', '0', '', '2021-09-29');
INSERT INTO `wechat_public_user` VALUES (135, 'wx21fe7e82a671de99', 'http://thirdwx.qlogo.cn/mmopen/SYeWkon6C6LABAqElGgqMDiasaaBWraM5bF0IuiaV3O2BT6p2dYy6VXgj1MAOaU95kkP4ehmc3viaUoQSSmuK4QydB3wts7iaJhv/132', '', '1', 'oFdMa5orhCeZfZNB2CI-FMQRGfug', '2', '', '北马里亚纳群岛', '', 'zh_CN', '1618109009', NULL, '', '0', '[]', 'ADD_SCENE_QR_CODE', '0', '202104111042203089768039', '2021-09-29');
COMMIT;

-- ----------------------------
-- Table structure for wechat_qydepartment
-- ----------------------------
DROP TABLE IF EXISTS `wechat_qydepartment`;
CREATE TABLE `wechat_qydepartment` (
  `F_Id` varchar(50) NOT NULL COMMENT '自然主键',
  `F_OrganizeId` varchar(50) DEFAULT NULL COMMENT '机构上级',
  `F_WeChatDeptId` int DEFAULT NULL COMMENT '机构编号',
  `F_Category` varchar(50) DEFAULT NULL COMMENT '机构分类',
  `F_EnCode` varchar(50) DEFAULT NULL COMMENT '机构编号',
  `F_FullName` varchar(50) DEFAULT NULL COMMENT '机构名称',
  `F_ManagerId` varchar(50) DEFAULT NULL COMMENT '机构主管',
  `F_PropertyJson` longtext COMMENT '扩展属性',
  `F_Description` text COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) DEFAULT NULL COMMENT '删除用户',
  `F_ParentId` varchar(50) DEFAULT NULL COMMENT '父级',
  `F_Order` int DEFAULT NULL COMMENT '微信排序',
  `F_SubmitState` varchar(50) DEFAULT NULL COMMENT '提交状态',
  `F_WeChatParentId` bigint DEFAULT NULL COMMENT '微信父级',
  `F_SyncState` int DEFAULT NULL COMMENT '同步状态',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='企业号组织';

-- ----------------------------
-- Records of wechat_qydepartment
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for wechat_qymessage
-- ----------------------------
DROP TABLE IF EXISTS `wechat_qymessage`;
CREATE TABLE `wechat_qymessage` (
  `F_Id` varchar(50) NOT NULL COMMENT '自然主键',
  `F_MsgType` int DEFAULT NULL COMMENT '消息类型',
  `F_All` int DEFAULT NULL COMMENT '全员',
  `F_Safe` int DEFAULT NULL COMMENT '保密状态',
  `F_ToUserId` longtext COMMENT '成员主键集',
  `F_ToParty` text COMMENT '部门主键集',
  `F_ToTag` text COMMENT '标签主键集',
  `F_AgentId` varchar(50) DEFAULT NULL COMMENT '企业应用主键',
  `F_MediaId` varchar(200) DEFAULT NULL COMMENT '媒体主键',
  `F_Title` varchar(200) DEFAULT NULL COMMENT '图文标题',
  `F_Author` varchar(50) DEFAULT NULL COMMENT '图文作者',
  `F_ContentSourceUrl` varchar(200) DEFAULT NULL COMMENT '原文链接',
  `F_Content` longtext COMMENT '图文内容',
  `F_Abstract` varchar(200) DEFAULT NULL COMMENT '摘要',
  `F_ShowCoverPic` int DEFAULT NULL COMMENT '封面状态',
  `F_SendDate` datetime DEFAULT NULL COMMENT '发送时间',
  `F_SendUserId` varchar(50) DEFAULT NULL COMMENT '发送人',
  `F_TXTContent` text COMMENT '文本内容',
  `F_FileJson` longtext COMMENT '附件',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '状态',
  `F_InvalidUser` longtext COMMENT '无效用户',
  `F_InvalidParty` text COMMENT '无效机构',
  `F_InvalidTag` text COMMENT '无效标签',
  `F_Description` text COMMENT '备注',
  `F_PicUrl` text COMMENT '图片链接',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='消息发送';

-- ----------------------------
-- Records of wechat_qymessage
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for wechat_qyuser
-- ----------------------------
DROP TABLE IF EXISTS `wechat_qyuser`;
CREATE TABLE `wechat_qyuser` (
  `F_Id` varchar(50) NOT NULL COMMENT '自然主键',
  `F_Account` varchar(50) DEFAULT NULL COMMENT '账户',
  `F_NickName` varchar(50) DEFAULT NULL COMMENT '呢称',
  `F_HeadIcon` varchar(50) DEFAULT NULL COMMENT '头像',
  `F_Gender` int DEFAULT NULL COMMENT '性别',
  `F_Birthday` datetime DEFAULT NULL COMMENT '生日',
  `F_MobilePhone` varchar(20) DEFAULT NULL COMMENT '手机',
  `F_TelePhone` varchar(20) DEFAULT NULL COMMENT '电话',
  `F_Landline` varchar(50) DEFAULT NULL COMMENT 'F_Landline',
  `F_Email` varchar(50) DEFAULT NULL COMMENT '邮箱',
  `F_Nation` varchar(50) DEFAULT NULL COMMENT '民族',
  `F_NativePlace` varchar(50) DEFAULT NULL COMMENT '籍贯',
  `F_EntryDate` datetime DEFAULT NULL COMMENT '入职日期',
  `F_CertificatesType` varchar(50) DEFAULT NULL COMMENT '证件类型',
  `F_CertificatesNumber` varchar(50) DEFAULT NULL COMMENT '证件号码',
  `F_Education` varchar(50) DEFAULT NULL COMMENT '文化程度',
  `F_UrgentContacts` varchar(50) DEFAULT NULL COMMENT 'F_UrgentContacts',
  `F_UrgentTelePhone` varchar(50) DEFAULT NULL COMMENT '紧急电话',
  `F_PostalAddress` text COMMENT '通讯地址',
  `F_Signature` text COMMENT '自我介绍',
  `F_Password` varchar(50) DEFAULT NULL COMMENT '密码',
  `F_Secretkey` varchar(50) DEFAULT NULL COMMENT '秘钥',
  `F_FirstLogTime` datetime DEFAULT NULL COMMENT '首次登录时间',
  `F_FirstLogIP` varchar(50) DEFAULT NULL COMMENT '首次登录IP',
  `F_PrevLogTime` datetime DEFAULT NULL COMMENT '前次登录时间',
  `F_PrevLogIP` varchar(50) DEFAULT NULL COMMENT '前次登录IP',
  `F_LastLogTime` datetime DEFAULT NULL COMMENT '最后登录时间',
  `F_LastLogIP` varchar(50) DEFAULT NULL COMMENT '最后登录IP',
  `F_LogSuccessCount` int DEFAULT NULL COMMENT '登录成功次数',
  `F_LogErrorCount` int DEFAULT NULL COMMENT '登录错误次数',
  `F_ChangePasswordDate` datetime DEFAULT NULL COMMENT '最后修改密码时间',
  `F_Language` varchar(50) DEFAULT NULL COMMENT '系统语言',
  `F_Theme` varchar(50) DEFAULT NULL COMMENT '系统样式',
  `F_CommonMenu` longtext COMMENT '常用菜单',
  `F_IsAdministrator` int DEFAULT NULL COMMENT '是否管理员',
  `F_PropertyJson` longtext COMMENT '扩展属性',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_ManagerId` varchar(50) DEFAULT NULL COMMENT '主管主键',
  `F_OrganizeId` text COMMENT '组织主键',
  `F_PositionId` text COMMENT '岗位主键',
  `F_RoleId` text COMMENT '角色主键',
  `F_UserId` varchar(50) DEFAULT NULL COMMENT '用户主键',
  `F_RealName` varchar(50) DEFAULT NULL COMMENT '用户姓名',
  `F_Description` text COMMENT '备注',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreateTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyUserId` varchar(50) DEFAULT NULL COMMENT '编辑用户',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除日期',
  `F_DeleteUserId` varchar(50) DEFAULT NULL COMMENT '删除用户',
  `F_SyncState` int DEFAULT NULL COMMENT '同步状态',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='企业号用户';

-- ----------------------------
-- Records of wechat_qyuser
-- ----------------------------
BEGIN;
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
