-- MySQL dump 10.13  Distrib 5.7.29, for macos10.14 (x86_64)
--
-- Host: 127.0.0.1    Database: digital_operation
-- ------------------------------------------------------
-- Server version	8.0.32

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

create database digital_operation;
use digital_operation;

--
-- Table structure for table `blade_attach`
--

DROP TABLE IF EXISTS `blade_attach`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_attach` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `link` varchar(1000) DEFAULT NULL COMMENT '附件地址',
  `domain` varchar(500) DEFAULT NULL COMMENT '附件域名',
  `name` varchar(500) DEFAULT NULL COMMENT '附件名称',
  `original_name` varchar(500) DEFAULT NULL COMMENT '附件原名',
  `extension` varchar(12) DEFAULT NULL COMMENT '附件拓展名',
  `attach_size` bigint DEFAULT NULL COMMENT '附件大小',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_attach`
--

LOCK TABLES `blade_attach` WRITE;
/*!40000 ALTER TABLE `blade_attach` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_attach` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_client`
--

DROP TABLE IF EXISTS `blade_client`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_client` (
  `id` bigint NOT NULL COMMENT '主键',
  `client_id` varchar(48) NOT NULL COMMENT '客户端id',
  `client_secret` varchar(256) NOT NULL COMMENT '客户端密钥',
  `resource_ids` varchar(256) DEFAULT NULL COMMENT '资源集合',
  `scope` varchar(256) NOT NULL COMMENT '授权范围',
  `authorized_grant_types` varchar(256) NOT NULL COMMENT '授权类型',
  `web_server_redirect_uri` varchar(256) DEFAULT NULL COMMENT '回调地址',
  `authorities` varchar(256) DEFAULT NULL COMMENT '权限',
  `access_token_validity` int NOT NULL COMMENT '令牌过期秒数',
  `refresh_token_validity` int NOT NULL COMMENT '刷新令牌过期秒数',
  `additional_information` varchar(4096) DEFAULT NULL COMMENT '附加说明',
  `autoapprove` varchar(256) DEFAULT NULL COMMENT '自动授权',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int NOT NULL COMMENT '状态',
  `is_deleted` int NOT NULL COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_client`
--

LOCK TABLES `blade_client` WRITE;
/*!40000 ALTER TABLE `blade_client` DISABLE KEYS */;
INSERT INTO `blade_client` VALUES (1123598811738675201,'sword','sword_secret','','all','refresh_token,password,authorization_code,captcha,social','http://localhost:8888','',360000,604800,NULL,'',1123598815738675201,1123598813738675201,'2019-03-24 10:40:55',1123598821738675201,'2022-07-18 15:17:46',1,0,'23v8po3'),(1123598811738675202,'saber','saber_secret','','all','refresh_token,password,authorization_code,captcha,social','http://localhost:8080','',36000,35000,NULL,'',1123598815738675201,1123598813738675201,'2019-03-24 10:42:29',1123598821738675201,'2022-07-18 15:58:44',1,0,'23v8po3');
/*!40000 ALTER TABLE `blade_client` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_code`
--

DROP TABLE IF EXISTS `blade_code`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_code` (
  `id` bigint NOT NULL COMMENT '主键',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源主键',
  `service_name` varchar(64) DEFAULT NULL COMMENT '服务名称',
  `code_name` varchar(64) DEFAULT NULL COMMENT '模块名称',
  `table_name` varchar(64) DEFAULT NULL COMMENT '表名',
  `table_prefix` varchar(64) DEFAULT NULL COMMENT '表前缀',
  `pk_name` varchar(32) DEFAULT NULL COMMENT '主键名',
  `package_name` varchar(500) DEFAULT NULL COMMENT '后端包名',
  `base_mode` int DEFAULT NULL COMMENT '基础业务模式',
  `wrap_mode` int DEFAULT NULL COMMENT '包装器模式',
  `api_path` varchar(2000) DEFAULT NULL COMMENT '后端路径',
  `web_path` varchar(2000) DEFAULT NULL COMMENT '前端路径',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_code`
--

LOCK TABLES `blade_code` WRITE;
/*!40000 ALTER TABLE `blade_code` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_code` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_dept`
--

DROP TABLE IF EXISTS `blade_dept`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_dept` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `ancestors` varchar(2000) DEFAULT NULL COMMENT '祖级列表',
  `dept_category` int DEFAULT NULL COMMENT '部门类型',
  `dept_name` varchar(45) DEFAULT NULL COMMENT '部门名',
  `full_name` varchar(45) DEFAULT NULL COMMENT '部门全称',
  `sort` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `dept_code` varchar(255) DEFAULT NULL COMMENT '部门CODE值',
  `manager` bigint DEFAULT NULL COMMENT '部门领导的用户 id',
  `manager_name` varchar(255) DEFAULT NULL COMMENT '部门领导的用户名',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='部门表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_dept`
--

LOCK TABLES `blade_dept` WRITE;
/*!40000 ALTER TABLE `blade_dept` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_dept` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_dict`
--

DROP TABLE IF EXISTS `blade_dict`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_dict` (
  `id` bigint NOT NULL COMMENT '主键',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `code` varchar(255) DEFAULT NULL COMMENT '字典码',
  `dict_key` varchar(255) DEFAULT NULL COMMENT '字典值',
  `dict_value` varchar(255) DEFAULT NULL COMMENT '字典名称',
  `sort` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '字典备注',
  `is_sealed` int DEFAULT '0' COMMENT '是否已封存',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_dict`
--

LOCK TABLES `blade_dict` WRITE;
/*!40000 ALTER TABLE `blade_dict` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_dict` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_dict_biz`
--

DROP TABLE IF EXISTS `blade_dict_biz`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_dict_biz` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `code` varchar(255) DEFAULT NULL COMMENT '字典码',
  `dict_key` varchar(255) DEFAULT NULL COMMENT '字典值',
  `dict_value` varchar(255) DEFAULT NULL COMMENT '字典名称',
  `sort` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '字典备注',
  `is_sealed` int DEFAULT '0' COMMENT '是否已封存',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_dict_biz`
--

LOCK TABLES `blade_dict_biz` WRITE;
/*!40000 ALTER TABLE `blade_dict_biz` DISABLE KEYS */;
INSERT INTO `blade_dict_biz` VALUES (1396341134192238593,'000000',0,'123','-1','产品名称',1,'',0,0);
/*!40000 ALTER TABLE `blade_dict_biz` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_log_api`
--

DROP TABLE IF EXISTS `blade_log_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_log_api` (
  `id` bigint NOT NULL COMMENT '编号',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `service_id` varchar(32) DEFAULT NULL COMMENT '服务ID',
  `server_host` varchar(255) DEFAULT NULL COMMENT '服务器名',
  `server_ip` varchar(255) DEFAULT NULL COMMENT '服务器IP地址',
  `env` varchar(255) DEFAULT NULL COMMENT '服务器环境',
  `type` char(1) DEFAULT '1' COMMENT '日志类型',
  `title` varchar(255) DEFAULT '' COMMENT '日志标题',
  `method` varchar(10) DEFAULT NULL COMMENT '操作方式',
  `request_uri` varchar(255) DEFAULT NULL COMMENT '请求URI',
  `user_agent` varchar(1000) DEFAULT NULL COMMENT '用户代理',
  `remote_ip` varchar(255) DEFAULT NULL COMMENT '操作IP地址',
  `method_class` varchar(255) DEFAULT NULL COMMENT '方法类',
  `method_name` varchar(255) DEFAULT NULL COMMENT '方法名',
  `params` text COMMENT '操作提交的数据',
  `time` varchar(64) DEFAULT NULL COMMENT '执行时间',
  `create_by` varchar(64) DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci
/*!50100 PARTITION BY KEY (tenant_id)
PARTITIONS 20 */;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_log_api`
--

LOCK TABLES `blade_log_api` WRITE;
/*!40000 ALTER TABLE `blade_log_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_log_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_log_error`
--

DROP TABLE IF EXISTS `blade_log_error`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_log_error` (
  `id` bigint NOT NULL COMMENT '编号',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `service_id` varchar(32) DEFAULT NULL COMMENT '服务ID',
  `server_host` varchar(255) DEFAULT NULL COMMENT '服务器名',
  `server_ip` varchar(255) DEFAULT NULL COMMENT '服务器IP地址',
  `env` varchar(255) DEFAULT NULL COMMENT '系统环境',
  `method` varchar(10) DEFAULT NULL COMMENT '操作方式',
  `request_uri` varchar(255) DEFAULT NULL COMMENT '请求URI',
  `user_agent` varchar(1000) DEFAULT NULL COMMENT '用户代理',
  `stack_trace` text COMMENT '堆栈',
  `exception_name` varchar(255) DEFAULT NULL COMMENT '异常名',
  `message` text COMMENT '异常信息',
  `line_number` int DEFAULT NULL COMMENT '错误行数',
  `remote_ip` varchar(255) DEFAULT NULL COMMENT '操作IP地址',
  `method_class` varchar(255) DEFAULT NULL COMMENT '方法类',
  `file_name` varchar(1000) DEFAULT NULL COMMENT '文件名',
  `method_name` varchar(255) DEFAULT NULL COMMENT '方法名',
  `params` longtext COMMENT '操作提交的数据',
  `create_by` varchar(64) DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci
/*!50100 PARTITION BY KEY (tenant_id)
PARTITIONS 30 */;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_log_error`
--

LOCK TABLES `blade_log_error` WRITE;
/*!40000 ALTER TABLE `blade_log_error` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_log_error` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_log_usual`
--

DROP TABLE IF EXISTS `blade_log_usual`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_log_usual` (
  `id` bigint NOT NULL COMMENT '编号',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `service_id` varchar(32) DEFAULT NULL COMMENT '服务ID',
  `server_host` varchar(255) DEFAULT NULL COMMENT '服务器名',
  `server_ip` varchar(255) DEFAULT NULL COMMENT '服务器IP地址',
  `env` varchar(255) DEFAULT NULL COMMENT '系统环境',
  `log_level` varchar(10) DEFAULT NULL COMMENT '日志级别',
  `log_id` varchar(100) DEFAULT NULL COMMENT '日志业务id',
  `log_data` text COMMENT '日志数据',
  `method` varchar(10) DEFAULT NULL COMMENT '操作方式',
  `request_uri` varchar(255) DEFAULT NULL COMMENT '请求URI',
  `remote_ip` varchar(255) DEFAULT NULL COMMENT '操作IP地址',
  `method_class` varchar(255) DEFAULT NULL COMMENT '方法类',
  `method_name` varchar(255) DEFAULT NULL COMMENT '方法名',
  `user_agent` varchar(1000) DEFAULT NULL COMMENT '用户代理',
  `params` text COMMENT '操作提交的数据',
  `create_by` varchar(64) DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci
/*!50100 PARTITION BY KEY (tenant_id)
PARTITIONS 30 */;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_log_usual`
--

LOCK TABLES `blade_log_usual` WRITE;
/*!40000 ALTER TABLE `blade_log_usual` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_log_usual` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_material`
--

DROP TABLE IF EXISTS `blade_material`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_material` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `material_name` varchar(200) DEFAULT NULL COMMENT '素材名称',
  `original_name` varchar(200) DEFAULT NULL COMMENT '原素材名称',
  `category_id` bigint DEFAULT NULL COMMENT '分类ID',
  `path` varchar(500) DEFAULT NULL COMMENT '素材路径',
  `material_size` varchar(100) DEFAULT NULL COMMENT '素材大小',
  `material_suffix` varchar(20) DEFAULT NULL COMMENT '素材后缀',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='素材表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_material`
--

LOCK TABLES `blade_material` WRITE;
/*!40000 ALTER TABLE `blade_material` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_material` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_material_category`
--

DROP TABLE IF EXISTS `blade_material_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_material_category` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `category_name` varchar(20) DEFAULT NULL COMMENT '分类名称',
  `category_code` varchar(20) DEFAULT NULL COMMENT '分类编码',
  `permissions` int DEFAULT NULL COMMENT '权限  0 仅自己  1 所有人 2 指定角色可见',
  `sort` int DEFAULT NULL COMMENT '排序字段',
  `role_ids` varchar(500) DEFAULT NULL COMMENT '角色ids',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='素材分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_material_category`
--

LOCK TABLES `blade_material_category` WRITE;
/*!40000 ALTER TABLE `blade_material_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_material_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_menu`
--

DROP TABLE IF EXISTS `blade_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_menu` (
  `id` bigint NOT NULL COMMENT '主键',
  `parent_id` bigint DEFAULT '0' COMMENT '父级菜单',
  `code` varchar(255) DEFAULT NULL COMMENT '菜单编号',
  `name` varchar(255) DEFAULT NULL COMMENT '菜单名称',
  `alias` varchar(255) DEFAULT NULL COMMENT '菜单别名',
  `path` varchar(255) DEFAULT NULL COMMENT '请求地址',
  `source` varchar(255) DEFAULT NULL COMMENT '菜单资源',
  `sort` int DEFAULT NULL COMMENT '排序',
  `category` int DEFAULT NULL COMMENT '菜单类型',
  `action` int DEFAULT '0' COMMENT '操作按钮类型',
  `is_open` int DEFAULT '1' COMMENT '是否打开新页面',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户 id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_menu`
--

LOCK TABLES `blade_menu` WRITE;
/*!40000 ALTER TABLE `blade_menu` DISABLE KEYS */;
INSERT INTO `blade_menu` VALUES (1123598815738675203,0,'system','系统设置','menu','/system','iconfont iconicon_setting',100004,1,0,1,'',0,'000000'),(1123598815738675204,1123598815738675203,'user','用户管理','menu','/system/user','iconfont iconicon_principal',10,1,0,1,NULL,0,'000000'),(1123598815738675205,1123598815738675203,'dept','部门管理','menu','/system/dept','iconfont iconicon_group',12,1,0,1,'',0,'000000'),(1123598815738675207,1123598815738675203,'menu','菜单管理','menu','/system/menu','iconfont iconicon_subordinate',15,1,0,1,NULL,0,'000000'),(1123598815738675209,1123598815738675203,'param','参数管理','menu','/system/param','iconfont iconicon_community_line',50,1,0,1,NULL,0,'000000'),(1123598815738675213,1123598815738675203,'log','日志管理','menu','/monitor/log','iconfont iconicon_doc',120,1,0,1,NULL,0,'000000'),(1123598815738675214,1123598815738675213,'log_usual','通用日志','menu','/monitor/log/usual',NULL,1,1,0,1,NULL,0,'000000'),(1123598815738675215,1123598815738675213,'log_api','接口日志','menu','/monitor/log/api',NULL,2,1,0,1,NULL,0,'000000'),(1123598815738675216,1123598815738675213,'log_error','错误日志','menu','/monitor/log/error',NULL,3,1,0,1,NULL,0,'000000'),(1123598815738675223,1123598815738675204,'user_add','新增','add','/system/user/add','plus',1,2,1,1,NULL,0,'000000'),(1123598815738675224,1123598815738675204,'user_edit','修改','edit','/system/user/edit','form',2,2,2,1,NULL,0,'000000'),(1123598815738675225,1123598815738675204,'user_delete','删除','delete','/api/blade-user/remove','delete',3,2,3,1,NULL,0,'000000'),(1123598815738675226,1123598815738675204,'user_role','角色配置','role',NULL,'user-add',4,2,1,1,NULL,0,'000000'),(1123598815738675227,1123598815738675204,'user_reset','密码重置','reset-password','/api/blade-user/reset-password','retweet',5,2,1,1,NULL,0,'000000'),(1123598815738675228,1123598815738675204,'user_view','查看','view','/system/user/view','file-text',6,2,2,1,NULL,0,'000000'),(1123598815738675229,1123598815738675205,'dept_add','新增','add','/system/dept/add','plus',1,2,1,1,NULL,0,'000000'),(1123598815738675230,1123598815738675205,'dept_edit','修改','edit','/system/dept/edit','form',2,2,2,1,NULL,0,'000000'),(1123598815738675231,1123598815738675205,'dept_delete','删除','delete','/api/blade-system/dept/remove','delete',3,2,3,1,NULL,0,'000000'),(1123598815738675232,1123598815738675205,'dept_view','查看','view','/system/dept/view','file-text',4,2,2,1,NULL,0,'000000'),(1123598815738675237,1123598815738675207,'menu_add','新增','add','/system/menu/add','plus',1,2,1,1,NULL,0,'000000'),(1123598815738675238,1123598815738675207,'menu_edit','修改','edit','/system/menu/edit','form',2,2,2,1,NULL,0,'000000'),(1123598815738675239,1123598815738675207,'menu_delete','删除','delete','/api/blade-system/menu/remove','delete',3,2,3,1,NULL,0,'000000'),(1123598815738675240,1123598815738675207,'menu_view','查看','view','/system/menu/view','file-text',4,2,2,1,NULL,0,'000000'),(1123598815738675241,1123598815738675308,'role_add','新增','add','/authority/role/add','plus',1,2,1,1,NULL,0,'000000'),(1123598815738675242,1123598815738675308,'role_edit','修改','edit','/authority/role/edit','form',2,2,2,1,NULL,0,'000000'),(1123598815738675243,1123598815738675308,'role_delete','删除','delete','/api/blade-system/role/remove','delete',3,2,3,1,NULL,0,'000000'),(1123598815738675244,1123598815738675308,'role_view','查看','view','/authority/role/view','file-text',4,2,2,1,NULL,0,'000000'),(1123598815738675249,1123598815738675214,'log_usual_view','查看','view','/monitor/log/usual/view','file-text',4,2,2,1,NULL,0,'000000'),(1123598815738675250,1123598815738675215,'log_api_view','查看','view','/monitor/log/api/view','file-text',4,2,2,1,NULL,0,'000000'),(1123598815738675251,1123598815738675216,'log_error_view','查看','view','/monitor/log/error/view','file-text',4,2,2,1,NULL,0,'000000'),(1123598815738675307,1123598815738675203,'authority','权限管理','menu','/authority','iconfont icon-bofangqi-suoping',14,1,0,1,'',0,'000000'),(1123598815738675308,1123598815738675307,'role','角色管理','menu','/authority/role','iconfont iconicon_boss',1,1,0,1,NULL,0,'000000'),(1161272593873321991,1619156606935465985,'datasource','数据源管理','menu','/tool/datasource','iconfont icon-caidanguanli',10,1,0,1,'',0,'000000'),(1161272593873321992,1161272593873321991,'datasource_add','新增','add','/tool/datasource/add','plus',1,2,1,1,NULL,0,'000000'),(1161272593873321993,1161272593873321991,'datasource_edit','修改','edit','/tool/datasource/edit','form',2,2,2,1,NULL,0,'000000'),(1161272593873321994,1161272593873321991,'datasource_delete','删除','delete','/api/blade-develop/datasource/remove','delete',3,2,3,1,NULL,0,'000000'),(1161272593873321995,1161272593873321991,'datasource_view','查看','view','/tool/datasource/view','file-text',4,2,2,1,NULL,0,'000000'),(1164733389658962251,1123598815738675209,'sms','短信配置','menu','/resource/sms','iconfont iconicon_message',3,1,0,1,'',0,'000000'),(1164733389658962252,1164733389658962251,'sms_add','新增','add','/resource/sms/add','plus',1,2,1,1,NULL,0,'000000'),(1164733389658962253,1164733389658962251,'sms_edit','修改','edit','/resource/sms/edit','form',2,2,2,1,NULL,0,'000000'),(1164733389658962254,1164733389658962251,'sms_delete','删除','delete','/api/blade-resource/sms/remove','delete',3,2,3,1,NULL,0,'000000'),(1164733389658962255,1164733389658962251,'sms_view','查看','view','/resource/sms/view','file-text',4,2,2,1,NULL,0,'000000'),(1164733389658962256,1164733389658962251,'sms_enable','启用','enable','/api/blade-resource/sms/enable','key',5,2,2,1,NULL,0,'000000'),(1164733389668962251,1123598815738675203,'post','岗位管理','menu','/system/post','iconfont iconicon_message',11,1,0,1,NULL,0,'000000'),(1164733389668962252,1164733389668962251,'post_add','新增','add','/system/post/add','plus',1,2,1,1,NULL,0,'000000'),(1164733389668962253,1164733389668962251,'post_edit','修改','edit','/system/post/edit','form',2,2,2,1,NULL,0,'000000'),(1164733389668962254,1164733389668962251,'post_delete','删除','delete','/api/blade-system/post/remove','delete',3,2,3,1,NULL,0,'000000'),(1164733389668962255,1164733389668962251,'post_view','查看','view','/system/post/view','file-text',4,2,2,1,NULL,0,'000000'),(1367669015094308865,1619156606935465985,'apimanage','API管理','menu','/bigdata/apimanage','iconfont iconicon_addresslist',30,1,0,1,'',0,'000000'),(1467678087986257921,1619156606935465985,'/newbi/dataset/list','数据集管理','/newbi/dataset/list','/newbi/dataset/list','iconfont iconicon_work',20,1,0,1,'',0,'000000'),(1467681760623697921,1619159462254051330,'/newbi/visual/list','可视化大屏','/newbi/visual/list','/newbi/visual/list','iconfont icon-iframe',20,1,0,1,'/newbi/visual/list\n3.4.0',0,'000000'),(1501471635629920258,1619159462254051330,'/newbi/warning/list','数据预警','/newbi/warning/list','/newbi/warning/list','iconfont iconicon_notice',50,1,0,1,'',0,'000000'),(1506104732795191298,0,'/newbi/mine','我的空间','/newbi/mine','/newbi/mine','iconfont iconicon_addresslist',100003,1,0,1,'',0,'000000'),(1506105715373817857,1506104732795191298,'/newbi/mine/pptArchive','幻灯片归档','/newbi/mine/pptArchive','/newbi/mine/pptArchive','iconfont icon-rizhi',10,1,0,1,'',0,'000000'),(1506105897238839297,1506104732795191298,'/newbi/mine/collect','我的收藏','/newbi/mine/collect','/newbi/mine/collect','iconfont icon-iframe',2,1,0,1,'',0,'000000'),(1544607807797161986,1123598815738675307,'/system/authGroup','权限组管理','/system/authGroup','/system/authGroup','iconfont icon-yanzhengma',0,1,0,1,'',0,'000000'),(1554418372912480258,1467678087986257921,'cube_filter_row','数据集行过滤权限','数据集行过滤权限','cube_filter_row','iconfont icon-quanxian',1,2,0,1,'',0,'000000'),(1557612821155127297,1619156606935465985,'功能表单管理','表单录入','功能表单管理','/workflow/webDesign/index','iconfont iconicon_subordinate',40,1,0,1,'',0,'000000'),(1582611460944187394,1123598815738675203,'/newbi/defineFunc/list','自定义函数','/newbi/defineFunc/list','/newbi/defineFunc/list','iconfont icon-rizhi1',41,1,0,1,'',0,'000000'),(1584570735518212097,1506104732795191298,'/newbi/mine/subscribe','我的订阅','/newbi/mine/subscribe','/newbi/mine/subscribe','iconfont iconicon_send',40,1,0,1,'',0,'000000'),(1584973052717547522,1619159462254051330,'/newbi/subscribe','订阅管理','/newbi/subscribe','/newbi/subscribe','iconfont iconicon_send',60,1,0,1,'',0,'000000'),(1585953641910206466,1584973052717547522,'/newbi/subscribe/list','订阅统计','/newbi/subscribe/list','/newbi/subscribe/list','iconfont icon-caidan',1,1,0,1,'',0,'000000'),(1585953975894245377,1584973052717547522,'/newbi/subscribe/log','订阅日志','/newbi/subscribe/log','/newbi/subscribe/log','iconfont iconicon_details',2,1,0,1,'',0,'000000'),(1587363154609532930,1619159462254051330,'/newbi/share/list','三方WEB嵌入','/newbi/share/list','/newbi/share/list','iconfont iconicon_share',70,1,0,1,'',0,'000000'),(1589512651703767042,1123598815738675209,'第三方配置','开放平台配置','第三方配置','/system/setting','iconfont iconicon_send',30,1,0,1,'',0,'000000'),(1597077352725745666,1584973052717547522,'/newbi/subscribe/record','操作记录','/newbi/subscribe/record','/newbi/subscribe/record','iconfont icon-wxbgongju',3,1,0,1,'',0,'000000'),(1600405207606059010,1506104732795191298,'mineexport','导出任务','mineexport','/newbi/mine/export','iconfont iconicon_study',4,1,0,1,'',0,'000000'),(1607568290728321026,1619159462254051330,'mineappsindex','移动应用','mineappsindex','/newbi/apps/index','iconfont iconicon_work',40,1,0,1,'',0,'000000'),(1607615579387797505,1506104732795191298,'newbimineapps','我的应用','newbimineapps','/newbi/mine/apps','iconfont iconicon_work',30,1,0,1,'',0,'000000'),(1619156606935465985,0,'数据中心','数据中心','数据中心','/tool','iconfont iconicon_study',100001,1,0,1,'',0,'000000'),(1619159462254051330,0,'数据展示','数据展示','数据展示','/newbi','iconfont iconicon_savememo',100002,1,0,1,'',0,'000000'),(1619214858069966849,1619159462254051330,'/newbi/ppt/list','幻灯片','/newbi/ppt/list','/newbi/ppt/list','iconfont iconicon_photo',10,1,0,1,'等待配置',0,'000000'),(1619215151222456321,1619159462254051330,'/newbi/report/list','自助报表','/newbi/report/list','/newbi/report/list','iconfont iconicon_work',30,1,0,1,'',0,'000000'),(1619215847942488065,1619156606935465985,'shujuetl','数据ETL','shujuetl','/etl','iconfont iconicon_subordinate',60,1,0,1,'待配置',0,'000000'),(1624402915081576449,1506104732795191298,'mycomponent','我的组件','我的组件','/newbi/mine/mycomponent','iconfont iconicon_work',80,1,0,1,'',0,'000000'),(1625742429951614978,1619156606935465985,'工作流程管理','工作流程','工作流程管理','/workflow/flowEngine/index','iconfont iconicon_subordinate',45,1,0,1,'',0,'000000'),(1627854531784859649,1619156606935465985,'globalparam','全局参数管理','全局参数管理','/newbi/globalParams/list','iconfont icon-biaodan',51,1,0,1,'',0,'000000'),(1630116849440702466,1123598815738675203,'zidianguanli','字典管理','zidianguanli','/dict','iconfont iconicon_study',16,1,0,1,'',0,'000000'),(1630117165196296193,1630116849440702466,'meijuzidian','枚举字典','/newbi/dict/list','/newbi/dict/list','iconfont iconicon_work',1,1,0,1,'',0,'000000'),(1642125129009422337,1123598815738675203,'/system/update','离线升级','/system/update','/system/update','iconfont iconicon_exchange',100005,1,0,2,'',0,'000000'),(1689465690065170434,1619215847942488065,'/etl/flow/list','任务流程管理','/etl/flow/list','/etl/flow/list','iconfont iconicon_exchange',1,1,0,1,'',0,'000000'),(1689466226315325441,1619215847942488065,'/etl/job/list','任务实例管理','/etl/job/list','/etl/job/list','iconfont iconicon_work',2,1,0,1,'',0,'000000'),(1714193048967127041,1619156606935465985,'/batch','数据同步','/batch','/batch','iconfont iconicon_refresh',61,1,0,1,'',0,'000000'),(1714193193972604929,1714193048967127041,'/etl/batchTask/list','同步任务','/etl/batchTask/list','/etl/batchTask/list','iconfont iconicon_exchange',1,1,0,1,'',0,'000000'),(1714193309215301633,1714193048967127041,'/etl/batchInstance/list','同步任务实例','/etl/batchInstance/list','/etl/batchInstance/list','iconfont iconicon_work',2,1,0,1,'',0,'000000'),(1734067670720049153,1619156606935465985,'/etl/sql','SQL任务','/etl/sql','/etl/sql','iconfont icon-rizhi1',80,1,0,1,'',0,'000000'),(1734067994608398338,1734067670720049153,'/etl/sqlTask/list','SQL任务管理','/etl/sqlTask/list','/etl/sqlTask/list','iconfont icon-rizhi1',1,1,0,1,'',0,'000000'),(1734068192759902209,1734067670720049153,'/etl/sqlInstance/list','SQL任务实例','/etl/sqlInstance/list','/etl/sqlInstance/list','iconfont iconicon_work',2,1,0,1,'',0,'000000'),(1777214512811425793,1467678087986257921,'list_copy','列表页_复制','列表页_复制','/dataset/list/copy','iconfont iconicon_work',1,2,0,1,'',0,'000000'),(1777214884116381698,1467678087986257921,'list_modify','列表页_修改','列表页_修改','/dataset/list/modify','iconfont iconicon_work',2,2,0,1,'',0,'000000'),(1777215252640514050,1467678087986257921,'list_create','列表页_创建模版','列表页_创建模版','/dataset/list/create','iconfont iconicon_work',3,2,0,1,'',0,'000000'),(1777216010207313922,1467678087986257921,'list_consanguinity','列表页_查看血缘','列表页_查看血缘','/dataset/list/consanguinity','iconfont iconicon_work',4,2,0,1,'',0,'000000');
/*!40000 ALTER TABLE `blade_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_message`
--

DROP TABLE IF EXISTS `blade_message`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_message` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT NULL COMMENT '接收人',
  `module` varchar(50) DEFAULT NULL COMMENT '模块',
  `type` tinyint DEFAULT NULL COMMENT '类型：0待办 1抄送 2通过 3拒绝',
  `subject` varchar(50) DEFAULT NULL COMMENT '主题',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT '内容',
  `status` tinyint DEFAULT NULL COMMENT '状态：0未读 1已读',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='消息提醒';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_message`
--

LOCK TABLES `blade_message` WRITE;
/*!40000 ALTER TABLE `blade_message` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_message` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_notice`
--

DROP TABLE IF EXISTS `blade_notice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_notice` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `title` varchar(255) DEFAULT NULL COMMENT '标题',
  `category` int DEFAULT NULL COMMENT '类型',
  `release_time` datetime DEFAULT NULL COMMENT '发布时间',
  `content` varchar(2000) DEFAULT NULL COMMENT '内容',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_notice`
--

LOCK TABLES `blade_notice` WRITE;
/*!40000 ALTER TABLE `blade_notice` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_notice` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_oss`
--

DROP TABLE IF EXISTS `blade_oss`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_oss` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `category` int DEFAULT NULL COMMENT '分类',
  `oss_code` varchar(32) DEFAULT NULL COMMENT '资源编号',
  `endpoint` varchar(255) DEFAULT NULL COMMENT '资源地址',
  `access_key` varchar(255) DEFAULT NULL COMMENT 'accessKey',
  `secret_key` varchar(255) DEFAULT NULL COMMENT 'secretKey',
  `bucket_name` varchar(255) DEFAULT NULL COMMENT '空间名',
  `app_id` varchar(255) DEFAULT NULL COMMENT '应用ID',
  `region` varchar(255) DEFAULT NULL COMMENT '地域简称',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_oss`
--

LOCK TABLES `blade_oss` WRITE;
/*!40000 ALTER TABLE `blade_oss` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_oss` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_param`
--

DROP TABLE IF EXISTS `blade_param`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_param` (
  `id` bigint NOT NULL COMMENT '主键',
  `param_name` varchar(255) DEFAULT NULL COMMENT '参数名',
  `param_key` varchar(255) DEFAULT NULL COMMENT '参数键',
  `param_value` varchar(255) DEFAULT NULL COMMENT '参数值',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_param`
--

LOCK TABLES `blade_param` WRITE;
/*!40000 ALTER TABLE `blade_param` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_param` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_post`
--

DROP TABLE IF EXISTS `blade_post`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_post` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `category` int DEFAULT NULL COMMENT '岗位类型',
  `post_code` varchar(12) DEFAULT NULL COMMENT '岗位编号',
  `post_name` varchar(64) DEFAULT NULL COMMENT '岗位名称',
  `sort` int DEFAULT NULL COMMENT '岗位排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '岗位描述',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='岗位表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_post`
--

LOCK TABLES `blade_post` WRITE;
/*!40000 ALTER TABLE `blade_post` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_post` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_role`
--

DROP TABLE IF EXISTS `blade_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_role` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `parent_id` bigint DEFAULT '0' COMMENT '父主键',
  `role_name` varchar(255) DEFAULT NULL COMMENT '角色名',
  `sort` int DEFAULT NULL COMMENT '排序',
  `role_alias` varchar(255) DEFAULT NULL COMMENT '角色别名',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='角色表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_role`
--

LOCK TABLES `blade_role` WRITE;
/*!40000 ALTER TABLE `blade_role` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_role_menu`
--

DROP TABLE IF EXISTS `blade_role_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_role_menu` (
  `id` bigint NOT NULL COMMENT '主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单id',
  `role_id` bigint DEFAULT NULL COMMENT '角色id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_role_menu`
--

LOCK TABLES `blade_role_menu` WRITE;
/*!40000 ALTER TABLE `blade_role_menu` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_role_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_role_scope`
--

DROP TABLE IF EXISTS `blade_role_scope`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_role_scope` (
  `id` bigint NOT NULL COMMENT '主键',
  `scope_category` int DEFAULT NULL COMMENT '权限类型(1:数据权限、2:接口权限)',
  `scope_id` bigint DEFAULT NULL COMMENT '权限id',
  `role_id` bigint DEFAULT NULL COMMENT '角色id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_role_scope`
--

LOCK TABLES `blade_role_scope` WRITE;
/*!40000 ALTER TABLE `blade_role_scope` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_role_scope` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_scope_api`
--

DROP TABLE IF EXISTS `blade_scope_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_scope_api` (
  `id` bigint NOT NULL COMMENT '主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单主键',
  `resource_code` varchar(255) DEFAULT NULL COMMENT '资源编号',
  `scope_name` varchar(255) DEFAULT NULL COMMENT '接口权限名',
  `scope_path` varchar(255) DEFAULT NULL COMMENT '接口权限地址',
  `scope_type` int DEFAULT NULL COMMENT '接口权限类型',
  `remark` varchar(255) DEFAULT NULL COMMENT '接口权限备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_scope_api`
--

LOCK TABLES `blade_scope_api` WRITE;
/*!40000 ALTER TABLE `blade_scope_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_scope_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_scope_data`
--

DROP TABLE IF EXISTS `blade_scope_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_scope_data` (
  `id` bigint NOT NULL COMMENT '主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单主键',
  `resource_code` varchar(255) DEFAULT NULL COMMENT '资源编号',
  `scope_name` varchar(255) DEFAULT NULL COMMENT '数据权限名称',
  `scope_field` varchar(255) DEFAULT NULL COMMENT '数据权限字段',
  `scope_class` varchar(500) DEFAULT NULL COMMENT '数据权限类名',
  `scope_column` varchar(255) DEFAULT NULL COMMENT '数据权限字段',
  `scope_type` int DEFAULT NULL COMMENT '数据权限类型',
  `scope_value` varchar(2000) DEFAULT NULL COMMENT '数据权限值域',
  `remark` varchar(255) DEFAULT NULL COMMENT '数据权限备注',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_scope_data`
--

LOCK TABLES `blade_scope_data` WRITE;
/*!40000 ALTER TABLE `blade_scope_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_scope_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_sms`
--

DROP TABLE IF EXISTS `blade_sms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_sms` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `category` int NOT NULL COMMENT '分类',
  `template_id` varchar(64) NOT NULL COMMENT '模板ID',
  `access_key` varchar(255) NOT NULL COMMENT 'accessKey',
  `secret_key` varchar(255) NOT NULL COMMENT 'secretKey',
  `region_id` varchar(255) DEFAULT NULL COMMENT 'regionId',
  `sign_name` varchar(64) NOT NULL COMMENT '短信签名',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `template_content` varchar(500) NOT NULL COMMENT '模板内容',
  `template_params` varchar(500) DEFAULT NULL COMMENT '模板参数',
  `status` int NOT NULL DEFAULT '1' COMMENT '状态',
  `template_name` varchar(50) NOT NULL COMMENT '模版名称',
  `app_id` varchar(50) DEFAULT NULL COMMENT '腾讯云SDKappID',
  `business_classify` int NOT NULL DEFAULT '0' COMMENT '业务类型(0：告警短信，1：登录短信)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='短信配置';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_sms`
--

LOCK TABLES `blade_sms` WRITE;
/*!40000 ALTER TABLE `blade_sms` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_sms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_tenant`
--

DROP TABLE IF EXISTS `blade_tenant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_tenant` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `tenant_name` varchar(50) NOT NULL COMMENT '租户名称',
  `domain` varchar(255) DEFAULT NULL COMMENT '域名地址',
  `background_url` varchar(1000) DEFAULT NULL COMMENT '系统背景',
  `linkman` varchar(20) DEFAULT NULL COMMENT '联系人',
  `contact_number` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `address` varchar(255) DEFAULT NULL COMMENT '联系地址',
  `account_number` int DEFAULT '-1' COMMENT '账号额度',
  `expire_time` datetime DEFAULT NULL COMMENT '过期时间',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源ID',
  `license_key` varchar(1000) DEFAULT NULL COMMENT '授权码',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_tenant`
--

LOCK TABLES `blade_tenant` WRITE;
/*!40000 ALTER TABLE `blade_tenant` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_tenant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_ticket`
--

DROP TABLE IF EXISTS `blade_ticket`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_ticket` (
  `id` bigint NOT NULL,
  `ticket` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_ticket`
--

LOCK TABLES `blade_ticket` WRITE;
/*!40000 ALTER TABLE `blade_ticket` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_ticket` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_top_menu`
--

DROP TABLE IF EXISTS `blade_top_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_top_menu` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `code` varchar(255) DEFAULT NULL COMMENT '顶部菜单编号',
  `name` varchar(255) DEFAULT NULL COMMENT '顶部菜单名',
  `source` varchar(255) DEFAULT NULL COMMENT '顶部菜单资源',
  `sort` int DEFAULT NULL COMMENT '顶部菜单排序',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_top_menu`
--

LOCK TABLES `blade_top_menu` WRITE;
/*!40000 ALTER TABLE `blade_top_menu` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_top_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_top_menu_setting`
--

DROP TABLE IF EXISTS `blade_top_menu_setting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_top_menu_setting` (
  `id` bigint NOT NULL COMMENT '主键',
  `top_menu_id` bigint DEFAULT NULL COMMENT '顶部菜单主键',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单主键',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_top_menu_setting`
--

LOCK TABLES `blade_top_menu_setting` WRITE;
/*!40000 ALTER TABLE `blade_top_menu_setting` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_top_menu_setting` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user`
--

DROP TABLE IF EXISTS `blade_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_user` (
  `id` bigint(20) unsigned zerofill NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `code` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '用户编号',
  `user_type` int DEFAULT NULL COMMENT '用户平台',
  `account` varchar(45) DEFAULT NULL COMMENT '账号',
  `password` varchar(45) DEFAULT NULL COMMENT '密码',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '昵称',
  `real_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '真名',
  `nick_name` varchar(50) DEFAULT NULL COMMENT '微信昵称',
  `avatar` varchar(500) DEFAULT NULL COMMENT '头像',
  `email` varchar(45) DEFAULT NULL COMMENT '邮箱',
  `phone` varchar(45) DEFAULT NULL COMMENT '手机',
  `birthday` datetime DEFAULT NULL COMMENT '生日',
  `sex` int DEFAULT NULL COMMENT '性别',
  `role_id` varchar(1000) DEFAULT NULL COMMENT '角色id',
  `dept_id` varchar(1000) DEFAULT NULL COMMENT '部门id',
  `post_id` varchar(1000) DEFAULT NULL COMMENT '岗位id',
  `face_user_id` varchar(255) DEFAULT NULL COMMENT '人脸userID',
  `face_group_id` varchar(255) DEFAULT NULL COMMENT '人脸分组ID',
  `face_token` varchar(255) DEFAULT NULL COMMENT '人脸facetoken',
  `face_img` varchar(500) DEFAULT NULL COMMENT '人脸图片',
  `open_id` varchar(255) DEFAULT NULL COMMENT 'openid',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `audit_level` int DEFAULT NULL COMMENT '审核等级',
  `is_login` int DEFAULT NULL COMMENT '是否允许账号登录  0 是 1否',
  `is_wx_login` int DEFAULT NULL COMMENT '是否允许微信登录  0 是 1否',
  `login_status` int DEFAULT NULL COMMENT '登录状态  0 正常 1预警 2警告 login_status',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `ext_json` text COMMENT '扩展字段',
  `third_user_id` varchar(100) DEFAULT NULL COMMENT '第三方用户id',
  `wechat_open_id` varchar(64) DEFAULT NULL COMMENT '微信三方登录绑定openId',
  `ding_open_id` varchar(64) DEFAULT NULL COMMENT '钉钉三方登录绑定openId',
  `qy_wechat_code` varchar(64) DEFAULT NULL COMMENT '企业微信三方登录绑定openId',
  `fei_shu_open_id` varchar(64) DEFAULT NULL COMMENT '飞书三方登录绑定openId',
  `user_attr` tinyint NOT NULL DEFAULT '0' COMMENT '用户属性(0-租户人员/1-超级管理员)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='用户表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user`
--

LOCK TABLES `blade_user` WRITE;
/*!40000 ALTER TABLE `blade_user` DISABLE KEYS */;
INSERT INTO `blade_user` VALUES (01123598821738675201,'000000','A123456',1,'dataview','10470c3b4b1fed12c3baac014be15fac67c6e815','管理员','管理员','管理员','','897927075@qq.com','18706868471','2018-08-08 00:00:00',1,'1123598816738675201','1372754484547788801','1123598817738675201','faceBY1123598821738675201','by_unicom_facegroup_sys','3ecaf3bfcb51142d608e3f970fa029c4','uploads/face/65d6beea-259a-4ee7-ad6b-d2247aee25a0.jpg','',1123598821738675201,1123598813738675201,'2018-08-08 00:00:00',1123598821738675201,'2024-05-31 11:00:08',1,0,0,0,1,0,'{\"bigdataId\":1260,\"bigdataName\":\"大屏\",\"bigdataCategory\":\"\"}',NULL,NULL,'ORxG45LhJpUn26eV8MgyzwiEiE','ou_cb002d2cfaa3b7a164f3c7a03f3b6be6',NULL,0);
/*!40000 ALTER TABLE `blade_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user_app`
--

DROP TABLE IF EXISTS `blade_user_app`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_user_app` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `user_ext` varchar(255) DEFAULT NULL COMMENT '用户拓展信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user_app`
--

LOCK TABLES `blade_user_app` WRITE;
/*!40000 ALTER TABLE `blade_user_app` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_user_app` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user_dept`
--

DROP TABLE IF EXISTS `blade_user_dept`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_user_dept` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `dept_id` bigint DEFAULT '0' COMMENT '部门ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='用户部门表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user_dept`
--

LOCK TABLES `blade_user_dept` WRITE;
/*!40000 ALTER TABLE `blade_user_dept` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_user_dept` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user_oauth`
--

DROP TABLE IF EXISTS `blade_user_oauth`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_user_oauth` (
  `id` bigint NOT NULL COMMENT '主键',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
  `uuid` varchar(64) DEFAULT NULL COMMENT '第三方系统用户ID',
  `user_id` bigint DEFAULT NULL COMMENT '用户ID',
  `username` varchar(32) DEFAULT NULL COMMENT '账号',
  `nickname` varchar(64) DEFAULT NULL COMMENT '用户名',
  `avatar` varchar(1000) DEFAULT NULL COMMENT '头像',
  `blog` varchar(50) DEFAULT NULL COMMENT '应用主页',
  `company` varchar(255) DEFAULT NULL COMMENT '公司名',
  `location` varchar(255) DEFAULT NULL COMMENT '地址',
  `email` varchar(255) DEFAULT NULL COMMENT '邮件',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `gender` varchar(16) DEFAULT NULL COMMENT '性别',
  `source` varchar(16) DEFAULT NULL COMMENT '来源',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user_oauth`
--

LOCK TABLES `blade_user_oauth` WRITE;
/*!40000 ALTER TABLE `blade_user_oauth` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_user_oauth` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user_other`
--

DROP TABLE IF EXISTS `blade_user_other`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_user_other` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `user_ext` varchar(255) DEFAULT NULL COMMENT '用户拓展信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user_other`
--

LOCK TABLES `blade_user_other` WRITE;
/*!40000 ALTER TABLE `blade_user_other` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_user_other` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_user_web`
--

DROP TABLE IF EXISTS `blade_user_web`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_user_web` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint DEFAULT '0' COMMENT '用户ID',
  `user_ext` varchar(255) DEFAULT NULL COMMENT '用户拓展信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_user_web`
--

LOCK TABLES `blade_user_web` WRITE;
/*!40000 ALTER TABLE `blade_user_web` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_user_web` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_visual`
--

DROP TABLE IF EXISTS `blade_visual`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_visual` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `title` varchar(255) DEFAULT NULL COMMENT '大屏标题',
  `background_url` longtext COMMENT '大屏背景',
  `category` bigint DEFAULT NULL COMMENT '大屏类型',
  `password` varchar(255) DEFAULT NULL COMMENT '发布密码',
  `create_user` varchar(64) DEFAULT NULL COMMENT '创建人',
  `create_dept` varchar(64) DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` varchar(64) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int NOT NULL COMMENT '状态',
  `is_deleted` int NOT NULL COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `zxc` (`category`),
  CONSTRAINT `zxc` FOREIGN KEY (`category`) REFERENCES `blade_visual_category` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='可视化表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_visual`
--

LOCK TABLES `blade_visual` WRITE;
/*!40000 ALTER TABLE `blade_visual` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_visual` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_visual_category`
--

DROP TABLE IF EXISTS `blade_visual_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_visual_category` (
  `id` bigint NOT NULL COMMENT '主键',
  `category_key` varchar(12) DEFAULT NULL COMMENT '分类键值',
  `category_value` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `is_deleted` int NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='可视化分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_visual_category`
--

LOCK TABLES `blade_visual_category` WRITE;
/*!40000 ALTER TABLE `blade_visual_category` DISABLE KEYS */;
INSERT INTO `blade_visual_category` VALUES (1,'0','模板库',0,'0');
/*!40000 ALTER TABLE `blade_visual_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_visual_config`
--

DROP TABLE IF EXISTS `blade_visual_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_visual_config` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `visual_id` varchar(64) DEFAULT NULL COMMENT '可视化表主键',
  `detail` text COMMENT '配置json',
  `component` longtext COMMENT '组件json',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='可视化配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_visual_config`
--

LOCK TABLES `blade_visual_config` WRITE;
/*!40000 ALTER TABLE `blade_visual_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_visual_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_visual_db`
--

DROP TABLE IF EXISTS `blade_visual_db`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_visual_db` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `name` varchar(100) DEFAULT NULL COMMENT '名称',
  `driver_class` varchar(100) DEFAULT NULL COMMENT '驱动类',
  `url` varchar(500) DEFAULT NULL COMMENT '连接地址',
  `username` varchar(50) DEFAULT NULL COMMENT '用户名',
  `password` varchar(50) DEFAULT NULL COMMENT '密码',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user` varchar(64) DEFAULT NULL COMMENT '创建人',
  `create_dept` varchar(64) DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` varchar(64) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT NULL COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='可视化数据源配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_visual_db`
--

LOCK TABLES `blade_visual_db` WRITE;
/*!40000 ALTER TABLE `blade_visual_db` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_visual_db` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blade_visual_map`
--

DROP TABLE IF EXISTS `blade_visual_map`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blade_visual_map` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '地图名称',
  `data` longtext COMMENT '地图数据',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='可视化地图配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blade_visual_map`
--

LOCK TABLES `blade_visual_map` WRITE;
/*!40000 ALTER TABLE `blade_visual_map` DISABLE KEYS */;
/*!40000 ALTER TABLE `blade_visual_map` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_data`
--

DROP TABLE IF EXISTS `cube_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cube_data` (
  `id` int NOT NULL AUTO_INCREMENT,
  `workspace_id` int NOT NULL DEFAULT '0' COMMENT '工作空间ID',
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `cube_name` varchar(100) NOT NULL COMMENT '数据集名称',
  `cube_table_names` json NOT NULL COMMENT '表名json数组',
  `links_join` text COMMENT '表关联json字符串',
  `filter_json` text COMMENT '数据过滤条件json字符串',
  `query_sql` varchar(2000) DEFAULT NULL COMMENT '拼接好的查询SQL',
  `table_type` tinyint NOT NULL DEFAULT '0' COMMENT '表类型(0-物理表/1-逻辑表)',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注描述',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公开状态',
  `old_cube_data_Id` int DEFAULT NULL COMMENT '被复制的数据集id',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_edit` int DEFAULT '1' COMMENT '是否可以被编辑 0：不可以，1：可以',
  `display_status` tinyint NOT NULL DEFAULT '1' COMMENT '是否显示[静态数据创建的数据集不显示] 1：可以[默认]，0：不可以',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_data`
--

LOCK TABLES `cube_data` WRITE;
/*!40000 ALTER TABLE `cube_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_data_permission`
--

DROP TABLE IF EXISTS `cube_data_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cube_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cube_perm_name` varchar(100) NOT NULL COMMENT '数据集权限名称',
  `cube_workspace_id` int DEFAULT '0' COMMENT '数据集分类ID',
  `cube_data_id` int NOT NULL COMMENT '数据集ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `filter_json` text COMMENT '过滤器JSON',
  `filter_sql` varchar(1000) DEFAULT NULL COMMENT '[行权限]过滤器SQL',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `exclude_column_ids` varchar(1000) DEFAULT NULL COMMENT '[列权限]不包含的字段ID,逗号隔开',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `cube_data_id` (`cube_data_id`,`data_perm_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集权限';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_data_permission`
--

LOCK TABLES `cube_data_permission` WRITE;
/*!40000 ALTER TABLE `cube_data_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_data_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_datasource_function`
--

DROP TABLE IF EXISTS `cube_datasource_function`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cube_datasource_function` (
  `func_id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL COMMENT '函数名',
  `method` varchar(50) NOT NULL COMMENT '函数方法',
  `ds_type` tinyint NOT NULL COMMENT '数据源类型(0-mysql/1-oracle/2-sqlserver/3-postgresql/4-clickhouse/-1通用)',
  `description` varchar(500) DEFAULT NULL COMMENT '函数描述',
  `example` varchar(100) DEFAULT NULL COMMENT '示例',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号(越大排序越靠前)',
  `func_type` tinyint NOT NULL DEFAULT '0' COMMENT '函数类型(0-数据库自带函数,1-自定义解析函数)',
  `func_sql` varchar(1000) DEFAULT NULL COMMENT '自定义函数sql片段',
  `func_attr` tinyint DEFAULT NULL COMMENT '0-聚合函数\n1-统计函数\n2-日期和时间\n3-字符串函数\n4-逻辑函数\n5-数值函数\n6-数组函数\n7-自定义函数\n99-其他',
  `method_name` varchar(50) DEFAULT NULL COMMENT '函数名称',
  `sub_query_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否包含子查询(1-是/0-否)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`func_id`)
) ENGINE=InnoDB AUTO_INCREMENT=185 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据源函数库';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_datasource_function`
--

LOCK TABLES `cube_datasource_function` WRITE;
/*!40000 ALTER TABLE `cube_datasource_function` DISABLE KEYS */;
INSERT INTO `cube_datasource_function` VALUES (1,'introduce','',-2,'【参数说明】（以下说明中出现的N为从1开始的整数）\n公式中的参数一定要用做大屏中的维度的，标记为维度N\n公式中的参数一定要用数值的，标记为数值N\n公式中的参数一定要用字符串的，标记为文本N\n公式中的参数一定要用时间格式的，标记为时间N\n无限制的参数标记为字段N\n其他特殊规定的参数格式，请务必在说明中详细解释，并列出所有可能\n【格式说明】\n所有说明中一定要包含【用法】，【说明】，【示例】，示例尽量参考以下表结构\n日期||商品名称||店铺名称||销售人||商品数量||销售单价\n【测试函数数据】\n测试环境：helowin下的YYOS2\n表结构：\nRENT_DATE||HOUSE_ID||IS_RE_RENT||PERIOD||diffmonth||MONTH_PRICE\n取表sql见func_sql','','2021-11-16 14:54:00',100000,0,'WITH TEST_FUNC AS (\nSELECT \n	col_5 AS RENT_DATE,\n	COL_1 AS HOUSE_ID,\n	COL_12 AS IS_RE_RENT,\n	COL_9 AS PERIOD,\n	months_between(COL_6 ,COL_5) AS diffmonth,\n	col_7 AS MONTH_PRICE \nFROM FILE_TABLE_20220507_100109)\nSELECT * FROM TEST_FUNC',0,'',0,'111111'),(2,'SUM','SUM()',0,'用法：SUM(数值1)\n示例：SUM([销售额])，返回\'销售额\'字段对应的所有非空值的总和','','2022-10-10 14:54:00',99000,0,'',0,'',0,'111111'),(3,'COUNT','COUNT()',0,'用法：COUNT(字段1)\n示例：COUNT([销售额])，返回\'销售额\'字段对应的所有非空值的数据条目数','','2022-10-10 14:54:00',98000,0,'',0,'',0,'111111'),(4,'COUNT_DISTINCT','COUNT(DISTINCT())',0,'用法：COUNT(DISTINCT(字段1))\n示例：COUNT(DISTINCT([销售额]))，返回\'销售额\'字段对应的所有非空值的不同数据条目数','','2022-10-10 14:54:00',97000,0,'',0,'',0,'111111'),(5,'AVG','AVG()',0,'用法：AVG(数值1)\n示例：AVG([销售额])，返回\'销售额\'字段对应的所有非空值的平均值','','2022-10-10 14:54:00',96000,0,'',0,'',0,'111111'),(6,'MAX','MAX()',0,'用法：MAX(数值1)\n示例：MAX([销售额])，返回\'销售额\'字段对应值的最大值','','2022-10-10 14:54:00',95000,0,'',0,'',0,'111111'),(7,'MIN','MIN()',0,'用法：MIN(数值1)\n示例：MIN([销售额])，返回\'销售额\'字段对应值的最小值','','2022-10-10 14:54:00',94000,0,'',0,'',0,'111111'),(8,'安全除法','fun_devide(,)',0,'用法：fun_devide(数值1,数值2)\n说明：返回两个数值相除的结果，如果分母为0，则结果为0 \n示例：fun_devide(4,2),返回2;fun_devide(4,0),返回0','','2023-02-23 15:26:57',0,1,'case when sum({1}) = 0 then 0 else sum({0})*1.0/sum({1}) end',5,'fun_devide',0,'111111'),(9,'if判断','if_f(,,)',0,'用法：if_f(表达式，结果1，结果2)\n说明：:if_f为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:if_f([订单数] > 500, \'合格\', \'不合格\')。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-10-13 15:23:00',0,1,'CASE WHEN {0} THEN {1} ELSE {2} end',4,'if_f',0,'111111'),(10,'条件计数','countif()',0,'用法：countif(表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的数量\n示例：\ncountif([销售数量] = 1)返回字段名为销售数量的列中等于1的数量\ncountif([销售数量] > 1)返回字段名为销售数量的列中大于1的数量','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {0} THEN 1 ELSE 0 END)',1,'countif',0,'111111'),(11,'条件求和','sumif(,)',0,'用法：sumif(字段,表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的对应字段求和\n示例：\nsumif([销售金额],[销售数量] = 1)返回字段名为销售数量的列中销售等于1的销售金额求和\nsumif([销售金额],[销售数量] &gt; 1)返回字段名为销售数量的列中大于1的求和','','2023-01-04 12:16:00',0,1,'sum(CASE WHEN {1} THEN {0} ELSE 0 END)',1,'sumif',0,'111111'),(12,'次数超N次占比','repeat_beyond_part(,,)',3,'用法：repeat_beyond_part(字段1,字段2,数值1)\n说明：返回在字段1下，字段2中出现次数大于数值1的值占所有字段2的百分比（字段1一定要为其中一个维度）\n用法：\nrepeat_beyond_part([省份],[城市],5)，返回每个省份，表中数量大于5的城市占所有城市数量的比例\nrepeat_beyond_part([月份],[用户ID],2)，返回每个月，购买次数大于2的用户数占总用户数的比例','','2022-10-13 15:23:00',0,1,'(SELECT sum(zi_total_num)/count(1) FROM (SELECT {0},{1},count(1),CASE WHEN count(1) > {2} THEN 1 ELSE 0 END AS zi_total_num FROM {master_table_name} GROUP BY {0},{1}) a WHERE a.{0} = {master_alias_name}.{0} GROUP BY a.{0})',1,'repeat_beyond_part',1,'111111'),(13,'NOW','NOW()',0,'用法：now()\n说明：函数不用带参数\n示例：now()，返回当前时间，\n格式如：2022-12-02 10:23:14','','2022-12-01 17:54:00',890,0,'',2,'',0,'111111'),(14,'WEEK','WEEK(,1)',0,'用法：WEEK(时间1,1)\n说明：第二个参数填写1即可，其他的可自行百度\n示例：WEEK(str_to_date(\'2022-12-04\',\'%Y-%m-%d\'),1) 返回值为48（2022年12月4日为2022年的第48周）','','2022-12-01 17:54:00',880,0,'',2,'',0,'111111'),(15,'DATE_ADD','DATE_ADD( , INTERVAL * MONTH)',0,'用法：DATE_ADD(时间1 , INTERVAL 整数1 MONTH)\n说明：\n将公式中的*替换成整数1；\n默认用例是在时间1的基础上加上整数1个月；\n可将MONTH改为SECOND（秒），MINUTE（分钟），HOUR(小时），DAY（日），YEAR（年）；\n数值1可为负数，表示减去对应时长\n示例：DATE_ADD(STR_TO_DATE(\'2022-12-04\',\'%Y-%m-%d\'), INTERVAL -1 MONTH)  返回值为2022-11-04','','2022-12-01 17:54:00',870,0,'',2,'',0,'111111'),(16,'TIMESTAMPDIFF','TIMESTAMPDIFF(DAY , , )',0,'用法：TIMESTAMPDIFF(DAY ,时间2,时间1)\n说明：\n注意是时间1 - 时间2，顺序是反的，表示两个时间日的插值；\n可将DAY改为SECOND（秒），MINUTE（分钟），HOUR(小时），MONTH（月），YEAR（年）；\n示例：TIMESTAMPDIFF(HOUR,STR_TO_DATE(\'2022-12-02\',\'%Y-%m-%d\') ,STR_TO_DATE(\'2022-12-03 12:00:00\',\'%Y-%m-%d %H:%i:%s\') )   返回1','','2022-12-01 17:54:00',860,0,'',2,'',0,'111111'),(17,'CONCAT','CONCAT(,)',0,'用法：CONCAT(字段1, 字段2...)\n说明：返回顺序联结各参数的字符串\n示例：CONCAT([货品编号], [类型编号])，返回货品编号和类型编号联结后的字符串','','2022-12-01 17:54:00',790,0,'',3,'',0,'111111'),(18,'INSTR','INSTR(,)',0,'用法：INSTR(字段1, 需查找的字符串)\n说明：返回需查找的字符串在字段1的值中第一次出现时的位置，结果是大于0的整数，如果找不到则返回0\n示例：INSTR([商品名称], \'S\')，返回\'S\'在[商品名称]中第一次出现时的位置','','2022-12-01 17:54:00',780,0,'',3,'',0,'111111'),(19,'LENGTH','LENGTH()',0,'用法：LENGTH(字段1)\n说明：返回字段1的长度\n示例：LENGTH([货品名])，返回货品名的长度','','2022-12-01 17:54:00',770,0,'',3,'',0,'111111'),(20,'SUBSTR','SUBSTR(,)',0,'用法：SUBSTR(字段1, 起始位置[, 长度])\n说明：返回从起始位置起对应长度的字段1的子字符串，长度为可选项；负数索引代表从结尾向前计算字符串个数\n示例：SUBSTR([商品类型], 4)，返回商品类型的索引为4起至末尾的子字符串；SUBSTR([商品类型], -4)，返回商品类型最后4个字符串','','2022-12-01 17:54:00',760,0,'',3,'',0,'111111'),(21,'REPLACE','REPLACE(,,)',0,'用法：REPLACE(字段1,需要替换的字符串,替换后的字符串)\n说明：会将字段1中所有的需要替换的字符串都替换成替换后的字符串\n示例：REPLACE([商品类型], \'地\',\'的\')，将商品类型中错写的‘地’改成正确的‘的’；','','2022-12-01 17:54:00',750,0,'',3,'',0,'111111'),(22,'TRIM','TRIM()',0,'用法：TRIM(字段1)\n说明：去除字段1中数据两边的空格\n示例：TRIM(\' ABC \'), 返回\'ABC\'','','2022-12-01 17:54:00',740,0,'',3,'',0,'111111'),(23,'LOWER','LOWER()',0,'用法：LOWER(字段1)\n说明：返回字段1值全部小写形式的字符串\n示例：LOWER(\'ABC\')，返回\'abc\'','','2022-12-01 17:54:00',730,0,'',3,'',0,'111111'),(24,'UPPER','UPPER()',0,'用法：UPPER(字段1)\n说明：返回字段1全部大写形式的字符串\n示例：UPPER(\'abc\'),返回\'ABC\'','','2022-12-01 17:54:00',720,0,'',3,'',0,'111111'),(25,'IFNULL','IFNULL(,)',0,'用法：IFNULL(字段1, 需替换字符串)\n说明：如果字段1为空则返回需替换字符串，否则输出原字符串\n示例：IFNULL(null, \'未知\')，返回值未知','','2022-12-01 17:54:00',690,0,'',4,'',0,'111111'),(26,'ABS','ABS()',0,'用法:ABS(数值1)\n说明:返回数值1的绝对值\n示例:ABS(-3),返回3','','2022-12-01 17:54:00',590,0,'',5,'',0,'111111'),(27,'CEIL','CEIL()',0,'用法:CEIL(数值1)\n说明:返回不小于数值1的最小整数\n示例:CEIL(4.12),返回5','','2022-12-01 17:54:00',580,0,'',5,'',0,'111111'),(28,'FLOOR','FLOOR()',0,'用法:FLOOR(数值)\n说明:返回不大于数值的最大整数\n示例:FLOOR(4.12),返回4','','2022-12-01 17:54:00',570,0,'',5,'',0,'111111'),(29,'LOG','LOG(,)',0,'用法:LOG(数值1,[数值2])\n说明:以数值1为底，求数值2的对数，默认为自然对数底\n示例:LOG(2,4),返回2.0；LOG(2),返回以e为底，2的对数','','2022-12-01 17:54:00',560,0,'',5,'',0,'111111'),(30,'POWER','POWER(,)',0,'用法:POWER(数值1,数值2)\n说明:求数值1的数值2次方\n示例:POWER(4,2),返回16.0','','2022-12-01 17:54:00',550,0,'',5,'',0,'111111'),(31,'RAND','RAND()',0,'用法:RAND() \n说明:\n返回大于0小于1的随机小数；\n括号内不需要参数','','2022-12-01 17:54:00',540,0,'',5,'',0,'111111'),(32,'ROUND','ROUND()',0,'用法：ROUND(数值1,[整数2])\n说明：返回数值1四舍五入到小数点后整数2位。不填时为0\n示例：ROUND(4.12,1),返回4.1','','2022-12-01 17:54:00',530,0,'',5,'',0,'111111'),(33,'SQRT','SQRT()',0,'用法：SQRT(数值1)\n说明：求数值1的根号，需要大于等于零\n示例：SQRT(4),返回2.0','','2022-12-01 17:54:00',520,0,'',5,'',0,'111111'),(34,'环比增长率','link_relative_ratio(,,\'yyyy-MM\')',1,'用法：link_relative_ratio(数值1,时间1,月份格式)\n说明：\n计算结果为当月与上月数值1的环比增长率\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选\n特殊用法：\n修改月份格式和月维度为\'YYYY\'和\'YYYY-MM-DD\'也可以做年度和日环比增长率','','2022-10-10 14:54:00',0,1,'CASE WHEN Lag(sum({0})) over(ORDER BY to_char({1},{2})) = 0 OR Lag(sum({0})) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0})) over(ORDER BY to_char({1},{2}))) / Lag(sum({0})) over(ORDER BY to_char({1},{2})) END',1,'link_relative_ratio',0,'111111'),(35,'环比增长值','link_relative(,,\'yyyy-MM\')',1,'用法：link_relative(数值1,时间1,月份格式)\n说明：\n计算结果为当月与上月数值1的环比增长值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选\n特殊用法：\n修改月份格式和月维度为\'YYYY\'和\'YYYY-MM-DD\'也可以做年度和日环比增长值','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0})) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0})) over(ORDER BY to_char({1},{2}))) END',1,'link_relative',0,'111111'),(36,'环对比值','link_value(,,\'yyyy-MM\')',1,'用法：link_value(数值1,时间1,月份格式)\n说明：\n计算结果为上月数值1的值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选\n特殊用法：\n修改月份格式和月维度为\'YYYY\'和\'YYYY-MM-DD\'也可以做年度和日环对比值','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0})) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE Lag(sum({0})) over(ORDER BY to_char({1},{2})) END',1,'link_value',0,'111111'),(37,'按列百分比','col_percent(,)',1,'用法：col_percent(数值1,维度1)\n说明：\n如果又列维度，可通过该公式计算按列的百分比\n数值1为需求百分比数值，维度1为列维度\n特殊用法：\n如果有两个行维度，维度1如果为第二个行维度，能够计算第二个维度在第一个维度中的百分占比','','2022-10-11 17:54:00',0,1,'sum({0})/sum(sum({0})) over(PARTITION BY {1})',1,'col_percent',0,'111111'),(38,'累计百分比','cumulative_percentage(,,asc)',1,'用法：cumulative_percentage(维度1,指标1,asc) 第三个参数可填写asc或desc\n说明：\nasc表示对指标1升序，desc表示对指标1降序，不用加引号\n返回维度1对应的指标1求和后的累计百分比\n示例：\ncumulative_percentage([商品名称],[商品数量],asc) 返回[商品名称]对应的[商品数量]求和升序后的累计百分占比','','2022-10-13 15:23:00',0,1,'sum(sum({1})) over(ORDER BY sum({1}) {2},{0})/sum(sum({1})) over()',1,'cumulative_percentage',0,'111111'),(39,'月同比增长率','year_on_year_ratio(,,\'yyyy-MM\')',1,'用法：year_on_year_ratio(数值1,时间1,月份格式)\n说明：\n计算结果为当月与去年同期数值1的环比增长率\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) = 0 OR Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0}),12) over(ORDER BY to_char({1},{2}))) / Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) END',1,'year_on_year_ratio',0,'111111'),(40,'月同比增长值','year_on_year(,,\'yyyy-MM\')',1,'用法：year_on_year(数值1,时间1,月份格式)\n说明：\n计算结果为当月与去年同期数值1的环比增长值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0}),12) over(ORDER BY to_char({1},{2}))) END',1,'year_on_year',0,'111111'),(41,'月同对比值','year_on_year_value(,,\'yyyy-MM\')',1,'用法：year_on_year_value(数值1,时间1,月份格式)\n说明：\n计算结果去年同期数值1的值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) END',1,'year_on_year_value',0,'111111'),(42,'NOW','SYSDATE',1,'用法：SYSDATE\n说明：函数不用带括号\n示例：SYSDATE，返回当前时间，\n格式如：2022-12-02 10:23:14','','2022-12-01 17:54:00',1890,0,'',2,'',0,'111111'),(43,'WEEK','TO_CHAR(,\'IW\')',1,'用法：to_char(时间1,\'IW\')   第二个参数可填写\'IW\'或\'W\'\n说明：\'IW\'为默认参数，返回时间1对应当年的第几周，如果改为\'W\'则返回时间1为当月的第几周\n示例：TO_CHAR(TO_DATE(\'2022-12-02\',\'YYYY-MM-DD\'),\'ww\') 返回值为48（2022年12月2日为2022年的第48周）','','2022-12-01 17:54:00',1880,0,'',2,'',0,'111111'),(44,'ADD_TIME','( ) + INTERVAL \'*\' MONTH',1,'用法：(时间1) + INTERVAL \'整数1\' MONTH\n说明：\n将公式中的*替换成整数1；\n整数1外的单引号别删掉，默认用例是在时间1的基础上加上整数1个月；\n可将MONTH改为SECOND（秒），MINUTE（分钟），HOUR(小时），DAY（日），YEAR（年）；\n数值1可为负数，表示减去对应时长\n示例：(TO_DATE(\'2022-12-02\',\'YYYY-MM-DD\')) + INTERVAL \'-1\' MONTH  返回值为2022-11-02','','2022-12-01 17:54:00',1870,0,'',2,'',0,'111111'),(45,'DATEDIFF','() - ()',1,'用法：(时间1) - (时间2)\n示例：TO_DATE(\'2022-12-02\',\'YYYY-MM-DD\') - TO_DATE(\'2022-12-03 12:00:00\',\'YYYY-MM-DD HH24-MI-SS\')   返回-1.5','','2022-12-01 17:54:00',1860,0,'',2,'',0,'111111'),(46,'CONCAT','CONCAT(,)',1,'用法：CONCAT(字段1, 字段2)\n说明：返回顺序联结各参数的字符串\n示例：CONCAT([货品编号], [类型编号])，返回货品编号和类型编号联结后的字符串','','2022-10-10 14:54:00',1790,0,'',3,'',0,'111111'),(47,'INSTR','INSTR(,)',1,'用法：INSTR(字段1, 需查找的字符串)\n说明：返回需查找的字符串在字段1的值中第一次出现时的位置，结果是大于0的整数，如果找不到则返回0\n示例：INSTR([商品名称], \'S\')，返回\'S\'在[商品名称]中第一次出现时的位置','','2022-10-10 14:54:00',1780,0,'',3,'',0,'111111'),(48,'LENGTH','LENGTH()',1,'用法：LENGTH(字段1)\n说明：返回字段1的长度\n示例：LENGTH([货品名])，返回货品名的长度','','2022-10-10 14:54:00',1770,0,'',3,'',0,'111111'),(49,'SUBSTR','SUBSTR(,)',1,'用法：SUBSTR(字段1, 起始位置[, 长度])\n说明：返回从起始位置起对应长度的字段1的子字符串，长度为可选项；负数索引代表从结尾向前计算字符串个数\n示例：SUBSTR([商品类型], 4)，返回商品类型的索引为4起至末尾的子字符串；SUBSTR([商品类型], -4)，返回商品类型最后4个字符串','','2022-10-10 14:54:00',1760,0,'',3,'',0,'111111'),(50,'REPLACE','REPLACE(,,)',1,'用法：REPLACE(字段1,需要替换的字符串,替换后的字符串)\n说明：会将字段1中所有的需要替换的字符串都替换成替换后的字符串\n示例：REPLACE([商品类型], \'地\',\'的\')，将商品类型中错写的‘地’改成正确的‘的’；','','2022-12-01 17:54:00',1750,0,'',3,'',0,'111111'),(51,'TRIM','TRIM()',1,'用法：TRIM(字段1)\n说明：去除字段1中数据两边的空格\n示例：TRIM(\' ABC \'), 返回\'ABC\'','','2022-10-10 14:54:00',1740,0,'',3,'',0,'111111'),(52,'LOWER','LOWER()',1,'用法：LOWER(字段1)\n说明：返回字段1值全部小写形式的字符串\n示例：LOWER(\'ABC\')，返回\'abc\'','','2022-10-10 14:54:00',1730,0,'',3,'',0,'111111'),(53,'UPPER','UPPER()',1,'用法：UPPER(字段1)\n说明：返回字段1全部大写形式的字符串\n示例：UPPER(\'abc\'),返回\'ABC\'','','2022-10-10 14:54:00',1720,0,'',3,'',0,'111111'),(54,'NVL','NVL(,)',1,'用法：NVL(字段, 需替换字符串)\n说明：如果字段为空则返回需替换字符串，否则输出原字符串\n示例：NVL(null, \'未知\')，返回值未知','','2022-10-13 15:23:00',1690,0,'',4,'',0,'111111'),(55,'ABS','ABS()',1,'用法:ABS(数值1)\n说明:返回数值1的绝对值\n示例:ABS(-3),返回3','','2021-11-16 14:54:00',1590,0,'',5,'',0,'111111'),(56,'CEIL','CEIL()',1,'用法:CEIL(数值1)\n说明:返回不小于数值1的最小整数\n示例:CEIL(4.12),返回5','','2022-10-10 14:54:00',1580,0,'',5,'',0,'111111'),(57,'FLOOR','FLOOR()',1,'用法:FLOOR(数值1)\n说明:返回不大于数值1的最大整数\n示例:FLOOR(4.12),返回4','','2022-10-10 14:54:00',1570,0,'',5,'',0,'111111'),(58,'LOG','LOG(,)',1,'用法:LOG(数值1,数值2)\n说明:以数值1为底，求数值2的对数\n示例:LOG(2,4),返回2.0','','2022-10-10 14:54:00',1560,0,'',5,'',0,'111111'),(59,'POWER','POWER(,)',1,'用法:POWER(数值1,数值2)\n说明:求数值1的数值2次方\n示例:POWER(4,2),返回16.0','','2022-10-10 14:54:00',1550,0,'',5,'',0,'111111'),(60,'RAND','DBMS_RANDOM.VALUE',1,'用法:DBMS_RANDOM.VALUE  (后面不需要加参数和括号)\n说明:返回大于0小于1的随机小数','','2022-10-10 14:54:00',1540,0,'',5,'',0,'111111'),(61,'ROUND','ROUND()',1,'用法：ROUND(数值1,[整数2])\n说明：返回数值1四舍五入到小数点后整数2位。不填时为0\n示例：ROUND(4.12,1),返回4.1','','2022-10-10 14:54:00',1530,0,'',5,'',0,'111111'),(62,'SQRT','SQRT()',1,'用法：SQRT(数值1)\n说明：求数值1的根号，需要大于等于零\n示例：SQRT(4),返回2.0','','2022-10-10 14:54:00',1520,0,'',5,'',0,'111111'),(63,'NOW','GetDate()',2,'用法：GetDate()\n说明：括号内不需要参数\n示例：GetDate()，返回当前时间，\n格式如：2022-12-02 10:23:14','','2022-12-01 17:54:00',2890,0,'',2,'',0,'111111'),(64,'WEEK','DATENAME(WK,)',2,'用法：DATENAME(WK,时间1)\n说明：每周周日会算到下一周\n示例：DATENAME(WK,CAST(\'2022-12-03\' as DATE)) 返回值为50（2022年12月4日为2022年的第50周，因为周日算到了下一周）','','2022-12-01 17:54:00',2880,0,'',2,'',0,'111111'),(65,'ADD_TIME','DATEADD(MONTH,,)',2,'用法：DATEADD(MONTH,整数1,时间1)\n说明：\n默认用例是在时间1的基础上加上整数1个月；\n可将MONTH改为SECOND（秒），MINUTE（分钟），HOUR(小时），DAY（日），YEAR（年）；\n数值1可为负数，表示减去对应时长\n示例：DATEADD(MONTH,-1,CAST(\'2022-12-04\' as DATE))  返回值为2022-11-04','','2022-12-01 17:54:00',2870,0,'',2,'',0,'111111'),(66,'DATEDIFF','DATEDIFF(DAY,,)',2,'用法：DATEDIFF(DAY,时间2,时间1)\n说明：\n注意是时间1 - 时间2，顺序是反的，表示两个时间日的插值；\n可将DAY改为SECOND（秒），MINUTE（分钟），HOUR(小时），MONTH（月），YEAR（年）；\n示例：DATEDIFF(DAY,CAST(\'2022-12-02\' as DATE),cast(\'2022-12-03 12:00:00\' as DATETIME))   返回1','','2022-12-01 17:54:00',2860,0,'',2,'',0,'111111'),(67,'CONCAT','CONCAT(,)',2,'用法：CONCAT(字段1, 字段2...)\n说明：返回顺序联结各参数的字符串\n示例：CONCAT([货品编号], [类型编号])，返回货品编号和类型编号联结后的字符串','','2022-12-01 17:54:00',2790,0,'',3,'',0,'111111'),(68,'PATINDEX','PATINDEX(\'%%\',\')',2,'用法：PATINDEX(\'%需查找的字符串%\', 字段1)\n说明：\n返回需查找的字符串在字段1的值中第一次出现时的位置，结果是大于0的整数，如果找不到则返回0\n注意将需查找的字符串放到两个%之间\n示例：PATINDEX( \'%S%\',[商品名称])，返回\'S\'在[商品名称]中第一次出现时的位置','','2022-12-01 17:54:00',2780,0,'',3,'',0,'111111'),(69,'LEN','LEN()',2,'用法：LEN(字段1)\n说明：返回字段1的长度\n示例：LEN([货品名])，返回货品名的长度','','2022-12-01 17:54:00',2770,0,'',3,'',0,'111111'),(70,'SUBSTRING','SUBSTRING(,)',2,'用法：SUBSTRING(字段1, 起始位置, 长度)\n说明：返回从起始位置起对应长度的字段1的子字符串\n示例：SUBSTRING([商品类型], 1, 4)，返回商品类型的前4位字符串','','2022-12-01 17:54:00',2760,0,'',3,'',0,'111111'),(71,'REPLACE','REPLACE(,,)',2,'用法：REPLACE(字段1,需要替换的字符串,替换后的字符串)\n说明：会将字段1中所有的需要替换的字符串都替换成替换后的字符串\n示例：REPLACE([商品类型], \'地\',\'的\')，将商品类型中错写的‘地’改成正确的‘的’；','','2022-12-01 17:54:00',2750,0,'',3,'',0,'111111'),(72,'TRIM','TRIM()',2,'用法：TRIM(字段1)\n说明：去除字段1中数据两边的空格\n示例：TRIM(\' ABC \'), 返回\'ABC\'','','2022-12-01 17:54:00',2740,0,'',3,'',0,'111111'),(73,'LOWER','LOWER()',2,'用法：LOWER(字段1)\n说明：返回字段1值全部小写形式的字符串\n示例：LOWER(\'ABC\')，返回\'abc\'','','2022-12-01 17:54:00',2730,0,'',3,'',0,'111111'),(74,'UPPER','UPPER()',2,'用法：UPPER(字段1)\n说明：返回字段1全部大写形式的字符串\n示例：UPPER(\'abc\'),返回\'ABC\'','','2022-12-01 17:54:00',2720,0,'',3,'',0,'111111'),(75,'ABS','ABS()',2,'用法:ABS(数值1)\n说明:返回数值1的绝对值\n示例:ABS(-3),返回3','','2022-12-01 17:54:00',2590,0,'',5,'',0,'111111'),(76,'CEILING','CEILING()',2,'用法:CEILING(数值1)\n说明:返回不小于数值1的最小整数\n示例:CEILING(4.12),返回5','','2022-12-01 17:54:00',2580,0,'',5,'',0,'111111'),(77,'FLOOR','FLOOR()',2,'用法:FLOOR(数值)\n说明:返回不大于数值的最大整数\n示例:FLOOR(4.12),返回4','','2022-12-01 17:54:00',2570,0,'',5,'',0,'111111'),(78,'LOG','LOG(,)',2,'用法:LOG(数值2,数值1)\n说明:以数值1为底，求数值2的对数\n示例:LOG(4,2),返回2.0','','2022-12-01 17:54:00',2560,0,'',5,'',0,'111111'),(79,'POWER','POWER(,)',2,'用法:POWER(数值1,数值2)\n说明:求数值1的数值2次方\n示例:POWER(4,2),返回16.0','','2022-12-01 17:54:00',2550,0,'',5,'',0,'111111'),(80,'RAND','RAND() ',2,'用法:RAND() \n说明:\n返回大于0小于1的随机小数；\n括号内不需要参数','','2022-12-01 17:54:00',2540,0,'',5,'',0,'111111'),(81,'ROUND','ROUND()',2,'用法：ROUND(数值1,[整数2])\n说明：返回数值1四舍五入到小数点后整数2位。不填时为0\n示例：ROUND(4.12,1),返回4.1','','2022-12-01 17:54:00',2530,0,'',5,'',0,'111111'),(82,'SQRT','SQRT()',2,'用法：SQRT(数值1)\n说明：求数值1的根号，需要大于等于零\n示例：SQRT(4),返回2.0','','2022-12-01 17:54:00',2520,0,'',5,'',0,'111111'),(83,'NOW','NOW()',4,'用法：SYSDATE\n说明：函数不用带括号\n示例：SYSDATE，返回当前时间，\n格式如：2022-12-02 10:23:14','','2022-12-01 17:54:00',4890,0,'',2,'',0,'111111'),(84,'WEEK','WEEK(,1)',4,'用法：WEEK(时间1,1)\n说明：第二个参数填写1即可，其他的可自行百度\n示例：WEEK(toDate(\'2022-12-04\'),1) 返回值为48（2022年12月4日为2022年的第48周）','','2022-12-01 17:54:00',4880,0,'',2,'',0,'111111'),(85,'addYears','addYears(,)',4,'用法：addYears(时间1,整数1)\n示例：addYears(toDate(\'2022-12-04\'),-1)  返回2021-12-04','','2022-12-01 17:54:00',4870,0,'',2,'',0,'111111'),(86,'addMonths','addMonths(,)',4,'用法：addMonths(时间1,整数1)\n示例：addMonths(toDate(\'2022-12-04\'),-1)  返回2022-11-04','','2022-12-01 17:54:00',4860,0,'',2,'',0,'111111'),(87,'addDays','addDays(,)',4,'用法：addDays(时间1,整数1)\n示例：addDays(toDate(\'2022-12-04\'),-1)  返回2022-12-03','','2022-12-01 17:54:00',4850,0,'',2,'',0,'111111'),(88,'dateDiff','dateDiff(DAY,,)',4,'用法：dateDiff(DAY,时间2,时间1)\n说明：\n注意是时间1 - 时间2，顺序是反的，表示两个时间日的插值；\n可将DAY改为SECOND（秒），MINUTE（分钟），HOUR(小时），MONTH（月），YEAR（年）；\n示例：dateDiff(DAY,toDate(\'2022-12-04\'),toDateTime(\'2022-12-05 12:00:00\'))   返回1','','2022-12-01 17:54:00',4840,0,'',2,'',0,'111111'),(89,'CONCAT','CONCAT(,)',4,'用法：CONCAT(字段1, 字段2...)\n说明：返回顺序联结各参数的字符串\n示例：CONCAT([货品编号], [类型编号])，返回货品编号和类型编号联结后的字符串','','2022-12-01 17:54:00',4790,0,'',3,'',0,'111111'),(90,'positionUTF8','positionUTF8(,)',4,'用法：positionUTF8(字段1, 需查找的字符串)  字段\n说明：\n英文查找不会出问题，如果字段1为中文，查询结果错误，可能是编码原因，需注意百度其他公式；\n返回需查找的字符串在字段1的值中第一次出现时的位置，结果是大于0的整数，如果找不到则返回0；\n示例：positionUTF8([商品名称], \'S\')，返回\'S\'在[商品名称]中第一次出现时的位置','','2022-12-01 17:54:00',4780,0,'',3,'',0,'111111'),(91,'LENGTH','LENGTH()',4,'用法：LENGTH(字段1)\n说明：返回字段1的长度\n示例：LENGTH([货品名])，返回货品名的长度','','2022-12-01 17:54:00',4770,0,'',3,'',0,'111111'),(92,'SUBSTR','SUBSTR(,)',4,'用法：SUBSTR(字段1, 起始位置[, 长度])\n说明：返回从起始位置起对应长度的字段1的子字符串，长度为可选项；负数索引代表从结尾向前计算字符串个数\n示例：SUBSTR([商品类型], 4)，返回商品类型的索引为4起至末尾的子字符串；SUBSTR([商品类型], -4)，返回商品类型最后4个字符串','','2022-12-01 17:54:00',4760,0,'',3,'',0,'111111'),(93,'REPLACE','REPLACE(,,)',4,'用法：REPLACE(字段1,需要替换的字符串,替换后的字符串)\n说明：会将字段1中所有的需要替换的字符串都替换成替换后的字符串\n示例：REPLACE([商品类型], \'地\',\'的\')，将商品类型中错写的‘地’改成正确的‘的’；','','2022-12-01 17:54:00',4750,0,'',3,'',0,'111111'),(94,'TRIM','TRIM()',4,'用法：TRIM(字段1)\n说明：去除字段1中数据两边的空格\n示例：TRIM(\' ABC \'), 返回\'ABC\'','','2022-12-01 17:54:00',4740,0,'',3,'',0,'111111'),(95,'LOWER','LOWER()',4,'用法：LOWER(字段1)\n说明：返回字段1值全部小写形式的字符串\n示例：LOWER(\'ABC\')，返回\'abc\'','','2022-12-01 17:54:00',4730,0,'',3,'',0,'111111'),(96,'UPPER','UPPER()',4,'用法：UPPER(字段1)\n说明：返回字段1全部大写形式的字符串\n示例：UPPER(\'abc\'),返回\'ABC\'','','2022-12-01 17:54:00',4720,0,'',3,'',0,'111111'),(97,'IFNULL','IFNULL(,)',4,'用法：IFNULL(字段1, 需替换字符串)\n说明：如果字段1为空则返回需替换字符串，否则输出原字符串\n示例：IFNULL(null, \'未知\')，返回值未知','','2022-12-01 17:54:00',4690,0,'',4,'',0,'111111'),(98,'ABS','ABS()',4,'用法:ABS(数值1)\n说明:返回数值1的绝对值\n示例:ABS(-3),返回3','SELECT ABS(-1) -- 1','2022-12-01 17:54:00',4590,0,'',5,'',0,'111111'),(99,'CEIL','CEIL()',4,'用法:CEIL(数值1)\n说明:返回不小于数值1的最小整数\n示例:CEIL(4.12),返回5','','2022-12-01 17:54:00',4580,0,'',5,'',0,'111111'),(100,'FLOOR','FLOOR()',4,'用法:FLOOR(数值)\n说明:返回不大于数值的最大整数\n示例:FLOOR(4.12),返回4','','2022-12-01 17:54:00',4570,0,'',5,'',0,'111111'),(101,'LOG','LOG()',4,'用法:LOG(数值1)\n说明:以e为底，求数值1的对数\n示例:LOG(2),返回0.6931471805599453','','2022-12-01 17:54:00',4560,0,'',5,'',0,'111111'),(102,'POWER','POWER(,)',4,'用法:POWER(数值1,数值2)\n说明:求数值1的数值2次方\n示例:POWER(4，2),返回16.0','','2022-12-01 17:54:00',4550,0,'',5,'',0,'111111'),(103,'RAND','RAND()/POWER(2,32)',4,'用法:RAND()/POWER(2,32)\n说明:\n返回大于0小于1的随机小数；\n如果有多个地方用到随机函数，需要在RAND()括号里填写不一样的整数，如下示例，不这么做，这多个地方生成的随机数值将会是一样的\n示例：\n两个随机数相加\nRAND(1)/POWER(2,32) + RAND(2)/POWER(2,32)','','2022-12-01 17:54:00',4540,0,'',5,'',0,'111111'),(104,'ROUND','ROUND()',4,'用法：ROUND(数值1,[整数2])\n说明：返回数值1四舍五入到小数点后整数2位。不填时为0\n示例：ROUND(4.12,1),返回4.1','','2022-12-01 17:54:00',4530,0,'',5,'',0,'111111'),(105,'SQRT','SQRT()',4,'用法：SQRT(数值1)\n说明：求数值1的根号，需要大于等于零\n示例：SQRT(4),返回2.0','','2022-12-01 17:54:00',4520,0,'',5,'',0,'111111'),(106,'CASE WHEN','CASE WHEN () THEN () ELSE () END',0,'用法：CASE WHEN (表达式) THEN (结果1) ELSE (结果2) END\n说明：:CASE WHEN为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:CASE WHEN ([订单数] > 500) THEN \'合格\' ELSE \'不合格\' END。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-12-01 17:54:00',9390,0,'',4,'',0,'111111'),(107,'电话脱敏','tel_encryption()',0,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码、区号加座机号码或者纯座机号码\n示例：\ntel_encryption(\'0226-67756673\') 结果为0226-67****73','','2022-12-15 17:10:00',0,1,'case \nwhen {0} REGEXP \'^(0[0-9]{2,3}-?)?[0-9]{7,8}$\' then CONCAT(SUBSTR({0},1,length({0}) - 6),\'****\',SUBSTR({0},-2)) \nwhen {0} REGEXP \'^1[0-9]{10}$\' then CONCAT(SUBSTR({0},1,3),\'****\',SUBSTR({0},-4))\nelse \'请核实电话号码格式是否正确，一般为11位数字或3-4位区号加7-8位座机号或纯7-8位座机号\'\nend',3,'tel_encryption',0,'111111'),(108,'电话脱敏','tel_encryption()',1,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码、区号加座机号码或者纯座机号码\n示例：\ntel_encryption(\'0226-67756673\') 结果为0226-67****73','','2022-12-15 17:10:00',0,1,'case \nwhen regexp_like({0},\'^(0[0-9]{2,3}-?)?[0-9]{7,8}$\') then SUBSTR({0},1,length({0}) - 6)||\'****\'||SUBSTR({0},-2)\nwhen regexp_like({0},\'^1[0-9]{10}$\') then SUBSTR({0},1,3)||\'****\'||SUBSTR({0},-4)\nelse \'请核实电话号码格式是否正确，一般为11位数字或3-4位区号加7-8位座机号或纯7-8位座机号\'\nend',3,'tel_encryption',0,'111111'),(109,'电话脱敏','tel_encryption()',2,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码或者座机号码\n示例：\ntel_encryption(\'67756673\') 结果为67****73','','2022-12-15 17:10:00',0,1,'case \nwhen LEN({0}) = 8 or LEN({0}) = 7 then CONCAT(SUBSTRING({0},1,LEN({0}) - 6),\'****\',SUBSTRING({0},LEN({0})-1,LEN({0}))) \nwhen LEN({0}) = 11 then CONCAT(SUBSTRING({0},1,3),\'****\',SUBSTRING({0},LEN({0})-3,LEN({0})))\nelse \'请核实电话号码格式是否正确，一般为11位数字或或7-8位座机号\'\nend',3,'tel_encryption',0,'111111'),(110,'电话脱敏','tel_encryption()',4,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码、区号加座机号码或者纯座机号码\n示例：\ntel_encryption(\'0226-67756673\') 结果为0226-67****73','','2022-12-15 17:10:00',0,1,'case \nwhen match(toString({0}),\'^(0[0-9]{2,3}-?)?[0-9]{7,8}$\') then SUBSTR(toString({0}),1,length(toString({0})) - 6)||\'****\'||SUBSTR(toString({0}),-2)\nwhen match(toString({0}),\'^1[0-9]{10}$\') then SUBSTR(toString({0}),1,3)||\'****\'||SUBSTR(toString({0}),-4)\nelse \'请核实电话号码格式是否正确，一般为11位数字或3-4位区号加7-8位座机号或纯7-8位座机号\'\nend\n',3,'tel_encryption',0,'111111'),(111,'省份大区分桶','province_partition()',0,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2022-12-15 17:10:00',0,1,'case \nwhen {0} REGEXP \'辽宁|吉林|黑龙江\' then \'东北地区\'\nwhen {0} REGEXP \'山西|内蒙|北京|天津|河北\' then \'华北地区\'\nwhen {0} REGEXP \'江苏|安徽|浙江|福建|江西|上海|山东\' then \'华东地区\'\nwhen {0} REGEXP \'河南|湖北|湖南\' then \'华中地区\'\nwhen {0} REGEXP \'广东|广西|海南\' then \'华南地区\'\nwhen {0} REGEXP \'云南|贵州|四川|西藏|重庆\' then \'西南地区\'\nwhen {0} REGEXP \'新疆|陕西|宁夏|青海|甘肃\' then \'西北地区\'\nwhen {0} REGEXP \'台湾|香港|澳门\' then \'港澳台地区\'\nelse \'请核实省份格式是否正确，应包含：辽宁|吉林|黑龙江|河北|山西|内蒙|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\nend',3,'province_partition',0,'111111'),(112,'省份大区分桶','province_partition()',1,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2022-12-15 17:10:00',0,1,'case \nwhen regexp_like({0},\'辽宁|吉林|黑龙江\') then \'东北地区\'\nwhen regexp_like({0},\'山西|内蒙|北京|天津|河北\') then \'华北地区\'\nwhen regexp_like({0},\'江苏|安徽|浙江|福建|江西|上海|山东\') then \'华东地区\'\nwhen regexp_like({0},\'河南|湖北|湖南\') then \'华中地区\'\nwhen regexp_like({0},\'广东|广西|海南\') then \'华南地区\'\nwhen regexp_like({0},\'云南|贵州|四川|西藏|重庆\') then \'西南地区\'\nwhen regexp_like({0},\'新疆|陕西|宁夏|青海|甘肃\') then \'西北地区\'\nwhen regexp_like({0},\'台湾|香港|澳门\') then \'港澳台地区\'\nelse \'请核实省份格式是否正确，应包含：辽宁|吉林|黑龙江|河北|山西|内蒙|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\nend',3,'province_partition',0,'111111'),(113,'省份大区分桶','province_partition()',2,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2022-12-15 17:10:00',0,1,'case \nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'辽宁\',\'吉林\',\'黑龙江\') then \'东北地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'山西\',\'内蒙古\',\'北京\',\'天津\',\'河北\') then \'华北地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'江苏\',\'安徽\',\'浙江\',\'福建\',\'江西\',\'上海\',\'山东\') then \'华东地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'河南\',\'湖北\',\'湖南\') then \'华中地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'广东\',\'广西\',\'海南\') then \'华南地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'云南\',\'贵州\',\'四川\',\'西藏\',\'重庆\') then \'西南地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'新疆\',\'陕西\',\'宁夏\',\'青海\',\'甘肃\') then \'西北地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'台湾\',\'香港\',\'澳门\') then \'港澳台地区\'\nelse \'请核实省份格式是否正确，应完全匹配：辽宁|吉林|黑龙江|河北|山西|内蒙古|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\nend',3,'province_partition',0,'111111'),(114,'省份大区分桶','province_partition()',4,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2022-12-15 17:10:00',0,1,'case \nwhen match({0},\'辽宁|吉林|黑龙江\') then \'东北地区\'\nwhen match({0},\'山西|内蒙|北京|天津|河北\') then \'华北地区\'\nwhen match({0},\'江苏|安徽|浙江|福建|江西|上海|山东\') then \'华东地区\'\nwhen match({0},\'河南|湖北|湖南\') then \'华中地区\'\nwhen match({0},\'广东|广西|海南\') then \'华南地区\'\nwhen match({0},\'云南|贵州|四川|西藏|重庆\') then \'西南地区\'\nwhen match({0},\'新疆|陕西|宁夏|青海|甘肃\') then \'西北地区\'\nwhen match({0},\'台湾|香港|澳门\') then \'港澳台地区\'\nelse \'请核实省份格式是否正确，应包含：辽宁|吉林|黑龙江|河北|山西|内蒙|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\nend',3,'province_partition',0,'111111'),(115,'introduce','',1,'【参数说明】（以下说明中出现的N为从1开始的整数）\n公式中的参数一定要用做大屏中的维度的，标记为维度N\n公式中的参数一定要用数值的，标记为数值N\n公式中的参数一定要用字符串的，标记为文本N\n公式中的参数一定要用时间格式的，标记为时间N\n无限制的参数标记为字段N\n其他特殊规定的参数格式，请务必在说明中详细解释，并列出所有可能\n【格式说明】\n所有说明中一定要包含【用法】，【说明】，【示例】，示例尽量参考以下表结构\n日期||商品名称||店铺名称||销售人||商品数量||销售单价\n【测试函数数据】\n测试环境：helowin下的YYOS2\n表结构：\nRENT_DATE||HOUSE_ID||IS_RE_RENT||PERIOD||diffmonth||MONTH_PRICE\n取表sql见func_sql','','2021-11-16 14:54:00',100000,0,'WITH TEST_FUNC AS (\nSELECT \n	col_5 AS RENT_DATE,\n	COL_1 AS HOUSE_ID,\n	COL_12 AS IS_RE_RENT,\n	COL_9 AS PERIOD,\n	months_between(COL_6 ,COL_5) AS diffmonth,\n	col_7 AS MONTH_PRICE \nFROM FILE_TABLE_20220507_100109)\nSELECT * FROM TEST_FUNC',0,'',0,'111111'),(116,'SUM','SUM()',1,'用法：SUM(数值1)\n示例：SUM([销售额])，返回\'销售额\'字段对应的所有非空值的总和','','2022-10-10 14:54:00',99000,0,'',0,'',0,'111111'),(117,'COUNT','COUNT()',1,'用法：COUNT(字段1)\n示例：COUNT([销售额])，返回\'销售额\'字段对应的所有非空值的数据条目数','','2022-10-10 14:54:00',98000,0,'',0,'',0,'111111'),(118,'COUNT_DISTINCT','COUNT(DISTINCT())',1,'用法：COUNT(DISTINCT(字段1))\n示例：COUNT(DISTINCT([销售额]))，返回\'销售额\'字段对应的所有非空值的不同数据条目数','','2022-10-10 14:54:00',97000,0,'',0,'',0,'111111'),(119,'AVG','AVG()',1,'用法：AVG(数值1)\n示例：AVG([销售额])，返回\'销售额\'字段对应的所有非空值的平均值','','2022-10-10 14:54:00',96000,0,'',0,'',0,'111111'),(120,'MAX','MAX()',1,'用法：MAX(数值1)\n示例：MAX([销售额])，返回\'销售额\'字段对应值的最大值','','2022-10-10 14:54:00',95000,0,'',0,'',0,'111111'),(121,'MIN','MIN()',1,'用法：MIN(数值1)\n示例：MIN([销售额])，返回\'销售额\'字段对应值的最小值','','2022-10-10 14:54:00',94000,0,'',0,'',0,'111111'),(122,'安全除法','fun_devide1(,)',1,'用法：fun_devide(数值1,数值2)\n说明：返回两个数值相除的结果，如果分母为0，则结果为0 \n示例：fun_devide(4,2),返回2;fun_devide(4,0),返回0','','2023-02-15 11:09:12',0,1,'case when sum({1}) = 0 then 0 else sum({0})*1.0/sum({1}) end',5,'fun_devide1',0,'111111'),(123,'if判断','if_f(,,)',1,'用法：if_f(表达式，结果1，结果2)\n说明：:if_f为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:if_f([订单数] > 500, \'合格\', \'不合格\')。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-10-13 15:23:00',0,1,'CASE WHEN {0} THEN {1} ELSE {2} end',4,'if_f',0,'111111'),(124,'条件计数','countif()',1,'用法：countif(表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的数量\n示例：\ncountif([销售数量] = 1)返回字段名为销售数量的列中等于1的数量\ncountif([销售数量] > 1)返回字段名为销售数量的列中大于1的数量','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {0} THEN 1 ELSE 0 END)',1,'countif',0,'111111'),(125,'条件求和','sumif(,)',1,'用法：sumif(字段,表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的对应字段求和\n示例：\nsumif([销售金额],[销售数量] = 1)返回字段名为销售数量的列中销售等于1的销售金额求和\nsumif([销售金额],[销售数量] &gt; 1)返回字段名为销售数量的列中大于1的求和','','2023-01-04 12:16:00',0,1,'sum(CASE WHEN {1} THEN {0} ELSE 0 END)',1,'sumif',0,'111111'),(126,'CASE WHEN','CASE WHEN () THEN () ELSE () END',1,'用法：CASE WHEN (表达式) THEN (结果1) ELSE (结果2) END\n说明：:CASE WHEN为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:CASE WHEN ([订单数] > 500) THEN \'合格\' ELSE \'不合格\' END。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-12-01 17:54:00',9390,0,'',4,'',0,'111111'),(127,'introduce','',2,'【参数说明】（以下说明中出现的N为从1开始的整数）\n公式中的参数一定要用做大屏中的维度的，标记为维度N\n公式中的参数一定要用数值的，标记为数值N\n公式中的参数一定要用字符串的，标记为文本N\n公式中的参数一定要用时间格式的，标记为时间N\n无限制的参数标记为字段N\n其他特殊规定的参数格式，请务必在说明中详细解释，并列出所有可能\n【格式说明】\n所有说明中一定要包含【用法】，【说明】，【示例】，示例尽量参考以下表结构\n日期||商品名称||店铺名称||销售人||商品数量||销售单价\n【测试函数数据】\n测试环境：helowin下的YYOS2\n表结构：\nRENT_DATE||HOUSE_ID||IS_RE_RENT||PERIOD||diffmonth||MONTH_PRICE\n取表sql见func_sql','','2021-11-16 14:54:00',100000,0,'WITH TEST_FUNC AS (\nSELECT \n	col_5 AS RENT_DATE,\n	COL_1 AS HOUSE_ID,\n	COL_12 AS IS_RE_RENT,\n	COL_9 AS PERIOD,\n	months_between(COL_6 ,COL_5) AS diffmonth,\n	col_7 AS MONTH_PRICE \nFROM FILE_TABLE_20220507_100109)\nSELECT * FROM TEST_FUNC',0,'',0,'111111'),(128,'SUM','SUM()',2,'用法：SUM(数值1)\n示例：SUM([销售额])，返回\'销售额\'字段对应的所有非空值的总和','','2022-10-10 14:54:00',99000,0,'',0,'',0,'111111'),(129,'COUNT','COUNT()',2,'用法：COUNT(字段1)\n示例：COUNT([销售额])，返回\'销售额\'字段对应的所有非空值的数据条目数','','2022-10-10 14:54:00',98000,0,'',0,'',0,'111111'),(130,'COUNT_DISTINCT','COUNT(DISTINCT())',2,'用法：COUNT(DISTINCT(字段1))\n示例：COUNT(DISTINCT([销售额]))，返回\'销售额\'字段对应的所有非空值的不同数据条目数','','2022-10-10 14:54:00',97000,0,'',0,'',0,'111111'),(131,'AVG','AVG()',2,'用法：AVG(数值1)\n示例：AVG([销售额])，返回\'销售额\'字段对应的所有非空值的平均值','','2022-10-10 14:54:00',96000,0,'',0,'',0,'111111'),(132,'MAX','MAX()',2,'用法：MAX(数值1)\n示例：MAX([销售额])，返回\'销售额\'字段对应值的最大值','','2022-10-10 14:54:00',95000,0,'',0,'',0,'111111'),(133,'MIN','MIN()',2,'用法：MIN(数值1)\n示例：MIN([销售额])，返回\'销售额\'字段对应值的最小值','','2022-10-10 14:54:00',94000,0,'',0,'',0,'111111'),(134,'安全除法','fun_devide(,)',2,'用法：fun_devide(数值1,数值2)\n说明：返回两个数值相除的结果，如果分母为0，则结果为0 \n示例：fun_devide(4,2),返回2;fun_devide(4,0),返回0','','2021-11-16 14:54:00',0,1,'case when sum({1}) = 0 then 0 else sum({0})*1.0/sum({1}) end',5,'fun_devide',0,'111111'),(135,'if判断','if_f(,,)',2,'用法：if_f(表达式，结果1，结果2)\n说明：:if_f为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:if_f([订单数] > 500, \'合格\', \'不合格\')。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-10-13 15:23:00',0,1,'CASE WHEN {0} THEN {1} ELSE {2} end',4,'if_f',0,'111111'),(136,'条件计数','countif()',2,'用法：countif(表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的数量\n示例：\ncountif([销售数量] = 1)返回字段名为销售数量的列中等于1的数量\ncountif([销售数量] > 1)返回字段名为销售数量的列中大于1的数量','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {0} THEN 1 ELSE 0 END)',1,'countif',0,'111111'),(137,'条件计数','countif()',2,'用法：countif(表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的数量\n示例：\ncountif([销售数量] = 1)返回字段名为销售数量的列中等于1的数量\ncountif([销售数量] > 1)返回字段名为销售数量的列中大于1的数量','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {0} THEN 1 ELSE 0 END)',1,'countif',0,'111111'),(138,'CASE WHEN','CASE WHEN () THEN () ELSE () END',2,'用法：CASE WHEN (表达式) THEN (结果1) ELSE (结果2) END\n说明：:CASE WHEN为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:CASE WHEN ([订单数] > 500) THEN \'合格\' ELSE \'不合格\' END。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-12-01 17:54:00',9390,0,'',4,'',0,'111111'),(139,'introduce','',4,'【参数说明】（以下说明中出现的N为从1开始的整数）\n公式中的参数一定要用做大屏中的维度的，标记为维度N\n公式中的参数一定要用数值的，标记为数值N\n公式中的参数一定要用字符串的，标记为文本N\n公式中的参数一定要用时间格式的，标记为时间N\n无限制的参数标记为字段N\n其他特殊规定的参数格式，请务必在说明中详细解释，并列出所有可能\n【格式说明】\n所有说明中一定要包含【用法】，【说明】，【示例】，示例尽量参考以下表结构\n日期||商品名称||店铺名称||销售人||商品数量||销售单价\n【测试函数数据】\n测试环境：helowin下的YYOS2\n表结构：\nRENT_DATE||HOUSE_ID||IS_RE_RENT||PERIOD||diffmonth||MONTH_PRICE\n取表sql见func_sql','','2021-11-16 14:54:00',100000,0,'WITH TEST_FUNC AS (\nSELECT \n	col_5 AS RENT_DATE,\n	COL_1 AS HOUSE_ID,\n	COL_12 AS IS_RE_RENT,\n	COL_9 AS PERIOD,\n	months_between(COL_6 ,COL_5) AS diffmonth,\n	col_7 AS MONTH_PRICE \nFROM FILE_TABLE_20220507_100109)\nSELECT * FROM TEST_FUNC',0,'',0,'111111'),(140,'SUM','SUM()',4,'用法：SUM(数值1)\n示例：SUM([销售额])，返回\'销售额\'字段对应的所有非空值的总和','','2022-10-10 14:54:00',99000,0,'',0,'',0,'111111'),(141,'COUNT','COUNT()',4,'用法：COUNT(字段1)\n示例：COUNT([销售额])，返回\'销售额\'字段对应的所有非空值的数据条目数','','2022-10-10 14:54:00',98000,0,'',0,'',0,'111111'),(142,'COUNT_DISTINCT','COUNT(DISTINCT())',4,'用法：COUNT(DISTINCT(字段1))\n示例：COUNT(DISTINCT([销售额]))，返回\'销售额\'字段对应的所有非空值的不同数据条目数','','2022-10-10 14:54:00',97000,0,'',0,'',0,'111111'),(143,'AVG','AVG()',4,'用法：AVG(数值1)\n示例：AVG([销售额])，返回\'销售额\'字段对应的所有非空值的平均值','','2022-10-10 14:54:00',96000,0,'',0,'',0,'111111'),(144,'MAX','MAX()',4,'用法：MAX(数值1)\n示例：MAX([销售额])，返回\'销售额\'字段对应值的最大值','','2022-10-10 14:54:00',95000,0,'',0,'',0,'111111'),(145,'MIN','MIN()',4,'用法：MIN(数值1)\n示例：MIN([销售额])，返回\'销售额\'字段对应值的最小值','','2022-10-10 14:54:00',94000,0,'',0,'',0,'111111'),(146,'安全除法','fun_devide(,)',4,'用法：fun_devide(数值1,数值2)\n说明：返回两个数值相除的结果，如果分母为0，则结果为0 \n示例：fun_devide(4,2),返回2;fun_devide(4,0),返回0','','2021-11-16 14:54:00',0,1,'case when sum({1}) = 0 then 0 else sum({0})*1.0/sum({1}) end',5,'fun_devide',0,'111111'),(147,'if判断','if_f(,,)',4,'用法：if_f(表达式，结果1，结果2)\n说明：:if_f为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:if_f([订单数] > 500, \'合格\', \'不合格\')。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-10-13 15:23:00',0,1,'CASE WHEN {0} THEN {1} ELSE {2} end',4,'if_f',0,'111111'),(148,'条件计数','countif()',4,'用法：countif(表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的数量\n示例：\ncountif([销售数量] = 1)返回字段名为销售数量的列中等于1的数量\ncountif([销售数量] > 1)返回字段名为销售数量的列中大于1的数量','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {0} THEN 1 ELSE 0 END)',1,'countif',0,'111111'),(149,'条件求和','sumif(,)',4,'用法：sumif(字段,表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的对应字段求和\n示例：\nsumif([销售金额],[销售数量] = 1)返回字段名为销售数量的列中销售等于1的销售金额求和\nsumif([销售金额],[销售数量] &gt; 1)返回字段名为销售数量的列中大于1的求和','','2023-01-04 12:16:00',0,1,'sum(CASE WHEN {1} THEN {0} ELSE 0 END)',1,'sumif',0,'111111'),(150,'CASE WHEN','CASE WHEN () THEN () ELSE () END',4,'用法：CASE WHEN (表达式) THEN (结果1) ELSE (结果2) END\n说明：:CASE WHEN为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:CASE WHEN ([订单数] > 500) THEN \'合格\' ELSE \'不合格\' END。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-12-01 17:54:00',9390,0,'',4,'',0,'111111'),(151,'安全除法','fun_devide(,)',0,'用法：fun_devide(数值1,数值2)\n说明：返回两个数值相除的结果，如果分母为0，则结果为0 \n示例：fun_devide(4,2),返回2;fun_devide(4,0),返回0','','2023-02-23 15:26:57',0,1,'case when sum({1}) = 0 then 0 else sum({0})*1.0/sum({1}) end',5,'fun_devide',0,'111111'),(152,'if判断','if_f(,,)',0,'用法：if_f(表达式，结果1，结果2)\n说明：:if_f为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:if_f([订单数] > 500, \'合格\', \'不合格\')。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-10-13 15:23:00',0,1,'CASE WHEN {0} THEN {1} ELSE {2} end',4,'if_f',0,'111111'),(153,'条件计数','countif()',0,'用法：countif(表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的数量\n示例：\ncountif([销售数量] = 1)返回字段名为销售数量的列中等于1的数量\ncountif([销售数量] > 1)返回字段名为销售数量的列中大于1的数量','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {0} THEN 1 ELSE 0 END)',1,'countif',0,'111111'),(154,'条件求和','sumif(,)',0,'用法：sumif(字段,表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的对应字段求和\n示例：\nsumif([销售金额],[销售数量] = 1)返回字段名为销售数量的列中销售等于1的销售金额求和\nsumif([销售金额],[销售数量] &gt; 1)返回字段名为销售数量的列中大于1的求和','','2023-01-04 12:16:00',0,1,'sum(CASE WHEN {1} THEN {0} ELSE 0 END)',1,'sumif',0,'111111'),(155,'次数超N次占比','repeat_beyond_part(,,)',3,'用法：repeat_beyond_part(字段1,字段2,数值1)\n说明：返回在字段1下，字段2中出现次数大于数值1的值占所有字段2的百分比（字段1一定要为其中一个维度）\n用法：\nrepeat_beyond_part([省份],[城市],5)，返回每个省份，表中数量大于5的城市占所有城市数量的比例\nrepeat_beyond_part([月份],[用户ID],2)，返回每个月，购买次数大于2的用户数占总用户数的比例','','2022-10-13 15:23:00',0,1,'(SELECT sum(zi_total_num)/count(1) FROM (SELECT {0},{1},count(1),CASE WHEN count(1) > {2} THEN 1 ELSE 0 END AS zi_total_num FROM {master_table_name} GROUP BY {0},{1}) a WHERE a.{0} = {master_alias_name}.{0} GROUP BY a.{0})',1,'repeat_beyond_part',1,'111111'),(156,'环比增长率','link_relative_ratio(,,\'yyyy-MM\')',1,'用法：link_relative_ratio(数值1,时间1,月份格式)\n说明：\n计算结果为当月与上月数值1的环比增长率\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选\n特殊用法：\n修改月份格式和月维度为\'YYYY\'和\'YYYY-MM-DD\'也可以做年度和日环比增长率','','2022-10-10 14:54:00',0,1,'CASE WHEN Lag(sum({0})) over(ORDER BY to_char({1},{2})) = 0 OR Lag(sum({0})) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0})) over(ORDER BY to_char({1},{2}))) / Lag(sum({0})) over(ORDER BY to_char({1},{2})) END',1,'link_relative_ratio',0,'111111'),(157,'环比增长值','link_relative(,,\'yyyy-MM\')',1,'用法：link_relative(数值1,时间1,月份格式)\n说明：\n计算结果为当月与上月数值1的环比增长值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选\n特殊用法：\n修改月份格式和月维度为\'YYYY\'和\'YYYY-MM-DD\'也可以做年度和日环比增长值','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0})) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0})) over(ORDER BY to_char({1},{2}))) END',1,'link_relative',0,'111111'),(158,'环对比值','link_value(,,\'yyyy-MM\')',1,'用法：link_value(数值1,时间1,月份格式)\n说明：\n计算结果为上月数值1的值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选\n特殊用法：\n修改月份格式和月维度为\'YYYY\'和\'YYYY-MM-DD\'也可以做年度和日环对比值','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0})) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE Lag(sum({0})) over(ORDER BY to_char({1},{2})) END',1,'link_value',0,'111111'),(159,'按列百分比','col_percent(,)',1,'用法：col_percent(数值1,维度1)\n说明：\n如果又列维度，可通过该公式计算按列的百分比\n数值1为需求百分比数值，维度1为列维度\n特殊用法：\n如果有两个行维度，维度1如果为第二个行维度，能够计算第二个维度在第一个维度中的百分占比','','2022-10-11 17:54:00',0,1,'sum({0})/sum(sum({0})) over(PARTITION BY {1})',1,'col_percent',0,'111111'),(160,'累计百分比','cumulative_percentage(,,asc)',1,'用法：cumulative_percentage(维度1,指标1,asc) 第三个参数可填写asc或desc\n说明：\nasc表示对指标1升序，desc表示对指标1降序，不用加引号\n返回维度1对应的指标1求和后的累计百分比\n示例：\ncumulative_percentage([商品名称],[商品数量],asc) 返回[商品名称]对应的[商品数量]求和升序后的累计百分占比','','2022-10-13 15:23:00',0,1,'sum(sum({1})) over(ORDER BY sum({1}) {2},{0})/sum(sum({1})) over()',1,'cumulative_percentage',0,'111111'),(161,'月同比增长率','year_on_year_ratio(,,\'yyyy-MM\')',1,'用法：year_on_year_ratio(数值1,时间1,月份格式)\n说明：\n计算结果为当月与去年同期数值1的环比增长率\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) = 0 OR Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0}),12) over(ORDER BY to_char({1},{2}))) / Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) END',1,'year_on_year_ratio',0,'111111'),(162,'月同比增长值','year_on_year(,,\'yyyy-MM\')',1,'用法：year_on_year(数值1,时间1,月份格式)\n说明：\n计算结果为当月与去年同期数值1的环比增长值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE (sum({0}) - Lag(sum({0}),12) over(ORDER BY to_char({1},{2}))) END',1,'year_on_year',0,'111111'),(163,'月同对比值','year_on_year_value(,,\'yyyy-MM\')',1,'用法：year_on_year_value(数值1,时间1,月份格式)\n说明：\n计算结果去年同期数值1的值\n表格中聚合维度建议按照\'YYYY-MM\'的格式拉月维度，也可以自行修改，但一定要保证月维度格式和输入格式一致\n且无法做结构筛选','','2022-10-11 17:54:00',0,1,'CASE WHEN Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) IS NULL THEN 0 ELSE Lag(sum({0}),12) over(ORDER BY to_char({1},{2})) END',1,'year_on_year_value',0,'111111'),(164,'电话脱敏','tel_encryption()',0,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码、区号加座机号码或者纯座机号码\n示例：\ntel_encryption(\'0226-67756673\') 结果为0226-67****73','','2022-12-15 17:10:00',0,1,'case \nwhen {0} REGEXP \'^(0[0-9]{2,3}-?)?[0-9]{7,8}$\' then CONCAT(SUBSTR({0},1,length({0}) - 6),\'****\',SUBSTR({0},-2)) \nwhen {0} REGEXP \'^1[0-9]{10}$\' then CONCAT(SUBSTR({0},1,3),\'****\',SUBSTR({0},-4))\nelse \'请核实电话号码格式是否正确，一般为11位数字或3-4位区号加7-8位座机号或纯7-8位座机号\'\nend',3,'tel_encryption',0,'111111'),(165,'电话脱敏','tel_encryption()',1,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码、区号加座机号码或者纯座机号码\n示例：\ntel_encryption(\'0226-67756673\') 结果为0226-67****73','','2022-12-15 17:10:00',0,1,'case \nwhen regexp_like({0},\'^(0[0-9]{2,3}-?)?[0-9]{7,8}$\') then SUBSTR({0},1,length({0}) - 6)||\'****\'||SUBSTR({0},-2)\nwhen regexp_like({0},\'^1[0-9]{10}$\') then SUBSTR({0},1,3)||\'****\'||SUBSTR({0},-4)\nelse \'请核实电话号码格式是否正确，一般为11位数字或3-4位区号加7-8位座机号或纯7-8位座机号\'\nend',3,'tel_encryption',0,'111111'),(166,'电话脱敏','tel_encryption()',2,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码或者座机号码\n示例：\ntel_encryption(\'67756673\') 结果为67****73','','2022-12-15 17:10:00',0,1,'case \nwhen LEN({0}) = 8 or LEN({0}) = 7 then CONCAT(SUBSTRING({0},1,LEN({0}) - 6),\'****\',SUBSTRING({0},LEN({0})-1,LEN({0}))) \nwhen LEN({0}) = 11 then CONCAT(SUBSTRING({0},1,3),\'****\',SUBSTRING({0},LEN({0})-3,LEN({0})))\nelse \'请核实电话号码格式是否正确，一般为11位数字或或7-8位座机号\'\nend',3,'tel_encryption',0,'111111'),(167,'电话脱敏','tel_encryption()',4,'用法：tel_encryption(维度1)\n说明：维度1可为11位手机号码、区号加座机号码或者纯座机号码\n示例：\ntel_encryption(\'0226-67756673\') 结果为0226-67****73','','2022-12-15 17:10:00',0,1,'case \nwhen match(toString({0}),\'^(0[0-9]{2,3}-?)?[0-9]{7,8}$\') then SUBSTR(toString({0}),1,length(toString({0})) - 6)||\'****\'||SUBSTR(toString({0}),-2)\nwhen match(toString({0}),\'^1[0-9]{10}$\') then SUBSTR(toString({0}),1,3)||\'****\'||SUBSTR(toString({0}),-4)\nelse \'请核实电话号码格式是否正确，一般为11位数字或3-4位区号加7-8位座机号或纯7-8位座机号\'\nend\n',3,'tel_encryption',0,'111111'),(168,'省份大区分桶','province_partition()',0,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2022-12-15 17:10:00',0,1,'case \nwhen {0} REGEXP \'辽宁|吉林|黑龙江\' then \'东北地区\'\nwhen {0} REGEXP \'山西|内蒙|北京|天津|河北\' then \'华北地区\'\nwhen {0} REGEXP \'江苏|安徽|浙江|福建|江西|上海|山东\' then \'华东地区\'\nwhen {0} REGEXP \'河南|湖北|湖南\' then \'华中地区\'\nwhen {0} REGEXP \'广东|广西|海南\' then \'华南地区\'\nwhen {0} REGEXP \'云南|贵州|四川|西藏|重庆\' then \'西南地区\'\nwhen {0} REGEXP \'新疆|陕西|宁夏|青海|甘肃\' then \'西北地区\'\nwhen {0} REGEXP \'台湾|香港|澳门\' then \'港澳台地区\'\nelse \'请核实省份格式是否正确，应包含：辽宁|吉林|黑龙江|河北|山西|内蒙|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\nend',3,'province_partition',0,'111111'),(169,'省份大区分桶','province_partition()',1,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2022-12-15 17:10:00',0,1,'case \nwhen regexp_like({0},\'辽宁|吉林|黑龙江\') then \'东北地区\'\nwhen regexp_like({0},\'山西|内蒙|北京|天津|河北\') then \'华北地区\'\nwhen regexp_like({0},\'江苏|安徽|浙江|福建|江西|上海|山东\') then \'华东地区\'\nwhen regexp_like({0},\'河南|湖北|湖南\') then \'华中地区\'\nwhen regexp_like({0},\'广东|广西|海南\') then \'华南地区\'\nwhen regexp_like({0},\'云南|贵州|四川|西藏|重庆\') then \'西南地区\'\nwhen regexp_like({0},\'新疆|陕西|宁夏|青海|甘肃\') then \'西北地区\'\nwhen regexp_like({0},\'台湾|香港|澳门\') then \'港澳台地区\'\nelse \'请核实省份格式是否正确，应包含：辽宁|吉林|黑龙江|河北|山西|内蒙|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\nend',3,'province_partition',0,'111111'),(170,'省份大区分桶','province_partition()',2,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2022-12-15 17:10:00',0,1,'case \nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'辽宁\',\'吉林\',\'黑龙江\') then \'东北地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'山西\',\'内蒙古\',\'北京\',\'天津\',\'河北\') then \'华北地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'江苏\',\'安徽\',\'浙江\',\'福建\',\'江西\',\'上海\',\'山东\') then \'华东地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'河南\',\'湖北\',\'湖南\') then \'华中地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'广东\',\'广西\',\'海南\') then \'华南地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'云南\',\'贵州\',\'四川\',\'西藏\',\'重庆\') then \'西南地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'新疆\',\'陕西\',\'宁夏\',\'青海\',\'甘肃\') then \'西北地区\'\nwhen REPLACE(REPLACE(REPLACE({0},\'省\',\'\'),\'市\',\'\'),\'自治区\',\'\') in (\'台湾\',\'香港\',\'澳门\') then \'港澳台地区\'\nelse \'请核实省份格式是否正确，应完全匹配：辽宁|吉林|黑龙江|河北|山西|内蒙古|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\nend',3,'province_partition',0,'111111'),(171,'省份大区分桶','province_partition()',4,'用法：province_partition(维度1)\n说明：维度1为省份\n示例：\nprovince_partition(\'内蒙古\') 结果为\'华北地区\'','','2022-12-15 17:10:00',0,1,'case \nwhen match({0},\'辽宁|吉林|黑龙江\') then \'东北地区\'\nwhen match({0},\'山西|内蒙|北京|天津|河北\') then \'华北地区\'\nwhen match({0},\'江苏|安徽|浙江|福建|江西|上海|山东\') then \'华东地区\'\nwhen match({0},\'河南|湖北|湖南\') then \'华中地区\'\nwhen match({0},\'广东|广西|海南\') then \'华南地区\'\nwhen match({0},\'云南|贵州|四川|西藏|重庆\') then \'西南地区\'\nwhen match({0},\'新疆|陕西|宁夏|青海|甘肃\') then \'西北地区\'\nwhen match({0},\'台湾|香港|澳门\') then \'港澳台地区\'\nelse \'请核实省份格式是否正确，应包含：辽宁|吉林|黑龙江|河北|山西|内蒙|北京|天津|山东|江苏|安徽|浙江|台湾|福建|江西|上海|河南|湖北|湖南|广东|广西|海南|香港|澳门|云南|贵州|四川|西藏|新疆|陕西|宁夏|青海|甘肃\'\nend',3,'province_partition',0,'111111'),(172,'安全除法','fun_devide1(,)',1,'用法：fun_devide(数值1,数值2)\n说明：返回两个数值相除的结果，如果分母为0，则结果为0 \n示例：fun_devide(4,2),返回2;fun_devide(4,0),返回0','','2023-02-15 11:09:12',0,1,'case when sum({1}) = 0 then 0 else sum({0})*1.0/sum({1}) end',5,'fun_devide1',0,'111111'),(173,'if判断','if_f(,,)',1,'用法：if_f(表达式，结果1，结果2)\n说明：:if_f为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:if_f([订单数] > 500, \'合格\', \'不合格\')。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-10-13 15:23:00',0,1,'CASE WHEN {0} THEN {1} ELSE {2} end',4,'if_f',0,'111111'),(174,'条件计数','countif()',1,'用法：countif(表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的数量\n示例：\ncountif([销售数量] = 1)返回字段名为销售数量的列中等于1的数量\ncountif([销售数量] > 1)返回字段名为销售数量的列中大于1的数量','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {0} THEN 1 ELSE 0 END)',1,'countif',0,'111111'),(175,'条件求和','sumif(,)',1,'用法：sumif(字段,表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的对应字段求和\n示例：\nsumif([销售金额],[销售数量] = 1)返回字段名为销售数量的列中销售等于1的销售金额求和\nsumif([销售金额],[销售数量] &gt; 1)返回字段名为销售数量的列中大于1的求和','','2023-01-04 12:16:00',0,1,'sum(CASE WHEN {1} THEN {0} ELSE 0 END)',1,'sumif',0,'111111'),(176,'安全除法','fun_devide(,)',2,'用法：fun_devide(数值1,数值2)\n说明：返回两个数值相除的结果，如果分母为0，则结果为0 \n示例：fun_devide(4,2),返回2;fun_devide(4,0),返回0','','2021-11-16 14:54:00',0,1,'case when sum({1}) = 0 then 0 else sum({0})*1.0/sum({1}) end',5,'fun_devide',0,'111111'),(177,'if判断','if_f(,,)',2,'用法：if_f(表达式，结果1，结果2)\n说明：:if_f为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:if_f([订单数] > 500, \'合格\', \'不合格\')。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-10-13 15:23:00',0,1,'CASE WHEN {0} THEN {1} ELSE {2} end',4,'if_f',0,'111111'),(178,'条件计数','countif()',2,'用法：countif(表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的数量\n示例：\ncountif([销售数量] = 1)返回字段名为销售数量的列中等于1的数量\ncountif([销售数量] > 1)返回字段名为销售数量的列中大于1的数量','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {0} THEN 1 ELSE 0 END)',1,'countif',0,'111111'),(179,'条件计数','countif()',2,'用法：countif(表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的数量\n示例：\ncountif([销售数量] = 1)返回字段名为销售数量的列中等于1的数量\ncountif([销售数量] > 1)返回字段名为销售数量的列中大于1的数量','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {0} THEN 1 ELSE 0 END)',1,'countif',0,'111111'),(180,'安全除法','fun_devide(,)',4,'用法：fun_devide(数值1,数值2)\n说明：返回两个数值相除的结果，如果分母为0，则结果为0 \n示例：fun_devide(4,2),返回2;fun_devide(4,0),返回0','','2021-11-16 14:54:00',0,1,'case when sum({1}) = 0 then 0 else sum({0})*1.0/sum({1}) end',5,'fun_devide',0,'111111'),(181,'if判断','if_f(,,)',4,'用法：if_f(表达式，结果1，结果2)\n说明：:if_f为判断函数，表达式为比较型或计算型语句。若表达式的计算结果正确，则返回\"结果1\"，否则，返回\"结果2\"\n示例：:if_f([订单数] > 500, \'合格\', \'不合格\')。结果为若该行\"订单数\"字段对应值大于500，则返回\"合格\"，否则返回\"不合格\"','','2022-10-13 15:23:00',0,1,'CASE WHEN {0} THEN {1} ELSE {2} end',4,'if_f',0,'111111'),(182,'条件计数','countif()',4,'用法：countif(表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的数量\n示例：\ncountif([销售数量] = 1)返回字段名为销售数量的列中等于1的数量\ncountif([销售数量] > 1)返回字段名为销售数量的列中大于1的数量','','2022-10-13 15:23:00',0,1,'sum(CASE WHEN {0} THEN 1 ELSE 0 END)',1,'countif',0,'111111'),(183,'条件求和','sumif(,)',4,'用法：sumif(字段,表达式)\n说明：表达式处填写逻辑关系，返回逻辑值为真的对应字段求和\n示例：\nsumif([销售金额],[销售数量] = 1)返回字段名为销售数量的列中销售等于1的销售金额求和\nsumif([销售金额],[销售数量] &gt; 1)返回字段名为销售数量的列中大于1的求和','','2023-01-04 12:16:00',0,1,'sum(CASE WHEN {1} THEN {0} ELSE 0 END)',1,'sumif',0,'111111'),(184,'安全函数','fun_devide1(,)',1,'用法：fun_devide(数值1,数值2)\n说明：返回两个数值相除的结果，如果分母为0，则结果为0 ','示例：fun_devide(4,2),返回2;fun_devide(4,0),返回0','2023-10-18 02:07:57',0,1,'case when sum({1}) = 0 then 0 else sum({0})*1.0/sum({1}) end',7,'fun_devide1',0,'111111');
/*!40000 ALTER TABLE `cube_datasource_function` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_global_param`
--

DROP TABLE IF EXISTS `cube_global_param`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cube_global_param` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type_id` int NOT NULL COMMENT '参数分类',
  `param_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '参数名称',
  `param_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '页面参数名',
  `param_column_type` tinyint NOT NULL DEFAULT '0' COMMENT '参数字段类型(0-数字/1-字符串)',
  `param_type` tinyint NOT NULL COMMENT '参数类型(0-业务参数/1-系统参数)',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注说明',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `default_value` varchar(300) DEFAULT NULL COMMENT '默认值',
  PRIMARY KEY (`id`),
  KEY `idx_tenant_param_type` (`tenant_id`,`param_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=115 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集全局变量';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_global_param`
--

LOCK TABLES `cube_global_param` WRITE;
/*!40000 ALTER TABLE `cube_global_param` DISABLE KEYS */;
INSERT INTO `cube_global_param` VALUES (5,8,'当前登录用户','jhbiSysUser',0,1,'当前登录用户的USERID','2023-02-22 11:21:09',1123598821738675201,'管理员','111111',NULL),(6,8,'当前时间','jhbiSysCurrentTime',1,1,'获取当前时间【时间格式根据字段格式化】','2023-02-22 11:22:02',1123598821738675201,'管理员','111111',NULL),(16,8,'当前登录用户姓名','jhbiSysUserRealName',1,1,'当前登录用户的REALNAME','2023-02-22 11:21:09',1123598821738675201,'管理员','111111',NULL),(17,8,'当前登录用户名','jhbiSysUserName',1,1,'当前登录用户的USERNAME','2023-02-22 11:21:09',1123598821738675201,'管理员','111111',NULL),(18,8,'当前登录用户手机号','jhbiSysUserMobile',1,1,'当前登录用户的MOBILE','2023-02-22 11:21:09',1123598821738675201,'管理员','111111',NULL),(19,8,'当前登录用户单位','jhbiSysUserDept',0,1,'当前登录用户的DEPTID','2023-02-22 11:21:09',1123598821738675201,'管理员','111111',NULL),(55,0,'当前登录用户集成用户','jhbiSysThirdUser',1,1,'当前登录用户的集成平台用户ID(ThirdUserId)','2024-04-07 14:01:34',0,'系统创建','111111',NULL),(56,0,'当前登录用户集成岗位','jhbiSysThirdUserPost',1,1,'当前登录用户的集成平台岗位ID(ThirdPostId)','2024-04-07 14:01:34',0,'系统创建','111111',NULL),(57,0,'当前登录用户集成部门','jhbiSysThirdUserDept',1,1,'当前登录用户的集成平台部门ID(ThirdDeptId)','2024-04-07 14:01:34',0,'系统创建','111111',NULL),(100,8,'当前登录用户单位名称','jhbiSysUserDeptName',1,1,'当前登录用户的部门名称(多值)','2024-09-11 11:16:39',0,'系统内置','111111',NULL),(101,8,'当前登录用户岗位名称','jhbiSysUserPostName',1,1,'当前登录用户的岗位名称(多值)','2024-09-11 11:16:39',0,'系统内置','111111',NULL),(102,8,'当前登录用户角色名称','jhbiSysUserRoleName',1,1,'当前登录用户的角色名称(多值)','2024-09-11 11:16:39',0,'系统内置','111111',NULL),(103,8,'当前登录用户生日','jhbiSysUserBirthday',1,1,'当前登录用户的出生日期(yyyy-MM-dd)','2024-09-11 11:16:39',0,'系统内置','111111',NULL),(104,8,'当前登录用户性别','jhbiSysUserSex',0,1,'当前登录用户的性别','2024-09-11 11:16:39',0,'系统内置','111111',NULL);
/*!40000 ALTER TABLE `cube_global_param` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_global_param_type`
--

DROP TABLE IF EXISTS `cube_global_param_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cube_global_param_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL COMMENT '父级ID',
  `type_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集全局筛选器参数-分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_global_param_type`
--

LOCK TABLES `cube_global_param_type` WRITE;
/*!40000 ALTER TABLE `cube_global_param_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_global_param_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_group_classify`
--

DROP TABLE IF EXISTS `cube_group_classify`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cube_group_classify` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '人群分类id',
  `classify_name` varchar(100) NOT NULL COMMENT '人群分类名称',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义人群分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_group_classify`
--

LOCK TABLES `cube_group_classify` WRITE;
/*!40000 ALTER TABLE `cube_group_classify` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_group_classify` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_sql_view`
--

DROP TABLE IF EXISTS `cube_sql_view`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cube_sql_view` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sql_name` varchar(100) NOT NULL COMMENT 'SQL名称',
  `view_name` varchar(50) NOT NULL COMMENT '视图名称',
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `sql_statement` longtext NOT NULL COMMENT 'SQL语句',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL创建的数据集视图';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_sql_view`
--

LOCK TABLES `cube_sql_view` WRITE;
/*!40000 ALTER TABLE `cube_sql_view` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_sql_view` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_table_column`
--

DROP TABLE IF EXISTS `cube_table_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cube_table_column` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cube_data_id` int NOT NULL COMMENT '数据集ID',
  `column_title` varchar(100) NOT NULL COMMENT '字段显示名',
  `column_name` varchar(200) DEFAULT NULL COMMENT '物理字段名(虚拟字段可能有多个逗号分隔)',
  `table_name` varchar(50) DEFAULT NULL COMMENT '表名',
  `table_alias_name` varchar(50) DEFAULT NULL COMMENT '表别名',
  `view_data_type` tinyint NOT NULL COMMENT '字段数据展示类型(0-字符串/1-数字/2-日期)',
  `old_view_data_type` tinyint DEFAULT NULL COMMENT '旧字段数据展示类型',
  `column_comment` varchar(200) DEFAULT NULL COMMENT '字段注释',
  `aggregation_type` tinyint DEFAULT NULL COMMENT '聚合类型(0-求和/1-计数等等)',
  `number_data_format` tinyint DEFAULT NULL COMMENT '指标-数值类型展示格式(0-整数/1-保留2位等)',
  `time_data_format` tinyint DEFAULT NULL COMMENT '维度-日期类型展示格式(例如:yyyy-MM-dd等)',
  `column_cite_json` text COMMENT '虚拟字段引用JSON格式字符串',
  `column_formula` varchar(1500) DEFAULT NULL COMMENT '虚拟字段公式',
  `column_attr` tinyint NOT NULL DEFAULT '0' COMMENT '字段类型(0-标准字段/1-虚拟字段)',
  `column_sql` text COMMENT '格式化后的SQL',
  `dimension_type` tinyint NOT NULL COMMENT '指标/维度类型(0-维度/1-指标)',
  `hidden_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否隐藏(0-否/1-是)',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(100) DEFAULT NULL COMMENT '创建人姓名',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  `virtual_aggregation_status` tinyint NOT NULL DEFAULT '0' COMMENT '虚拟字段是否包含聚合函数',
  `virtual_only_zhibiao_status` tinyint NOT NULL DEFAULT '0' COMMENT '虚拟字段是否仅用于指标列查询',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`),
  KEY `idx_cube_tenant` (`cube_data_id`,`tenant_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_表结构';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_table_column`
--

LOCK TABLES `cube_table_column` WRITE;
/*!40000 ALTER TABLE `cube_table_column` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_table_column` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_table_file`
--

DROP TABLE IF EXISTS `cube_table_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cube_table_file` (
  `id` int NOT NULL AUTO_INCREMENT,
  `file_name` varchar(100) NOT NULL COMMENT '文件名称',
  `table_name` varchar(50) NOT NULL COMMENT '表名',
  `table_comment` varchar(200) NOT NULL COMMENT '表注释',
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `file_size` bigint NOT NULL DEFAULT '0' COMMENT '文件大小(byte)',
  `file_uri` varchar(300) NOT NULL COMMENT '文件路径',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_文件表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_table_file`
--

LOCK TABLES `cube_table_file` WRITE;
/*!40000 ALTER TABLE `cube_table_file` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_table_file` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_table_static`
--

DROP TABLE IF EXISTS `cube_table_static`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cube_table_static` (
  `id` int NOT NULL AUTO_INCREMENT,
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `cube_data_id` int NOT NULL COMMENT '数据集ID',
  `table_comment` varchar(200) NOT NULL COMMENT '表注释',
  `table_name` varchar(100) NOT NULL COMMENT '表名',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_静态数据表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_table_static`
--

LOCK TABLES `cube_table_static` WRITE;
/*!40000 ALTER TABLE `cube_table_static` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_table_static` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cube_workspace`
--

DROP TABLE IF EXISTS `cube_workspace`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cube_workspace` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级分类ID',
  `ws_name` varchar(50) NOT NULL COMMENT '工作空间名称',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(30) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `system_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否系统分类(0-否，1-是)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集_工作空间';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cube_workspace`
--

LOCK TABLES `cube_workspace` WRITE;
/*!40000 ALTER TABLE `cube_workspace` DISABLE KEYS */;
/*!40000 ALTER TABLE `cube_workspace` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_api`
--

DROP TABLE IF EXISTS `data_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_api` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `api_name` varchar(50) NOT NULL COMMENT '接口名称',
  `api_key` varchar(50) NOT NULL COMMENT '唯一关键词',
  `api_type` int DEFAULT '0' COMMENT '接口类别 0-报表 1-常规 2-第三方接口',
  `category_id` int DEFAULT '0' COMMENT '接口分类id,关联 data_api_category表',
  `api_formal` int DEFAULT '0' COMMENT '接口类型 1-正式 0-临时',
  `api_url` varchar(300) DEFAULT NULL COMMENT '接口地址',
  `datasource_id` int DEFAULT '0' COMMENT '数据源id',
  `query_table` varchar(200) DEFAULT NULL COMMENT '查询表视图名称',
  `query_param` text COMMENT '查询条件/参数说明',
  `query_sql` text COMMENT '查询sql语句',
  `api_status` int DEFAULT '0' COMMENT '接口状态 0-下线 1-上线 2-故障',
  `login_required` int DEFAULT '0' COMMENT '是否需要登录 0-不需要 1-需要',
  `pid` int DEFAULT NULL COMMENT '二级分类id',
  `note` text COMMENT '扩展字段',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `api_method` varchar(10) DEFAULT NULL COMMENT 'API接口请求方式(POST/GET)',
  `api_headers` text COMMENT 'API接口请求头JSON',
  `api_js_function` text COMMENT 'API接口返回数据解析js函数',
  `api_param_type` tinyint DEFAULT '0' COMMENT 'API接口参数传递方式（0:json/1:x-www-form-urlencoded）',
  `chart_type` tinyint DEFAULT NULL COMMENT '图表类型',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_page` tinyint DEFAULT NULL COMMENT '是否分页',
  `page_size` tinyint DEFAULT NULL COMMENT '分页数量',
  PRIMARY KEY (`id`),
  UNIQUE KEY `api_key` (`api_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_api`
--

LOCK TABLES `data_api` WRITE;
/*!40000 ALTER TABLE `data_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_api_category`
--

DROP TABLE IF EXISTS `data_api_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_api_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `pid` int DEFAULT NULL COMMENT 'pid',
  `order_index` int NOT NULL DEFAULT '0' COMMENT '排序值，从小到大排',
  `category_name` varchar(50) NOT NULL COMMENT '指标分类名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_api_category`
--

LOCK TABLES `data_api_category` WRITE;
/*!40000 ALTER TABLE `data_api_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_api_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_api_config`
--

DROP TABLE IF EXISTS `data_api_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_api_config` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `api_id` int DEFAULT NULL COMMENT '接口id',
  `config_type` int DEFAULT NULL COMMENT '配置类型 1-列维度 2-行维度 3-指标',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_api_config`
--

LOCK TABLES `data_api_config` WRITE;
/*!40000 ALTER TABLE `data_api_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_api_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_api_config_detail`
--

DROP TABLE IF EXISTS `data_api_config_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_api_config_detail` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `api_config_id` int DEFAULT NULL COMMENT '接口配置id',
  `dimension_id` int DEFAULT NULL COMMENT '维度id',
  `sort_order` int DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_api_config_detail`
--

LOCK TABLES `data_api_config_detail` WRITE;
/*!40000 ALTER TABLE `data_api_config_detail` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_api_config_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_api_insert`
--

DROP TABLE IF EXISTS `data_api_insert`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_api_insert` (
  `id` int NOT NULL AUTO_INCREMENT,
  `api_name` varchar(150) NOT NULL COMMENT '接口名称',
  `api_key` varchar(100) NOT NULL COMMENT 'API关键字',
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `table_name` varchar(100) NOT NULL COMMENT '数据库表名',
  `category_id` int NOT NULL DEFAULT '0' COMMENT '分类ID',
  `param_json` longtext NOT NULL COMMENT '参数json',
  `api_status` tinyint NOT NULL DEFAULT '1' COMMENT 'API状态',
  `api_url` varchar(100) NOT NULL COMMENT '接口地址',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注说明',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`),
  UNIQUE KEY `api_key` (`api_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='API入库接口';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_api_insert`
--

LOCK TABLES `data_api_insert` WRITE;
/*!40000 ALTER TABLE `data_api_insert` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_api_insert` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_permission`
--

DROP TABLE IF EXISTS `data_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `perm_name` varchar(100) NOT NULL COMMENT '权限组名称',
  `type_id` int NOT NULL DEFAULT '0' COMMENT '分类ID',
  `perm_tag` varchar(20) DEFAULT NULL COMMENT '权限组标签',
  `perm_json` json NOT NULL COMMENT '权限组数据json',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
  `super_status` tinyint NOT NULL DEFAULT '0' COMMENT '超级权限组',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_permission`
--

LOCK TABLES `data_permission` WRITE;
/*!40000 ALTER TABLE `data_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_permission_dept`
--

DROP TABLE IF EXISTS `data_permission_dept`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_permission_dept` (
  `id` int NOT NULL AUTO_INCREMENT,
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `dept_id` bigint NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`id`),
  UNIQUE KEY `dept_id` (`dept_id`,`data_perm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组和部门关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_permission_dept`
--

LOCK TABLES `data_permission_dept` WRITE;
/*!40000 ALTER TABLE `data_permission_dept` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_permission_dept` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_permission_role`
--

DROP TABLE IF EXISTS `data_permission_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_permission_role` (
  `id` int NOT NULL AUTO_INCREMENT,
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`id`),
  KEY `role_id` (`role_id`,`data_perm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组和角色关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_permission_role`
--

LOCK TABLES `data_permission_role` WRITE;
/*!40000 ALTER TABLE `data_permission_role` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_permission_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_permission_type`
--

DROP TABLE IF EXISTS `data_permission_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_permission_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type_name` varchar(50) NOT NULL COMMENT '分类名称',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_permission_type`
--

LOCK TABLES `data_permission_type` WRITE;
/*!40000 ALTER TABLE `data_permission_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_permission_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_permission_user`
--

DROP TABLE IF EXISTS `data_permission_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data_permission_user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `user_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否直接设置',
  PRIMARY KEY (`id`),
  UNIQUE KEY `data_perm_id` (`data_perm_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限组与用户关系表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_permission_user`
--

LOCK TABLES `data_permission_user` WRITE;
/*!40000 ALTER TABLE `data_permission_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_permission_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsy_job`
--

DROP TABLE IF EXISTS `dsy_job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dsy_job` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `category_id` int NOT NULL COMMENT '分类ID',
  `job_name` varchar(100) NOT NULL COMMENT '任务名称',
  `job_desc` varchar(500) DEFAULT NULL COMMENT '任务描述',
  `job_status` tinyint NOT NULL COMMENT '上线状态',
  `job_type` tinyint NOT NULL COMMENT '任务类型',
  `trigger_status` tinyint NOT NULL DEFAULT '0' COMMENT '调度状态',
  `job_cron` varchar(20) DEFAULT NULL COMMENT 'xxljob的任务Cron',
  `xxl_job_id` int DEFAULT NULL COMMENT 'xxljob的任务ID',
  `source_ds_id` int NOT NULL COMMENT '输入数据源ID',
  `source_ds_type` tinyint DEFAULT NULL COMMENT '输入数据源类型',
  `target_ds_id` int NOT NULL COMMENT '目标数据源ID',
  `target_ds_type` tinyint DEFAULT NULL COMMENT '目标数据源类型',
  `sync_type` tinyint NOT NULL COMMENT '同步方式',
  `truncate_table_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否清空数据',
  `sync_index_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否同步索引',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公开状态(0-不公开/1-公开)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_user_id` bigint DEFAULT NULL COMMENT '更新人ID',
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsy_job`
--

LOCK TABLES `dsy_job` WRITE;
/*!40000 ALTER TABLE `dsy_job` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsy_job` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsy_job_category`
--

DROP TABLE IF EXISTS `dsy_job_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dsy_job_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `cate_name` varchar(50) NOT NULL COMMENT '分类名称',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsy_job_category`
--

LOCK TABLES `dsy_job_category` WRITE;
/*!40000 ALTER TABLE `dsy_job_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsy_job_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsy_job_instance`
--

DROP TABLE IF EXISTS `dsy_job_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dsy_job_instance` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `job_table_id` int NOT NULL COMMENT '任务表数据ID',
  `server_ip` varchar(100) NOT NULL COMMENT '服务器IP',
  `start_time` datetime DEFAULT NULL COMMENT '作业开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '作业结束时间',
  `instance_run_type` tinyint NOT NULL COMMENT '作业运行类型(手动 自动)',
  `instance_type` tinyint NOT NULL COMMENT '作业类型(流作业 批作业)',
  `instance_status` tinyint NOT NULL COMMENT '作业状态',
  `err_msg` longtext COMMENT '错误描述',
  `read_row_count` bigint NOT NULL DEFAULT '0' COMMENT '读取行数',
  `write_row_count` bigint NOT NULL DEFAULT '0' COMMENT '写入行数',
  `write_speed` int NOT NULL DEFAULT '0' COMMENT '数据写入速度',
  `data_flow_avg` varchar(100) DEFAULT NULL COMMENT '数据平均流量',
  `error_row_count` bigint NOT NULL DEFAULT '0' COMMENT '错误行数',
  `create_time` datetime NOT NULL COMMENT '任务创建时间',
  `sync_type` tinyint NOT NULL DEFAULT '0' COMMENT '同步方式',
  `start_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段开始值',
  `end_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段结束值',
  `datax_pid` varchar(50) DEFAULT NULL COMMENT 'datax进程ID号',
  `datax_log_name` varchar(200) DEFAULT NULL COMMENT 'datax日志名称',
  `datax_config_name` varchar(200) DEFAULT NULL COMMENT 'datax配置文件名称',
  `source_table_name` varchar(100) DEFAULT NULL COMMENT '输入数据源表名',
  `target_table_name` varchar(100) DEFAULT NULL COMMENT '目标数据源表名',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `instance_status` (`instance_status`),
  KEY `job_id` (`job_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务实例';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsy_job_instance`
--

LOCK TABLES `dsy_job_instance` WRITE;
/*!40000 ALTER TABLE `dsy_job_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsy_job_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsy_job_permission`
--

DROP TABLE IF EXISTS `dsy_job_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dsy_job_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsy_job_permission`
--

LOCK TABLES `dsy_job_permission` WRITE;
/*!40000 ALTER TABLE `dsy_job_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsy_job_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsy_job_table`
--

DROP TABLE IF EXISTS `dsy_job_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dsy_job_table` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `source_table_name` varchar(100) NOT NULL COMMENT '输入数据源表名',
  `source_table_comment` varchar(150) NOT NULL COMMENT '输入数据源表注释',
  `target_table_name` varchar(100) NOT NULL COMMENT '目标数据源表名',
  `target_table_comment` varchar(150) DEFAULT NULL COMMENT '目标数据源表注释',
  `increment_column_name` varchar(100) DEFAULT NULL COMMENT '数据源表的增量字段名',
  `increment_column_type` tinyint DEFAULT NULL COMMENT '数据源表的增量字段类型',
  `create_table_status` tinyint NOT NULL COMMENT '是否自动建表',
  `sync_type` tinyint DEFAULT NULL COMMENT '同步方式',
  `truncate_table_status` tinyint DEFAULT NULL COMMENT '是否清空数据',
  `sync_index_status` tinyint DEFAULT NULL COMMENT '是否同步索引',
  `query_sql` text NOT NULL COMMENT '查询SQL语句',
  `pre_sql` varchar(1000) DEFAULT NULL COMMENT '同步任务前执行语句(一般truncate)',
  `source_column_json` text COMMENT '输入源字段json',
  `target_column_json` longtext COMMENT '目标源字段json',
  `target_column_upper_status` tinyint NOT NULL COMMENT '是否大写',
  `ext_json` text COMMENT '其他数据json',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `start_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段开始值',
  `end_increment_data` varchar(255) DEFAULT NULL COMMENT '增量字段结束值',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据同步任务表信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsy_job_table`
--

LOCK TABLES `dsy_job_table` WRITE;
/*!40000 ALTER TABLE `dsy_job_table` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsy_job_table` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_column_system`
--

DROP TABLE IF EXISTS `etl_column_system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `etl_column_system` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '字段名称',
  `db_type` int NOT NULL COMMENT '数据源类型 0-mysql 1-oracle 2-sqlserver 3-postgresql 4-clickhouse 5-人大金仓 6-达梦',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据库系统自留字段表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_column_system`
--

LOCK TABLES `etl_column_system` WRITE;
/*!40000 ALTER TABLE `etl_column_system` DISABLE KEYS */;
INSERT INTO `etl_column_system` VALUES (11,'select',0),(12,'UID',1),(13,'uid',1),(14,'openid',0);
/*!40000 ALTER TABLE `etl_column_system` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job`
--

DROP TABLE IF EXISTS `etl_job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `etl_job` (
  `id` int NOT NULL AUTO_INCREMENT,
  `category_id` int NOT NULL COMMENT '分类ID',
  `job_name` varchar(100) NOT NULL COMMENT '任务名称',
  `job_status` tinyint NOT NULL COMMENT '作业状态(草稿、发布、归档)',
  `job_type` tinyint NOT NULL COMMENT '任务类型(流任务 批任务)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `update_by` varchar(50) DEFAULT NULL COMMENT '修改人姓名',
  `update_user_id` bigint DEFAULT NULL COMMENT '修改人ID',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `global_param` varchar(1000) DEFAULT NULL COMMENT '全局参数',
  `job_cron` varchar(255) DEFAULT NULL COMMENT 'xxljob任务cron',
  `xxl_job_id` int DEFAULT NULL COMMENT 'xxlJob任务ID',
  `trigger_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否开启定时调度',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否公开状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务定义表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job`
--

LOCK TABLES `etl_job` WRITE;
/*!40000 ALTER TABLE `etl_job` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job_category`
--

DROP TABLE IF EXISTS `etl_job_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `etl_job_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cate_name` varchar(50) NOT NULL COMMENT '分类名称',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job_category`
--

LOCK TABLES `etl_job_category` WRITE;
/*!40000 ALTER TABLE `etl_job_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job_instance`
--

DROP TABLE IF EXISTS `etl_job_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `etl_job_instance` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `job_engine_id` varchar(100) DEFAULT NULL COMMENT '计算引擎的作业ID',
  `web_interface_url` varchar(300) DEFAULT NULL COMMENT 'flink的web地址',
  `application_id` varchar(100) DEFAULT NULL COMMENT 'Flink application id',
  `instance_type` tinyint NOT NULL COMMENT '作业类型(流作业 批作业)',
  `instance_status` tinyint NOT NULL DEFAULT '0' COMMENT '作业运行状态(运行中 成功 失败 中断)',
  `start_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `err_msg` longtext COMMENT '错误描述',
  `instance_run_type` tinyint DEFAULT NULL COMMENT '作业运行类型(手动 自动)',
  `engine_job_status` varchar(255) DEFAULT NULL COMMENT '引擎运行状态',
  `read_row_count` bigint NOT NULL DEFAULT '0' COMMENT '读取行数',
  `write_row_count` bigint NOT NULL DEFAULT '0' COMMENT '写入行数',
  `read_qps` bigint NOT NULL DEFAULT '0' COMMENT '读取QPS',
  `write_qps` bigint NOT NULL DEFAULT '0' COMMENT '写入QPS',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务实例表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job_instance`
--

LOCK TABLES `etl_job_instance` WRITE;
/*!40000 ALTER TABLE `etl_job_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job_link`
--

DROP TABLE IF EXISTS `etl_job_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `etl_job_link` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `from_code` varchar(50) NOT NULL COMMENT '开始节点code',
  `to_code` varchar(50) NOT NULL COMMENT '目标节点code',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务步骤连接表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job_link`
--

LOCK TABLES `etl_job_link` WRITE;
/*!40000 ALTER TABLE `etl_job_link` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job_link` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job_permission`
--

DROP TABLE IF EXISTS `etl_job_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `etl_job_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据大屏权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job_permission`
--

LOCK TABLES `etl_job_permission` WRITE;
/*!40000 ALTER TABLE `etl_job_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_job_task`
--

DROP TABLE IF EXISTS `etl_job_task`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `etl_job_task` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `plugin_type` tinyint NOT NULL COMMENT '插件类型',
  `connector_type` tinyint DEFAULT NULL COMMENT '连接器类型',
  `config_json` longtext COMMENT '配置json',
  `ext_json` longtext COMMENT '扩展json',
  `task_code` varchar(50) DEFAULT NULL COMMENT '节点code',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人姓名',
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务步骤(节点)表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_job_task`
--

LOCK TABLES `etl_job_task` WRITE;
/*!40000 ALTER TABLE `etl_job_task` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_job_task` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_sql_column`
--

DROP TABLE IF EXISTS `etl_sql_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `etl_sql_column` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `sql_column_type` varchar(255) DEFAULT NULL COMMENT '数据库字段类型',
  `ds_type` int DEFAULT NULL COMMENT '数据源类型 0-mysql 1-oracle 2-sqlserver 3-postgresql 4-clickhouse',
  `column_type` varchar(50) DEFAULT NULL COMMENT '通用字段类型',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=316 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_sql_column`
--

LOCK TABLES `etl_sql_column` WRITE;
/*!40000 ALTER TABLE `etl_sql_column` DISABLE KEYS */;
INSERT INTO `etl_sql_column` VALUES (1,'STRING',0,'CHAR'),(2,'STRING',0,'VARCHAR'),(3,'STRING',0,'LONGVARCHAR'),(4,'STRING',0,'BINARY'),(5,'STRING',0,'VARBINARY'),(6,'STRING',0,'LONGVARBINARY'),(7,'STRING',0,'BLOB'),(8,'STRING',0,'CLOB'),(9,'STRING',0,'NCHAR'),(10,'STRING',0,'NVARCHAR'),(11,'STRING',0,'LONGNVARCHAR'),(12,'STRING',0,'NCLOB'),(13,'STRING',0,'ARRAY'),(14,'DATE',0,'DATE'),(15,'DATE',0,'TIME'),(16,'DATE',0,'TIMESTAMP'),(17,'DATE',0,'DATETIME'),(18,'STRING',0,'BIT'),(19,'INTEGER',0,'TINYINT'),(20,'INTEGER',0,'SMALLINT'),(21,'INTEGER',0,'INTEGER'),(22,'INTEGER',0,'BOOLEAN'),(24,'LONG',0,'BIGINT'),(25,'FLOAT',0,'FLOAT'),(26,'DECIMAL',0,'REAL'),(27,'DOUBLE',0,'DOUBLE'),(28,'DECIMAL',0,'DECIMAL'),(29,'STRING',1,'CHAR'),(30,'STRING',1,'VARCHAR2'),(31,'INTEGER',1,'NUMBER'),(32,'DATE',1,'DATE'),(33,'FLOAT',1,'FLOAT'),(34,'STRING',1,'CLOB RAW'),(35,'STRING',1,'VARCHAR2 CLOB'),(36,'LONG',1,'NUMBER(19,0)'),(37,'INTEGER',1,'NUMBER(7,0)'),(38,'INTEGER',1,'NUMBER(5,0)'),(39,'BOOLEAN',1,'NUMBER(3,0)'),(40,'FLOAT',4,'Float32'),(41,'DOUBLE',4,'Float64'),(42,'INTEGER',4,'Int32'),(43,'INTEGER',4,'Int8'),(44,'INTEGER',4,'Int16'),(45,'INTEGER',4,'UInt8'),(46,'INTEGER',4,'UInit16'),(47,'INTEGER',4,'UInut32'),(48,'LONG',4,'Int64'),(49,'LONG',4,'Int128'),(50,'LONG',4,'Inte256'),(51,'LONG',4,'UInit64'),(52,'LONG',4,'UInit128'),(53,'LONG',4,'UInit256'),(54,'STRING',4,'String'),(55,'DECIMAL',4,'Decimal'),(56,'DECIMAL',4,'Decimal32'),(57,'DECIMAL',4,'Decimal64'),(58,'DECIMAL',4,'Decimal128'),(59,'DATE',4,'DateTime'),(60,'DATE',4,'DATE'),(61,'DATE',4,'DATE32'),(62,'DATE',4,'DateTime64'),(63,'STRING',4,'JSON'),(64,'STRING',4,'UUID'),(65,'STRING',4,'fixedString'),(66,'STRING',0,'TEXT'),(67,'STRING',3,'ARRAY'),(68,'STRING',3,'BINARY'),(69,'STRING',3,'BLOB'),(70,'STRING',3,'CHAR'),(71,'STRING',3,'CLOB'),(72,'STRING',3,'LONGNVARCHAR'),(73,'STRING',3,'LONGVARBINARY'),(74,'STRING',3,'LONGVARCHAR'),(75,'STRING',3,'NCHAR'),(76,'STRING',3,'NCLOB'),(77,'STRING',3,'NVARCHAR'),(78,'STRING',3,'TEXT'),(79,'STRING',3,'VARBINARY'),(80,'STRING',3,'VARCHAR'),(81,'STRING',3,'UUID'),(82,'STRING',3,'XML'),(83,'STRING',3,'JSON'),(84,'INTEGER',3,'BIT'),(85,'INTEGER',3,'BOOLEAN'),(86,'INTEGER',3,'INT'),(87,'INTEGER',3,'INTEGER'),(88,'INTEGER',3,'SMALLINT'),(89,'INTEGER',3,'TINYINT'),(90,'INTEGER',3,'int2'),(91,'INTEGER',3,'int4'),(92,'INTEGER',3,'int8'),(93,'LONG',3,'BIGINT'),(94,'DOUBLE',3,'double precision'),(95,'DOUBLE',3,'DOUBLE'),(96,'DECIMAL',3,'REAL'),(97,'DECIMAL',3,'DECIMAL'),(98,'FLOAT',3,'FLOAT'),(99,'DATE',3,'DATETIME'),(100,'DATE',3,'DATE'),(101,'DATE',3,'TIME'),(102,'DATE',3,'TIMESTAMP'),(103,'STRING',5,'varchar'),(104,'STRING',5,'char'),(105,'STRING',5,'text'),(106,'STRING',5,'character varying'),(107,'STRING',5,'varchar2'),(108,'STRING',5,'nvarchar2'),(109,'STRING',5,'nvarchar'),(110,'STRING',5,'character'),(111,'STRING',5,'longtext'),(112,'STRING',5,'mediumtext'),(113,'STRING',5,'tinytext'),(114,'DECIMAL',5,'decimal'),(115,'DECIMAL',5,'numeric'),(116,'DECIMAL',5,'number'),(117,'DECIMAL',5,'fixed'),(118,'DOUBLE',5,'double'),(119,'FLOAT',5,'real'),(120,'DOUBLE',5,'double precision'),(121,'DOUBLE',5,'bigserial'),(122,'FLOAT',5,'float'),(123,'FLOAT',5,'smallserial'),(124,'FLOAT',5,'serial'),(125,'DATE',5,'date'),(126,'DATE',5,'timestamp'),(127,'LONG',5,'int8'),(128,'LONG',5,'bigint'),(129,'INTEGER',5,'int'),(130,'INTEGER',5,'int4'),(131,'INTEGER',5,'tinyint'),(132,'INTEGER',5,'int1'),(133,'INTEGER',5,'smallint'),(134,'INTEGER',5,'middleint'),(135,'INTEGER',5,'mediumint'),(136,'INTEGER',5,'int3'),(137,'INTEGER',5,'integer'),(138,'DOUBLE',5,'Float8'),(139,'INTEGER',5,'int2'),(140,'INTEGER',6,'INT'),(141,'INTEGER',6,'SMALLINT'),(142,'INTEGER',6,'TINYINT'),(143,'INTEGER',6,'INTEGER'),(144,'INTEGER',6,'PLS_INTEGER'),(145,'DECIMAL',6,'NUMERIC'),(146,'DECIMAL',6,'DECIMAL'),(147,'FLOAT',6,'FLOAT'),(148,'DOUBLE',6,'DOUBLE'),(149,'DATE',6,'TIMESTAMP'),(150,'DATE',6,'DATE'),(151,'DATE',6,'TIME'),(152,'LONG',6,'BIGINT'),(153,'STRING',6,'VARCHAR'),(154,'STRING',6,'TEXT'),(155,'STRING',6,'CHAR'),(156,'STRING',0,'LONGTEXT'),(157,'STRING',2,'char'),(158,'STRING',2,'varchar'),(159,'STRING',2,'text'),(160,'STRING',2,'nchar'),(161,'STRING',2,'nvarchar'),(162,'STRING',2,'ntext'),(163,'STRING',2,'uniqueidentifier'),(164,'STRING',2,'xml'),(165,'LONG',2,'bigint'),(166,'DECIMAL',2,'decimal'),(167,'DECIMAL',2,'money'),(168,'DECIMAL',2,'smallmoney'),(169,'DECIMAL',2,'numeric'),(170,'INTEGER',2,'int'),(171,'INTEGER',2,'smallint'),(172,'INTEGER',2,'tinyint'),(173,'DOUBLE',2,'float'),(174,'FLOAT',2,'real'),(175,'DATE',2,'time'),(176,'DATE',2,'date'),(177,'DATE',2,'datetime2'),(178,'DATE',2,'datetimeoffset'),(179,'DATE',2,'datetime'),(180,'DATE',2,'smalldatetime'),(181,'DOUBLE',3,'NUMERIC'),(182,'INTEGER',3,'smallserial'),(183,'INTEGER',3,'serial'),(184,'LONG',3,'bigserial'),(185,'STRING',2,'bit'),(186,'STRING',2,'binary'),(187,'STRING',2,'varbinary'),(188,'STRING',1,'CLOB'),(189,'STRING',1,'NCLOB'),(190,'STRING',1,'BLOB'),(191,'STRING',1,'RAW'),(192,'STRING',1,'BFILE'),(193,'STRING',1,'ROWID'),(194,'STRING',1,'NROWID'),(195,'STRING',1,'nvarchar2'),(197,'DOUBLE',1,'real'),(198,'LONG',1,'long'),(199,'STRING',1,'nchar'),(200,'INTEGER',1,'integer'),(201,'DECIMAL',1,'decimal'),(202,'STRING',1,'UROWID'),(203,'STRING',0,'LONGBLOB'),(204,'INTEGER',0,'INT UNSIGNED'),(210,'INTEGER',0,'INT'),(213,'STRING',0,'MEDIUMTEXT'),(300,'STRING',10,'ObjectId'),(301,'STRING',10,'String'),(302,'BOOLEAN',10,'Boolean'),(303,'STRING',10,'Binary'),(304,'INTEGER',10,'Int32'),(305,'LONG',10,'Int64'),(306,'DOUBLE',10,'Double'),(307,'DECIMAL',10,'Decimal128'),(308,'DATE',10,'Date'),(309,'DATE',10,'Timestamp'),(310,'STRING',10,'Document'),(311,'STRING',10,'Array'),(312,'STRING',10,'Object'),(313,'STRING',10,'Object_id'),(314,'DATE',10,'DATE_TIME'),(315,'STRING',10,'NULL');
/*!40000 ALTER TABLE `etl_sql_column` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `foreign_white_list`
--

DROP TABLE IF EXISTS `foreign_white_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `foreign_white_list` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `ip_address` varchar(100) NOT NULL COMMENT 'ip地址',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `foreign_white_list`
--

LOCK TABLES `foreign_white_list` WRITE;
/*!40000 ALTER TABLE `foreign_white_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `foreign_white_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `history_report_folder`
--

DROP TABLE IF EXISTS `history_report_folder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history_report_folder` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `sort_order` int NOT NULL DEFAULT '0' COMMENT '显示排序',
  `folder_name` varchar(50) NOT NULL COMMENT '文件夹名称',
  `user_id` bigint NOT NULL DEFAULT '0' COMMENT '用户id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history_report_folder`
--

LOCK TABLES `history_report_folder` WRITE;
/*!40000 ALTER TABLE `history_report_folder` DISABLE KEYS */;
/*!40000 ALTER TABLE `history_report_folder` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `history_report_info`
--

DROP TABLE IF EXISTS `history_report_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history_report_info` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `folder_id` int NOT NULL COMMENT '文件夹id',
  `report_month` varchar(50) DEFAULT NULL COMMENT '月份',
  `report_title` varchar(50) DEFAULT NULL COMMENT '报告名称',
  `background_url` varchar(300) DEFAULT NULL COMMENT '背景图url',
  `sort_order` int DEFAULT '0' COMMENT '显示排序',
  `is_deleted` int DEFAULT '0',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history_report_info`
--

LOCK TABLES `history_report_info` WRITE;
/*!40000 ALTER TABLE `history_report_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `history_report_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `login_record`
--

DROP TABLE IF EXISTS `login_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login_record` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `login_ip` varchar(100) DEFAULT NULL COMMENT '登录ip',
  `login_address` varchar(100) DEFAULT NULL COMMENT '登录地址',
  `login_time` datetime DEFAULT NULL COMMENT '登录时间',
  `login_user` varchar(100) DEFAULT NULL COMMENT '登录账号',
  `login_type` int DEFAULT NULL COMMENT '登录类型  1 账号密码登录 2 小程序登录 3 人脸登录',
  `user_id` bigint DEFAULT NULL COMMENT '账号id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户 id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `login_record`
--

LOCK TABLES `login_record` WRITE;
/*!40000 ALTER TABLE `login_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `login_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mcp_user`
--

DROP TABLE IF EXISTS `mcp_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mcp_user` (
  `user_id` bigint NOT NULL,
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '用户名',
  `pass_word` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '密码',
  `nick_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '昵称',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_name` (`user_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='管理中台用户表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mcp_user`
--

LOCK TABLES `mcp_user` WRITE;
/*!40000 ALTER TABLE `mcp_user` DISABLE KEYS */;
INSERT INTO `mcp_user` VALUES (1,'admin','90b9aa7e25f80cf4f64e990b78a9fc5ebd6cecad','铂原超管','2024-03-25 15:47:00');
/*!40000 ALTER TABLE `mcp_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mcp_visual_component_define`
--

DROP TABLE IF EXISTS `mcp_visual_component_define`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mcp_visual_component_define` (
  `id` int NOT NULL AUTO_INCREMENT,
  `component_name` varchar(100) NOT NULL COMMENT '组件名称',
  `image_url` varchar(100) DEFAULT NULL COMMENT '组件图标',
  `description` varchar(500) DEFAULT NULL COMMENT '组件描述',
  `component_version` varchar(50) DEFAULT NULL COMMENT '组件版本号',
  `code_text` text COMMENT '代码内容',
  `enable_tenants` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0' COMMENT '对某些租户公开，租户id通过逗号分割',
  `status` tinyint NOT NULL DEFAULT '0' COMMENT '启用/禁用 0是禁用1是启用',
  `disable_reason` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '禁用原因',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人名字',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `update_time` datetime NOT NULL COMMENT '修改时间',
  `update_by` varchar(50) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义组件';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mcp_visual_component_define`
--

LOCK TABLES `mcp_visual_component_define` WRITE;
/*!40000 ALTER TABLE `mcp_visual_component_define` DISABLE KEYS */;
/*!40000 ALTER TABLE `mcp_visual_component_define` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mcp_visual_component_sys`
--

DROP TABLE IF EXISTS `mcp_visual_component_sys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mcp_visual_component_sys` (
  `id` int NOT NULL AUTO_INCREMENT,
  `component_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '组件code',
  `component_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '组件名称',
  `image_url` varchar(100) DEFAULT NULL COMMENT '组件图标',
  `description` varchar(500) DEFAULT NULL COMMENT '组件描述',
  `component_version` varchar(50) DEFAULT NULL COMMENT '组件版本号',
  `status` tinyint DEFAULT '0' COMMENT '是否禁用(0禁用 1 启用)',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(50) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=82 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='系统组件';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mcp_visual_component_sys`
--

LOCK TABLES `mcp_visual_component_sys` WRITE;
/*!40000 ALTER TABLE `mcp_visual_component_sys` DISABLE KEYS */;
INSERT INTO `mcp_visual_component_sys` VALUES (1,'new-table','动态交叉表','../assets/icon/22.png','','1.0.0',1,NULL,NULL,'2024-04-16 22:48:59','铂原超管'),(2,'new-bar-single','簇状柱状图','../assets/icon/2.png','一个维度、多个指标或一个维度、一个指标、一个图例','1.0.0',1,NULL,NULL,NULL,NULL),(3,'new-pie','饼图','../assets/icon/9.png','一个维度、一个指标或多个指标','1.0.0',0,NULL,NULL,NULL,NULL),(4,'new-edit','动态文本','../assets/icon/25.png','','1.0.0',0,NULL,NULL,NULL,NULL),(5,'new-filter','全局筛选','../assets/icon/43.png','','1.0.0',0,NULL,NULL,NULL,NULL),(6,'new-map','地图','../assets/icon/18.png','','1.0.0',0,NULL,NULL,NULL,NULL),(7,'new-relation','关系图','../assets/icon/1.png','自定义多组关系','1.0.0',0,NULL,NULL,'2024-04-16 20:20:09','铂原超管'),(8,'new-bar','基础柱状图','../assets/icon/1.png','一个维度多个指标','1.0.0',0,NULL,NULL,NULL,NULL),(9,'new-bar-waterfall','柱状瀑布图','../assets/icon/柱状瀑布.png','一个维度、一个指标、可选对比指标','1.0.0',0,NULL,NULL,NULL,NULL),(10,'new-bar-pareto','帕累托图','../assets/icon/帕累托图.png','一个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(11,'new-bar-race','动态柱状图','../assets/icon/3.gif','一个维度、一个指标、一个坐标轴','1.0.0',0,NULL,NULL,NULL,NULL),(12,'new-line','基础折线图','../assets/icon/4.png','一个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(13,'new-line-area','面积折线图','../assets/icon/5.png','一个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(14,'new-line-single','堆叠折线图','../assets/icon/6.png','一个维度、多个指标或一个维度、一个指标、一个图例','1.0.0',0,NULL,NULL,NULL,NULL),(15,'new-line-race','动态折线图','../assets/icon/7.gif','一个维度、多个指标','1.0.0',0,NULL,NULL,NULL,NULL),(16,'new-mixture','折柱混合图','../assets/icon/8.png','一个维度、多个指标','1.0.0',0,NULL,NULL,NULL,NULL),(17,'new-pie-nest','嵌套饼图','../assets/icon/10.png','一个维度、多个指标','1.0.0',0,NULL,NULL,NULL,NULL),(18,'new-pie-venn','维恩图','../assets/icon/10.png','一个维度、1个指标','1.0.0',0,NULL,NULL,NULL,NULL),(19,'new-pie-3d','3D饼图','../assets/icon/11.png','一个维度、一个指标或多个指标','1.0.0',0,NULL,NULL,NULL,NULL),(20,'new-sunburst','旭日图','../assets/icon/旭日图.png','多个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(21,'new-scatter-quadrant','散点图','../assets/icon/12.png','一个维度、三个指标','1.0.0',0,NULL,NULL,NULL,NULL),(22,'new-radar','雷达图','../assets/icon/13.png','一个维度、多个指标','1.0.0',0,NULL,NULL,NULL,NULL),(23,'new-radar-weidu','维度雷达图','../assets/icon/13.png','多个维度、多个指标','1.0.0',0,NULL,NULL,NULL,NULL),(24,'new-funnel','漏斗图','../assets/icon/14.png','一个维度、多个指标','1.0.0',0,NULL,NULL,NULL,NULL),(25,'new-wordcloud','字符云','../assets/icon/15.png','一个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(26,'new-sankey','桑吉图','../assets/icon/16.png','两个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(27,'new-sankey2','多维桑吉图','../assets/icon/16.png','多个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(28,'new-gunter','甘特图','../assets/icon/甘特图.png','多个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(29,'new-heatmap','热力图','../assets/icon/热力图.png','两个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(30,'new-heatmap-date','日历热力图','../assets/icon/日历热力图.png','一个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(31,'new-boxplot','盒须图','../assets/icon/盒须图.png','多个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(32,'new-bullet','子弹图','../assets/icon/子弹图.png','一个维度、两个指标','1.0.0',0,NULL,NULL,NULL,NULL),(33,'new-tree','树形图','../assets/icon/树状图.png','多个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(34,'new-tree-map','矩形树图','../assets/icon/矩形树图.png','一个维度、一个指标','1.0.0',0,NULL,NULL,NULL,NULL),(35,'new-mapgeo','平面地图','../assets/icon/18.png',NULL,NULL,0,NULL,NULL,NULL,NULL),(36,'new-map-scatter','散点地图','../assets/icon/18.png',NULL,NULL,0,NULL,NULL,NULL,NULL),(37,'new-map-line','飞线地图','../assets/icon/19.png','','1.0.0',0,NULL,NULL,NULL,NULL),(38,'new-map-lines','飞线地图','../assets/icon/19.png','','1.0.0',0,NULL,NULL,NULL,NULL),(39,'new-map-heatmap','热力地图','../assets/icon/18.png','','1.0.0',0,NULL,NULL,NULL,NULL),(40,'new-map-3d','三维地图','../assets/icon/17.png','','1.0.0',0,NULL,NULL,NULL,NULL),(41,'new-map-earth','三维地球','../assets/icon/34.gif','','1.0.0',0,NULL,NULL,NULL,NULL),(42,'new-map-world','世界地图','../assets/icon/word.png','','1.0.0',0,NULL,NULL,NULL,NULL),(43,'new-maplbs','LBS地图','../assets/icon/20.png','','1.0.0',0,NULL,NULL,NULL,NULL),(44,'new-table-detail','动态明细表','../assets/icon/23.png','','1.0.0',0,NULL,NULL,NULL,NULL),(45,'new-scroll-table','动态轮播表','../assets/icon/24.gif','','1.0.0',0,NULL,NULL,NULL,NULL),(46,'new-excel','excel网络版','../assets/icon/22.png','','1.0.0',0,NULL,NULL,NULL,NULL),(47,'new-newsList','实时新闻','../assets/icon/26.png','','1.0.0',0,NULL,NULL,NULL,NULL),(48,'new-flip','翻牌器','../assets/icon/27.gif','','1.0.0',0,NULL,NULL,NULL,NULL),(49,'new-strategy-card','指标卡片','../assets/icon/28.png','','1.0.0',0,NULL,NULL,NULL,NULL),(50,'new-gauge','仪表盘','../assets/icon/29.png','','1.0.0',0,NULL,NULL,NULL,NULL),(51,'new-water','水位图','../assets/icon/30.png','','1.0.0',0,NULL,NULL,NULL,NULL),(52,'new-card','卡片组','@/assets/icon/31.png','','1.0.0',0,NULL,NULL,NULL,NULL),(53,'new-toplabel','top面板','@/assets/icon/32.png','','1.0.0',0,NULL,NULL,NULL,NULL),(54,'new-text','文本框','../assets/icon/33.png','','1.0.0',0,NULL,NULL,NULL,NULL),(55,'new-earth','3d地球背景','../assets/icon/34.gif','','1.0.0',0,NULL,NULL,NULL,NULL),(56,'new-text-data','数据文本框','../assets/icon/35.png','','1.0.0',0,NULL,NULL,NULL,NULL),(57,'new-img','图片','../assets/icon/36.png','','1.0.0',0,NULL,NULL,NULL,NULL),(58,'new-iconPark','装饰图标','../assets/icon/iconPark.png','','1.0.0',0,NULL,NULL,NULL,NULL),(59,'new-datav','装饰边框','../assets/icon/37.png','','1.0.0',0,NULL,NULL,NULL,NULL),(60,'new-decoration','装饰点缀','../assets/icon/38.gif','','1.0.0',0,NULL,NULL,NULL,NULL),(61,'new-tab','菜单','../assets/icon/39.png','','1.0.0',0,NULL,NULL,NULL,NULL),(62,'new-menu','3D菜单','../assets/icon/39.png','','1.0.0',0,NULL,NULL,NULL,NULL),(63,'new-datetime','实时时间','../assets/icon/40.png','','1.0.0',0,NULL,NULL,NULL,NULL),(64,'new-live-video','直播/点播播放器','../assets/icon/41.png','','1.0.0',0,NULL,NULL,NULL,NULL),(65,'new-carousel','轮播图','../assets/icon/42.gif','','1.0.0',0,NULL,NULL,NULL,NULL),(66,'new-three','3D加载模型','../assets/icon/49.gif','','1.0.0',0,NULL,NULL,NULL,NULL),(67,'new-oval','环绕','../assets/icon/39.png','','1.0.0',0,NULL,NULL,NULL,NULL),(68,'new-weather','天气组件','../assets/icon/39.png','','1.0.0',0,NULL,NULL,NULL,NULL),(69,'new-filter-tile','平铺筛选','../assets/icon/43.png','','1.0.0',0,NULL,NULL,NULL,NULL),(70,'new-filter-link','树形筛选','../assets/icon/43.png','','1.0.0',0,NULL,NULL,NULL,NULL),(71,'new-filter2','输入框','../assets/icon/33.png','','1.0.0',0,NULL,NULL,NULL,NULL),(72,'new-filter-list','筛选列表','../assets/icon/43.png','','1.0.0',0,NULL,NULL,NULL,NULL),(73,'new-history','历史查询','../assets/icon/43.png','','1.0.0',0,NULL,NULL,NULL,NULL),(74,'new-swipe','动态TAB','../assets/icon/44.png','','1.0.0',0,NULL,NULL,NULL,NULL),(75,'new-swipe-tab','新动态TAB','../assets/icon/44.png','','1.0.0',0,NULL,NULL,NULL,NULL),(76,'new-timeline','时间轴','../assets/icon/45.png','','1.0.0',0,NULL,NULL,NULL,NULL),(77,'new-universalBtn','万能按钮','../assets/icon/46.png','','1.0.0',0,NULL,NULL,NULL,NULL),(78,'new-iframe','iframe网页','@/assets/icon/47.png','','1.0.0',0,NULL,NULL,NULL,NULL),(79,'new-outsite','网页上传','@/assets/icon/47.png','','1.0.0',0,NULL,NULL,NULL,NULL),(80,'new-code-echarts','代码图表','../assets/icon/48.png','','1.0.0',0,NULL,NULL,NULL,NULL),(81,'new-group','组','../assets/icon/49.gif','','1.0.0',0,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `mcp_visual_component_sys` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mcp_visual_component_sys_category`
--

DROP TABLE IF EXISTS `mcp_visual_component_sys_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mcp_visual_component_sys_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '分类名称',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '图标',
  `sort` int DEFAULT NULL COMMENT '排序从0开始',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='系统组件分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mcp_visual_component_sys_category`
--

LOCK TABLES `mcp_visual_component_sys_category` WRITE;
/*!40000 ALTER TABLE `mcp_visual_component_sys_category` DISABLE KEYS */;
INSERT INTO `mcp_visual_component_sys_category` VALUES (1,'常用','bi-star',0,NULL,NULL,NULL,NULL),(2,'图表','bi-bar-chart',0,NULL,NULL,NULL,NULL),(3,'地图','bi-map',0,NULL,NULL,NULL,NULL),(4,'表格','bi-table',0,NULL,NULL,NULL,NULL),(5,'指标','el-icon-stopwatch',0,NULL,NULL,NULL,NULL),(6,'装饰','el-icon-magic-stick',0,NULL,NULL,NULL,NULL),(7,'筛选','bi-funnel',0,NULL,NULL,NULL,NULL),(8,'其他','el-icon-setting',0,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `mcp_visual_component_sys_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mcp_visual_component_sys_relation`
--

DROP TABLE IF EXISTS `mcp_visual_component_sys_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mcp_visual_component_sys_relation` (
  `id` int NOT NULL AUTO_INCREMENT,
  `category_id` int DEFAULT NULL COMMENT '分类id',
  `sys_component_id` int DEFAULT NULL COMMENT '系统组件id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=94 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='系统组件分类关系表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mcp_visual_component_sys_relation`
--

LOCK TABLES `mcp_visual_component_sys_relation` WRITE;
/*!40000 ALTER TABLE `mcp_visual_component_sys_relation` DISABLE KEYS */;
INSERT INTO `mcp_visual_component_sys_relation` VALUES (2,1,2,NULL,NULL,NULL,NULL),(3,1,3,NULL,NULL,NULL,NULL),(4,1,4,NULL,NULL,NULL,NULL),(5,1,5,NULL,NULL,NULL,NULL),(6,1,6,NULL,NULL,NULL,NULL),(8,2,8,NULL,NULL,NULL,NULL),(9,2,9,NULL,NULL,NULL,NULL),(10,2,2,NULL,NULL,NULL,NULL),(11,2,10,NULL,NULL,NULL,NULL),(12,2,11,NULL,NULL,NULL,NULL),(13,2,12,NULL,NULL,NULL,NULL),(14,2,13,NULL,NULL,NULL,NULL),(15,2,14,NULL,NULL,NULL,NULL),(16,2,15,NULL,NULL,NULL,NULL),(17,2,16,NULL,NULL,NULL,NULL),(18,2,3,NULL,NULL,NULL,NULL),(19,2,17,NULL,NULL,NULL,NULL),(20,2,18,NULL,NULL,NULL,NULL),(21,2,19,NULL,NULL,NULL,NULL),(22,2,20,NULL,NULL,NULL,NULL),(23,2,21,NULL,NULL,NULL,NULL),(24,2,22,NULL,NULL,NULL,NULL),(25,2,23,NULL,NULL,NULL,NULL),(26,2,24,NULL,NULL,NULL,NULL),(27,2,25,NULL,NULL,NULL,NULL),(28,2,26,NULL,NULL,NULL,NULL),(29,2,27,NULL,NULL,NULL,NULL),(30,2,28,NULL,NULL,NULL,NULL),(31,2,29,NULL,NULL,NULL,NULL),(32,2,30,NULL,NULL,NULL,NULL),(33,2,31,NULL,NULL,NULL,NULL),(34,2,32,NULL,NULL,NULL,NULL),(35,2,33,NULL,NULL,NULL,NULL),(36,2,34,NULL,NULL,NULL,NULL),(37,3,6,NULL,NULL,NULL,NULL),(38,3,35,NULL,NULL,NULL,NULL),(39,3,36,NULL,NULL,NULL,NULL),(40,3,37,NULL,NULL,NULL,NULL),(41,3,38,NULL,NULL,NULL,NULL),(42,3,39,NULL,NULL,NULL,NULL),(43,3,40,NULL,NULL,NULL,NULL),(44,3,41,NULL,NULL,NULL,NULL),(45,3,42,NULL,NULL,NULL,NULL),(46,3,43,NULL,NULL,NULL,NULL),(48,4,44,NULL,NULL,NULL,NULL),(49,4,45,NULL,NULL,NULL,NULL),(50,4,46,NULL,NULL,NULL,NULL),(51,5,4,NULL,NULL,NULL,NULL),(52,5,47,NULL,NULL,NULL,NULL),(53,5,48,NULL,NULL,NULL,NULL),(54,5,49,NULL,NULL,NULL,NULL),(55,5,50,NULL,NULL,NULL,NULL),(56,5,51,NULL,NULL,NULL,NULL),(57,5,52,NULL,NULL,NULL,NULL),(58,5,53,NULL,NULL,NULL,NULL),(59,6,54,NULL,NULL,NULL,NULL),(60,6,55,NULL,NULL,NULL,NULL),(61,6,56,NULL,NULL,NULL,NULL),(62,6,57,NULL,NULL,NULL,NULL),(63,6,58,NULL,NULL,NULL,NULL),(64,6,59,NULL,NULL,NULL,NULL),(65,6,60,NULL,NULL,NULL,NULL),(66,6,61,NULL,NULL,NULL,NULL),(67,6,62,NULL,NULL,NULL,NULL),(68,6,63,NULL,NULL,NULL,NULL),(69,6,64,NULL,NULL,NULL,NULL),(70,6,65,NULL,NULL,NULL,NULL),(71,6,66,NULL,NULL,NULL,NULL),(72,6,67,NULL,NULL,NULL,NULL),(73,6,68,NULL,NULL,NULL,NULL),(74,7,5,NULL,NULL,NULL,NULL),(75,7,69,NULL,NULL,NULL,NULL),(76,7,70,NULL,NULL,NULL,NULL),(77,7,71,NULL,NULL,NULL,NULL),(78,7,72,NULL,NULL,NULL,NULL),(79,7,73,NULL,NULL,NULL,NULL),(80,7,74,NULL,NULL,NULL,NULL),(81,7,75,NULL,NULL,NULL,NULL),(82,8,76,NULL,NULL,NULL,NULL),(83,8,77,NULL,NULL,NULL,NULL),(84,8,78,NULL,NULL,NULL,NULL),(85,8,79,NULL,NULL,NULL,NULL),(86,8,80,NULL,NULL,NULL,NULL),(87,8,81,NULL,NULL,NULL,NULL),(88,2,7,'2024-04-16 20:20:08',1,NULL,NULL),(92,1,1,'2024-04-16 22:48:58',1,NULL,NULL),(93,4,1,'2024-04-16 22:48:58',1,NULL,NULL);
/*!40000 ALTER TABLE `mcp_visual_component_sys_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `micro_app`
--

DROP TABLE IF EXISTS `micro_app`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `micro_app` (
  `app_id` int NOT NULL AUTO_INCREMENT,
  `app_name` varchar(50) NOT NULL COMMENT '应用名称',
  `app_icon` varchar(200) DEFAULT NULL COMMENT '应用图标',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公共状态(0-否/1-是)',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `publish_status` tinyint NOT NULL DEFAULT '0' COMMENT '发布状态',
  `app_description` varchar(500) DEFAULT NULL COMMENT '应用描述',
  `menu_show_type` varchar(50) DEFAULT NULL COMMENT '菜单展现形式',
  `menu_color` varchar(20) DEFAULT NULL COMMENT '菜单颜色',
  `water_mark_text` varchar(500) DEFAULT NULL COMMENT '水印文字',
  `water_mark_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否显示水印(1-是/0-否)',
  `ext_json` text COMMENT '扩展字段',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`app_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='应用表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `micro_app`
--

LOCK TABLES `micro_app` WRITE;
/*!40000 ALTER TABLE `micro_app` DISABLE KEYS */;
/*!40000 ALTER TABLE `micro_app` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `micro_app_data_permission`
--

DROP TABLE IF EXISTS `micro_app_data_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `micro_app_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `app_id` int NOT NULL COMMENT '应用ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='微应用权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `micro_app_data_permission`
--

LOCK TABLES `micro_app_data_permission` WRITE;
/*!40000 ALTER TABLE `micro_app_data_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `micro_app_data_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `micro_app_menu`
--

DROP TABLE IF EXISTS `micro_app_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `micro_app_menu` (
  `menu_id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `app_id` int NOT NULL COMMENT '应用ID',
  `menu_name` varchar(50) NOT NULL COMMENT '菜单名称',
  `menu_icon` varchar(200) DEFAULT NULL COMMENT '菜单图标',
  `visual_id` int DEFAULT NULL COMMENT '关联显示大屏ID',
  `visual_name` varchar(100) DEFAULT NULL COMMENT '大屏名称',
  `home_page_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否首页显示(0-否/1-是)',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`menu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='应用菜单表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `micro_app_menu`
--

LOCK TABLES `micro_app_menu` WRITE;
/*!40000 ALTER TABLE `micro_app_menu` DISABLE KEYS */;
/*!40000 ALTER TABLE `micro_app_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `micro_app_role`
--

DROP TABLE IF EXISTS `micro_app_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `micro_app_role` (
  `app_role_id` int NOT NULL AUTO_INCREMENT,
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `app_id` int NOT NULL COMMENT '应用ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`app_role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='应用角色关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `micro_app_role`
--

LOCK TABLES `micro_app_role` WRITE;
/*!40000 ALTER TABLE `micro_app_role` DISABLE KEYS */;
/*!40000 ALTER TABLE `micro_app_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `micro_app_shortcut_menu`
--

DROP TABLE IF EXISTS `micro_app_shortcut_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `micro_app_shortcut_menu` (
  `id` int NOT NULL AUTO_INCREMENT,
  `menu_name` varchar(50) NOT NULL COMMENT '菜单名称',
  `menu_icon` text NOT NULL COMMENT '菜单图标',
  `menu_url` text NOT NULL COMMENT '菜单路径',
  `menu_order` int NOT NULL DEFAULT '1' COMMENT '菜单排名',
  `create_user` varchar(20) NOT NULL COMMENT '创建人名称',
  `create_user_id` bigint NOT NULL COMMENT '创建人id',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='小程序快捷菜单';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `micro_app_shortcut_menu`
--

LOCK TABLES `micro_app_shortcut_menu` WRITE;
/*!40000 ALTER TABLE `micro_app_shortcut_menu` DISABLE KEYS */;
/*!40000 ALTER TABLE `micro_app_shortcut_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `oauth_client_details`
--

DROP TABLE IF EXISTS `oauth_client_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `oauth_client_details` (
  `client_id` varchar(48) NOT NULL,
  `resource_ids` varchar(256) DEFAULT NULL,
  `client_secret` varchar(256) DEFAULT NULL,
  `scope` varchar(256) DEFAULT NULL,
  `authorized_grant_types` varchar(256) DEFAULT NULL,
  `web_server_redirect_uri` varchar(256) DEFAULT NULL,
  `authorities` varchar(256) DEFAULT NULL,
  `access_token_validity` int DEFAULT NULL,
  `refresh_token_validity` int DEFAULT NULL,
  `additional_information` varchar(4096) DEFAULT NULL,
  `autoapprove` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`client_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `oauth_client_details`
--

LOCK TABLES `oauth_client_details` WRITE;
/*!40000 ALTER TABLE `oauth_client_details` DISABLE KEYS */;
INSERT INTO `oauth_client_details` VALUES ('admin',NULL,'e10adc3949ba59abbe56e057f20f883e','all','password,refresh_token','',NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `oauth_client_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `platomix_system_file`
--

DROP TABLE IF EXISTS `platomix_system_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `platomix_system_file` (
  `id` varchar(255) NOT NULL,
  `file_name` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '文件名称',
  `file_extension` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '文件后缀名',
  `file_type` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '文件类型',
  `file_path` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '文件路径',
  `file_org_id` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '业务 id',
  `file_org_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '业务类型',
  `file_size` int DEFAULT NULL,
  `file_size_str` varchar(255) DEFAULT NULL COMMENT '文件大小',
  `create_user` varchar(255) DEFAULT NULL COMMENT '创建人',
  `create_dept` varchar(255) DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` varchar(255) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='文件上传记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `platomix_system_file`
--

LOCK TABLES `platomix_system_file` WRITE;
/*!40000 ALTER TABLE `platomix_system_file` DISABLE KEYS */;
/*!40000 ALTER TABLE `platomix_system_file` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `platomix_template`
--

DROP TABLE IF EXISTS `platomix_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `platomix_template` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `cate_id` bigint DEFAULT NULL COMMENT '分类ID',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '模板名称',
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '模板路径',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
  `create_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人',
  `create_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人ID',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '修改人',
  `update_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '修改人ID',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `trans2es` int NOT NULL DEFAULT '0' COMMENT '已经转存ES标记。0：未转存；1：已经转存；',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='模板数据表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `platomix_template`
--

LOCK TABLES `platomix_template` WRITE;
/*!40000 ALTER TABLE `platomix_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `platomix_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `platomix_template_cate`
--

DROP TABLE IF EXISTS `platomix_template_cate`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `platomix_template_cate` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '分类名称',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
  `create_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人',
  `create_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人ID',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '修改人',
  `update_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '修改人ID',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='模板类型数据表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `platomix_template_cate`
--

LOCK TABLES `platomix_template_cate` WRITE;
/*!40000 ALTER TABLE `platomix_template_cate` DISABLE KEYS */;
/*!40000 ALTER TABLE `platomix_template_cate` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_sub_category`
--

DROP TABLE IF EXISTS `product_sub_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `product_sub_category` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `large_type` varchar(200) DEFAULT NULL COMMENT '产品大类名称',
  `small_type` varchar(200) DEFAULT NULL COMMENT '产品小类名称',
  `cpid` varchar(50) DEFAULT NULL COMMENT 'CPID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_sub_category`
--

LOCK TABLES `product_sub_category` WRITE;
/*!40000 ALTER TABLE `product_sub_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_sub_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `profile_analysis_book`
--

DROP TABLE IF EXISTS `profile_analysis_book`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `profile_analysis_book` (
  `id` int NOT NULL AUTO_INCREMENT,
  `event_type` tinyint NOT NULL COMMENT '事件类型(1-事件分析/2-留存分析/3-漏斗分析/4-分布分析)',
  `aly_name` varchar(100) NOT NULL COMMENT '分析名称',
  `aly_desc` varchar(1000) DEFAULT NULL COMMENT '分析说明',
  `content` longtext NOT NULL COMMENT 'json字符串',
  `share_status` tinyint NOT NULL COMMENT '共享状态(0-独享 1-共享)',
  `default_status` tinyint NOT NULL COMMENT '是否默认(0-否 1-是)',
  `create_user_id` bigint NOT NULL,
  `create_by` varchar(100) NOT NULL COMMENT '创建人',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_by` varchar(100) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='用户画像-行为分析-标签';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `profile_analysis_book`
--

LOCK TABLES `profile_analysis_book` WRITE;
/*!40000 ALTER TABLE `profile_analysis_book` DISABLE KEYS */;
/*!40000 ALTER TABLE `profile_analysis_book` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `profile_event`
--

DROP TABLE IF EXISTS `profile_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `profile_event` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(50) DEFAULT NULL COMMENT '事件名',
  `code` varchar(50) DEFAULT NULL COMMENT '事件code',
  `platform` varchar(50) DEFAULT NULL COMMENT '可埋点平台',
  `desc_message` varchar(50) DEFAULT NULL COMMENT '事件描述',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='事件表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `profile_event`
--

LOCK TABLES `profile_event` WRITE;
/*!40000 ALTER TABLE `profile_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `profile_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `profile_event_prop_map`
--

DROP TABLE IF EXISTS `profile_event_prop_map`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `profile_event_prop_map` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `event_id` bigint DEFAULT NULL COMMENT '事件ID',
  `prop_id` bigint DEFAULT NULL COMMENT '属性ID',
  `prop_position` varchar(255) DEFAULT NULL COMMENT '事件属性位置',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='事件属性关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `profile_event_prop_map`
--

LOCK TABLES `profile_event_prop_map` WRITE;
/*!40000 ALTER TABLE `profile_event_prop_map` DISABLE KEYS */;
/*!40000 ALTER TABLE `profile_event_prop_map` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `profile_project`
--

DROP TABLE IF EXISTS `profile_project`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `profile_project` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(50) DEFAULT NULL COMMENT '项目名',
  `proj_code` varchar(500) DEFAULT NULL COMMENT '项目编码',
  `ptype_code` varchar(500) DEFAULT NULL COMMENT '项目类型编码',
  `platform` varchar(50) DEFAULT NULL COMMENT '平台',
  `desc_message` varchar(50) DEFAULT NULL COMMENT '项目描述',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='项目表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `profile_project`
--

LOCK TABLES `profile_project` WRITE;
/*!40000 ALTER TABLE `profile_project` DISABLE KEYS */;
/*!40000 ALTER TABLE `profile_project` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `profile_project_event_map`
--

DROP TABLE IF EXISTS `profile_project_event_map`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `profile_project_event_map` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `project_id` bigint DEFAULT NULL COMMENT '项目id',
  `event_id` bigint DEFAULT NULL COMMENT '事件id',
  `level` int DEFAULT NULL COMMENT '无等级 0  其他等级 1-5级',
  `sort` bigint DEFAULT NULL COMMENT '排序',
  `prop_id_json` json DEFAULT NULL COMMENT '属性ID_JSON',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='项目事件关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `profile_project_event_map`
--

LOCK TABLES `profile_project_event_map` WRITE;
/*!40000 ALTER TABLE `profile_project_event_map` DISABLE KEYS */;
/*!40000 ALTER TABLE `profile_project_event_map` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `profile_prop`
--

DROP TABLE IF EXISTS `profile_prop`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `profile_prop` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `name` varchar(50) DEFAULT NULL COMMENT '属性名',
  `code` varchar(50) DEFAULT NULL COMMENT '属性code',
  `type` int DEFAULT NULL COMMENT '属性类别  事件属性1 用户属性0',
  `datatype` int DEFAULT NULL COMMENT '数据类型 0 数字\n1 字符串\n2 布尔\n3 时间\n',
  `is_preset` int DEFAULT NULL COMMENT '是否预置  0 否 1 是',
  `is_common` int DEFAULT NULL COMMENT '是否公共属性 0 否 1 是',
  `desc_message` varchar(50) DEFAULT NULL COMMENT '属性描述',
  `options` text COMMENT '属性可选值json',
  `distributions` text COMMENT '属性预置区间json',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `dic_table` varchar(50) DEFAULT NULL COMMENT '关联的字典表',
  `join_field` varchar(50) DEFAULT NULL COMMENT 'join的字段名称',
  `target_field` varchar(50) DEFAULT NULL COMMENT '要查询的字段名称',
  `order_field` varchar(255) DEFAULT NULL COMMENT '字典表的排序字段',
  `hidden_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否隐藏(1-是/0-否)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='属性表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `profile_prop`
--

LOCK TABLES `profile_prop` WRITE;
/*!40000 ALTER TABLE `profile_prop` DISABLE KEYS */;
/*!40000 ALTER TABLE `profile_prop` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_config`
--

DROP TABLE IF EXISTS `report_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_config` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `user_id` bigint DEFAULT NULL COMMENT '用户id',
  `report_id` bigint DEFAULT NULL COMMENT '报表id',
  `report_name` varchar(50) DEFAULT NULL COMMENT '报表名称',
  `config_type` int DEFAULT NULL COMMENT '配置类型 1-列维度 2-行维度 3-指标',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_config`
--

LOCK TABLES `report_config` WRITE;
/*!40000 ALTER TABLE `report_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_config_detail`
--

DROP TABLE IF EXISTS `report_config_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_config_detail` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `report_config_id` int DEFAULT NULL COMMENT '配置id',
  `report_dimension_id` int DEFAULT NULL COMMENT '维度id',
  `sort_order` int DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_config_detail`
--

LOCK TABLES `report_config_detail` WRITE;
/*!40000 ALTER TABLE `report_config_detail` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_config_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_datasource`
--

DROP TABLE IF EXISTS `report_datasource`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_datasource` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `ds_ip` varchar(50) DEFAULT NULL COMMENT 'ip地址',
  `ds_port` int DEFAULT NULL COMMENT '端口',
  `ds_db` varchar(50) DEFAULT NULL COMMENT '数据库名/SID',
  `url` varchar(300) DEFAULT NULL COMMENT '连接url',
  `pool_name` varchar(50) NOT NULL COMMENT '连接名称',
  `driver_class_name` varchar(50) DEFAULT NULL COMMENT 'driverClassName',
  `ds_user` varchar(50) DEFAULT NULL COMMENT '用户名',
  `ds_password` varchar(50) DEFAULT NULL COMMENT '密码',
  `ds_type` int DEFAULT NULL COMMENT '数据源类型 0-mysql 1-oracle 2-sqlserver 3-postgresql 4-clickhouse',
  `is_deleted` int DEFAULT '0',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  `responsible_person_id` bigint DEFAULT NULL COMMENT '责任人ID',
  `responsible_person_name` varchar(50) DEFAULT NULL COMMENT '责任人姓名',
  `db_schema` varchar(255) DEFAULT NULL COMMENT '模式',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_edit` int DEFAULT '1' COMMENT '是否你能够编辑 0：不可以，1：可以',
  `custom_connect_properties` text,
  `jdbc_driver_jar_paths` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `pool_name` (`pool_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_datasource`
--

LOCK TABLES `report_datasource` WRITE;
/*!40000 ALTER TABLE `report_datasource` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_datasource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_datasource_perm`
--

DROP TABLE IF EXISTS `report_datasource_perm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_datasource_perm` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源ID',
  `view_type` int DEFAULT NULL COMMENT '0 全部可见 1 部门可见',
  `dept_ids` varchar(500) DEFAULT NULL COMMENT '部门ids',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `datasource_id` (`datasource_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据源权限设置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_datasource_perm`
--

LOCK TABLES `report_datasource_perm` WRITE;
/*!40000 ALTER TABLE `report_datasource_perm` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_datasource_perm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_datasource_permission`
--

DROP TABLE IF EXISTS `report_datasource_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_datasource_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `table_names` json NOT NULL COMMENT '数据表名JSON数组',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ds_id` (`datasource_id`,`data_perm_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据源权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_datasource_permission`
--

LOCK TABLES `report_datasource_permission` WRITE;
/*!40000 ALTER TABLE `report_datasource_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_datasource_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_datasource_table_perm`
--

DROP TABLE IF EXISTS `report_datasource_table_perm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_datasource_table_perm` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `datasource_id` bigint DEFAULT NULL COMMENT '数据源Id',
  `dept_ids` varchar(200) DEFAULT NULL COMMENT '部门ids',
  `user_id` bigint DEFAULT NULL COMMENT '账号id',
  `table_view_type` int DEFAULT NULL COMMENT '0 全部可见 1 部门账号可见',
  `table_names` text COMMENT '数据源表名',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据表权限设置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_datasource_table_perm`
--

LOCK TABLES `report_datasource_table_perm` WRITE;
/*!40000 ALTER TABLE `report_datasource_table_perm` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_datasource_table_perm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_dimension`
--

DROP TABLE IF EXISTS `report_dimension`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_dimension` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `dimension_comments` varchar(200) DEFAULT NULL COMMENT '维度名称',
  `dimension_name` varchar(50) DEFAULT NULL COMMENT '维度字段',
  `dimension_title` varchar(50) DEFAULT NULL COMMENT '显示名称',
  `table_view_name` varchar(50) DEFAULT NULL COMMENT '表视图名称',
  `sql_text` varchar(300) DEFAULT NULL COMMENT 'sql信息',
  `data` varchar(300) DEFAULT NULL COMMENT '附加信息',
  `dimension_type` int DEFAULT '0' COMMENT '0-维度 1-指标',
  `format_type` int DEFAULT NULL COMMENT '格式化类型',
  `datasource_id` int DEFAULT NULL COMMENT '数据源id',
  `having_text` varchar(200) DEFAULT NULL COMMENT 'having信息',
  `order_index` int DEFAULT '0' COMMENT '排序',
  `is_deleted` int DEFAULT '0' COMMENT '是否删除',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_dimension`
--

LOCK TABLES `report_dimension` WRITE;
/*!40000 ALTER TABLE `report_dimension` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_dimension` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_index_category`
--

DROP TABLE IF EXISTS `report_index_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_index_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `order_index` int DEFAULT '0' COMMENT '排序值，从小到大排',
  `category_name` varchar(50) NOT NULL COMMENT '指标分类名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_index_category`
--

LOCK TABLES `report_index_category` WRITE;
/*!40000 ALTER TABLE `report_index_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_index_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_index_info`
--

DROP TABLE IF EXISTS `report_index_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_index_info` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `category_id` int DEFAULT NULL COMMENT '分类id',
  `order_index` int DEFAULT '0' COMMENT '排序值，从小到大排',
  `table_name` varchar(50) DEFAULT NULL COMMENT '表名',
  `table_comment` varchar(50) DEFAULT NULL COMMENT '表注释',
  `data` text COMMENT '指标数据',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_index_info`
--

LOCK TABLES `report_index_info` WRITE;
/*!40000 ALTER TABLE `report_index_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_index_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_role`
--

DROP TABLE IF EXISTS `report_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_role` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键自增',
  `report_id` int NOT NULL DEFAULT '0' COMMENT '报表id',
  `role_id` bigint DEFAULT NULL COMMENT '角色id',
  `type` int DEFAULT '0' COMMENT '权限类型 1-查看 2-编辑',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_role`
--

LOCK TABLES `report_role` WRITE;
/*!40000 ALTER TABLE `report_role` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_table_category`
--

DROP TABLE IF EXISTS `report_table_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_table_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `order_index` int DEFAULT '0' COMMENT '排序值，从小到大排',
  `datasource_id` int DEFAULT '0' COMMENT '数据源id',
  `category_name` varchar(50) NOT NULL COMMENT '指标分类名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_table_category`
--

LOCK TABLES `report_table_category` WRITE;
/*!40000 ALTER TABLE `report_table_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_table_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_table_category_relation`
--

DROP TABLE IF EXISTS `report_table_category_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `report_table_category_relation` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键 自增',
  `order_index` int NOT NULL DEFAULT '0' COMMENT '排序值，从小到大排',
  `category_id` int NOT NULL DEFAULT '0' COMMENT '分类id',
  `table_view_name` varchar(50) NOT NULL COMMENT '视图表名称',
  `table_comments` varchar(50) NOT NULL COMMENT '表中文名',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_table_category_relation`
--

LOCK TABLES `report_table_category_relation` WRITE;
/*!40000 ALTER TABLE `report_table_category_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_table_category_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sql_backup_record`
--

DROP TABLE IF EXISTS `sql_backup_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sql_backup_record` (
  `id` int NOT NULL AUTO_INCREMENT,
  `file_name` varchar(50) NOT NULL COMMENT '文件名称',
  `file_path` varchar(100) NOT NULL COMMENT '文件备份位置',
  `file_size` bigint DEFAULT NULL COMMENT '文件大小',
  `backup_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '备份时间',
  `data_source` int NOT NULL DEFAULT '0' COMMENT '文件来源',
  `remarks` varchar(500) DEFAULT '手动备份' COMMENT '备注',
  `tenant_id` varchar(10) DEFAULT NULL COMMENT '租户id',
  `restore_status` int DEFAULT '0' COMMENT '恢复状态',
  `restore_time` datetime DEFAULT NULL COMMENT '恢复时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='sql备份上传记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sql_backup_record`
--

LOCK TABLES `sql_backup_record` WRITE;
/*!40000 ALTER TABLE `sql_backup_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_backup_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sql_job`
--

DROP TABLE IF EXISTS `sql_job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sql_job` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `category_id` int NOT NULL COMMENT '分类ID',
  `job_name` varchar(100) NOT NULL COMMENT '任务名称',
  `job_desc` varchar(500) DEFAULT NULL COMMENT '任务描述',
  `job_status` tinyint NOT NULL COMMENT '上线状态',
  `trigger_status` tinyint NOT NULL DEFAULT '0' COMMENT '调度状态',
  `job_cron` varchar(100) DEFAULT NULL COMMENT 'xxljob的任务Cron',
  `xxl_job_id` int DEFAULT NULL COMMENT 'xxljob的任务ID',
  `ds_id` int NOT NULL COMMENT '数据源ID',
  `ds_type` tinyint DEFAULT NULL COMMENT '数据源类型',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '公开状态(0-不公开/1-公开)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_user_id` bigint DEFAULT NULL COMMENT '更新人ID',
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sql_job`
--

LOCK TABLES `sql_job` WRITE;
/*!40000 ALTER TABLE `sql_job` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_job` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sql_job_category`
--

DROP TABLE IF EXISTS `sql_job_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sql_job_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `cate_name` varchar(50) NOT NULL COMMENT '分类名称',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sql_job_category`
--

LOCK TABLES `sql_job_category` WRITE;
/*!40000 ALTER TABLE `sql_job_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_job_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sql_job_instance`
--

DROP TABLE IF EXISTS `sql_job_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sql_job_instance` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `job_script_id` int NOT NULL COMMENT '任务脚本ID',
  `start_time` datetime DEFAULT NULL COMMENT '作业开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '作业结束时间',
  `instance_run_type` tinyint NOT NULL COMMENT '作业运行类型(手动 自动)',
  `instance_status` tinyint NOT NULL COMMENT '作业状态',
  `err_msg` longtext COMMENT '错误描述',
  `create_time` datetime NOT NULL COMMENT '任务创建时间',
  `job_script_sort_num` int NOT NULL DEFAULT '0' COMMENT '任务脚本执行顺序号',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `instance_status` (`instance_status`),
  KEY `job_id` (`job_id`)
) ENGINE=InnoDB AUTO_INCREMENT=226 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务实例';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sql_job_instance`
--

LOCK TABLES `sql_job_instance` WRITE;
/*!40000 ALTER TABLE `sql_job_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_job_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sql_job_permission`
--

DROP TABLE IF EXISTS `sql_job_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sql_job_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sql_job_permission`
--

LOCK TABLES `sql_job_permission` WRITE;
/*!40000 ALTER TABLE `sql_job_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_job_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sql_job_script`
--

DROP TABLE IF EXISTS `sql_job_script`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sql_job_script` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `job_id` int NOT NULL COMMENT '任务ID',
  `sql_script` text NOT NULL COMMENT 'SQL脚本内容',
  `sql_script_name` varchar(200) DEFAULT NULL COMMENT 'SQL脚本名称',
  `sql_script_comment` varchar(500) DEFAULT NULL COMMENT 'SQL脚本注释说明',
  `sql_script_type` tinyint DEFAULT NULL COMMENT 'SQL脚本类型',
  `sql_sort_num` int NOT NULL COMMENT 'SQL脚本执行顺序',
  `create_time` datetime NOT NULL COMMENT '任务创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `job_id` (`job_id`)
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='SQL任务脚本';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sql_job_script`
--

LOCK TABLES `sql_job_script` WRITE;
/*!40000 ALTER TABLE `sql_job_script` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_job_script` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_package`
--

DROP TABLE IF EXISTS `sys_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_package` (
  `id` int NOT NULL AUTO_INCREMENT,
  `package_name` varchar(100) NOT NULL COMMENT '套餐名称',
  `remark` varchar(500) DEFAULT NULL COMMENT '套餐说明',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='套餐表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_package`
--

LOCK TABLES `sys_package` WRITE;
/*!40000 ALTER TABLE `sys_package` DISABLE KEYS */;
INSERT INTO `sys_package` VALUES (1,'默认套餐','','2024-03-07 00:57:03',1,0);
/*!40000 ALTER TABLE `sys_package` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_package_menu`
--

DROP TABLE IF EXISTS `sys_package_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_package_menu` (
  `id` int NOT NULL AUTO_INCREMENT,
  `package_id` int NOT NULL COMMENT '套餐ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`id`),
  KEY `package_id` (`package_id`,`menu_id`)
) ENGINE=InnoDB AUTO_INCREMENT=209 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='套餐菜单关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_package_menu`
--

LOCK TABLES `sys_package_menu` WRITE;
/*!40000 ALTER TABLE `sys_package_menu` DISABLE KEYS */;
INSERT INTO `sys_package_menu` VALUES (1,1,1123598815738675203),(2,1,1123598815738675204),(9,1,1123598815738675205),(14,1,1123598815738675207),(19,1,1123598815738675209),(27,1,1123598815738675213),(28,1,1123598815738675214),(30,1,1123598815738675215),(32,1,1123598815738675216),(3,1,1123598815738675223),(4,1,1123598815738675224),(5,1,1123598815738675225),(6,1,1123598815738675226),(7,1,1123598815738675227),(8,1,1123598815738675228),(10,1,1123598815738675229),(11,1,1123598815738675230),(12,1,1123598815738675231),(13,1,1123598815738675232),(15,1,1123598815738675237),(16,1,1123598815738675238),(17,1,1123598815738675239),(18,1,1123598815738675240),(36,1,1123598815738675241),(37,1,1123598815738675242),(38,1,1123598815738675243),(39,1,1123598815738675244),(29,1,1123598815738675249),(31,1,1123598815738675250),(33,1,1123598815738675251),(34,1,1123598815738675307),(35,1,1123598815738675308),(57,1,1161272593873321991),(58,1,1161272593873321992),(59,1,1161272593873321993),(60,1,1161272593873321994),(61,1,1161272593873321995),(20,1,1164733389658962251),(21,1,1164733389658962252),(22,1,1164733389658962253),(23,1,1164733389658962254),(24,1,1164733389658962255),(25,1,1164733389658962256),(41,1,1164733389668962251),(42,1,1164733389668962252),(43,1,1164733389668962253),(44,1,1164733389668962254),(45,1,1164733389668962255),(62,1,1367669015094308865),(63,1,1467678087986257921),(77,1,1467681760623697921),(78,1,1501471635629920258),(50,1,1506104732795191298),(51,1,1506105715373817857),(52,1,1506105897238839297),(40,1,1544607807797161986),(64,1,1554418372912480258),(65,1,1557612821155127297),(46,1,1582611460944187394),(53,1,1584570735518212097),(79,1,1584973052717547522),(80,1,1585953641910206466),(81,1,1585953975894245377),(83,1,1587363154609532930),(26,1,1589512651703767042),(82,1,1597077352725745666),(54,1,1600405207606059010),(84,1,1607568290728321026),(55,1,1607615579387797505),(87,1,1619156606935465985),(76,1,1619159462254051330),(85,1,1619214858069966849),(86,1,1619215151222456321),(66,1,1619215847942488065),(56,1,1624402915081576449),(69,1,1627854531784859649),(47,1,1630116849440702466),(48,1,1630117165196296193),(49,1,1642125129009422337),(67,1,1689465690065170434),(68,1,1689466226315325441),(70,1,1714193048967127041),(71,1,1714193193972604929),(72,1,1714193309215301633),(73,1,1734067670720049153),(74,1,1734067994608398338),(75,1,1734068192759902209),(206,2,1123598815738675203),(145,2,1123598815738675204),(152,2,1123598815738675209),(160,2,1123598815738675213),(161,2,1123598815738675214),(163,2,1123598815738675215),(165,2,1123598815738675216),(146,2,1123598815738675223),(147,2,1123598815738675224),(148,2,1123598815738675225),(149,2,1123598815738675226),(150,2,1123598815738675227),(151,2,1123598815738675228),(162,2,1123598815738675249),(164,2,1123598815738675250),(166,2,1123598815738675251),(207,2,1123598815738675307),(179,2,1161272593873321991),(180,2,1161272593873321992),(181,2,1161272593873321993),(182,2,1161272593873321994),(183,2,1161272593873321995),(153,2,1164733389658962251),(154,2,1164733389658962252),(155,2,1164733389658962253),(156,2,1164733389658962254),(157,2,1164733389658962255),(158,2,1164733389658962256),(184,2,1367669015094308865),(185,2,1467678087986257921),(196,2,1467681760623697921),(197,2,1501471635629920258),(172,2,1506104732795191298),(173,2,1506105715373817857),(174,2,1506105897238839297),(167,2,1544607807797161986),(186,2,1554418372912480258),(187,2,1557612821155127297),(168,2,1582611460944187394),(175,2,1584570735518212097),(198,2,1584973052717547522),(199,2,1585953641910206466),(200,2,1585953975894245377),(202,2,1587363154609532930),(159,2,1589512651703767042),(201,2,1597077352725745666),(176,2,1600405207606059010),(203,2,1607568290728321026),(177,2,1607615579387797505),(208,2,1619156606935465985),(195,2,1619159462254051330),(204,2,1619214858069966849),(205,2,1619215151222456321),(188,2,1619215847942488065),(178,2,1624402915081576449),(191,2,1627854531784859649),(169,2,1630116849440702466),(170,2,1630117165196296193),(171,2,1642125129009422337),(189,2,1689465690065170434),(190,2,1689466226315325441),(192,2,1714193048967127041),(193,2,1714193193972604929),(194,2,1714193309215301633);
/*!40000 ALTER TABLE `sys_package_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_tenant`
--

DROP TABLE IF EXISTS `sys_tenant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_tenant` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户ID',
  `tenant_name` varchar(50) NOT NULL COMMENT '租户名称',
  `domain` varchar(255) DEFAULT NULL COMMENT '域名地址',
  `background_url` varchar(1000) DEFAULT NULL COMMENT '系统背景',
  `linkman` varchar(20) DEFAULT NULL COMMENT '联系人',
  `contact_number` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `address` varchar(255) DEFAULT NULL COMMENT '联系地址',
  `account_number` int DEFAULT '-1' COMMENT '账号额度',
  `expire_time` datetime DEFAULT NULL COMMENT '过期时间',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `status` int DEFAULT NULL COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `client_manager` varchar(100) DEFAULT NULL COMMENT '客户经理',
  `package_id` varchar(1000) DEFAULT NULL COMMENT '套餐ID',
  `admin_id` bigint NOT NULL COMMENT '管理员id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1808434151314632707 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='租户信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_tenant`
--

LOCK TABLES `sys_tenant` WRITE;
/*!40000 ALTER TABLE `sys_tenant` DISABLE KEYS */;
INSERT INTO `sys_tenant` VALUES (1123598820738675201,'000000','管理组',NULL,NULL,'admin','666666','管理组',-1,'2024-07-06 00:00:00',1123598821738675201,1123598813738675201,'2019-01-01 00:00:39',1123598821738675201,'2023-07-20 14:12:33',1,0,'admin','2',1123598821738675201);
/*!40000 ALTER TABLE `sys_tenant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_tenant_package`
--

DROP TABLE IF EXISTS `sys_tenant_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_tenant_package` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(12) NOT NULL COMMENT '租户ID',
  `package_id` int NOT NULL COMMENT '套餐ID',
  PRIMARY KEY (`id`),
  KEY `package_id` (`package_id`,`tenant_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='租户套餐关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_tenant_package`
--

LOCK TABLES `sys_tenant_package` WRITE;
/*!40000 ALTER TABLE `sys_tenant_package` DISABLE KEYS */;
INSERT INTO `sys_tenant_package` VALUES (1,'000000',1);
/*!40000 ALTER TABLE `sys_tenant_package` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tag_record`
--

DROP TABLE IF EXISTS `tag_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tag_record` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `remote_name` varchar(50) DEFAULT NULL COMMENT '操作人姓名',
  `remote_account` varchar(50) DEFAULT NULL COMMENT '操作账号',
  `tag_user_id` bigint DEFAULT NULL COMMENT '标识账号id',
  `remark` varchar(50) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tag_record`
--

LOCK TABLES `tag_record` WRITE;
/*!40000 ALTER TABLE `tag_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `tag_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `third_bind_count_record`
--

DROP TABLE IF EXISTS `third_bind_count_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `third_bind_count_record` (
  `id` int NOT NULL AUTO_INCREMENT,
  `wechat_open_id` varchar(64) DEFAULT NULL COMMENT '微信openId',
  `qy_wechat_code` varchar(64) DEFAULT NULL COMMENT '企业微信code',
  `ding_open_id` varchar(64) DEFAULT NULL COMMENT '钉钉openId',
  `fei_shu_open_id` varchar(64) DEFAULT NULL COMMENT '飞书openId',
  `micro_app_openId` varchar(64) DEFAULT NULL COMMENT '小程序openId',
  `micro_app_unionid` varchar(64) DEFAULT NULL COMMENT '小程序unionid',
  `micro_app_phone` varchar(11) DEFAULT NULL COMMENT '小程序绑定的手机号',
  `user_id` bigint NOT NULL COMMENT '绑定人员id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户 id',
  `public_account_open_id` varchar(50) DEFAULT NULL COMMENT '公众号openid',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='三方登录绑定账号记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `third_bind_count_record`
--

LOCK TABLES `third_bind_count_record` WRITE;
/*!40000 ALTER TABLE `third_bind_count_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `third_bind_count_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `third_login_conf`
--

DROP TABLE IF EXISTS `third_login_conf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `third_login_conf` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tenant_id` varchar(20) DEFAULT NULL COMMENT '租户id',
  `login_conf` text NOT NULL COMMENT '登录配置',
  `login_type` varchar(20) NOT NULL COMMENT '三方登录类型',
  `status` int NOT NULL DEFAULT '1' COMMENT '配置是否可用(0：不可用，1: 可用)',
  `create_user` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人id',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `name` varchar(50) DEFAULT NULL COMMENT '配置名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=139 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='三方登录配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `third_login_conf`
--

LOCK TABLES `third_login_conf` WRITE;
/*!40000 ALTER TABLE `third_login_conf` DISABLE KEYS */;
INSERT INTO `third_login_conf` VALUES (5,'111111','{\"clientId\":\"公众号 key\",\"clientSecret\":\" 公众号 Secret\"}','publicAccount',1,'管理员',1123598821738675201,'2023-07-18 16:32:31','2023-09-15 15:01:00','BI公众号'),(8,'111111','{\"apiKey\":\"apiKey\",\"secretKey\":\"secretKey\",\"accUrl\":\"accUrl\",\"groupId\":\"groupId\"}','face',1,'管理员',1123598821738675201,'2023-08-04 15:59:34','2023-09-15 15:01:26','百度人脸识别配置');
/*!40000 ALTER TABLE `third_login_conf` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `upgrade_project`
--

DROP TABLE IF EXISTS `upgrade_project`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `upgrade_project` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_model` varchar(20) DEFAULT NULL COMMENT '后端项目模块（gmetry-xxljob/gmetry-bi/gmetry-system/gmetry-lowcode/gmetry-pdf）',
  `project_type` int NOT NULL COMMENT '项目类型（0：前端，1：后端）',
  `env_name` varchar(20) DEFAULT NULL COMMENT '.env文件需要修改的模块名称（bi_version/pdf_version/xxljob_version/system_version/lowcode_version）',
  `project_version` varchar(20) DEFAULT NULL COMMENT '项目版本号，修改.env文件需要用到',
  `upgrade_log` text NOT NULL COMMENT '升级日志',
  `result_msg` text COMMENT '部署服务器返回的信息',
  `upgrade_result` int NOT NULL DEFAULT '0' COMMENT '升级结果 0：成功，1：失败',
  `operation_user_id` bigint NOT NULL COMMENT '操作人员id',
  `operation_user_name` varchar(50) DEFAULT NULL COMMENT '操作人员名称',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `old_version` varchar(20) DEFAULT NULL COMMENT '项目旧的版本号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='项目升级日志记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `upgrade_project`
--

LOCK TABLES `upgrade_project` WRITE;
/*!40000 ALTER TABLE `upgrade_project` DISABLE KEYS */;
/*!40000 ALTER TABLE `upgrade_project` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `upgrade_project_sql`
--

DROP TABLE IF EXISTS `upgrade_project_sql`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `upgrade_project_sql` (
  `id` int NOT NULL AUTO_INCREMENT,
  `database_name` varchar(20) DEFAULT NULL COMMENT '修改的数据库名称',
  `upgrade_log` text NOT NULL COMMENT '升级日志',
  `result_msg` text COMMENT '部署服务器返回的信息',
  `upgrade_result` int NOT NULL DEFAULT '0' COMMENT '升级结果 1：成功，0：失败',
  `operation_user_id` bigint NOT NULL COMMENT '操作人员id',
  `operation_user_name` varchar(50) DEFAULT NULL COMMENT '操作人员名称',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='mysql修改日志记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `upgrade_project_sql`
--

LOCK TABLES `upgrade_project_sql` WRITE;
/*!40000 ALTER TABLE `upgrade_project_sql` DISABLE KEYS */;
/*!40000 ALTER TABLE `upgrade_project_sql` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_click_menu_record`
--

DROP TABLE IF EXISTS `user_click_menu_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_click_menu_record` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `menu_id` bigint NOT NULL COMMENT '菜单id',
  `click_num` int NOT NULL DEFAULT '1' COMMENT '菜单点击量',
  `click_user_id` bigint DEFAULT '0' COMMENT '菜单点击人',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`),
  KEY `click_user_id` (`click_user_id`) USING BTREE,
  KEY `menu_id` (`menu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='人员点击菜单记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_click_menu_record`
--

LOCK TABLES `user_click_menu_record` WRITE;
/*!40000 ALTER TABLE `user_click_menu_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_click_menu_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_classify`
--

DROP TABLE IF EXISTS `visual_classify`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_classify` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父分类id',
  `classify_type` int DEFAULT NULL COMMENT '分类类型 1 pc端 2 移动端',
  `category_key` varchar(500) DEFAULT NULL COMMENT '分类键值',
  `category_value` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `is_deleted` int NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_classify`
--

LOCK TABLES `visual_classify` WRITE;
/*!40000 ALTER TABLE `visual_classify` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_classify` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_classify_favourite`
--

DROP TABLE IF EXISTS `visual_classify_favourite`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_classify_favourite` (
  `id` int NOT NULL AUTO_INCREMENT,
  `classify_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的收藏-分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_classify_favourite`
--

LOCK TABLES `visual_classify_favourite` WRITE;
/*!40000 ALTER TABLE `visual_classify_favourite` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_classify_favourite` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_component`
--

DROP TABLE IF EXISTS `visual_component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_component` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT '组件名称',
  `title` varchar(255) DEFAULT NULL COMMENT '图层名称',
  `visual_id` int DEFAULT NULL COMMENT '可视化主键ID',
  `datasource_id` int DEFAULT '0' COMMENT '数据源ID',
  `cube_data_id` int DEFAULT NULL COMMENT '数据集ID',
  `content` longtext COMMENT '组件内容JSON',
  `filter_json` text COMMENT '查询条件JSON',
  `filter_relation_json` text COMMENT '查询条件关系JSON',
  `column_json` longtext COMMENT '字段JSON',
  `sort_json` text COMMENT '排序JSON',
  `ext_json` longtext COMMENT '额外JSON',
  `query_sql` text COMMENT '组装好的查询SQL',
  `column_id_list` json DEFAULT NULL COMMENT '字段ID列表JSON',
  `limit_val` int DEFAULT '0' COMMENT '显示条数',
  `use_type` tinyint DEFAULT '0' COMMENT '使用方式',
  `comp_type` tinyint NOT NULL DEFAULT '0' COMMENT '组件类型',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `is_mobile` int NOT NULL DEFAULT '0' COMMENT '是否为移动大屏组件',
  `static_data_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '静态数据地址',
  `whether_static` tinyint DEFAULT '0' COMMENT '是否是静态，默认0不是',
  `component_source` int DEFAULT NULL COMMENT '组件来源 0是系统组件 1是超管自定义组件',
  `component_source_id` int DEFAULT NULL COMMENT '组件来源id',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏_组件表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_component`
--

LOCK TABLES `visual_component` WRITE;
/*!40000 ALTER TABLE `visual_component` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_component` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_component_define`
--

DROP TABLE IF EXISTS `visual_component_define`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_component_define` (
  `id` int NOT NULL AUTO_INCREMENT,
  `component_name` varchar(100) NOT NULL COMMENT '组件名称',
  `image_url` varchar(100) DEFAULT NULL COMMENT '组件图标',
  `description` varchar(500) DEFAULT NULL COMMENT '组件描述',
  `component_version` varchar(50) DEFAULT NULL COMMENT '组件版本号',
  `code_text` text COMMENT '代码内容',
  `publish_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否发布(0-否[默认]/1-是)',
  `view_scope_status` tinyint NOT NULL DEFAULT '0' COMMENT '可视范围状态(0-个人[默认]/1-公开)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人',
  `update_time` datetime NOT NULL COMMENT '修改时间',
  `update_by` varchar(50) DEFAULT NULL COMMENT '修改人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义组件';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_component_define`
--

LOCK TABLES `visual_component_define` WRITE;
/*!40000 ALTER TABLE `visual_component_define` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_component_define` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_component_export`
--

DROP TABLE IF EXISTS `visual_component_export`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_component_export` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `visual_id` int NOT NULL COMMENT '大屏ID',
  `component_id` int NOT NULL COMMENT '组件ID',
  `visual_name` varchar(255) DEFAULT NULL COMMENT '大屏名称',
  `visual_category_id` int DEFAULT NULL COMMENT '大屏分类ID',
  `component_name` varchar(255) DEFAULT NULL COMMENT '组件名称',
  `operator` varchar(255) DEFAULT NULL COMMENT '操作员',
  `operator_id` bigint DEFAULT NULL COMMENT '操作员ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  `export_status` tinyint NOT NULL DEFAULT '0' COMMENT '任务状态（0-进行中；1-成功；2-失败）',
  `file_name` varchar(300) DEFAULT NULL COMMENT '文件名',
  `ext` text COMMENT '扩展字段，比如存储错误信息',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='清单组件数据导出任务';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_component_export`
--

LOCK TABLES `visual_component_export` WRITE;
/*!40000 ALTER TABLE `visual_component_export` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_component_export` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_component_history_record`
--

DROP TABLE IF EXISTS `visual_component_history_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_component_history_record` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visual_id` int DEFAULT NULL COMMENT '大屏id',
  `setting_info` text NOT NULL COMMENT '查询条件',
  `setting_info_md5` varchar(32) DEFAULT NULL COMMENT '查询条件MD5加密',
  `component_key` varchar(64) DEFAULT NULL COMMENT '组件key',
  `operation_user_id` bigint NOT NULL COMMENT '操作人员id',
  `operation_user_name` varchar(50) DEFAULT NULL COMMENT '操作人员名称',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='组件查询历史记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_component_history_record`
--

LOCK TABLES `visual_component_history_record` WRITE;
/*!40000 ALTER TABLE `visual_component_history_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_component_history_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_component_template`
--

DROP TABLE IF EXISTS `visual_component_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_component_template` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '模板名字',
  `category` int DEFAULT NULL COMMENT '模板分类',
  `mcp_category` int DEFAULT NULL COMMENT '中台模板分类',
  `review_status` int DEFAULT '0' COMMENT '0未发起审核，1审核中，2审核通过 3审核未通过',
  `status` int DEFAULT '0' COMMENT '状态',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `component_id` int DEFAULT NULL COMMENT '大屏ID',
  `preview_url` varchar(255) DEFAULT NULL COMMENT '预览图片地址',
  `disable_reason` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '禁用原因',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_component_id` (`component_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏组件模板表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_component_template`
--

LOCK TABLES `visual_component_template` WRITE;
/*!40000 ALTER TABLE `visual_component_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_component_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_component_template_category`
--

DROP TABLE IF EXISTS `visual_component_template_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_component_template_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '分类名字',
  `parent_id` int DEFAULT '0' COMMENT 'parent_id',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏组件模板分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_component_template_category`
--

LOCK TABLES `visual_component_template_category` WRITE;
/*!40000 ALTER TABLE `visual_component_template_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_component_template_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_data`
--

DROP TABLE IF EXISTS `visual_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_data` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title` varchar(255) DEFAULT NULL COMMENT '大屏标题',
  `background_url` longtext COMMENT '大屏背景',
  `category` int DEFAULT NULL COMMENT '大屏类型',
  `history_report_id` int DEFAULT NULL COMMENT '历史报告id',
  `password` varchar(255) DEFAULT NULL COMMENT '发布密码',
  `user_str` varchar(255) DEFAULT NULL COMMENT '用户ID组',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status` int DEFAULT '1' COMMENT '状态',
  `disable_reason` varchar(255) DEFAULT '1' COMMENT '禁用原因',
  `review_status` int DEFAULT '1' COMMENT '审核状态（0未审核，1审核通过2审核未通过）',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `content` longtext COMMENT '组件内容JSON',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '大屏公开状态',
  `visual_type` tinyint NOT NULL DEFAULT '0' COMMENT '大屏类型(0-普通大屏/1-我的收藏/2-我的报告)',
  `ref_visual_id` int DEFAULT NULL COMMENT '复制大屏ID',
  `power_point_id` int DEFAULT NULL COMMENT '幻灯片ID',
  `visual_data_type` int NOT NULL DEFAULT '0' COMMENT '是否为自主报表 1：是，0：否',
  `is_mobile` int NOT NULL DEFAULT '0' COMMENT '是否为移动大屏(0:否，1:是)',
  `mobile_content` longtext COMMENT '移动组件json内容',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_edit` int DEFAULT '1' COMMENT '是否可以被编辑 0：不可以，1：可以',
  `template_id` int DEFAULT NULL COMMENT '模板id',
  PRIMARY KEY (`id`),
  KEY `category` (`category`,`order_index`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_data`
--

LOCK TABLES `visual_data` WRITE;
/*!40000 ALTER TABLE `visual_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_data_permission`
--

DROP TABLE IF EXISTS `visual_data_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_data_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `visual_classify_id` int DEFAULT NULL COMMENT '大屏分类ID',
  `visual_id` int NOT NULL COMMENT '大屏ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据大屏权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_data_permission`
--

LOCK TABLES `visual_data_permission` WRITE;
/*!40000 ALTER TABLE `visual_data_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_data_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_data_template`
--

DROP TABLE IF EXISTS `visual_data_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_data_template` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '模板名字',
  `category` int DEFAULT NULL COMMENT '模板分类',
  `mcp_category` int DEFAULT NULL COMMENT '中台模板分类',
  `review_status` int DEFAULT '0' COMMENT '0未发起审核，1审核中，2审核通过 3审核未通过',
  `status` int DEFAULT '0' COMMENT '状态',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `visual_id` int DEFAULT NULL COMMENT '大屏ID',
  `disable_reason` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '禁用原因',
  `preview_img_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '大屏预览图片地址',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_visual_id` (`visual_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏模板表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_data_template`
--

LOCK TABLES `visual_data_template` WRITE;
/*!40000 ALTER TABLE `visual_data_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_data_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_data_template_category`
--

DROP TABLE IF EXISTS `visual_data_template_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_data_template_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '分类名字',
  `parent_id` int DEFAULT '0' COMMENT 'parent_id',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏模板分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_data_template_category`
--

LOCK TABLES `visual_data_template_category` WRITE;
/*!40000 ALTER TABLE `visual_data_template_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_data_template_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_enum`
--

DROP TABLE IF EXISTS `visual_enum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_enum` (
  `id` int NOT NULL AUTO_INCREMENT,
  `key_code` varchar(20) NOT NULL COMMENT '唯一Key值',
  `content` text NOT NULL COMMENT '数据JSON',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `user_id` bigint NOT NULL COMMENT '创建人ID',
  `user_name` varchar(30) DEFAULT NULL COMMENT '创建人姓名',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户 id',
  PRIMARY KEY (`id`),
  UNIQUE KEY `key_code` (`key_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏自定义枚举';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_enum`
--

LOCK TABLES `visual_enum` WRITE;
/*!40000 ALTER TABLE `visual_enum` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_enum` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_external_link_info`
--

DROP TABLE IF EXISTS `visual_external_link_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_external_link_info` (
  `id` int NOT NULL AUTO_INCREMENT,
  `path` varchar(50) DEFAULT NULL COMMENT '文件访问路径',
  `upload_user` varchar(20) DEFAULT NULL COMMENT '文件上传人姓名',
  `upload_user_id` varchar(20) DEFAULT NULL COMMENT '文件上传人id',
  `status` tinyint DEFAULT '1' COMMENT '文件是否可用，0：不可用，1：可用',
  `trend_id` varchar(20) DEFAULT NULL COMMENT '租户id',
  `upload_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '文件上传时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自定义iframe记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_external_link_info`
--

LOCK TABLES `visual_external_link_info` WRITE;
/*!40000 ALTER TABLE `visual_external_link_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_external_link_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_global_param_type`
--

DROP TABLE IF EXISTS `visual_global_param_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_global_param_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL COMMENT '父级ID',
  `type_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='数据集全局筛选器参数-分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_global_param_type`
--

LOCK TABLES `visual_global_param_type` WRITE;
/*!40000 ALTER TABLE `visual_global_param_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_global_param_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_login_free_link`
--

DROP TABLE IF EXISTS `visual_login_free_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_login_free_link` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `visual_data_id` int DEFAULT NULL COMMENT '大屏id',
  `visual_data_title` varchar(100) DEFAULT NULL COMMENT '大屏名称',
  `link_type` int DEFAULT NULL COMMENT '链接类型：0免登录 1账号匹配',
  `user_id` bigint DEFAULT NULL COMMENT '账号id',
  `user_name` varchar(100) DEFAULT NULL COMMENT '账号名称',
  `valid_date` date DEFAULT NULL COMMENT '有效期',
  `purpose` longtext COMMENT '用途',
  `is_verify` int DEFAULT NULL COMMENT '是否验证用户有效性：0是 1否',
  `short_link` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
  `real_url` varchar(255) DEFAULT NULL COMMENT '真实链接',
  `status` int DEFAULT NULL COMMENT '状态：0下线  1上线',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) DEFAULT NULL COMMENT '创建人',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(100) DEFAULT NULL COMMENT '修改人',
  `update_user_id` bigint DEFAULT NULL COMMENT '修改人id',
  `user_token` varchar(100) DEFAULT NULL COMMENT '三方系统token',
  `access_token` text COMMENT '本系统token',
  `public_status` int DEFAULT '0' COMMENT '是否公共可见 1：是，0：否',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `pass` varchar(100) DEFAULT NULL COMMENT '验证密码',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='免登录链接';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_login_free_link`
--

LOCK TABLES `visual_login_free_link` WRITE;
/*!40000 ALTER TABLE `visual_login_free_link` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_login_free_link` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_login_free_link_permission`
--

DROP TABLE IF EXISTS `visual_login_free_link_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_login_free_link_permission` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `link_id` int NOT NULL COMMENT '三方接入web的id',
  `data_perm_id` int DEFAULT NULL COMMENT '权限组id',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_login_free_link_permission`
--

LOCK TABLES `visual_login_free_link_permission` WRITE;
/*!40000 ALTER TABLE `visual_login_free_link_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_login_free_link_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_power_classify_archiving`
--

DROP TABLE IF EXISTS `visual_power_classify_archiving`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_power_classify_archiving` (
  `id` int NOT NULL AUTO_INCREMENT,
  `classify_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的归档-分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_power_classify_archiving`
--

LOCK TABLES `visual_power_classify_archiving` WRITE;
/*!40000 ALTER TABLE `visual_power_classify_archiving` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_power_classify_archiving` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_power_classify_favourite`
--

DROP TABLE IF EXISTS `visual_power_classify_favourite`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_power_classify_favourite` (
  `id` int NOT NULL AUTO_INCREMENT,
  `classify_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的收藏-幻灯片分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_power_classify_favourite`
--

LOCK TABLES `visual_power_classify_favourite` WRITE;
/*!40000 ALTER TABLE `visual_power_classify_favourite` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_power_classify_favourite` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_power_point_category`
--

DROP TABLE IF EXISTS `visual_power_point_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_power_point_category` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父级ID',
  `cate_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='幻灯片分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_power_point_category`
--

LOCK TABLES `visual_power_point_category` WRITE;
/*!40000 ALTER TABLE `visual_power_point_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_power_point_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_power_point_info`
--

DROP TABLE IF EXISTS `visual_power_point_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_power_point_info` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cate_id` int NOT NULL COMMENT '分类ID',
  `pp_name` varchar(100) NOT NULL COMMENT '幻灯片名称',
  `pp_month` varchar(100) DEFAULT NULL COMMENT '幻灯片月份',
  `settings` varchar(1000) DEFAULT NULL COMMENT '幻灯片设置',
  `visual_ids` text COMMENT '大屏ID列表，逗号分隔',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_by` varchar(100) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NOT NULL COMMENT '修改时间',
  `public_status` int NOT NULL DEFAULT '0',
  `visual_type` tinyint NOT NULL DEFAULT '0' COMMENT '幻灯片类型(0-普通幻灯片/1-我的收藏/2-归档)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `ref_power_id` int DEFAULT NULL COMMENT '被备份的幻灯片id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='幻灯片信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_power_point_info`
--

LOCK TABLES `visual_power_point_info` WRITE;
/*!40000 ALTER TABLE `visual_power_point_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_power_point_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_power_point_permission`
--

DROP TABLE IF EXISTS `visual_power_point_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_power_point_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pp_id` int NOT NULL COMMENT '幻灯片ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='幻灯片权限组表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_power_point_permission`
--

LOCK TABLES `visual_power_point_permission` WRITE;
/*!40000 ALTER TABLE `visual_power_point_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_power_point_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_report_category_favourite`
--

DROP TABLE IF EXISTS `visual_report_category_favourite`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_report_category_favourite` (
  `id` int NOT NULL AUTO_INCREMENT,
  `category_name` varchar(100) NOT NULL COMMENT '分类名称',
  `sort_num` int DEFAULT '0' COMMENT '排序号',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的收藏-自主报表分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_report_category_favourite`
--

LOCK TABLES `visual_report_category_favourite` WRITE;
/*!40000 ALTER TABLE `visual_report_category_favourite` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_report_category_favourite` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_report_folder`
--

DROP TABLE IF EXISTS `visual_report_folder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_report_folder` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `sort_order` int NOT NULL DEFAULT '0' COMMENT '显示排序',
  `folder_name` varchar(50) NOT NULL COMMENT '文件夹名称',
  `user_id` bigint NOT NULL DEFAULT '0' COMMENT '用户id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='我的报告目录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_report_folder`
--

LOCK TABLES `visual_report_folder` WRITE;
/*!40000 ALTER TABLE `visual_report_folder` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_report_folder` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_report_info`
--

DROP TABLE IF EXISTS `visual_report_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_report_info` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `folder_id` int NOT NULL COMMENT '文件夹id',
  `report_month` varchar(50) DEFAULT NULL COMMENT '月份',
  `report_title` varchar(50) DEFAULT NULL COMMENT '报告名称',
  `background_url` varchar(300) DEFAULT NULL COMMENT '背景图url',
  `sort_order` int DEFAULT '0' COMMENT '显示排序',
  `is_deleted` int DEFAULT '0',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='我的报告';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_report_info`
--

LOCK TABLES `visual_report_info` WRITE;
/*!40000 ALTER TABLE `visual_report_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_report_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_review_log`
--

DROP TABLE IF EXISTS `visual_review_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_review_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `relation_id` int DEFAULT NULL COMMENT '关联id',
  `type` int DEFAULT NULL COMMENT '类型 0大屏模板/1大屏',
  `review_status` int DEFAULT NULL COMMENT '审核状态(0发起审核，1审核通过，2审核驳回)',
  `review_reason` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '审核理由',
  `Initiate_reason` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '理由',
  `review_time` datetime DEFAULT NULL COMMENT '审核时间',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人',
  `review_user_id` bigint DEFAULT NULL COMMENT '审核人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '修改人',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '租户id',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='审核记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_review_log`
--

LOCK TABLES `visual_review_log` WRITE;
/*!40000 ALTER TABLE `visual_review_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_review_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_self_report_category`
--

DROP TABLE IF EXISTS `visual_self_report_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_self_report_category` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父分类id',
  `classify_type` int DEFAULT NULL COMMENT '分类类型 1 pc端 2 移动端',
  `category_key` varchar(500) DEFAULT NULL COMMENT '分类键值',
  `category_value` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `is_deleted` int NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自主报表分类表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_self_report_category`
--

LOCK TABLES `visual_self_report_category` WRITE;
/*!40000 ALTER TABLE `visual_self_report_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_self_report_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_self_report_permission`
--

DROP TABLE IF EXISTS `visual_self_report_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_self_report_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `self_report_id` int NOT NULL COMMENT '报表ID',
  `data_perm_id` int NOT NULL COMMENT '权限组ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(50) NOT NULL COMMENT '创建人',
  `create_user_id` bigint NOT NULL COMMENT '创建人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='自主报表权限组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_self_report_permission`
--

LOCK TABLES `visual_self_report_permission` WRITE;
/*!40000 ALTER TABLE `visual_self_report_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_self_report_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_short_code_generator`
--

DROP TABLE IF EXISTS `visual_short_code_generator`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_short_code_generator` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `code_num` bigint DEFAULT NULL COMMENT 'code码',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_short_code_generator`
--

LOCK TABLES `visual_short_code_generator` WRITE;
/*!40000 ALTER TABLE `visual_short_code_generator` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_short_code_generator` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_subscribe`
--

DROP TABLE IF EXISTS `visual_subscribe`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_subscribe` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sub_title` varchar(100) NOT NULL COMMENT '订阅名称/标题',
  `data_type` tinyint NOT NULL COMMENT '订阅内容类型',
  `data_id` int NOT NULL COMMENT '订阅内容ID',
  `trigger_period` tinyint NOT NULL COMMENT '触发周期',
  `trigger_week_value` tinyint DEFAULT NULL COMMENT '触发周几',
  `trigger_day_value` tinyint DEFAULT NULL COMMENT '触发哪一天',
  `trigger_hour` tinyint NOT NULL DEFAULT '0' COMMENT '触发时间小时数',
  `trigger_minute` tinyint NOT NULL DEFAULT '0' COMMENT '触发时间分钟数',
  `job_id` int DEFAULT NULL COMMENT 'xxl-job任务ID',
  `notify_type` tinyint NOT NULL COMMENT '通知方式(0-邮件)',
  `notify_title` varchar(150) NOT NULL COMMENT '邮件标题',
  `notify_content` text COMMENT '邮件内容',
  `user_id` bigint NOT NULL COMMENT '订阅人ID',
  `user_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `create_time` datetime NOT NULL COMMENT '订阅时间',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `begin_trigger_hour` tinyint DEFAULT NULL COMMENT '开始触发的时间(triggerPeriod=hour有效)',
  `end_trigger_hour` tinyint DEFAULT NULL COMMENT '结束触发的时间(triggerPeriod=hour有效)',
  `period` int DEFAULT NULL COMMENT '间隔(triggerPeriod=hour有效)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='订阅服务';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_subscribe`
--

LOCK TABLES `visual_subscribe` WRITE;
/*!40000 ALTER TABLE `visual_subscribe` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_subscribe` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_subscribe_notify_conf`
--

DROP TABLE IF EXISTS `visual_subscribe_notify_conf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_subscribe_notify_conf` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `attri_key` varchar(255) DEFAULT NULL COMMENT '配置键',
  `attri_value` varchar(255) DEFAULT NULL COMMENT '值',
  `attri_name` varchar(100) DEFAULT NULL COMMENT '键名称',
  `notify_type` tinyint DEFAULT NULL COMMENT '通知方式',
  `tenant_id` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '租户id',
  `sort` tinyint DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2136 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_subscribe_notify_conf`
--

LOCK TABLES `visual_subscribe_notify_conf` WRITE;
/*!40000 ALTER TABLE `visual_subscribe_notify_conf` DISABLE KEYS */;
INSERT INTO `visual_subscribe_notify_conf` VALUES (75,'water_mark','1','是否开启水印',100,'111111',NULL),(76,'water_mark_type','1','水印内容',100,'111111',NULL),(77,'water_mark_content','注意数据保密','自定义',100,'111111',NULL),(78,'username','邮箱地址','发送邮箱',0,'111111',NULL),(79,'password','授权码','授权码',0,'111111',NULL),(80,'smtp','smtp','stmp服务器地址',0,'111111',NULL),(81,'agent_id','2324020760','钉钉应用id',2,'111111',NULL),(82,'app_key','dingbiynivssjr7mvnys','钉钉应用app_key',2,'111111',NULL),(83,'app_secret','4-bpDLUk7eMKPyQ3GUR_LY7iLU1IcnCm8Cszg-cLqW6WE9bKbY2BqHOmjFPjHpIC','钉钉应用secret',2,'111111',NULL),(84,'app_id','cli_a32758d53778d00d','飞书应用id',3,'111111',NULL),(85,'app_secret','RCSN31OJwWEeghDNROLfqSKG5Lz2lE3R','飞书应用密钥',3,'111111',NULL),(86,'bi','bi_version','bi说明',6,'111111',NULL),(87,'system','system_version','system说明',6,'111111',NULL),(88,'pdf','pdf_version','pdf说明',6,'111111',NULL),(89,'lowcode','lowcode_version','lowcode说明',6,'111111',NULL),(90,'xxljob','xxljob_version','xxljob说明',6,'111111',NULL),(91,'upgrade','upgrade_version','upgrade说明',6,'111111',NULL),(92,'bi','gmetry-bi','bi说明',7,'111111',NULL),(93,'system','gmetry-system','system说明',7,'111111',NULL),(94,'pdf','gmetry-pdf','pdf说明',7,'111111',NULL),(95,'lowcode','gmetry-lowcode','lowcode说明',7,'111111',NULL),(96,'xxljob','gmetry-xxljob','xxljob说明',7,'111111',NULL),(97,'upgrade','gemtry-upgrade','upgrade说明',7,'111111',NULL),(98,'systemName','数据可视化平台','系统名称',5,'111111',NULL),(99,'systemVersion','3.4.0','系统版本',5,'111111',NULL),(100,'loginType','1','登录方式',5,'111111',NULL),(101,'systemLogo','','系统LOGO',5,'111111',NULL),(102,'homeUrl','','首页url',5,'111111',NULL),(103,'isTop','','是否启用顶部菜单',5,'111111',NULL),(104,'apiUrl','','接口路径',5,'111111',NULL),(105,'pdfUrl','','pdf路径',5,'111111',NULL),(106,'imgUploadUrl','','图片上传路径',5,'111111',NULL),(107,'imgViewUrl','','图片预览地址',5,'111111',NULL),(108,'app_id','','微信应用id',8,'111111',NULL),(109,'app_secret','','微信应用secret',8,'111111',NULL),(110,'app_id','wxf6c238d9e4698994','小程序appid',9,'111111',NULL),(111,'app_secret','b567044d42a63a0b160aa0621dc28340','小程序secret',9,'111111',NULL),(112,'app_url','https://api.weixin.qq.com/sns/jscode2session','小程序请求url',9,'111111',NULL),(113,'appid','T1001','应用appid',4,'111111',NULL),(114,'secret','1c38fcc48bf79b4d05c8204104267529','应用secret',4,'111111',NULL),(115,'version','V10','版本',4,'111111',NULL),(116,'templateId','OPENTM207793577','模板id',4,'111111',NULL),(117,'mcCode','0428082539','企业代码',4,'111111',NULL),(582,'loginTypeApp','1','小程序登录方式',5,'111111',NULL),(583,'loginTypeH5','1','H5登录方式',5,'111111',NULL),(2132,'corp_name','企业名称','企业名称',1,'111111',1),(2133,'corp_id','corp_id','企业微信id',1,'111111',2),(2134,'corp_secret','corp_secret','企业微信secret',1,'111111',3),(2135,'agent_id','agent_id','企业微信agentid',1,'111111',4);
/*!40000 ALTER TABLE `visual_subscribe_notify_conf` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_subscribe_operate_log`
--

DROP TABLE IF EXISTS `visual_subscribe_operate_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_subscribe_operate_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sub_title` varchar(255) NOT NULL COMMENT '标题',
  `data_type` tinyint NOT NULL COMMENT '订阅内容类型',
  `notify_type` tinyint DEFAULT NULL COMMENT '通知方式',
  `data_id` int NOT NULL COMMENT '订阅内容ID',
  `operator_id` bigint NOT NULL COMMENT '订阅人ID',
  `operator_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `user_id` bigint NOT NULL COMMENT '订阅人ID',
  `user_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `operate_type` tinyint DEFAULT NULL COMMENT '操作',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='订阅操作日志';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_subscribe_operate_log`
--

LOCK TABLES `visual_subscribe_operate_log` WRITE;
/*!40000 ALTER TABLE `visual_subscribe_operate_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_subscribe_operate_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_subscribe_push_log`
--

DROP TABLE IF EXISTS `visual_subscribe_push_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_subscribe_push_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sub_title` varchar(255) NOT NULL COMMENT '标题',
  `data_type` tinyint NOT NULL COMMENT '订阅内容类型',
  `notify_type` tinyint DEFAULT NULL COMMENT '通知方式',
  `data_id` int NOT NULL COMMENT '订阅内容ID',
  `content` text COMMENT '发送内容',
  `user_id` bigint NOT NULL COMMENT '订阅人ID',
  `user_name` varchar(100) NOT NULL COMMENT '订阅人姓名',
  `err_code` tinyint NOT NULL DEFAULT '0' COMMENT '错误码(0-成功/1-失败)',
  `err_msg` varchar(4000) DEFAULT NULL COMMENT '错误描述',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`),
  KEY `data_id` (`data_id`,`data_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='订阅发送日志';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_subscribe_push_log`
--

LOCK TABLES `visual_subscribe_push_log` WRITE;
/*!40000 ALTER TABLE `visual_subscribe_push_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_subscribe_push_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_template`
--

DROP TABLE IF EXISTS `visual_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_template` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title` varchar(255) DEFAULT NULL COMMENT '大屏标题',
  `background_url` longtext COMMENT '大屏背景',
  `category` int DEFAULT NULL COMMENT '大屏类型',
  `history_report_id` int DEFAULT NULL COMMENT '历史报告id',
  `password` varchar(255) DEFAULT NULL COMMENT '发布密码',
  `user_str` varchar(255) DEFAULT NULL COMMENT '用户ID组',
  `create_user` bigint DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `status` int DEFAULT '1' COMMENT '状态',
  `is_deleted` int DEFAULT '0' COMMENT '是否已删除',
  `order_index` int DEFAULT NULL COMMENT '排序值 从小到大排序',
  `content` longtext COMMENT '组件内容JSON',
  `public_status` tinyint NOT NULL DEFAULT '0' COMMENT '大屏公开状态',
  `visual_type` tinyint NOT NULL DEFAULT '0' COMMENT '大屏类型(0-普通大屏/1-我的收藏/2-我的报告)',
  `ref_visual_id` int DEFAULT NULL COMMENT '复制大屏ID',
  `power_point_id` int DEFAULT NULL COMMENT '幻灯片ID',
  `visual_data_type` int NOT NULL DEFAULT '0' COMMENT '是否为自主报表 1：是，0：否',
  `is_mobile` int NOT NULL DEFAULT '0' COMMENT '是否为移动大屏(0:否，1:是)',
  `mobile_content` longtext COMMENT '移动组件json内容',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `publish_status` int NOT NULL DEFAULT '0' COMMENT '发布状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='大屏模板表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_template`
--

LOCK TABLES `visual_template` WRITE;
/*!40000 ALTER TABLE `visual_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_template_classify`
--

DROP TABLE IF EXISTS `visual_template_classify`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_template_classify` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` int NOT NULL DEFAULT '0' COMMENT '父分类id',
  `classify_type` int DEFAULT NULL COMMENT '分类类型 1 pc端 2 移动端',
  `category_key` varchar(500) DEFAULT NULL COMMENT '分类键值',
  `category_value` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `is_deleted` int NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序',
  `create_user_id` bigint NOT NULL DEFAULT '0' COMMENT '创建人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='模板分类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_template_classify`
--

LOCK TABLES `visual_template_classify` WRITE;
/*!40000 ALTER TABLE `visual_template_classify` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_template_classify` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_template_use_situation`
--

DROP TABLE IF EXISTS `visual_template_use_situation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_template_use_situation` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `visual_id` int NOT NULL COMMENT '模板 id',
  `use_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '模板使用时间',
  `user_id` bigint NOT NULL COMMENT '使用人',
  `user_name` varchar(100) NOT NULL COMMENT '使用人名称',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='模板使用情况';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_template_use_situation`
--

LOCK TABLES `visual_template_use_situation` WRITE;
/*!40000 ALTER TABLE `visual_template_use_situation` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_template_use_situation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_warning`
--

DROP TABLE IF EXISTS `visual_warning`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_warning` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL COMMENT '预警器名称',
  `request_freq` int NOT NULL COMMENT '请求频率',
  `datasource_id` int NOT NULL DEFAULT '0' COMMENT '数据源ID',
  `datasource_name` varchar(100) DEFAULT NULL COMMENT '数据源名称',
  `cube_data_id` int NOT NULL DEFAULT '0' COMMENT '数据集ID',
  `cube_data_name` varchar(100) DEFAULT NULL COMMENT '数据集名称',
  `filter_json` text COMMENT '查询条件JSON',
  `filter_relation_json` text COMMENT '查询条件关系JSON',
  `filter_time_json` text COMMENT '时间设置JSON',
  `column_json` text COMMENT '字段JSON',
  `sort_json` text COMMENT '排序JSON',
  `column_id_list` json DEFAULT NULL COMMENT '字段ID列表JSON',
  `message_template_id` int DEFAULT NULL COMMENT '消息模版ID',
  `message_dynamic_content` varchar(1000) DEFAULT NULL COMMENT '消息动态内容',
  `warn_message_way` tinyint NOT NULL COMMENT '预警消息方式(0-短信/1-邮件/2-所有)',
  `warn_user_ids` varchar(2000) DEFAULT NULL COMMENT '预警人ID',
  `next_loop_ts` bigint NOT NULL DEFAULT '0' COMMENT '下次轮询时间戳(毫秒)',
  `enable_status` tinyint NOT NULL DEFAULT '1' COMMENT '是否开启(0-否/1-是)',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(30) NOT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `create_user_id` bigint DEFAULT NULL COMMENT '创建人ID',
  `sms_params` json DEFAULT NULL COMMENT '短信变量参数',
  `sms_id` int DEFAULT NULL COMMENT '短信模版ID',
  `job_id` int DEFAULT NULL COMMENT 'XXLJOB任务ID',
  `visual_data_json` json DEFAULT NULL COMMENT '大屏列表基础信息JSON',
  `approve_status` tinyint NOT NULL DEFAULT '1' COMMENT '审批状态(0-审核中/1-审核通过/2-审核拒绝)',
  `warning_ways` varchar(200) DEFAULT NULL COMMENT '预警消息方式',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='智能预警器表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_warning`
--

LOCK TABLES `visual_warning` WRITE;
/*!40000 ALTER TABLE `visual_warning` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_warning` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_warning_message_template`
--

DROP TABLE IF EXISTS `visual_warning_message_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_warning_message_template` (
  `id` int NOT NULL AUTO_INCREMENT,
  `content_id` varchar(100) NOT NULL COMMENT '短信运营商模版ID',
  `name` varchar(50) NOT NULL COMMENT '模版名称',
  `content` text NOT NULL COMMENT '模版内容',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='智能预警消息模版';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_warning_message_template`
--

LOCK TABLES `visual_warning_message_template` WRITE;
/*!40000 ALTER TABLE `visual_warning_message_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_warning_message_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_warning_record`
--

DROP TABLE IF EXISTS `visual_warning_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_warning_record` (
  `id` int NOT NULL AUTO_INCREMENT,
  `warning_id` int NOT NULL COMMENT '预警器ID',
  `warning_name` varchar(50) NOT NULL COMMENT '预警器名称',
  `warn_data` text NOT NULL COMMENT '预警数据',
  `warn_message` text COMMENT '预警内容',
  `warn_message_way` tinyint DEFAULT NULL COMMENT '预警消息类型(0-短信/1-邮件/2-所有)',
  `warn_type` tinyint DEFAULT NULL COMMENT '预警类型',
  `resolve_status` tinyint NOT NULL DEFAULT '0' COMMENT '解决状态(0-待解决/1-已解决)',
  `distort_status` tinyint NOT NULL DEFAULT '0' COMMENT '误报状态(0-否/1-是)',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(30) DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='智能预警记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_warning_record`
--

LOCK TABLES `visual_warning_record` WRITE;
/*!40000 ALTER TABLE `visual_warning_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_warning_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visual_warning_record_user`
--

DROP TABLE IF EXISTS `visual_warning_record_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visual_warning_record_user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `warning_id` int NOT NULL COMMENT '预警器ID',
  `warning_record_id` int NOT NULL COMMENT '预警记录ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='预警记录和用户中间表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visual_warning_record_user`
--

LOCK TABLES `visual_warning_record_user` WRITE;
/*!40000 ALTER TABLE `visual_warning_record_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `visual_warning_record_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `warn_brief_detail`
--

DROP TABLE IF EXISTS `warn_brief_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `warn_brief_detail` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `identifier` varchar(200) DEFAULT NULL COMMENT '预警消息唯一标识',
  `sender` varchar(200) DEFAULT NULL COMMENT '预警信息发布单位',
  `sendtime` datetime DEFAULT NULL COMMENT '预警信息发布时间',
  `severity` varchar(50) DEFAULT NULL COMMENT '预警级别',
  `headline` varchar(500) DEFAULT NULL COMMENT '预警信息标题',
  `eventtype` varchar(50) DEFAULT NULL COMMENT '预警类型',
  `eventname` varchar(50) DEFAULT NULL COMMENT '预警类型名称',
  `msgtype` varchar(50) DEFAULT NULL COMMENT '预警信息类型',
  `senderlevel` varchar(10) DEFAULT NULL COMMENT '1,国家级 2,省级 3,市级 4,县级',
  `regionid` varchar(50) DEFAULT NULL COMMENT '行政区划编码',
  `adnm` varchar(200) DEFAULT NULL,
  `orgIdentifier` varchar(200) DEFAULT NULL,
  `sendercode` varchar(100) DEFAULT NULL COMMENT '预警信息发布单位编码',
  `status` varchar(50) DEFAULT NULL,
  `scope` varchar(50) DEFAULT NULL COMMENT '预警信息发布范围',
  `secclassification` varchar(20) DEFAULT NULL COMMENT '密级',
  `note` varchar(200) DEFAULT NULL COMMENT '对预警信息解除原因的说明',
  `reference` varchar(200) DEFAULT NULL COMMENT '描述本条预警信息引用的预警信息',
  `language` varchar(20) DEFAULT NULL COMMENT '预警信息描述所使用的语言代码',
  `urgency` varchar(50) DEFAULT NULL COMMENT '预警事件的紧急程度',
  `certainty` varchar(50) DEFAULT NULL COMMENT '预警事件发生的可能程度',
  `onset` datetime DEFAULT NULL COMMENT '预警事件的预期发生时间',
  `expires` datetime DEFAULT NULL COMMENT '预警事件的失效时间',
  `description` text COMMENT '预警信息正文',
  `instruction` varchar(50) DEFAULT NULL,
  `web` varchar(200) DEFAULT NULL COMMENT '预警信息内容中包含的网址信息',
  `areadesc` varchar(50) DEFAULT NULL COMMENT '影响区域的文本描述',
  `polygon` varchar(200) DEFAULT NULL COMMENT '用多边形表示预警信息的发布区域',
  `circle` varchar(50) DEFAULT NULL,
  `geocode` varchar(50) DEFAULT NULL,
  `effective` datetime DEFAULT NULL COMMENT '预警信息生效时间',
  `code` varchar(200) DEFAULT NULL COMMENT '预警信息的发布手段和发布对象',
  `resource` varchar(50) DEFAULT NULL,
  `province` varchar(50) DEFAULT NULL COMMENT '省级行政区',
  `prefecture` varchar(50) DEFAULT NULL COMMENT '市级行政区',
  `county` varchar(50) DEFAULT NULL COMMENT '县级行政区',
  `batch` varchar(20) DEFAULT NULL COMMENT '数据批次号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='预警概览/详情信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `warn_brief_detail`
--

LOCK TABLES `warn_brief_detail` WRITE;
/*!40000 ALTER TABLE `warn_brief_detail` DISABLE KEYS */;
/*!40000 ALTER TABLE `warn_brief_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wechat_authorization_account`
--

DROP TABLE IF EXISTS `wechat_authorization_account`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wechat_authorization_account` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `nick_name` varchar(50) DEFAULT NULL COMMENT '昵称',
  `head_img` varchar(200) DEFAULT NULL COMMENT '头像',
  `appid` varchar(50) DEFAULT NULL COMMENT '小程序，公众号appid',
  `account_type` int DEFAULT NULL COMMENT '授权账号类型 1 小程序  2 公众号',
  `service_type_info` varchar(50) DEFAULT NULL COMMENT '公众号 ：0 订阅号 1 由历史老帐号升级后的订阅号 2 服务号\r\n            小程序 ：0 普通小程序 12 试用小程序 4 小游戏 10 小商店',
  `verify_type_info` varchar(50) DEFAULT NULL COMMENT '公众号认证类型 ： -1 未认证  0 微信认证 1 新浪微博认证 2 腾讯微博认证 3 已资质认证通过但还未通过名称认证 4 已资质认证通过、还未通过名称认证，但通过了新浪微博认证  5 已资质认证通过、还未通过名称认证，但通过了腾讯微博认证\r\n            \r\n            小程序认证类型 ： -1 未认证 0 微信认证',
  `user_name` varchar(50) DEFAULT NULL COMMENT '原始 ID',
  `principal_name` varchar(50) DEFAULT NULL COMMENT '主体名称',
  `alias` varchar(50) DEFAULT NULL COMMENT '公众号所设置的微信号',
  `signature` varchar(50) DEFAULT NULL COMMENT '帐号介绍 (小程序)',
  `business_info` text COMMENT '用以了解功能的开通状况（0代表未开通，1代表已开通）\r\n            open_store	是否开通微信门店功能\r\n            open_scan	是否开通微信扫商品功能\r\n            open_pay	              是否开通微信支付功能\r\n            open_card	是否开通微信卡券功能\r\n            open_shake	是否开通微信摇一摇功能',
  `qrcode_url` varchar(255) DEFAULT NULL COMMENT '二维码图片的 URL，开发者最好自行也进行保存',
  `mini_program_info` text COMMENT '小程序配置 network 小程序配置的合法域名信息 categories  小程序配置的类目信息',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='开放平台授权账号表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wechat_authorization_account`
--

LOCK TABLES `wechat_authorization_account` WRITE;
/*!40000 ALTER TABLE `wechat_authorization_account` DISABLE KEYS */;
/*!40000 ALTER TABLE `wechat_authorization_account` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wechat_mpeventcontent`
--

DROP TABLE IF EXISTS `wechat_mpeventcontent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wechat_mpeventcontent` (
  `F_EventKey` varchar(50) NOT NULL COMMENT '自然主键',
  `F_Content` text COMMENT '文本内容',
  PRIMARY KEY (`F_EventKey`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wechat_mpeventcontent`
--

LOCK TABLES `wechat_mpeventcontent` WRITE;
/*!40000 ALTER TABLE `wechat_mpeventcontent` DISABLE KEYS */;
/*!40000 ALTER TABLE `wechat_mpeventcontent` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wechat_mpmaterial`
--

DROP TABLE IF EXISTS `wechat_mpmaterial`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wechat_mpmaterial` (
  `F_Id` varchar(50) NOT NULL COMMENT '自然主键',
  `F_OpenId` text COMMENT '公众号主键',
  `F_MaterialsType` int DEFAULT NULL COMMENT '上传素材类型',
  `F_Title` text COMMENT '图文标题',
  `F_ThumbMediaId` text COMMENT '图文消息缩略图的media_id',
  `F_Author` varchar(50) DEFAULT NULL COMMENT '作者',
  `F_ContentSourceUrl` text COMMENT '原文链接',
  `F_Content` longtext COMMENT '图文内容',
  `F_Digest` text COMMENT '图文消息的描述',
  `F_ShowCoverPic` varchar(50) DEFAULT NULL COMMENT '封面状态',
  `F_ThumbUrl` text COMMENT '缩略图的URL',
  `F_NeedOpenComment` int DEFAULT NULL COMMENT '是否打开评论',
  `F_OnlyFansCanComment` int DEFAULT NULL COMMENT '是否粉丝才可评论',
  `F_FileJson` longtext COMMENT '附件',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_Description` text COMMENT '备注',
  `F_UploadDate` datetime DEFAULT NULL COMMENT '上传素材时间',
  `F_UploadUser` varchar(50) DEFAULT NULL COMMENT '上传素材用户',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_Introduction` text,
  `F_ReturnUrl` text COMMENT '上传返回路径',
  `F_MediaId` text COMMENT '公众号素材Id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='公众号素材';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wechat_mpmaterial`
--

LOCK TABLES `wechat_mpmaterial` WRITE;
/*!40000 ALTER TABLE `wechat_mpmaterial` DISABLE KEYS */;
/*!40000 ALTER TABLE `wechat_mpmaterial` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wechat_mpmessage`
--

DROP TABLE IF EXISTS `wechat_mpmessage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wechat_mpmessage` (
  `F_Id` varchar(50) NOT NULL COMMENT '自然主键',
  `F_IsToAll` varchar(50) DEFAULT NULL COMMENT '全部用户',
  `F_OpenId` text COMMENT '公众号主键',
  `F_MsgType` int DEFAULT NULL COMMENT '群发消息类型',
  `F_Title` text COMMENT '图文标题',
  `F_ThumbMediaId` text COMMENT '图文消息缩略图的media_id',
  `F_Author` varchar(50) DEFAULT NULL COMMENT '作者',
  `F_ContentSourceUrl` text COMMENT '原文链接',
  `F_Content` longtext COMMENT '图文内容',
  `F_TxtContent` text COMMENT '文本内容',
  `F_Digest` text COMMENT '图文消息的描述',
  `F_ShowCoverPic` varchar(50) DEFAULT NULL COMMENT '封面状态',
  `F_ThumbUrl` text COMMENT '缩略图的URL',
  `F_NeedOpenComment` int DEFAULT NULL COMMENT '是否打开评论',
  `F_OnlyFansCanComment` int DEFAULT NULL COMMENT '是否粉丝才可评论',
  `F_MsgId` text COMMENT '消息ID',
  `F_MsgDataIid` text COMMENT '消息数据ID',
  `F_FileJson` longtext COMMENT '附件',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_Description` text COMMENT '备注',
  `F_SendDate` datetime DEFAULT NULL COMMENT '发送时间',
  `F_SendUser` varchar(50) DEFAULT NULL COMMENT '发送人',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_TagId` text COMMENT '标签Id',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='公众号群发消息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wechat_mpmessage`
--

LOCK TABLES `wechat_mpmessage` WRITE;
/*!40000 ALTER TABLE `wechat_mpmessage` DISABLE KEYS */;
/*!40000 ALTER TABLE `wechat_mpmessage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wechat_public_user`
--

DROP TABLE IF EXISTS `wechat_public_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wechat_public_user` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `appid` varchar(100) DEFAULT NULL COMMENT '公众号appid',
  `headimgurl` varchar(255) DEFAULT NULL COMMENT '用户头像',
  `nickname` varchar(100) DEFAULT NULL COMMENT '用户的昵称',
  `subscribe` varchar(10) DEFAULT NULL COMMENT '用户是否订阅该公众号标识，值为0时，代表此用户没有关注该公众号，拉取不到其余信息。',
  `openid` varchar(100) DEFAULT NULL COMMENT '用户的标识，对当前公众号唯一',
  `sex` varchar(10) DEFAULT NULL COMMENT '用户的性别，值为1时是男性，值为2时是女性，值为0时是未知',
  `city` varchar(20) DEFAULT NULL COMMENT '用户所在城市',
  `country` varchar(20) DEFAULT NULL COMMENT '用户所在国家',
  `province` varchar(20) DEFAULT NULL COMMENT '用户所在省份',
  `language` varchar(20) DEFAULT NULL COMMENT '用户的语言，简体中文为zh_CN',
  `subscribe_time` varchar(30) DEFAULT NULL COMMENT '用户关注时间，为时间戳。如果用户曾多次关注，则取最后关注时间',
  `unionid` varchar(100) DEFAULT NULL COMMENT '只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段。',
  `remark` varchar(100) DEFAULT NULL COMMENT '公众号运营者对粉丝的备注，公众号运营者可在微信公众平台用户管理界面对粉丝添加备注',
  `groupid` varchar(20) DEFAULT NULL COMMENT '用户所在的分组ID',
  `tagid_list` varchar(255) DEFAULT NULL COMMENT '用户被打上的标签ID列表',
  `subscribe_scene` varchar(100) DEFAULT NULL COMMENT '返回用户关注的渠道来源，ADD_SCENE_SEARCH 公众号搜索，ADD_SCENE_ACCOUNT_MIGRATION 公众号迁移，ADD_SCENE_PROFILE_CARD 名片分享，ADD_SCENE_QR_CODE 扫描二维码，ADD_SCENE_PROFILE_LINK 图文页内名称点击，ADD_SCENE_PROFILE_ITEM 图文页右上角菜单，ADD_SCENE_PAID 支付后关注，ADD_SCENE_WECHAT_ADVERTISEMENT 微信广告，ADD_SCENE_OTHERS 其他',
  `qr_scene` varchar(200) DEFAULT NULL COMMENT '自定义',
  `qr_scene_str` varchar(200) DEFAULT NULL COMMENT '自定义',
  `create_time` date DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='公众号用户信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wechat_public_user`
--

LOCK TABLES `wechat_public_user` WRITE;
/*!40000 ALTER TABLE `wechat_public_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `wechat_public_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wechat_qydepartment`
--

DROP TABLE IF EXISTS `wechat_qydepartment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wechat_qydepartment` (
  `F_Id` varchar(50) NOT NULL COMMENT '自然主键',
  `F_OrganizeId` varchar(50) DEFAULT NULL COMMENT '机构上级',
  `F_WeChatDeptId` int DEFAULT NULL COMMENT '机构编号',
  `F_Category` varchar(50) DEFAULT NULL COMMENT '机构分类',
  `F_EnCode` varchar(50) DEFAULT NULL COMMENT '机构编号',
  `F_FullName` varchar(50) DEFAULT NULL COMMENT '机构名称',
  `F_ManagerId` varchar(50) DEFAULT NULL COMMENT '机构主管',
  `F_PropertyJson` longtext COMMENT '扩展属性',
  `F_Description` text COMMENT '描述',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_LastModifyUserId` varchar(50) DEFAULT NULL COMMENT '修改用户',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除时间',
  `F_DeleteUserId` varchar(50) DEFAULT NULL COMMENT '删除用户',
  `F_ParentId` varchar(50) DEFAULT NULL COMMENT '父级',
  `F_Order` int DEFAULT NULL COMMENT '微信排序',
  `F_SubmitState` varchar(50) DEFAULT NULL COMMENT '提交状态',
  `F_WeChatParentId` bigint DEFAULT NULL COMMENT '微信父级',
  `F_SyncState` int DEFAULT NULL COMMENT '同步状态',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='企业号组织';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wechat_qydepartment`
--

LOCK TABLES `wechat_qydepartment` WRITE;
/*!40000 ALTER TABLE `wechat_qydepartment` DISABLE KEYS */;
/*!40000 ALTER TABLE `wechat_qydepartment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wechat_qymessage`
--

DROP TABLE IF EXISTS `wechat_qymessage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wechat_qymessage` (
  `F_Id` varchar(50) NOT NULL COMMENT '自然主键',
  `F_MsgType` int DEFAULT NULL COMMENT '消息类型',
  `F_All` int DEFAULT NULL COMMENT '全员',
  `F_Safe` int DEFAULT NULL COMMENT '保密状态',
  `F_ToUserId` longtext COMMENT '成员主键集',
  `F_ToParty` text COMMENT '部门主键集',
  `F_ToTag` text COMMENT '标签主键集',
  `F_AgentId` varchar(50) DEFAULT NULL COMMENT '企业应用主键',
  `F_MediaId` varchar(200) DEFAULT NULL COMMENT '媒体主键',
  `F_Title` varchar(200) DEFAULT NULL COMMENT '图文标题',
  `F_Author` varchar(50) DEFAULT NULL COMMENT '图文作者',
  `F_ContentSourceUrl` varchar(200) DEFAULT NULL COMMENT '原文链接',
  `F_Content` longtext COMMENT '图文内容',
  `F_Abstract` varchar(200) DEFAULT NULL COMMENT '摘要',
  `F_ShowCoverPic` int DEFAULT NULL COMMENT '封面状态',
  `F_SendDate` datetime DEFAULT NULL COMMENT '发送时间',
  `F_SendUserId` varchar(50) DEFAULT NULL COMMENT '发送人',
  `F_TXTContent` text COMMENT '文本内容',
  `F_FileJson` longtext COMMENT '附件',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_EnabledMark` int DEFAULT NULL COMMENT '状态',
  `F_InvalidUser` longtext COMMENT '无效用户',
  `F_InvalidParty` text COMMENT '无效机构',
  `F_InvalidTag` text COMMENT '无效标签',
  `F_Description` text COMMENT '备注',
  `F_PicUrl` text COMMENT '图片链接',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='消息发送';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wechat_qymessage`
--

LOCK TABLES `wechat_qymessage` WRITE;
/*!40000 ALTER TABLE `wechat_qymessage` DISABLE KEYS */;
/*!40000 ALTER TABLE `wechat_qymessage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wechat_qyuser`
--

DROP TABLE IF EXISTS `wechat_qyuser`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wechat_qyuser` (
  `F_Id` varchar(50) NOT NULL COMMENT '自然主键',
  `F_Account` varchar(50) DEFAULT NULL COMMENT '账户',
  `F_NickName` varchar(50) DEFAULT NULL COMMENT '呢称',
  `F_HeadIcon` varchar(50) DEFAULT NULL COMMENT '头像',
  `F_Gender` int DEFAULT NULL COMMENT '性别',
  `F_Birthday` datetime DEFAULT NULL COMMENT '生日',
  `F_MobilePhone` varchar(20) DEFAULT NULL COMMENT '手机',
  `F_TelePhone` varchar(20) DEFAULT NULL COMMENT '电话',
  `F_Landline` varchar(50) DEFAULT NULL COMMENT 'F_Landline',
  `F_Email` varchar(50) DEFAULT NULL COMMENT '邮箱',
  `F_Nation` varchar(50) DEFAULT NULL COMMENT '民族',
  `F_NativePlace` varchar(50) DEFAULT NULL COMMENT '籍贯',
  `F_EntryDate` datetime DEFAULT NULL COMMENT '入职日期',
  `F_CertificatesType` varchar(50) DEFAULT NULL COMMENT '证件类型',
  `F_CertificatesNumber` varchar(50) DEFAULT NULL COMMENT '证件号码',
  `F_Education` varchar(50) DEFAULT NULL COMMENT '文化程度',
  `F_UrgentContacts` varchar(50) DEFAULT NULL COMMENT 'F_UrgentContacts',
  `F_UrgentTelePhone` varchar(50) DEFAULT NULL COMMENT '紧急电话',
  `F_PostalAddress` text COMMENT '通讯地址',
  `F_Signature` text COMMENT '自我介绍',
  `F_Password` varchar(50) DEFAULT NULL COMMENT '密码',
  `F_Secretkey` varchar(50) DEFAULT NULL COMMENT '秘钥',
  `F_FirstLogTime` datetime DEFAULT NULL COMMENT '首次登录时间',
  `F_FirstLogIP` varchar(50) DEFAULT NULL COMMENT '首次登录IP',
  `F_PrevLogTime` datetime DEFAULT NULL COMMENT '前次登录时间',
  `F_PrevLogIP` varchar(50) DEFAULT NULL COMMENT '前次登录IP',
  `F_LastLogTime` datetime DEFAULT NULL COMMENT '最后登录时间',
  `F_LastLogIP` varchar(50) DEFAULT NULL COMMENT '最后登录IP',
  `F_LogSuccessCount` int DEFAULT NULL COMMENT '登录成功次数',
  `F_LogErrorCount` int DEFAULT NULL COMMENT '登录错误次数',
  `F_ChangePasswordDate` datetime DEFAULT NULL COMMENT '最后修改密码时间',
  `F_Language` varchar(50) DEFAULT NULL COMMENT '系统语言',
  `F_Theme` varchar(50) DEFAULT NULL COMMENT '系统样式',
  `F_CommonMenu` longtext COMMENT '常用菜单',
  `F_IsAdministrator` int DEFAULT NULL COMMENT '是否管理员',
  `F_PropertyJson` longtext COMMENT '扩展属性',
  `F_SortCode` bigint DEFAULT NULL COMMENT '排序码',
  `F_CreatorTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_LastModifyTime` datetime DEFAULT NULL COMMENT '修改时间',
  `F_DeleteMark` int DEFAULT NULL COMMENT '删除标志',
  `F_ManagerId` varchar(50) DEFAULT NULL COMMENT '主管主键',
  `F_OrganizeId` text COMMENT '组织主键',
  `F_PositionId` text COMMENT '岗位主键',
  `F_RoleId` text COMMENT '角色主键',
  `F_UserId` varchar(50) DEFAULT NULL COMMENT '用户主键',
  `F_RealName` varchar(50) DEFAULT NULL COMMENT '用户姓名',
  `F_Description` text COMMENT '备注',
  `F_EnabledMark` int DEFAULT NULL COMMENT '有效标志',
  `F_CreateTime` datetime DEFAULT NULL COMMENT '创建时间',
  `F_CreatorUserId` varchar(50) DEFAULT NULL COMMENT '创建用户',
  `F_LastModifyUserId` varchar(50) DEFAULT NULL COMMENT '编辑用户',
  `F_DeleteTime` datetime DEFAULT NULL COMMENT '删除日期',
  `F_DeleteUserId` varchar(50) DEFAULT NULL COMMENT '删除用户',
  `F_SyncState` int DEFAULT NULL COMMENT '同步状态',
  PRIMARY KEY (`F_Id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='企业号用户';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wechat_qyuser`
--

LOCK TABLES `wechat_qyuser` WRITE;
/*!40000 ALTER TABLE `wechat_qyuser` DISABLE KEYS */;
/*!40000 ALTER TABLE `wechat_qyuser` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-11-13 17:26:51
